"""Colormap definitions for different plotting libraries."""

# Plotly builtin colormaps (state: v2.5.0)
# - https://plot.ly/python/builtin-colorscales/
# - https://github.com/plotly/plotly.js/blob/master/src/components/colorscale/scales.js
PLOTLY_BUILTIN_COLORMAPS = {
    'aggrnyl': 'aggrnyl',
    'agsunset': 'agsunset',
    'algae': 'algae',
    'amp': 'amp',
    'armyrose': 'armyrose',
    'balance': 'balance',
    'blackbody': 'Blackbody',
    'bluered': 'Bluered',
    'blues': 'Blues',
    'blugrn': 'blugrn',
    'bluyl': 'bluyl',
    'brbg': 'brbg',
    'brwnyl': 'brwnyl',
    'bugn': 'bugn',
    'bupu': 'bupu',
    'burg': 'burg',
    'burgyl': 'burgyl',
    'cividis': 'Cividis',
    'curl': 'curl',
    'darkmint': 'darkmint',
    'deep': 'deep',
    'delta': 'delta',
    'dense': 'dense',
    'earth': 'Earth',
    'edge': 'edge',
    'electric': 'Electric',
    'emrld': 'emrld',
    'fall': 'fall',
    'geyser': 'geyser',
    'gnbu': 'gnbu',
    'gray': 'gray',
    'greens': 'Greens',
    'greys': 'Greys',
    'haline': 'haline',
    'hot': 'Hot',
    'hsv': 'hsv',
    'ice': 'ice',
    'icefire': 'icefire',
    'inferno': 'inferno',
    'jet': 'Jet',
    'magenta': 'magenta',
    'magma': 'magma',
    'matter': 'matter',
    'mint': 'mint',
    'mrybm': 'mrybm',
    'mygbm': 'mygbm',
    'oranges': 'oranges',
    'orrd': 'orrd',
    'oryel': 'oryel',
    'peach': 'peach',
    'phase': 'phase',
    'picnic': 'Picnic',
    'pinkyl': 'pinkyl',
    'piyg': 'piyg',
    'plasma': 'plasma',
    'plotly3': 'plotly3',
    'portland': 'Portland',
    'prgn': 'prgn',
    'pubu': 'pubu',
    'pubugn': 'pubugn',
    'puor': 'puor',
    'purd': 'purd',
    'purp': 'purp',
    'purples': 'purples',
    'purpor': 'purpor',
    'rainbow': 'Rainbow',
    'rdbu': 'RdBu',
    'rdgy': 'rdgy',
    'rdpu': 'rdpu',
    'rdylbu': 'rdylbu',
    'rdylgn': 'rdylgn',
    'redor': 'redor',
    'reds': 'Reds',
    'solar': 'solar',
    'spectral': 'spectral',
    'speed': 'speed',
    'sunset': 'sunset',
    'sunsetdark': 'sunsetdark',
    'teal': 'teal',
    'tealgrn': 'tealgrn',
    'tealrose': 'tealrose',
    'tempo': 'tempo',
    'temps': 'temps',
    'thermal': 'thermal',
    'tropic': 'tropic',
    'turbid': 'turbid',
    'twilight': 'twilight',
    'viridis': 'Viridis',
    'ylgn': 'ylgn',
    'ylgnbu': 'YlGnBu',
    'ylorbr': 'ylorbr',
    'ylorrd': 'YlOrRd',
}

# Matplotlib builtin colormaps (state: v3)
MATPLOTLIB_BUILTIN_COLORMAPS = {
    'accent': 'Accent',
    'blues': 'Blues',
    'brbg': 'BrBG',
    'bugn': 'BuGn',
    'bupu': 'BuPu',
    'cmrmap': 'CMRmap',
    'dark2': 'Dark2',
    'gnbu': 'GnBu',
    'greens': 'Greens',
    'greys': 'Greys',
    'orrd': 'OrRd',
    'oranges': 'Oranges',
    'prgn': 'PRGn',
    'paired': 'Paired',
    'pastel1': 'Pastel1',
    'pastel2': 'Pastel2',
    'piyg': 'PiYG',
    'pubu': 'PuBu',
    'pubugn': 'PuBuGn',
    'puor': 'PuOr',
    'purd': 'PuRd',
    'purples': 'Purples',
    'rdbu': 'RdBu',
    'rdgy': 'RdGy',
    'rdpu': 'RdPu',
    'rdylbu': 'RdYlBu',
    'rdylgn': 'RdYlGn',
    'reds': 'Reds',
    'set1': 'Set1',
    'set2': 'Set2',
    'set3': 'Set3',
    'spectral': 'Spectral',
    'wistia': 'Wistia',
    'ylgn': 'YlGn',
    'ylgnbu': 'YlGnBu',
    'ylorbr': 'YlOrBr',
    'ylorrd': 'YlOrRd',
    'afmhot': 'afmhot',
    'autumn': 'autumn',
    'binary': 'binary',
    'bone': 'bone',
    'brg': 'brg',
    'bwr': 'bwr',
    'cividis': 'cividis',
    'cool': 'cool',
    'coolwarm': 'coolwarm',
    'copper': 'copper',
    'cubehelix': 'cubehelix',
    'flag': 'flag',
    'gist_earth': 'gist_earth',
    'gist_gray': 'gist_gray',
    'gist_heat': 'gist_heat',
    'gist_ncar': 'gist_ncar',
    'gist_rainbow': 'gist_rainbow',
    'gist_stern': 'gist_stern',
    'gist_yarg': 'gist_yarg',
    'gnuplot': 'gnuplot',
    'gnuplot2': 'gnuplot2',
    'gray': 'gray',
    'hot': 'hot',
    'hsv': 'hsv',
    'inferno': 'inferno',
    'jet': 'jet',
    'magma': 'magma',
    'nipy_spectral': 'nipy_spectral',
    'ocean': 'ocean',
    'pink': 'pink',
    'plasma': 'plasma',
    'prism': 'prism',
    'rainbow': 'rainbow',
    'seismic': 'seismic',
    'spring': 'spring',
    'summer': 'summer',
    'tab10': 'tab10',
    'tab20': 'tab20',
    'tab20b': 'tab20b',
    'tab20c': 'tab20c',
    'terrain': 'terrain',
    'twilight': 'twilight',
    'twilight_shifted': 'twilight_shifted',
    'viridis': 'viridis',
    'winter': 'winter',
}

# D3 builtin colormaps
D3_BUILTIN_COLORMAPS = {
    'blues': 'Blues',
    'greens': 'Greens',
    'greys': 'Greys',
    'oranges': 'Oranges',
    'purples': 'Purples',
    'reds': 'Reds',
    'turbo': 'Turbo',
    'viridis': 'Viridis',
    'inferno': 'Inferno',
    'magma': 'Magma',
    'plasma': 'Plasma',
    'cividis': 'Cividis',
    'warm': 'Warm',
    'cool': 'Cool',
    'cubehelix': 'Cubehelix',
    'bugn': 'BuGn',
    'bupu': 'BuPu',
    'gnbu': 'GnBu',
    'orrd': 'OrRd',
    'pubugn': 'PuBuGn',
    'pubu': 'PuBu',
    'purd': 'PuRd',
    'rdpu': 'RdPu',
    'ylgnbu': 'YlGnBu',
    'ylgn': 'YlGn',
    'ylorbr': 'YlOrBr',
    'ylorrd': 'YlOrRd',
    'brbg': 'BrBG',
    'prgn': 'PRGn',
    'piyg': 'PiYG',
    'puor': 'PuOr',
    'rdbu': 'RdBu',
    'rdgy': 'RdGy',
    'rdylbu': 'RdYlBu',
    'rdylgn': 'RdYlGn',
    'spectral': 'Spectral',
    'rainbow': 'Rainbow',
    'sinebow': 'Sinebow',
}

# Plotly custom colormaps
PLOTLY_EXTERNAL_COLORMAPS = {
    # Matplotlib colormaps converted for Plotly
    'accent': [
        [0.0, 'rgb(127,201,127)'],
        [0.00392, 'rgb(127,201,127)'],
        [0.00784, 'rgb(127,201,127)'],
        [0.01176, 'rgb(127,201,127)'],
        [0.01569, 'rgb(127,201,127)'],
        [0.01961, 'rgb(127,201,127)'],
        [0.02353, 'rgb(127,201,127)'],
        [0.02745, 'rgb(127,201,127)'],
        [0.03137, 'rgb(127,201,127)'],
        [0.03529, 'rgb(127,201,127)'],
        [0.03922, 'rgb(127,201,127)'],
        [0.04314, 'rgb(127,201,127)'],
        [0.04706, 'rgb(127,201,127)'],
        [0.05098, 'rgb(127,201,127)'],
        [0.0549, 'rgb(127,201,127)'],
        [0.05882, 'rgb(127,201,127)'],
        [0.06275, 'rgb(127,201,127)'],
        [0.06667, 'rgb(127,201,127)'],
        [0.07059, 'rgb(127,201,127)'],
        [0.07451, 'rgb(127,201,127)'],
        [0.07843, 'rgb(127,201,127)'],
        [0.08235, 'rgb(127,201,127)'],
        [0.08627, 'rgb(127,201,127)'],
        [0.0902, 'rgb(127,201,127)'],
        [0.09412, 'rgb(127,201,127)'],
        [0.09804, 'rgb(127,201,127)'],
        [0.10196, 'rgb(127,201,127)'],
        [0.10588, 'rgb(127,201,127)'],
        [0.1098, 'rgb(127,201,127)'],
        [0.11373, 'rgb(127,201,127)'],
        [0.11765, 'rgb(127,201,127)'],
        [0.12157, 'rgb(127,201,127)'],
        [0.12549, 'rgb(190,174,212)'],
        [0.12941, 'rgb(190,174,212)'],
        [0.13333, 'rgb(190,174,212)'],
        [0.13725, 'rgb(190,174,212)'],
        [0.14118, 'rgb(190,174,212)'],
        [0.1451, 'rgb(190,174,212)'],
        [0.14902, 'rgb(190,174,212)'],
        [0.15294, 'rgb(190,174,212)'],
        [0.15686, 'rgb(190,174,212)'],
        [0.16078, 'rgb(190,174,212)'],
        [0.16471, 'rgb(190,174,212)'],
        [0.16863, 'rgb(190,174,212)'],
        [0.17255, 'rgb(190,174,212)'],
        [0.17647, 'rgb(190,174,212)'],
        [0.18039, 'rgb(190,174,212)'],
        [0.18431, 'rgb(190,174,212)'],
        [0.18824, 'rgb(190,174,212)'],
        [0.19216, 'rgb(190,174,212)'],
        [0.19608, 'rgb(190,174,212)'],
        [0.2, 'rgb(190,174,212)'],
        [0.20392, 'rgb(190,174,212)'],
        [0.20784, 'rgb(190,174,212)'],
        [0.21176, 'rgb(190,174,212)'],
        [0.21569, 'rgb(190,174,212)'],
        [0.21961, 'rgb(190,174,212)'],
        [0.22353, 'rgb(190,174,212)'],
        [0.22745, 'rgb(190,174,212)'],
        [0.23137, 'rgb(190,174,212)'],
        [0.23529, 'rgb(190,174,212)'],
        [0.23922, 'rgb(190,174,212)'],
        [0.24314, 'rgb(190,174,212)'],
        [0.24706, 'rgb(190,174,212)'],
        [0.25098, 'rgb(253,192,134)'],
        [0.2549, 'rgb(253,192,134)'],
        [0.25882, 'rgb(253,192,134)'],
        [0.26275, 'rgb(253,192,134)'],
        [0.26667, 'rgb(253,192,134)'],
        [0.27059, 'rgb(253,192,134)'],
        [0.27451, 'rgb(253,192,134)'],
        [0.27843, 'rgb(253,192,134)'],
        [0.28235, 'rgb(253,192,134)'],
        [0.28627, 'rgb(253,192,134)'],
        [0.2902, 'rgb(253,192,134)'],
        [0.29412, 'rgb(253,192,134)'],
        [0.29804, 'rgb(253,192,134)'],
        [0.30196, 'rgb(253,192,134)'],
        [0.30588, 'rgb(253,192,134)'],
        [0.3098, 'rgb(253,192,134)'],
        [0.31373, 'rgb(253,192,134)'],
        [0.31765, 'rgb(253,192,134)'],
        [0.32157, 'rgb(253,192,134)'],
        [0.32549, 'rgb(253,192,134)'],
        [0.32941, 'rgb(253,192,134)'],
        [0.33333, 'rgb(253,192,134)'],
        [0.33725, 'rgb(253,192,134)'],
        [0.34118, 'rgb(253,192,134)'],
        [0.3451, 'rgb(253,192,134)'],
        [0.34902, 'rgb(253,192,134)'],
        [0.35294, 'rgb(253,192,134)'],
        [0.35686, 'rgb(253,192,134)'],
        [0.36078, 'rgb(253,192,134)'],
        [0.36471, 'rgb(253,192,134)'],
        [0.36863, 'rgb(253,192,134)'],
        [0.37255, 'rgb(253,192,134)'],
        [0.37647, 'rgb(255,255,153)'],
        [0.38039, 'rgb(255,255,153)'],
        [0.38431, 'rgb(255,255,153)'],
        [0.38824, 'rgb(255,255,153)'],
        [0.39216, 'rgb(255,255,153)'],
        [0.39608, 'rgb(255,255,153)'],
        [0.4, 'rgb(255,255,153)'],
        [0.40392, 'rgb(255,255,153)'],
        [0.40784, 'rgb(255,255,153)'],
        [0.41176, 'rgb(255,255,153)'],
        [0.41569, 'rgb(255,255,153)'],
        [0.41961, 'rgb(255,255,153)'],
        [0.42353, 'rgb(255,255,153)'],
        [0.42745, 'rgb(255,255,153)'],
        [0.43137, 'rgb(255,255,153)'],
        [0.43529, 'rgb(255,255,153)'],
        [0.43922, 'rgb(255,255,153)'],
        [0.44314, 'rgb(255,255,153)'],
        [0.44706, 'rgb(255,255,153)'],
        [0.45098, 'rgb(255,255,153)'],
        [0.4549, 'rgb(255,255,153)'],
        [0.45882, 'rgb(255,255,153)'],
        [0.46275, 'rgb(255,255,153)'],
        [0.46667, 'rgb(255,255,153)'],
        [0.47059, 'rgb(255,255,153)'],
        [0.47451, 'rgb(255,255,153)'],
        [0.47843, 'rgb(255,255,153)'],
        [0.48235, 'rgb(255,255,153)'],
        [0.48627, 'rgb(255,255,153)'],
        [0.4902, 'rgb(255,255,153)'],
        [0.49412, 'rgb(255,255,153)'],
        [0.49804, 'rgb(255,255,153)'],
        [0.50196, 'rgb(56,108,176)'],
        [0.50588, 'rgb(56,108,176)'],
        [0.5098, 'rgb(56,108,176)'],
        [0.51373, 'rgb(56,108,176)'],
        [0.51765, 'rgb(56,108,176)'],
        [0.52157, 'rgb(56,108,176)'],
        [0.52549, 'rgb(56,108,176)'],
        [0.52941, 'rgb(56,108,176)'],
        [0.53333, 'rgb(56,108,176)'],
        [0.53725, 'rgb(56,108,176)'],
        [0.54118, 'rgb(56,108,176)'],
        [0.5451, 'rgb(56,108,176)'],
        [0.54902, 'rgb(56,108,176)'],
        [0.55294, 'rgb(56,108,176)'],
        [0.55686, 'rgb(56,108,176)'],
        [0.56078, 'rgb(56,108,176)'],
        [0.56471, 'rgb(56,108,176)'],
        [0.56863, 'rgb(56,108,176)'],
        [0.57255, 'rgb(56,108,176)'],
        [0.57647, 'rgb(56,108,176)'],
        [0.58039, 'rgb(56,108,176)'],
        [0.58431, 'rgb(56,108,176)'],
        [0.58824, 'rgb(56,108,176)'],
        [0.59216, 'rgb(56,108,176)'],
        [0.59608, 'rgb(56,108,176)'],
        [0.6, 'rgb(56,108,176)'],
        [0.60392, 'rgb(56,108,176)'],
        [0.60784, 'rgb(56,108,176)'],
        [0.61176, 'rgb(56,108,176)'],
        [0.61569, 'rgb(56,108,176)'],
        [0.61961, 'rgb(56,108,176)'],
        [0.62353, 'rgb(56,108,176)'],
        [0.62745, 'rgb(240,2,127)'],
        [0.63137, 'rgb(240,2,127)'],
        [0.63529, 'rgb(240,2,127)'],
        [0.63922, 'rgb(240,2,127)'],
        [0.64314, 'rgb(240,2,127)'],
        [0.64706, 'rgb(240,2,127)'],
        [0.65098, 'rgb(240,2,127)'],
        [0.6549, 'rgb(240,2,127)'],
        [0.65882, 'rgb(240,2,127)'],
        [0.66275, 'rgb(240,2,127)'],
        [0.66667, 'rgb(240,2,127)'],
        [0.67059, 'rgb(240,2,127)'],
        [0.67451, 'rgb(240,2,127)'],
        [0.67843, 'rgb(240,2,127)'],
        [0.68235, 'rgb(240,2,127)'],
        [0.68627, 'rgb(240,2,127)'],
        [0.6902, 'rgb(240,2,127)'],
        [0.69412, 'rgb(240,2,127)'],
        [0.69804, 'rgb(240,2,127)'],
        [0.70196, 'rgb(240,2,127)'],
        [0.70588, 'rgb(240,2,127)'],
        [0.7098, 'rgb(240,2,127)'],
        [0.71373, 'rgb(240,2,127)'],
        [0.71765, 'rgb(240,2,127)'],
        [0.72157, 'rgb(240,2,127)'],
        [0.72549, 'rgb(240,2,127)'],
        [0.72941, 'rgb(240,2,127)'],
        [0.73333, 'rgb(240,2,127)'],
        [0.73725, 'rgb(240,2,127)'],
        [0.74118, 'rgb(240,2,127)'],
        [0.7451, 'rgb(240,2,127)'],
        [0.74902, 'rgb(240,2,127)'],
        [0.75294, 'rgb(191,91,22)'],
        [0.75686, 'rgb(191,91,22)'],
        [0.76078, 'rgb(191,91,22)'],
        [0.76471, 'rgb(191,91,22)'],
        [0.76863, 'rgb(191,91,22)'],
        [0.77255, 'rgb(191,91,22)'],
        [0.77647, 'rgb(191,91,22)'],
        [0.78039, 'rgb(191,91,22)'],
        [0.78431, 'rgb(191,91,22)'],
        [0.78824, 'rgb(191,91,22)'],
        [0.79216, 'rgb(191,91,22)'],
        [0.79608, 'rgb(191,91,22)'],
        [0.8, 'rgb(191,91,22)'],
        [0.80392, 'rgb(191,91,22)'],
        [0.80784, 'rgb(191,91,22)'],
        [0.81176, 'rgb(191,91,22)'],
        [0.81569, 'rgb(191,91,22)'],
        [0.81961, 'rgb(191,91,22)'],
        [0.82353, 'rgb(191,91,22)'],
        [0.82745, 'rgb(191,91,22)'],
        [0.83137, 'rgb(191,91,22)'],
        [0.83529, 'rgb(191,91,22)'],
        [0.83922, 'rgb(191,91,22)'],
        [0.84314, 'rgb(191,91,22)'],
        [0.84706, 'rgb(191,91,22)'],
        [0.85098, 'rgb(191,91,22)'],
        [0.8549, 'rgb(191,91,22)'],
        [0.85882, 'rgb(191,91,22)'],
        [0.86275, 'rgb(191,91,22)'],
        [0.86667, 'rgb(191,91,22)'],
        [0.87059, 'rgb(191,91,22)'],
        [0.87451, 'rgb(191,91,22)'],
        [0.87843, 'rgb(102,102,102)'],
        [0.88235, 'rgb(102,102,102)'],
        [0.88627, 'rgb(102,102,102)'],
        [0.8902, 'rgb(102,102,102)'],
        [0.89412, 'rgb(102,102,102)'],
        [0.89804, 'rgb(102,102,102)'],
        [0.90196, 'rgb(102,102,102)'],
        [0.90588, 'rgb(102,102,102)'],
        [0.9098, 'rgb(102,102,102)'],
        [0.91373, 'rgb(102,102,102)'],
        [0.91765, 'rgb(102,102,102)'],
        [0.92157, 'rgb(102,102,102)'],
        [0.92549, 'rgb(102,102,102)'],
        [0.92941, 'rgb(102,102,102)'],
        [0.93333, 'rgb(102,102,102)'],
        [0.93725, 'rgb(102,102,102)'],
        [0.94118, 'rgb(102,102,102)'],
        [0.9451, 'rgb(102,102,102)'],
        [0.94902, 'rgb(102,102,102)'],
        [0.95294, 'rgb(102,102,102)'],
        [0.95686, 'rgb(102,102,102)'],
        [0.96078, 'rgb(102,102,102)'],
        [0.96471, 'rgb(102,102,102)'],
        [0.96863, 'rgb(102,102,102)'],
        [0.97255, 'rgb(102,102,102)'],
        [0.97647, 'rgb(102,102,102)'],
        [0.98039, 'rgb(102,102,102)'],
        [0.98431, 'rgb(102,102,102)'],
        [0.98824, 'rgb(102,102,102)'],
        [0.99216, 'rgb(102,102,102)'],
        [0.99608, 'rgb(102,102,102)'],
        [1.0, 'rgb(102,102,102)'],
    ],
    'cmrmap': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392, 'rgb(1,1,4)'],
        [0.00784, 'rgb(2,2,8)'],
        [0.01176, 'rgb(3,3,12)'],
        [0.01569, 'rgb(4,4,16)'],
        [0.01961, 'rgb(6,6,20)'],
        [0.02353, 'rgb(7,7,24)'],
        [0.02745, 'rgb(8,8,28)'],
        [0.03137, 'rgb(9,9,32)'],
        [0.03529, 'rgb(10,10,36)'],
        [0.03922, 'rgb(12,12,40)'],
        [0.04314, 'rgb(13,13,44)'],
        [0.04706, 'rgb(14,14,48)'],
        [0.05098, 'rgb(15,15,52)'],
        [0.0549, 'rgb(16,16,56)'],
        [0.05882, 'rgb(18,18,60)'],
        [0.06275, 'rgb(19,19,64)'],
        [0.06667, 'rgb(20,20,68)'],
        [0.07059, 'rgb(21,21,72)'],
        [0.07451, 'rgb(22,22,76)'],
        [0.07843, 'rgb(24,24,80)'],
        [0.08235, 'rgb(25,25,84)'],
        [0.08627, 'rgb(26,26,88)'],
        [0.0902, 'rgb(27,27,92)'],
        [0.09412, 'rgb(28,28,96)'],
        [0.09804, 'rgb(30,30,100)'],
        [0.10196, 'rgb(31,31,104)'],
        [0.10588, 'rgb(32,32,108)'],
        [0.1098, 'rgb(33,33,112)'],
        [0.11373, 'rgb(34,34,116)'],
        [0.11765, 'rgb(36,36,120)'],
        [0.12157, 'rgb(37,37,124)'],
        [0.12549, 'rgb(38,38,127)'],
        [0.12941, 'rgb(39,38,129)'],
        [0.13333, 'rgb(40,38,131)'],
        [0.13725, 'rgb(42,38,133)'],
        [0.14118, 'rgb(43,38,135)'],
        [0.1451, 'rgb(44,38,137)'],
        [0.14902, 'rgb(45,38,139)'],
        [0.15294, 'rgb(46,38,141)'],
        [0.15686, 'rgb(48,38,143)'],
        [0.16078, 'rgb(49,38,145)'],
        [0.16471, 'rgb(50,38,147)'],
        [0.16863, 'rgb(51,38,149)'],
        [0.17255, 'rgb(52,38,151)'],
        [0.17647, 'rgb(53,38,153)'],
        [0.18039, 'rgb(55,38,155)'],
        [0.18431, 'rgb(56,38,157)'],
        [0.18824, 'rgb(57,38,159)'],
        [0.19216, 'rgb(58,38,161)'],
        [0.19608, 'rgb(60,38,163)'],
        [0.2, 'rgb(61,38,165)'],
        [0.20392, 'rgb(62,38,167)'],
        [0.20784, 'rgb(63,38,169)'],
        [0.21176, 'rgb(64,38,171)'],
        [0.21569, 'rgb(65,38,173)'],
        [0.21961, 'rgb(67,38,175)'],
        [0.22353, 'rgb(68,38,177)'],
        [0.22745, 'rgb(69,38,179)'],
        [0.23137, 'rgb(70,38,181)'],
        [0.23529, 'rgb(72,38,183)'],
        [0.23922, 'rgb(73,38,185)'],
        [0.24314, 'rgb(74,38,187)'],
        [0.24706, 'rgb(75,38,189)'],
        [0.25098, 'rgb(77,38,190)'],
        [0.2549, 'rgb(79,38,188)'],
        [0.25882, 'rgb(81,39,186)'],
        [0.26275, 'rgb(84,39,184)'],
        [0.26667, 'rgb(86,39,182)'],
        [0.27059, 'rgb(89,40,180)'],
        [0.27451, 'rgb(91,40,178)'],
        [0.27843, 'rgb(93,41,176)'],
        [0.28235, 'rgb(96,41,174)'],
        [0.28627, 'rgb(98,41,172)'],
        [0.2902, 'rgb(101,42,170)'],
        [0.29412, 'rgb(103,42,168)'],
        [0.29804, 'rgb(105,43,166)'],
        [0.30196, 'rgb(108,43,164)'],
        [0.30588, 'rgb(110,43,162)'],
        [0.3098, 'rgb(113,44,160)'],
        [0.31373, 'rgb(115,44,158)'],
        [0.31765, 'rgb(117,45,156)'],
        [0.32157, 'rgb(120,45,154)'],
        [0.32549, 'rgb(122,45,152)'],
        [0.32941, 'rgb(125,46,150)'],
        [0.33333, 'rgb(127,46,148)'],
        [0.33725, 'rgb(129,47,146)'],
        [0.34118, 'rgb(132,47,144)'],
        [0.3451, 'rgb(134,47,142)'],
        [0.34902, 'rgb(137,48,140)'],
        [0.35294, 'rgb(139,48,138)'],
        [0.35686, 'rgb(141,49,136)'],
        [0.36078, 'rgb(144,49,134)'],
        [0.36471, 'rgb(146,49,132)'],
        [0.36863, 'rgb(149,50,130)'],
        [0.37255, 'rgb(151,50,128)'],
        [0.37647, 'rgb(154,51,126)'],
        [0.38039, 'rgb(157,51,123)'],
        [0.38431, 'rgb(160,51,120)'],
        [0.38824, 'rgb(163,52,118)'],
        [0.39216, 'rgb(167,52,115)'],
        [0.39608, 'rgb(170,53,112)'],
        [0.4, 'rgb(173,53,109)'],
        [0.40392, 'rgb(176,53,106)'],
        [0.40784, 'rgb(179,54,104)'],
        [0.41176, 'rgb(183,54,101)'],
        [0.41569, 'rgb(186,55,98)'],
        [0.41961, 'rgb(189,55,95)'],
        [0.42353, 'rgb(192,55,92)'],
        [0.42745, 'rgb(195,56,90)'],
        [0.43137, 'rgb(199,56,87)'],
        [0.43529, 'rgb(202,57,84)'],
        [0.43922, 'rgb(205,57,81)'],
        [0.44314, 'rgb(208,57,78)'],
        [0.44706, 'rgb(211,58,76)'],
        [0.45098, 'rgb(215,58,73)'],
        [0.4549, 'rgb(218,59,70)'],
        [0.45882, 'rgb(221,59,67)'],
        [0.46275, 'rgb(224,59,64)'],
        [0.46667, 'rgb(227,60,62)'],
        [0.47059, 'rgb(231,60,59)'],
        [0.47451, 'rgb(234,61,56)'],
        [0.47843, 'rgb(237,61,53)'],
        [0.48235, 'rgb(240,61,50)'],
        [0.48627, 'rgb(243,62,48)'],
        [0.4902, 'rgb(247,62,45)'],
        [0.49412, 'rgb(250,63,42)'],
        [0.49804, 'rgb(253,63,39)'],
        [0.50196, 'rgb(254,64,37)'],
        [0.50588, 'rgb(253,66,36)'],
        [0.5098, 'rgb(253,68,35)'],
        [0.51373, 'rgb(252,70,34)'],
        [0.51765, 'rgb(251,72,32)'],
        [0.52157, 'rgb(250,74,31)'],
        [0.52549, 'rgb(249,76,30)'],
        [0.52941, 'rgb(249,78,29)'],
        [0.53333, 'rgb(248,80,28)'],
        [0.53725, 'rgb(247,82,26)'],
        [0.54118, 'rgb(246,84,25)'],
        [0.5451, 'rgb(245,86,24)'],
        [0.54902, 'rgb(245,88,23)'],
        [0.55294, 'rgb(244,90,22)'],
        [0.55686, 'rgb(243,92,20)'],
        [0.56078, 'rgb(242,94,19)'],
        [0.56471, 'rgb(241,96,18)'],
        [0.56863, 'rgb(241,98,17)'],
        [0.57255, 'rgb(240,100,16)'],
        [0.57647, 'rgb(239,102,14)'],
        [0.58039, 'rgb(238,104,13)'],
        [0.58431, 'rgb(237,106,12)'],
        [0.58824, 'rgb(237,108,11)'],
        [0.59216, 'rgb(236,110,10)'],
        [0.59608, 'rgb(235,112,8)'],
        [0.6, 'rgb(234,114,7)'],
        [0.60392, 'rgb(233,116,6)'],
        [0.60784, 'rgb(233,118,5)'],
        [0.61176, 'rgb(232,120,4)'],
        [0.61569, 'rgb(231,122,2)'],
        [0.61961, 'rgb(230,124,1)'],
        [0.62353, 'rgb(229,126,0)'],
        [0.62745, 'rgb(229,128,0)'],
        [0.63137, 'rgb(229,130,1)'],
        [0.63529, 'rgb(229,132,2)'],
        [0.63922, 'rgb(229,134,2)'],
        [0.64314, 'rgb(229,136,3)'],
        [0.64706, 'rgb(229,138,4)'],
        [0.65098, 'rgb(229,140,5)'],
        [0.6549, 'rgb(229,142,6)'],
        [0.65882, 'rgb(229,144,6)'],
        [0.66275, 'rgb(229,146,7)'],
        [0.66667, 'rgb(229,148,8)'],
        [0.67059, 'rgb(229,150,9)'],
        [0.67451, 'rgb(229,152,10)'],
        [0.67843, 'rgb(229,154,10)'],
        [0.68235, 'rgb(229,156,11)'],
        [0.68627, 'rgb(229,158,12)'],
        [0.6902, 'rgb(229,160,13)'],
        [0.69412, 'rgb(229,162,14)'],
        [0.69804, 'rgb(229,164,14)'],
        [0.70196, 'rgb(229,166,15)'],
        [0.70588, 'rgb(229,168,16)'],
        [0.7098, 'rgb(229,170,17)'],
        [0.71373, 'rgb(229,172,18)'],
        [0.71765, 'rgb(229,174,18)'],
        [0.72157, 'rgb(229,176,19)'],
        [0.72549, 'rgb(229,178,20)'],
        [0.72941, 'rgb(229,180,21)'],
        [0.73333, 'rgb(229,182,22)'],
        [0.73725, 'rgb(229,184,22)'],
        [0.74118, 'rgb(229,186,23)'],
        [0.7451, 'rgb(229,188,24)'],
        [0.74902, 'rgb(229,190,25)'],
        [0.75294, 'rgb(229,192,27)'],
        [0.75686, 'rgb(229,193,31)'],
        [0.76078, 'rgb(229,194,34)'],
        [0.76471, 'rgb(229,195,37)'],
        [0.76863, 'rgb(229,196,40)'],
        [0.77255, 'rgb(229,198,43)'],
        [0.77647, 'rgb(229,199,47)'],
        [0.78039, 'rgb(229,200,50)'],
        [0.78431, 'rgb(229,201,53)'],
        [0.78824, 'rgb(229,202,56)'],
        [0.79216, 'rgb(229,204,59)'],
        [0.79608, 'rgb(229,205,63)'],
        [0.8, 'rgb(229,206,66)'],
        [0.80392, 'rgb(229,207,69)'],
        [0.80784, 'rgb(229,208,72)'],
        [0.81176, 'rgb(229,210,75)'],
        [0.81569, 'rgb(229,211,79)'],
        [0.81961, 'rgb(229,212,82)'],
        [0.82353, 'rgb(229,213,85)'],
        [0.82745, 'rgb(229,214,88)'],
        [0.83137, 'rgb(229,216,91)'],
        [0.83529, 'rgb(229,217,95)'],
        [0.83922, 'rgb(229,218,98)'],
        [0.84314, 'rgb(229,219,101)'],
        [0.84706, 'rgb(229,220,104)'],
        [0.85098, 'rgb(229,222,107)'],
        [0.8549, 'rgb(229,223,111)'],
        [0.85882, 'rgb(229,224,114)'],
        [0.86275, 'rgb(229,225,117)'],
        [0.86667, 'rgb(229,226,120)'],
        [0.87059, 'rgb(229,228,123)'],
        [0.87451, 'rgb(229,229,127)'],
        [0.87843, 'rgb(230,230,131)'],
        [0.88235, 'rgb(231,231,135)'],
        [0.88627, 'rgb(231,231,139)'],
        [0.8902, 'rgb(232,232,143)'],
        [0.89412, 'rgb(233,233,146)'],
        [0.89804, 'rgb(234,234,151)'],
        [0.90196, 'rgb(235,235,155)'],
        [0.90588, 'rgb(235,235,159)'],
        [0.9098, 'rgb(236,236,163)'],
        [0.91373, 'rgb(237,237,167)'],
        [0.91765, 'rgb(238,238,171)'],
        [0.92157, 'rgb(239,239,175)'],
        [0.92549, 'rgb(239,239,179)'],
        [0.92941, 'rgb(240,240,183)'],
        [0.93333, 'rgb(241,241,187)'],
        [0.93725, 'rgb(242,242,191)'],
        [0.94118, 'rgb(243,243,195)'],
        [0.9451, 'rgb(243,243,199)'],
        [0.94902, 'rgb(244,244,203)'],
        [0.95294, 'rgb(245,245,207)'],
        [0.95686, 'rgb(246,246,210)'],
        [0.96078, 'rgb(247,247,215)'],
        [0.96471, 'rgb(247,247,219)'],
        [0.96863, 'rgb(248,248,223)'],
        [0.97255, 'rgb(249,249,227)'],
        [0.97647, 'rgb(250,250,231)'],
        [0.98039, 'rgb(251,251,235)'],
        [0.98431, 'rgb(251,251,239)'],
        [0.98824, 'rgb(252,252,243)'],
        [0.99216, 'rgb(253,253,247)'],
        [0.99608, 'rgb(254,254,251)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'dark2': [
        [0.0, 'rgb(27,158,119)'],
        [0.00392, 'rgb(27,158,119)'],
        [0.00784, 'rgb(27,158,119)'],
        [0.01176, 'rgb(27,158,119)'],
        [0.01569, 'rgb(27,158,119)'],
        [0.01961, 'rgb(27,158,119)'],
        [0.02353, 'rgb(27,158,119)'],
        [0.02745, 'rgb(27,158,119)'],
        [0.03137, 'rgb(27,158,119)'],
        [0.03529, 'rgb(27,158,119)'],
        [0.03922, 'rgb(27,158,119)'],
        [0.04314, 'rgb(27,158,119)'],
        [0.04706, 'rgb(27,158,119)'],
        [0.05098, 'rgb(27,158,119)'],
        [0.0549, 'rgb(27,158,119)'],
        [0.05882, 'rgb(27,158,119)'],
        [0.06275, 'rgb(27,158,119)'],
        [0.06667, 'rgb(27,158,119)'],
        [0.07059, 'rgb(27,158,119)'],
        [0.07451, 'rgb(27,158,119)'],
        [0.07843, 'rgb(27,158,119)'],
        [0.08235, 'rgb(27,158,119)'],
        [0.08627, 'rgb(27,158,119)'],
        [0.0902, 'rgb(27,158,119)'],
        [0.09412, 'rgb(27,158,119)'],
        [0.09804, 'rgb(27,158,119)'],
        [0.10196, 'rgb(27,158,119)'],
        [0.10588, 'rgb(27,158,119)'],
        [0.1098, 'rgb(27,158,119)'],
        [0.11373, 'rgb(27,158,119)'],
        [0.11765, 'rgb(27,158,119)'],
        [0.12157, 'rgb(27,158,119)'],
        [0.12549, 'rgb(217,95,2)'],
        [0.12941, 'rgb(217,95,2)'],
        [0.13333, 'rgb(217,95,2)'],
        [0.13725, 'rgb(217,95,2)'],
        [0.14118, 'rgb(217,95,2)'],
        [0.1451, 'rgb(217,95,2)'],
        [0.14902, 'rgb(217,95,2)'],
        [0.15294, 'rgb(217,95,2)'],
        [0.15686, 'rgb(217,95,2)'],
        [0.16078, 'rgb(217,95,2)'],
        [0.16471, 'rgb(217,95,2)'],
        [0.16863, 'rgb(217,95,2)'],
        [0.17255, 'rgb(217,95,2)'],
        [0.17647, 'rgb(217,95,2)'],
        [0.18039, 'rgb(217,95,2)'],
        [0.18431, 'rgb(217,95,2)'],
        [0.18824, 'rgb(217,95,2)'],
        [0.19216, 'rgb(217,95,2)'],
        [0.19608, 'rgb(217,95,2)'],
        [0.2, 'rgb(217,95,2)'],
        [0.20392, 'rgb(217,95,2)'],
        [0.20784, 'rgb(217,95,2)'],
        [0.21176, 'rgb(217,95,2)'],
        [0.21569, 'rgb(217,95,2)'],
        [0.21961, 'rgb(217,95,2)'],
        [0.22353, 'rgb(217,95,2)'],
        [0.22745, 'rgb(217,95,2)'],
        [0.23137, 'rgb(217,95,2)'],
        [0.23529, 'rgb(217,95,2)'],
        [0.23922, 'rgb(217,95,2)'],
        [0.24314, 'rgb(217,95,2)'],
        [0.24706, 'rgb(217,95,2)'],
        [0.25098, 'rgb(117,112,179)'],
        [0.2549, 'rgb(117,112,179)'],
        [0.25882, 'rgb(117,112,179)'],
        [0.26275, 'rgb(117,112,179)'],
        [0.26667, 'rgb(117,112,179)'],
        [0.27059, 'rgb(117,112,179)'],
        [0.27451, 'rgb(117,112,179)'],
        [0.27843, 'rgb(117,112,179)'],
        [0.28235, 'rgb(117,112,179)'],
        [0.28627, 'rgb(117,112,179)'],
        [0.2902, 'rgb(117,112,179)'],
        [0.29412, 'rgb(117,112,179)'],
        [0.29804, 'rgb(117,112,179)'],
        [0.30196, 'rgb(117,112,179)'],
        [0.30588, 'rgb(117,112,179)'],
        [0.3098, 'rgb(117,112,179)'],
        [0.31373, 'rgb(117,112,179)'],
        [0.31765, 'rgb(117,112,179)'],
        [0.32157, 'rgb(117,112,179)'],
        [0.32549, 'rgb(117,112,179)'],
        [0.32941, 'rgb(117,112,179)'],
        [0.33333, 'rgb(117,112,179)'],
        [0.33725, 'rgb(117,112,179)'],
        [0.34118, 'rgb(117,112,179)'],
        [0.3451, 'rgb(117,112,179)'],
        [0.34902, 'rgb(117,112,179)'],
        [0.35294, 'rgb(117,112,179)'],
        [0.35686, 'rgb(117,112,179)'],
        [0.36078, 'rgb(117,112,179)'],
        [0.36471, 'rgb(117,112,179)'],
        [0.36863, 'rgb(117,112,179)'],
        [0.37255, 'rgb(117,112,179)'],
        [0.37647, 'rgb(231,41,138)'],
        [0.38039, 'rgb(231,41,138)'],
        [0.38431, 'rgb(231,41,138)'],
        [0.38824, 'rgb(231,41,138)'],
        [0.39216, 'rgb(231,41,138)'],
        [0.39608, 'rgb(231,41,138)'],
        [0.4, 'rgb(231,41,138)'],
        [0.40392, 'rgb(231,41,138)'],
        [0.40784, 'rgb(231,41,138)'],
        [0.41176, 'rgb(231,41,138)'],
        [0.41569, 'rgb(231,41,138)'],
        [0.41961, 'rgb(231,41,138)'],
        [0.42353, 'rgb(231,41,138)'],
        [0.42745, 'rgb(231,41,138)'],
        [0.43137, 'rgb(231,41,138)'],
        [0.43529, 'rgb(231,41,138)'],
        [0.43922, 'rgb(231,41,138)'],
        [0.44314, 'rgb(231,41,138)'],
        [0.44706, 'rgb(231,41,138)'],
        [0.45098, 'rgb(231,41,138)'],
        [0.4549, 'rgb(231,41,138)'],
        [0.45882, 'rgb(231,41,138)'],
        [0.46275, 'rgb(231,41,138)'],
        [0.46667, 'rgb(231,41,138)'],
        [0.47059, 'rgb(231,41,138)'],
        [0.47451, 'rgb(231,41,138)'],
        [0.47843, 'rgb(231,41,138)'],
        [0.48235, 'rgb(231,41,138)'],
        [0.48627, 'rgb(231,41,138)'],
        [0.4902, 'rgb(231,41,138)'],
        [0.49412, 'rgb(231,41,138)'],
        [0.49804, 'rgb(231,41,138)'],
        [0.50196, 'rgb(102,166,30)'],
        [0.50588, 'rgb(102,166,30)'],
        [0.5098, 'rgb(102,166,30)'],
        [0.51373, 'rgb(102,166,30)'],
        [0.51765, 'rgb(102,166,30)'],
        [0.52157, 'rgb(102,166,30)'],
        [0.52549, 'rgb(102,166,30)'],
        [0.52941, 'rgb(102,166,30)'],
        [0.53333, 'rgb(102,166,30)'],
        [0.53725, 'rgb(102,166,30)'],
        [0.54118, 'rgb(102,166,30)'],
        [0.5451, 'rgb(102,166,30)'],
        [0.54902, 'rgb(102,166,30)'],
        [0.55294, 'rgb(102,166,30)'],
        [0.55686, 'rgb(102,166,30)'],
        [0.56078, 'rgb(102,166,30)'],
        [0.56471, 'rgb(102,166,30)'],
        [0.56863, 'rgb(102,166,30)'],
        [0.57255, 'rgb(102,166,30)'],
        [0.57647, 'rgb(102,166,30)'],
        [0.58039, 'rgb(102,166,30)'],
        [0.58431, 'rgb(102,166,30)'],
        [0.58824, 'rgb(102,166,30)'],
        [0.59216, 'rgb(102,166,30)'],
        [0.59608, 'rgb(102,166,30)'],
        [0.6, 'rgb(102,166,30)'],
        [0.60392, 'rgb(102,166,30)'],
        [0.60784, 'rgb(102,166,30)'],
        [0.61176, 'rgb(102,166,30)'],
        [0.61569, 'rgb(102,166,30)'],
        [0.61961, 'rgb(102,166,30)'],
        [0.62353, 'rgb(102,166,30)'],
        [0.62745, 'rgb(230,171,2)'],
        [0.63137, 'rgb(230,171,2)'],
        [0.63529, 'rgb(230,171,2)'],
        [0.63922, 'rgb(230,171,2)'],
        [0.64314, 'rgb(230,171,2)'],
        [0.64706, 'rgb(230,171,2)'],
        [0.65098, 'rgb(230,171,2)'],
        [0.6549, 'rgb(230,171,2)'],
        [0.65882, 'rgb(230,171,2)'],
        [0.66275, 'rgb(230,171,2)'],
        [0.66667, 'rgb(230,171,2)'],
        [0.67059, 'rgb(230,171,2)'],
        [0.67451, 'rgb(230,171,2)'],
        [0.67843, 'rgb(230,171,2)'],
        [0.68235, 'rgb(230,171,2)'],
        [0.68627, 'rgb(230,171,2)'],
        [0.6902, 'rgb(230,171,2)'],
        [0.69412, 'rgb(230,171,2)'],
        [0.69804, 'rgb(230,171,2)'],
        [0.70196, 'rgb(230,171,2)'],
        [0.70588, 'rgb(230,171,2)'],
        [0.7098, 'rgb(230,171,2)'],
        [0.71373, 'rgb(230,171,2)'],
        [0.71765, 'rgb(230,171,2)'],
        [0.72157, 'rgb(230,171,2)'],
        [0.72549, 'rgb(230,171,2)'],
        [0.72941, 'rgb(230,171,2)'],
        [0.73333, 'rgb(230,171,2)'],
        [0.73725, 'rgb(230,171,2)'],
        [0.74118, 'rgb(230,171,2)'],
        [0.7451, 'rgb(230,171,2)'],
        [0.74902, 'rgb(230,171,2)'],
        [0.75294, 'rgb(166,118,29)'],
        [0.75686, 'rgb(166,118,29)'],
        [0.76078, 'rgb(166,118,29)'],
        [0.76471, 'rgb(166,118,29)'],
        [0.76863, 'rgb(166,118,29)'],
        [0.77255, 'rgb(166,118,29)'],
        [0.77647, 'rgb(166,118,29)'],
        [0.78039, 'rgb(166,118,29)'],
        [0.78431, 'rgb(166,118,29)'],
        [0.78824, 'rgb(166,118,29)'],
        [0.79216, 'rgb(166,118,29)'],
        [0.79608, 'rgb(166,118,29)'],
        [0.8, 'rgb(166,118,29)'],
        [0.80392, 'rgb(166,118,29)'],
        [0.80784, 'rgb(166,118,29)'],
        [0.81176, 'rgb(166,118,29)'],
        [0.81569, 'rgb(166,118,29)'],
        [0.81961, 'rgb(166,118,29)'],
        [0.82353, 'rgb(166,118,29)'],
        [0.82745, 'rgb(166,118,29)'],
        [0.83137, 'rgb(166,118,29)'],
        [0.83529, 'rgb(166,118,29)'],
        [0.83922, 'rgb(166,118,29)'],
        [0.84314, 'rgb(166,118,29)'],
        [0.84706, 'rgb(166,118,29)'],
        [0.85098, 'rgb(166,118,29)'],
        [0.8549, 'rgb(166,118,29)'],
        [0.85882, 'rgb(166,118,29)'],
        [0.86275, 'rgb(166,118,29)'],
        [0.86667, 'rgb(166,118,29)'],
        [0.87059, 'rgb(166,118,29)'],
        [0.87451, 'rgb(166,118,29)'],
        [0.87843, 'rgb(102,102,102)'],
        [0.88235, 'rgb(102,102,102)'],
        [0.88627, 'rgb(102,102,102)'],
        [0.8902, 'rgb(102,102,102)'],
        [0.89412, 'rgb(102,102,102)'],
        [0.89804, 'rgb(102,102,102)'],
        [0.90196, 'rgb(102,102,102)'],
        [0.90588, 'rgb(102,102,102)'],
        [0.9098, 'rgb(102,102,102)'],
        [0.91373, 'rgb(102,102,102)'],
        [0.91765, 'rgb(102,102,102)'],
        [0.92157, 'rgb(102,102,102)'],
        [0.92549, 'rgb(102,102,102)'],
        [0.92941, 'rgb(102,102,102)'],
        [0.93333, 'rgb(102,102,102)'],
        [0.93725, 'rgb(102,102,102)'],
        [0.94118, 'rgb(102,102,102)'],
        [0.9451, 'rgb(102,102,102)'],
        [0.94902, 'rgb(102,102,102)'],
        [0.95294, 'rgb(102,102,102)'],
        [0.95686, 'rgb(102,102,102)'],
        [0.96078, 'rgb(102,102,102)'],
        [0.96471, 'rgb(102,102,102)'],
        [0.96863, 'rgb(102,102,102)'],
        [0.97255, 'rgb(102,102,102)'],
        [0.97647, 'rgb(102,102,102)'],
        [0.98039, 'rgb(102,102,102)'],
        [0.98431, 'rgb(102,102,102)'],
        [0.98824, 'rgb(102,102,102)'],
        [0.99216, 'rgb(102,102,102)'],
        [0.99608, 'rgb(102,102,102)'],
        [1.0, 'rgb(102,102,102)'],
    ],
    'paired': [
        [0.0, 'rgb(166,206,227)'],
        [0.00392, 'rgb(166,206,227)'],
        [0.00784, 'rgb(166,206,227)'],
        [0.01176, 'rgb(166,206,227)'],
        [0.01569, 'rgb(166,206,227)'],
        [0.01961, 'rgb(166,206,227)'],
        [0.02353, 'rgb(166,206,227)'],
        [0.02745, 'rgb(166,206,227)'],
        [0.03137, 'rgb(166,206,227)'],
        [0.03529, 'rgb(166,206,227)'],
        [0.03922, 'rgb(166,206,227)'],
        [0.04314, 'rgb(166,206,227)'],
        [0.04706, 'rgb(166,206,227)'],
        [0.05098, 'rgb(166,206,227)'],
        [0.0549, 'rgb(166,206,227)'],
        [0.05882, 'rgb(166,206,227)'],
        [0.06275, 'rgb(166,206,227)'],
        [0.06667, 'rgb(166,206,227)'],
        [0.07059, 'rgb(166,206,227)'],
        [0.07451, 'rgb(166,206,227)'],
        [0.07843, 'rgb(166,206,227)'],
        [0.08235, 'rgb(166,206,227)'],
        [0.08627, 'rgb(31,120,180)'],
        [0.0902, 'rgb(31,120,180)'],
        [0.09412, 'rgb(31,120,180)'],
        [0.09804, 'rgb(31,120,180)'],
        [0.10196, 'rgb(31,120,180)'],
        [0.10588, 'rgb(31,120,180)'],
        [0.1098, 'rgb(31,120,180)'],
        [0.11373, 'rgb(31,120,180)'],
        [0.11765, 'rgb(31,120,180)'],
        [0.12157, 'rgb(31,120,180)'],
        [0.12549, 'rgb(31,120,180)'],
        [0.12941, 'rgb(31,120,180)'],
        [0.13333, 'rgb(31,120,180)'],
        [0.13725, 'rgb(31,120,180)'],
        [0.14118, 'rgb(31,120,180)'],
        [0.1451, 'rgb(31,120,180)'],
        [0.14902, 'rgb(31,120,180)'],
        [0.15294, 'rgb(31,120,180)'],
        [0.15686, 'rgb(31,120,180)'],
        [0.16078, 'rgb(31,120,180)'],
        [0.16471, 'rgb(31,120,180)'],
        [0.16863, 'rgb(178,223,138)'],
        [0.17255, 'rgb(178,223,138)'],
        [0.17647, 'rgb(178,223,138)'],
        [0.18039, 'rgb(178,223,138)'],
        [0.18431, 'rgb(178,223,138)'],
        [0.18824, 'rgb(178,223,138)'],
        [0.19216, 'rgb(178,223,138)'],
        [0.19608, 'rgb(178,223,138)'],
        [0.2, 'rgb(178,223,138)'],
        [0.20392, 'rgb(178,223,138)'],
        [0.20784, 'rgb(178,223,138)'],
        [0.21176, 'rgb(178,223,138)'],
        [0.21569, 'rgb(178,223,138)'],
        [0.21961, 'rgb(178,223,138)'],
        [0.22353, 'rgb(178,223,138)'],
        [0.22745, 'rgb(178,223,138)'],
        [0.23137, 'rgb(178,223,138)'],
        [0.23529, 'rgb(178,223,138)'],
        [0.23922, 'rgb(178,223,138)'],
        [0.24314, 'rgb(178,223,138)'],
        [0.24706, 'rgb(178,223,138)'],
        [0.25098, 'rgb(51,160,44)'],
        [0.2549, 'rgb(51,160,44)'],
        [0.25882, 'rgb(51,160,44)'],
        [0.26275, 'rgb(51,160,44)'],
        [0.26667, 'rgb(51,160,44)'],
        [0.27059, 'rgb(51,160,44)'],
        [0.27451, 'rgb(51,160,44)'],
        [0.27843, 'rgb(51,160,44)'],
        [0.28235, 'rgb(51,160,44)'],
        [0.28627, 'rgb(51,160,44)'],
        [0.2902, 'rgb(51,160,44)'],
        [0.29412, 'rgb(51,160,44)'],
        [0.29804, 'rgb(51,160,44)'],
        [0.30196, 'rgb(51,160,44)'],
        [0.30588, 'rgb(51,160,44)'],
        [0.3098, 'rgb(51,160,44)'],
        [0.31373, 'rgb(51,160,44)'],
        [0.31765, 'rgb(51,160,44)'],
        [0.32157, 'rgb(51,160,44)'],
        [0.32549, 'rgb(51,160,44)'],
        [0.32941, 'rgb(51,160,44)'],
        [0.33333, 'rgb(51,160,44)'],
        [0.33725, 'rgb(251,154,153)'],
        [0.34118, 'rgb(251,154,153)'],
        [0.3451, 'rgb(251,154,153)'],
        [0.34902, 'rgb(251,154,153)'],
        [0.35294, 'rgb(251,154,153)'],
        [0.35686, 'rgb(251,154,153)'],
        [0.36078, 'rgb(251,154,153)'],
        [0.36471, 'rgb(251,154,153)'],
        [0.36863, 'rgb(251,154,153)'],
        [0.37255, 'rgb(251,154,153)'],
        [0.37647, 'rgb(251,154,153)'],
        [0.38039, 'rgb(251,154,153)'],
        [0.38431, 'rgb(251,154,153)'],
        [0.38824, 'rgb(251,154,153)'],
        [0.39216, 'rgb(251,154,153)'],
        [0.39608, 'rgb(251,154,153)'],
        [0.4, 'rgb(251,154,153)'],
        [0.40392, 'rgb(251,154,153)'],
        [0.40784, 'rgb(251,154,153)'],
        [0.41176, 'rgb(251,154,153)'],
        [0.41569, 'rgb(251,154,153)'],
        [0.41961, 'rgb(227,26,28)'],
        [0.42353, 'rgb(227,26,28)'],
        [0.42745, 'rgb(227,26,28)'],
        [0.43137, 'rgb(227,26,28)'],
        [0.43529, 'rgb(227,26,28)'],
        [0.43922, 'rgb(227,26,28)'],
        [0.44314, 'rgb(227,26,28)'],
        [0.44706, 'rgb(227,26,28)'],
        [0.45098, 'rgb(227,26,28)'],
        [0.4549, 'rgb(227,26,28)'],
        [0.45882, 'rgb(227,26,28)'],
        [0.46275, 'rgb(227,26,28)'],
        [0.46667, 'rgb(227,26,28)'],
        [0.47059, 'rgb(227,26,28)'],
        [0.47451, 'rgb(227,26,28)'],
        [0.47843, 'rgb(227,26,28)'],
        [0.48235, 'rgb(227,26,28)'],
        [0.48627, 'rgb(227,26,28)'],
        [0.4902, 'rgb(227,26,28)'],
        [0.49412, 'rgb(227,26,28)'],
        [0.49804, 'rgb(227,26,28)'],
        [0.50196, 'rgb(253,191,111)'],
        [0.50588, 'rgb(253,191,111)'],
        [0.5098, 'rgb(253,191,111)'],
        [0.51373, 'rgb(253,191,111)'],
        [0.51765, 'rgb(253,191,111)'],
        [0.52157, 'rgb(253,191,111)'],
        [0.52549, 'rgb(253,191,111)'],
        [0.52941, 'rgb(253,191,111)'],
        [0.53333, 'rgb(253,191,111)'],
        [0.53725, 'rgb(253,191,111)'],
        [0.54118, 'rgb(253,191,111)'],
        [0.5451, 'rgb(253,191,111)'],
        [0.54902, 'rgb(253,191,111)'],
        [0.55294, 'rgb(253,191,111)'],
        [0.55686, 'rgb(253,191,111)'],
        [0.56078, 'rgb(253,191,111)'],
        [0.56471, 'rgb(253,191,111)'],
        [0.56863, 'rgb(253,191,111)'],
        [0.57255, 'rgb(253,191,111)'],
        [0.57647, 'rgb(253,191,111)'],
        [0.58039, 'rgb(253,191,111)'],
        [0.58431, 'rgb(255,127,0)'],
        [0.58824, 'rgb(255,127,0)'],
        [0.59216, 'rgb(255,127,0)'],
        [0.59608, 'rgb(255,127,0)'],
        [0.6, 'rgb(255,127,0)'],
        [0.60392, 'rgb(255,127,0)'],
        [0.60784, 'rgb(255,127,0)'],
        [0.61176, 'rgb(255,127,0)'],
        [0.61569, 'rgb(255,127,0)'],
        [0.61961, 'rgb(255,127,0)'],
        [0.62353, 'rgb(255,127,0)'],
        [0.62745, 'rgb(255,127,0)'],
        [0.63137, 'rgb(255,127,0)'],
        [0.63529, 'rgb(255,127,0)'],
        [0.63922, 'rgb(255,127,0)'],
        [0.64314, 'rgb(255,127,0)'],
        [0.64706, 'rgb(255,127,0)'],
        [0.65098, 'rgb(255,127,0)'],
        [0.6549, 'rgb(255,127,0)'],
        [0.65882, 'rgb(255,127,0)'],
        [0.66275, 'rgb(255,127,0)'],
        [0.66667, 'rgb(202,178,214)'],
        [0.67059, 'rgb(202,178,214)'],
        [0.67451, 'rgb(202,178,214)'],
        [0.67843, 'rgb(202,178,214)'],
        [0.68235, 'rgb(202,178,214)'],
        [0.68627, 'rgb(202,178,214)'],
        [0.6902, 'rgb(202,178,214)'],
        [0.69412, 'rgb(202,178,214)'],
        [0.69804, 'rgb(202,178,214)'],
        [0.70196, 'rgb(202,178,214)'],
        [0.70588, 'rgb(202,178,214)'],
        [0.7098, 'rgb(202,178,214)'],
        [0.71373, 'rgb(202,178,214)'],
        [0.71765, 'rgb(202,178,214)'],
        [0.72157, 'rgb(202,178,214)'],
        [0.72549, 'rgb(202,178,214)'],
        [0.72941, 'rgb(202,178,214)'],
        [0.73333, 'rgb(202,178,214)'],
        [0.73725, 'rgb(202,178,214)'],
        [0.74118, 'rgb(202,178,214)'],
        [0.7451, 'rgb(202,178,214)'],
        [0.74902, 'rgb(202,178,214)'],
        [0.75294, 'rgb(106,61,154)'],
        [0.75686, 'rgb(106,61,154)'],
        [0.76078, 'rgb(106,61,154)'],
        [0.76471, 'rgb(106,61,154)'],
        [0.76863, 'rgb(106,61,154)'],
        [0.77255, 'rgb(106,61,154)'],
        [0.77647, 'rgb(106,61,154)'],
        [0.78039, 'rgb(106,61,154)'],
        [0.78431, 'rgb(106,61,154)'],
        [0.78824, 'rgb(106,61,154)'],
        [0.79216, 'rgb(106,61,154)'],
        [0.79608, 'rgb(106,61,154)'],
        [0.8, 'rgb(106,61,154)'],
        [0.80392, 'rgb(106,61,154)'],
        [0.80784, 'rgb(106,61,154)'],
        [0.81176, 'rgb(106,61,154)'],
        [0.81569, 'rgb(106,61,154)'],
        [0.81961, 'rgb(106,61,154)'],
        [0.82353, 'rgb(106,61,154)'],
        [0.82745, 'rgb(106,61,154)'],
        [0.83137, 'rgb(106,61,154)'],
        [0.83529, 'rgb(255,255,153)'],
        [0.83922, 'rgb(255,255,153)'],
        [0.84314, 'rgb(255,255,153)'],
        [0.84706, 'rgb(255,255,153)'],
        [0.85098, 'rgb(255,255,153)'],
        [0.8549, 'rgb(255,255,153)'],
        [0.85882, 'rgb(255,255,153)'],
        [0.86275, 'rgb(255,255,153)'],
        [0.86667, 'rgb(255,255,153)'],
        [0.87059, 'rgb(255,255,153)'],
        [0.87451, 'rgb(255,255,153)'],
        [0.87843, 'rgb(255,255,153)'],
        [0.88235, 'rgb(255,255,153)'],
        [0.88627, 'rgb(255,255,153)'],
        [0.8902, 'rgb(255,255,153)'],
        [0.89412, 'rgb(255,255,153)'],
        [0.89804, 'rgb(255,255,153)'],
        [0.90196, 'rgb(255,255,153)'],
        [0.90588, 'rgb(255,255,153)'],
        [0.9098, 'rgb(255,255,153)'],
        [0.91373, 'rgb(255,255,153)'],
        [0.91765, 'rgb(177,89,40)'],
        [0.92157, 'rgb(177,89,40)'],
        [0.92549, 'rgb(177,89,40)'],
        [0.92941, 'rgb(177,89,40)'],
        [0.93333, 'rgb(177,89,40)'],
        [0.93725, 'rgb(177,89,40)'],
        [0.94118, 'rgb(177,89,40)'],
        [0.9451, 'rgb(177,89,40)'],
        [0.94902, 'rgb(177,89,40)'],
        [0.95294, 'rgb(177,89,40)'],
        [0.95686, 'rgb(177,89,40)'],
        [0.96078, 'rgb(177,89,40)'],
        [0.96471, 'rgb(177,89,40)'],
        [0.96863, 'rgb(177,89,40)'],
        [0.97255, 'rgb(177,89,40)'],
        [0.97647, 'rgb(177,89,40)'],
        [0.98039, 'rgb(177,89,40)'],
        [0.98431, 'rgb(177,89,40)'],
        [0.98824, 'rgb(177,89,40)'],
        [0.99216, 'rgb(177,89,40)'],
        [0.99608, 'rgb(177,89,40)'],
        [1.0, 'rgb(177,89,40)'],
    ],
    'pastel1': [
        [0.0, 'rgb(251,180,174)'],
        [0.00392, 'rgb(251,180,174)'],
        [0.00784, 'rgb(251,180,174)'],
        [0.01176, 'rgb(251,180,174)'],
        [0.01569, 'rgb(251,180,174)'],
        [0.01961, 'rgb(251,180,174)'],
        [0.02353, 'rgb(251,180,174)'],
        [0.02745, 'rgb(251,180,174)'],
        [0.03137, 'rgb(251,180,174)'],
        [0.03529, 'rgb(251,180,174)'],
        [0.03922, 'rgb(251,180,174)'],
        [0.04314, 'rgb(251,180,174)'],
        [0.04706, 'rgb(251,180,174)'],
        [0.05098, 'rgb(251,180,174)'],
        [0.0549, 'rgb(251,180,174)'],
        [0.05882, 'rgb(251,180,174)'],
        [0.06275, 'rgb(251,180,174)'],
        [0.06667, 'rgb(251,180,174)'],
        [0.07059, 'rgb(251,180,174)'],
        [0.07451, 'rgb(251,180,174)'],
        [0.07843, 'rgb(251,180,174)'],
        [0.08235, 'rgb(251,180,174)'],
        [0.08627, 'rgb(251,180,174)'],
        [0.0902, 'rgb(251,180,174)'],
        [0.09412, 'rgb(251,180,174)'],
        [0.09804, 'rgb(251,180,174)'],
        [0.10196, 'rgb(251,180,174)'],
        [0.10588, 'rgb(251,180,174)'],
        [0.1098, 'rgb(251,180,174)'],
        [0.11373, 'rgb(179,205,227)'],
        [0.11765, 'rgb(179,205,227)'],
        [0.12157, 'rgb(179,205,227)'],
        [0.12549, 'rgb(179,205,227)'],
        [0.12941, 'rgb(179,205,227)'],
        [0.13333, 'rgb(179,205,227)'],
        [0.13725, 'rgb(179,205,227)'],
        [0.14118, 'rgb(179,205,227)'],
        [0.1451, 'rgb(179,205,227)'],
        [0.14902, 'rgb(179,205,227)'],
        [0.15294, 'rgb(179,205,227)'],
        [0.15686, 'rgb(179,205,227)'],
        [0.16078, 'rgb(179,205,227)'],
        [0.16471, 'rgb(179,205,227)'],
        [0.16863, 'rgb(179,205,227)'],
        [0.17255, 'rgb(179,205,227)'],
        [0.17647, 'rgb(179,205,227)'],
        [0.18039, 'rgb(179,205,227)'],
        [0.18431, 'rgb(179,205,227)'],
        [0.18824, 'rgb(179,205,227)'],
        [0.19216, 'rgb(179,205,227)'],
        [0.19608, 'rgb(179,205,227)'],
        [0.2, 'rgb(179,205,227)'],
        [0.20392, 'rgb(179,205,227)'],
        [0.20784, 'rgb(179,205,227)'],
        [0.21176, 'rgb(179,205,227)'],
        [0.21569, 'rgb(179,205,227)'],
        [0.21961, 'rgb(179,205,227)'],
        [0.22353, 'rgb(204,235,197)'],
        [0.22745, 'rgb(204,235,197)'],
        [0.23137, 'rgb(204,235,197)'],
        [0.23529, 'rgb(204,235,197)'],
        [0.23922, 'rgb(204,235,197)'],
        [0.24314, 'rgb(204,235,197)'],
        [0.24706, 'rgb(204,235,197)'],
        [0.25098, 'rgb(204,235,197)'],
        [0.2549, 'rgb(204,235,197)'],
        [0.25882, 'rgb(204,235,197)'],
        [0.26275, 'rgb(204,235,197)'],
        [0.26667, 'rgb(204,235,197)'],
        [0.27059, 'rgb(204,235,197)'],
        [0.27451, 'rgb(204,235,197)'],
        [0.27843, 'rgb(204,235,197)'],
        [0.28235, 'rgb(204,235,197)'],
        [0.28627, 'rgb(204,235,197)'],
        [0.2902, 'rgb(204,235,197)'],
        [0.29412, 'rgb(204,235,197)'],
        [0.29804, 'rgb(204,235,197)'],
        [0.30196, 'rgb(204,235,197)'],
        [0.30588, 'rgb(204,235,197)'],
        [0.3098, 'rgb(204,235,197)'],
        [0.31373, 'rgb(204,235,197)'],
        [0.31765, 'rgb(204,235,197)'],
        [0.32157, 'rgb(204,235,197)'],
        [0.32549, 'rgb(204,235,197)'],
        [0.32941, 'rgb(204,235,197)'],
        [0.33333, 'rgb(204,235,197)'],
        [0.33725, 'rgb(222,203,228)'],
        [0.34118, 'rgb(222,203,228)'],
        [0.3451, 'rgb(222,203,228)'],
        [0.34902, 'rgb(222,203,228)'],
        [0.35294, 'rgb(222,203,228)'],
        [0.35686, 'rgb(222,203,228)'],
        [0.36078, 'rgb(222,203,228)'],
        [0.36471, 'rgb(222,203,228)'],
        [0.36863, 'rgb(222,203,228)'],
        [0.37255, 'rgb(222,203,228)'],
        [0.37647, 'rgb(222,203,228)'],
        [0.38039, 'rgb(222,203,228)'],
        [0.38431, 'rgb(222,203,228)'],
        [0.38824, 'rgb(222,203,228)'],
        [0.39216, 'rgb(222,203,228)'],
        [0.39608, 'rgb(222,203,228)'],
        [0.4, 'rgb(222,203,228)'],
        [0.40392, 'rgb(222,203,228)'],
        [0.40784, 'rgb(222,203,228)'],
        [0.41176, 'rgb(222,203,228)'],
        [0.41569, 'rgb(222,203,228)'],
        [0.41961, 'rgb(222,203,228)'],
        [0.42353, 'rgb(222,203,228)'],
        [0.42745, 'rgb(222,203,228)'],
        [0.43137, 'rgb(222,203,228)'],
        [0.43529, 'rgb(222,203,228)'],
        [0.43922, 'rgb(222,203,228)'],
        [0.44314, 'rgb(222,203,228)'],
        [0.44706, 'rgb(254,217,166)'],
        [0.45098, 'rgb(254,217,166)'],
        [0.4549, 'rgb(254,217,166)'],
        [0.45882, 'rgb(254,217,166)'],
        [0.46275, 'rgb(254,217,166)'],
        [0.46667, 'rgb(254,217,166)'],
        [0.47059, 'rgb(254,217,166)'],
        [0.47451, 'rgb(254,217,166)'],
        [0.47843, 'rgb(254,217,166)'],
        [0.48235, 'rgb(254,217,166)'],
        [0.48627, 'rgb(254,217,166)'],
        [0.4902, 'rgb(254,217,166)'],
        [0.49412, 'rgb(254,217,166)'],
        [0.49804, 'rgb(254,217,166)'],
        [0.50196, 'rgb(254,217,166)'],
        [0.50588, 'rgb(254,217,166)'],
        [0.5098, 'rgb(254,217,166)'],
        [0.51373, 'rgb(254,217,166)'],
        [0.51765, 'rgb(254,217,166)'],
        [0.52157, 'rgb(254,217,166)'],
        [0.52549, 'rgb(254,217,166)'],
        [0.52941, 'rgb(254,217,166)'],
        [0.53333, 'rgb(254,217,166)'],
        [0.53725, 'rgb(254,217,166)'],
        [0.54118, 'rgb(254,217,166)'],
        [0.5451, 'rgb(254,217,166)'],
        [0.54902, 'rgb(254,217,166)'],
        [0.55294, 'rgb(254,217,166)'],
        [0.55686, 'rgb(255,255,204)'],
        [0.56078, 'rgb(255,255,204)'],
        [0.56471, 'rgb(255,255,204)'],
        [0.56863, 'rgb(255,255,204)'],
        [0.57255, 'rgb(255,255,204)'],
        [0.57647, 'rgb(255,255,204)'],
        [0.58039, 'rgb(255,255,204)'],
        [0.58431, 'rgb(255,255,204)'],
        [0.58824, 'rgb(255,255,204)'],
        [0.59216, 'rgb(255,255,204)'],
        [0.59608, 'rgb(255,255,204)'],
        [0.6, 'rgb(255,255,204)'],
        [0.60392, 'rgb(255,255,204)'],
        [0.60784, 'rgb(255,255,204)'],
        [0.61176, 'rgb(255,255,204)'],
        [0.61569, 'rgb(255,255,204)'],
        [0.61961, 'rgb(255,255,204)'],
        [0.62353, 'rgb(255,255,204)'],
        [0.62745, 'rgb(255,255,204)'],
        [0.63137, 'rgb(255,255,204)'],
        [0.63529, 'rgb(255,255,204)'],
        [0.63922, 'rgb(255,255,204)'],
        [0.64314, 'rgb(255,255,204)'],
        [0.64706, 'rgb(255,255,204)'],
        [0.65098, 'rgb(255,255,204)'],
        [0.6549, 'rgb(255,255,204)'],
        [0.65882, 'rgb(255,255,204)'],
        [0.66275, 'rgb(255,255,204)'],
        [0.66667, 'rgb(229,216,189)'],
        [0.67059, 'rgb(229,216,189)'],
        [0.67451, 'rgb(229,216,189)'],
        [0.67843, 'rgb(229,216,189)'],
        [0.68235, 'rgb(229,216,189)'],
        [0.68627, 'rgb(229,216,189)'],
        [0.6902, 'rgb(229,216,189)'],
        [0.69412, 'rgb(229,216,189)'],
        [0.69804, 'rgb(229,216,189)'],
        [0.70196, 'rgb(229,216,189)'],
        [0.70588, 'rgb(229,216,189)'],
        [0.7098, 'rgb(229,216,189)'],
        [0.71373, 'rgb(229,216,189)'],
        [0.71765, 'rgb(229,216,189)'],
        [0.72157, 'rgb(229,216,189)'],
        [0.72549, 'rgb(229,216,189)'],
        [0.72941, 'rgb(229,216,189)'],
        [0.73333, 'rgb(229,216,189)'],
        [0.73725, 'rgb(229,216,189)'],
        [0.74118, 'rgb(229,216,189)'],
        [0.7451, 'rgb(229,216,189)'],
        [0.74902, 'rgb(229,216,189)'],
        [0.75294, 'rgb(229,216,189)'],
        [0.75686, 'rgb(229,216,189)'],
        [0.76078, 'rgb(229,216,189)'],
        [0.76471, 'rgb(229,216,189)'],
        [0.76863, 'rgb(229,216,189)'],
        [0.77255, 'rgb(229,216,189)'],
        [0.77647, 'rgb(229,216,189)'],
        [0.78039, 'rgb(253,218,236)'],
        [0.78431, 'rgb(253,218,236)'],
        [0.78824, 'rgb(253,218,236)'],
        [0.79216, 'rgb(253,218,236)'],
        [0.79608, 'rgb(253,218,236)'],
        [0.8, 'rgb(253,218,236)'],
        [0.80392, 'rgb(253,218,236)'],
        [0.80784, 'rgb(253,218,236)'],
        [0.81176, 'rgb(253,218,236)'],
        [0.81569, 'rgb(253,218,236)'],
        [0.81961, 'rgb(253,218,236)'],
        [0.82353, 'rgb(253,218,236)'],
        [0.82745, 'rgb(253,218,236)'],
        [0.83137, 'rgb(253,218,236)'],
        [0.83529, 'rgb(253,218,236)'],
        [0.83922, 'rgb(253,218,236)'],
        [0.84314, 'rgb(253,218,236)'],
        [0.84706, 'rgb(253,218,236)'],
        [0.85098, 'rgb(253,218,236)'],
        [0.8549, 'rgb(253,218,236)'],
        [0.85882, 'rgb(253,218,236)'],
        [0.86275, 'rgb(253,218,236)'],
        [0.86667, 'rgb(253,218,236)'],
        [0.87059, 'rgb(253,218,236)'],
        [0.87451, 'rgb(253,218,236)'],
        [0.87843, 'rgb(253,218,236)'],
        [0.88235, 'rgb(253,218,236)'],
        [0.88627, 'rgb(253,218,236)'],
        [0.8902, 'rgb(242,242,242)'],
        [0.89412, 'rgb(242,242,242)'],
        [0.89804, 'rgb(242,242,242)'],
        [0.90196, 'rgb(242,242,242)'],
        [0.90588, 'rgb(242,242,242)'],
        [0.9098, 'rgb(242,242,242)'],
        [0.91373, 'rgb(242,242,242)'],
        [0.91765, 'rgb(242,242,242)'],
        [0.92157, 'rgb(242,242,242)'],
        [0.92549, 'rgb(242,242,242)'],
        [0.92941, 'rgb(242,242,242)'],
        [0.93333, 'rgb(242,242,242)'],
        [0.93725, 'rgb(242,242,242)'],
        [0.94118, 'rgb(242,242,242)'],
        [0.9451, 'rgb(242,242,242)'],
        [0.94902, 'rgb(242,242,242)'],
        [0.95294, 'rgb(242,242,242)'],
        [0.95686, 'rgb(242,242,242)'],
        [0.96078, 'rgb(242,242,242)'],
        [0.96471, 'rgb(242,242,242)'],
        [0.96863, 'rgb(242,242,242)'],
        [0.97255, 'rgb(242,242,242)'],
        [0.97647, 'rgb(242,242,242)'],
        [0.98039, 'rgb(242,242,242)'],
        [0.98431, 'rgb(242,242,242)'],
        [0.98824, 'rgb(242,242,242)'],
        [0.99216, 'rgb(242,242,242)'],
        [0.99608, 'rgb(242,242,242)'],
        [1.0, 'rgb(242,242,242)'],
    ],
    'pastel2': [
        [0.0, 'rgb(179,226,205)'],
        [0.00392, 'rgb(179,226,205)'],
        [0.00784, 'rgb(179,226,205)'],
        [0.01176, 'rgb(179,226,205)'],
        [0.01569, 'rgb(179,226,205)'],
        [0.01961, 'rgb(179,226,205)'],
        [0.02353, 'rgb(179,226,205)'],
        [0.02745, 'rgb(179,226,205)'],
        [0.03137, 'rgb(179,226,205)'],
        [0.03529, 'rgb(179,226,205)'],
        [0.03922, 'rgb(179,226,205)'],
        [0.04314, 'rgb(179,226,205)'],
        [0.04706, 'rgb(179,226,205)'],
        [0.05098, 'rgb(179,226,205)'],
        [0.0549, 'rgb(179,226,205)'],
        [0.05882, 'rgb(179,226,205)'],
        [0.06275, 'rgb(179,226,205)'],
        [0.06667, 'rgb(179,226,205)'],
        [0.07059, 'rgb(179,226,205)'],
        [0.07451, 'rgb(179,226,205)'],
        [0.07843, 'rgb(179,226,205)'],
        [0.08235, 'rgb(179,226,205)'],
        [0.08627, 'rgb(179,226,205)'],
        [0.0902, 'rgb(179,226,205)'],
        [0.09412, 'rgb(179,226,205)'],
        [0.09804, 'rgb(179,226,205)'],
        [0.10196, 'rgb(179,226,205)'],
        [0.10588, 'rgb(179,226,205)'],
        [0.1098, 'rgb(179,226,205)'],
        [0.11373, 'rgb(179,226,205)'],
        [0.11765, 'rgb(179,226,205)'],
        [0.12157, 'rgb(179,226,205)'],
        [0.12549, 'rgb(253,205,172)'],
        [0.12941, 'rgb(253,205,172)'],
        [0.13333, 'rgb(253,205,172)'],
        [0.13725, 'rgb(253,205,172)'],
        [0.14118, 'rgb(253,205,172)'],
        [0.1451, 'rgb(253,205,172)'],
        [0.14902, 'rgb(253,205,172)'],
        [0.15294, 'rgb(253,205,172)'],
        [0.15686, 'rgb(253,205,172)'],
        [0.16078, 'rgb(253,205,172)'],
        [0.16471, 'rgb(253,205,172)'],
        [0.16863, 'rgb(253,205,172)'],
        [0.17255, 'rgb(253,205,172)'],
        [0.17647, 'rgb(253,205,172)'],
        [0.18039, 'rgb(253,205,172)'],
        [0.18431, 'rgb(253,205,172)'],
        [0.18824, 'rgb(253,205,172)'],
        [0.19216, 'rgb(253,205,172)'],
        [0.19608, 'rgb(253,205,172)'],
        [0.2, 'rgb(253,205,172)'],
        [0.20392, 'rgb(253,205,172)'],
        [0.20784, 'rgb(253,205,172)'],
        [0.21176, 'rgb(253,205,172)'],
        [0.21569, 'rgb(253,205,172)'],
        [0.21961, 'rgb(253,205,172)'],
        [0.22353, 'rgb(253,205,172)'],
        [0.22745, 'rgb(253,205,172)'],
        [0.23137, 'rgb(253,205,172)'],
        [0.23529, 'rgb(253,205,172)'],
        [0.23922, 'rgb(253,205,172)'],
        [0.24314, 'rgb(253,205,172)'],
        [0.24706, 'rgb(253,205,172)'],
        [0.25098, 'rgb(203,213,232)'],
        [0.2549, 'rgb(203,213,232)'],
        [0.25882, 'rgb(203,213,232)'],
        [0.26275, 'rgb(203,213,232)'],
        [0.26667, 'rgb(203,213,232)'],
        [0.27059, 'rgb(203,213,232)'],
        [0.27451, 'rgb(203,213,232)'],
        [0.27843, 'rgb(203,213,232)'],
        [0.28235, 'rgb(203,213,232)'],
        [0.28627, 'rgb(203,213,232)'],
        [0.2902, 'rgb(203,213,232)'],
        [0.29412, 'rgb(203,213,232)'],
        [0.29804, 'rgb(203,213,232)'],
        [0.30196, 'rgb(203,213,232)'],
        [0.30588, 'rgb(203,213,232)'],
        [0.3098, 'rgb(203,213,232)'],
        [0.31373, 'rgb(203,213,232)'],
        [0.31765, 'rgb(203,213,232)'],
        [0.32157, 'rgb(203,213,232)'],
        [0.32549, 'rgb(203,213,232)'],
        [0.32941, 'rgb(203,213,232)'],
        [0.33333, 'rgb(203,213,232)'],
        [0.33725, 'rgb(203,213,232)'],
        [0.34118, 'rgb(203,213,232)'],
        [0.3451, 'rgb(203,213,232)'],
        [0.34902, 'rgb(203,213,232)'],
        [0.35294, 'rgb(203,213,232)'],
        [0.35686, 'rgb(203,213,232)'],
        [0.36078, 'rgb(203,213,232)'],
        [0.36471, 'rgb(203,213,232)'],
        [0.36863, 'rgb(203,213,232)'],
        [0.37255, 'rgb(203,213,232)'],
        [0.37647, 'rgb(244,202,228)'],
        [0.38039, 'rgb(244,202,228)'],
        [0.38431, 'rgb(244,202,228)'],
        [0.38824, 'rgb(244,202,228)'],
        [0.39216, 'rgb(244,202,228)'],
        [0.39608, 'rgb(244,202,228)'],
        [0.4, 'rgb(244,202,228)'],
        [0.40392, 'rgb(244,202,228)'],
        [0.40784, 'rgb(244,202,228)'],
        [0.41176, 'rgb(244,202,228)'],
        [0.41569, 'rgb(244,202,228)'],
        [0.41961, 'rgb(244,202,228)'],
        [0.42353, 'rgb(244,202,228)'],
        [0.42745, 'rgb(244,202,228)'],
        [0.43137, 'rgb(244,202,228)'],
        [0.43529, 'rgb(244,202,228)'],
        [0.43922, 'rgb(244,202,228)'],
        [0.44314, 'rgb(244,202,228)'],
        [0.44706, 'rgb(244,202,228)'],
        [0.45098, 'rgb(244,202,228)'],
        [0.4549, 'rgb(244,202,228)'],
        [0.45882, 'rgb(244,202,228)'],
        [0.46275, 'rgb(244,202,228)'],
        [0.46667, 'rgb(244,202,228)'],
        [0.47059, 'rgb(244,202,228)'],
        [0.47451, 'rgb(244,202,228)'],
        [0.47843, 'rgb(244,202,228)'],
        [0.48235, 'rgb(244,202,228)'],
        [0.48627, 'rgb(244,202,228)'],
        [0.4902, 'rgb(244,202,228)'],
        [0.49412, 'rgb(244,202,228)'],
        [0.49804, 'rgb(244,202,228)'],
        [0.50196, 'rgb(230,245,201)'],
        [0.50588, 'rgb(230,245,201)'],
        [0.5098, 'rgb(230,245,201)'],
        [0.51373, 'rgb(230,245,201)'],
        [0.51765, 'rgb(230,245,201)'],
        [0.52157, 'rgb(230,245,201)'],
        [0.52549, 'rgb(230,245,201)'],
        [0.52941, 'rgb(230,245,201)'],
        [0.53333, 'rgb(230,245,201)'],
        [0.53725, 'rgb(230,245,201)'],
        [0.54118, 'rgb(230,245,201)'],
        [0.5451, 'rgb(230,245,201)'],
        [0.54902, 'rgb(230,245,201)'],
        [0.55294, 'rgb(230,245,201)'],
        [0.55686, 'rgb(230,245,201)'],
        [0.56078, 'rgb(230,245,201)'],
        [0.56471, 'rgb(230,245,201)'],
        [0.56863, 'rgb(230,245,201)'],
        [0.57255, 'rgb(230,245,201)'],
        [0.57647, 'rgb(230,245,201)'],
        [0.58039, 'rgb(230,245,201)'],
        [0.58431, 'rgb(230,245,201)'],
        [0.58824, 'rgb(230,245,201)'],
        [0.59216, 'rgb(230,245,201)'],
        [0.59608, 'rgb(230,245,201)'],
        [0.6, 'rgb(230,245,201)'],
        [0.60392, 'rgb(230,245,201)'],
        [0.60784, 'rgb(230,245,201)'],
        [0.61176, 'rgb(230,245,201)'],
        [0.61569, 'rgb(230,245,201)'],
        [0.61961, 'rgb(230,245,201)'],
        [0.62353, 'rgb(230,245,201)'],
        [0.62745, 'rgb(255,242,174)'],
        [0.63137, 'rgb(255,242,174)'],
        [0.63529, 'rgb(255,242,174)'],
        [0.63922, 'rgb(255,242,174)'],
        [0.64314, 'rgb(255,242,174)'],
        [0.64706, 'rgb(255,242,174)'],
        [0.65098, 'rgb(255,242,174)'],
        [0.6549, 'rgb(255,242,174)'],
        [0.65882, 'rgb(255,242,174)'],
        [0.66275, 'rgb(255,242,174)'],
        [0.66667, 'rgb(255,242,174)'],
        [0.67059, 'rgb(255,242,174)'],
        [0.67451, 'rgb(255,242,174)'],
        [0.67843, 'rgb(255,242,174)'],
        [0.68235, 'rgb(255,242,174)'],
        [0.68627, 'rgb(255,242,174)'],
        [0.6902, 'rgb(255,242,174)'],
        [0.69412, 'rgb(255,242,174)'],
        [0.69804, 'rgb(255,242,174)'],
        [0.70196, 'rgb(255,242,174)'],
        [0.70588, 'rgb(255,242,174)'],
        [0.7098, 'rgb(255,242,174)'],
        [0.71373, 'rgb(255,242,174)'],
        [0.71765, 'rgb(255,242,174)'],
        [0.72157, 'rgb(255,242,174)'],
        [0.72549, 'rgb(255,242,174)'],
        [0.72941, 'rgb(255,242,174)'],
        [0.73333, 'rgb(255,242,174)'],
        [0.73725, 'rgb(255,242,174)'],
        [0.74118, 'rgb(255,242,174)'],
        [0.7451, 'rgb(255,242,174)'],
        [0.74902, 'rgb(255,242,174)'],
        [0.75294, 'rgb(241,226,204)'],
        [0.75686, 'rgb(241,226,204)'],
        [0.76078, 'rgb(241,226,204)'],
        [0.76471, 'rgb(241,226,204)'],
        [0.76863, 'rgb(241,226,204)'],
        [0.77255, 'rgb(241,226,204)'],
        [0.77647, 'rgb(241,226,204)'],
        [0.78039, 'rgb(241,226,204)'],
        [0.78431, 'rgb(241,226,204)'],
        [0.78824, 'rgb(241,226,204)'],
        [0.79216, 'rgb(241,226,204)'],
        [0.79608, 'rgb(241,226,204)'],
        [0.8, 'rgb(241,226,204)'],
        [0.80392, 'rgb(241,226,204)'],
        [0.80784, 'rgb(241,226,204)'],
        [0.81176, 'rgb(241,226,204)'],
        [0.81569, 'rgb(241,226,204)'],
        [0.81961, 'rgb(241,226,204)'],
        [0.82353, 'rgb(241,226,204)'],
        [0.82745, 'rgb(241,226,204)'],
        [0.83137, 'rgb(241,226,204)'],
        [0.83529, 'rgb(241,226,204)'],
        [0.83922, 'rgb(241,226,204)'],
        [0.84314, 'rgb(241,226,204)'],
        [0.84706, 'rgb(241,226,204)'],
        [0.85098, 'rgb(241,226,204)'],
        [0.8549, 'rgb(241,226,204)'],
        [0.85882, 'rgb(241,226,204)'],
        [0.86275, 'rgb(241,226,204)'],
        [0.86667, 'rgb(241,226,204)'],
        [0.87059, 'rgb(241,226,204)'],
        [0.87451, 'rgb(241,226,204)'],
        [0.87843, 'rgb(204,204,204)'],
        [0.88235, 'rgb(204,204,204)'],
        [0.88627, 'rgb(204,204,204)'],
        [0.8902, 'rgb(204,204,204)'],
        [0.89412, 'rgb(204,204,204)'],
        [0.89804, 'rgb(204,204,204)'],
        [0.90196, 'rgb(204,204,204)'],
        [0.90588, 'rgb(204,204,204)'],
        [0.9098, 'rgb(204,204,204)'],
        [0.91373, 'rgb(204,204,204)'],
        [0.91765, 'rgb(204,204,204)'],
        [0.92157, 'rgb(204,204,204)'],
        [0.92549, 'rgb(204,204,204)'],
        [0.92941, 'rgb(204,204,204)'],
        [0.93333, 'rgb(204,204,204)'],
        [0.93725, 'rgb(204,204,204)'],
        [0.94118, 'rgb(204,204,204)'],
        [0.9451, 'rgb(204,204,204)'],
        [0.94902, 'rgb(204,204,204)'],
        [0.95294, 'rgb(204,204,204)'],
        [0.95686, 'rgb(204,204,204)'],
        [0.96078, 'rgb(204,204,204)'],
        [0.96471, 'rgb(204,204,204)'],
        [0.96863, 'rgb(204,204,204)'],
        [0.97255, 'rgb(204,204,204)'],
        [0.97647, 'rgb(204,204,204)'],
        [0.98039, 'rgb(204,204,204)'],
        [0.98431, 'rgb(204,204,204)'],
        [0.98824, 'rgb(204,204,204)'],
        [0.99216, 'rgb(204,204,204)'],
        [0.99608, 'rgb(204,204,204)'],
        [1.0, 'rgb(204,204,204)'],
    ],
    'set1': [
        [0.0, 'rgb(228,26,28)'],
        [0.00392, 'rgb(228,26,28)'],
        [0.00784, 'rgb(228,26,28)'],
        [0.01176, 'rgb(228,26,28)'],
        [0.01569, 'rgb(228,26,28)'],
        [0.01961, 'rgb(228,26,28)'],
        [0.02353, 'rgb(228,26,28)'],
        [0.02745, 'rgb(228,26,28)'],
        [0.03137, 'rgb(228,26,28)'],
        [0.03529, 'rgb(228,26,28)'],
        [0.03922, 'rgb(228,26,28)'],
        [0.04314, 'rgb(228,26,28)'],
        [0.04706, 'rgb(228,26,28)'],
        [0.05098, 'rgb(228,26,28)'],
        [0.0549, 'rgb(228,26,28)'],
        [0.05882, 'rgb(228,26,28)'],
        [0.06275, 'rgb(228,26,28)'],
        [0.06667, 'rgb(228,26,28)'],
        [0.07059, 'rgb(228,26,28)'],
        [0.07451, 'rgb(228,26,28)'],
        [0.07843, 'rgb(228,26,28)'],
        [0.08235, 'rgb(228,26,28)'],
        [0.08627, 'rgb(228,26,28)'],
        [0.0902, 'rgb(228,26,28)'],
        [0.09412, 'rgb(228,26,28)'],
        [0.09804, 'rgb(228,26,28)'],
        [0.10196, 'rgb(228,26,28)'],
        [0.10588, 'rgb(228,26,28)'],
        [0.1098, 'rgb(228,26,28)'],
        [0.11373, 'rgb(55,126,184)'],
        [0.11765, 'rgb(55,126,184)'],
        [0.12157, 'rgb(55,126,184)'],
        [0.12549, 'rgb(55,126,184)'],
        [0.12941, 'rgb(55,126,184)'],
        [0.13333, 'rgb(55,126,184)'],
        [0.13725, 'rgb(55,126,184)'],
        [0.14118, 'rgb(55,126,184)'],
        [0.1451, 'rgb(55,126,184)'],
        [0.14902, 'rgb(55,126,184)'],
        [0.15294, 'rgb(55,126,184)'],
        [0.15686, 'rgb(55,126,184)'],
        [0.16078, 'rgb(55,126,184)'],
        [0.16471, 'rgb(55,126,184)'],
        [0.16863, 'rgb(55,126,184)'],
        [0.17255, 'rgb(55,126,184)'],
        [0.17647, 'rgb(55,126,184)'],
        [0.18039, 'rgb(55,126,184)'],
        [0.18431, 'rgb(55,126,184)'],
        [0.18824, 'rgb(55,126,184)'],
        [0.19216, 'rgb(55,126,184)'],
        [0.19608, 'rgb(55,126,184)'],
        [0.2, 'rgb(55,126,184)'],
        [0.20392, 'rgb(55,126,184)'],
        [0.20784, 'rgb(55,126,184)'],
        [0.21176, 'rgb(55,126,184)'],
        [0.21569, 'rgb(55,126,184)'],
        [0.21961, 'rgb(55,126,184)'],
        [0.22353, 'rgb(77,175,74)'],
        [0.22745, 'rgb(77,175,74)'],
        [0.23137, 'rgb(77,175,74)'],
        [0.23529, 'rgb(77,175,74)'],
        [0.23922, 'rgb(77,175,74)'],
        [0.24314, 'rgb(77,175,74)'],
        [0.24706, 'rgb(77,175,74)'],
        [0.25098, 'rgb(77,175,74)'],
        [0.2549, 'rgb(77,175,74)'],
        [0.25882, 'rgb(77,175,74)'],
        [0.26275, 'rgb(77,175,74)'],
        [0.26667, 'rgb(77,175,74)'],
        [0.27059, 'rgb(77,175,74)'],
        [0.27451, 'rgb(77,175,74)'],
        [0.27843, 'rgb(77,175,74)'],
        [0.28235, 'rgb(77,175,74)'],
        [0.28627, 'rgb(77,175,74)'],
        [0.2902, 'rgb(77,175,74)'],
        [0.29412, 'rgb(77,175,74)'],
        [0.29804, 'rgb(77,175,74)'],
        [0.30196, 'rgb(77,175,74)'],
        [0.30588, 'rgb(77,175,74)'],
        [0.3098, 'rgb(77,175,74)'],
        [0.31373, 'rgb(77,175,74)'],
        [0.31765, 'rgb(77,175,74)'],
        [0.32157, 'rgb(77,175,74)'],
        [0.32549, 'rgb(77,175,74)'],
        [0.32941, 'rgb(77,175,74)'],
        [0.33333, 'rgb(77,175,74)'],
        [0.33725, 'rgb(152,78,163)'],
        [0.34118, 'rgb(152,78,163)'],
        [0.3451, 'rgb(152,78,163)'],
        [0.34902, 'rgb(152,78,163)'],
        [0.35294, 'rgb(152,78,163)'],
        [0.35686, 'rgb(152,78,163)'],
        [0.36078, 'rgb(152,78,163)'],
        [0.36471, 'rgb(152,78,163)'],
        [0.36863, 'rgb(152,78,163)'],
        [0.37255, 'rgb(152,78,163)'],
        [0.37647, 'rgb(152,78,163)'],
        [0.38039, 'rgb(152,78,163)'],
        [0.38431, 'rgb(152,78,163)'],
        [0.38824, 'rgb(152,78,163)'],
        [0.39216, 'rgb(152,78,163)'],
        [0.39608, 'rgb(152,78,163)'],
        [0.4, 'rgb(152,78,163)'],
        [0.40392, 'rgb(152,78,163)'],
        [0.40784, 'rgb(152,78,163)'],
        [0.41176, 'rgb(152,78,163)'],
        [0.41569, 'rgb(152,78,163)'],
        [0.41961, 'rgb(152,78,163)'],
        [0.42353, 'rgb(152,78,163)'],
        [0.42745, 'rgb(152,78,163)'],
        [0.43137, 'rgb(152,78,163)'],
        [0.43529, 'rgb(152,78,163)'],
        [0.43922, 'rgb(152,78,163)'],
        [0.44314, 'rgb(152,78,163)'],
        [0.44706, 'rgb(255,127,0)'],
        [0.45098, 'rgb(255,127,0)'],
        [0.4549, 'rgb(255,127,0)'],
        [0.45882, 'rgb(255,127,0)'],
        [0.46275, 'rgb(255,127,0)'],
        [0.46667, 'rgb(255,127,0)'],
        [0.47059, 'rgb(255,127,0)'],
        [0.47451, 'rgb(255,127,0)'],
        [0.47843, 'rgb(255,127,0)'],
        [0.48235, 'rgb(255,127,0)'],
        [0.48627, 'rgb(255,127,0)'],
        [0.4902, 'rgb(255,127,0)'],
        [0.49412, 'rgb(255,127,0)'],
        [0.49804, 'rgb(255,127,0)'],
        [0.50196, 'rgb(255,127,0)'],
        [0.50588, 'rgb(255,127,0)'],
        [0.5098, 'rgb(255,127,0)'],
        [0.51373, 'rgb(255,127,0)'],
        [0.51765, 'rgb(255,127,0)'],
        [0.52157, 'rgb(255,127,0)'],
        [0.52549, 'rgb(255,127,0)'],
        [0.52941, 'rgb(255,127,0)'],
        [0.53333, 'rgb(255,127,0)'],
        [0.53725, 'rgb(255,127,0)'],
        [0.54118, 'rgb(255,127,0)'],
        [0.5451, 'rgb(255,127,0)'],
        [0.54902, 'rgb(255,127,0)'],
        [0.55294, 'rgb(255,127,0)'],
        [0.55686, 'rgb(255,255,51)'],
        [0.56078, 'rgb(255,255,51)'],
        [0.56471, 'rgb(255,255,51)'],
        [0.56863, 'rgb(255,255,51)'],
        [0.57255, 'rgb(255,255,51)'],
        [0.57647, 'rgb(255,255,51)'],
        [0.58039, 'rgb(255,255,51)'],
        [0.58431, 'rgb(255,255,51)'],
        [0.58824, 'rgb(255,255,51)'],
        [0.59216, 'rgb(255,255,51)'],
        [0.59608, 'rgb(255,255,51)'],
        [0.6, 'rgb(255,255,51)'],
        [0.60392, 'rgb(255,255,51)'],
        [0.60784, 'rgb(255,255,51)'],
        [0.61176, 'rgb(255,255,51)'],
        [0.61569, 'rgb(255,255,51)'],
        [0.61961, 'rgb(255,255,51)'],
        [0.62353, 'rgb(255,255,51)'],
        [0.62745, 'rgb(255,255,51)'],
        [0.63137, 'rgb(255,255,51)'],
        [0.63529, 'rgb(255,255,51)'],
        [0.63922, 'rgb(255,255,51)'],
        [0.64314, 'rgb(255,255,51)'],
        [0.64706, 'rgb(255,255,51)'],
        [0.65098, 'rgb(255,255,51)'],
        [0.6549, 'rgb(255,255,51)'],
        [0.65882, 'rgb(255,255,51)'],
        [0.66275, 'rgb(255,255,51)'],
        [0.66667, 'rgb(166,86,40)'],
        [0.67059, 'rgb(166,86,40)'],
        [0.67451, 'rgb(166,86,40)'],
        [0.67843, 'rgb(166,86,40)'],
        [0.68235, 'rgb(166,86,40)'],
        [0.68627, 'rgb(166,86,40)'],
        [0.6902, 'rgb(166,86,40)'],
        [0.69412, 'rgb(166,86,40)'],
        [0.69804, 'rgb(166,86,40)'],
        [0.70196, 'rgb(166,86,40)'],
        [0.70588, 'rgb(166,86,40)'],
        [0.7098, 'rgb(166,86,40)'],
        [0.71373, 'rgb(166,86,40)'],
        [0.71765, 'rgb(166,86,40)'],
        [0.72157, 'rgb(166,86,40)'],
        [0.72549, 'rgb(166,86,40)'],
        [0.72941, 'rgb(166,86,40)'],
        [0.73333, 'rgb(166,86,40)'],
        [0.73725, 'rgb(166,86,40)'],
        [0.74118, 'rgb(166,86,40)'],
        [0.7451, 'rgb(166,86,40)'],
        [0.74902, 'rgb(166,86,40)'],
        [0.75294, 'rgb(166,86,40)'],
        [0.75686, 'rgb(166,86,40)'],
        [0.76078, 'rgb(166,86,40)'],
        [0.76471, 'rgb(166,86,40)'],
        [0.76863, 'rgb(166,86,40)'],
        [0.77255, 'rgb(166,86,40)'],
        [0.77647, 'rgb(166,86,40)'],
        [0.78039, 'rgb(247,129,191)'],
        [0.78431, 'rgb(247,129,191)'],
        [0.78824, 'rgb(247,129,191)'],
        [0.79216, 'rgb(247,129,191)'],
        [0.79608, 'rgb(247,129,191)'],
        [0.8, 'rgb(247,129,191)'],
        [0.80392, 'rgb(247,129,191)'],
        [0.80784, 'rgb(247,129,191)'],
        [0.81176, 'rgb(247,129,191)'],
        [0.81569, 'rgb(247,129,191)'],
        [0.81961, 'rgb(247,129,191)'],
        [0.82353, 'rgb(247,129,191)'],
        [0.82745, 'rgb(247,129,191)'],
        [0.83137, 'rgb(247,129,191)'],
        [0.83529, 'rgb(247,129,191)'],
        [0.83922, 'rgb(247,129,191)'],
        [0.84314, 'rgb(247,129,191)'],
        [0.84706, 'rgb(247,129,191)'],
        [0.85098, 'rgb(247,129,191)'],
        [0.8549, 'rgb(247,129,191)'],
        [0.85882, 'rgb(247,129,191)'],
        [0.86275, 'rgb(247,129,191)'],
        [0.86667, 'rgb(247,129,191)'],
        [0.87059, 'rgb(247,129,191)'],
        [0.87451, 'rgb(247,129,191)'],
        [0.87843, 'rgb(247,129,191)'],
        [0.88235, 'rgb(247,129,191)'],
        [0.88627, 'rgb(247,129,191)'],
        [0.8902, 'rgb(153,153,153)'],
        [0.89412, 'rgb(153,153,153)'],
        [0.89804, 'rgb(153,153,153)'],
        [0.90196, 'rgb(153,153,153)'],
        [0.90588, 'rgb(153,153,153)'],
        [0.9098, 'rgb(153,153,153)'],
        [0.91373, 'rgb(153,153,153)'],
        [0.91765, 'rgb(153,153,153)'],
        [0.92157, 'rgb(153,153,153)'],
        [0.92549, 'rgb(153,153,153)'],
        [0.92941, 'rgb(153,153,153)'],
        [0.93333, 'rgb(153,153,153)'],
        [0.93725, 'rgb(153,153,153)'],
        [0.94118, 'rgb(153,153,153)'],
        [0.9451, 'rgb(153,153,153)'],
        [0.94902, 'rgb(153,153,153)'],
        [0.95294, 'rgb(153,153,153)'],
        [0.95686, 'rgb(153,153,153)'],
        [0.96078, 'rgb(153,153,153)'],
        [0.96471, 'rgb(153,153,153)'],
        [0.96863, 'rgb(153,153,153)'],
        [0.97255, 'rgb(153,153,153)'],
        [0.97647, 'rgb(153,153,153)'],
        [0.98039, 'rgb(153,153,153)'],
        [0.98431, 'rgb(153,153,153)'],
        [0.98824, 'rgb(153,153,153)'],
        [0.99216, 'rgb(153,153,153)'],
        [0.99608, 'rgb(153,153,153)'],
        [1.0, 'rgb(153,153,153)'],
    ],
    'set2': [
        [0.0, 'rgb(102,194,165)'],
        [0.00392, 'rgb(102,194,165)'],
        [0.00784, 'rgb(102,194,165)'],
        [0.01176, 'rgb(102,194,165)'],
        [0.01569, 'rgb(102,194,165)'],
        [0.01961, 'rgb(102,194,165)'],
        [0.02353, 'rgb(102,194,165)'],
        [0.02745, 'rgb(102,194,165)'],
        [0.03137, 'rgb(102,194,165)'],
        [0.03529, 'rgb(102,194,165)'],
        [0.03922, 'rgb(102,194,165)'],
        [0.04314, 'rgb(102,194,165)'],
        [0.04706, 'rgb(102,194,165)'],
        [0.05098, 'rgb(102,194,165)'],
        [0.0549, 'rgb(102,194,165)'],
        [0.05882, 'rgb(102,194,165)'],
        [0.06275, 'rgb(102,194,165)'],
        [0.06667, 'rgb(102,194,165)'],
        [0.07059, 'rgb(102,194,165)'],
        [0.07451, 'rgb(102,194,165)'],
        [0.07843, 'rgb(102,194,165)'],
        [0.08235, 'rgb(102,194,165)'],
        [0.08627, 'rgb(102,194,165)'],
        [0.0902, 'rgb(102,194,165)'],
        [0.09412, 'rgb(102,194,165)'],
        [0.09804, 'rgb(102,194,165)'],
        [0.10196, 'rgb(102,194,165)'],
        [0.10588, 'rgb(102,194,165)'],
        [0.1098, 'rgb(102,194,165)'],
        [0.11373, 'rgb(102,194,165)'],
        [0.11765, 'rgb(102,194,165)'],
        [0.12157, 'rgb(102,194,165)'],
        [0.12549, 'rgb(252,141,98)'],
        [0.12941, 'rgb(252,141,98)'],
        [0.13333, 'rgb(252,141,98)'],
        [0.13725, 'rgb(252,141,98)'],
        [0.14118, 'rgb(252,141,98)'],
        [0.1451, 'rgb(252,141,98)'],
        [0.14902, 'rgb(252,141,98)'],
        [0.15294, 'rgb(252,141,98)'],
        [0.15686, 'rgb(252,141,98)'],
        [0.16078, 'rgb(252,141,98)'],
        [0.16471, 'rgb(252,141,98)'],
        [0.16863, 'rgb(252,141,98)'],
        [0.17255, 'rgb(252,141,98)'],
        [0.17647, 'rgb(252,141,98)'],
        [0.18039, 'rgb(252,141,98)'],
        [0.18431, 'rgb(252,141,98)'],
        [0.18824, 'rgb(252,141,98)'],
        [0.19216, 'rgb(252,141,98)'],
        [0.19608, 'rgb(252,141,98)'],
        [0.2, 'rgb(252,141,98)'],
        [0.20392, 'rgb(252,141,98)'],
        [0.20784, 'rgb(252,141,98)'],
        [0.21176, 'rgb(252,141,98)'],
        [0.21569, 'rgb(252,141,98)'],
        [0.21961, 'rgb(252,141,98)'],
        [0.22353, 'rgb(252,141,98)'],
        [0.22745, 'rgb(252,141,98)'],
        [0.23137, 'rgb(252,141,98)'],
        [0.23529, 'rgb(252,141,98)'],
        [0.23922, 'rgb(252,141,98)'],
        [0.24314, 'rgb(252,141,98)'],
        [0.24706, 'rgb(252,141,98)'],
        [0.25098, 'rgb(141,160,203)'],
        [0.2549, 'rgb(141,160,203)'],
        [0.25882, 'rgb(141,160,203)'],
        [0.26275, 'rgb(141,160,203)'],
        [0.26667, 'rgb(141,160,203)'],
        [0.27059, 'rgb(141,160,203)'],
        [0.27451, 'rgb(141,160,203)'],
        [0.27843, 'rgb(141,160,203)'],
        [0.28235, 'rgb(141,160,203)'],
        [0.28627, 'rgb(141,160,203)'],
        [0.2902, 'rgb(141,160,203)'],
        [0.29412, 'rgb(141,160,203)'],
        [0.29804, 'rgb(141,160,203)'],
        [0.30196, 'rgb(141,160,203)'],
        [0.30588, 'rgb(141,160,203)'],
        [0.3098, 'rgb(141,160,203)'],
        [0.31373, 'rgb(141,160,203)'],
        [0.31765, 'rgb(141,160,203)'],
        [0.32157, 'rgb(141,160,203)'],
        [0.32549, 'rgb(141,160,203)'],
        [0.32941, 'rgb(141,160,203)'],
        [0.33333, 'rgb(141,160,203)'],
        [0.33725, 'rgb(141,160,203)'],
        [0.34118, 'rgb(141,160,203)'],
        [0.3451, 'rgb(141,160,203)'],
        [0.34902, 'rgb(141,160,203)'],
        [0.35294, 'rgb(141,160,203)'],
        [0.35686, 'rgb(141,160,203)'],
        [0.36078, 'rgb(141,160,203)'],
        [0.36471, 'rgb(141,160,203)'],
        [0.36863, 'rgb(141,160,203)'],
        [0.37255, 'rgb(141,160,203)'],
        [0.37647, 'rgb(231,138,195)'],
        [0.38039, 'rgb(231,138,195)'],
        [0.38431, 'rgb(231,138,195)'],
        [0.38824, 'rgb(231,138,195)'],
        [0.39216, 'rgb(231,138,195)'],
        [0.39608, 'rgb(231,138,195)'],
        [0.4, 'rgb(231,138,195)'],
        [0.40392, 'rgb(231,138,195)'],
        [0.40784, 'rgb(231,138,195)'],
        [0.41176, 'rgb(231,138,195)'],
        [0.41569, 'rgb(231,138,195)'],
        [0.41961, 'rgb(231,138,195)'],
        [0.42353, 'rgb(231,138,195)'],
        [0.42745, 'rgb(231,138,195)'],
        [0.43137, 'rgb(231,138,195)'],
        [0.43529, 'rgb(231,138,195)'],
        [0.43922, 'rgb(231,138,195)'],
        [0.44314, 'rgb(231,138,195)'],
        [0.44706, 'rgb(231,138,195)'],
        [0.45098, 'rgb(231,138,195)'],
        [0.4549, 'rgb(231,138,195)'],
        [0.45882, 'rgb(231,138,195)'],
        [0.46275, 'rgb(231,138,195)'],
        [0.46667, 'rgb(231,138,195)'],
        [0.47059, 'rgb(231,138,195)'],
        [0.47451, 'rgb(231,138,195)'],
        [0.47843, 'rgb(231,138,195)'],
        [0.48235, 'rgb(231,138,195)'],
        [0.48627, 'rgb(231,138,195)'],
        [0.4902, 'rgb(231,138,195)'],
        [0.49412, 'rgb(231,138,195)'],
        [0.49804, 'rgb(231,138,195)'],
        [0.50196, 'rgb(166,216,84)'],
        [0.50588, 'rgb(166,216,84)'],
        [0.5098, 'rgb(166,216,84)'],
        [0.51373, 'rgb(166,216,84)'],
        [0.51765, 'rgb(166,216,84)'],
        [0.52157, 'rgb(166,216,84)'],
        [0.52549, 'rgb(166,216,84)'],
        [0.52941, 'rgb(166,216,84)'],
        [0.53333, 'rgb(166,216,84)'],
        [0.53725, 'rgb(166,216,84)'],
        [0.54118, 'rgb(166,216,84)'],
        [0.5451, 'rgb(166,216,84)'],
        [0.54902, 'rgb(166,216,84)'],
        [0.55294, 'rgb(166,216,84)'],
        [0.55686, 'rgb(166,216,84)'],
        [0.56078, 'rgb(166,216,84)'],
        [0.56471, 'rgb(166,216,84)'],
        [0.56863, 'rgb(166,216,84)'],
        [0.57255, 'rgb(166,216,84)'],
        [0.57647, 'rgb(166,216,84)'],
        [0.58039, 'rgb(166,216,84)'],
        [0.58431, 'rgb(166,216,84)'],
        [0.58824, 'rgb(166,216,84)'],
        [0.59216, 'rgb(166,216,84)'],
        [0.59608, 'rgb(166,216,84)'],
        [0.6, 'rgb(166,216,84)'],
        [0.60392, 'rgb(166,216,84)'],
        [0.60784, 'rgb(166,216,84)'],
        [0.61176, 'rgb(166,216,84)'],
        [0.61569, 'rgb(166,216,84)'],
        [0.61961, 'rgb(166,216,84)'],
        [0.62353, 'rgb(166,216,84)'],
        [0.62745, 'rgb(255,217,47)'],
        [0.63137, 'rgb(255,217,47)'],
        [0.63529, 'rgb(255,217,47)'],
        [0.63922, 'rgb(255,217,47)'],
        [0.64314, 'rgb(255,217,47)'],
        [0.64706, 'rgb(255,217,47)'],
        [0.65098, 'rgb(255,217,47)'],
        [0.6549, 'rgb(255,217,47)'],
        [0.65882, 'rgb(255,217,47)'],
        [0.66275, 'rgb(255,217,47)'],
        [0.66667, 'rgb(255,217,47)'],
        [0.67059, 'rgb(255,217,47)'],
        [0.67451, 'rgb(255,217,47)'],
        [0.67843, 'rgb(255,217,47)'],
        [0.68235, 'rgb(255,217,47)'],
        [0.68627, 'rgb(255,217,47)'],
        [0.6902, 'rgb(255,217,47)'],
        [0.69412, 'rgb(255,217,47)'],
        [0.69804, 'rgb(255,217,47)'],
        [0.70196, 'rgb(255,217,47)'],
        [0.70588, 'rgb(255,217,47)'],
        [0.7098, 'rgb(255,217,47)'],
        [0.71373, 'rgb(255,217,47)'],
        [0.71765, 'rgb(255,217,47)'],
        [0.72157, 'rgb(255,217,47)'],
        [0.72549, 'rgb(255,217,47)'],
        [0.72941, 'rgb(255,217,47)'],
        [0.73333, 'rgb(255,217,47)'],
        [0.73725, 'rgb(255,217,47)'],
        [0.74118, 'rgb(255,217,47)'],
        [0.7451, 'rgb(255,217,47)'],
        [0.74902, 'rgb(255,217,47)'],
        [0.75294, 'rgb(229,196,148)'],
        [0.75686, 'rgb(229,196,148)'],
        [0.76078, 'rgb(229,196,148)'],
        [0.76471, 'rgb(229,196,148)'],
        [0.76863, 'rgb(229,196,148)'],
        [0.77255, 'rgb(229,196,148)'],
        [0.77647, 'rgb(229,196,148)'],
        [0.78039, 'rgb(229,196,148)'],
        [0.78431, 'rgb(229,196,148)'],
        [0.78824, 'rgb(229,196,148)'],
        [0.79216, 'rgb(229,196,148)'],
        [0.79608, 'rgb(229,196,148)'],
        [0.8, 'rgb(229,196,148)'],
        [0.80392, 'rgb(229,196,148)'],
        [0.80784, 'rgb(229,196,148)'],
        [0.81176, 'rgb(229,196,148)'],
        [0.81569, 'rgb(229,196,148)'],
        [0.81961, 'rgb(229,196,148)'],
        [0.82353, 'rgb(229,196,148)'],
        [0.82745, 'rgb(229,196,148)'],
        [0.83137, 'rgb(229,196,148)'],
        [0.83529, 'rgb(229,196,148)'],
        [0.83922, 'rgb(229,196,148)'],
        [0.84314, 'rgb(229,196,148)'],
        [0.84706, 'rgb(229,196,148)'],
        [0.85098, 'rgb(229,196,148)'],
        [0.8549, 'rgb(229,196,148)'],
        [0.85882, 'rgb(229,196,148)'],
        [0.86275, 'rgb(229,196,148)'],
        [0.86667, 'rgb(229,196,148)'],
        [0.87059, 'rgb(229,196,148)'],
        [0.87451, 'rgb(229,196,148)'],
        [0.87843, 'rgb(179,179,179)'],
        [0.88235, 'rgb(179,179,179)'],
        [0.88627, 'rgb(179,179,179)'],
        [0.8902, 'rgb(179,179,179)'],
        [0.89412, 'rgb(179,179,179)'],
        [0.89804, 'rgb(179,179,179)'],
        [0.90196, 'rgb(179,179,179)'],
        [0.90588, 'rgb(179,179,179)'],
        [0.9098, 'rgb(179,179,179)'],
        [0.91373, 'rgb(179,179,179)'],
        [0.91765, 'rgb(179,179,179)'],
        [0.92157, 'rgb(179,179,179)'],
        [0.92549, 'rgb(179,179,179)'],
        [0.92941, 'rgb(179,179,179)'],
        [0.93333, 'rgb(179,179,179)'],
        [0.93725, 'rgb(179,179,179)'],
        [0.94118, 'rgb(179,179,179)'],
        [0.9451, 'rgb(179,179,179)'],
        [0.94902, 'rgb(179,179,179)'],
        [0.95294, 'rgb(179,179,179)'],
        [0.95686, 'rgb(179,179,179)'],
        [0.96078, 'rgb(179,179,179)'],
        [0.96471, 'rgb(179,179,179)'],
        [0.96863, 'rgb(179,179,179)'],
        [0.97255, 'rgb(179,179,179)'],
        [0.97647, 'rgb(179,179,179)'],
        [0.98039, 'rgb(179,179,179)'],
        [0.98431, 'rgb(179,179,179)'],
        [0.98824, 'rgb(179,179,179)'],
        [0.99216, 'rgb(179,179,179)'],
        [0.99608, 'rgb(179,179,179)'],
        [1.0, 'rgb(179,179,179)'],
    ],
    'set3': [
        [0.0, 'rgb(141,211,199)'],
        [0.00392, 'rgb(141,211,199)'],
        [0.00784, 'rgb(141,211,199)'],
        [0.01176, 'rgb(141,211,199)'],
        [0.01569, 'rgb(141,211,199)'],
        [0.01961, 'rgb(141,211,199)'],
        [0.02353, 'rgb(141,211,199)'],
        [0.02745, 'rgb(141,211,199)'],
        [0.03137, 'rgb(141,211,199)'],
        [0.03529, 'rgb(141,211,199)'],
        [0.03922, 'rgb(141,211,199)'],
        [0.04314, 'rgb(141,211,199)'],
        [0.04706, 'rgb(141,211,199)'],
        [0.05098, 'rgb(141,211,199)'],
        [0.0549, 'rgb(141,211,199)'],
        [0.05882, 'rgb(141,211,199)'],
        [0.06275, 'rgb(141,211,199)'],
        [0.06667, 'rgb(141,211,199)'],
        [0.07059, 'rgb(141,211,199)'],
        [0.07451, 'rgb(141,211,199)'],
        [0.07843, 'rgb(141,211,199)'],
        [0.08235, 'rgb(141,211,199)'],
        [0.08627, 'rgb(255,255,179)'],
        [0.0902, 'rgb(255,255,179)'],
        [0.09412, 'rgb(255,255,179)'],
        [0.09804, 'rgb(255,255,179)'],
        [0.10196, 'rgb(255,255,179)'],
        [0.10588, 'rgb(255,255,179)'],
        [0.1098, 'rgb(255,255,179)'],
        [0.11373, 'rgb(255,255,179)'],
        [0.11765, 'rgb(255,255,179)'],
        [0.12157, 'rgb(255,255,179)'],
        [0.12549, 'rgb(255,255,179)'],
        [0.12941, 'rgb(255,255,179)'],
        [0.13333, 'rgb(255,255,179)'],
        [0.13725, 'rgb(255,255,179)'],
        [0.14118, 'rgb(255,255,179)'],
        [0.1451, 'rgb(255,255,179)'],
        [0.14902, 'rgb(255,255,179)'],
        [0.15294, 'rgb(255,255,179)'],
        [0.15686, 'rgb(255,255,179)'],
        [0.16078, 'rgb(255,255,179)'],
        [0.16471, 'rgb(255,255,179)'],
        [0.16863, 'rgb(190,186,218)'],
        [0.17255, 'rgb(190,186,218)'],
        [0.17647, 'rgb(190,186,218)'],
        [0.18039, 'rgb(190,186,218)'],
        [0.18431, 'rgb(190,186,218)'],
        [0.18824, 'rgb(190,186,218)'],
        [0.19216, 'rgb(190,186,218)'],
        [0.19608, 'rgb(190,186,218)'],
        [0.2, 'rgb(190,186,218)'],
        [0.20392, 'rgb(190,186,218)'],
        [0.20784, 'rgb(190,186,218)'],
        [0.21176, 'rgb(190,186,218)'],
        [0.21569, 'rgb(190,186,218)'],
        [0.21961, 'rgb(190,186,218)'],
        [0.22353, 'rgb(190,186,218)'],
        [0.22745, 'rgb(190,186,218)'],
        [0.23137, 'rgb(190,186,218)'],
        [0.23529, 'rgb(190,186,218)'],
        [0.23922, 'rgb(190,186,218)'],
        [0.24314, 'rgb(190,186,218)'],
        [0.24706, 'rgb(190,186,218)'],
        [0.25098, 'rgb(251,128,114)'],
        [0.2549, 'rgb(251,128,114)'],
        [0.25882, 'rgb(251,128,114)'],
        [0.26275, 'rgb(251,128,114)'],
        [0.26667, 'rgb(251,128,114)'],
        [0.27059, 'rgb(251,128,114)'],
        [0.27451, 'rgb(251,128,114)'],
        [0.27843, 'rgb(251,128,114)'],
        [0.28235, 'rgb(251,128,114)'],
        [0.28627, 'rgb(251,128,114)'],
        [0.2902, 'rgb(251,128,114)'],
        [0.29412, 'rgb(251,128,114)'],
        [0.29804, 'rgb(251,128,114)'],
        [0.30196, 'rgb(251,128,114)'],
        [0.30588, 'rgb(251,128,114)'],
        [0.3098, 'rgb(251,128,114)'],
        [0.31373, 'rgb(251,128,114)'],
        [0.31765, 'rgb(251,128,114)'],
        [0.32157, 'rgb(251,128,114)'],
        [0.32549, 'rgb(251,128,114)'],
        [0.32941, 'rgb(251,128,114)'],
        [0.33333, 'rgb(251,128,114)'],
        [0.33725, 'rgb(128,177,211)'],
        [0.34118, 'rgb(128,177,211)'],
        [0.3451, 'rgb(128,177,211)'],
        [0.34902, 'rgb(128,177,211)'],
        [0.35294, 'rgb(128,177,211)'],
        [0.35686, 'rgb(128,177,211)'],
        [0.36078, 'rgb(128,177,211)'],
        [0.36471, 'rgb(128,177,211)'],
        [0.36863, 'rgb(128,177,211)'],
        [0.37255, 'rgb(128,177,211)'],
        [0.37647, 'rgb(128,177,211)'],
        [0.38039, 'rgb(128,177,211)'],
        [0.38431, 'rgb(128,177,211)'],
        [0.38824, 'rgb(128,177,211)'],
        [0.39216, 'rgb(128,177,211)'],
        [0.39608, 'rgb(128,177,211)'],
        [0.4, 'rgb(128,177,211)'],
        [0.40392, 'rgb(128,177,211)'],
        [0.40784, 'rgb(128,177,211)'],
        [0.41176, 'rgb(128,177,211)'],
        [0.41569, 'rgb(128,177,211)'],
        [0.41961, 'rgb(253,180,98)'],
        [0.42353, 'rgb(253,180,98)'],
        [0.42745, 'rgb(253,180,98)'],
        [0.43137, 'rgb(253,180,98)'],
        [0.43529, 'rgb(253,180,98)'],
        [0.43922, 'rgb(253,180,98)'],
        [0.44314, 'rgb(253,180,98)'],
        [0.44706, 'rgb(253,180,98)'],
        [0.45098, 'rgb(253,180,98)'],
        [0.4549, 'rgb(253,180,98)'],
        [0.45882, 'rgb(253,180,98)'],
        [0.46275, 'rgb(253,180,98)'],
        [0.46667, 'rgb(253,180,98)'],
        [0.47059, 'rgb(253,180,98)'],
        [0.47451, 'rgb(253,180,98)'],
        [0.47843, 'rgb(253,180,98)'],
        [0.48235, 'rgb(253,180,98)'],
        [0.48627, 'rgb(253,180,98)'],
        [0.4902, 'rgb(253,180,98)'],
        [0.49412, 'rgb(253,180,98)'],
        [0.49804, 'rgb(253,180,98)'],
        [0.50196, 'rgb(179,222,105)'],
        [0.50588, 'rgb(179,222,105)'],
        [0.5098, 'rgb(179,222,105)'],
        [0.51373, 'rgb(179,222,105)'],
        [0.51765, 'rgb(179,222,105)'],
        [0.52157, 'rgb(179,222,105)'],
        [0.52549, 'rgb(179,222,105)'],
        [0.52941, 'rgb(179,222,105)'],
        [0.53333, 'rgb(179,222,105)'],
        [0.53725, 'rgb(179,222,105)'],
        [0.54118, 'rgb(179,222,105)'],
        [0.5451, 'rgb(179,222,105)'],
        [0.54902, 'rgb(179,222,105)'],
        [0.55294, 'rgb(179,222,105)'],
        [0.55686, 'rgb(179,222,105)'],
        [0.56078, 'rgb(179,222,105)'],
        [0.56471, 'rgb(179,222,105)'],
        [0.56863, 'rgb(179,222,105)'],
        [0.57255, 'rgb(179,222,105)'],
        [0.57647, 'rgb(179,222,105)'],
        [0.58039, 'rgb(179,222,105)'],
        [0.58431, 'rgb(252,205,229)'],
        [0.58824, 'rgb(252,205,229)'],
        [0.59216, 'rgb(252,205,229)'],
        [0.59608, 'rgb(252,205,229)'],
        [0.6, 'rgb(252,205,229)'],
        [0.60392, 'rgb(252,205,229)'],
        [0.60784, 'rgb(252,205,229)'],
        [0.61176, 'rgb(252,205,229)'],
        [0.61569, 'rgb(252,205,229)'],
        [0.61961, 'rgb(252,205,229)'],
        [0.62353, 'rgb(252,205,229)'],
        [0.62745, 'rgb(252,205,229)'],
        [0.63137, 'rgb(252,205,229)'],
        [0.63529, 'rgb(252,205,229)'],
        [0.63922, 'rgb(252,205,229)'],
        [0.64314, 'rgb(252,205,229)'],
        [0.64706, 'rgb(252,205,229)'],
        [0.65098, 'rgb(252,205,229)'],
        [0.6549, 'rgb(252,205,229)'],
        [0.65882, 'rgb(252,205,229)'],
        [0.66275, 'rgb(252,205,229)'],
        [0.66667, 'rgb(217,217,217)'],
        [0.67059, 'rgb(217,217,217)'],
        [0.67451, 'rgb(217,217,217)'],
        [0.67843, 'rgb(217,217,217)'],
        [0.68235, 'rgb(217,217,217)'],
        [0.68627, 'rgb(217,217,217)'],
        [0.6902, 'rgb(217,217,217)'],
        [0.69412, 'rgb(217,217,217)'],
        [0.69804, 'rgb(217,217,217)'],
        [0.70196, 'rgb(217,217,217)'],
        [0.70588, 'rgb(217,217,217)'],
        [0.7098, 'rgb(217,217,217)'],
        [0.71373, 'rgb(217,217,217)'],
        [0.71765, 'rgb(217,217,217)'],
        [0.72157, 'rgb(217,217,217)'],
        [0.72549, 'rgb(217,217,217)'],
        [0.72941, 'rgb(217,217,217)'],
        [0.73333, 'rgb(217,217,217)'],
        [0.73725, 'rgb(217,217,217)'],
        [0.74118, 'rgb(217,217,217)'],
        [0.7451, 'rgb(217,217,217)'],
        [0.74902, 'rgb(217,217,217)'],
        [0.75294, 'rgb(188,128,189)'],
        [0.75686, 'rgb(188,128,189)'],
        [0.76078, 'rgb(188,128,189)'],
        [0.76471, 'rgb(188,128,189)'],
        [0.76863, 'rgb(188,128,189)'],
        [0.77255, 'rgb(188,128,189)'],
        [0.77647, 'rgb(188,128,189)'],
        [0.78039, 'rgb(188,128,189)'],
        [0.78431, 'rgb(188,128,189)'],
        [0.78824, 'rgb(188,128,189)'],
        [0.79216, 'rgb(188,128,189)'],
        [0.79608, 'rgb(188,128,189)'],
        [0.8, 'rgb(188,128,189)'],
        [0.80392, 'rgb(188,128,189)'],
        [0.80784, 'rgb(188,128,189)'],
        [0.81176, 'rgb(188,128,189)'],
        [0.81569, 'rgb(188,128,189)'],
        [0.81961, 'rgb(188,128,189)'],
        [0.82353, 'rgb(188,128,189)'],
        [0.82745, 'rgb(188,128,189)'],
        [0.83137, 'rgb(188,128,189)'],
        [0.83529, 'rgb(204,235,197)'],
        [0.83922, 'rgb(204,235,197)'],
        [0.84314, 'rgb(204,235,197)'],
        [0.84706, 'rgb(204,235,197)'],
        [0.85098, 'rgb(204,235,197)'],
        [0.8549, 'rgb(204,235,197)'],
        [0.85882, 'rgb(204,235,197)'],
        [0.86275, 'rgb(204,235,197)'],
        [0.86667, 'rgb(204,235,197)'],
        [0.87059, 'rgb(204,235,197)'],
        [0.87451, 'rgb(204,235,197)'],
        [0.87843, 'rgb(204,235,197)'],
        [0.88235, 'rgb(204,235,197)'],
        [0.88627, 'rgb(204,235,197)'],
        [0.8902, 'rgb(204,235,197)'],
        [0.89412, 'rgb(204,235,197)'],
        [0.89804, 'rgb(204,235,197)'],
        [0.90196, 'rgb(204,235,197)'],
        [0.90588, 'rgb(204,235,197)'],
        [0.9098, 'rgb(204,235,197)'],
        [0.91373, 'rgb(204,235,197)'],
        [0.91765, 'rgb(255,237,111)'],
        [0.92157, 'rgb(255,237,111)'],
        [0.92549, 'rgb(255,237,111)'],
        [0.92941, 'rgb(255,237,111)'],
        [0.93333, 'rgb(255,237,111)'],
        [0.93725, 'rgb(255,237,111)'],
        [0.94118, 'rgb(255,237,111)'],
        [0.9451, 'rgb(255,237,111)'],
        [0.94902, 'rgb(255,237,111)'],
        [0.95294, 'rgb(255,237,111)'],
        [0.95686, 'rgb(255,237,111)'],
        [0.96078, 'rgb(255,237,111)'],
        [0.96471, 'rgb(255,237,111)'],
        [0.96863, 'rgb(255,237,111)'],
        [0.97255, 'rgb(255,237,111)'],
        [0.97647, 'rgb(255,237,111)'],
        [0.98039, 'rgb(255,237,111)'],
        [0.98431, 'rgb(255,237,111)'],
        [0.98824, 'rgb(255,237,111)'],
        [0.99216, 'rgb(255,237,111)'],
        [0.99608, 'rgb(255,237,111)'],
        [1.0, 'rgb(255,237,111)'],
    ],
    'wistia': [
        [0.0, 'rgb(228,255,122)'],
        [0.00392, 'rgb(228,254,120)'],
        [0.00784, 'rgb(228,254,118)'],
        [0.01176, 'rgb(229,253,117)'],
        [0.01569, 'rgb(229,253,115)'],
        [0.01961, 'rgb(230,253,114)'],
        [0.02353, 'rgb(230,252,112)'],
        [0.02745, 'rgb(230,252,111)'],
        [0.03137, 'rgb(231,252,109)'],
        [0.03529, 'rgb(231,251,108)'],
        [0.03922, 'rgb(232,251,106)'],
        [0.04314, 'rgb(232,251,105)'],
        [0.04706, 'rgb(233,250,103)'],
        [0.05098, 'rgb(233,250,102)'],
        [0.0549, 'rgb(233,249,100)'],
        [0.05882, 'rgb(234,249,99)'],
        [0.06275, 'rgb(234,249,97)'],
        [0.06667, 'rgb(235,248,96)'],
        [0.07059, 'rgb(235,248,94)'],
        [0.07451, 'rgb(236,248,93)'],
        [0.07843, 'rgb(236,247,91)'],
        [0.08235, 'rgb(236,247,90)'],
        [0.08627, 'rgb(237,247,88)'],
        [0.0902, 'rgb(237,246,87)'],
        [0.09412, 'rgb(238,246,85)'],
        [0.09804, 'rgb(238,245,84)'],
        [0.10196, 'rgb(239,245,82)'],
        [0.10588, 'rgb(239,245,81)'],
        [0.1098, 'rgb(239,244,79)'],
        [0.11373, 'rgb(240,244,78)'],
        [0.11765, 'rgb(240,244,76)'],
        [0.12157, 'rgb(241,243,75)'],
        [0.12549, 'rgb(241,243,73)'],
        [0.12941, 'rgb(241,243,72)'],
        [0.13333, 'rgb(242,242,70)'],
        [0.13725, 'rgb(242,242,69)'],
        [0.14118, 'rgb(243,242,67)'],
        [0.1451, 'rgb(243,241,66)'],
        [0.14902, 'rgb(244,241,64)'],
        [0.15294, 'rgb(244,240,63)'],
        [0.15686, 'rgb(244,240,61)'],
        [0.16078, 'rgb(245,240,60)'],
        [0.16471, 'rgb(245,239,58)'],
        [0.16863, 'rgb(246,239,57)'],
        [0.17255, 'rgb(246,239,55)'],
        [0.17647, 'rgb(247,238,54)'],
        [0.18039, 'rgb(247,238,52)'],
        [0.18431, 'rgb(247,238,51)'],
        [0.18824, 'rgb(248,237,49)'],
        [0.19216, 'rgb(248,237,48)'],
        [0.19608, 'rgb(249,236,46)'],
        [0.2, 'rgb(249,236,45)'],
        [0.20392, 'rgb(250,236,43)'],
        [0.20784, 'rgb(250,235,42)'],
        [0.21176, 'rgb(250,235,40)'],
        [0.21569, 'rgb(251,235,39)'],
        [0.21961, 'rgb(251,234,37)'],
        [0.22353, 'rgb(252,234,36)'],
        [0.22745, 'rgb(252,234,34)'],
        [0.23137, 'rgb(252,233,33)'],
        [0.23529, 'rgb(253,233,31)'],
        [0.23922, 'rgb(253,232,30)'],
        [0.24314, 'rgb(254,232,28)'],
        [0.24706, 'rgb(254,232,27)'],
        [0.25098, 'rgb(255,231,25)'],
        [0.2549, 'rgb(255,231,25)'],
        [0.25882, 'rgb(255,230,25)'],
        [0.26275, 'rgb(255,229,24)'],
        [0.26667, 'rgb(255,229,24)'],
        [0.27059, 'rgb(255,228,23)'],
        [0.27451, 'rgb(255,227,23)'],
        [0.27843, 'rgb(255,227,23)'],
        [0.28235, 'rgb(255,226,22)'],
        [0.28627, 'rgb(255,225,22)'],
        [0.2902, 'rgb(255,225,21)'],
        [0.29412, 'rgb(255,224,21)'],
        [0.29804, 'rgb(255,223,21)'],
        [0.30196, 'rgb(255,223,20)'],
        [0.30588, 'rgb(255,222,20)'],
        [0.3098, 'rgb(255,221,19)'],
        [0.31373, 'rgb(255,221,19)'],
        [0.31765, 'rgb(255,220,18)'],
        [0.32157, 'rgb(255,219,18)'],
        [0.32549, 'rgb(255,219,18)'],
        [0.32941, 'rgb(255,218,17)'],
        [0.33333, 'rgb(255,217,17)'],
        [0.33725, 'rgb(255,216,16)'],
        [0.34118, 'rgb(255,216,16)'],
        [0.3451, 'rgb(255,215,16)'],
        [0.34902, 'rgb(255,214,15)'],
        [0.35294, 'rgb(255,214,15)'],
        [0.35686, 'rgb(255,213,14)'],
        [0.36078, 'rgb(255,212,14)'],
        [0.36471, 'rgb(255,212,14)'],
        [0.36863, 'rgb(255,211,13)'],
        [0.37255, 'rgb(255,210,13)'],
        [0.37647, 'rgb(255,210,12)'],
        [0.38039, 'rgb(255,209,12)'],
        [0.38431, 'rgb(255,208,12)'],
        [0.38824, 'rgb(255,208,11)'],
        [0.39216, 'rgb(255,207,11)'],
        [0.39608, 'rgb(255,206,10)'],
        [0.4, 'rgb(255,206,10)'],
        [0.40392, 'rgb(255,205,9)'],
        [0.40784, 'rgb(255,204,9)'],
        [0.41176, 'rgb(255,204,9)'],
        [0.41569, 'rgb(255,203,8)'],
        [0.41961, 'rgb(255,202,8)'],
        [0.42353, 'rgb(255,202,7)'],
        [0.42745, 'rgb(255,201,7)'],
        [0.43137, 'rgb(255,200,7)'],
        [0.43529, 'rgb(255,200,6)'],
        [0.43922, 'rgb(255,199,6)'],
        [0.44314, 'rgb(255,198,5)'],
        [0.44706, 'rgb(255,198,5)'],
        [0.45098, 'rgb(255,197,5)'],
        [0.4549, 'rgb(255,196,4)'],
        [0.45882, 'rgb(255,196,4)'],
        [0.46275, 'rgb(255,195,3)'],
        [0.46667, 'rgb(255,194,3)'],
        [0.47059, 'rgb(255,194,3)'],
        [0.47451, 'rgb(255,193,2)'],
        [0.47843, 'rgb(255,192,2)'],
        [0.48235, 'rgb(255,192,1)'],
        [0.48627, 'rgb(255,191,1)'],
        [0.4902, 'rgb(255,190,1)'],
        [0.49412, 'rgb(255,190,0)'],
        [0.49804, 'rgb(255,189,0)'],
        [0.50196, 'rgb(255,188,0)'],
        [0.50588, 'rgb(255,188,0)'],
        [0.5098, 'rgb(255,187,0)'],
        [0.51373, 'rgb(255,187,0)'],
        [0.51765, 'rgb(255,186,0)'],
        [0.52157, 'rgb(255,186,0)'],
        [0.52549, 'rgb(255,186,0)'],
        [0.52941, 'rgb(255,185,0)'],
        [0.53333, 'rgb(255,185,0)'],
        [0.53725, 'rgb(255,184,0)'],
        [0.54118, 'rgb(255,184,0)'],
        [0.5451, 'rgb(255,183,0)'],
        [0.54902, 'rgb(255,183,0)'],
        [0.55294, 'rgb(255,182,0)'],
        [0.55686, 'rgb(255,182,0)'],
        [0.56078, 'rgb(255,181,0)'],
        [0.56471, 'rgb(255,181,0)'],
        [0.56863, 'rgb(255,181,0)'],
        [0.57255, 'rgb(255,180,0)'],
        [0.57647, 'rgb(255,180,0)'],
        [0.58039, 'rgb(255,179,0)'],
        [0.58431, 'rgb(255,179,0)'],
        [0.58824, 'rgb(255,178,0)'],
        [0.59216, 'rgb(255,178,0)'],
        [0.59608, 'rgb(255,177,0)'],
        [0.6, 'rgb(255,177,0)'],
        [0.60392, 'rgb(255,176,0)'],
        [0.60784, 'rgb(255,176,0)'],
        [0.61176, 'rgb(255,176,0)'],
        [0.61569, 'rgb(255,175,0)'],
        [0.61961, 'rgb(255,175,0)'],
        [0.62353, 'rgb(255,174,0)'],
        [0.62745, 'rgb(255,174,0)'],
        [0.63137, 'rgb(255,173,0)'],
        [0.63529, 'rgb(255,173,0)'],
        [0.63922, 'rgb(255,172,0)'],
        [0.64314, 'rgb(255,172,0)'],
        [0.64706, 'rgb(255,171,0)'],
        [0.65098, 'rgb(255,171,0)'],
        [0.6549, 'rgb(255,171,0)'],
        [0.65882, 'rgb(255,170,0)'],
        [0.66275, 'rgb(255,170,0)'],
        [0.66667, 'rgb(255,169,0)'],
        [0.67059, 'rgb(255,169,0)'],
        [0.67451, 'rgb(255,168,0)'],
        [0.67843, 'rgb(255,168,0)'],
        [0.68235, 'rgb(255,167,0)'],
        [0.68627, 'rgb(255,167,0)'],
        [0.6902, 'rgb(255,166,0)'],
        [0.69412, 'rgb(255,166,0)'],
        [0.69804, 'rgb(255,166,0)'],
        [0.70196, 'rgb(255,165,0)'],
        [0.70588, 'rgb(255,165,0)'],
        [0.7098, 'rgb(255,164,0)'],
        [0.71373, 'rgb(255,164,0)'],
        [0.71765, 'rgb(255,163,0)'],
        [0.72157, 'rgb(255,163,0)'],
        [0.72549, 'rgb(255,162,0)'],
        [0.72941, 'rgb(255,162,0)'],
        [0.73333, 'rgb(255,161,0)'],
        [0.73725, 'rgb(255,161,0)'],
        [0.74118, 'rgb(255,161,0)'],
        [0.7451, 'rgb(255,160,0)'],
        [0.74902, 'rgb(255,160,0)'],
        [0.75294, 'rgb(254,159,0)'],
        [0.75686, 'rgb(254,159,0)'],
        [0.76078, 'rgb(254,158,0)'],
        [0.76471, 'rgb(254,158,0)'],
        [0.76863, 'rgb(254,157,0)'],
        [0.77255, 'rgb(254,157,0)'],
        [0.77647, 'rgb(254,156,0)'],
        [0.78039, 'rgb(254,155,0)'],
        [0.78431, 'rgb(254,155,0)'],
        [0.78824, 'rgb(254,154,0)'],
        [0.79216, 'rgb(254,154,0)'],
        [0.79608, 'rgb(254,153,0)'],
        [0.8, 'rgb(254,153,0)'],
        [0.80392, 'rgb(254,152,0)'],
        [0.80784, 'rgb(254,152,0)'],
        [0.81176, 'rgb(254,151,0)'],
        [0.81569, 'rgb(254,151,0)'],
        [0.81961, 'rgb(254,150,0)'],
        [0.82353, 'rgb(254,150,0)'],
        [0.82745, 'rgb(254,149,0)'],
        [0.83137, 'rgb(254,149,0)'],
        [0.83529, 'rgb(253,148,0)'],
        [0.83922, 'rgb(253,148,0)'],
        [0.84314, 'rgb(253,147,0)'],
        [0.84706, 'rgb(253,147,0)'],
        [0.85098, 'rgb(253,146,0)'],
        [0.8549, 'rgb(253,146,0)'],
        [0.85882, 'rgb(253,145,0)'],
        [0.86275, 'rgb(253,145,0)'],
        [0.86667, 'rgb(253,144,0)'],
        [0.87059, 'rgb(253,144,0)'],
        [0.87451, 'rgb(253,143,0)'],
        [0.87843, 'rgb(253,143,0)'],
        [0.88235, 'rgb(253,142,0)'],
        [0.88627, 'rgb(253,142,0)'],
        [0.8902, 'rgb(253,141,0)'],
        [0.89412, 'rgb(253,140,0)'],
        [0.89804, 'rgb(253,140,0)'],
        [0.90196, 'rgb(253,139,0)'],
        [0.90588, 'rgb(253,139,0)'],
        [0.9098, 'rgb(253,138,0)'],
        [0.91373, 'rgb(253,138,0)'],
        [0.91765, 'rgb(252,137,0)'],
        [0.92157, 'rgb(252,137,0)'],
        [0.92549, 'rgb(252,136,0)'],
        [0.92941, 'rgb(252,136,0)'],
        [0.93333, 'rgb(252,135,0)'],
        [0.93725, 'rgb(252,135,0)'],
        [0.94118, 'rgb(252,134,0)'],
        [0.9451, 'rgb(252,134,0)'],
        [0.94902, 'rgb(252,133,0)'],
        [0.95294, 'rgb(252,133,0)'],
        [0.95686, 'rgb(252,132,0)'],
        [0.96078, 'rgb(252,132,0)'],
        [0.96471, 'rgb(252,131,0)'],
        [0.96863, 'rgb(252,131,0)'],
        [0.97255, 'rgb(252,130,0)'],
        [0.97647, 'rgb(252,130,0)'],
        [0.98039, 'rgb(252,129,0)'],
        [0.98431, 'rgb(252,129,0)'],
        [0.98824, 'rgb(252,128,0)'],
        [0.99216, 'rgb(252,128,0)'],
        [0.99608, 'rgb(252,127,0)'],
        [1.0, 'rgb(252,127,0)'],
    ],
    'afmhot': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392, 'rgb(2,0,0)'],
        [0.00784, 'rgb(4,0,0)'],
        [0.01176, 'rgb(6,0,0)'],
        [0.01569, 'rgb(8,0,0)'],
        [0.01961, 'rgb(10,0,0)'],
        [0.02353, 'rgb(12,0,0)'],
        [0.02745, 'rgb(14,0,0)'],
        [0.03137, 'rgb(16,0,0)'],
        [0.03529, 'rgb(18,0,0)'],
        [0.03922, 'rgb(20,0,0)'],
        [0.04314, 'rgb(22,0,0)'],
        [0.04706, 'rgb(24,0,0)'],
        [0.05098, 'rgb(26,0,0)'],
        [0.0549, 'rgb(28,0,0)'],
        [0.05882, 'rgb(30,0,0)'],
        [0.06275, 'rgb(32,0,0)'],
        [0.06667, 'rgb(34,0,0)'],
        [0.07059, 'rgb(36,0,0)'],
        [0.07451, 'rgb(38,0,0)'],
        [0.07843, 'rgb(40,0,0)'],
        [0.08235, 'rgb(42,0,0)'],
        [0.08627, 'rgb(44,0,0)'],
        [0.0902, 'rgb(46,0,0)'],
        [0.09412, 'rgb(48,0,0)'],
        [0.09804, 'rgb(50,0,0)'],
        [0.10196, 'rgb(52,0,0)'],
        [0.10588, 'rgb(54,0,0)'],
        [0.1098, 'rgb(56,0,0)'],
        [0.11373, 'rgb(58,0,0)'],
        [0.11765, 'rgb(60,0,0)'],
        [0.12157, 'rgb(62,0,0)'],
        [0.12549, 'rgb(64,0,0)'],
        [0.12941, 'rgb(65,0,0)'],
        [0.13333, 'rgb(68,0,0)'],
        [0.13725, 'rgb(70,0,0)'],
        [0.14118, 'rgb(72,0,0)'],
        [0.1451, 'rgb(73,0,0)'],
        [0.14902, 'rgb(76,0,0)'],
        [0.15294, 'rgb(78,0,0)'],
        [0.15686, 'rgb(80,0,0)'],
        [0.16078, 'rgb(81,0,0)'],
        [0.16471, 'rgb(84,0,0)'],
        [0.16863, 'rgb(86,0,0)'],
        [0.17255, 'rgb(88,0,0)'],
        [0.17647, 'rgb(89,0,0)'],
        [0.18039, 'rgb(92,0,0)'],
        [0.18431, 'rgb(94,0,0)'],
        [0.18824, 'rgb(96,0,0)'],
        [0.19216, 'rgb(97,0,0)'],
        [0.19608, 'rgb(100,0,0)'],
        [0.2, 'rgb(102,0,0)'],
        [0.20392, 'rgb(104,0,0)'],
        [0.20784, 'rgb(105,0,0)'],
        [0.21176, 'rgb(108,0,0)'],
        [0.21569, 'rgb(110,0,0)'],
        [0.21961, 'rgb(112,0,0)'],
        [0.22353, 'rgb(113,0,0)'],
        [0.22745, 'rgb(116,0,0)'],
        [0.23137, 'rgb(118,0,0)'],
        [0.23529, 'rgb(120,0,0)'],
        [0.23922, 'rgb(121,0,0)'],
        [0.24314, 'rgb(124,0,0)'],
        [0.24706, 'rgb(126,0,0)'],
        [0.25098, 'rgb(128,0,0)'],
        [0.2549, 'rgb(130,2,0)'],
        [0.25882, 'rgb(131,4,0)'],
        [0.26275, 'rgb(134,6,0)'],
        [0.26667, 'rgb(136,8,0)'],
        [0.27059, 'rgb(138,10,0)'],
        [0.27451, 'rgb(140,12,0)'],
        [0.27843, 'rgb(142,14,0)'],
        [0.28235, 'rgb(144,16,0)'],
        [0.28627, 'rgb(146,18,0)'],
        [0.2902, 'rgb(147,20,0)'],
        [0.29412, 'rgb(150,22,0)'],
        [0.29804, 'rgb(152,24,0)'],
        [0.30196, 'rgb(154,26,0)'],
        [0.30588, 'rgb(156,28,0)'],
        [0.3098, 'rgb(158,30,0)'],
        [0.31373, 'rgb(160,32,0)'],
        [0.31765, 'rgb(162,34,0)'],
        [0.32157, 'rgb(163,36,0)'],
        [0.32549, 'rgb(166,38,0)'],
        [0.32941, 'rgb(168,40,0)'],
        [0.33333, 'rgb(170,42,0)'],
        [0.33725, 'rgb(172,44,0)'],
        [0.34118, 'rgb(174,46,0)'],
        [0.3451, 'rgb(176,48,0)'],
        [0.34902, 'rgb(178,50,0)'],
        [0.35294, 'rgb(179,52,0)'],
        [0.35686, 'rgb(182,54,0)'],
        [0.36078, 'rgb(184,56,0)'],
        [0.36471, 'rgb(186,58,0)'],
        [0.36863, 'rgb(188,60,0)'],
        [0.37255, 'rgb(190,62,0)'],
        [0.37647, 'rgb(192,64,0)'],
        [0.38039, 'rgb(194,66,0)'],
        [0.38431, 'rgb(195,68,0)'],
        [0.38824, 'rgb(198,70,0)'],
        [0.39216, 'rgb(200,72,0)'],
        [0.39608, 'rgb(202,74,0)'],
        [0.4, 'rgb(204,76,0)'],
        [0.40392, 'rgb(206,78,0)'],
        [0.40784, 'rgb(208,80,0)'],
        [0.41176, 'rgb(210,82,0)'],
        [0.41569, 'rgb(211,84,0)'],
        [0.41961, 'rgb(214,86,0)'],
        [0.42353, 'rgb(216,88,0)'],
        [0.42745, 'rgb(218,90,0)'],
        [0.43137, 'rgb(220,92,0)'],
        [0.43529, 'rgb(222,94,0)'],
        [0.43922, 'rgb(224,96,0)'],
        [0.44314, 'rgb(226,98,0)'],
        [0.44706, 'rgb(227,100,0)'],
        [0.45098, 'rgb(230,102,0)'],
        [0.4549, 'rgb(232,104,0)'],
        [0.45882, 'rgb(234,106,0)'],
        [0.46275, 'rgb(236,108,0)'],
        [0.46667, 'rgb(238,110,0)'],
        [0.47059, 'rgb(240,112,0)'],
        [0.47451, 'rgb(242,114,0)'],
        [0.47843, 'rgb(243,116,0)'],
        [0.48235, 'rgb(246,118,0)'],
        [0.48627, 'rgb(248,120,0)'],
        [0.4902, 'rgb(250,122,0)'],
        [0.49412, 'rgb(252,124,0)'],
        [0.49804, 'rgb(254,126,0)'],
        [0.50196, 'rgb(255,128,0)'],
        [0.50588, 'rgb(255,130,2)'],
        [0.5098, 'rgb(255,132,4)'],
        [0.51373, 'rgb(255,134,6)'],
        [0.51765, 'rgb(255,136,8)'],
        [0.52157, 'rgb(255,138,11)'],
        [0.52549, 'rgb(255,140,13)'],
        [0.52941, 'rgb(255,142,15)'],
        [0.53333, 'rgb(255,144,16)'],
        [0.53725, 'rgb(255,146,18)'],
        [0.54118, 'rgb(255,148,20)'],
        [0.5451, 'rgb(255,150,22)'],
        [0.54902, 'rgb(255,152,25)'],
        [0.55294, 'rgb(255,154,27)'],
        [0.55686, 'rgb(255,156,29)'],
        [0.56078, 'rgb(255,158,31)'],
        [0.56471, 'rgb(255,160,32)'],
        [0.56863, 'rgb(255,162,34)'],
        [0.57255, 'rgb(255,164,36)'],
        [0.57647, 'rgb(255,166,38)'],
        [0.58039, 'rgb(255,168,40)'],
        [0.58431, 'rgb(255,170,43)'],
        [0.58824, 'rgb(255,172,45)'],
        [0.59216, 'rgb(255,174,47)'],
        [0.59608, 'rgb(255,176,48)'],
        [0.6, 'rgb(255,178,50)'],
        [0.60392, 'rgb(255,180,52)'],
        [0.60784, 'rgb(255,182,54)'],
        [0.61176, 'rgb(255,184,57)'],
        [0.61569, 'rgb(255,186,59)'],
        [0.61961, 'rgb(255,188,61)'],
        [0.62353, 'rgb(255,190,63)'],
        [0.62745, 'rgb(255,192,65)'],
        [0.63137, 'rgb(255,194,66)'],
        [0.63529, 'rgb(255,196,68)'],
        [0.63922, 'rgb(255,198,70)'],
        [0.64314, 'rgb(255,200,72)'],
        [0.64706, 'rgb(255,202,75)'],
        [0.65098, 'rgb(255,204,77)'],
        [0.6549, 'rgb(255,206,79)'],
        [0.65882, 'rgb(255,208,81)'],
        [0.66275, 'rgb(255,210,82)'],
        [0.66667, 'rgb(255,212,84)'],
        [0.67059, 'rgb(255,214,86)'],
        [0.67451, 'rgb(255,216,89)'],
        [0.67843, 'rgb(255,218,91)'],
        [0.68235, 'rgb(255,220,93)'],
        [0.68627, 'rgb(255,222,95)'],
        [0.6902, 'rgb(255,224,97)'],
        [0.69412, 'rgb(255,226,98)'],
        [0.69804, 'rgb(255,228,100)'],
        [0.70196, 'rgb(255,230,102)'],
        [0.70588, 'rgb(255,232,104)'],
        [0.7098, 'rgb(255,234,107)'],
        [0.71373, 'rgb(255,236,109)'],
        [0.71765, 'rgb(255,238,111)'],
        [0.72157, 'rgb(255,240,113)'],
        [0.72549, 'rgb(255,242,114)'],
        [0.72941, 'rgb(255,244,116)'],
        [0.73333, 'rgb(255,246,118)'],
        [0.73725, 'rgb(255,248,121)'],
        [0.74118, 'rgb(255,250,123)'],
        [0.7451, 'rgb(255,252,125)'],
        [0.74902, 'rgb(255,254,127)'],
        [0.75294, 'rgb(255,255,129)'],
        [0.75686, 'rgb(255,255,131)'],
        [0.76078, 'rgb(255,255,132)'],
        [0.76471, 'rgb(255,255,134)'],
        [0.76863, 'rgb(255,255,136)'],
        [0.77255, 'rgb(255,255,139)'],
        [0.77647, 'rgb(255,255,141)'],
        [0.78039, 'rgb(255,255,143)'],
        [0.78431, 'rgb(255,255,145)'],
        [0.78824, 'rgb(255,255,147)'],
        [0.79216, 'rgb(255,255,148)'],
        [0.79608, 'rgb(255,255,150)'],
        [0.8, 'rgb(255,255,153)'],
        [0.80392, 'rgb(255,255,155)'],
        [0.80784, 'rgb(255,255,157)'],
        [0.81176, 'rgb(255,255,159)'],
        [0.81569, 'rgb(255,255,161)'],
        [0.81961, 'rgb(255,255,163)'],
        [0.82353, 'rgb(255,255,164)'],
        [0.82745, 'rgb(255,255,166)'],
        [0.83137, 'rgb(255,255,168)'],
        [0.83529, 'rgb(255,255,171)'],
        [0.83922, 'rgb(255,255,173)'],
        [0.84314, 'rgb(255,255,175)'],
        [0.84706, 'rgb(255,255,177)'],
        [0.85098, 'rgb(255,255,179)'],
        [0.8549, 'rgb(255,255,180)'],
        [0.85882, 'rgb(255,255,182)'],
        [0.86275, 'rgb(255,255,185)'],
        [0.86667, 'rgb(255,255,187)'],
        [0.87059, 'rgb(255,255,189)'],
        [0.87451, 'rgb(255,255,191)'],
        [0.87843, 'rgb(255,255,193)'],
        [0.88235, 'rgb(255,255,195)'],
        [0.88627, 'rgb(255,255,196)'],
        [0.8902, 'rgb(255,255,198)'],
        [0.89412, 'rgb(255,255,200)'],
        [0.89804, 'rgb(255,255,203)'],
        [0.90196, 'rgb(255,255,205)'],
        [0.90588, 'rgb(255,255,207)'],
        [0.9098, 'rgb(255,255,209)'],
        [0.91373, 'rgb(255,255,211)'],
        [0.91765, 'rgb(255,255,212)'],
        [0.92157, 'rgb(255,255,214)'],
        [0.92549, 'rgb(255,255,217)'],
        [0.92941, 'rgb(255,255,219)'],
        [0.93333, 'rgb(255,255,221)'],
        [0.93725, 'rgb(255,255,223)'],
        [0.94118, 'rgb(255,255,225)'],
        [0.9451, 'rgb(255,255,227)'],
        [0.94902, 'rgb(255,255,228)'],
        [0.95294, 'rgb(255,255,230)'],
        [0.95686, 'rgb(255,255,232)'],
        [0.96078, 'rgb(255,255,235)'],
        [0.96471, 'rgb(255,255,237)'],
        [0.96863, 'rgb(255,255,239)'],
        [0.97255, 'rgb(255,255,241)'],
        [0.97647, 'rgb(255,255,243)'],
        [0.98039, 'rgb(255,255,244)'],
        [0.98431, 'rgb(255,255,246)'],
        [0.98824, 'rgb(255,255,249)'],
        [0.99216, 'rgb(255,255,251)'],
        [0.99608, 'rgb(255,255,253)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'autumn': [
        [0.0, 'rgb(255,0,0)'],
        [0.00392, 'rgb(255,1,0)'],
        [0.00784, 'rgb(255,2,0)'],
        [0.01176, 'rgb(255,3,0)'],
        [0.01569, 'rgb(255,4,0)'],
        [0.01961, 'rgb(255,5,0)'],
        [0.02353, 'rgb(255,6,0)'],
        [0.02745, 'rgb(255,7,0)'],
        [0.03137, 'rgb(255,8,0)'],
        [0.03529, 'rgb(255,9,0)'],
        [0.03922, 'rgb(255,10,0)'],
        [0.04314, 'rgb(255,11,0)'],
        [0.04706, 'rgb(255,12,0)'],
        [0.05098, 'rgb(255,13,0)'],
        [0.0549, 'rgb(255,14,0)'],
        [0.05882, 'rgb(255,15,0)'],
        [0.06275, 'rgb(255,16,0)'],
        [0.06667, 'rgb(255,17,0)'],
        [0.07059, 'rgb(255,18,0)'],
        [0.07451, 'rgb(255,19,0)'],
        [0.07843, 'rgb(255,20,0)'],
        [0.08235, 'rgb(255,21,0)'],
        [0.08627, 'rgb(255,22,0)'],
        [0.0902, 'rgb(255,23,0)'],
        [0.09412, 'rgb(255,24,0)'],
        [0.09804, 'rgb(255,25,0)'],
        [0.10196, 'rgb(255,26,0)'],
        [0.10588, 'rgb(255,27,0)'],
        [0.1098, 'rgb(255,28,0)'],
        [0.11373, 'rgb(255,29,0)'],
        [0.11765, 'rgb(255,30,0)'],
        [0.12157, 'rgb(255,31,0)'],
        [0.12549, 'rgb(255,32,0)'],
        [0.12941, 'rgb(255,32,0)'],
        [0.13333, 'rgb(255,34,0)'],
        [0.13725, 'rgb(255,35,0)'],
        [0.14118, 'rgb(255,36,0)'],
        [0.1451, 'rgb(255,36,0)'],
        [0.14902, 'rgb(255,38,0)'],
        [0.15294, 'rgb(255,39,0)'],
        [0.15686, 'rgb(255,40,0)'],
        [0.16078, 'rgb(255,40,0)'],
        [0.16471, 'rgb(255,42,0)'],
        [0.16863, 'rgb(255,43,0)'],
        [0.17255, 'rgb(255,44,0)'],
        [0.17647, 'rgb(255,44,0)'],
        [0.18039, 'rgb(255,46,0)'],
        [0.18431, 'rgb(255,47,0)'],
        [0.18824, 'rgb(255,48,0)'],
        [0.19216, 'rgb(255,48,0)'],
        [0.19608, 'rgb(255,50,0)'],
        [0.2, 'rgb(255,51,0)'],
        [0.20392, 'rgb(255,52,0)'],
        [0.20784, 'rgb(255,52,0)'],
        [0.21176, 'rgb(255,54,0)'],
        [0.21569, 'rgb(255,55,0)'],
        [0.21961, 'rgb(255,56,0)'],
        [0.22353, 'rgb(255,56,0)'],
        [0.22745, 'rgb(255,58,0)'],
        [0.23137, 'rgb(255,59,0)'],
        [0.23529, 'rgb(255,60,0)'],
        [0.23922, 'rgb(255,60,0)'],
        [0.24314, 'rgb(255,62,0)'],
        [0.24706, 'rgb(255,63,0)'],
        [0.25098, 'rgb(255,64,0)'],
        [0.2549, 'rgb(255,65,0)'],
        [0.25882, 'rgb(255,65,0)'],
        [0.26275, 'rgb(255,67,0)'],
        [0.26667, 'rgb(255,68,0)'],
        [0.27059, 'rgb(255,69,0)'],
        [0.27451, 'rgb(255,70,0)'],
        [0.27843, 'rgb(255,71,0)'],
        [0.28235, 'rgb(255,72,0)'],
        [0.28627, 'rgb(255,73,0)'],
        [0.2902, 'rgb(255,73,0)'],
        [0.29412, 'rgb(255,75,0)'],
        [0.29804, 'rgb(255,76,0)'],
        [0.30196, 'rgb(255,77,0)'],
        [0.30588, 'rgb(255,78,0)'],
        [0.3098, 'rgb(255,79,0)'],
        [0.31373, 'rgb(255,80,0)'],
        [0.31765, 'rgb(255,81,0)'],
        [0.32157, 'rgb(255,81,0)'],
        [0.32549, 'rgb(255,83,0)'],
        [0.32941, 'rgb(255,84,0)'],
        [0.33333, 'rgb(255,85,0)'],
        [0.33725, 'rgb(255,86,0)'],
        [0.34118, 'rgb(255,87,0)'],
        [0.3451, 'rgb(255,88,0)'],
        [0.34902, 'rgb(255,89,0)'],
        [0.35294, 'rgb(255,89,0)'],
        [0.35686, 'rgb(255,91,0)'],
        [0.36078, 'rgb(255,92,0)'],
        [0.36471, 'rgb(255,93,0)'],
        [0.36863, 'rgb(255,94,0)'],
        [0.37255, 'rgb(255,95,0)'],
        [0.37647, 'rgb(255,96,0)'],
        [0.38039, 'rgb(255,97,0)'],
        [0.38431, 'rgb(255,97,0)'],
        [0.38824, 'rgb(255,99,0)'],
        [0.39216, 'rgb(255,100,0)'],
        [0.39608, 'rgb(255,101,0)'],
        [0.4, 'rgb(255,102,0)'],
        [0.40392, 'rgb(255,103,0)'],
        [0.40784, 'rgb(255,104,0)'],
        [0.41176, 'rgb(255,105,0)'],
        [0.41569, 'rgb(255,105,0)'],
        [0.41961, 'rgb(255,107,0)'],
        [0.42353, 'rgb(255,108,0)'],
        [0.42745, 'rgb(255,109,0)'],
        [0.43137, 'rgb(255,110,0)'],
        [0.43529, 'rgb(255,111,0)'],
        [0.43922, 'rgb(255,112,0)'],
        [0.44314, 'rgb(255,113,0)'],
        [0.44706, 'rgb(255,113,0)'],
        [0.45098, 'rgb(255,115,0)'],
        [0.4549, 'rgb(255,116,0)'],
        [0.45882, 'rgb(255,117,0)'],
        [0.46275, 'rgb(255,118,0)'],
        [0.46667, 'rgb(255,119,0)'],
        [0.47059, 'rgb(255,120,0)'],
        [0.47451, 'rgb(255,121,0)'],
        [0.47843, 'rgb(255,121,0)'],
        [0.48235, 'rgb(255,123,0)'],
        [0.48627, 'rgb(255,124,0)'],
        [0.4902, 'rgb(255,125,0)'],
        [0.49412, 'rgb(255,126,0)'],
        [0.49804, 'rgb(255,127,0)'],
        [0.50196, 'rgb(255,128,0)'],
        [0.50588, 'rgb(255,129,0)'],
        [0.5098, 'rgb(255,130,0)'],
        [0.51373, 'rgb(255,131,0)'],
        [0.51765, 'rgb(255,131,0)'],
        [0.52157, 'rgb(255,133,0)'],
        [0.52549, 'rgb(255,134,0)'],
        [0.52941, 'rgb(255,135,0)'],
        [0.53333, 'rgb(255,136,0)'],
        [0.53725, 'rgb(255,137,0)'],
        [0.54118, 'rgb(255,138,0)'],
        [0.5451, 'rgb(255,139,0)'],
        [0.54902, 'rgb(255,140,0)'],
        [0.55294, 'rgb(255,141,0)'],
        [0.55686, 'rgb(255,142,0)'],
        [0.56078, 'rgb(255,143,0)'],
        [0.56471, 'rgb(255,144,0)'],
        [0.56863, 'rgb(255,145,0)'],
        [0.57255, 'rgb(255,146,0)'],
        [0.57647, 'rgb(255,147,0)'],
        [0.58039, 'rgb(255,147,0)'],
        [0.58431, 'rgb(255,149,0)'],
        [0.58824, 'rgb(255,150,0)'],
        [0.59216, 'rgb(255,151,0)'],
        [0.59608, 'rgb(255,152,0)'],
        [0.6, 'rgb(255,153,0)'],
        [0.60392, 'rgb(255,154,0)'],
        [0.60784, 'rgb(255,155,0)'],
        [0.61176, 'rgb(255,156,0)'],
        [0.61569, 'rgb(255,157,0)'],
        [0.61961, 'rgb(255,158,0)'],
        [0.62353, 'rgb(255,159,0)'],
        [0.62745, 'rgb(255,160,0)'],
        [0.63137, 'rgb(255,161,0)'],
        [0.63529, 'rgb(255,162,0)'],
        [0.63922, 'rgb(255,163,0)'],
        [0.64314, 'rgb(255,163,0)'],
        [0.64706, 'rgb(255,165,0)'],
        [0.65098, 'rgb(255,166,0)'],
        [0.6549, 'rgb(255,167,0)'],
        [0.65882, 'rgb(255,168,0)'],
        [0.66275, 'rgb(255,169,0)'],
        [0.66667, 'rgb(255,170,0)'],
        [0.67059, 'rgb(255,171,0)'],
        [0.67451, 'rgb(255,172,0)'],
        [0.67843, 'rgb(255,173,0)'],
        [0.68235, 'rgb(255,174,0)'],
        [0.68627, 'rgb(255,175,0)'],
        [0.6902, 'rgb(255,176,0)'],
        [0.69412, 'rgb(255,177,0)'],
        [0.69804, 'rgb(255,178,0)'],
        [0.70196, 'rgb(255,179,0)'],
        [0.70588, 'rgb(255,179,0)'],
        [0.7098, 'rgb(255,181,0)'],
        [0.71373, 'rgb(255,182,0)'],
        [0.71765, 'rgb(255,183,0)'],
        [0.72157, 'rgb(255,184,0)'],
        [0.72549, 'rgb(255,185,0)'],
        [0.72941, 'rgb(255,186,0)'],
        [0.73333, 'rgb(255,187,0)'],
        [0.73725, 'rgb(255,188,0)'],
        [0.74118, 'rgb(255,189,0)'],
        [0.7451, 'rgb(255,190,0)'],
        [0.74902, 'rgb(255,191,0)'],
        [0.75294, 'rgb(255,192,0)'],
        [0.75686, 'rgb(255,193,0)'],
        [0.76078, 'rgb(255,194,0)'],
        [0.76471, 'rgb(255,195,0)'],
        [0.76863, 'rgb(255,195,0)'],
        [0.77255, 'rgb(255,197,0)'],
        [0.77647, 'rgb(255,198,0)'],
        [0.78039, 'rgb(255,199,0)'],
        [0.78431, 'rgb(255,200,0)'],
        [0.78824, 'rgb(255,201,0)'],
        [0.79216, 'rgb(255,202,0)'],
        [0.79608, 'rgb(255,203,0)'],
        [0.8, 'rgb(255,204,0)'],
        [0.80392, 'rgb(255,205,0)'],
        [0.80784, 'rgb(255,206,0)'],
        [0.81176, 'rgb(255,207,0)'],
        [0.81569, 'rgb(255,208,0)'],
        [0.81961, 'rgb(255,209,0)'],
        [0.82353, 'rgb(255,210,0)'],
        [0.82745, 'rgb(255,211,0)'],
        [0.83137, 'rgb(255,211,0)'],
        [0.83529, 'rgb(255,213,0)'],
        [0.83922, 'rgb(255,214,0)'],
        [0.84314, 'rgb(255,215,0)'],
        [0.84706, 'rgb(255,216,0)'],
        [0.85098, 'rgb(255,217,0)'],
        [0.8549, 'rgb(255,218,0)'],
        [0.85882, 'rgb(255,219,0)'],
        [0.86275, 'rgb(255,220,0)'],
        [0.86667, 'rgb(255,221,0)'],
        [0.87059, 'rgb(255,222,0)'],
        [0.87451, 'rgb(255,223,0)'],
        [0.87843, 'rgb(255,224,0)'],
        [0.88235, 'rgb(255,225,0)'],
        [0.88627, 'rgb(255,226,0)'],
        [0.8902, 'rgb(255,227,0)'],
        [0.89412, 'rgb(255,227,0)'],
        [0.89804, 'rgb(255,229,0)'],
        [0.90196, 'rgb(255,230,0)'],
        [0.90588, 'rgb(255,231,0)'],
        [0.9098, 'rgb(255,232,0)'],
        [0.91373, 'rgb(255,233,0)'],
        [0.91765, 'rgb(255,234,0)'],
        [0.92157, 'rgb(255,235,0)'],
        [0.92549, 'rgb(255,236,0)'],
        [0.92941, 'rgb(255,237,0)'],
        [0.93333, 'rgb(255,238,0)'],
        [0.93725, 'rgb(255,239,0)'],
        [0.94118, 'rgb(255,240,0)'],
        [0.9451, 'rgb(255,241,0)'],
        [0.94902, 'rgb(255,242,0)'],
        [0.95294, 'rgb(255,243,0)'],
        [0.95686, 'rgb(255,243,0)'],
        [0.96078, 'rgb(255,245,0)'],
        [0.96471, 'rgb(255,246,0)'],
        [0.96863, 'rgb(255,247,0)'],
        [0.97255, 'rgb(255,248,0)'],
        [0.97647, 'rgb(255,249,0)'],
        [0.98039, 'rgb(255,250,0)'],
        [0.98431, 'rgb(255,251,0)'],
        [0.98824, 'rgb(255,252,0)'],
        [0.99216, 'rgb(255,253,0)'],
        [0.99608, 'rgb(255,254,0)'],
        [1.0, 'rgb(255,255,0)'],
    ],
    'binary': [
        [0.0, 'rgb(255,255,255)'],
        [0.00392, 'rgb(254,254,254)'],
        [0.00784, 'rgb(253,253,253)'],
        [0.01176, 'rgb(252,252,252)'],
        [0.01569, 'rgb(251,251,251)'],
        [0.01961, 'rgb(250,250,250)'],
        [0.02353, 'rgb(249,249,249)'],
        [0.02745, 'rgb(248,248,248)'],
        [0.03137, 'rgb(247,247,247)'],
        [0.03529, 'rgb(246,246,246)'],
        [0.03922, 'rgb(245,245,245)'],
        [0.04314, 'rgb(244,244,244)'],
        [0.04706, 'rgb(243,243,243)'],
        [0.05098, 'rgb(242,242,242)'],
        [0.0549, 'rgb(241,241,241)'],
        [0.05882, 'rgb(240,240,240)'],
        [0.06275, 'rgb(239,239,239)'],
        [0.06667, 'rgb(238,238,238)'],
        [0.07059, 'rgb(237,237,237)'],
        [0.07451, 'rgb(236,236,236)'],
        [0.07843, 'rgb(235,235,235)'],
        [0.08235, 'rgb(234,234,234)'],
        [0.08627, 'rgb(233,233,233)'],
        [0.0902, 'rgb(232,232,232)'],
        [0.09412, 'rgb(231,231,231)'],
        [0.09804, 'rgb(230,230,230)'],
        [0.10196, 'rgb(229,229,229)'],
        [0.10588, 'rgb(228,228,228)'],
        [0.1098, 'rgb(227,227,227)'],
        [0.11373, 'rgb(226,226,226)'],
        [0.11765, 'rgb(225,225,225)'],
        [0.12157, 'rgb(224,224,224)'],
        [0.12549, 'rgb(223,223,223)'],
        [0.12941, 'rgb(222,222,222)'],
        [0.13333, 'rgb(221,221,221)'],
        [0.13725, 'rgb(220,220,220)'],
        [0.14118, 'rgb(219,219,219)'],
        [0.1451, 'rgb(218,218,218)'],
        [0.14902, 'rgb(217,217,217)'],
        [0.15294, 'rgb(216,216,216)'],
        [0.15686, 'rgb(215,215,215)'],
        [0.16078, 'rgb(214,214,214)'],
        [0.16471, 'rgb(213,213,213)'],
        [0.16863, 'rgb(211,211,211)'],
        [0.17255, 'rgb(211,211,211)'],
        [0.17647, 'rgb(210,210,210)'],
        [0.18039, 'rgb(209,209,209)'],
        [0.18431, 'rgb(208,208,208)'],
        [0.18824, 'rgb(207,207,207)'],
        [0.19216, 'rgb(206,206,206)'],
        [0.19608, 'rgb(205,205,205)'],
        [0.2, 'rgb(204,204,204)'],
        [0.20392, 'rgb(203,203,203)'],
        [0.20784, 'rgb(202,202,202)'],
        [0.21176, 'rgb(201,201,201)'],
        [0.21569, 'rgb(200,200,200)'],
        [0.21961, 'rgb(199,199,199)'],
        [0.22353, 'rgb(198,198,198)'],
        [0.22745, 'rgb(197,197,197)'],
        [0.23137, 'rgb(195,195,195)'],
        [0.23529, 'rgb(195,195,195)'],
        [0.23922, 'rgb(194,194,194)'],
        [0.24314, 'rgb(193,193,193)'],
        [0.24706, 'rgb(192,192,192)'],
        [0.25098, 'rgb(191,191,191)'],
        [0.2549, 'rgb(190,190,190)'],
        [0.25882, 'rgb(189,189,189)'],
        [0.26275, 'rgb(188,188,188)'],
        [0.26667, 'rgb(187,187,187)'],
        [0.27059, 'rgb(186,186,186)'],
        [0.27451, 'rgb(185,185,185)'],
        [0.27843, 'rgb(184,184,184)'],
        [0.28235, 'rgb(183,183,183)'],
        [0.28627, 'rgb(182,182,182)'],
        [0.2902, 'rgb(181,181,181)'],
        [0.29412, 'rgb(179,179,179)'],
        [0.29804, 'rgb(179,179,179)'],
        [0.30196, 'rgb(178,178,178)'],
        [0.30588, 'rgb(177,177,177)'],
        [0.3098, 'rgb(176,176,176)'],
        [0.31373, 'rgb(175,175,175)'],
        [0.31765, 'rgb(174,174,174)'],
        [0.32157, 'rgb(173,173,173)'],
        [0.32549, 'rgb(172,172,172)'],
        [0.32941, 'rgb(171,171,171)'],
        [0.33333, 'rgb(170,170,170)'],
        [0.33725, 'rgb(169,169,169)'],
        [0.34118, 'rgb(168,168,168)'],
        [0.3451, 'rgb(167,167,167)'],
        [0.34902, 'rgb(166,166,166)'],
        [0.35294, 'rgb(165,165,165)'],
        [0.35686, 'rgb(163,163,163)'],
        [0.36078, 'rgb(163,163,163)'],
        [0.36471, 'rgb(162,162,162)'],
        [0.36863, 'rgb(161,161,161)'],
        [0.37255, 'rgb(160,160,160)'],
        [0.37647, 'rgb(159,159,159)'],
        [0.38039, 'rgb(158,158,158)'],
        [0.38431, 'rgb(157,157,157)'],
        [0.38824, 'rgb(156,156,156)'],
        [0.39216, 'rgb(155,155,155)'],
        [0.39608, 'rgb(154,154,154)'],
        [0.4, 'rgb(153,153,153)'],
        [0.40392, 'rgb(152,152,152)'],
        [0.40784, 'rgb(151,151,151)'],
        [0.41176, 'rgb(150,150,150)'],
        [0.41569, 'rgb(149,149,149)'],
        [0.41961, 'rgb(147,147,147)'],
        [0.42353, 'rgb(147,147,147)'],
        [0.42745, 'rgb(146,146,146)'],
        [0.43137, 'rgb(145,145,145)'],
        [0.43529, 'rgb(144,144,144)'],
        [0.43922, 'rgb(143,143,143)'],
        [0.44314, 'rgb(142,142,142)'],
        [0.44706, 'rgb(141,141,141)'],
        [0.45098, 'rgb(140,140,140)'],
        [0.4549, 'rgb(139,139,139)'],
        [0.45882, 'rgb(138,138,138)'],
        [0.46275, 'rgb(137,137,137)'],
        [0.46667, 'rgb(136,136,136)'],
        [0.47059, 'rgb(135,135,135)'],
        [0.47451, 'rgb(134,134,134)'],
        [0.47843, 'rgb(133,133,133)'],
        [0.48235, 'rgb(131,131,131)'],
        [0.48627, 'rgb(131,131,131)'],
        [0.4902, 'rgb(130,130,130)'],
        [0.49412, 'rgb(129,129,129)'],
        [0.49804, 'rgb(128,128,128)'],
        [0.50196, 'rgb(127,127,127)'],
        [0.50588, 'rgb(126,126,126)'],
        [0.5098, 'rgb(125,125,125)'],
        [0.51373, 'rgb(124,124,124)'],
        [0.51765, 'rgb(123,123,123)'],
        [0.52157, 'rgb(121,121,121)'],
        [0.52549, 'rgb(121,121,121)'],
        [0.52941, 'rgb(120,120,120)'],
        [0.53333, 'rgb(119,119,119)'],
        [0.53725, 'rgb(118,118,118)'],
        [0.54118, 'rgb(117,117,117)'],
        [0.5451, 'rgb(116,116,116)'],
        [0.54902, 'rgb(114,114,114)'],
        [0.55294, 'rgb(113,113,113)'],
        [0.55686, 'rgb(113,113,113)'],
        [0.56078, 'rgb(112,112,112)'],
        [0.56471, 'rgb(111,111,111)'],
        [0.56863, 'rgb(110,110,110)'],
        [0.57255, 'rgb(109,109,109)'],
        [0.57647, 'rgb(108,108,108)'],
        [0.58039, 'rgb(107,107,107)'],
        [0.58431, 'rgb(105,105,105)'],
        [0.58824, 'rgb(105,105,105)'],
        [0.59216, 'rgb(104,104,104)'],
        [0.59608, 'rgb(103,103,103)'],
        [0.6, 'rgb(102,102,102)'],
        [0.60392, 'rgb(101,101,101)'],
        [0.60784, 'rgb(100,100,100)'],
        [0.61176, 'rgb(98,98,98)'],
        [0.61569, 'rgb(97,97,97)'],
        [0.61961, 'rgb(97,97,97)'],
        [0.62353, 'rgb(96,96,96)'],
        [0.62745, 'rgb(95,95,95)'],
        [0.63137, 'rgb(94,94,94)'],
        [0.63529, 'rgb(93,93,93)'],
        [0.63922, 'rgb(92,92,92)'],
        [0.64314, 'rgb(91,91,91)'],
        [0.64706, 'rgb(89,89,89)'],
        [0.65098, 'rgb(89,89,89)'],
        [0.6549, 'rgb(88,88,88)'],
        [0.65882, 'rgb(87,87,87)'],
        [0.66275, 'rgb(86,86,86)'],
        [0.66667, 'rgb(85,85,85)'],
        [0.67059, 'rgb(84,84,84)'],
        [0.67451, 'rgb(82,82,82)'],
        [0.67843, 'rgb(81,81,81)'],
        [0.68235, 'rgb(81,81,81)'],
        [0.68627, 'rgb(80,80,80)'],
        [0.6902, 'rgb(79,79,79)'],
        [0.69412, 'rgb(78,78,78)'],
        [0.69804, 'rgb(77,77,77)'],
        [0.70196, 'rgb(76,76,76)'],
        [0.70588, 'rgb(75,75,75)'],
        [0.7098, 'rgb(73,73,73)'],
        [0.71373, 'rgb(73,73,73)'],
        [0.71765, 'rgb(72,72,72)'],
        [0.72157, 'rgb(71,71,71)'],
        [0.72549, 'rgb(70,70,70)'],
        [0.72941, 'rgb(69,69,69)'],
        [0.73333, 'rgb(68,68,68)'],
        [0.73725, 'rgb(66,66,66)'],
        [0.74118, 'rgb(65,65,65)'],
        [0.7451, 'rgb(65,65,65)'],
        [0.74902, 'rgb(64,64,64)'],
        [0.75294, 'rgb(63,63,63)'],
        [0.75686, 'rgb(62,62,62)'],
        [0.76078, 'rgb(61,61,61)'],
        [0.76471, 'rgb(60,60,60)'],
        [0.76863, 'rgb(59,59,59)'],
        [0.77255, 'rgb(57,57,57)'],
        [0.77647, 'rgb(56,56,56)'],
        [0.78039, 'rgb(56,56,56)'],
        [0.78431, 'rgb(55,55,55)'],
        [0.78824, 'rgb(54,54,54)'],
        [0.79216, 'rgb(53,53,53)'],
        [0.79608, 'rgb(52,52,52)'],
        [0.8, 'rgb(50,50,50)'],
        [0.80392, 'rgb(49,49,49)'],
        [0.80784, 'rgb(48,48,48)'],
        [0.81176, 'rgb(48,48,48)'],
        [0.81569, 'rgb(47,47,47)'],
        [0.81961, 'rgb(46,46,46)'],
        [0.82353, 'rgb(45,45,45)'],
        [0.82745, 'rgb(44,44,44)'],
        [0.83137, 'rgb(43,43,43)'],
        [0.83529, 'rgb(41,41,41)'],
        [0.83922, 'rgb(40,40,40)'],
        [0.84314, 'rgb(40,40,40)'],
        [0.84706, 'rgb(39,39,39)'],
        [0.85098, 'rgb(38,38,38)'],
        [0.8549, 'rgb(37,37,37)'],
        [0.85882, 'rgb(36,36,36)'],
        [0.86275, 'rgb(34,34,34)'],
        [0.86667, 'rgb(33,33,33)'],
        [0.87059, 'rgb(32,32,32)'],
        [0.87451, 'rgb(32,32,32)'],
        [0.87843, 'rgb(31,31,31)'],
        [0.88235, 'rgb(30,30,30)'],
        [0.88627, 'rgb(29,29,29)'],
        [0.8902, 'rgb(28,28,28)'],
        [0.89412, 'rgb(27,27,27)'],
        [0.89804, 'rgb(25,25,25)'],
        [0.90196, 'rgb(24,24,24)'],
        [0.90588, 'rgb(24,24,24)'],
        [0.9098, 'rgb(23,23,23)'],
        [0.91373, 'rgb(22,22,22)'],
        [0.91765, 'rgb(21,21,21)'],
        [0.92157, 'rgb(20,20,20)'],
        [0.92549, 'rgb(18,18,18)'],
        [0.92941, 'rgb(17,17,17)'],
        [0.93333, 'rgb(16,16,16)'],
        [0.93725, 'rgb(16,16,16)'],
        [0.94118, 'rgb(15,15,15)'],
        [0.9451, 'rgb(14,14,14)'],
        [0.94902, 'rgb(13,13,13)'],
        [0.95294, 'rgb(12,12,12)'],
        [0.95686, 'rgb(11,11,11)'],
        [0.96078, 'rgb(9,9,9)'],
        [0.96471, 'rgb(8,8,8)'],
        [0.96863, 'rgb(8,8,8)'],
        [0.97255, 'rgb(7,7,7)'],
        [0.97647, 'rgb(6,6,6)'],
        [0.98039, 'rgb(5,5,5)'],
        [0.98431, 'rgb(4,4,4)'],
        [0.98824, 'rgb(2,2,2)'],
        [0.99216, 'rgb(1,1,1)'],
        [0.99608, 'rgb(0,0,0)'],
        [1.0, 'rgb(0,0,0)'],
    ],
    'bone': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392, 'rgb(0,0,1)'],
        [0.00784, 'rgb(1,1,2)'],
        [0.01176, 'rgb(2,2,3)'],
        [0.01569, 'rgb(3,3,4)'],
        [0.01961, 'rgb(4,4,6)'],
        [0.02353, 'rgb(5,5,7)'],
        [0.02745, 'rgb(6,6,8)'],
        [0.03137, 'rgb(7,6,9)'],
        [0.03529, 'rgb(7,7,10)'],
        [0.03922, 'rgb(8,8,12)'],
        [0.04314, 'rgb(9,9,13)'],
        [0.04706, 'rgb(10,10,14)'],
        [0.05098, 'rgb(11,11,15)'],
        [0.0549, 'rgb(12,12,17)'],
        [0.05882, 'rgb(13,13,18)'],
        [0.06275, 'rgb(14,13,19)'],
        [0.06667, 'rgb(14,14,20)'],
        [0.07059, 'rgb(15,15,21)'],
        [0.07451, 'rgb(16,16,23)'],
        [0.07843, 'rgb(17,17,24)'],
        [0.08235, 'rgb(18,18,25)'],
        [0.08627, 'rgb(19,19,26)'],
        [0.0902, 'rgb(20,20,28)'],
        [0.09412, 'rgb(21,20,29)'],
        [0.09804, 'rgb(21,21,30)'],
        [0.10196, 'rgb(22,22,31)'],
        [0.10588, 'rgb(23,23,32)'],
        [0.1098, 'rgb(24,24,34)'],
        [0.11373, 'rgb(25,25,35)'],
        [0.11765, 'rgb(26,26,36)'],
        [0.12157, 'rgb(27,27,37)'],
        [0.12549, 'rgb(28,27,38)'],
        [0.12941, 'rgb(28,28,40)'],
        [0.13333, 'rgb(29,29,41)'],
        [0.13725, 'rgb(30,30,42)'],
        [0.14118, 'rgb(31,31,43)'],
        [0.1451, 'rgb(32,32,45)'],
        [0.14902, 'rgb(33,33,46)'],
        [0.15294, 'rgb(34,34,47)'],
        [0.15686, 'rgb(35,34,48)'],
        [0.16078, 'rgb(35,35,49)'],
        [0.16471, 'rgb(36,36,51)'],
        [0.16863, 'rgb(37,37,52)'],
        [0.17255, 'rgb(38,38,53)'],
        [0.17647, 'rgb(39,39,54)'],
        [0.18039, 'rgb(40,40,56)'],
        [0.18431, 'rgb(41,41,57)'],
        [0.18824, 'rgb(42,41,58)'],
        [0.19216, 'rgb(42,42,59)'],
        [0.19608, 'rgb(43,43,60)'],
        [0.2, 'rgb(44,44,62)'],
        [0.20392, 'rgb(45,45,63)'],
        [0.20784, 'rgb(46,46,64)'],
        [0.21176, 'rgb(47,47,65)'],
        [0.21569, 'rgb(48,48,66)'],
        [0.21961, 'rgb(49,48,68)'],
        [0.22353, 'rgb(49,49,69)'],
        [0.22745, 'rgb(50,50,70)'],
        [0.23137, 'rgb(51,51,71)'],
        [0.23529, 'rgb(52,52,73)'],
        [0.23922, 'rgb(53,53,74)'],
        [0.24314, 'rgb(54,54,75)'],
        [0.24706, 'rgb(55,55,76)'],
        [0.25098, 'rgb(56,55,77)'],
        [0.2549, 'rgb(56,56,79)'],
        [0.25882, 'rgb(57,57,80)'],
        [0.26275, 'rgb(58,58,81)'],
        [0.26667, 'rgb(59,59,82)'],
        [0.27059, 'rgb(60,60,84)'],
        [0.27451, 'rgb(61,61,85)'],
        [0.27843, 'rgb(62,62,86)'],
        [0.28235, 'rgb(63,62,87)'],
        [0.28627, 'rgb(63,63,88)'],
        [0.2902, 'rgb(64,64,90)'],
        [0.29412, 'rgb(65,65,91)'],
        [0.29804, 'rgb(66,66,92)'],
        [0.30196, 'rgb(67,67,93)'],
        [0.30588, 'rgb(68,68,94)'],
        [0.3098, 'rgb(69,69,96)'],
        [0.31373, 'rgb(70,69,97)'],
        [0.31765, 'rgb(70,70,98)'],
        [0.32157, 'rgb(71,71,99)'],
        [0.32549, 'rgb(72,72,101)'],
        [0.32941, 'rgb(73,73,102)'],
        [0.33333, 'rgb(74,74,103)'],
        [0.33725, 'rgb(75,75,104)'],
        [0.34118, 'rgb(76,76,105)'],
        [0.3451, 'rgb(77,76,107)'],
        [0.34902, 'rgb(77,77,108)'],
        [0.35294, 'rgb(78,78,109)'],
        [0.35686, 'rgb(79,79,110)'],
        [0.36078, 'rgb(80,80,112)'],
        [0.36471, 'rgb(81,81,113)'],
        [0.36863, 'rgb(82,82,114)'],
        [0.37255, 'rgb(83,83,114)'],
        [0.37647, 'rgb(84,84,115)'],
        [0.38039, 'rgb(84,86,116)'],
        [0.38431, 'rgb(85,87,117)'],
        [0.38824, 'rgb(86,88,118)'],
        [0.39216, 'rgb(87,89,119)'],
        [0.39608, 'rgb(88,90,120)'],
        [0.4, 'rgb(89,92,121)'],
        [0.40392, 'rgb(90,93,121)'],
        [0.40784, 'rgb(91,94,122)'],
        [0.41176, 'rgb(91,95,123)'],
        [0.41569, 'rgb(92,96,124)'],
        [0.41961, 'rgb(93,98,125)'],
        [0.42353, 'rgb(94,99,126)'],
        [0.42745, 'rgb(95,100,127)'],
        [0.43137, 'rgb(96,101,128)'],
        [0.43529, 'rgb(97,102,128)'],
        [0.43922, 'rgb(98,104,129)'],
        [0.44314, 'rgb(98,105,130)'],
        [0.44706, 'rgb(99,106,131)'],
        [0.45098, 'rgb(100,107,132)'],
        [0.4549, 'rgb(101,109,133)'],
        [0.45882, 'rgb(102,110,134)'],
        [0.46275, 'rgb(103,111,135)'],
        [0.46667, 'rgb(104,112,135)'],
        [0.47059, 'rgb(105,113,136)'],
        [0.47451, 'rgb(105,115,137)'],
        [0.47843, 'rgb(106,116,138)'],
        [0.48235, 'rgb(107,117,139)'],
        [0.48627, 'rgb(108,118,140)'],
        [0.4902, 'rgb(109,119,141)'],
        [0.49412, 'rgb(110,121,142)'],
        [0.49804, 'rgb(111,122,142)'],
        [0.50196, 'rgb(112,123,143)'],
        [0.50588, 'rgb(112,124,144)'],
        [0.5098, 'rgb(113,125,145)'],
        [0.51373, 'rgb(114,127,146)'],
        [0.51765, 'rgb(115,128,147)'],
        [0.52157, 'rgb(116,129,148)'],
        [0.52549, 'rgb(117,130,149)'],
        [0.52941, 'rgb(118,131,149)'],
        [0.53333, 'rgb(119,133,150)'],
        [0.53725, 'rgb(119,134,151)'],
        [0.54118, 'rgb(120,135,152)'],
        [0.5451, 'rgb(121,136,153)'],
        [0.54902, 'rgb(122,137,154)'],
        [0.55294, 'rgb(123,139,155)'],
        [0.55686, 'rgb(124,140,156)'],
        [0.56078, 'rgb(125,141,156)'],
        [0.56471, 'rgb(126,142,157)'],
        [0.56863, 'rgb(126,143,158)'],
        [0.57255, 'rgb(127,145,159)'],
        [0.57647, 'rgb(128,146,160)'],
        [0.58039, 'rgb(129,147,161)'],
        [0.58431, 'rgb(130,148,162)'],
        [0.58824, 'rgb(131,149,163)'],
        [0.59216, 'rgb(132,151,163)'],
        [0.59608, 'rgb(133,152,164)'],
        [0.6, 'rgb(133,153,165)'],
        [0.60392, 'rgb(134,154,166)'],
        [0.60784, 'rgb(135,155,167)'],
        [0.61176, 'rgb(136,157,168)'],
        [0.61569, 'rgb(137,158,169)'],
        [0.61961, 'rgb(138,159,170)'],
        [0.62353, 'rgb(139,160,170)'],
        [0.62745, 'rgb(140,161,171)'],
        [0.63137, 'rgb(140,163,172)'],
        [0.63529, 'rgb(141,164,173)'],
        [0.63922, 'rgb(142,165,174)'],
        [0.64314, 'rgb(143,166,175)'],
        [0.64706, 'rgb(144,167,176)'],
        [0.65098, 'rgb(145,169,177)'],
        [0.6549, 'rgb(146,170,177)'],
        [0.65882, 'rgb(147,171,178)'],
        [0.66275, 'rgb(147,172,179)'],
        [0.66667, 'rgb(148,173,180)'],
        [0.67059, 'rgb(149,175,181)'],
        [0.67451, 'rgb(150,176,182)'],
        [0.67843, 'rgb(151,177,183)'],
        [0.68235, 'rgb(152,178,184)'],
        [0.68627, 'rgb(153,179,184)'],
        [0.6902, 'rgb(154,181,185)'],
        [0.69412, 'rgb(154,182,186)'],
        [0.69804, 'rgb(155,183,187)'],
        [0.70196, 'rgb(156,184,188)'],
        [0.70588, 'rgb(157,186,189)'],
        [0.7098, 'rgb(158,187,190)'],
        [0.71373, 'rgb(159,188,191)'],
        [0.71765, 'rgb(160,189,191)'],
        [0.72157, 'rgb(161,190,192)'],
        [0.72549, 'rgb(161,192,193)'],
        [0.72941, 'rgb(162,193,194)'],
        [0.73333, 'rgb(163,194,195)'],
        [0.73725, 'rgb(164,195,196)'],
        [0.74118, 'rgb(165,196,197)'],
        [0.7451, 'rgb(166,198,198)'],
        [0.74902, 'rgb(167,199,198)'],
        [0.75294, 'rgb(168,199,199)'],
        [0.75686, 'rgb(170,200,200)'],
        [0.76078, 'rgb(171,201,201)'],
        [0.76471, 'rgb(172,202,202)'],
        [0.76863, 'rgb(174,203,203)'],
        [0.77255, 'rgb(175,204,204)'],
        [0.77647, 'rgb(177,205,205)'],
        [0.78039, 'rgb(178,206,205)'],
        [0.78431, 'rgb(179,206,206)'],
        [0.78824, 'rgb(181,207,207)'],
        [0.79216, 'rgb(182,208,208)'],
        [0.79608, 'rgb(183,209,209)'],
        [0.8, 'rgb(185,210,210)'],
        [0.80392, 'rgb(186,211,211)'],
        [0.80784, 'rgb(188,212,212)'],
        [0.81176, 'rgb(189,213,212)'],
        [0.81569, 'rgb(190,213,213)'],
        [0.81961, 'rgb(192,214,214)'],
        [0.82353, 'rgb(193,215,215)'],
        [0.82745, 'rgb(194,216,216)'],
        [0.83137, 'rgb(196,217,217)'],
        [0.83529, 'rgb(197,218,218)'],
        [0.83922, 'rgb(198,219,219)'],
        [0.84314, 'rgb(200,220,219)'],
        [0.84706, 'rgb(201,220,220)'],
        [0.85098, 'rgb(203,221,221)'],
        [0.8549, 'rgb(204,222,222)'],
        [0.85882, 'rgb(205,223,223)'],
        [0.86275, 'rgb(207,224,224)'],
        [0.86667, 'rgb(208,225,225)'],
        [0.87059, 'rgb(209,226,226)'],
        [0.87451, 'rgb(211,227,226)'],
        [0.87843, 'rgb(212,227,227)'],
        [0.88235, 'rgb(213,228,228)'],
        [0.88627, 'rgb(215,229,229)'],
        [0.8902, 'rgb(216,230,230)'],
        [0.89412, 'rgb(218,231,231)'],
        [0.89804, 'rgb(219,232,232)'],
        [0.90196, 'rgb(220,233,233)'],
        [0.90588, 'rgb(222,234,233)'],
        [0.9098, 'rgb(223,234,234)'],
        [0.91373, 'rgb(224,235,235)'],
        [0.91765, 'rgb(226,236,236)'],
        [0.92157, 'rgb(227,237,237)'],
        [0.92549, 'rgb(229,238,238)'],
        [0.92941, 'rgb(230,239,239)'],
        [0.93333, 'rgb(231,240,240)'],
        [0.93725, 'rgb(233,241,240)'],
        [0.94118, 'rgb(234,241,241)'],
        [0.9451, 'rgb(235,242,242)'],
        [0.94902, 'rgb(237,243,243)'],
        [0.95294, 'rgb(238,244,244)'],
        [0.95686, 'rgb(239,245,245)'],
        [0.96078, 'rgb(241,246,246)'],
        [0.96471, 'rgb(242,247,247)'],
        [0.96863, 'rgb(244,248,247)'],
        [0.97255, 'rgb(245,248,248)'],
        [0.97647, 'rgb(246,249,249)'],
        [0.98039, 'rgb(248,250,250)'],
        [0.98431, 'rgb(249,251,251)'],
        [0.98824, 'rgb(250,252,252)'],
        [0.99216, 'rgb(252,253,253)'],
        [0.99608, 'rgb(253,254,254)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'brg': [
        [0.0, 'rgb(0,0,255)'],
        [0.00392, 'rgb(2,0,253)'],
        [0.00784, 'rgb(4,0,251)'],
        [0.01176, 'rgb(6,0,249)'],
        [0.01569, 'rgb(8,0,247)'],
        [0.01961, 'rgb(10,0,245)'],
        [0.02353, 'rgb(12,0,243)'],
        [0.02745, 'rgb(14,0,241)'],
        [0.03137, 'rgb(16,0,239)'],
        [0.03529, 'rgb(18,0,237)'],
        [0.03922, 'rgb(20,0,235)'],
        [0.04314, 'rgb(22,0,233)'],
        [0.04706, 'rgb(24,0,231)'],
        [0.05098, 'rgb(26,0,229)'],
        [0.0549, 'rgb(28,0,227)'],
        [0.05882, 'rgb(30,0,225)'],
        [0.06275, 'rgb(32,0,223)'],
        [0.06667, 'rgb(34,0,221)'],
        [0.07059, 'rgb(36,0,219)'],
        [0.07451, 'rgb(38,0,217)'],
        [0.07843, 'rgb(40,0,215)'],
        [0.08235, 'rgb(42,0,213)'],
        [0.08627, 'rgb(44,0,211)'],
        [0.0902, 'rgb(46,0,209)'],
        [0.09412, 'rgb(48,0,207)'],
        [0.09804, 'rgb(50,0,205)'],
        [0.10196, 'rgb(52,0,203)'],
        [0.10588, 'rgb(54,0,201)'],
        [0.1098, 'rgb(56,0,199)'],
        [0.11373, 'rgb(58,0,197)'],
        [0.11765, 'rgb(60,0,195)'],
        [0.12157, 'rgb(62,0,193)'],
        [0.12549, 'rgb(64,0,191)'],
        [0.12941, 'rgb(65,0,189)'],
        [0.13333, 'rgb(68,0,187)'],
        [0.13725, 'rgb(70,0,185)'],
        [0.14118, 'rgb(72,0,183)'],
        [0.1451, 'rgb(73,0,181)'],
        [0.14902, 'rgb(76,0,179)'],
        [0.15294, 'rgb(78,0,177)'],
        [0.15686, 'rgb(80,0,175)'],
        [0.16078, 'rgb(81,0,173)'],
        [0.16471, 'rgb(84,0,171)'],
        [0.16863, 'rgb(86,0,169)'],
        [0.17255, 'rgb(88,0,167)'],
        [0.17647, 'rgb(89,0,165)'],
        [0.18039, 'rgb(92,0,163)'],
        [0.18431, 'rgb(94,0,161)'],
        [0.18824, 'rgb(96,0,159)'],
        [0.19216, 'rgb(97,0,157)'],
        [0.19608, 'rgb(100,0,155)'],
        [0.2, 'rgb(102,0,153)'],
        [0.20392, 'rgb(104,0,151)'],
        [0.20784, 'rgb(105,0,149)'],
        [0.21176, 'rgb(108,0,147)'],
        [0.21569, 'rgb(110,0,145)'],
        [0.21961, 'rgb(112,0,143)'],
        [0.22353, 'rgb(113,0,141)'],
        [0.22745, 'rgb(116,0,139)'],
        [0.23137, 'rgb(118,0,137)'],
        [0.23529, 'rgb(120,0,135)'],
        [0.23922, 'rgb(121,0,133)'],
        [0.24314, 'rgb(124,0,131)'],
        [0.24706, 'rgb(126,0,129)'],
        [0.25098, 'rgb(128,0,127)'],
        [0.2549, 'rgb(130,0,125)'],
        [0.25882, 'rgb(131,0,123)'],
        [0.26275, 'rgb(134,0,121)'],
        [0.26667, 'rgb(136,0,119)'],
        [0.27059, 'rgb(138,0,117)'],
        [0.27451, 'rgb(140,0,114)'],
        [0.27843, 'rgb(142,0,113)'],
        [0.28235, 'rgb(144,0,111)'],
        [0.28627, 'rgb(146,0,109)'],
        [0.2902, 'rgb(147,0,107)'],
        [0.29412, 'rgb(150,0,105)'],
        [0.29804, 'rgb(152,0,103)'],
        [0.30196, 'rgb(154,0,101)'],
        [0.30588, 'rgb(156,0,98)'],
        [0.3098, 'rgb(158,0,97)'],
        [0.31373, 'rgb(160,0,95)'],
        [0.31765, 'rgb(162,0,93)'],
        [0.32157, 'rgb(163,0,91)'],
        [0.32549, 'rgb(166,0,89)'],
        [0.32941, 'rgb(168,0,87)'],
        [0.33333, 'rgb(170,0,85)'],
        [0.33725, 'rgb(172,0,82)'],
        [0.34118, 'rgb(174,0,81)'],
        [0.3451, 'rgb(176,0,79)'],
        [0.34902, 'rgb(178,0,77)'],
        [0.35294, 'rgb(179,0,75)'],
        [0.35686, 'rgb(182,0,73)'],
        [0.36078, 'rgb(184,0,71)'],
        [0.36471, 'rgb(186,0,69)'],
        [0.36863, 'rgb(188,0,66)'],
        [0.37255, 'rgb(190,0,65)'],
        [0.37647, 'rgb(192,0,63)'],
        [0.38039, 'rgb(194,0,61)'],
        [0.38431, 'rgb(195,0,59)'],
        [0.38824, 'rgb(198,0,56)'],
        [0.39216, 'rgb(200,0,55)'],
        [0.39608, 'rgb(202,0,53)'],
        [0.4, 'rgb(204,0,50)'],
        [0.40392, 'rgb(206,0,48)'],
        [0.40784, 'rgb(208,0,47)'],
        [0.41176, 'rgb(210,0,45)'],
        [0.41569, 'rgb(211,0,43)'],
        [0.41961, 'rgb(214,0,40)'],
        [0.42353, 'rgb(216,0,39)'],
        [0.42745, 'rgb(218,0,37)'],
        [0.43137, 'rgb(220,0,34)'],
        [0.43529, 'rgb(222,0,32)'],
        [0.43922, 'rgb(224,0,31)'],
        [0.44314, 'rgb(226,0,29)'],
        [0.44706, 'rgb(227,0,27)'],
        [0.45098, 'rgb(230,0,24)'],
        [0.4549, 'rgb(232,0,23)'],
        [0.45882, 'rgb(234,0,21)'],
        [0.46275, 'rgb(236,0,18)'],
        [0.46667, 'rgb(238,0,16)'],
        [0.47059, 'rgb(240,0,15)'],
        [0.47451, 'rgb(242,0,13)'],
        [0.47843, 'rgb(243,0,11)'],
        [0.48235, 'rgb(246,0,8)'],
        [0.48627, 'rgb(248,0,7)'],
        [0.4902, 'rgb(250,0,5)'],
        [0.49412, 'rgb(252,0,2)'],
        [0.49804, 'rgb(254,0,0)'],
        [0.50196, 'rgb(254,1,0)'],
        [0.50588, 'rgb(252,3,0)'],
        [0.5098, 'rgb(250,5,0)'],
        [0.51373, 'rgb(248,7,0)'],
        [0.51765, 'rgb(246,8,0)'],
        [0.52157, 'rgb(244,11,0)'],
        [0.52549, 'rgb(242,13,0)'],
        [0.52941, 'rgb(240,15,0)'],
        [0.53333, 'rgb(238,17,0)'],
        [0.53725, 'rgb(236,19,0)'],
        [0.54118, 'rgb(234,21,0)'],
        [0.5451, 'rgb(232,23,0)'],
        [0.54902, 'rgb(230,25,0)'],
        [0.55294, 'rgb(228,27,0)'],
        [0.55686, 'rgb(226,29,0)'],
        [0.56078, 'rgb(224,31,0)'],
        [0.56471, 'rgb(222,33,0)'],
        [0.56863, 'rgb(220,35,0)'],
        [0.57255, 'rgb(218,37,0)'],
        [0.57647, 'rgb(216,39,0)'],
        [0.58039, 'rgb(214,40,0)'],
        [0.58431, 'rgb(211,43,0)'],
        [0.58824, 'rgb(210,45,0)'],
        [0.59216, 'rgb(208,47,0)'],
        [0.59608, 'rgb(206,49,0)'],
        [0.6, 'rgb(204,51,0)'],
        [0.60392, 'rgb(202,53,0)'],
        [0.60784, 'rgb(200,55,0)'],
        [0.61176, 'rgb(198,57,0)'],
        [0.61569, 'rgb(195,59,0)'],
        [0.61961, 'rgb(194,61,0)'],
        [0.62353, 'rgb(192,63,0)'],
        [0.62745, 'rgb(190,65,0)'],
        [0.63137, 'rgb(188,67,0)'],
        [0.63529, 'rgb(186,69,0)'],
        [0.63922, 'rgb(184,71,0)'],
        [0.64314, 'rgb(182,72,0)'],
        [0.64706, 'rgb(179,75,0)'],
        [0.65098, 'rgb(178,77,0)'],
        [0.6549, 'rgb(176,79,0)'],
        [0.65882, 'rgb(174,81,0)'],
        [0.66275, 'rgb(172,83,0)'],
        [0.66667, 'rgb(170,85,0)'],
        [0.67059, 'rgb(168,87,0)'],
        [0.67451, 'rgb(166,89,0)'],
        [0.67843, 'rgb(163,91,0)'],
        [0.68235, 'rgb(162,93,0)'],
        [0.68627, 'rgb(160,95,0)'],
        [0.6902, 'rgb(158,97,0)'],
        [0.69412, 'rgb(156,99,0)'],
        [0.69804, 'rgb(154,101,0)'],
        [0.70196, 'rgb(152,103,0)'],
        [0.70588, 'rgb(150,104,0)'],
        [0.7098, 'rgb(147,107,0)'],
        [0.71373, 'rgb(146,109,0)'],
        [0.71765, 'rgb(144,111,0)'],
        [0.72157, 'rgb(142,113,0)'],
        [0.72549, 'rgb(140,115,0)'],
        [0.72941, 'rgb(138,117,0)'],
        [0.73333, 'rgb(136,119,0)'],
        [0.73725, 'rgb(134,121,0)'],
        [0.74118, 'rgb(131,123,0)'],
        [0.7451, 'rgb(130,125,0)'],
        [0.74902, 'rgb(128,127,0)'],
        [0.75294, 'rgb(126,129,0)'],
        [0.75686, 'rgb(124,131,0)'],
        [0.76078, 'rgb(121,133,0)'],
        [0.76471, 'rgb(120,135,0)'],
        [0.76863, 'rgb(118,136,0)'],
        [0.77255, 'rgb(116,139,0)'],
        [0.77647, 'rgb(113,141,0)'],
        [0.78039, 'rgb(112,143,0)'],
        [0.78431, 'rgb(110,145,0)'],
        [0.78824, 'rgb(108,147,0)'],
        [0.79216, 'rgb(105,149,0)'],
        [0.79608, 'rgb(104,151,0)'],
        [0.8, 'rgb(102,153,0)'],
        [0.80392, 'rgb(100,155,0)'],
        [0.80784, 'rgb(97,157,0)'],
        [0.81176, 'rgb(96,159,0)'],
        [0.81569, 'rgb(94,161,0)'],
        [0.81961, 'rgb(92,163,0)'],
        [0.82353, 'rgb(89,165,0)'],
        [0.82745, 'rgb(88,167,0)'],
        [0.83137, 'rgb(86,168,0)'],
        [0.83529, 'rgb(84,171,0)'],
        [0.83922, 'rgb(81,173,0)'],
        [0.84314, 'rgb(80,175,0)'],
        [0.84706, 'rgb(78,177,0)'],
        [0.85098, 'rgb(76,179,0)'],
        [0.8549, 'rgb(73,181,0)'],
        [0.85882, 'rgb(72,183,0)'],
        [0.86275, 'rgb(70,185,0)'],
        [0.86667, 'rgb(68,187,0)'],
        [0.87059, 'rgb(65,189,0)'],
        [0.87451, 'rgb(64,191,0)'],
        [0.87843, 'rgb(62,193,0)'],
        [0.88235, 'rgb(60,195,0)'],
        [0.88627, 'rgb(57,197,0)'],
        [0.8902, 'rgb(56,199,0)'],
        [0.89412, 'rgb(54,200,0)'],
        [0.89804, 'rgb(52,203,0)'],
        [0.90196, 'rgb(49,205,0)'],
        [0.90588, 'rgb(48,207,0)'],
        [0.9098, 'rgb(46,209,0)'],
        [0.91373, 'rgb(44,211,0)'],
        [0.91765, 'rgb(41,213,0)'],
        [0.92157, 'rgb(40,215,0)'],
        [0.92549, 'rgb(38,217,0)'],
        [0.92941, 'rgb(36,219,0)'],
        [0.93333, 'rgb(33,221,0)'],
        [0.93725, 'rgb(32,223,0)'],
        [0.94118, 'rgb(30,225,0)'],
        [0.9451, 'rgb(28,227,0)'],
        [0.94902, 'rgb(25,229,0)'],
        [0.95294, 'rgb(24,231,0)'],
        [0.95686, 'rgb(22,232,0)'],
        [0.96078, 'rgb(20,235,0)'],
        [0.96471, 'rgb(17,237,0)'],
        [0.96863, 'rgb(16,239,0)'],
        [0.97255, 'rgb(14,241,0)'],
        [0.97647, 'rgb(12,243,0)'],
        [0.98039, 'rgb(9,245,0)'],
        [0.98431, 'rgb(8,247,0)'],
        [0.98824, 'rgb(6,249,0)'],
        [0.99216, 'rgb(4,251,0)'],
        [0.99608, 'rgb(1,253,0)'],
        [1.0, 'rgb(0,255,0)'],
    ],
    'bwr': [
        [0.0, 'rgb(0,0,255)'],
        [0.00392, 'rgb(2,2,255)'],
        [0.00784, 'rgb(4,4,255)'],
        [0.01176, 'rgb(6,6,255)'],
        [0.01569, 'rgb(8,8,255)'],
        [0.01961, 'rgb(10,10,255)'],
        [0.02353, 'rgb(12,12,255)'],
        [0.02745, 'rgb(14,14,255)'],
        [0.03137, 'rgb(16,16,255)'],
        [0.03529, 'rgb(18,18,255)'],
        [0.03922, 'rgb(20,20,255)'],
        [0.04314, 'rgb(22,22,255)'],
        [0.04706, 'rgb(24,24,255)'],
        [0.05098, 'rgb(26,26,255)'],
        [0.0549, 'rgb(28,28,255)'],
        [0.05882, 'rgb(30,30,255)'],
        [0.06275, 'rgb(32,32,255)'],
        [0.06667, 'rgb(34,34,255)'],
        [0.07059, 'rgb(36,36,255)'],
        [0.07451, 'rgb(38,38,255)'],
        [0.07843, 'rgb(40,40,255)'],
        [0.08235, 'rgb(42,42,255)'],
        [0.08627, 'rgb(44,44,255)'],
        [0.0902, 'rgb(46,46,255)'],
        [0.09412, 'rgb(48,48,255)'],
        [0.09804, 'rgb(50,50,255)'],
        [0.10196, 'rgb(52,52,255)'],
        [0.10588, 'rgb(54,54,255)'],
        [0.1098, 'rgb(56,56,255)'],
        [0.11373, 'rgb(58,58,255)'],
        [0.11765, 'rgb(60,60,255)'],
        [0.12157, 'rgb(62,62,255)'],
        [0.12549, 'rgb(64,64,255)'],
        [0.12941, 'rgb(65,65,255)'],
        [0.13333, 'rgb(68,68,255)'],
        [0.13725, 'rgb(70,70,255)'],
        [0.14118, 'rgb(72,72,255)'],
        [0.1451, 'rgb(73,73,255)'],
        [0.14902, 'rgb(76,76,255)'],
        [0.15294, 'rgb(78,78,255)'],
        [0.15686, 'rgb(80,80,255)'],
        [0.16078, 'rgb(81,81,255)'],
        [0.16471, 'rgb(84,84,255)'],
        [0.16863, 'rgb(86,86,255)'],
        [0.17255, 'rgb(88,88,255)'],
        [0.17647, 'rgb(89,89,255)'],
        [0.18039, 'rgb(92,92,255)'],
        [0.18431, 'rgb(94,94,255)'],
        [0.18824, 'rgb(96,96,255)'],
        [0.19216, 'rgb(97,97,255)'],
        [0.19608, 'rgb(100,100,255)'],
        [0.2, 'rgb(102,102,255)'],
        [0.20392, 'rgb(104,104,255)'],
        [0.20784, 'rgb(105,105,255)'],
        [0.21176, 'rgb(108,108,255)'],
        [0.21569, 'rgb(110,110,255)'],
        [0.21961, 'rgb(112,112,255)'],
        [0.22353, 'rgb(113,113,255)'],
        [0.22745, 'rgb(116,116,255)'],
        [0.23137, 'rgb(118,118,255)'],
        [0.23529, 'rgb(120,120,255)'],
        [0.23922, 'rgb(121,121,255)'],
        [0.24314, 'rgb(124,124,255)'],
        [0.24706, 'rgb(126,126,255)'],
        [0.25098, 'rgb(128,128,255)'],
        [0.2549, 'rgb(130,130,255)'],
        [0.25882, 'rgb(131,131,255)'],
        [0.26275, 'rgb(134,134,255)'],
        [0.26667, 'rgb(136,136,255)'],
        [0.27059, 'rgb(138,138,255)'],
        [0.27451, 'rgb(140,140,255)'],
        [0.27843, 'rgb(142,142,255)'],
        [0.28235, 'rgb(144,144,255)'],
        [0.28627, 'rgb(146,146,255)'],
        [0.2902, 'rgb(147,147,255)'],
        [0.29412, 'rgb(150,150,255)'],
        [0.29804, 'rgb(152,152,255)'],
        [0.30196, 'rgb(154,154,255)'],
        [0.30588, 'rgb(156,156,255)'],
        [0.3098, 'rgb(158,158,255)'],
        [0.31373, 'rgb(160,160,255)'],
        [0.31765, 'rgb(162,162,255)'],
        [0.32157, 'rgb(163,163,255)'],
        [0.32549, 'rgb(166,166,255)'],
        [0.32941, 'rgb(168,168,255)'],
        [0.33333, 'rgb(170,170,255)'],
        [0.33725, 'rgb(172,172,255)'],
        [0.34118, 'rgb(174,174,255)'],
        [0.3451, 'rgb(176,176,255)'],
        [0.34902, 'rgb(178,178,255)'],
        [0.35294, 'rgb(179,179,255)'],
        [0.35686, 'rgb(182,182,255)'],
        [0.36078, 'rgb(184,184,255)'],
        [0.36471, 'rgb(186,186,255)'],
        [0.36863, 'rgb(188,188,255)'],
        [0.37255, 'rgb(190,190,255)'],
        [0.37647, 'rgb(192,192,255)'],
        [0.38039, 'rgb(194,194,255)'],
        [0.38431, 'rgb(195,195,255)'],
        [0.38824, 'rgb(198,198,255)'],
        [0.39216, 'rgb(200,200,255)'],
        [0.39608, 'rgb(202,202,255)'],
        [0.4, 'rgb(204,204,255)'],
        [0.40392, 'rgb(206,206,255)'],
        [0.40784, 'rgb(208,208,255)'],
        [0.41176, 'rgb(210,210,255)'],
        [0.41569, 'rgb(211,211,255)'],
        [0.41961, 'rgb(214,214,255)'],
        [0.42353, 'rgb(216,216,255)'],
        [0.42745, 'rgb(218,218,255)'],
        [0.43137, 'rgb(220,220,255)'],
        [0.43529, 'rgb(222,222,255)'],
        [0.43922, 'rgb(224,224,255)'],
        [0.44314, 'rgb(226,226,255)'],
        [0.44706, 'rgb(227,227,255)'],
        [0.45098, 'rgb(230,230,255)'],
        [0.4549, 'rgb(232,232,255)'],
        [0.45882, 'rgb(234,234,255)'],
        [0.46275, 'rgb(236,236,255)'],
        [0.46667, 'rgb(238,238,255)'],
        [0.47059, 'rgb(240,240,255)'],
        [0.47451, 'rgb(242,242,255)'],
        [0.47843, 'rgb(243,243,255)'],
        [0.48235, 'rgb(246,246,255)'],
        [0.48627, 'rgb(248,248,255)'],
        [0.4902, 'rgb(250,250,255)'],
        [0.49412, 'rgb(252,252,255)'],
        [0.49804, 'rgb(254,254,255)'],
        [0.50196, 'rgb(255,254,254)'],
        [0.50588, 'rgb(255,252,252)'],
        [0.5098, 'rgb(255,250,250)'],
        [0.51373, 'rgb(255,248,248)'],
        [0.51765, 'rgb(255,246,246)'],
        [0.52157, 'rgb(255,244,244)'],
        [0.52549, 'rgb(255,242,242)'],
        [0.52941, 'rgb(255,240,240)'],
        [0.53333, 'rgb(255,238,238)'],
        [0.53725, 'rgb(255,236,236)'],
        [0.54118, 'rgb(255,234,234)'],
        [0.5451, 'rgb(255,232,232)'],
        [0.54902, 'rgb(255,230,230)'],
        [0.55294, 'rgb(255,228,228)'],
        [0.55686, 'rgb(255,226,226)'],
        [0.56078, 'rgb(255,224,224)'],
        [0.56471, 'rgb(255,222,222)'],
        [0.56863, 'rgb(255,220,220)'],
        [0.57255, 'rgb(255,218,218)'],
        [0.57647, 'rgb(255,216,216)'],
        [0.58039, 'rgb(255,214,214)'],
        [0.58431, 'rgb(255,211,211)'],
        [0.58824, 'rgb(255,210,210)'],
        [0.59216, 'rgb(255,208,208)'],
        [0.59608, 'rgb(255,206,206)'],
        [0.6, 'rgb(255,204,204)'],
        [0.60392, 'rgb(255,202,202)'],
        [0.60784, 'rgb(255,200,200)'],
        [0.61176, 'rgb(255,198,198)'],
        [0.61569, 'rgb(255,195,195)'],
        [0.61961, 'rgb(255,194,194)'],
        [0.62353, 'rgb(255,192,192)'],
        [0.62745, 'rgb(255,190,190)'],
        [0.63137, 'rgb(255,188,188)'],
        [0.63529, 'rgb(255,186,186)'],
        [0.63922, 'rgb(255,184,184)'],
        [0.64314, 'rgb(255,182,182)'],
        [0.64706, 'rgb(255,179,179)'],
        [0.65098, 'rgb(255,178,178)'],
        [0.6549, 'rgb(255,176,176)'],
        [0.65882, 'rgb(255,174,174)'],
        [0.66275, 'rgb(255,172,172)'],
        [0.66667, 'rgb(255,170,170)'],
        [0.67059, 'rgb(255,168,168)'],
        [0.67451, 'rgb(255,166,166)'],
        [0.67843, 'rgb(255,163,163)'],
        [0.68235, 'rgb(255,162,162)'],
        [0.68627, 'rgb(255,160,160)'],
        [0.6902, 'rgb(255,158,158)'],
        [0.69412, 'rgb(255,156,156)'],
        [0.69804, 'rgb(255,154,154)'],
        [0.70196, 'rgb(255,152,152)'],
        [0.70588, 'rgb(255,150,150)'],
        [0.7098, 'rgb(255,147,147)'],
        [0.71373, 'rgb(255,146,146)'],
        [0.71765, 'rgb(255,144,144)'],
        [0.72157, 'rgb(255,142,142)'],
        [0.72549, 'rgb(255,140,140)'],
        [0.72941, 'rgb(255,138,138)'],
        [0.73333, 'rgb(255,136,136)'],
        [0.73725, 'rgb(255,134,134)'],
        [0.74118, 'rgb(255,131,131)'],
        [0.7451, 'rgb(255,130,130)'],
        [0.74902, 'rgb(255,128,128)'],
        [0.75294, 'rgb(255,126,126)'],
        [0.75686, 'rgb(255,124,124)'],
        [0.76078, 'rgb(255,121,121)'],
        [0.76471, 'rgb(255,120,120)'],
        [0.76863, 'rgb(255,118,118)'],
        [0.77255, 'rgb(255,116,116)'],
        [0.77647, 'rgb(255,113,113)'],
        [0.78039, 'rgb(255,112,112)'],
        [0.78431, 'rgb(255,110,110)'],
        [0.78824, 'rgb(255,108,108)'],
        [0.79216, 'rgb(255,105,105)'],
        [0.79608, 'rgb(255,104,104)'],
        [0.8, 'rgb(255,102,102)'],
        [0.80392, 'rgb(255,100,100)'],
        [0.80784, 'rgb(255,97,97)'],
        [0.81176, 'rgb(255,96,96)'],
        [0.81569, 'rgb(255,94,94)'],
        [0.81961, 'rgb(255,92,92)'],
        [0.82353, 'rgb(255,89,89)'],
        [0.82745, 'rgb(255,88,88)'],
        [0.83137, 'rgb(255,86,86)'],
        [0.83529, 'rgb(255,84,84)'],
        [0.83922, 'rgb(255,81,81)'],
        [0.84314, 'rgb(255,80,80)'],
        [0.84706, 'rgb(255,78,78)'],
        [0.85098, 'rgb(255,76,76)'],
        [0.8549, 'rgb(255,73,73)'],
        [0.85882, 'rgb(255,72,72)'],
        [0.86275, 'rgb(255,70,70)'],
        [0.86667, 'rgb(255,68,68)'],
        [0.87059, 'rgb(255,65,65)'],
        [0.87451, 'rgb(255,64,64)'],
        [0.87843, 'rgb(255,62,62)'],
        [0.88235, 'rgb(255,60,60)'],
        [0.88627, 'rgb(255,57,57)'],
        [0.8902, 'rgb(255,56,56)'],
        [0.89412, 'rgb(255,54,54)'],
        [0.89804, 'rgb(255,52,52)'],
        [0.90196, 'rgb(255,49,49)'],
        [0.90588, 'rgb(255,48,48)'],
        [0.9098, 'rgb(255,46,46)'],
        [0.91373, 'rgb(255,44,44)'],
        [0.91765, 'rgb(255,41,41)'],
        [0.92157, 'rgb(255,40,40)'],
        [0.92549, 'rgb(255,38,38)'],
        [0.92941, 'rgb(255,36,36)'],
        [0.93333, 'rgb(255,33,33)'],
        [0.93725, 'rgb(255,32,32)'],
        [0.94118, 'rgb(255,30,30)'],
        [0.9451, 'rgb(255,28,28)'],
        [0.94902, 'rgb(255,25,25)'],
        [0.95294, 'rgb(255,24,24)'],
        [0.95686, 'rgb(255,22,22)'],
        [0.96078, 'rgb(255,20,20)'],
        [0.96471, 'rgb(255,17,17)'],
        [0.96863, 'rgb(255,16,16)'],
        [0.97255, 'rgb(255,14,14)'],
        [0.97647, 'rgb(255,12,12)'],
        [0.98039, 'rgb(255,9,9)'],
        [0.98431, 'rgb(255,8,8)'],
        [0.98824, 'rgb(255,6,6)'],
        [0.99216, 'rgb(255,4,4)'],
        [0.99608, 'rgb(255,1,1)'],
        [1.0, 'rgb(255,0,0)'],
    ],
    'cool': [
        [0.0, 'rgb(0,255,255)'],
        [0.00392, 'rgb(1,254,255)'],
        [0.00784, 'rgb(2,253,255)'],
        [0.01176, 'rgb(3,252,255)'],
        [0.01569, 'rgb(4,251,255)'],
        [0.01961, 'rgb(5,250,255)'],
        [0.02353, 'rgb(6,249,255)'],
        [0.02745, 'rgb(7,248,255)'],
        [0.03137, 'rgb(8,247,255)'],
        [0.03529, 'rgb(9,246,255)'],
        [0.03922, 'rgb(10,245,255)'],
        [0.04314, 'rgb(11,244,255)'],
        [0.04706, 'rgb(12,243,255)'],
        [0.05098, 'rgb(13,242,255)'],
        [0.0549, 'rgb(14,241,255)'],
        [0.05882, 'rgb(15,240,255)'],
        [0.06275, 'rgb(16,239,255)'],
        [0.06667, 'rgb(17,238,255)'],
        [0.07059, 'rgb(18,237,255)'],
        [0.07451, 'rgb(19,236,255)'],
        [0.07843, 'rgb(20,235,255)'],
        [0.08235, 'rgb(21,234,255)'],
        [0.08627, 'rgb(22,233,255)'],
        [0.0902, 'rgb(23,232,255)'],
        [0.09412, 'rgb(24,231,255)'],
        [0.09804, 'rgb(25,230,255)'],
        [0.10196, 'rgb(26,229,255)'],
        [0.10588, 'rgb(27,228,255)'],
        [0.1098, 'rgb(28,227,255)'],
        [0.11373, 'rgb(29,226,255)'],
        [0.11765, 'rgb(30,225,255)'],
        [0.12157, 'rgb(31,224,255)'],
        [0.12549, 'rgb(32,223,255)'],
        [0.12941, 'rgb(32,222,255)'],
        [0.13333, 'rgb(34,221,255)'],
        [0.13725, 'rgb(35,220,255)'],
        [0.14118, 'rgb(36,219,255)'],
        [0.1451, 'rgb(36,218,255)'],
        [0.14902, 'rgb(38,217,255)'],
        [0.15294, 'rgb(39,216,255)'],
        [0.15686, 'rgb(40,215,255)'],
        [0.16078, 'rgb(40,214,255)'],
        [0.16471, 'rgb(42,213,255)'],
        [0.16863, 'rgb(43,211,255)'],
        [0.17255, 'rgb(44,211,255)'],
        [0.17647, 'rgb(44,210,255)'],
        [0.18039, 'rgb(46,209,255)'],
        [0.18431, 'rgb(47,208,255)'],
        [0.18824, 'rgb(48,207,255)'],
        [0.19216, 'rgb(48,206,255)'],
        [0.19608, 'rgb(50,205,255)'],
        [0.2, 'rgb(51,204,255)'],
        [0.20392, 'rgb(52,203,255)'],
        [0.20784, 'rgb(52,202,255)'],
        [0.21176, 'rgb(54,201,255)'],
        [0.21569, 'rgb(55,200,255)'],
        [0.21961, 'rgb(56,199,255)'],
        [0.22353, 'rgb(56,198,255)'],
        [0.22745, 'rgb(58,197,255)'],
        [0.23137, 'rgb(59,195,255)'],
        [0.23529, 'rgb(60,195,255)'],
        [0.23922, 'rgb(60,194,255)'],
        [0.24314, 'rgb(62,193,255)'],
        [0.24706, 'rgb(63,192,255)'],
        [0.25098, 'rgb(64,191,255)'],
        [0.2549, 'rgb(65,190,255)'],
        [0.25882, 'rgb(65,189,255)'],
        [0.26275, 'rgb(67,188,255)'],
        [0.26667, 'rgb(68,187,255)'],
        [0.27059, 'rgb(69,186,255)'],
        [0.27451, 'rgb(70,185,255)'],
        [0.27843, 'rgb(71,184,255)'],
        [0.28235, 'rgb(72,183,255)'],
        [0.28627, 'rgb(73,182,255)'],
        [0.2902, 'rgb(73,181,255)'],
        [0.29412, 'rgb(75,179,255)'],
        [0.29804, 'rgb(76,179,255)'],
        [0.30196, 'rgb(77,178,255)'],
        [0.30588, 'rgb(78,177,255)'],
        [0.3098, 'rgb(79,176,255)'],
        [0.31373, 'rgb(80,175,255)'],
        [0.31765, 'rgb(81,174,255)'],
        [0.32157, 'rgb(81,173,255)'],
        [0.32549, 'rgb(83,172,255)'],
        [0.32941, 'rgb(84,171,255)'],
        [0.33333, 'rgb(85,170,255)'],
        [0.33725, 'rgb(86,169,255)'],
        [0.34118, 'rgb(87,168,255)'],
        [0.3451, 'rgb(88,167,255)'],
        [0.34902, 'rgb(89,166,255)'],
        [0.35294, 'rgb(89,165,255)'],
        [0.35686, 'rgb(91,163,255)'],
        [0.36078, 'rgb(92,163,255)'],
        [0.36471, 'rgb(93,162,255)'],
        [0.36863, 'rgb(94,161,255)'],
        [0.37255, 'rgb(95,160,255)'],
        [0.37647, 'rgb(96,159,255)'],
        [0.38039, 'rgb(97,158,255)'],
        [0.38431, 'rgb(97,157,255)'],
        [0.38824, 'rgb(99,156,255)'],
        [0.39216, 'rgb(100,155,255)'],
        [0.39608, 'rgb(101,154,255)'],
        [0.4, 'rgb(102,153,255)'],
        [0.40392, 'rgb(103,152,255)'],
        [0.40784, 'rgb(104,151,255)'],
        [0.41176, 'rgb(105,150,255)'],
        [0.41569, 'rgb(105,149,255)'],
        [0.41961, 'rgb(107,147,255)'],
        [0.42353, 'rgb(108,147,255)'],
        [0.42745, 'rgb(109,146,255)'],
        [0.43137, 'rgb(110,145,255)'],
        [0.43529, 'rgb(111,144,255)'],
        [0.43922, 'rgb(112,143,255)'],
        [0.44314, 'rgb(113,142,255)'],
        [0.44706, 'rgb(113,141,255)'],
        [0.45098, 'rgb(115,140,255)'],
        [0.4549, 'rgb(116,139,255)'],
        [0.45882, 'rgb(117,138,255)'],
        [0.46275, 'rgb(118,137,255)'],
        [0.46667, 'rgb(119,136,255)'],
        [0.47059, 'rgb(120,135,255)'],
        [0.47451, 'rgb(121,134,255)'],
        [0.47843, 'rgb(121,133,255)'],
        [0.48235, 'rgb(123,131,255)'],
        [0.48627, 'rgb(124,131,255)'],
        [0.4902, 'rgb(125,130,255)'],
        [0.49412, 'rgb(126,129,255)'],
        [0.49804, 'rgb(127,128,255)'],
        [0.50196, 'rgb(128,127,255)'],
        [0.50588, 'rgb(129,126,255)'],
        [0.5098, 'rgb(130,125,255)'],
        [0.51373, 'rgb(131,124,255)'],
        [0.51765, 'rgb(131,123,255)'],
        [0.52157, 'rgb(133,121,255)'],
        [0.52549, 'rgb(134,121,255)'],
        [0.52941, 'rgb(135,120,255)'],
        [0.53333, 'rgb(136,119,255)'],
        [0.53725, 'rgb(137,118,255)'],
        [0.54118, 'rgb(138,117,255)'],
        [0.5451, 'rgb(139,116,255)'],
        [0.54902, 'rgb(140,114,255)'],
        [0.55294, 'rgb(141,113,255)'],
        [0.55686, 'rgb(142,113,255)'],
        [0.56078, 'rgb(143,112,255)'],
        [0.56471, 'rgb(144,111,255)'],
        [0.56863, 'rgb(145,110,255)'],
        [0.57255, 'rgb(146,109,255)'],
        [0.57647, 'rgb(147,108,255)'],
        [0.58039, 'rgb(147,107,255)'],
        [0.58431, 'rgb(149,105,255)'],
        [0.58824, 'rgb(150,105,255)'],
        [0.59216, 'rgb(151,104,255)'],
        [0.59608, 'rgb(152,103,255)'],
        [0.6, 'rgb(153,102,255)'],
        [0.60392, 'rgb(154,101,255)'],
        [0.60784, 'rgb(155,100,255)'],
        [0.61176, 'rgb(156,98,255)'],
        [0.61569, 'rgb(157,97,255)'],
        [0.61961, 'rgb(158,97,255)'],
        [0.62353, 'rgb(159,96,255)'],
        [0.62745, 'rgb(160,95,255)'],
        [0.63137, 'rgb(161,94,255)'],
        [0.63529, 'rgb(162,93,255)'],
        [0.63922, 'rgb(163,92,255)'],
        [0.64314, 'rgb(163,91,255)'],
        [0.64706, 'rgb(165,89,255)'],
        [0.65098, 'rgb(166,89,255)'],
        [0.6549, 'rgb(167,88,255)'],
        [0.65882, 'rgb(168,87,255)'],
        [0.66275, 'rgb(169,86,255)'],
        [0.66667, 'rgb(170,85,255)'],
        [0.67059, 'rgb(171,84,255)'],
        [0.67451, 'rgb(172,82,255)'],
        [0.67843, 'rgb(173,81,255)'],
        [0.68235, 'rgb(174,81,255)'],
        [0.68627, 'rgb(175,80,255)'],
        [0.6902, 'rgb(176,79,255)'],
        [0.69412, 'rgb(177,78,255)'],
        [0.69804, 'rgb(178,77,255)'],
        [0.70196, 'rgb(179,76,255)'],
        [0.70588, 'rgb(179,75,255)'],
        [0.7098, 'rgb(181,73,255)'],
        [0.71373, 'rgb(182,73,255)'],
        [0.71765, 'rgb(183,72,255)'],
        [0.72157, 'rgb(184,71,255)'],
        [0.72549, 'rgb(185,70,255)'],
        [0.72941, 'rgb(186,69,255)'],
        [0.73333, 'rgb(187,68,255)'],
        [0.73725, 'rgb(188,66,255)'],
        [0.74118, 'rgb(189,65,255)'],
        [0.7451, 'rgb(190,65,255)'],
        [0.74902, 'rgb(191,64,255)'],
        [0.75294, 'rgb(192,63,255)'],
        [0.75686, 'rgb(193,62,255)'],
        [0.76078, 'rgb(194,61,255)'],
        [0.76471, 'rgb(195,60,255)'],
        [0.76863, 'rgb(195,59,255)'],
        [0.77255, 'rgb(197,57,255)'],
        [0.77647, 'rgb(198,56,255)'],
        [0.78039, 'rgb(199,56,255)'],
        [0.78431, 'rgb(200,55,255)'],
        [0.78824, 'rgb(201,54,255)'],
        [0.79216, 'rgb(202,53,255)'],
        [0.79608, 'rgb(203,52,255)'],
        [0.8, 'rgb(204,50,255)'],
        [0.80392, 'rgb(205,49,255)'],
        [0.80784, 'rgb(206,48,255)'],
        [0.81176, 'rgb(207,48,255)'],
        [0.81569, 'rgb(208,47,255)'],
        [0.81961, 'rgb(209,46,255)'],
        [0.82353, 'rgb(210,45,255)'],
        [0.82745, 'rgb(211,44,255)'],
        [0.83137, 'rgb(211,43,255)'],
        [0.83529, 'rgb(213,41,255)'],
        [0.83922, 'rgb(214,40,255)'],
        [0.84314, 'rgb(215,40,255)'],
        [0.84706, 'rgb(216,39,255)'],
        [0.85098, 'rgb(217,38,255)'],
        [0.8549, 'rgb(218,37,255)'],
        [0.85882, 'rgb(219,36,255)'],
        [0.86275, 'rgb(220,34,255)'],
        [0.86667, 'rgb(221,33,255)'],
        [0.87059, 'rgb(222,32,255)'],
        [0.87451, 'rgb(223,32,255)'],
        [0.87843, 'rgb(224,31,255)'],
        [0.88235, 'rgb(225,30,255)'],
        [0.88627, 'rgb(226,29,255)'],
        [0.8902, 'rgb(227,28,255)'],
        [0.89412, 'rgb(227,27,255)'],
        [0.89804, 'rgb(229,25,255)'],
        [0.90196, 'rgb(230,24,255)'],
        [0.90588, 'rgb(231,24,255)'],
        [0.9098, 'rgb(232,23,255)'],
        [0.91373, 'rgb(233,22,255)'],
        [0.91765, 'rgb(234,21,255)'],
        [0.92157, 'rgb(235,20,255)'],
        [0.92549, 'rgb(236,18,255)'],
        [0.92941, 'rgb(237,17,255)'],
        [0.93333, 'rgb(238,16,255)'],
        [0.93725, 'rgb(239,16,255)'],
        [0.94118, 'rgb(240,15,255)'],
        [0.9451, 'rgb(241,14,255)'],
        [0.94902, 'rgb(242,13,255)'],
        [0.95294, 'rgb(243,12,255)'],
        [0.95686, 'rgb(243,11,255)'],
        [0.96078, 'rgb(245,9,255)'],
        [0.96471, 'rgb(246,8,255)'],
        [0.96863, 'rgb(247,8,255)'],
        [0.97255, 'rgb(248,7,255)'],
        [0.97647, 'rgb(249,6,255)'],
        [0.98039, 'rgb(250,5,255)'],
        [0.98431, 'rgb(251,4,255)'],
        [0.98824, 'rgb(252,2,255)'],
        [0.99216, 'rgb(253,1,255)'],
        [0.99608, 'rgb(254,0,255)'],
        [1.0, 'rgb(255,0,255)'],
    ],
    'coolwarm': [
        [0.0, 'rgb(58,76,192)'],
        [0.00392, 'rgb(59,77,193)'],
        [0.00784, 'rgb(60,79,195)'],
        [0.01176, 'rgb(62,81,196)'],
        [0.01569, 'rgb(63,83,198)'],
        [0.01961, 'rgb(64,84,199)'],
        [0.02353, 'rgb(65,86,201)'],
        [0.02745, 'rgb(66,88,202)'],
        [0.03137, 'rgb(67,90,204)'],
        [0.03529, 'rgb(69,91,205)'],
        [0.03922, 'rgb(70,93,207)'],
        [0.04314, 'rgb(71,95,208)'],
        [0.04706, 'rgb(72,96,209)'],
        [0.05098, 'rgb(73,98,211)'],
        [0.0549, 'rgb(75,100,212)'],
        [0.05882, 'rgb(76,102,214)'],
        [0.06275, 'rgb(77,103,215)'],
        [0.06667, 'rgb(78,105,216)'],
        [0.07059, 'rgb(80,107,218)'],
        [0.07451, 'rgb(81,108,219)'],
        [0.07843, 'rgb(82,110,220)'],
        [0.08235, 'rgb(83,112,221)'],
        [0.08627, 'rgb(85,113,222)'],
        [0.0902, 'rgb(86,115,224)'],
        [0.09412, 'rgb(87,117,225)'],
        [0.09804, 'rgb(88,118,226)'],
        [0.10196, 'rgb(90,120,227)'],
        [0.10588, 'rgb(91,121,228)'],
        [0.1098, 'rgb(92,123,229)'],
        [0.11373, 'rgb(93,125,230)'],
        [0.11765, 'rgb(95,126,231)'],
        [0.12157, 'rgb(96,128,232)'],
        [0.12549, 'rgb(97,130,234)'],
        [0.12941, 'rgb(99,131,234)'],
        [0.13333, 'rgb(100,133,235)'],
        [0.13725, 'rgb(101,134,236)'],
        [0.14118, 'rgb(103,136,237)'],
        [0.1451, 'rgb(104,137,238)'],
        [0.14902, 'rgb(105,139,239)'],
        [0.15294, 'rgb(107,141,240)'],
        [0.15686, 'rgb(108,142,241)'],
        [0.16078, 'rgb(109,144,241)'],
        [0.16471, 'rgb(111,145,242)'],
        [0.16863, 'rgb(112,147,243)'],
        [0.17255, 'rgb(113,148,244)'],
        [0.17647, 'rgb(115,149,244)'],
        [0.18039, 'rgb(116,151,245)'],
        [0.18431, 'rgb(117,152,246)'],
        [0.18824, 'rgb(119,154,246)'],
        [0.19216, 'rgb(120,155,247)'],
        [0.19608, 'rgb(122,157,248)'],
        [0.2, 'rgb(123,158,248)'],
        [0.20392, 'rgb(124,160,249)'],
        [0.20784, 'rgb(126,161,249)'],
        [0.21176, 'rgb(127,162,250)'],
        [0.21569, 'rgb(128,164,250)'],
        [0.21961, 'rgb(130,165,251)'],
        [0.22353, 'rgb(131,166,251)'],
        [0.22745, 'rgb(133,168,251)'],
        [0.23137, 'rgb(134,169,252)'],
        [0.23529, 'rgb(135,170,252)'],
        [0.23922, 'rgb(137,172,252)'],
        [0.24314, 'rgb(138,173,253)'],
        [0.24706, 'rgb(139,174,253)'],
        [0.25098, 'rgb(141,175,253)'],
        [0.2549, 'rgb(142,177,253)'],
        [0.25882, 'rgb(144,178,254)'],
        [0.26275, 'rgb(145,179,254)'],
        [0.26667, 'rgb(146,180,254)'],
        [0.27059, 'rgb(148,181,254)'],
        [0.27451, 'rgb(149,183,254)'],
        [0.27843, 'rgb(151,184,254)'],
        [0.28235, 'rgb(152,185,254)'],
        [0.28627, 'rgb(153,186,254)'],
        [0.2902, 'rgb(155,187,254)'],
        [0.29412, 'rgb(156,188,254)'],
        [0.29804, 'rgb(157,189,254)'],
        [0.30196, 'rgb(159,190,254)'],
        [0.30588, 'rgb(160,191,254)'],
        [0.3098, 'rgb(162,192,254)'],
        [0.31373, 'rgb(163,193,254)'],
        [0.31765, 'rgb(164,194,254)'],
        [0.32157, 'rgb(166,195,253)'],
        [0.32549, 'rgb(167,196,253)'],
        [0.32941, 'rgb(168,197,253)'],
        [0.33333, 'rgb(170,198,253)'],
        [0.33725, 'rgb(171,199,252)'],
        [0.34118, 'rgb(172,200,252)'],
        [0.3451, 'rgb(174,201,252)'],
        [0.34902, 'rgb(175,202,251)'],
        [0.35294, 'rgb(176,203,251)'],
        [0.35686, 'rgb(178,203,251)'],
        [0.36078, 'rgb(179,204,250)'],
        [0.36471, 'rgb(180,205,250)'],
        [0.36863, 'rgb(182,206,249)'],
        [0.37255, 'rgb(183,207,249)'],
        [0.37647, 'rgb(184,207,248)'],
        [0.38039, 'rgb(185,208,248)'],
        [0.38431, 'rgb(187,209,247)'],
        [0.38824, 'rgb(188,209,246)'],
        [0.39216, 'rgb(189,210,246)'],
        [0.39608, 'rgb(190,211,245)'],
        [0.4, 'rgb(192,211,245)'],
        [0.40392, 'rgb(193,212,244)'],
        [0.40784, 'rgb(194,212,243)'],
        [0.41176, 'rgb(195,213,242)'],
        [0.41569, 'rgb(197,213,242)'],
        [0.41961, 'rgb(198,214,241)'],
        [0.42353, 'rgb(199,214,240)'],
        [0.42745, 'rgb(200,215,239)'],
        [0.43137, 'rgb(201,215,238)'],
        [0.43529, 'rgb(202,216,238)'],
        [0.43922, 'rgb(204,216,237)'],
        [0.44314, 'rgb(205,217,236)'],
        [0.44706, 'rgb(206,217,235)'],
        [0.45098, 'rgb(207,217,234)'],
        [0.4549, 'rgb(208,218,233)'],
        [0.45882, 'rgb(209,218,232)'],
        [0.46275, 'rgb(210,218,231)'],
        [0.46667, 'rgb(211,219,230)'],
        [0.47059, 'rgb(213,219,229)'],
        [0.47451, 'rgb(214,219,228)'],
        [0.47843, 'rgb(215,219,226)'],
        [0.48235, 'rgb(216,219,225)'],
        [0.48627, 'rgb(217,220,224)'],
        [0.4902, 'rgb(218,220,223)'],
        [0.49412, 'rgb(219,220,222)'],
        [0.49804, 'rgb(220,220,221)'],
        [0.50196, 'rgb(221,220,219)'],
        [0.50588, 'rgb(222,219,218)'],
        [0.5098, 'rgb(223,219,217)'],
        [0.51373, 'rgb(224,218,215)'],
        [0.51765, 'rgb(225,218,214)'],
        [0.52157, 'rgb(226,217,212)'],
        [0.52549, 'rgb(227,217,211)'],
        [0.52941, 'rgb(228,216,209)'],
        [0.53333, 'rgb(229,216,208)'],
        [0.53725, 'rgb(230,215,207)'],
        [0.54118, 'rgb(231,214,205)'],
        [0.5451, 'rgb(231,214,204)'],
        [0.54902, 'rgb(232,213,202)'],
        [0.55294, 'rgb(233,212,201)'],
        [0.55686, 'rgb(234,211,199)'],
        [0.56078, 'rgb(235,211,198)'],
        [0.56471, 'rgb(236,210,196)'],
        [0.56863, 'rgb(236,209,195)'],
        [0.57255, 'rgb(237,208,193)'],
        [0.57647, 'rgb(237,207,192)'],
        [0.58039, 'rgb(238,207,190)'],
        [0.58431, 'rgb(239,206,188)'],
        [0.58824, 'rgb(239,205,187)'],
        [0.59216, 'rgb(240,204,185)'],
        [0.59608, 'rgb(241,203,184)'],
        [0.6, 'rgb(241,202,182)'],
        [0.60392, 'rgb(242,201,181)'],
        [0.60784, 'rgb(242,200,179)'],
        [0.61176, 'rgb(242,199,178)'],
        [0.61569, 'rgb(243,198,176)'],
        [0.61961, 'rgb(243,197,175)'],
        [0.62353, 'rgb(244,196,173)'],
        [0.62745, 'rgb(244,195,171)'],
        [0.63137, 'rgb(244,194,170)'],
        [0.63529, 'rgb(245,193,168)'],
        [0.63922, 'rgb(245,192,167)'],
        [0.64314, 'rgb(245,191,165)'],
        [0.64706, 'rgb(246,189,164)'],
        [0.65098, 'rgb(246,188,162)'],
        [0.6549, 'rgb(246,187,160)'],
        [0.65882, 'rgb(246,186,159)'],
        [0.66275, 'rgb(246,185,157)'],
        [0.66667, 'rgb(246,183,156)'],
        [0.67059, 'rgb(246,182,154)'],
        [0.67451, 'rgb(247,181,152)'],
        [0.67843, 'rgb(247,179,151)'],
        [0.68235, 'rgb(247,178,149)'],
        [0.68627, 'rgb(247,177,148)'],
        [0.6902, 'rgb(247,176,146)'],
        [0.69412, 'rgb(247,174,145)'],
        [0.69804, 'rgb(247,173,143)'],
        [0.70196, 'rgb(246,171,141)'],
        [0.70588, 'rgb(246,170,140)'],
        [0.7098, 'rgb(246,169,138)'],
        [0.71373, 'rgb(246,167,137)'],
        [0.71765, 'rgb(246,166,135)'],
        [0.72157, 'rgb(246,164,134)'],
        [0.72549, 'rgb(246,163,132)'],
        [0.72941, 'rgb(245,161,130)'],
        [0.73333, 'rgb(245,160,129)'],
        [0.73725, 'rgb(245,158,127)'],
        [0.74118, 'rgb(244,157,126)'],
        [0.7451, 'rgb(244,155,124)'],
        [0.74902, 'rgb(244,154,123)'],
        [0.75294, 'rgb(243,152,121)'],
        [0.75686, 'rgb(243,150,120)'],
        [0.76078, 'rgb(243,149,118)'],
        [0.76471, 'rgb(242,147,117)'],
        [0.76863, 'rgb(242,145,115)'],
        [0.77255, 'rgb(241,144,114)'],
        [0.77647, 'rgb(241,142,112)'],
        [0.78039, 'rgb(240,141,111)'],
        [0.78431, 'rgb(240,139,109)'],
        [0.78824, 'rgb(239,137,108)'],
        [0.79216, 'rgb(238,135,106)'],
        [0.79608, 'rgb(238,134,105)'],
        [0.8, 'rgb(237,132,103)'],
        [0.80392, 'rgb(236,130,102)'],
        [0.80784, 'rgb(236,128,100)'],
        [0.81176, 'rgb(235,127,99)'],
        [0.81569, 'rgb(234,125,97)'],
        [0.81961, 'rgb(234,123,96)'],
        [0.82353, 'rgb(233,121,94)'],
        [0.82745, 'rgb(232,119,93)'],
        [0.83137, 'rgb(231,117,92)'],
        [0.83529, 'rgb(230,116,90)'],
        [0.83922, 'rgb(230,114,89)'],
        [0.84314, 'rgb(229,112,87)'],
        [0.84706, 'rgb(228,110,86)'],
        [0.85098, 'rgb(227,108,84)'],
        [0.8549, 'rgb(226,106,83)'],
        [0.85882, 'rgb(225,104,82)'],
        [0.86275, 'rgb(224,102,80)'],
        [0.86667, 'rgb(223,100,79)'],
        [0.87059, 'rgb(222,98,78)'],
        [0.87451, 'rgb(221,96,76)'],
        [0.87843, 'rgb(220,94,75)'],
        [0.88235, 'rgb(219,92,74)'],
        [0.88627, 'rgb(218,90,72)'],
        [0.8902, 'rgb(217,88,71)'],
        [0.89412, 'rgb(216,86,70)'],
        [0.89804, 'rgb(215,84,68)'],
        [0.90196, 'rgb(214,82,67)'],
        [0.90588, 'rgb(212,79,66)'],
        [0.9098, 'rgb(211,77,64)'],
        [0.91373, 'rgb(210,75,63)'],
        [0.91765, 'rgb(209,73,62)'],
        [0.92157, 'rgb(207,70,61)'],
        [0.92549, 'rgb(206,68,60)'],
        [0.92941, 'rgb(205,66,58)'],
        [0.93333, 'rgb(204,63,57)'],
        [0.93725, 'rgb(202,61,56)'],
        [0.94118, 'rgb(201,59,55)'],
        [0.9451, 'rgb(200,56,53)'],
        [0.94902, 'rgb(198,53,52)'],
        [0.95294, 'rgb(197,50,51)'],
        [0.95686, 'rgb(196,48,50)'],
        [0.96078, 'rgb(194,45,49)'],
        [0.96471, 'rgb(193,42,48)'],
        [0.96863, 'rgb(191,40,46)'],
        [0.97255, 'rgb(190,35,45)'],
        [0.97647, 'rgb(188,31,44)'],
        [0.98039, 'rgb(187,26,43)'],
        [0.98431, 'rgb(185,22,42)'],
        [0.98824, 'rgb(184,17,41)'],
        [0.99216, 'rgb(182,13,40)'],
        [0.99608, 'rgb(181,8,39)'],
        [1.0, 'rgb(179,3,38)'],
    ],
    'copper': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392, 'rgb(1,0,0)'],
        [0.00784, 'rgb(2,1,0)'],
        [0.01176, 'rgb(3,2,1)'],
        [0.01569, 'rgb(4,3,1)'],
        [0.01961, 'rgb(6,3,2)'],
        [0.02353, 'rgb(7,4,2)'],
        [0.02745, 'rgb(8,5,3)'],
        [0.03137, 'rgb(9,6,3)'],
        [0.03529, 'rgb(11,7,4)'],
        [0.03922, 'rgb(12,7,4)'],
        [0.04314, 'rgb(13,8,5)'],
        [0.04706, 'rgb(14,9,5)'],
        [0.05098, 'rgb(16,10,6)'],
        [0.0549, 'rgb(17,10,6)'],
        [0.05882, 'rgb(18,11,7)'],
        [0.06275, 'rgb(19,12,7)'],
        [0.06667, 'rgb(20,13,8)'],
        [0.07059, 'rgb(22,14,8)'],
        [0.07451, 'rgb(23,14,9)'],
        [0.07843, 'rgb(24,15,9)'],
        [0.08235, 'rgb(25,16,10)'],
        [0.08627, 'rgb(27,17,10)'],
        [0.0902, 'rgb(28,17,11)'],
        [0.09412, 'rgb(29,18,11)'],
        [0.09804, 'rgb(30,19,12)'],
        [0.10196, 'rgb(32,20,12)'],
        [0.10588, 'rgb(33,21,13)'],
        [0.1098, 'rgb(34,21,13)'],
        [0.11373, 'rgb(35,22,14)'],
        [0.11765, 'rgb(37,23,14)'],
        [0.12157, 'rgb(38,24,15)'],
        [0.12549, 'rgb(39,24,15)'],
        [0.12941, 'rgb(40,25,16)'],
        [0.13333, 'rgb(41,26,16)'],
        [0.13725, 'rgb(43,27,17)'],
        [0.14118, 'rgb(44,28,17)'],
        [0.1451, 'rgb(45,28,18)'],
        [0.14902, 'rgb(46,29,18)'],
        [0.15294, 'rgb(48,30,19)'],
        [0.15686, 'rgb(49,31,19)'],
        [0.16078, 'rgb(50,32,20)'],
        [0.16471, 'rgb(51,32,20)'],
        [0.16863, 'rgb(53,33,21)'],
        [0.17255, 'rgb(54,34,21)'],
        [0.17647, 'rgb(55,35,22)'],
        [0.18039, 'rgb(56,35,22)'],
        [0.18431, 'rgb(58,36,23)'],
        [0.18824, 'rgb(59,37,23)'],
        [0.19216, 'rgb(60,38,24)'],
        [0.19608, 'rgb(61,39,24)'],
        [0.2, 'rgb(62,39,25)'],
        [0.20392, 'rgb(64,40,25)'],
        [0.20784, 'rgb(65,41,26)'],
        [0.21176, 'rgb(66,42,26)'],
        [0.21569, 'rgb(67,42,27)'],
        [0.21961, 'rgb(69,43,27)'],
        [0.22353, 'rgb(70,44,28)'],
        [0.22745, 'rgb(71,45,28)'],
        [0.23137, 'rgb(72,46,29)'],
        [0.23529, 'rgb(74,46,29)'],
        [0.23922, 'rgb(75,47,30)'],
        [0.24314, 'rgb(76,48,30)'],
        [0.24706, 'rgb(77,49,31)'],
        [0.25098, 'rgb(79,49,31)'],
        [0.2549, 'rgb(80,50,32)'],
        [0.25882, 'rgb(81,51,32)'],
        [0.26275, 'rgb(82,52,33)'],
        [0.26667, 'rgb(83,53,33)'],
        [0.27059, 'rgb(85,53,34)'],
        [0.27451, 'rgb(86,54,34)'],
        [0.27843, 'rgb(87,55,35)'],
        [0.28235, 'rgb(88,56,35)'],
        [0.28627, 'rgb(90,57,36)'],
        [0.2902, 'rgb(91,57,36)'],
        [0.29412, 'rgb(92,58,37)'],
        [0.29804, 'rgb(93,59,37)'],
        [0.30196, 'rgb(95,60,38)'],
        [0.30588, 'rgb(96,60,38)'],
        [0.3098, 'rgb(97,61,39)'],
        [0.31373, 'rgb(98,62,39)'],
        [0.31765, 'rgb(100,63,40)'],
        [0.32157, 'rgb(101,64,40)'],
        [0.32549, 'rgb(102,64,41)'],
        [0.32941, 'rgb(103,65,41)'],
        [0.33333, 'rgb(104,66,42)'],
        [0.33725, 'rgb(106,67,42)'],
        [0.34118, 'rgb(107,67,43)'],
        [0.3451, 'rgb(108,68,43)'],
        [0.34902, 'rgb(109,69,44)'],
        [0.35294, 'rgb(111,70,44)'],
        [0.35686, 'rgb(112,71,45)'],
        [0.36078, 'rgb(113,71,45)'],
        [0.36471, 'rgb(114,72,46)'],
        [0.36863, 'rgb(116,73,46)'],
        [0.37255, 'rgb(117,74,47)'],
        [0.37647, 'rgb(118,74,47)'],
        [0.38039, 'rgb(119,75,48)'],
        [0.38431, 'rgb(121,76,48)'],
        [0.38824, 'rgb(122,77,49)'],
        [0.39216, 'rgb(123,78,49)'],
        [0.39608, 'rgb(124,78,50)'],
        [0.4, 'rgb(125,79,50)'],
        [0.40392, 'rgb(127,80,51)'],
        [0.40784, 'rgb(128,81,51)'],
        [0.41176, 'rgb(129,82,52)'],
        [0.41569, 'rgb(130,82,52)'],
        [0.41961, 'rgb(132,83,53)'],
        [0.42353, 'rgb(133,84,53)'],
        [0.42745, 'rgb(134,85,54)'],
        [0.43137, 'rgb(135,85,54)'],
        [0.43529, 'rgb(137,86,55)'],
        [0.43922, 'rgb(138,87,55)'],
        [0.44314, 'rgb(139,88,56)'],
        [0.44706, 'rgb(140,89,56)'],
        [0.45098, 'rgb(142,89,57)'],
        [0.4549, 'rgb(143,90,57)'],
        [0.45882, 'rgb(144,91,58)'],
        [0.46275, 'rgb(145,92,58)'],
        [0.46667, 'rgb(146,92,59)'],
        [0.47059, 'rgb(148,93,59)'],
        [0.47451, 'rgb(149,94,60)'],
        [0.47843, 'rgb(150,95,60)'],
        [0.48235, 'rgb(151,96,61)'],
        [0.48627, 'rgb(153,96,61)'],
        [0.4902, 'rgb(154,97,62)'],
        [0.49412, 'rgb(155,98,62)'],
        [0.49804, 'rgb(156,99,63)'],
        [0.50196, 'rgb(158,99,63)'],
        [0.50588, 'rgb(159,100,64)'],
        [0.5098, 'rgb(160,101,64)'],
        [0.51373, 'rgb(161,102,65)'],
        [0.51765, 'rgb(163,103,65)'],
        [0.52157, 'rgb(164,103,66)'],
        [0.52549, 'rgb(165,104,66)'],
        [0.52941, 'rgb(166,105,67)'],
        [0.53333, 'rgb(167,106,67)'],
        [0.53725, 'rgb(169,107,68)'],
        [0.54118, 'rgb(170,107,68)'],
        [0.5451, 'rgb(171,108,69)'],
        [0.54902, 'rgb(172,109,69)'],
        [0.55294, 'rgb(174,110,70)'],
        [0.55686, 'rgb(175,110,70)'],
        [0.56078, 'rgb(176,111,71)'],
        [0.56471, 'rgb(177,112,71)'],
        [0.56863, 'rgb(179,113,72)'],
        [0.57255, 'rgb(180,114,72)'],
        [0.57647, 'rgb(181,114,73)'],
        [0.58039, 'rgb(182,115,73)'],
        [0.58431, 'rgb(184,116,74)'],
        [0.58824, 'rgb(185,117,74)'],
        [0.59216, 'rgb(186,117,75)'],
        [0.59608, 'rgb(187,118,75)'],
        [0.6, 'rgb(188,119,76)'],
        [0.60392, 'rgb(190,120,76)'],
        [0.60784, 'rgb(191,121,77)'],
        [0.61176, 'rgb(192,121,77)'],
        [0.61569, 'rgb(193,122,78)'],
        [0.61961, 'rgb(195,123,78)'],
        [0.62353, 'rgb(196,124,79)'],
        [0.62745, 'rgb(197,124,79)'],
        [0.63137, 'rgb(198,125,80)'],
        [0.63529, 'rgb(200,126,80)'],
        [0.63922, 'rgb(201,127,81)'],
        [0.64314, 'rgb(202,128,81)'],
        [0.64706, 'rgb(203,128,82)'],
        [0.65098, 'rgb(205,129,82)'],
        [0.6549, 'rgb(206,130,83)'],
        [0.65882, 'rgb(207,131,83)'],
        [0.66275, 'rgb(208,132,84)'],
        [0.66667, 'rgb(209,132,84)'],
        [0.67059, 'rgb(211,133,85)'],
        [0.67451, 'rgb(212,134,85)'],
        [0.67843, 'rgb(213,135,86)'],
        [0.68235, 'rgb(214,135,86)'],
        [0.68627, 'rgb(216,136,87)'],
        [0.6902, 'rgb(217,137,87)'],
        [0.69412, 'rgb(218,138,88)'],
        [0.69804, 'rgb(219,139,88)'],
        [0.70196, 'rgb(221,139,89)'],
        [0.70588, 'rgb(222,140,89)'],
        [0.7098, 'rgb(223,141,90)'],
        [0.71373, 'rgb(224,142,90)'],
        [0.71765, 'rgb(226,142,91)'],
        [0.72157, 'rgb(227,143,91)'],
        [0.72549, 'rgb(228,144,92)'],
        [0.72941, 'rgb(229,145,92)'],
        [0.73333, 'rgb(230,146,93)'],
        [0.73725, 'rgb(232,146,93)'],
        [0.74118, 'rgb(233,147,94)'],
        [0.7451, 'rgb(234,148,94)'],
        [0.74902, 'rgb(235,149,95)'],
        [0.75294, 'rgb(237,149,95)'],
        [0.75686, 'rgb(238,150,96)'],
        [0.76078, 'rgb(239,151,96)'],
        [0.76471, 'rgb(240,152,97)'],
        [0.76863, 'rgb(242,153,97)'],
        [0.77255, 'rgb(243,153,98)'],
        [0.77647, 'rgb(244,154,98)'],
        [0.78039, 'rgb(245,155,99)'],
        [0.78431, 'rgb(247,156,99)'],
        [0.78824, 'rgb(248,157,99)'],
        [0.79216, 'rgb(249,157,100)'],
        [0.79608, 'rgb(250,158,100)'],
        [0.8, 'rgb(251,159,101)'],
        [0.80392, 'rgb(253,160,101)'],
        [0.80784, 'rgb(254,160,102)'],
        [0.81176, 'rgb(255,161,102)'],
        [0.81569, 'rgb(255,162,103)'],
        [0.81961, 'rgb(255,163,103)'],
        [0.82353, 'rgb(255,164,104)'],
        [0.82745, 'rgb(255,164,104)'],
        [0.83137, 'rgb(255,165,105)'],
        [0.83529, 'rgb(255,166,105)'],
        [0.83922, 'rgb(255,167,106)'],
        [0.84314, 'rgb(255,167,106)'],
        [0.84706, 'rgb(255,168,107)'],
        [0.85098, 'rgb(255,169,107)'],
        [0.8549, 'rgb(255,170,108)'],
        [0.85882, 'rgb(255,171,108)'],
        [0.86275, 'rgb(255,171,109)'],
        [0.86667, 'rgb(255,172,109)'],
        [0.87059, 'rgb(255,173,110)'],
        [0.87451, 'rgb(255,174,110)'],
        [0.87843, 'rgb(255,174,111)'],
        [0.88235, 'rgb(255,175,111)'],
        [0.88627, 'rgb(255,176,112)'],
        [0.8902, 'rgb(255,177,112)'],
        [0.89412, 'rgb(255,178,113)'],
        [0.89804, 'rgb(255,178,113)'],
        [0.90196, 'rgb(255,179,114)'],
        [0.90588, 'rgb(255,180,114)'],
        [0.9098, 'rgb(255,181,115)'],
        [0.91373, 'rgb(255,182,115)'],
        [0.91765, 'rgb(255,182,116)'],
        [0.92157, 'rgb(255,183,116)'],
        [0.92549, 'rgb(255,184,117)'],
        [0.92941, 'rgb(255,185,117)'],
        [0.93333, 'rgb(255,185,118)'],
        [0.93725, 'rgb(255,186,118)'],
        [0.94118, 'rgb(255,187,119)'],
        [0.9451, 'rgb(255,188,119)'],
        [0.94902, 'rgb(255,189,120)'],
        [0.95294, 'rgb(255,189,120)'],
        [0.95686, 'rgb(255,190,121)'],
        [0.96078, 'rgb(255,191,121)'],
        [0.96471, 'rgb(255,192,122)'],
        [0.96863, 'rgb(255,192,122)'],
        [0.97255, 'rgb(255,193,123)'],
        [0.97647, 'rgb(255,194,123)'],
        [0.98039, 'rgb(255,195,124)'],
        [0.98431, 'rgb(255,196,124)'],
        [0.98824, 'rgb(255,196,125)'],
        [0.99216, 'rgb(255,197,125)'],
        [0.99608, 'rgb(255,198,126)'],
        [1.0, 'rgb(255,199,126)'],
    ],
    'cubehelix': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392, 'rgb(1,0,1)'],
        [0.00784, 'rgb(3,1,3)'],
        [0.01176, 'rgb(4,1,4)'],
        [0.01569, 'rgb(6,2,6)'],
        [0.01961, 'rgb(8,2,8)'],
        [0.02353, 'rgb(9,3,9)'],
        [0.02745, 'rgb(10,4,11)'],
        [0.03137, 'rgb(12,4,13)'],
        [0.03529, 'rgb(13,5,15)'],
        [0.03922, 'rgb(14,6,17)'],
        [0.04314, 'rgb(15,6,19)'],
        [0.04706, 'rgb(17,7,21)'],
        [0.05098, 'rgb(18,8,23)'],
        [0.0549, 'rgb(19,9,25)'],
        [0.05882, 'rgb(20,10,27)'],
        [0.06275, 'rgb(20,11,29)'],
        [0.06667, 'rgb(21,11,31)'],
        [0.07059, 'rgb(22,12,33)'],
        [0.07451, 'rgb(23,13,35)'],
        [0.07843, 'rgb(23,14,37)'],
        [0.08235, 'rgb(24,15,39)'],
        [0.08627, 'rgb(24,17,41)'],
        [0.0902, 'rgb(25,18,43)'],
        [0.09412, 'rgb(25,19,45)'],
        [0.09804, 'rgb(25,20,47)'],
        [0.10196, 'rgb(26,21,48)'],
        [0.10588, 'rgb(26,22,50)'],
        [0.1098, 'rgb(26,24,52)'],
        [0.11373, 'rgb(26,25,54)'],
        [0.11765, 'rgb(26,26,56)'],
        [0.12157, 'rgb(26,28,57)'],
        [0.12549, 'rgb(26,29,59)'],
        [0.12941, 'rgb(26,31,60)'],
        [0.13333, 'rgb(26,32,62)'],
        [0.13725, 'rgb(26,34,63)'],
        [0.14118, 'rgb(26,35,65)'],
        [0.1451, 'rgb(25,37,66)'],
        [0.14902, 'rgb(25,38,67)'],
        [0.15294, 'rgb(25,40,69)'],
        [0.15686, 'rgb(25,41,70)'],
        [0.16078, 'rgb(24,43,71)'],
        [0.16471, 'rgb(24,45,72)'],
        [0.16863, 'rgb(24,46,73)'],
        [0.17255, 'rgb(23,48,74)'],
        [0.17647, 'rgb(23,50,74)'],
        [0.18039, 'rgb(23,52,75)'],
        [0.18431, 'rgb(23,53,76)'],
        [0.18824, 'rgb(22,55,76)'],
        [0.19216, 'rgb(22,57,77)'],
        [0.19608, 'rgb(22,58,77)'],
        [0.2, 'rgb(21,60,77)'],
        [0.20392, 'rgb(21,62,78)'],
        [0.20784, 'rgb(21,64,78)'],
        [0.21176, 'rgb(21,66,78)'],
        [0.21569, 'rgb(21,67,78)'],
        [0.21961, 'rgb(21,69,78)'],
        [0.22353, 'rgb(20,71,78)'],
        [0.22745, 'rgb(20,73,78)'],
        [0.23137, 'rgb(20,74,77)'],
        [0.23529, 'rgb(21,76,77)'],
        [0.23922, 'rgb(21,78,77)'],
        [0.24314, 'rgb(21,79,76)'],
        [0.24706, 'rgb(21,81,76)'],
        [0.25098, 'rgb(21,83,75)'],
        [0.2549, 'rgb(22,84,75)'],
        [0.25882, 'rgb(22,86,74)'],
        [0.26275, 'rgb(22,88,73)'],
        [0.26667, 'rgb(23,89,73)'],
        [0.27059, 'rgb(23,91,72)'],
        [0.27451, 'rgb(24,92,71)'],
        [0.27843, 'rgb(25,94,70)'],
        [0.28235, 'rgb(26,95,69)'],
        [0.28627, 'rgb(27,97,68)'],
        [0.2902, 'rgb(27,98,67)'],
        [0.29412, 'rgb(28,99,66)'],
        [0.29804, 'rgb(30,101,66)'],
        [0.30196, 'rgb(31,102,65)'],
        [0.30588, 'rgb(32,103,64)'],
        [0.3098, 'rgb(33,104,63)'],
        [0.31373, 'rgb(35,106,61)'],
        [0.31765, 'rgb(36,107,60)'],
        [0.32157, 'rgb(38,108,59)'],
        [0.32549, 'rgb(39,109,58)'],
        [0.32941, 'rgb(41,110,58)'],
        [0.33333, 'rgb(43,111,57)'],
        [0.33725, 'rgb(45,112,56)'],
        [0.34118, 'rgb(47,113,55)'],
        [0.3451, 'rgb(49,114,54)'],
        [0.34902, 'rgb(51,114,53)'],
        [0.35294, 'rgb(53,115,52)'],
        [0.35686, 'rgb(55,116,51)'],
        [0.36078, 'rgb(57,116,51)'],
        [0.36471, 'rgb(60,117,50)'],
        [0.36863, 'rgb(62,118,49)'],
        [0.37255, 'rgb(65,118,49)'],
        [0.37647, 'rgb(67,119,48)'],
        [0.38039, 'rgb(70,119,48)'],
        [0.38431, 'rgb(72,120,47)'],
        [0.38824, 'rgb(75,120,47)'],
        [0.39216, 'rgb(78,120,47)'],
        [0.39608, 'rgb(81,121,46)'],
        [0.4, 'rgb(83,121,46)'],
        [0.40392, 'rgb(86,121,46)'],
        [0.40784, 'rgb(89,121,46)'],
        [0.41176, 'rgb(92,122,46)'],
        [0.41569, 'rgb(95,122,47)'],
        [0.41961, 'rgb(98,122,47)'],
        [0.42353, 'rgb(101,122,47)'],
        [0.42745, 'rgb(104,122,48)'],
        [0.43137, 'rgb(107,122,48)'],
        [0.43529, 'rgb(110,122,49)'],
        [0.43922, 'rgb(113,122,50)'],
        [0.44314, 'rgb(116,122,50)'],
        [0.44706, 'rgb(120,122,51)'],
        [0.45098, 'rgb(123,122,52)'],
        [0.4549, 'rgb(126,122,53)'],
        [0.45882, 'rgb(129,122,55)'],
        [0.46275, 'rgb(132,122,56)'],
        [0.46667, 'rgb(135,122,57)'],
        [0.47059, 'rgb(138,121,59)'],
        [0.47451, 'rgb(141,121,60)'],
        [0.47843, 'rgb(144,121,62)'],
        [0.48235, 'rgb(147,121,64)'],
        [0.48627, 'rgb(150,121,65)'],
        [0.4902, 'rgb(153,121,67)'],
        [0.49412, 'rgb(155,121,69)'],
        [0.49804, 'rgb(158,121,71)'],
        [0.50196, 'rgb(161,121,74)'],
        [0.50588, 'rgb(164,120,76)'],
        [0.5098, 'rgb(166,120,78)'],
        [0.51373, 'rgb(169,120,81)'],
        [0.51765, 'rgb(171,120,83)'],
        [0.52157, 'rgb(174,120,86)'],
        [0.52549, 'rgb(176,120,88)'],
        [0.52941, 'rgb(178,120,91)'],
        [0.53333, 'rgb(181,120,94)'],
        [0.53725, 'rgb(183,120,96)'],
        [0.54118, 'rgb(185,120,99)'],
        [0.5451, 'rgb(187,121,102)'],
        [0.54902, 'rgb(189,121,105)'],
        [0.55294, 'rgb(191,121,108)'],
        [0.55686, 'rgb(193,121,111)'],
        [0.56078, 'rgb(194,121,114)'],
        [0.56471, 'rgb(196,122,117)'],
        [0.56863, 'rgb(198,122,120)'],
        [0.57255, 'rgb(199,122,124)'],
        [0.57647, 'rgb(201,123,127)'],
        [0.58039, 'rgb(202,123,130)'],
        [0.58431, 'rgb(203,124,133)'],
        [0.58824, 'rgb(204,124,136)'],
        [0.59216, 'rgb(205,125,140)'],
        [0.59608, 'rgb(206,125,143)'],
        [0.6, 'rgb(207,126,146)'],
        [0.60392, 'rgb(208,127,149)'],
        [0.60784, 'rgb(209,127,153)'],
        [0.61176, 'rgb(209,128,156)'],
        [0.61569, 'rgb(210,129,159)'],
        [0.61961, 'rgb(211,130,162)'],
        [0.62353, 'rgb(211,131,165)'],
        [0.62745, 'rgb(211,131,169)'],
        [0.63137, 'rgb(212,132,172)'],
        [0.63529, 'rgb(212,133,175)'],
        [0.63922, 'rgb(212,135,178)'],
        [0.64314, 'rgb(212,136,181)'],
        [0.64706, 'rgb(212,137,184)'],
        [0.65098, 'rgb(212,138,186)'],
        [0.6549, 'rgb(212,139,189)'],
        [0.65882, 'rgb(212,140,192)'],
        [0.66275, 'rgb(211,142,195)'],
        [0.66667, 'rgb(211,143,197)'],
        [0.67059, 'rgb(211,144,200)'],
        [0.67451, 'rgb(210,146,203)'],
        [0.67843, 'rgb(210,147,205)'],
        [0.68235, 'rgb(210,149,207)'],
        [0.68627, 'rgb(209,150,210)'],
        [0.6902, 'rgb(208,152,212)'],
        [0.69412, 'rgb(208,154,214)'],
        [0.69804, 'rgb(207,155,216)'],
        [0.70196, 'rgb(207,157,218)'],
        [0.70588, 'rgb(206,158,220)'],
        [0.7098, 'rgb(205,160,222)'],
        [0.71373, 'rgb(205,162,224)'],
        [0.71765, 'rgb(204,164,226)'],
        [0.72157, 'rgb(203,165,227)'],
        [0.72549, 'rgb(203,167,229)'],
        [0.72941, 'rgb(202,169,230)'],
        [0.73333, 'rgb(201,171,231)'],
        [0.73725, 'rgb(201,172,233)'],
        [0.74118, 'rgb(200,174,234)'],
        [0.7451, 'rgb(199,176,235)'],
        [0.74902, 'rgb(199,178,236)'],
        [0.75294, 'rgb(198,180,237)'],
        [0.75686, 'rgb(197,182,238)'],
        [0.76078, 'rgb(197,183,239)'],
        [0.76471, 'rgb(196,185,239)'],
        [0.76863, 'rgb(196,187,240)'],
        [0.77255, 'rgb(195,189,241)'],
        [0.77647, 'rgb(195,191,241)'],
        [0.78039, 'rgb(194,193,242)'],
        [0.78431, 'rgb(194,194,242)'],
        [0.78824, 'rgb(194,196,242)'],
        [0.79216, 'rgb(193,198,243)'],
        [0.79608, 'rgb(193,200,243)'],
        [0.8, 'rgb(193,202,243)'],
        [0.80392, 'rgb(193,203,243)'],
        [0.80784, 'rgb(193,205,243)'],
        [0.81176, 'rgb(193,207,243)'],
        [0.81569, 'rgb(193,208,243)'],
        [0.81961, 'rgb(193,210,243)'],
        [0.82353, 'rgb(193,212,243)'],
        [0.82745, 'rgb(193,213,243)'],
        [0.83137, 'rgb(194,215,242)'],
        [0.83529, 'rgb(194,216,242)'],
        [0.83922, 'rgb(195,218,242)'],
        [0.84314, 'rgb(195,219,242)'],
        [0.84706, 'rgb(196,221,241)'],
        [0.85098, 'rgb(196,222,241)'],
        [0.8549, 'rgb(197,224,241)'],
        [0.85882, 'rgb(198,225,241)'],
        [0.86275, 'rgb(199,226,240)'],
        [0.86667, 'rgb(200,228,240)'],
        [0.87059, 'rgb(200,229,240)'],
        [0.87451, 'rgb(202,230,239)'],
        [0.87843, 'rgb(203,231,239)'],
        [0.88235, 'rgb(204,232,239)'],
        [0.88627, 'rgb(205,233,239)'],
        [0.8902, 'rgb(206,235,239)'],
        [0.89412, 'rgb(208,236,238)'],
        [0.89804, 'rgb(209,237,238)'],
        [0.90196, 'rgb(210,238,238)'],
        [0.90588, 'rgb(212,239,238)'],
        [0.9098, 'rgb(213,240,238)'],
        [0.91373, 'rgb(215,240,238)'],
        [0.91765, 'rgb(217,241,238)'],
        [0.92157, 'rgb(218,242,238)'],
        [0.92549, 'rgb(220,243,239)'],
        [0.92941, 'rgb(222,244,239)'],
        [0.93333, 'rgb(223,244,239)'],
        [0.93725, 'rgb(225,245,240)'],
        [0.94118, 'rgb(227,246,240)'],
        [0.9451, 'rgb(229,247,240)'],
        [0.94902, 'rgb(231,247,241)'],
        [0.95294, 'rgb(232,248,242)'],
        [0.95686, 'rgb(234,248,242)'],
        [0.96078, 'rgb(236,249,243)'],
        [0.96471, 'rgb(238,250,244)'],
        [0.96863, 'rgb(240,250,245)'],
        [0.97255, 'rgb(242,251,246)'],
        [0.97647, 'rgb(244,251,247)'],
        [0.98039, 'rgb(245,252,248)'],
        [0.98431, 'rgb(247,252,249)'],
        [0.98824, 'rgb(249,253,250)'],
        [0.99216, 'rgb(251,253,252)'],
        [0.99608, 'rgb(253,254,253)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'flag': [
        [0.0, 'rgb(255,0,0)'],
        [0.00392, 'rgb(255,96,53)'],
        [0.00784, 'rgb(255,178,125)'],
        [0.01176, 'rgb(255,234,198)'],
        [0.01569, 'rgb(255,254,255)'],
        [0.01961, 'rgb(204,237,255)'],
        [0.02353, 'rgb(132,185,255)'],
        [0.02745, 'rgb(60,105,255)'],
        [0.03137, 'rgb(0,9,255)'],
        [0.03529, 'rgb(0,0,207)'],
        [0.03922, 'rgb(0,0,136)'],
        [0.04314, 'rgb(0,0,63)'],
        [0.04706, 'rgb(0,0,0)'],
        [0.05098, 'rgb(43,0,0)'],
        [0.0549, 'rgb(115,0,0)'],
        [0.05882, 'rgb(188,0,0)'],
        [0.06275, 'rgb(252,0,0)'],
        [0.06667, 'rgb(255,78,40)'],
        [0.07059, 'rgb(255,164,111)'],
        [0.07451, 'rgb(255,226,184)'],
        [0.07843, 'rgb(255,253,249)'],
        [0.08235, 'rgb(217,243,255)'],
        [0.08627, 'rgb(146,197,255)'],
        [0.0902, 'rgb(73,122,255)'],
        [0.09412, 'rgb(8,28,255)'],
        [0.09804, 'rgb(0,0,220)'],
        [0.10196, 'rgb(0,0,150)'],
        [0.10588, 'rgb(0,0,76)'],
        [0.1098, 'rgb(0,0,10)'],
        [0.11373, 'rgb(31,0,0)'],
        [0.11765, 'rgb(101,0,0)'],
        [0.12157, 'rgb(174,0,0)'],
        [0.12549, 'rgb(241,0,0)'],
        [0.12941, 'rgb(255,60,28)'],
        [0.13333, 'rgb(255,149,97)'],
        [0.13725, 'rgb(255,216,171)'],
        [0.14118, 'rgb(255,251,238)'],
        [0.1451, 'rgb(229,248,255)'],
        [0.14902, 'rgb(160,209,255)'],
        [0.15294, 'rgb(87,138,255)'],
        [0.15686, 'rgb(19,46,255)'],
        [0.16078, 'rgb(0,0,232)'],
        [0.16471, 'rgb(0,0,164)'],
        [0.16863, 'rgb(0,0,90)'],
        [0.17255, 'rgb(0,0,22)'],
        [0.17647, 'rgb(19,0,0)'],
        [0.18039, 'rgb(87,0,0)'],
        [0.18431, 'rgb(160,0,0)'],
        [0.18824, 'rgb(229,0,0)'],
        [0.19216, 'rgb(255,42,16)'],
        [0.19608, 'rgb(255,134,83)'],
        [0.2, 'rgb(255,206,157)'],
        [0.20392, 'rgb(255,247,226)'],
        [0.20784, 'rgb(241,252,255)'],
        [0.21176, 'rgb(174,219,255)'],
        [0.21569, 'rgb(101,153,255)'],
        [0.21961, 'rgb(31,65,255)'],
        [0.22353, 'rgb(0,0,244)'],
        [0.22745, 'rgb(0,0,178)'],
        [0.23137, 'rgb(0,0,104)'],
        [0.23529, 'rgb(0,0,34)'],
        [0.23922, 'rgb(8,0,0)'],
        [0.24314, 'rgb(73,0,0)'],
        [0.24706, 'rgb(146,0,0)'],
        [0.25098, 'rgb(217,0,0)'],
        [0.2549, 'rgb(255,23,5)'],
        [0.25882, 'rgb(255,117,70)'],
        [0.26275, 'rgb(255,194,143)'],
        [0.26667, 'rgb(255,242,214)'],
        [0.27059, 'rgb(252,254,255)'],
        [0.27451, 'rgb(188,228,255)'],
        [0.27843, 'rgb(115,168,255)'],
        [0.28235, 'rgb(43,83,255)'],
        [0.28627, 'rgb(0,0,255)'],
        [0.2902, 'rgb(0,0,191)'],
        [0.29412, 'rgb(0,0,118)'],
        [0.29804, 'rgb(0,0,47)'],
        [0.30196, 'rgb(0,0,0)'],
        [0.30588, 'rgb(60,0,0)'],
        [0.3098, 'rgb(132,0,0)'],
        [0.31373, 'rgb(204,0,0)'],
        [0.31765, 'rgb(255,4,0)'],
        [0.32157, 'rgb(255,100,56)'],
        [0.32549, 'rgb(255,181,129)'],
        [0.32941, 'rgb(255,236,201)'],
        [0.33333, 'rgb(255,255,255)'],
        [0.33725, 'rgb(201,236,255)'],
        [0.34118, 'rgb(129,181,255)'],
        [0.3451, 'rgb(56,100,255)'],
        [0.34902, 'rgb(0,4,255)'],
        [0.35294, 'rgb(0,0,204)'],
        [0.35686, 'rgb(0,0,132)'],
        [0.36078, 'rgb(0,0,60)'],
        [0.36471, 'rgb(0,0,0)'],
        [0.36863, 'rgb(47,0,0)'],
        [0.37255, 'rgb(118,0,0)'],
        [0.37647, 'rgb(191,0,0)'],
        [0.38039, 'rgb(255,0,0)'],
        [0.38431, 'rgb(255,83,43)'],
        [0.38824, 'rgb(255,168,115)'],
        [0.39216, 'rgb(255,228,188)'],
        [0.39608, 'rgb(255,254,252)'],
        [0.4, 'rgb(214,242,255)'],
        [0.40392, 'rgb(143,194,255)'],
        [0.40784, 'rgb(70,117,255)'],
        [0.41176, 'rgb(5,23,255)'],
        [0.41569, 'rgb(0,0,217)'],
        [0.41961, 'rgb(0,0,146)'],
        [0.42353, 'rgb(0,0,73)'],
        [0.42745, 'rgb(0,0,8)'],
        [0.43137, 'rgb(34,0,0)'],
        [0.43529, 'rgb(104,0,0)'],
        [0.43922, 'rgb(178,0,0)'],
        [0.44314, 'rgb(244,0,0)'],
        [0.44706, 'rgb(255,65,31)'],
        [0.45098, 'rgb(255,153,101)'],
        [0.4549, 'rgb(255,219,174)'],
        [0.45882, 'rgb(255,252,241)'],
        [0.46275, 'rgb(226,247,255)'],
        [0.46667, 'rgb(157,206,255)'],
        [0.47059, 'rgb(83,134,255)'],
        [0.47451, 'rgb(16,42,255)'],
        [0.47843, 'rgb(0,0,229)'],
        [0.48235, 'rgb(0,0,160)'],
        [0.48627, 'rgb(0,0,87)'],
        [0.4902, 'rgb(0,0,19)'],
        [0.49412, 'rgb(22,0,0)'],
        [0.49804, 'rgb(90,0,0)'],
        [0.50196, 'rgb(164,0,0)'],
        [0.50588, 'rgb(232,0,0)'],
        [0.5098, 'rgb(255,46,19)'],
        [0.51373, 'rgb(255,138,87)'],
        [0.51765, 'rgb(255,209,160)'],
        [0.52157, 'rgb(255,248,229)'],
        [0.52549, 'rgb(238,251,255)'],
        [0.52941, 'rgb(171,216,255)'],
        [0.53333, 'rgb(97,149,255)'],
        [0.53725, 'rgb(28,60,255)'],
        [0.54118, 'rgb(0,0,241)'],
        [0.5451, 'rgb(0,0,174)'],
        [0.54902, 'rgb(0,0,101)'],
        [0.55294, 'rgb(0,0,31)'],
        [0.55686, 'rgb(10,0,0)'],
        [0.56078, 'rgb(76,0,0)'],
        [0.56471, 'rgb(150,0,0)'],
        [0.56863, 'rgb(220,0,0)'],
        [0.57255, 'rgb(255,28,8)'],
        [0.57647, 'rgb(255,122,73)'],
        [0.58039, 'rgb(255,197,146)'],
        [0.58431, 'rgb(255,243,217)'],
        [0.58824, 'rgb(249,253,255)'],
        [0.59216, 'rgb(184,226,255)'],
        [0.59608, 'rgb(111,164,255)'],
        [0.6, 'rgb(40,78,255)'],
        [0.60392, 'rgb(0,0,252)'],
        [0.60784, 'rgb(0,0,188)'],
        [0.61176, 'rgb(0,0,115)'],
        [0.61569, 'rgb(0,0,43)'],
        [0.61961, 'rgb(0,0,0)'],
        [0.62353, 'rgb(63,0,0)'],
        [0.62745, 'rgb(136,0,0)'],
        [0.63137, 'rgb(207,0,0)'],
        [0.63529, 'rgb(255,9,0)'],
        [0.63922, 'rgb(255,105,60)'],
        [0.64314, 'rgb(255,185,132)'],
        [0.64706, 'rgb(255,237,204)'],
        [0.65098, 'rgb(255,254,255)'],
        [0.6549, 'rgb(198,234,255)'],
        [0.65882, 'rgb(125,178,255)'],
        [0.66275, 'rgb(53,96,255)'],
        [0.66667, 'rgb(0,0,255)'],
        [0.67059, 'rgb(0,0,201)'],
        [0.67451, 'rgb(0,0,129)'],
        [0.67843, 'rgb(0,0,56)'],
        [0.68235, 'rgb(0,0,0)'],
        [0.68627, 'rgb(50,0,0)'],
        [0.6902, 'rgb(122,0,0)'],
        [0.69412, 'rgb(194,0,0)'],
        [0.69804, 'rgb(255,0,0)'],
        [0.70196, 'rgb(255,87,47)'],
        [0.70588, 'rgb(255,171,118)'],
        [0.7098, 'rgb(255,230,191)'],
        [0.71373, 'rgb(255,254,255)'],
        [0.71765, 'rgb(211,241,255)'],
        [0.72157, 'rgb(139,191,255)'],
        [0.72549, 'rgb(66,113,255)'],
        [0.72941, 'rgb(2,18,255)'],
        [0.73333, 'rgb(0,0,214)'],
        [0.73725, 'rgb(0,0,143)'],
        [0.74118, 'rgb(0,0,70)'],
        [0.7451, 'rgb(0,0,5)'],
        [0.74902, 'rgb(37,0,0)'],
        [0.75294, 'rgb(108,0,0)'],
        [0.75686, 'rgb(181,0,0)'],
        [0.76078, 'rgb(246,0,0)'],
        [0.76471, 'rgb(255,69,34)'],
        [0.76863, 'rgb(255,157,104)'],
        [0.77255, 'rgb(255,221,178)'],
        [0.77647, 'rgb(255,252,244)'],
        [0.78039, 'rgb(223,246,255)'],
        [0.78431, 'rgb(153,203,255)'],
        [0.78824, 'rgb(80,130,255)'],
        [0.79216, 'rgb(13,37,255)'],
        [0.79608, 'rgb(0,0,226)'],
        [0.8, 'rgb(0,0,157)'],
        [0.80392, 'rgb(0,0,83)'],
        [0.80784, 'rgb(0,0,16)'],
        [0.81176, 'rgb(25,0,0)'],
        [0.81569, 'rgb(94,0,0)'],
        [0.81961, 'rgb(167,0,0)'],
        [0.82353, 'rgb(235,0,0)'],
        [0.82745, 'rgb(255,51,22)'],
        [0.83137, 'rgb(255,142,90)'],
        [0.83529, 'rgb(255,211,164)'],
        [0.83922, 'rgb(255,249,232)'],
        [0.84314, 'rgb(235,250,255)'],
        [0.84706, 'rgb(167,214,255)'],
        [0.85098, 'rgb(94,146,255)'],
        [0.8549, 'rgb(25,56,255)'],
        [0.85882, 'rgb(0,0,238)'],
        [0.86275, 'rgb(0,0,171)'],
        [0.86667, 'rgb(0,0,97)'],
        [0.87059, 'rgb(0,0,28)'],
        [0.87451, 'rgb(13,0,0)'],
        [0.87843, 'rgb(80,0,0)'],
        [0.88235, 'rgb(153,0,0)'],
        [0.88627, 'rgb(223,0,0)'],
        [0.8902, 'rgb(255,32,10)'],
        [0.89412, 'rgb(255,126,76)'],
        [0.89804, 'rgb(255,200,150)'],
        [0.90196, 'rgb(255,245,220)'],
        [0.90588, 'rgb(246,253,255)'],
        [0.9098, 'rgb(181,223,255)'],
        [0.91373, 'rgb(108,161,255)'],
        [0.91765, 'rgb(37,74,255)'],
        [0.92157, 'rgb(0,0,249)'],
        [0.92549, 'rgb(0,0,184)'],
        [0.92941, 'rgb(0,0,111)'],
        [0.93333, 'rgb(0,0,40)'],
        [0.93725, 'rgb(2,0,0)'],
        [0.94118, 'rgb(66,0,0)'],
        [0.9451, 'rgb(139,0,0)'],
        [0.94902, 'rgb(211,0,0)'],
        [0.95294, 'rgb(255,14,0)'],
        [0.95686, 'rgb(255,109,63)'],
        [0.96078, 'rgb(255,188,136)'],
        [0.96471, 'rgb(255,239,207)'],
        [0.96863, 'rgb(255,254,255)'],
        [0.97255, 'rgb(194,232,255)'],
        [0.97647, 'rgb(122,175,255)'],
        [0.98039, 'rgb(50,92,255)'],
        [0.98431, 'rgb(0,0,255)'],
        [0.98824, 'rgb(0,0,198)'],
        [0.99216, 'rgb(0,0,125)'],
        [0.99608, 'rgb(0,0,53)'],
        [1.0, 'rgb(0,0,0)'],
    ],
    'gist_earth': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392, 'rgb(0,0,43)'],
        [0.00784, 'rgb(1,0,56)'],
        [0.01176, 'rgb(1,0,67)'],
        [0.01569, 'rgb(2,0,78)'],
        [0.01961, 'rgb(3,0,88)'],
        [0.02353, 'rgb(3,0,99)'],
        [0.02745, 'rgb(4,0,110)'],
        [0.03137, 'rgb(5,2,115)'],
        [0.03529, 'rgb(5,4,116)'],
        [0.03922, 'rgb(6,6,116)'],
        [0.04314, 'rgb(7,9,116)'],
        [0.04706, 'rgb(7,11,116)'],
        [0.05098, 'rgb(8,13,116)'],
        [0.0549, 'rgb(9,16,117)'],
        [0.05882, 'rgb(9,18,117)'],
        [0.06275, 'rgb(10,20,117)'],
        [0.06667, 'rgb(11,22,117)'],
        [0.07059, 'rgb(11,25,117)'],
        [0.07451, 'rgb(12,27,117)'],
        [0.07843, 'rgb(13,29,118)'],
        [0.08235, 'rgb(13,32,118)'],
        [0.08627, 'rgb(14,34,118)'],
        [0.0902, 'rgb(15,36,118)'],
        [0.09412, 'rgb(15,39,118)'],
        [0.09804, 'rgb(16,41,119)'],
        [0.10196, 'rgb(17,43,119)'],
        [0.10588, 'rgb(17,45,119)'],
        [0.1098, 'rgb(18,48,119)'],
        [0.11373, 'rgb(19,50,119)'],
        [0.11765, 'rgb(19,52,119)'],
        [0.12157, 'rgb(20,54,120)'],
        [0.12549, 'rgb(21,56,120)'],
        [0.12941, 'rgb(21,58,120)'],
        [0.13333, 'rgb(22,60,120)'],
        [0.13725, 'rgb(23,62,120)'],
        [0.14118, 'rgb(23,64,121)'],
        [0.1451, 'rgb(24,66,121)'],
        [0.14902, 'rgb(25,69,121)'],
        [0.15294, 'rgb(25,71,121)'],
        [0.15686, 'rgb(26,73,121)'],
        [0.16078, 'rgb(27,75,121)'],
        [0.16471, 'rgb(27,77,122)'],
        [0.16863, 'rgb(28,79,122)'],
        [0.17255, 'rgb(29,81,122)'],
        [0.17647, 'rgb(29,83,122)'],
        [0.18039, 'rgb(30,84,122)'],
        [0.18431, 'rgb(31,86,123)'],
        [0.18824, 'rgb(31,88,123)'],
        [0.19216, 'rgb(32,90,123)'],
        [0.19608, 'rgb(33,92,123)'],
        [0.2, 'rgb(33,94,123)'],
        [0.20392, 'rgb(34,96,123)'],
        [0.20784, 'rgb(35,97,124)'],
        [0.21176, 'rgb(35,99,124)'],
        [0.21569, 'rgb(36,101,124)'],
        [0.21961, 'rgb(37,102,124)'],
        [0.22353, 'rgb(37,104,124)'],
        [0.22745, 'rgb(38,105,125)'],
        [0.23137, 'rgb(39,107,125)'],
        [0.23529, 'rgb(39,109,125)'],
        [0.23922, 'rgb(40,110,125)'],
        [0.24314, 'rgb(41,112,125)'],
        [0.24706, 'rgb(41,113,125)'],
        [0.25098, 'rgb(42,115,126)'],
        [0.2549, 'rgb(43,116,126)'],
        [0.25882, 'rgb(43,118,126)'],
        [0.26275, 'rgb(44,120,126)'],
        [0.26667, 'rgb(45,121,126)'],
        [0.27059, 'rgb(45,123,127)'],
        [0.27451, 'rgb(46,124,127)'],
        [0.27843, 'rgb(47,126,127)'],
        [0.28235, 'rgb(47,127,127)'],
        [0.28627, 'rgb(48,128,126)'],
        [0.2902, 'rgb(48,129,125)'],
        [0.29412, 'rgb(49,129,123)'],
        [0.29804, 'rgb(49,130,122)'],
        [0.30196, 'rgb(50,130,121)'],
        [0.30588, 'rgb(50,131,120)'],
        [0.3098, 'rgb(51,132,119)'],
        [0.31373, 'rgb(51,132,117)'],
        [0.31765, 'rgb(52,133,116)'],
        [0.32157, 'rgb(52,133,115)'],
        [0.32549, 'rgb(53,134,114)'],
        [0.32941, 'rgb(53,134,112)'],
        [0.33333, 'rgb(54,135,111)'],
        [0.33725, 'rgb(54,136,110)'],
        [0.34118, 'rgb(55,136,109)'],
        [0.3451, 'rgb(55,137,108)'],
        [0.34902, 'rgb(56,137,106)'],
        [0.35294, 'rgb(56,138,105)'],
        [0.35686, 'rgb(56,138,104)'],
        [0.36078, 'rgb(57,139,103)'],
        [0.36471, 'rgb(57,140,101)'],
        [0.36863, 'rgb(58,140,100)'],
        [0.37255, 'rgb(58,141,99)'],
        [0.37647, 'rgb(59,141,98)'],
        [0.38039, 'rgb(59,142,97)'],
        [0.38431, 'rgb(60,142,95)'],
        [0.38824, 'rgb(60,143,94)'],
        [0.39216, 'rgb(61,144,93)'],
        [0.39608, 'rgb(61,144,92)'],
        [0.4, 'rgb(62,145,90)'],
        [0.40392, 'rgb(62,145,89)'],
        [0.40784, 'rgb(63,146,88)'],
        [0.41176, 'rgb(63,147,87)'],
        [0.41569, 'rgb(64,147,85)'],
        [0.41961, 'rgb(64,148,84)'],
        [0.42353, 'rgb(64,148,83)'],
        [0.42745, 'rgb(65,149,82)'],
        [0.43137, 'rgb(65,149,81)'],
        [0.43529, 'rgb(66,150,79)'],
        [0.43922, 'rgb(66,151,78)'],
        [0.44314, 'rgb(67,151,77)'],
        [0.44706, 'rgb(67,152,76)'],
        [0.45098, 'rgb(68,152,74)'],
        [0.4549, 'rgb(68,153,73)'],
        [0.45882, 'rgb(69,153,72)'],
        [0.46275, 'rgb(71,154,71)'],
        [0.46667, 'rgb(73,155,70)'],
        [0.47059, 'rgb(75,155,70)'],
        [0.47451, 'rgb(78,156,71)'],
        [0.47843, 'rgb(80,156,71)'],
        [0.48235, 'rgb(82,157,72)'],
        [0.48627, 'rgb(84,157,72)'],
        [0.4902, 'rgb(87,158,73)'],
        [0.49412, 'rgb(89,159,74)'],
        [0.49804, 'rgb(91,159,74)'],
        [0.50196, 'rgb(93,160,75)'],
        [0.50588, 'rgb(95,160,75)'],
        [0.5098, 'rgb(98,161,76)'],
        [0.51373, 'rgb(100,161,77)'],
        [0.51765, 'rgb(102,162,77)'],
        [0.52157, 'rgb(104,163,78)'],
        [0.52549, 'rgb(107,163,78)'],
        [0.52941, 'rgb(109,163,79)'],
        [0.53333, 'rgb(111,164,79)'],
        [0.53725, 'rgb(113,164,80)'],
        [0.54118, 'rgb(115,165,81)'],
        [0.5451, 'rgb(118,165,81)'],
        [0.54902, 'rgb(120,166,82)'],
        [0.55294, 'rgb(121,166,82)'],
        [0.55686, 'rgb(123,167,82)'],
        [0.56078, 'rgb(125,167,82)'],
        [0.56471, 'rgb(126,167,83)'],
        [0.56863, 'rgb(128,168,83)'],
        [0.57255, 'rgb(130,168,83)'],
        [0.57647, 'rgb(131,169,84)'],
        [0.58039, 'rgb(133,169,84)'],
        [0.58431, 'rgb(135,170,84)'],
        [0.58824, 'rgb(136,170,85)'],
        [0.59216, 'rgb(138,171,85)'],
        [0.59608, 'rgb(140,171,85)'],
        [0.6, 'rgb(141,171,86)'],
        [0.60392, 'rgb(143,172,86)'],
        [0.60784, 'rgb(145,172,86)'],
        [0.61176, 'rgb(146,173,87)'],
        [0.61569, 'rgb(148,173,87)'],
        [0.61961, 'rgb(150,174,87)'],
        [0.62353, 'rgb(151,174,88)'],
        [0.62745, 'rgb(153,174,88)'],
        [0.63137, 'rgb(154,175,88)'],
        [0.63529, 'rgb(156,175,88)'],
        [0.63922, 'rgb(158,176,89)'],
        [0.64314, 'rgb(159,176,89)'],
        [0.64706, 'rgb(161,177,89)'],
        [0.65098, 'rgb(163,177,90)'],
        [0.6549, 'rgb(164,178,90)'],
        [0.65882, 'rgb(166,178,90)'],
        [0.66275, 'rgb(168,178,91)'],
        [0.66667, 'rgb(169,179,91)'],
        [0.67059, 'rgb(171,179,91)'],
        [0.67451, 'rgb(173,180,92)'],
        [0.67843, 'rgb(174,180,92)'],
        [0.68235, 'rgb(176,181,92)'],
        [0.68627, 'rgb(178,181,93)'],
        [0.6902, 'rgb(179,181,93)'],
        [0.69412, 'rgb(181,182,93)'],
        [0.69804, 'rgb(182,182,94)'],
        [0.70196, 'rgb(183,181,94)'],
        [0.70588, 'rgb(183,181,94)'],
        [0.7098, 'rgb(184,180,95)'],
        [0.71373, 'rgb(184,179,95)'],
        [0.71765, 'rgb(185,178,95)'],
        [0.72157, 'rgb(185,177,95)'],
        [0.72549, 'rgb(185,176,96)'],
        [0.72941, 'rgb(186,175,96)'],
        [0.73333, 'rgb(186,175,96)'],
        [0.73725, 'rgb(187,174,97)'],
        [0.74118, 'rgb(187,173,97)'],
        [0.7451, 'rgb(188,172,97)'],
        [0.74902, 'rgb(188,171,98)'],
        [0.75294, 'rgb(188,170,98)'],
        [0.75686, 'rgb(189,169,98)'],
        [0.76078, 'rgb(189,169,99)'],
        [0.76471, 'rgb(190,168,99)'],
        [0.76863, 'rgb(190,167,99)'],
        [0.77255, 'rgb(190,166,100)'],
        [0.77647, 'rgb(191,165,100)'],
        [0.78039, 'rgb(191,164,100)'],
        [0.78431, 'rgb(192,163,101)'],
        [0.78824, 'rgb(192,163,103)'],
        [0.79216, 'rgb(193,163,105)'],
        [0.79608, 'rgb(194,163,108)'],
        [0.8, 'rgb(195,164,110)'],
        [0.80392, 'rgb(197,164,113)'],
        [0.80784, 'rgb(198,165,115)'],
        [0.81176, 'rgb(199,166,118)'],
        [0.81569, 'rgb(200,166,120)'],
        [0.81961, 'rgb(201,167,123)'],
        [0.82353, 'rgb(202,168,125)'],
        [0.82745, 'rgb(203,169,127)'],
        [0.83137, 'rgb(204,170,130)'],
        [0.83529, 'rgb(206,171,132)'],
        [0.83922, 'rgb(207,172,135)'],
        [0.84314, 'rgb(208,173,137)'],
        [0.84706, 'rgb(209,173,140)'],
        [0.85098, 'rgb(210,174,142)'],
        [0.8549, 'rgb(211,175,145)'],
        [0.85882, 'rgb(212,176,147)'],
        [0.86275, 'rgb(213,177,150)'],
        [0.86667, 'rgb(214,178,152)'],
        [0.87059, 'rgb(216,179,154)'],
        [0.87451, 'rgb(217,181,157)'],
        [0.87843, 'rgb(218,182,159)'],
        [0.88235, 'rgb(219,183,162)'],
        [0.88627, 'rgb(220,185,164)'],
        [0.8902, 'rgb(221,186,167)'],
        [0.89412, 'rgb(222,188,169)'],
        [0.89804, 'rgb(223,189,172)'],
        [0.90196, 'rgb(225,191,175)'],
        [0.90588, 'rgb(226,193,178)'],
        [0.9098, 'rgb(227,195,181)'],
        [0.91373, 'rgb(228,197,184)'],
        [0.91765, 'rgb(229,199,187)'],
        [0.92157, 'rgb(230,201,190)'],
        [0.92549, 'rgb(231,203,193)'],
        [0.92941, 'rgb(232,205,196)'],
        [0.93333, 'rgb(233,207,199)'],
        [0.93725, 'rgb(235,209,202)'],
        [0.94118, 'rgb(236,211,205)'],
        [0.9451, 'rgb(237,213,208)'],
        [0.94902, 'rgb(238,215,211)'],
        [0.95294, 'rgb(239,217,214)'],
        [0.95686, 'rgb(240,220,217)'],
        [0.96078, 'rgb(241,222,220)'],
        [0.96471, 'rgb(242,224,223)'],
        [0.96863, 'rgb(244,227,226)'],
        [0.97255, 'rgb(245,230,229)'],
        [0.97647, 'rgb(246,233,232)'],
        [0.98039, 'rgb(247,236,235)'],
        [0.98431, 'rgb(248,239,238)'],
        [0.98824, 'rgb(249,242,241)'],
        [0.99216, 'rgb(250,245,244)'],
        [0.99608, 'rgb(251,248,247)'],
        [1.0, 'rgb(253,250,250)'],
    ],
    'gist_gray': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392, 'rgb(1,1,1)'],
        [0.00784, 'rgb(2,2,2)'],
        [0.01176, 'rgb(3,3,3)'],
        [0.01569, 'rgb(4,4,4)'],
        [0.01961, 'rgb(5,5,5)'],
        [0.02353, 'rgb(6,6,6)'],
        [0.02745, 'rgb(7,7,7)'],
        [0.03137, 'rgb(8,8,8)'],
        [0.03529, 'rgb(9,9,9)'],
        [0.03922, 'rgb(10,10,10)'],
        [0.04314, 'rgb(11,11,11)'],
        [0.04706, 'rgb(12,12,12)'],
        [0.05098, 'rgb(13,13,13)'],
        [0.0549, 'rgb(14,14,14)'],
        [0.05882, 'rgb(15,15,15)'],
        [0.06275, 'rgb(16,16,16)'],
        [0.06667, 'rgb(17,17,17)'],
        [0.07059, 'rgb(18,18,18)'],
        [0.07451, 'rgb(19,19,19)'],
        [0.07843, 'rgb(20,20,20)'],
        [0.08235, 'rgb(21,21,21)'],
        [0.08627, 'rgb(22,22,22)'],
        [0.0902, 'rgb(23,23,23)'],
        [0.09412, 'rgb(24,24,24)'],
        [0.09804, 'rgb(25,25,25)'],
        [0.10196, 'rgb(26,26,26)'],
        [0.10588, 'rgb(27,27,27)'],
        [0.1098, 'rgb(28,28,28)'],
        [0.11373, 'rgb(29,29,29)'],
        [0.11765, 'rgb(30,30,30)'],
        [0.12157, 'rgb(31,31,31)'],
        [0.12549, 'rgb(32,32,32)'],
        [0.12941, 'rgb(32,32,32)'],
        [0.13333, 'rgb(34,34,34)'],
        [0.13725, 'rgb(35,35,35)'],
        [0.14118, 'rgb(36,36,36)'],
        [0.1451, 'rgb(36,36,36)'],
        [0.14902, 'rgb(38,38,38)'],
        [0.15294, 'rgb(39,39,39)'],
        [0.15686, 'rgb(40,40,40)'],
        [0.16078, 'rgb(40,40,40)'],
        [0.16471, 'rgb(42,42,42)'],
        [0.16863, 'rgb(43,43,43)'],
        [0.17255, 'rgb(44,44,44)'],
        [0.17647, 'rgb(44,44,44)'],
        [0.18039, 'rgb(46,46,46)'],
        [0.18431, 'rgb(47,47,47)'],
        [0.18824, 'rgb(48,48,48)'],
        [0.19216, 'rgb(48,48,48)'],
        [0.19608, 'rgb(50,50,50)'],
        [0.2, 'rgb(51,51,51)'],
        [0.20392, 'rgb(52,52,52)'],
        [0.20784, 'rgb(52,52,52)'],
        [0.21176, 'rgb(54,54,54)'],
        [0.21569, 'rgb(55,55,55)'],
        [0.21961, 'rgb(56,56,56)'],
        [0.22353, 'rgb(56,56,56)'],
        [0.22745, 'rgb(58,58,58)'],
        [0.23137, 'rgb(59,59,59)'],
        [0.23529, 'rgb(60,60,60)'],
        [0.23922, 'rgb(60,60,60)'],
        [0.24314, 'rgb(62,62,62)'],
        [0.24706, 'rgb(63,63,63)'],
        [0.25098, 'rgb(64,64,64)'],
        [0.2549, 'rgb(65,65,65)'],
        [0.25882, 'rgb(65,65,65)'],
        [0.26275, 'rgb(67,67,67)'],
        [0.26667, 'rgb(68,68,68)'],
        [0.27059, 'rgb(69,69,69)'],
        [0.27451, 'rgb(70,70,70)'],
        [0.27843, 'rgb(71,71,71)'],
        [0.28235, 'rgb(72,72,72)'],
        [0.28627, 'rgb(73,73,73)'],
        [0.2902, 'rgb(73,73,73)'],
        [0.29412, 'rgb(75,75,75)'],
        [0.29804, 'rgb(76,76,76)'],
        [0.30196, 'rgb(77,77,77)'],
        [0.30588, 'rgb(78,78,78)'],
        [0.3098, 'rgb(79,79,79)'],
        [0.31373, 'rgb(80,80,80)'],
        [0.31765, 'rgb(81,81,81)'],
        [0.32157, 'rgb(81,81,81)'],
        [0.32549, 'rgb(83,83,83)'],
        [0.32941, 'rgb(84,84,84)'],
        [0.33333, 'rgb(85,85,85)'],
        [0.33725, 'rgb(86,86,86)'],
        [0.34118, 'rgb(87,87,87)'],
        [0.3451, 'rgb(88,88,88)'],
        [0.34902, 'rgb(89,89,89)'],
        [0.35294, 'rgb(89,89,89)'],
        [0.35686, 'rgb(91,91,91)'],
        [0.36078, 'rgb(92,92,92)'],
        [0.36471, 'rgb(93,93,93)'],
        [0.36863, 'rgb(94,94,94)'],
        [0.37255, 'rgb(95,95,95)'],
        [0.37647, 'rgb(96,96,96)'],
        [0.38039, 'rgb(97,97,97)'],
        [0.38431, 'rgb(97,97,97)'],
        [0.38824, 'rgb(99,99,99)'],
        [0.39216, 'rgb(100,100,100)'],
        [0.39608, 'rgb(101,101,101)'],
        [0.4, 'rgb(102,102,102)'],
        [0.40392, 'rgb(103,103,103)'],
        [0.40784, 'rgb(104,104,104)'],
        [0.41176, 'rgb(105,105,105)'],
        [0.41569, 'rgb(105,105,105)'],
        [0.41961, 'rgb(107,107,107)'],
        [0.42353, 'rgb(108,108,108)'],
        [0.42745, 'rgb(109,109,109)'],
        [0.43137, 'rgb(110,110,110)'],
        [0.43529, 'rgb(111,111,111)'],
        [0.43922, 'rgb(112,112,112)'],
        [0.44314, 'rgb(113,113,113)'],
        [0.44706, 'rgb(113,113,113)'],
        [0.45098, 'rgb(115,115,115)'],
        [0.4549, 'rgb(116,116,116)'],
        [0.45882, 'rgb(117,117,117)'],
        [0.46275, 'rgb(118,118,118)'],
        [0.46667, 'rgb(119,119,119)'],
        [0.47059, 'rgb(120,120,120)'],
        [0.47451, 'rgb(121,121,121)'],
        [0.47843, 'rgb(121,121,121)'],
        [0.48235, 'rgb(123,123,123)'],
        [0.48627, 'rgb(124,124,124)'],
        [0.4902, 'rgb(125,125,125)'],
        [0.49412, 'rgb(126,126,126)'],
        [0.49804, 'rgb(127,127,127)'],
        [0.50196, 'rgb(128,128,128)'],
        [0.50588, 'rgb(129,129,129)'],
        [0.5098, 'rgb(130,130,130)'],
        [0.51373, 'rgb(131,131,131)'],
        [0.51765, 'rgb(131,131,131)'],
        [0.52157, 'rgb(133,133,133)'],
        [0.52549, 'rgb(134,134,134)'],
        [0.52941, 'rgb(135,135,135)'],
        [0.53333, 'rgb(136,136,136)'],
        [0.53725, 'rgb(137,137,137)'],
        [0.54118, 'rgb(138,138,138)'],
        [0.5451, 'rgb(139,139,139)'],
        [0.54902, 'rgb(140,140,140)'],
        [0.55294, 'rgb(141,141,141)'],
        [0.55686, 'rgb(142,142,142)'],
        [0.56078, 'rgb(143,143,143)'],
        [0.56471, 'rgb(144,144,144)'],
        [0.56863, 'rgb(145,145,145)'],
        [0.57255, 'rgb(146,146,146)'],
        [0.57647, 'rgb(147,147,147)'],
        [0.58039, 'rgb(147,147,147)'],
        [0.58431, 'rgb(149,149,149)'],
        [0.58824, 'rgb(150,150,150)'],
        [0.59216, 'rgb(151,151,151)'],
        [0.59608, 'rgb(152,152,152)'],
        [0.6, 'rgb(153,153,153)'],
        [0.60392, 'rgb(154,154,154)'],
        [0.60784, 'rgb(155,155,155)'],
        [0.61176, 'rgb(156,156,156)'],
        [0.61569, 'rgb(157,157,157)'],
        [0.61961, 'rgb(158,158,158)'],
        [0.62353, 'rgb(159,159,159)'],
        [0.62745, 'rgb(160,160,160)'],
        [0.63137, 'rgb(161,161,161)'],
        [0.63529, 'rgb(162,162,162)'],
        [0.63922, 'rgb(163,163,163)'],
        [0.64314, 'rgb(163,163,163)'],
        [0.64706, 'rgb(165,165,165)'],
        [0.65098, 'rgb(166,166,166)'],
        [0.6549, 'rgb(167,167,167)'],
        [0.65882, 'rgb(168,168,168)'],
        [0.66275, 'rgb(169,169,169)'],
        [0.66667, 'rgb(170,170,170)'],
        [0.67059, 'rgb(171,171,171)'],
        [0.67451, 'rgb(172,172,172)'],
        [0.67843, 'rgb(173,173,173)'],
        [0.68235, 'rgb(174,174,174)'],
        [0.68627, 'rgb(175,175,175)'],
        [0.6902, 'rgb(176,176,176)'],
        [0.69412, 'rgb(177,177,177)'],
        [0.69804, 'rgb(178,178,178)'],
        [0.70196, 'rgb(179,179,179)'],
        [0.70588, 'rgb(179,179,179)'],
        [0.7098, 'rgb(181,181,181)'],
        [0.71373, 'rgb(182,182,182)'],
        [0.71765, 'rgb(183,183,183)'],
        [0.72157, 'rgb(184,184,184)'],
        [0.72549, 'rgb(185,185,185)'],
        [0.72941, 'rgb(186,186,186)'],
        [0.73333, 'rgb(187,187,187)'],
        [0.73725, 'rgb(188,188,188)'],
        [0.74118, 'rgb(189,189,189)'],
        [0.7451, 'rgb(190,190,190)'],
        [0.74902, 'rgb(191,191,191)'],
        [0.75294, 'rgb(192,192,192)'],
        [0.75686, 'rgb(193,193,193)'],
        [0.76078, 'rgb(194,194,194)'],
        [0.76471, 'rgb(195,195,195)'],
        [0.76863, 'rgb(195,195,195)'],
        [0.77255, 'rgb(197,197,197)'],
        [0.77647, 'rgb(198,198,198)'],
        [0.78039, 'rgb(199,199,199)'],
        [0.78431, 'rgb(200,200,200)'],
        [0.78824, 'rgb(201,201,201)'],
        [0.79216, 'rgb(202,202,202)'],
        [0.79608, 'rgb(203,203,203)'],
        [0.8, 'rgb(204,204,204)'],
        [0.80392, 'rgb(205,205,205)'],
        [0.80784, 'rgb(206,206,206)'],
        [0.81176, 'rgb(207,207,207)'],
        [0.81569, 'rgb(208,208,208)'],
        [0.81961, 'rgb(209,209,209)'],
        [0.82353, 'rgb(210,210,210)'],
        [0.82745, 'rgb(211,211,211)'],
        [0.83137, 'rgb(211,211,211)'],
        [0.83529, 'rgb(213,213,213)'],
        [0.83922, 'rgb(214,214,214)'],
        [0.84314, 'rgb(215,215,215)'],
        [0.84706, 'rgb(216,216,216)'],
        [0.85098, 'rgb(217,217,217)'],
        [0.8549, 'rgb(218,218,218)'],
        [0.85882, 'rgb(219,219,219)'],
        [0.86275, 'rgb(220,220,220)'],
        [0.86667, 'rgb(221,221,221)'],
        [0.87059, 'rgb(222,222,222)'],
        [0.87451, 'rgb(223,223,223)'],
        [0.87843, 'rgb(224,224,224)'],
        [0.88235, 'rgb(225,225,225)'],
        [0.88627, 'rgb(226,226,226)'],
        [0.8902, 'rgb(227,227,227)'],
        [0.89412, 'rgb(227,227,227)'],
        [0.89804, 'rgb(229,229,229)'],
        [0.90196, 'rgb(230,230,230)'],
        [0.90588, 'rgb(231,231,231)'],
        [0.9098, 'rgb(232,232,232)'],
        [0.91373, 'rgb(233,233,233)'],
        [0.91765, 'rgb(234,234,234)'],
        [0.92157, 'rgb(235,235,235)'],
        [0.92549, 'rgb(236,236,236)'],
        [0.92941, 'rgb(237,237,237)'],
        [0.93333, 'rgb(238,238,238)'],
        [0.93725, 'rgb(239,239,239)'],
        [0.94118, 'rgb(240,240,240)'],
        [0.9451, 'rgb(241,241,241)'],
        [0.94902, 'rgb(242,242,242)'],
        [0.95294, 'rgb(243,243,243)'],
        [0.95686, 'rgb(243,243,243)'],
        [0.96078, 'rgb(245,245,245)'],
        [0.96471, 'rgb(246,246,246)'],
        [0.96863, 'rgb(247,247,247)'],
        [0.97255, 'rgb(248,248,248)'],
        [0.97647, 'rgb(249,249,249)'],
        [0.98039, 'rgb(250,250,250)'],
        [0.98431, 'rgb(251,251,251)'],
        [0.98824, 'rgb(252,252,252)'],
        [0.99216, 'rgb(253,253,253)'],
        [0.99608, 'rgb(254,254,254)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'gist_heat': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392, 'rgb(1,0,0)'],
        [0.00784, 'rgb(3,0,0)'],
        [0.01176, 'rgb(4,0,0)'],
        [0.01569, 'rgb(6,0,0)'],
        [0.01961, 'rgb(7,0,0)'],
        [0.02353, 'rgb(9,0,0)'],
        [0.02745, 'rgb(10,0,0)'],
        [0.03137, 'rgb(12,0,0)'],
        [0.03529, 'rgb(13,0,0)'],
        [0.03922, 'rgb(15,0,0)'],
        [0.04314, 'rgb(16,0,0)'],
        [0.04706, 'rgb(18,0,0)'],
        [0.05098, 'rgb(19,0,0)'],
        [0.0549, 'rgb(21,0,0)'],
        [0.05882, 'rgb(22,0,0)'],
        [0.06275, 'rgb(24,0,0)'],
        [0.06667, 'rgb(25,0,0)'],
        [0.07059, 'rgb(27,0,0)'],
        [0.07451, 'rgb(28,0,0)'],
        [0.07843, 'rgb(30,0,0)'],
        [0.08235, 'rgb(31,0,0)'],
        [0.08627, 'rgb(32,0,0)'],
        [0.0902, 'rgb(34,0,0)'],
        [0.09412, 'rgb(36,0,0)'],
        [0.09804, 'rgb(37,0,0)'],
        [0.10196, 'rgb(39,0,0)'],
        [0.10588, 'rgb(40,0,0)'],
        [0.1098, 'rgb(42,0,0)'],
        [0.11373, 'rgb(43,0,0)'],
        [0.11765, 'rgb(44,0,0)'],
        [0.12157, 'rgb(46,0,0)'],
        [0.12549, 'rgb(48,0,0)'],
        [0.12941, 'rgb(49,0,0)'],
        [0.13333, 'rgb(51,0,0)'],
        [0.13725, 'rgb(52,0,0)'],
        [0.14118, 'rgb(54,0,0)'],
        [0.1451, 'rgb(55,0,0)'],
        [0.14902, 'rgb(56,0,0)'],
        [0.15294, 'rgb(58,0,0)'],
        [0.15686, 'rgb(60,0,0)'],
        [0.16078, 'rgb(61,0,0)'],
        [0.16471, 'rgb(63,0,0)'],
        [0.16863, 'rgb(64,0,0)'],
        [0.17255, 'rgb(65,0,0)'],
        [0.17647, 'rgb(67,0,0)'],
        [0.18039, 'rgb(69,0,0)'],
        [0.18431, 'rgb(70,0,0)'],
        [0.18824, 'rgb(72,0,0)'],
        [0.19216, 'rgb(73,0,0)'],
        [0.19608, 'rgb(75,0,0)'],
        [0.2, 'rgb(76,0,0)'],
        [0.20392, 'rgb(78,0,0)'],
        [0.20784, 'rgb(79,0,0)'],
        [0.21176, 'rgb(81,0,0)'],
        [0.21569, 'rgb(82,0,0)'],
        [0.21961, 'rgb(84,0,0)'],
        [0.22353, 'rgb(85,0,0)'],
        [0.22745, 'rgb(87,0,0)'],
        [0.23137, 'rgb(88,0,0)'],
        [0.23529, 'rgb(89,0,0)'],
        [0.23922, 'rgb(91,0,0)'],
        [0.24314, 'rgb(93,0,0)'],
        [0.24706, 'rgb(94,0,0)'],
        [0.25098, 'rgb(96,0,0)'],
        [0.2549, 'rgb(97,0,0)'],
        [0.25882, 'rgb(98,0,0)'],
        [0.26275, 'rgb(100,0,0)'],
        [0.26667, 'rgb(102,0,0)'],
        [0.27059, 'rgb(103,0,0)'],
        [0.27451, 'rgb(105,0,0)'],
        [0.27843, 'rgb(106,0,0)'],
        [0.28235, 'rgb(108,0,0)'],
        [0.28627, 'rgb(109,0,0)'],
        [0.2902, 'rgb(110,0,0)'],
        [0.29412, 'rgb(112,0,0)'],
        [0.29804, 'rgb(113,0,0)'],
        [0.30196, 'rgb(115,0,0)'],
        [0.30588, 'rgb(117,0,0)'],
        [0.3098, 'rgb(118,0,0)'],
        [0.31373, 'rgb(120,0,0)'],
        [0.31765, 'rgb(121,0,0)'],
        [0.32157, 'rgb(122,0,0)'],
        [0.32549, 'rgb(124,0,0)'],
        [0.32941, 'rgb(126,0,0)'],
        [0.33333, 'rgb(127,0,0)'],
        [0.33725, 'rgb(129,0,0)'],
        [0.34118, 'rgb(130,0,0)'],
        [0.3451, 'rgb(131,0,0)'],
        [0.34902, 'rgb(133,0,0)'],
        [0.35294, 'rgb(134,0,0)'],
        [0.35686, 'rgb(136,0,0)'],
        [0.36078, 'rgb(138,0,0)'],
        [0.36471, 'rgb(139,0,0)'],
        [0.36863, 'rgb(141,0,0)'],
        [0.37255, 'rgb(142,0,0)'],
        [0.37647, 'rgb(144,0,0)'],
        [0.38039, 'rgb(145,0,0)'],
        [0.38431, 'rgb(147,0,0)'],
        [0.38824, 'rgb(148,0,0)'],
        [0.39216, 'rgb(150,0,0)'],
        [0.39608, 'rgb(151,0,0)'],
        [0.4, 'rgb(153,0,0)'],
        [0.40392, 'rgb(154,0,0)'],
        [0.40784, 'rgb(156,0,0)'],
        [0.41176, 'rgb(157,0,0)'],
        [0.41569, 'rgb(159,0,0)'],
        [0.41961, 'rgb(160,0,0)'],
        [0.42353, 'rgb(162,0,0)'],
        [0.42745, 'rgb(163,0,0)'],
        [0.43137, 'rgb(165,0,0)'],
        [0.43529, 'rgb(166,0,0)'],
        [0.43922, 'rgb(168,0,0)'],
        [0.44314, 'rgb(169,0,0)'],
        [0.44706, 'rgb(171,0,0)'],
        [0.45098, 'rgb(172,0,0)'],
        [0.4549, 'rgb(174,0,0)'],
        [0.45882, 'rgb(175,0,0)'],
        [0.46275, 'rgb(177,0,0)'],
        [0.46667, 'rgb(178,0,0)'],
        [0.47059, 'rgb(179,0,0)'],
        [0.47451, 'rgb(181,0,0)'],
        [0.47843, 'rgb(182,0,0)'],
        [0.48235, 'rgb(184,0,0)'],
        [0.48627, 'rgb(186,0,0)'],
        [0.4902, 'rgb(187,0,0)'],
        [0.49412, 'rgb(189,0,0)'],
        [0.49804, 'rgb(190,0,0)'],
        [0.50196, 'rgb(192,0,0)'],
        [0.50588, 'rgb(193,2,0)'],
        [0.5098, 'rgb(195,4,0)'],
        [0.51373, 'rgb(196,6,0)'],
        [0.51765, 'rgb(197,8,0)'],
        [0.52157, 'rgb(199,11,0)'],
        [0.52549, 'rgb(201,13,0)'],
        [0.52941, 'rgb(202,15,0)'],
        [0.53333, 'rgb(204,16,0)'],
        [0.53725, 'rgb(205,18,0)'],
        [0.54118, 'rgb(207,20,0)'],
        [0.5451, 'rgb(208,22,0)'],
        [0.54902, 'rgb(210,25,0)'],
        [0.55294, 'rgb(211,27,0)'],
        [0.55686, 'rgb(213,29,0)'],
        [0.56078, 'rgb(214,31,0)'],
        [0.56471, 'rgb(216,32,0)'],
        [0.56863, 'rgb(217,34,0)'],
        [0.57255, 'rgb(219,36,0)'],
        [0.57647, 'rgb(220,38,0)'],
        [0.58039, 'rgb(221,40,0)'],
        [0.58431, 'rgb(223,43,0)'],
        [0.58824, 'rgb(225,45,0)'],
        [0.59216, 'rgb(226,47,0)'],
        [0.59608, 'rgb(227,48,0)'],
        [0.6, 'rgb(229,50,0)'],
        [0.60392, 'rgb(230,52,0)'],
        [0.60784, 'rgb(232,54,0)'],
        [0.61176, 'rgb(234,57,0)'],
        [0.61569, 'rgb(235,59,0)'],
        [0.61961, 'rgb(237,61,0)'],
        [0.62353, 'rgb(238,63,0)'],
        [0.62745, 'rgb(240,65,0)'],
        [0.63137, 'rgb(241,66,0)'],
        [0.63529, 'rgb(243,68,0)'],
        [0.63922, 'rgb(244,70,0)'],
        [0.64314, 'rgb(245,72,0)'],
        [0.64706, 'rgb(247,75,0)'],
        [0.65098, 'rgb(249,77,0)'],
        [0.6549, 'rgb(250,79,0)'],
        [0.65882, 'rgb(252,81,0)'],
        [0.66275, 'rgb(253,82,0)'],
        [0.66667, 'rgb(255,84,0)'],
        [0.67059, 'rgb(255,86,0)'],
        [0.67451, 'rgb(255,89,0)'],
        [0.67843, 'rgb(255,91,0)'],
        [0.68235, 'rgb(255,93,0)'],
        [0.68627, 'rgb(255,95,0)'],
        [0.6902, 'rgb(255,97,0)'],
        [0.69412, 'rgb(255,98,0)'],
        [0.69804, 'rgb(255,100,0)'],
        [0.70196, 'rgb(255,102,0)'],
        [0.70588, 'rgb(255,104,0)'],
        [0.7098, 'rgb(255,107,0)'],
        [0.71373, 'rgb(255,109,0)'],
        [0.71765, 'rgb(255,111,0)'],
        [0.72157, 'rgb(255,113,0)'],
        [0.72549, 'rgb(255,114,0)'],
        [0.72941, 'rgb(255,116,0)'],
        [0.73333, 'rgb(255,118,0)'],
        [0.73725, 'rgb(255,121,0)'],
        [0.74118, 'rgb(255,123,0)'],
        [0.7451, 'rgb(255,125,0)'],
        [0.74902, 'rgb(255,127,0)'],
        [0.75294, 'rgb(255,129,2)'],
        [0.75686, 'rgb(255,131,6)'],
        [0.76078, 'rgb(255,132,10)'],
        [0.76471, 'rgb(255,134,14)'],
        [0.76863, 'rgb(255,136,18)'],
        [0.77255, 'rgb(255,139,23)'],
        [0.77647, 'rgb(255,141,27)'],
        [0.78039, 'rgb(255,143,31)'],
        [0.78431, 'rgb(255,145,34)'],
        [0.78824, 'rgb(255,147,38)'],
        [0.79216, 'rgb(255,148,42)'],
        [0.79608, 'rgb(255,150,46)'],
        [0.8, 'rgb(255,153,51)'],
        [0.80392, 'rgb(255,155,55)'],
        [0.80784, 'rgb(255,157,59)'],
        [0.81176, 'rgb(255,159,63)'],
        [0.81569, 'rgb(255,161,66)'],
        [0.81961, 'rgb(255,163,70)'],
        [0.82353, 'rgb(255,164,74)'],
        [0.82745, 'rgb(255,166,78)'],
        [0.83137, 'rgb(255,168,82)'],
        [0.83529, 'rgb(255,171,87)'],
        [0.83922, 'rgb(255,173,91)'],
        [0.84314, 'rgb(255,175,95)'],
        [0.84706, 'rgb(255,177,98)'],
        [0.85098, 'rgb(255,179,102)'],
        [0.8549, 'rgb(255,180,106)'],
        [0.85882, 'rgb(255,182,110)'],
        [0.86275, 'rgb(255,185,115)'],
        [0.86667, 'rgb(255,187,119)'],
        [0.87059, 'rgb(255,189,123)'],
        [0.87451, 'rgb(255,191,127)'],
        [0.87843, 'rgb(255,193,131)'],
        [0.88235, 'rgb(255,195,134)'],
        [0.88627, 'rgb(255,196,138)'],
        [0.8902, 'rgb(255,198,142)'],
        [0.89412, 'rgb(255,200,146)'],
        [0.89804, 'rgb(255,203,151)'],
        [0.90196, 'rgb(255,205,155)'],
        [0.90588, 'rgb(255,207,159)'],
        [0.9098, 'rgb(255,209,163)'],
        [0.91373, 'rgb(255,211,166)'],
        [0.91765, 'rgb(255,212,170)'],
        [0.92157, 'rgb(255,214,174)'],
        [0.92549, 'rgb(255,217,179)'],
        [0.92941, 'rgb(255,219,183)'],
        [0.93333, 'rgb(255,221,187)'],
        [0.93725, 'rgb(255,223,191)'],
        [0.94118, 'rgb(255,225,195)'],
        [0.9451, 'rgb(255,227,198)'],
        [0.94902, 'rgb(255,228,202)'],
        [0.95294, 'rgb(255,230,206)'],
        [0.95686, 'rgb(255,232,210)'],
        [0.96078, 'rgb(255,235,215)'],
        [0.96471, 'rgb(255,237,219)'],
        [0.96863, 'rgb(255,239,223)'],
        [0.97255, 'rgb(255,241,227)'],
        [0.97647, 'rgb(255,243,230)'],
        [0.98039, 'rgb(255,244,234)'],
        [0.98431, 'rgb(255,246,238)'],
        [0.98824, 'rgb(255,249,243)'],
        [0.99216, 'rgb(255,251,247)'],
        [0.99608, 'rgb(255,253,251)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'gist_ncar': [
        [0.0, 'rgb(0,0,128)'],
        [0.00392, 'rgb(0,7,118)'],
        [0.00784, 'rgb(0,14,109)'],
        [0.01176, 'rgb(0,21,99)'],
        [0.01569, 'rgb(0,29,90)'],
        [0.01961, 'rgb(0,36,80)'],
        [0.02353, 'rgb(0,43,71)'],
        [0.02745, 'rgb(0,51,62)'],
        [0.03137, 'rgb(0,58,52)'],
        [0.03529, 'rgb(0,65,43)'],
        [0.03922, 'rgb(0,72,33)'],
        [0.04314, 'rgb(0,80,24)'],
        [0.04706, 'rgb(0,87,15)'],
        [0.05098, 'rgb(0,94,5)'],
        [0.0549, 'rgb(0,88,22)'],
        [0.05882, 'rgb(0,81,38)'],
        [0.06275, 'rgb(0,74,55)'],
        [0.06667, 'rgb(0,67,72)'],
        [0.07059, 'rgb(0,61,88)'],
        [0.07451, 'rgb(0,54,105)'],
        [0.07843, 'rgb(0,47,121)'],
        [0.08235, 'rgb(0,40,138)'],
        [0.08627, 'rgb(0,33,155)'],
        [0.0902, 'rgb(0,27,171)'],
        [0.09412, 'rgb(0,20,188)'],
        [0.09804, 'rgb(0,13,205)'],
        [0.10196, 'rgb(0,6,221)'],
        [0.10588, 'rgb(0,0,238)'],
        [0.1098, 'rgb(0,14,255)'],
        [0.11373, 'rgb(0,28,255)'],
        [0.11765, 'rgb(0,42,255)'],
        [0.12157, 'rgb(0,56,255)'],
        [0.12549, 'rgb(0,70,255)'],
        [0.12941, 'rgb(0,84,255)'],
        [0.13333, 'rgb(0,98,255)'],
        [0.13725, 'rgb(0,112,255)'],
        [0.14118, 'rgb(0,127,255)'],
        [0.1451, 'rgb(0,141,255)'],
        [0.14902, 'rgb(0,155,255)'],
        [0.15294, 'rgb(0,169,255)'],
        [0.15686, 'rgb(0,183,255)'],
        [0.16078, 'rgb(0,192,255)'],
        [0.16471, 'rgb(0,197,255)'],
        [0.16863, 'rgb(0,202,255)'],
        [0.17255, 'rgb(0,206,255)'],
        [0.17647, 'rgb(0,210,255)'],
        [0.18039, 'rgb(0,215,255)'],
        [0.18431, 'rgb(0,219,255)'],
        [0.18824, 'rgb(0,224,255)'],
        [0.19216, 'rgb(0,228,255)'],
        [0.19608, 'rgb(0,232,255)'],
        [0.2, 'rgb(0,237,255)'],
        [0.20392, 'rgb(0,241,254)'],
        [0.20784, 'rgb(0,246,248)'],
        [0.21176, 'rgb(0,250,241)'],
        [0.21569, 'rgb(0,254,235)'],
        [0.21961, 'rgb(0,254,228)'],
        [0.22353, 'rgb(0,254,222)'],
        [0.22745, 'rgb(0,253,215)'],
        [0.23137, 'rgb(0,253,209)'],
        [0.23529, 'rgb(0,252,202)'],
        [0.23922, 'rgb(0,252,195)'],
        [0.24314, 'rgb(0,251,189)'],
        [0.24706, 'rgb(0,251,182)'],
        [0.25098, 'rgb(0,250,176)'],
        [0.2549, 'rgb(0,250,169)'],
        [0.25882, 'rgb(0,250,163)'],
        [0.26275, 'rgb(0,250,156)'],
        [0.26667, 'rgb(0,250,146)'],
        [0.27059, 'rgb(0,250,135)'],
        [0.27451, 'rgb(0,250,125)'],
        [0.27843, 'rgb(0,250,114)'],
        [0.28235, 'rgb(0,251,104)'],
        [0.28627, 'rgb(0,251,93)'],
        [0.2902, 'rgb(0,252,83)'],
        [0.29412, 'rgb(0,252,73)'],
        [0.29804, 'rgb(0,252,62)'],
        [0.30196, 'rgb(0,253,52)'],
        [0.30588, 'rgb(0,253,41)'],
        [0.3098, 'rgb(0,254,31)'],
        [0.31373, 'rgb(6,254,20)'],
        [0.31765, 'rgb(12,254,10)'],
        [0.32157, 'rgb(19,251,0)'],
        [0.32549, 'rgb(25,247,0)'],
        [0.32941, 'rgb(31,243,0)'],
        [0.33333, 'rgb(38,239,0)'],
        [0.33725, 'rgb(44,236,0)'],
        [0.34118, 'rgb(50,232,0)'],
        [0.3451, 'rgb(57,228,0)'],
        [0.34902, 'rgb(63,224,0)'],
        [0.35294, 'rgb(70,221,0)'],
        [0.35686, 'rgb(76,217,0)'],
        [0.36078, 'rgb(82,213,0)'],
        [0.36471, 'rgb(89,209,0)'],
        [0.36863, 'rgb(95,206,0)'],
        [0.37255, 'rgb(101,209,0)'],
        [0.37647, 'rgb(103,212,0)'],
        [0.38039, 'rgb(105,215,0)'],
        [0.38431, 'rgb(107,219,0)'],
        [0.38824, 'rgb(109,222,0)'],
        [0.39216, 'rgb(111,225,0)'],
        [0.39608, 'rgb(113,228,0)'],
        [0.4, 'rgb(115,232,0)'],
        [0.40392, 'rgb(117,235,0)'],
        [0.40784, 'rgb(119,238,0)'],
        [0.41176, 'rgb(121,241,0)'],
        [0.41569, 'rgb(123,245,0)'],
        [0.41961, 'rgb(125,248,3)'],
        [0.42353, 'rgb(127,251,7)'],
        [0.42745, 'rgb(132,254,11)'],
        [0.43137, 'rgb(136,255,15)'],
        [0.43529, 'rgb(141,255,19)'],
        [0.43922, 'rgb(145,255,23)'],
        [0.44314, 'rgb(150,255,27)'],
        [0.44706, 'rgb(154,255,31)'],
        [0.45098, 'rgb(159,255,35)'],
        [0.4549, 'rgb(164,255,39)'],
        [0.45882, 'rgb(168,255,43)'],
        [0.46275, 'rgb(173,255,47)'],
        [0.46667, 'rgb(177,255,51)'],
        [0.47059, 'rgb(182,255,55)'],
        [0.47451, 'rgb(186,255,59)'],
        [0.47843, 'rgb(191,255,55)'],
        [0.48235, 'rgb(195,255,51)'],
        [0.48627, 'rgb(200,255,47)'],
        [0.4902, 'rgb(204,255,43)'],
        [0.49412, 'rgb(209,255,39)'],
        [0.49804, 'rgb(214,255,35)'],
        [0.50196, 'rgb(218,255,31)'],
        [0.50588, 'rgb(223,255,27)'],
        [0.5098, 'rgb(227,255,23)'],
        [0.51373, 'rgb(232,255,19)'],
        [0.51765, 'rgb(236,255,15)'],
        [0.52157, 'rgb(241,255,11)'],
        [0.52549, 'rgb(245,252,7)'],
        [0.52941, 'rgb(250,250,3)'],
        [0.53333, 'rgb(255,247,0)'],
        [0.53725, 'rgb(255,245,0)'],
        [0.54118, 'rgb(255,242,0)'],
        [0.5451, 'rgb(255,240,0)'],
        [0.54902, 'rgb(255,237,0)'],
        [0.55294, 'rgb(255,235,0)'],
        [0.55686, 'rgb(255,232,0)'],
        [0.56078, 'rgb(255,230,0)'],
        [0.56471, 'rgb(255,227,0)'],
        [0.56863, 'rgb(255,225,0)'],
        [0.57255, 'rgb(255,222,0)'],
        [0.57647, 'rgb(255,220,0)'],
        [0.58039, 'rgb(255,218,0)'],
        [0.58431, 'rgb(255,215,1)'],
        [0.58824, 'rgb(255,213,2)'],
        [0.59216, 'rgb(255,210,3)'],
        [0.59608, 'rgb(255,208,4)'],
        [0.6, 'rgb(255,205,5)'],
        [0.60392, 'rgb(255,203,6)'],
        [0.60784, 'rgb(255,200,7)'],
        [0.61176, 'rgb(255,198,8)'],
        [0.61569, 'rgb(255,195,9)'],
        [0.61961, 'rgb(255,193,10)'],
        [0.62353, 'rgb(255,190,11)'],
        [0.62745, 'rgb(255,188,12)'],
        [0.63137, 'rgb(255,185,13)'],
        [0.63529, 'rgb(255,177,13)'],
        [0.63922, 'rgb(255,169,12)'],
        [0.64314, 'rgb(255,161,11)'],
        [0.64706, 'rgb(255,153,10)'],
        [0.65098, 'rgb(255,145,9)'],
        [0.6549, 'rgb(255,136,8)'],
        [0.65882, 'rgb(255,128,7)'],
        [0.66275, 'rgb(255,120,6)'],
        [0.66667, 'rgb(255,112,5)'],
        [0.67059, 'rgb(255,104,4)'],
        [0.67451, 'rgb(255,95,3)'],
        [0.67843, 'rgb(255,87,2)'],
        [0.68235, 'rgb(255,79,1)'],
        [0.68627, 'rgb(255,71,0)'],
        [0.6902, 'rgb(255,66,0)'],
        [0.69412, 'rgb(255,61,0)'],
        [0.69804, 'rgb(255,57,0)'],
        [0.70196, 'rgb(255,52,0)'],
        [0.70588, 'rgb(255,47,0)'],
        [0.7098, 'rgb(255,42,0)'],
        [0.71373, 'rgb(255,38,0)'],
        [0.71765, 'rgb(255,33,0)'],
        [0.72157, 'rgb(255,28,0)'],
        [0.72549, 'rgb(255,23,0)'],
        [0.72941, 'rgb(255,19,0)'],
        [0.73333, 'rgb(255,14,0)'],
        [0.73725, 'rgb(255,9,0)'],
        [0.74118, 'rgb(255,4,17)'],
        [0.7451, 'rgb(255,0,35)'],
        [0.74902, 'rgb(255,0,53)'],
        [0.75294, 'rgb(255,0,70)'],
        [0.75686, 'rgb(255,0,88)'],
        [0.76078, 'rgb(255,0,106)'],
        [0.76471, 'rgb(255,0,123)'],
        [0.76863, 'rgb(255,0,141)'],
        [0.77255, 'rgb(255,0,159)'],
        [0.77647, 'rgb(255,0,177)'],
        [0.78039, 'rgb(255,0,194)'],
        [0.78431, 'rgb(255,0,212)'],
        [0.78824, 'rgb(255,0,230)'],
        [0.79216, 'rgb(255,0,248)'],
        [0.79608, 'rgb(248,3,251)'],
        [0.8, 'rgb(241,6,255)'],
        [0.80392, 'rgb(234,10,255)'],
        [0.80784, 'rgb(227,13,255)'],
        [0.81176, 'rgb(220,17,255)'],
        [0.81569, 'rgb(213,20,255)'],
        [0.81961, 'rgb(206,24,255)'],
        [0.82353, 'rgb(199,27,255)'],
        [0.82745, 'rgb(193,30,255)'],
        [0.83137, 'rgb(186,34,255)'],
        [0.83529, 'rgb(179,37,255)'],
        [0.83922, 'rgb(172,41,255)'],
        [0.84314, 'rgb(165,44,254)'],
        [0.84706, 'rgb(158,50,253)'],
        [0.85098, 'rgb(164,56,252)'],
        [0.8549, 'rgb(170,62,251)'],
        [0.85882, 'rgb(176,68,250)'],
        [0.86275, 'rgb(182,74,248)'],
        [0.86667, 'rgb(188,80,247)'],
        [0.87059, 'rgb(194,86,246)'],
        [0.87451, 'rgb(199,92,245)'],
        [0.87843, 'rgb(205,97,244)'],
        [0.88235, 'rgb(211,103,242)'],
        [0.88627, 'rgb(217,109,241)'],
        [0.8902, 'rgb(223,115,240)'],
        [0.89412, 'rgb(229,121,239)'],
        [0.89804, 'rgb(235,127,238)'],
        [0.90196, 'rgb(236,132,238)'],
        [0.90588, 'rgb(236,136,239)'],
        [0.9098, 'rgb(237,141,240)'],
        [0.91373, 'rgb(238,146,240)'],
        [0.91765, 'rgb(239,150,241)'],
        [0.92157, 'rgb(239,155,241)'],
        [0.92549, 'rgb(240,159,242)'],
        [0.92941, 'rgb(241,164,243)'],
        [0.93333, 'rgb(241,169,243)'],
        [0.93725, 'rgb(242,173,244)'],
        [0.94118, 'rgb(243,178,244)'],
        [0.9451, 'rgb(244,183,245)'],
        [0.94902, 'rgb(244,187,246)'],
        [0.95294, 'rgb(245,192,246)'],
        [0.95686, 'rgb(246,197,247)'],
        [0.96078, 'rgb(246,201,247)'],
        [0.96471, 'rgb(247,206,248)'],
        [0.96863, 'rgb(248,210,249)'],
        [0.97255, 'rgb(249,215,249)'],
        [0.97647, 'rgb(249,220,250)'],
        [0.98039, 'rgb(250,224,250)'],
        [0.98431, 'rgb(251,229,251)'],
        [0.98824, 'rgb(251,234,252)'],
        [0.99216, 'rgb(252,238,252)'],
        [0.99608, 'rgb(253,243,253)'],
        [1.0, 'rgb(254,247,254)'],
    ],
    'gist_rainbow': [
        [0.0, 'rgb(255,0,40)'],
        [0.00392, 'rgb(255,0,35)'],
        [0.00784, 'rgb(255,0,30)'],
        [0.01176, 'rgb(255,0,24)'],
        [0.01569, 'rgb(255,0,19)'],
        [0.01961, 'rgb(255,0,14)'],
        [0.02353, 'rgb(255,0,8)'],
        [0.02745, 'rgb(255,0,3)'],
        [0.03137, 'rgb(255,1,0)'],
        [0.03529, 'rgb(255,7,0)'],
        [0.03922, 'rgb(255,12,0)'],
        [0.04314, 'rgb(255,18,0)'],
        [0.04706, 'rgb(255,23,0)'],
        [0.05098, 'rgb(255,28,0)'],
        [0.0549, 'rgb(255,34,0)'],
        [0.05882, 'rgb(255,39,0)'],
        [0.06275, 'rgb(255,45,0)'],
        [0.06667, 'rgb(255,50,0)'],
        [0.07059, 'rgb(255,55,0)'],
        [0.07451, 'rgb(255,61,0)'],
        [0.07843, 'rgb(255,66,0)'],
        [0.08235, 'rgb(255,72,0)'],
        [0.08627, 'rgb(255,77,0)'],
        [0.0902, 'rgb(255,82,0)'],
        [0.09412, 'rgb(255,88,0)'],
        [0.09804, 'rgb(255,93,0)'],
        [0.10196, 'rgb(255,99,0)'],
        [0.10588, 'rgb(255,104,0)'],
        [0.1098, 'rgb(255,110,0)'],
        [0.11373, 'rgb(255,115,0)'],
        [0.11765, 'rgb(255,120,0)'],
        [0.12157, 'rgb(255,126,0)'],
        [0.12549, 'rgb(255,131,0)'],
        [0.12941, 'rgb(255,137,0)'],
        [0.13333, 'rgb(255,142,0)'],
        [0.13725, 'rgb(255,147,0)'],
        [0.14118, 'rgb(255,153,0)'],
        [0.1451, 'rgb(255,158,0)'],
        [0.14902, 'rgb(255,164,0)'],
        [0.15294, 'rgb(255,169,0)'],
        [0.15686, 'rgb(255,174,0)'],
        [0.16078, 'rgb(255,180,0)'],
        [0.16471, 'rgb(255,185,0)'],
        [0.16863, 'rgb(255,191,0)'],
        [0.17255, 'rgb(255,196,0)'],
        [0.17647, 'rgb(255,201,0)'],
        [0.18039, 'rgb(255,207,0)'],
        [0.18431, 'rgb(255,212,0)'],
        [0.18824, 'rgb(255,218,0)'],
        [0.19216, 'rgb(255,223,0)'],
        [0.19608, 'rgb(255,228,0)'],
        [0.2, 'rgb(255,234,0)'],
        [0.20392, 'rgb(255,239,0)'],
        [0.20784, 'rgb(255,245,0)'],
        [0.21176, 'rgb(255,250,0)'],
        [0.21569, 'rgb(254,255,0)'],
        [0.21961, 'rgb(248,255,0)'],
        [0.22353, 'rgb(243,255,0)'],
        [0.22745, 'rgb(237,255,0)'],
        [0.23137, 'rgb(232,255,0)'],
        [0.23529, 'rgb(227,255,0)'],
        [0.23922, 'rgb(221,255,0)'],
        [0.24314, 'rgb(216,255,0)'],
        [0.24706, 'rgb(210,255,0)'],
        [0.25098, 'rgb(205,255,0)'],
        [0.2549, 'rgb(199,255,0)'],
        [0.25882, 'rgb(194,255,0)'],
        [0.26275, 'rgb(189,255,0)'],
        [0.26667, 'rgb(183,255,0)'],
        [0.27059, 'rgb(178,255,0)'],
        [0.27451, 'rgb(172,255,0)'],
        [0.27843, 'rgb(167,255,0)'],
        [0.28235, 'rgb(162,255,0)'],
        [0.28627, 'rgb(156,255,0)'],
        [0.2902, 'rgb(151,255,0)'],
        [0.29412, 'rgb(145,255,0)'],
        [0.29804, 'rgb(140,255,0)'],
        [0.30196, 'rgb(135,255,0)'],
        [0.30588, 'rgb(129,255,0)'],
        [0.3098, 'rgb(124,255,0)'],
        [0.31373, 'rgb(118,255,0)'],
        [0.31765, 'rgb(113,255,0)'],
        [0.32157, 'rgb(108,255,0)'],
        [0.32549, 'rgb(102,255,0)'],
        [0.32941, 'rgb(97,255,0)'],
        [0.33333, 'rgb(91,255,0)'],
        [0.33725, 'rgb(86,255,0)'],
        [0.34118, 'rgb(81,255,0)'],
        [0.3451, 'rgb(75,255,0)'],
        [0.34902, 'rgb(70,255,0)'],
        [0.35294, 'rgb(64,255,0)'],
        [0.35686, 'rgb(59,255,0)'],
        [0.36078, 'rgb(54,255,0)'],
        [0.36471, 'rgb(48,255,0)'],
        [0.36863, 'rgb(43,255,0)'],
        [0.37255, 'rgb(37,255,0)'],
        [0.37647, 'rgb(32,255,0)'],
        [0.38039, 'rgb(27,255,0)'],
        [0.38431, 'rgb(21,255,0)'],
        [0.38824, 'rgb(16,255,0)'],
        [0.39216, 'rgb(10,255,0)'],
        [0.39608, 'rgb(5,255,0)'],
        [0.4, 'rgb(0,255,0)'],
        [0.40392, 'rgb(0,255,5)'],
        [0.40784, 'rgb(0,255,10)'],
        [0.41176, 'rgb(0,255,16)'],
        [0.41569, 'rgb(0,255,21)'],
        [0.41961, 'rgb(0,255,26)'],
        [0.42353, 'rgb(0,255,32)'],
        [0.42745, 'rgb(0,255,37)'],
        [0.43137, 'rgb(0,255,43)'],
        [0.43529, 'rgb(0,255,48)'],
        [0.43922, 'rgb(0,255,53)'],
        [0.44314, 'rgb(0,255,59)'],
        [0.44706, 'rgb(0,255,64)'],
        [0.45098, 'rgb(0,255,69)'],
        [0.4549, 'rgb(0,255,75)'],
        [0.45882, 'rgb(0,255,80)'],
        [0.46275, 'rgb(0,255,86)'],
        [0.46667, 'rgb(0,255,91)'],
        [0.47059, 'rgb(0,255,96)'],
        [0.47451, 'rgb(0,255,102)'],
        [0.47843, 'rgb(0,255,107)'],
        [0.48235, 'rgb(0,255,112)'],
        [0.48627, 'rgb(0,255,118)'],
        [0.4902, 'rgb(0,255,123)'],
        [0.49412, 'rgb(0,255,129)'],
        [0.49804, 'rgb(0,255,134)'],
        [0.50196, 'rgb(0,255,139)'],
        [0.50588, 'rgb(0,255,145)'],
        [0.5098, 'rgb(0,255,150)'],
        [0.51373, 'rgb(0,255,155)'],
        [0.51765, 'rgb(0,255,161)'],
        [0.52157, 'rgb(0,255,166)'],
        [0.52549, 'rgb(0,255,172)'],
        [0.52941, 'rgb(0,255,177)'],
        [0.53333, 'rgb(0,255,182)'],
        [0.53725, 'rgb(0,255,188)'],
        [0.54118, 'rgb(0,255,193)'],
        [0.5451, 'rgb(0,255,198)'],
        [0.54902, 'rgb(0,255,204)'],
        [0.55294, 'rgb(0,255,209)'],
        [0.55686, 'rgb(0,255,215)'],
        [0.56078, 'rgb(0,255,220)'],
        [0.56471, 'rgb(0,255,225)'],
        [0.56863, 'rgb(0,255,231)'],
        [0.57255, 'rgb(0,255,236)'],
        [0.57647, 'rgb(0,255,241)'],
        [0.58039, 'rgb(0,255,247)'],
        [0.58431, 'rgb(0,255,252)'],
        [0.58824, 'rgb(0,251,255)'],
        [0.59216, 'rgb(0,246,255)'],
        [0.59608, 'rgb(0,241,255)'],
        [0.6, 'rgb(0,235,255)'],
        [0.60392, 'rgb(0,230,255)'],
        [0.60784, 'rgb(0,224,255)'],
        [0.61176, 'rgb(0,219,255)'],
        [0.61569, 'rgb(0,213,255)'],
        [0.61961, 'rgb(0,208,255)'],
        [0.62353, 'rgb(0,202,255)'],
        [0.62745, 'rgb(0,197,255)'],
        [0.63137, 'rgb(0,192,255)'],
        [0.63529, 'rgb(0,186,255)'],
        [0.63922, 'rgb(0,181,255)'],
        [0.64314, 'rgb(0,175,255)'],
        [0.64706, 'rgb(0,170,255)'],
        [0.65098, 'rgb(0,164,255)'],
        [0.6549, 'rgb(0,159,255)'],
        [0.65882, 'rgb(0,154,255)'],
        [0.66275, 'rgb(0,148,255)'],
        [0.66667, 'rgb(0,143,255)'],
        [0.67059, 'rgb(0,137,255)'],
        [0.67451, 'rgb(0,132,255)'],
        [0.67843, 'rgb(0,126,255)'],
        [0.68235, 'rgb(0,121,255)'],
        [0.68627, 'rgb(0,116,255)'],
        [0.6902, 'rgb(0,110,255)'],
        [0.69412, 'rgb(0,105,255)'],
        [0.69804, 'rgb(0,99,255)'],
        [0.70196, 'rgb(0,94,255)'],
        [0.70588, 'rgb(0,88,255)'],
        [0.7098, 'rgb(0,83,255)'],
        [0.71373, 'rgb(0,77,255)'],
        [0.71765, 'rgb(0,72,255)'],
        [0.72157, 'rgb(0,67,255)'],
        [0.72549, 'rgb(0,61,255)'],
        [0.72941, 'rgb(0,56,255)'],
        [0.73333, 'rgb(0,50,255)'],
        [0.73725, 'rgb(0,45,255)'],
        [0.74118, 'rgb(0,39,255)'],
        [0.7451, 'rgb(0,34,255)'],
        [0.74902, 'rgb(0,29,255)'],
        [0.75294, 'rgb(0,23,255)'],
        [0.75686, 'rgb(0,18,255)'],
        [0.76078, 'rgb(0,12,255)'],
        [0.76471, 'rgb(0,7,255)'],
        [0.76863, 'rgb(0,1,255)'],
        [0.77255, 'rgb(3,0,255)'],
        [0.77647, 'rgb(8,0,255)'],
        [0.78039, 'rgb(14,0,255)'],
        [0.78431, 'rgb(19,0,255)'],
        [0.78824, 'rgb(25,0,255)'],
        [0.79216, 'rgb(30,0,255)'],
        [0.79608, 'rgb(36,0,255)'],
        [0.8, 'rgb(41,0,255)'],
        [0.80392, 'rgb(47,0,255)'],
        [0.80784, 'rgb(52,0,255)'],
        [0.81176, 'rgb(57,0,255)'],
        [0.81569, 'rgb(63,0,255)'],
        [0.81961, 'rgb(68,0,255)'],
        [0.82353, 'rgb(74,0,255)'],
        [0.82745, 'rgb(79,0,255)'],
        [0.83137, 'rgb(85,0,255)'],
        [0.83529, 'rgb(90,0,255)'],
        [0.83922, 'rgb(95,0,255)'],
        [0.84314, 'rgb(101,0,255)'],
        [0.84706, 'rgb(106,0,255)'],
        [0.85098, 'rgb(112,0,255)'],
        [0.8549, 'rgb(117,0,255)'],
        [0.85882, 'rgb(123,0,255)'],
        [0.86275, 'rgb(128,0,255)'],
        [0.86667, 'rgb(133,0,255)'],
        [0.87059, 'rgb(139,0,255)'],
        [0.87451, 'rgb(144,0,255)'],
        [0.87843, 'rgb(150,0,255)'],
        [0.88235, 'rgb(155,0,255)'],
        [0.88627, 'rgb(161,0,255)'],
        [0.8902, 'rgb(166,0,255)'],
        [0.89412, 'rgb(172,0,255)'],
        [0.89804, 'rgb(177,0,255)'],
        [0.90196, 'rgb(182,0,255)'],
        [0.90588, 'rgb(188,0,255)'],
        [0.9098, 'rgb(193,0,255)'],
        [0.91373, 'rgb(199,0,255)'],
        [0.91765, 'rgb(204,0,255)'],
        [0.92157, 'rgb(210,0,255)'],
        [0.92549, 'rgb(215,0,255)'],
        [0.92941, 'rgb(220,0,255)'],
        [0.93333, 'rgb(226,0,255)'],
        [0.93725, 'rgb(231,0,255)'],
        [0.94118, 'rgb(237,0,255)'],
        [0.9451, 'rgb(242,0,255)'],
        [0.94902, 'rgb(248,0,255)'],
        [0.95294, 'rgb(253,0,255)'],
        [0.95686, 'rgb(255,0,251)'],
        [0.96078, 'rgb(255,0,245)'],
        [0.96471, 'rgb(255,0,240)'],
        [0.96863, 'rgb(255,0,234)'],
        [0.97255, 'rgb(255,0,229)'],
        [0.97647, 'rgb(255,0,223)'],
        [0.98039, 'rgb(255,0,218)'],
        [0.98431, 'rgb(255,0,212)'],
        [0.98824, 'rgb(255,0,207)'],
        [0.99216, 'rgb(255,0,202)'],
        [0.99608, 'rgb(255,0,196)'],
        [1.0, 'rgb(255,0,191)'],
    ],
    'gist_stern': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392, 'rgb(18,1,2)'],
        [0.00784, 'rgb(36,2,4)'],
        [0.01176, 'rgb(54,3,6)'],
        [0.01569, 'rgb(73,4,8)'],
        [0.01961, 'rgb(91,5,10)'],
        [0.02353, 'rgb(109,6,12)'],
        [0.02745, 'rgb(127,7,14)'],
        [0.03137, 'rgb(146,8,16)'],
        [0.03529, 'rgb(164,9,18)'],
        [0.03922, 'rgb(182,10,20)'],
        [0.04314, 'rgb(201,11,22)'],
        [0.04706, 'rgb(219,12,24)'],
        [0.05098, 'rgb(237,13,26)'],
        [0.0549, 'rgb(254,14,28)'],
        [0.05882, 'rgb(249,15,30)'],
        [0.06275, 'rgb(244,16,32)'],
        [0.06667, 'rgb(239,17,34)'],
        [0.07059, 'rgb(234,18,36)'],
        [0.07451, 'rgb(229,19,38)'],
        [0.07843, 'rgb(224,20,40)'],
        [0.08235, 'rgb(219,21,42)'],
        [0.08627, 'rgb(214,22,44)'],
        [0.0902, 'rgb(209,23,46)'],
        [0.09412, 'rgb(204,24,48)'],
        [0.09804, 'rgb(199,25,50)'],
        [0.10196, 'rgb(194,26,52)'],
        [0.10588, 'rgb(189,27,54)'],
        [0.1098, 'rgb(184,28,56)'],
        [0.11373, 'rgb(180,29,58)'],
        [0.11765, 'rgb(175,30,60)'],
        [0.12157, 'rgb(170,31,62)'],
        [0.12549, 'rgb(165,32,64)'],
        [0.12941, 'rgb(160,32,65)'],
        [0.13333, 'rgb(155,34,68)'],
        [0.13725, 'rgb(150,35,70)'],
        [0.14118, 'rgb(145,36,72)'],
        [0.1451, 'rgb(140,36,73)'],
        [0.14902, 'rgb(135,38,76)'],
        [0.15294, 'rgb(130,39,78)'],
        [0.15686, 'rgb(125,40,80)'],
        [0.16078, 'rgb(120,40,81)'],
        [0.16471, 'rgb(115,42,84)'],
        [0.16863, 'rgb(110,43,86)'],
        [0.17255, 'rgb(105,44,88)'],
        [0.17647, 'rgb(100,44,89)'],
        [0.18039, 'rgb(95,46,92)'],
        [0.18431, 'rgb(90,47,94)'],
        [0.18824, 'rgb(85,48,96)'],
        [0.19216, 'rgb(80,48,97)'],
        [0.19608, 'rgb(75,50,100)'],
        [0.2, 'rgb(70,51,102)'],
        [0.20392, 'rgb(65,52,104)'],
        [0.20784, 'rgb(60,52,105)'],
        [0.21176, 'rgb(55,54,108)'],
        [0.21569, 'rgb(50,55,110)'],
        [0.21961, 'rgb(45,56,112)'],
        [0.22353, 'rgb(40,56,113)'],
        [0.22745, 'rgb(35,58,116)'],
        [0.23137, 'rgb(30,59,118)'],
        [0.23529, 'rgb(25,60,120)'],
        [0.23922, 'rgb(20,60,121)'],
        [0.24314, 'rgb(15,62,124)'],
        [0.24706, 'rgb(10,63,126)'],
        [0.25098, 'rgb(64,64,128)'],
        [0.2549, 'rgb(65,65,130)'],
        [0.25882, 'rgb(65,65,131)'],
        [0.26275, 'rgb(67,67,134)'],
        [0.26667, 'rgb(68,68,136)'],
        [0.27059, 'rgb(69,69,138)'],
        [0.27451, 'rgb(70,70,140)'],
        [0.27843, 'rgb(71,71,142)'],
        [0.28235, 'rgb(72,72,144)'],
        [0.28627, 'rgb(73,73,146)'],
        [0.2902, 'rgb(73,73,147)'],
        [0.29412, 'rgb(75,75,150)'],
        [0.29804, 'rgb(76,76,152)'],
        [0.30196, 'rgb(77,77,154)'],
        [0.30588, 'rgb(78,78,156)'],
        [0.3098, 'rgb(79,79,158)'],
        [0.31373, 'rgb(80,80,160)'],
        [0.31765, 'rgb(81,81,162)'],
        [0.32157, 'rgb(81,81,163)'],
        [0.32549, 'rgb(83,83,166)'],
        [0.32941, 'rgb(84,84,168)'],
        [0.33333, 'rgb(85,85,170)'],
        [0.33725, 'rgb(86,86,172)'],
        [0.34118, 'rgb(87,87,174)'],
        [0.3451, 'rgb(88,88,176)'],
        [0.34902, 'rgb(89,89,178)'],
        [0.35294, 'rgb(89,89,179)'],
        [0.35686, 'rgb(91,91,182)'],
        [0.36078, 'rgb(92,92,184)'],
        [0.36471, 'rgb(93,93,186)'],
        [0.36863, 'rgb(94,94,188)'],
        [0.37255, 'rgb(95,95,190)'],
        [0.37647, 'rgb(96,96,192)'],
        [0.38039, 'rgb(97,97,194)'],
        [0.38431, 'rgb(97,97,195)'],
        [0.38824, 'rgb(99,99,198)'],
        [0.39216, 'rgb(100,100,200)'],
        [0.39608, 'rgb(101,101,202)'],
        [0.4, 'rgb(102,102,204)'],
        [0.40392, 'rgb(103,103,206)'],
        [0.40784, 'rgb(104,104,208)'],
        [0.41176, 'rgb(105,105,210)'],
        [0.41569, 'rgb(105,105,211)'],
        [0.41961, 'rgb(107,107,214)'],
        [0.42353, 'rgb(108,108,216)'],
        [0.42745, 'rgb(109,109,218)'],
        [0.43137, 'rgb(110,110,220)'],
        [0.43529, 'rgb(111,111,222)'],
        [0.43922, 'rgb(112,112,224)'],
        [0.44314, 'rgb(113,113,226)'],
        [0.44706, 'rgb(113,113,227)'],
        [0.45098, 'rgb(115,115,230)'],
        [0.4549, 'rgb(116,116,232)'],
        [0.45882, 'rgb(117,117,234)'],
        [0.46275, 'rgb(118,118,236)'],
        [0.46667, 'rgb(119,119,238)'],
        [0.47059, 'rgb(120,120,240)'],
        [0.47451, 'rgb(121,121,242)'],
        [0.47843, 'rgb(121,121,243)'],
        [0.48235, 'rgb(123,123,246)'],
        [0.48627, 'rgb(124,124,248)'],
        [0.4902, 'rgb(125,125,250)'],
        [0.49412, 'rgb(126,126,252)'],
        [0.49804, 'rgb(127,127,254)'],
        [0.50196, 'rgb(128,128,252)'],
        [0.50588, 'rgb(129,129,248)'],
        [0.5098, 'rgb(130,130,244)'],
        [0.51373, 'rgb(131,131,240)'],
        [0.51765, 'rgb(131,131,235)'],
        [0.52157, 'rgb(132,133,231)'],
        [0.52549, 'rgb(134,134,227)'],
        [0.52941, 'rgb(135,135,223)'],
        [0.53333, 'rgb(136,136,218)'],
        [0.53725, 'rgb(137,137,214)'],
        [0.54118, 'rgb(138,138,210)'],
        [0.5451, 'rgb(139,139,206)'],
        [0.54902, 'rgb(140,140,201)'],
        [0.55294, 'rgb(141,141,197)'],
        [0.55686, 'rgb(142,142,193)'],
        [0.56078, 'rgb(143,143,189)'],
        [0.56471, 'rgb(144,144,184)'],
        [0.56863, 'rgb(145,145,180)'],
        [0.57255, 'rgb(146,146,176)'],
        [0.57647, 'rgb(147,147,172)'],
        [0.58039, 'rgb(147,147,167)'],
        [0.58431, 'rgb(149,149,163)'],
        [0.58824, 'rgb(150,150,159)'],
        [0.59216, 'rgb(151,151,154)'],
        [0.59608, 'rgb(152,152,150)'],
        [0.6, 'rgb(153,153,146)'],
        [0.60392, 'rgb(154,154,142)'],
        [0.60784, 'rgb(155,155,137)'],
        [0.61176, 'rgb(156,156,133)'],
        [0.61569, 'rgb(157,157,129)'],
        [0.61961, 'rgb(158,158,125)'],
        [0.62353, 'rgb(159,159,120)'],
        [0.62745, 'rgb(160,160,116)'],
        [0.63137, 'rgb(161,161,112)'],
        [0.63529, 'rgb(162,162,108)'],
        [0.63922, 'rgb(163,163,103)'],
        [0.64314, 'rgb(163,163,99)'],
        [0.64706, 'rgb(165,165,95)'],
        [0.65098, 'rgb(166,166,91)'],
        [0.6549, 'rgb(167,167,86)'],
        [0.65882, 'rgb(168,168,82)'],
        [0.66275, 'rgb(169,169,78)'],
        [0.66667, 'rgb(170,170,74)'],
        [0.67059, 'rgb(171,171,69)'],
        [0.67451, 'rgb(172,172,65)'],
        [0.67843, 'rgb(173,173,61)'],
        [0.68235, 'rgb(174,174,57)'],
        [0.68627, 'rgb(175,175,52)'],
        [0.6902, 'rgb(176,176,48)'],
        [0.69412, 'rgb(177,177,44)'],
        [0.69804, 'rgb(178,178,40)'],
        [0.70196, 'rgb(179,179,35)'],
        [0.70588, 'rgb(179,179,31)'],
        [0.7098, 'rgb(181,181,27)'],
        [0.71373, 'rgb(182,182,23)'],
        [0.71765, 'rgb(183,183,18)'],
        [0.72157, 'rgb(184,184,14)'],
        [0.72549, 'rgb(185,185,10)'],
        [0.72941, 'rgb(186,186,6)'],
        [0.73333, 'rgb(187,187,1)'],
        [0.73725, 'rgb(188,188,2)'],
        [0.74118, 'rgb(189,189,5)'],
        [0.7451, 'rgb(190,190,9)'],
        [0.74902, 'rgb(191,191,13)'],
        [0.75294, 'rgb(192,192,17)'],
        [0.75686, 'rgb(193,193,21)'],
        [0.76078, 'rgb(194,194,24)'],
        [0.76471, 'rgb(195,195,28)'],
        [0.76863, 'rgb(195,195,32)'],
        [0.77255, 'rgb(196,197,36)'],
        [0.77647, 'rgb(197,198,39)'],
        [0.78039, 'rgb(199,199,43)'],
        [0.78431, 'rgb(200,200,47)'],
        [0.78824, 'rgb(201,201,51)'],
        [0.79216, 'rgb(202,202,55)'],
        [0.79608, 'rgb(203,203,58)'],
        [0.8, 'rgb(203,204,62)'],
        [0.80392, 'rgb(205,205,66)'],
        [0.80784, 'rgb(206,206,70)'],
        [0.81176, 'rgb(207,207,73)'],
        [0.81569, 'rgb(208,208,77)'],
        [0.81961, 'rgb(209,209,81)'],
        [0.82353, 'rgb(210,210,85)'],
        [0.82745, 'rgb(211,211,88)'],
        [0.83137, 'rgb(211,211,92)'],
        [0.83529, 'rgb(213,213,96)'],
        [0.83922, 'rgb(214,214,100)'],
        [0.84314, 'rgb(215,215,104)'],
        [0.84706, 'rgb(216,216,107)'],
        [0.85098, 'rgb(217,217,111)'],
        [0.8549, 'rgb(218,218,115)'],
        [0.85882, 'rgb(219,219,119)'],
        [0.86275, 'rgb(220,220,122)'],
        [0.86667, 'rgb(221,221,126)'],
        [0.87059, 'rgb(222,222,130)'],
        [0.87451, 'rgb(223,223,134)'],
        [0.87843, 'rgb(224,224,138)'],
        [0.88235, 'rgb(225,225,141)'],
        [0.88627, 'rgb(226,226,145)'],
        [0.8902, 'rgb(227,227,149)'],
        [0.89412, 'rgb(227,227,153)'],
        [0.89804, 'rgb(229,229,156)'],
        [0.90196, 'rgb(230,230,160)'],
        [0.90588, 'rgb(231,231,164)'],
        [0.9098, 'rgb(232,232,168)'],
        [0.91373, 'rgb(233,233,171)'],
        [0.91765, 'rgb(234,234,175)'],
        [0.92157, 'rgb(235,235,179)'],
        [0.92549, 'rgb(236,236,183)'],
        [0.92941, 'rgb(237,237,187)'],
        [0.93333, 'rgb(238,238,190)'],
        [0.93725, 'rgb(239,239,194)'],
        [0.94118, 'rgb(240,240,198)'],
        [0.9451, 'rgb(241,241,202)'],
        [0.94902, 'rgb(242,242,205)'],
        [0.95294, 'rgb(243,243,209)'],
        [0.95686, 'rgb(243,243,213)'],
        [0.96078, 'rgb(244,245,217)'],
        [0.96471, 'rgb(245,246,221)'],
        [0.96863, 'rgb(247,247,224)'],
        [0.97255, 'rgb(248,248,228)'],
        [0.97647, 'rgb(249,249,232)'],
        [0.98039, 'rgb(250,250,236)'],
        [0.98431, 'rgb(251,251,239)'],
        [0.98824, 'rgb(251,252,243)'],
        [0.99216, 'rgb(253,253,247)'],
        [0.99608, 'rgb(254,254,251)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'gist_yarg': [
        [0.0, 'rgb(255,255,255)'],
        [0.00392, 'rgb(254,254,254)'],
        [0.00784, 'rgb(253,253,253)'],
        [0.01176, 'rgb(252,252,252)'],
        [0.01569, 'rgb(251,251,251)'],
        [0.01961, 'rgb(250,250,250)'],
        [0.02353, 'rgb(249,249,249)'],
        [0.02745, 'rgb(248,248,248)'],
        [0.03137, 'rgb(247,247,247)'],
        [0.03529, 'rgb(246,246,246)'],
        [0.03922, 'rgb(245,245,245)'],
        [0.04314, 'rgb(244,244,244)'],
        [0.04706, 'rgb(243,243,243)'],
        [0.05098, 'rgb(242,242,242)'],
        [0.0549, 'rgb(241,241,241)'],
        [0.05882, 'rgb(240,240,240)'],
        [0.06275, 'rgb(239,239,239)'],
        [0.06667, 'rgb(238,238,238)'],
        [0.07059, 'rgb(237,237,237)'],
        [0.07451, 'rgb(236,236,236)'],
        [0.07843, 'rgb(235,235,235)'],
        [0.08235, 'rgb(234,234,234)'],
        [0.08627, 'rgb(233,233,233)'],
        [0.0902, 'rgb(232,232,232)'],
        [0.09412, 'rgb(231,231,231)'],
        [0.09804, 'rgb(230,230,230)'],
        [0.10196, 'rgb(229,229,229)'],
        [0.10588, 'rgb(228,228,228)'],
        [0.1098, 'rgb(227,227,227)'],
        [0.11373, 'rgb(226,226,226)'],
        [0.11765, 'rgb(225,225,225)'],
        [0.12157, 'rgb(224,224,224)'],
        [0.12549, 'rgb(223,223,223)'],
        [0.12941, 'rgb(222,222,222)'],
        [0.13333, 'rgb(221,221,221)'],
        [0.13725, 'rgb(220,220,220)'],
        [0.14118, 'rgb(219,219,219)'],
        [0.1451, 'rgb(218,218,218)'],
        [0.14902, 'rgb(217,217,217)'],
        [0.15294, 'rgb(216,216,216)'],
        [0.15686, 'rgb(215,215,215)'],
        [0.16078, 'rgb(214,214,214)'],
        [0.16471, 'rgb(213,213,213)'],
        [0.16863, 'rgb(211,211,211)'],
        [0.17255, 'rgb(211,211,211)'],
        [0.17647, 'rgb(210,210,210)'],
        [0.18039, 'rgb(209,209,209)'],
        [0.18431, 'rgb(208,208,208)'],
        [0.18824, 'rgb(207,207,207)'],
        [0.19216, 'rgb(206,206,206)'],
        [0.19608, 'rgb(205,205,205)'],
        [0.2, 'rgb(204,204,204)'],
        [0.20392, 'rgb(203,203,203)'],
        [0.20784, 'rgb(202,202,202)'],
        [0.21176, 'rgb(201,201,201)'],
        [0.21569, 'rgb(200,200,200)'],
        [0.21961, 'rgb(199,199,199)'],
        [0.22353, 'rgb(198,198,198)'],
        [0.22745, 'rgb(197,197,197)'],
        [0.23137, 'rgb(195,195,195)'],
        [0.23529, 'rgb(195,195,195)'],
        [0.23922, 'rgb(194,194,194)'],
        [0.24314, 'rgb(193,193,193)'],
        [0.24706, 'rgb(192,192,192)'],
        [0.25098, 'rgb(191,191,191)'],
        [0.2549, 'rgb(190,190,190)'],
        [0.25882, 'rgb(189,189,189)'],
        [0.26275, 'rgb(188,188,188)'],
        [0.26667, 'rgb(187,187,187)'],
        [0.27059, 'rgb(186,186,186)'],
        [0.27451, 'rgb(185,185,185)'],
        [0.27843, 'rgb(184,184,184)'],
        [0.28235, 'rgb(183,183,183)'],
        [0.28627, 'rgb(182,182,182)'],
        [0.2902, 'rgb(181,181,181)'],
        [0.29412, 'rgb(179,179,179)'],
        [0.29804, 'rgb(179,179,179)'],
        [0.30196, 'rgb(178,178,178)'],
        [0.30588, 'rgb(177,177,177)'],
        [0.3098, 'rgb(176,176,176)'],
        [0.31373, 'rgb(175,175,175)'],
        [0.31765, 'rgb(174,174,174)'],
        [0.32157, 'rgb(173,173,173)'],
        [0.32549, 'rgb(172,172,172)'],
        [0.32941, 'rgb(171,171,171)'],
        [0.33333, 'rgb(170,170,170)'],
        [0.33725, 'rgb(169,169,169)'],
        [0.34118, 'rgb(168,168,168)'],
        [0.3451, 'rgb(167,167,167)'],
        [0.34902, 'rgb(166,166,166)'],
        [0.35294, 'rgb(165,165,165)'],
        [0.35686, 'rgb(163,163,163)'],
        [0.36078, 'rgb(163,163,163)'],
        [0.36471, 'rgb(162,162,162)'],
        [0.36863, 'rgb(161,161,161)'],
        [0.37255, 'rgb(160,160,160)'],
        [0.37647, 'rgb(159,159,159)'],
        [0.38039, 'rgb(158,158,158)'],
        [0.38431, 'rgb(157,157,157)'],
        [0.38824, 'rgb(156,156,156)'],
        [0.39216, 'rgb(155,155,155)'],
        [0.39608, 'rgb(154,154,154)'],
        [0.4, 'rgb(153,153,153)'],
        [0.40392, 'rgb(152,152,152)'],
        [0.40784, 'rgb(151,151,151)'],
        [0.41176, 'rgb(150,150,150)'],
        [0.41569, 'rgb(149,149,149)'],
        [0.41961, 'rgb(147,147,147)'],
        [0.42353, 'rgb(147,147,147)'],
        [0.42745, 'rgb(146,146,146)'],
        [0.43137, 'rgb(145,145,145)'],
        [0.43529, 'rgb(144,144,144)'],
        [0.43922, 'rgb(143,143,143)'],
        [0.44314, 'rgb(142,142,142)'],
        [0.44706, 'rgb(141,141,141)'],
        [0.45098, 'rgb(140,140,140)'],
        [0.4549, 'rgb(139,139,139)'],
        [0.45882, 'rgb(138,138,138)'],
        [0.46275, 'rgb(137,137,137)'],
        [0.46667, 'rgb(136,136,136)'],
        [0.47059, 'rgb(135,135,135)'],
        [0.47451, 'rgb(134,134,134)'],
        [0.47843, 'rgb(133,133,133)'],
        [0.48235, 'rgb(131,131,131)'],
        [0.48627, 'rgb(131,131,131)'],
        [0.4902, 'rgb(130,130,130)'],
        [0.49412, 'rgb(129,129,129)'],
        [0.49804, 'rgb(128,128,128)'],
        [0.50196, 'rgb(127,127,127)'],
        [0.50588, 'rgb(126,126,126)'],
        [0.5098, 'rgb(125,125,125)'],
        [0.51373, 'rgb(124,124,124)'],
        [0.51765, 'rgb(123,123,123)'],
        [0.52157, 'rgb(121,121,121)'],
        [0.52549, 'rgb(121,121,121)'],
        [0.52941, 'rgb(120,120,120)'],
        [0.53333, 'rgb(119,119,119)'],
        [0.53725, 'rgb(118,118,118)'],
        [0.54118, 'rgb(117,117,117)'],
        [0.5451, 'rgb(116,116,116)'],
        [0.54902, 'rgb(114,114,114)'],
        [0.55294, 'rgb(113,113,113)'],
        [0.55686, 'rgb(113,113,113)'],
        [0.56078, 'rgb(112,112,112)'],
        [0.56471, 'rgb(111,111,111)'],
        [0.56863, 'rgb(110,110,110)'],
        [0.57255, 'rgb(109,109,109)'],
        [0.57647, 'rgb(108,108,108)'],
        [0.58039, 'rgb(107,107,107)'],
        [0.58431, 'rgb(105,105,105)'],
        [0.58824, 'rgb(105,105,105)'],
        [0.59216, 'rgb(104,104,104)'],
        [0.59608, 'rgb(103,103,103)'],
        [0.6, 'rgb(102,102,102)'],
        [0.60392, 'rgb(101,101,101)'],
        [0.60784, 'rgb(100,100,100)'],
        [0.61176, 'rgb(98,98,98)'],
        [0.61569, 'rgb(97,97,97)'],
        [0.61961, 'rgb(97,97,97)'],
        [0.62353, 'rgb(96,96,96)'],
        [0.62745, 'rgb(95,95,95)'],
        [0.63137, 'rgb(94,94,94)'],
        [0.63529, 'rgb(93,93,93)'],
        [0.63922, 'rgb(92,92,92)'],
        [0.64314, 'rgb(91,91,91)'],
        [0.64706, 'rgb(89,89,89)'],
        [0.65098, 'rgb(89,89,89)'],
        [0.6549, 'rgb(88,88,88)'],
        [0.65882, 'rgb(87,87,87)'],
        [0.66275, 'rgb(86,86,86)'],
        [0.66667, 'rgb(85,85,85)'],
        [0.67059, 'rgb(84,84,84)'],
        [0.67451, 'rgb(82,82,82)'],
        [0.67843, 'rgb(81,81,81)'],
        [0.68235, 'rgb(81,81,81)'],
        [0.68627, 'rgb(80,80,80)'],
        [0.6902, 'rgb(79,79,79)'],
        [0.69412, 'rgb(78,78,78)'],
        [0.69804, 'rgb(77,77,77)'],
        [0.70196, 'rgb(76,76,76)'],
        [0.70588, 'rgb(75,75,75)'],
        [0.7098, 'rgb(73,73,73)'],
        [0.71373, 'rgb(73,73,73)'],
        [0.71765, 'rgb(72,72,72)'],
        [0.72157, 'rgb(71,71,71)'],
        [0.72549, 'rgb(70,70,70)'],
        [0.72941, 'rgb(69,69,69)'],
        [0.73333, 'rgb(68,68,68)'],
        [0.73725, 'rgb(66,66,66)'],
        [0.74118, 'rgb(65,65,65)'],
        [0.7451, 'rgb(65,65,65)'],
        [0.74902, 'rgb(64,64,64)'],
        [0.75294, 'rgb(63,63,63)'],
        [0.75686, 'rgb(62,62,62)'],
        [0.76078, 'rgb(61,61,61)'],
        [0.76471, 'rgb(60,60,60)'],
        [0.76863, 'rgb(59,59,59)'],
        [0.77255, 'rgb(57,57,57)'],
        [0.77647, 'rgb(56,56,56)'],
        [0.78039, 'rgb(56,56,56)'],
        [0.78431, 'rgb(55,55,55)'],
        [0.78824, 'rgb(54,54,54)'],
        [0.79216, 'rgb(53,53,53)'],
        [0.79608, 'rgb(52,52,52)'],
        [0.8, 'rgb(50,50,50)'],
        [0.80392, 'rgb(49,49,49)'],
        [0.80784, 'rgb(48,48,48)'],
        [0.81176, 'rgb(48,48,48)'],
        [0.81569, 'rgb(47,47,47)'],
        [0.81961, 'rgb(46,46,46)'],
        [0.82353, 'rgb(45,45,45)'],
        [0.82745, 'rgb(44,44,44)'],
        [0.83137, 'rgb(43,43,43)'],
        [0.83529, 'rgb(41,41,41)'],
        [0.83922, 'rgb(40,40,40)'],
        [0.84314, 'rgb(40,40,40)'],
        [0.84706, 'rgb(39,39,39)'],
        [0.85098, 'rgb(38,38,38)'],
        [0.8549, 'rgb(37,37,37)'],
        [0.85882, 'rgb(36,36,36)'],
        [0.86275, 'rgb(34,34,34)'],
        [0.86667, 'rgb(33,33,33)'],
        [0.87059, 'rgb(32,32,32)'],
        [0.87451, 'rgb(32,32,32)'],
        [0.87843, 'rgb(31,31,31)'],
        [0.88235, 'rgb(30,30,30)'],
        [0.88627, 'rgb(29,29,29)'],
        [0.8902, 'rgb(28,28,28)'],
        [0.89412, 'rgb(27,27,27)'],
        [0.89804, 'rgb(25,25,25)'],
        [0.90196, 'rgb(24,24,24)'],
        [0.90588, 'rgb(24,24,24)'],
        [0.9098, 'rgb(23,23,23)'],
        [0.91373, 'rgb(22,22,22)'],
        [0.91765, 'rgb(21,21,21)'],
        [0.92157, 'rgb(20,20,20)'],
        [0.92549, 'rgb(18,18,18)'],
        [0.92941, 'rgb(17,17,17)'],
        [0.93333, 'rgb(16,16,16)'],
        [0.93725, 'rgb(16,16,16)'],
        [0.94118, 'rgb(15,15,15)'],
        [0.9451, 'rgb(14,14,14)'],
        [0.94902, 'rgb(13,13,13)'],
        [0.95294, 'rgb(12,12,12)'],
        [0.95686, 'rgb(11,11,11)'],
        [0.96078, 'rgb(9,9,9)'],
        [0.96471, 'rgb(8,8,8)'],
        [0.96863, 'rgb(8,8,8)'],
        [0.97255, 'rgb(7,7,7)'],
        [0.97647, 'rgb(6,6,6)'],
        [0.98039, 'rgb(5,5,5)'],
        [0.98431, 'rgb(4,4,4)'],
        [0.98824, 'rgb(2,2,2)'],
        [0.99216, 'rgb(1,1,1)'],
        [0.99608, 'rgb(0,0,0)'],
        [1.0, 'rgb(0,0,0)'],
    ],
    'gnuplot': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392, 'rgb(15,0,6)'],
        [0.00784, 'rgb(22,0,12)'],
        [0.01176, 'rgb(27,0,18)'],
        [0.01569, 'rgb(31,0,25)'],
        [0.01961, 'rgb(35,0,31)'],
        [0.02353, 'rgb(39,0,37)'],
        [0.02745, 'rgb(42,0,43)'],
        [0.03137, 'rgb(45,0,49)'],
        [0.03529, 'rgb(47,0,56)'],
        [0.03922, 'rgb(50,0,62)'],
        [0.04314, 'rgb(52,0,68)'],
        [0.04706, 'rgb(55,0,74)'],
        [0.05098, 'rgb(57,0,80)'],
        [0.0549, 'rgb(59,0,86)'],
        [0.05882, 'rgb(61,0,92)'],
        [0.06275, 'rgb(63,0,97)'],
        [0.06667, 'rgb(65,0,103)'],
        [0.07059, 'rgb(67,0,109)'],
        [0.07451, 'rgb(69,0,115)'],
        [0.07843, 'rgb(71,0,120)'],
        [0.08235, 'rgb(73,0,126)'],
        [0.08627, 'rgb(74,0,131)'],
        [0.0902, 'rgb(76,0,136)'],
        [0.09412, 'rgb(78,0,142)'],
        [0.09804, 'rgb(79,0,147)'],
        [0.10196, 'rgb(81,0,152)'],
        [0.10588, 'rgb(82,0,157)'],
        [0.1098, 'rgb(84,0,162)'],
        [0.11373, 'rgb(85,0,167)'],
        [0.11765, 'rgb(87,0,171)'],
        [0.12157, 'rgb(88,0,176)'],
        [0.12549, 'rgb(90,0,180)'],
        [0.12941, 'rgb(91,0,185)'],
        [0.13333, 'rgb(93,0,189)'],
        [0.13725, 'rgb(94,0,193)'],
        [0.14118, 'rgb(95,0,197)'],
        [0.1451, 'rgb(97,0,201)'],
        [0.14902, 'rgb(98,0,205)'],
        [0.15294, 'rgb(99,0,209)'],
        [0.15686, 'rgb(100,0,212)'],
        [0.16078, 'rgb(102,1,215)'],
        [0.16471, 'rgb(103,1,219)'],
        [0.16863, 'rgb(104,1,222)'],
        [0.17255, 'rgb(105,1,225)'],
        [0.17647, 'rgb(107,1,228)'],
        [0.18039, 'rgb(108,1,230)'],
        [0.18431, 'rgb(109,1,233)'],
        [0.18824, 'rgb(110,1,236)'],
        [0.19216, 'rgb(111,1,238)'],
        [0.19608, 'rgb(112,1,240)'],
        [0.2, 'rgb(114,2,242)'],
        [0.20392, 'rgb(115,2,244)'],
        [0.20784, 'rgb(116,2,246)'],
        [0.21176, 'rgb(117,2,247)'],
        [0.21569, 'rgb(118,2,249)'],
        [0.21961, 'rgb(119,2,250)'],
        [0.22353, 'rgb(120,2,251)'],
        [0.22745, 'rgb(121,3,252)'],
        [0.23137, 'rgb(122,3,253)'],
        [0.23529, 'rgb(123,3,253)'],
        [0.23922, 'rgb(124,3,254)'],
        [0.24314, 'rgb(125,3,254)'],
        [0.24706, 'rgb(126,3,254)'],
        [0.25098, 'rgb(127,4,254)'],
        [0.2549, 'rgb(128,4,254)'],
        [0.25882, 'rgb(129,4,254)'],
        [0.26275, 'rgb(130,4,254)'],
        [0.26667, 'rgb(131,4,253)'],
        [0.27059, 'rgb(132,5,252)'],
        [0.27451, 'rgb(133,5,251)'],
        [0.27843, 'rgb(134,5,250)'],
        [0.28235, 'rgb(135,5,249)'],
        [0.28627, 'rgb(136,5,248)'],
        [0.2902, 'rgb(137,6,246)'],
        [0.29412, 'rgb(138,6,245)'],
        [0.29804, 'rgb(139,6,243)'],
        [0.30196, 'rgb(140,7,241)'],
        [0.30588, 'rgb(141,7,239)'],
        [0.3098, 'rgb(141,7,237)'],
        [0.31373, 'rgb(142,7,234)'],
        [0.31765, 'rgb(143,8,232)'],
        [0.32157, 'rgb(144,8,229)'],
        [0.32549, 'rgb(145,8,226)'],
        [0.32941, 'rgb(146,9,223)'],
        [0.33333, 'rgb(147,9,220)'],
        [0.33725, 'rgb(148,9,217)'],
        [0.34118, 'rgb(148,10,214)'],
        [0.3451, 'rgb(149,10,210)'],
        [0.34902, 'rgb(150,10,207)'],
        [0.35294, 'rgb(151,11,203)'],
        [0.35686, 'rgb(152,11,199)'],
        [0.36078, 'rgb(153,11,195)'],
        [0.36471, 'rgb(153,12,191)'],
        [0.36863, 'rgb(154,12,187)'],
        [0.37255, 'rgb(155,13,183)'],
        [0.37647, 'rgb(156,13,178)'],
        [0.38039, 'rgb(157,14,174)'],
        [0.38431, 'rgb(158,14,169)'],
        [0.38824, 'rgb(158,14,164)'],
        [0.39216, 'rgb(159,15,159)'],
        [0.39608, 'rgb(160,15,154)'],
        [0.4, 'rgb(161,16,149)'],
        [0.40392, 'rgb(162,16,144)'],
        [0.40784, 'rgb(162,17,139)'],
        [0.41176, 'rgb(163,17,134)'],
        [0.41569, 'rgb(164,18,128)'],
        [0.41961, 'rgb(165,18,123)'],
        [0.42353, 'rgb(165,19,117)'],
        [0.42745, 'rgb(166,19,112)'],
        [0.43137, 'rgb(167,20,106)'],
        [0.43529, 'rgb(168,21,100)'],
        [0.43922, 'rgb(168,21,95)'],
        [0.44314, 'rgb(169,22,89)'],
        [0.44706, 'rgb(170,22,83)'],
        [0.45098, 'rgb(171,23,77)'],
        [0.4549, 'rgb(171,24,71)'],
        [0.45882, 'rgb(172,24,65)'],
        [0.46275, 'rgb(173,25,59)'],
        [0.46667, 'rgb(174,25,53)'],
        [0.47059, 'rgb(174,26,46)'],
        [0.47451, 'rgb(175,27,40)'],
        [0.47843, 'rgb(176,27,34)'],
        [0.48235, 'rgb(177,28,28)'],
        [0.48627, 'rgb(177,29,21)'],
        [0.4902, 'rgb(178,30,15)'],
        [0.49412, 'rgb(179,30,9)'],
        [0.49804, 'rgb(179,31,3)'],
        [0.50196, 'rgb(180,32,0)'],
        [0.50588, 'rgb(181,33,0)'],
        [0.5098, 'rgb(182,33,0)'],
        [0.51373, 'rgb(182,34,0)'],
        [0.51765, 'rgb(183,35,0)'],
        [0.52157, 'rgb(184,36,0)'],
        [0.52549, 'rgb(184,37,0)'],
        [0.52941, 'rgb(185,37,0)'],
        [0.53333, 'rgb(186,38,0)'],
        [0.53725, 'rgb(186,39,0)'],
        [0.54118, 'rgb(187,40,0)'],
        [0.5451, 'rgb(188,41,0)'],
        [0.54902, 'rgb(188,42,0)'],
        [0.55294, 'rgb(189,43,0)'],
        [0.55686, 'rgb(190,44,0)'],
        [0.56078, 'rgb(190,44,0)'],
        [0.56471, 'rgb(191,45,0)'],
        [0.56863, 'rgb(192,46,0)'],
        [0.57255, 'rgb(192,47,0)'],
        [0.57647, 'rgb(193,48,0)'],
        [0.58039, 'rgb(194,49,0)'],
        [0.58431, 'rgb(194,50,0)'],
        [0.58824, 'rgb(195,51,0)'],
        [0.59216, 'rgb(196,52,0)'],
        [0.59608, 'rgb(196,54,0)'],
        [0.6, 'rgb(197,55,0)'],
        [0.60392, 'rgb(198,56,0)'],
        [0.60784, 'rgb(198,57,0)'],
        [0.61176, 'rgb(199,58,0)'],
        [0.61569, 'rgb(200,59,0)'],
        [0.61961, 'rgb(200,60,0)'],
        [0.62353, 'rgb(201,61,0)'],
        [0.62745, 'rgb(201,62,0)'],
        [0.63137, 'rgb(202,64,0)'],
        [0.63529, 'rgb(203,65,0)'],
        [0.63922, 'rgb(203,66,0)'],
        [0.64314, 'rgb(204,67,0)'],
        [0.64706, 'rgb(205,69,0)'],
        [0.65098, 'rgb(205,70,0)'],
        [0.6549, 'rgb(206,71,0)'],
        [0.65882, 'rgb(206,72,0)'],
        [0.66275, 'rgb(207,74,0)'],
        [0.66667, 'rgb(208,75,0)'],
        [0.67059, 'rgb(208,76,0)'],
        [0.67451, 'rgb(209,78,0)'],
        [0.67843, 'rgb(210,79,0)'],
        [0.68235, 'rgb(210,81,0)'],
        [0.68627, 'rgb(211,82,0)'],
        [0.6902, 'rgb(211,83,0)'],
        [0.69412, 'rgb(212,85,0)'],
        [0.69804, 'rgb(213,86,0)'],
        [0.70196, 'rgb(213,88,0)'],
        [0.70588, 'rgb(214,89,0)'],
        [0.7098, 'rgb(214,91,0)'],
        [0.71373, 'rgb(215,92,0)'],
        [0.71765, 'rgb(216,94,0)'],
        [0.72157, 'rgb(216,95,0)'],
        [0.72549, 'rgb(217,97,0)'],
        [0.72941, 'rgb(217,98,0)'],
        [0.73333, 'rgb(218,100,0)'],
        [0.73725, 'rgb(218,102,0)'],
        [0.74118, 'rgb(219,103,0)'],
        [0.7451, 'rgb(220,105,0)'],
        [0.74902, 'rgb(220,107,0)'],
        [0.75294, 'rgb(221,108,0)'],
        [0.75686, 'rgb(221,110,0)'],
        [0.76078, 'rgb(222,112,0)'],
        [0.76471, 'rgb(222,114,0)'],
        [0.76863, 'rgb(223,115,0)'],
        [0.77255, 'rgb(224,117,0)'],
        [0.77647, 'rgb(224,119,0)'],
        [0.78039, 'rgb(225,121,0)'],
        [0.78431, 'rgb(225,123,0)'],
        [0.78824, 'rgb(226,124,0)'],
        [0.79216, 'rgb(226,126,0)'],
        [0.79608, 'rgb(227,128,0)'],
        [0.8, 'rgb(228,130,0)'],
        [0.80392, 'rgb(228,132,0)'],
        [0.80784, 'rgb(229,134,0)'],
        [0.81176, 'rgb(229,136,0)'],
        [0.81569, 'rgb(230,138,0)'],
        [0.81961, 'rgb(230,140,0)'],
        [0.82353, 'rgb(231,142,0)'],
        [0.82745, 'rgb(231,144,0)'],
        [0.83137, 'rgb(232,146,0)'],
        [0.83529, 'rgb(233,148,0)'],
        [0.83922, 'rgb(233,150,0)'],
        [0.84314, 'rgb(234,152,0)'],
        [0.84706, 'rgb(234,154,0)'],
        [0.85098, 'rgb(235,157,0)'],
        [0.8549, 'rgb(235,159,0)'],
        [0.85882, 'rgb(236,161,0)'],
        [0.86275, 'rgb(236,163,0)'],
        [0.86667, 'rgb(237,165,0)'],
        [0.87059, 'rgb(237,168,0)'],
        [0.87451, 'rgb(238,170,0)'],
        [0.87843, 'rgb(238,172,0)'],
        [0.88235, 'rgb(239,175,0)'],
        [0.88627, 'rgb(240,177,0)'],
        [0.8902, 'rgb(240,179,0)'],
        [0.89412, 'rgb(241,182,0)'],
        [0.89804, 'rgb(241,184,0)'],
        [0.90196, 'rgb(242,187,0)'],
        [0.90588, 'rgb(242,189,0)'],
        [0.9098, 'rgb(243,192,0)'],
        [0.91373, 'rgb(243,194,0)'],
        [0.91765, 'rgb(244,197,0)'],
        [0.92157, 'rgb(244,199,0)'],
        [0.92549, 'rgb(245,202,0)'],
        [0.92941, 'rgb(245,204,0)'],
        [0.93333, 'rgb(246,207,0)'],
        [0.93725, 'rgb(246,209,0)'],
        [0.94118, 'rgb(247,212,0)'],
        [0.9451, 'rgb(247,215,0)'],
        [0.94902, 'rgb(248,217,0)'],
        [0.95294, 'rgb(248,220,0)'],
        [0.95686, 'rgb(249,223,0)'],
        [0.96078, 'rgb(249,226,0)'],
        [0.96471, 'rgb(250,228,0)'],
        [0.96863, 'rgb(250,231,0)'],
        [0.97255, 'rgb(251,234,0)'],
        [0.97647, 'rgb(251,237,0)'],
        [0.98039, 'rgb(252,240,0)'],
        [0.98431, 'rgb(252,243,0)'],
        [0.98824, 'rgb(253,246,0)'],
        [0.99216, 'rgb(253,249,0)'],
        [0.99608, 'rgb(254,252,0)'],
        [1.0, 'rgb(255,255,0)'],
    ],
    'gnuplot2': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392, 'rgb(0,0,4)'],
        [0.00784, 'rgb(0,0,8)'],
        [0.01176, 'rgb(0,0,12)'],
        [0.01569, 'rgb(0,0,16)'],
        [0.01961, 'rgb(0,0,20)'],
        [0.02353, 'rgb(0,0,24)'],
        [0.02745, 'rgb(0,0,28)'],
        [0.03137, 'rgb(0,0,32)'],
        [0.03529, 'rgb(0,0,36)'],
        [0.03922, 'rgb(0,0,40)'],
        [0.04314, 'rgb(0,0,44)'],
        [0.04706, 'rgb(0,0,48)'],
        [0.05098, 'rgb(0,0,52)'],
        [0.0549, 'rgb(0,0,56)'],
        [0.05882, 'rgb(0,0,60)'],
        [0.06275, 'rgb(0,0,64)'],
        [0.06667, 'rgb(0,0,68)'],
        [0.07059, 'rgb(0,0,72)'],
        [0.07451, 'rgb(0,0,76)'],
        [0.07843, 'rgb(0,0,80)'],
        [0.08235, 'rgb(0,0,84)'],
        [0.08627, 'rgb(0,0,88)'],
        [0.0902, 'rgb(0,0,92)'],
        [0.09412, 'rgb(0,0,96)'],
        [0.09804, 'rgb(0,0,100)'],
        [0.10196, 'rgb(0,0,104)'],
        [0.10588, 'rgb(0,0,108)'],
        [0.1098, 'rgb(0,0,112)'],
        [0.11373, 'rgb(0,0,116)'],
        [0.11765, 'rgb(0,0,120)'],
        [0.12157, 'rgb(0,0,124)'],
        [0.12549, 'rgb(0,0,128)'],
        [0.12941, 'rgb(0,0,131)'],
        [0.13333, 'rgb(0,0,136)'],
        [0.13725, 'rgb(0,0,140)'],
        [0.14118, 'rgb(0,0,144)'],
        [0.1451, 'rgb(0,0,147)'],
        [0.14902, 'rgb(0,0,152)'],
        [0.15294, 'rgb(0,0,156)'],
        [0.15686, 'rgb(0,0,160)'],
        [0.16078, 'rgb(0,0,163)'],
        [0.16471, 'rgb(0,0,168)'],
        [0.16863, 'rgb(0,0,172)'],
        [0.17255, 'rgb(0,0,176)'],
        [0.17647, 'rgb(0,0,179)'],
        [0.18039, 'rgb(0,0,184)'],
        [0.18431, 'rgb(0,0,188)'],
        [0.18824, 'rgb(0,0,192)'],
        [0.19216, 'rgb(0,0,195)'],
        [0.19608, 'rgb(0,0,200)'],
        [0.2, 'rgb(0,0,204)'],
        [0.20392, 'rgb(0,0,208)'],
        [0.20784, 'rgb(0,0,211)'],
        [0.21176, 'rgb(0,0,216)'],
        [0.21569, 'rgb(0,0,220)'],
        [0.21961, 'rgb(0,0,224)'],
        [0.22353, 'rgb(0,0,227)'],
        [0.22745, 'rgb(0,0,232)'],
        [0.23137, 'rgb(0,0,236)'],
        [0.23529, 'rgb(0,0,240)'],
        [0.23922, 'rgb(0,0,243)'],
        [0.24314, 'rgb(0,0,248)'],
        [0.24706, 'rgb(0,0,252)'],
        [0.25098, 'rgb(0,0,255)'],
        [0.2549, 'rgb(3,0,255)'],
        [0.25882, 'rgb(7,0,255)'],
        [0.26275, 'rgb(10,0,255)'],
        [0.26667, 'rgb(13,0,255)'],
        [0.27059, 'rgb(16,0,255)'],
        [0.27451, 'rgb(19,0,255)'],
        [0.27843, 'rgb(22,0,255)'],
        [0.28235, 'rgb(25,0,255)'],
        [0.28627, 'rgb(28,0,255)'],
        [0.2902, 'rgb(32,0,255)'],
        [0.29412, 'rgb(35,0,255)'],
        [0.29804, 'rgb(38,0,255)'],
        [0.30196, 'rgb(41,0,255)'],
        [0.30588, 'rgb(44,0,255)'],
        [0.3098, 'rgb(47,0,255)'],
        [0.31373, 'rgb(50,0,255)'],
        [0.31765, 'rgb(53,0,255)'],
        [0.32157, 'rgb(57,0,255)'],
        [0.32549, 'rgb(60,0,255)'],
        [0.32941, 'rgb(63,0,255)'],
        [0.33333, 'rgb(66,0,255)'],
        [0.33725, 'rgb(69,0,255)'],
        [0.34118, 'rgb(72,0,255)'],
        [0.3451, 'rgb(75,0,255)'],
        [0.34902, 'rgb(78,0,255)'],
        [0.35294, 'rgb(82,0,255)'],
        [0.35686, 'rgb(85,0,255)'],
        [0.36078, 'rgb(88,0,255)'],
        [0.36471, 'rgb(91,0,255)'],
        [0.36863, 'rgb(94,0,255)'],
        [0.37255, 'rgb(97,0,255)'],
        [0.37647, 'rgb(100,0,255)'],
        [0.38039, 'rgb(103,0,255)'],
        [0.38431, 'rgb(107,0,255)'],
        [0.38824, 'rgb(110,0,255)'],
        [0.39216, 'rgb(113,0,255)'],
        [0.39608, 'rgb(116,0,255)'],
        [0.4, 'rgb(119,0,255)'],
        [0.40392, 'rgb(122,0,255)'],
        [0.40784, 'rgb(125,0,255)'],
        [0.41176, 'rgb(128,0,255)'],
        [0.41569, 'rgb(132,0,255)'],
        [0.41961, 'rgb(135,0,255)'],
        [0.42353, 'rgb(138,1,253)'],
        [0.42745, 'rgb(141,3,251)'],
        [0.43137, 'rgb(144,5,249)'],
        [0.43529, 'rgb(147,7,247)'],
        [0.43922, 'rgb(150,9,245)'],
        [0.44314, 'rgb(153,11,243)'],
        [0.44706, 'rgb(157,13,241)'],
        [0.45098, 'rgb(160,15,239)'],
        [0.4549, 'rgb(163,17,237)'],
        [0.45882, 'rgb(166,19,235)'],
        [0.46275, 'rgb(169,21,233)'],
        [0.46667, 'rgb(172,23,231)'],
        [0.47059, 'rgb(175,25,229)'],
        [0.47451, 'rgb(178,27,227)'],
        [0.47843, 'rgb(182,29,225)'],
        [0.48235, 'rgb(185,31,223)'],
        [0.48627, 'rgb(188,33,221)'],
        [0.4902, 'rgb(191,35,219)'],
        [0.49412, 'rgb(194,37,217)'],
        [0.49804, 'rgb(197,39,215)'],
        [0.50196, 'rgb(200,41,213)'],
        [0.50588, 'rgb(203,43,211)'],
        [0.5098, 'rgb(207,45,209)'],
        [0.51373, 'rgb(210,47,207)'],
        [0.51765, 'rgb(213,49,205)'],
        [0.52157, 'rgb(216,51,203)'],
        [0.52549, 'rgb(219,53,201)'],
        [0.52941, 'rgb(222,55,199)'],
        [0.53333, 'rgb(225,57,197)'],
        [0.53725, 'rgb(228,59,195)'],
        [0.54118, 'rgb(232,61,193)'],
        [0.5451, 'rgb(235,63,191)'],
        [0.54902, 'rgb(238,65,189)'],
        [0.55294, 'rgb(241,67,187)'],
        [0.55686, 'rgb(244,69,185)'],
        [0.56078, 'rgb(247,71,183)'],
        [0.56471, 'rgb(250,73,181)'],
        [0.56863, 'rgb(253,75,179)'],
        [0.57255, 'rgb(255,77,177)'],
        [0.57647, 'rgb(255,79,175)'],
        [0.58039, 'rgb(255,81,173)'],
        [0.58431, 'rgb(255,83,171)'],
        [0.58824, 'rgb(255,85,169)'],
        [0.59216, 'rgb(255,87,167)'],
        [0.59608, 'rgb(255,89,165)'],
        [0.6, 'rgb(255,91,163)'],
        [0.60392, 'rgb(255,93,161)'],
        [0.60784, 'rgb(255,95,159)'],
        [0.61176, 'rgb(255,97,157)'],
        [0.61569, 'rgb(255,99,155)'],
        [0.61961, 'rgb(255,101,153)'],
        [0.62353, 'rgb(255,103,151)'],
        [0.62745, 'rgb(255,105,149)'],
        [0.63137, 'rgb(255,107,147)'],
        [0.63529, 'rgb(255,109,145)'],
        [0.63922, 'rgb(255,111,143)'],
        [0.64314, 'rgb(255,113,141)'],
        [0.64706, 'rgb(255,115,139)'],
        [0.65098, 'rgb(255,117,137)'],
        [0.6549, 'rgb(255,119,135)'],
        [0.65882, 'rgb(255,121,133)'],
        [0.66275, 'rgb(255,123,131)'],
        [0.66667, 'rgb(255,125,129)'],
        [0.67059, 'rgb(255,127,127)'],
        [0.67451, 'rgb(255,129,125)'],
        [0.67843, 'rgb(255,131,123)'],
        [0.68235, 'rgb(255,133,121)'],
        [0.68627, 'rgb(255,135,119)'],
        [0.6902, 'rgb(255,137,117)'],
        [0.69412, 'rgb(255,139,115)'],
        [0.69804, 'rgb(255,141,113)'],
        [0.70196, 'rgb(255,143,111)'],
        [0.70588, 'rgb(255,145,109)'],
        [0.7098, 'rgb(255,147,107)'],
        [0.71373, 'rgb(255,149,105)'],
        [0.71765, 'rgb(255,151,103)'],
        [0.72157, 'rgb(255,153,101)'],
        [0.72549, 'rgb(255,155,99)'],
        [0.72941, 'rgb(255,157,97)'],
        [0.73333, 'rgb(255,159,95)'],
        [0.73725, 'rgb(255,161,93)'],
        [0.74118, 'rgb(255,163,91)'],
        [0.7451, 'rgb(255,165,89)'],
        [0.74902, 'rgb(255,167,87)'],
        [0.75294, 'rgb(255,169,85)'],
        [0.75686, 'rgb(255,171,83)'],
        [0.76078, 'rgb(255,173,81)'],
        [0.76471, 'rgb(255,175,79)'],
        [0.76863, 'rgb(255,177,77)'],
        [0.77255, 'rgb(255,179,75)'],
        [0.77647, 'rgb(255,181,73)'],
        [0.78039, 'rgb(255,183,71)'],
        [0.78431, 'rgb(255,185,69)'],
        [0.78824, 'rgb(255,187,67)'],
        [0.79216, 'rgb(255,189,65)'],
        [0.79608, 'rgb(255,191,63)'],
        [0.8, 'rgb(255,193,61)'],
        [0.80392, 'rgb(255,195,59)'],
        [0.80784, 'rgb(255,197,57)'],
        [0.81176, 'rgb(255,199,55)'],
        [0.81569, 'rgb(255,201,53)'],
        [0.81961, 'rgb(255,203,51)'],
        [0.82353, 'rgb(255,205,49)'],
        [0.82745, 'rgb(255,207,47)'],
        [0.83137, 'rgb(255,209,45)'],
        [0.83529, 'rgb(255,211,43)'],
        [0.83922, 'rgb(255,213,41)'],
        [0.84314, 'rgb(255,215,39)'],
        [0.84706, 'rgb(255,217,37)'],
        [0.85098, 'rgb(255,219,35)'],
        [0.8549, 'rgb(255,221,33)'],
        [0.85882, 'rgb(255,223,31)'],
        [0.86275, 'rgb(255,225,29)'],
        [0.86667, 'rgb(255,227,27)'],
        [0.87059, 'rgb(255,229,25)'],
        [0.87451, 'rgb(255,231,23)'],
        [0.87843, 'rgb(255,233,21)'],
        [0.88235, 'rgb(255,235,19)'],
        [0.88627, 'rgb(255,237,17)'],
        [0.8902, 'rgb(255,239,15)'],
        [0.89412, 'rgb(255,241,13)'],
        [0.89804, 'rgb(255,243,11)'],
        [0.90196, 'rgb(255,245,9)'],
        [0.90588, 'rgb(255,247,7)'],
        [0.9098, 'rgb(255,249,5)'],
        [0.91373, 'rgb(255,251,3)'],
        [0.91765, 'rgb(255,253,1)'],
        [0.92157, 'rgb(255,255,4)'],
        [0.92549, 'rgb(255,255,17)'],
        [0.92941, 'rgb(255,255,29)'],
        [0.93333, 'rgb(255,255,42)'],
        [0.93725, 'rgb(255,255,54)'],
        [0.94118, 'rgb(255,255,67)'],
        [0.9451, 'rgb(255,255,79)'],
        [0.94902, 'rgb(255,255,92)'],
        [0.95294, 'rgb(255,255,104)'],
        [0.95686, 'rgb(255,255,117)'],
        [0.96078, 'rgb(255,255,130)'],
        [0.96471, 'rgb(255,255,142)'],
        [0.96863, 'rgb(255,255,154)'],
        [0.97255, 'rgb(255,255,167)'],
        [0.97647, 'rgb(255,255,179)'],
        [0.98039, 'rgb(255,255,192)'],
        [0.98431, 'rgb(255,255,204)'],
        [0.98824, 'rgb(255,255,217)'],
        [0.99216, 'rgb(255,255,230)'],
        [0.99608, 'rgb(255,255,242)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'nipy_spectral': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392, 'rgb(9,0,10)'],
        [0.00784, 'rgb(18,0,21)'],
        [0.01176, 'rgb(28,0,31)'],
        [0.01569, 'rgb(37,0,42)'],
        [0.01961, 'rgb(46,0,53)'],
        [0.02353, 'rgb(56,0,63)'],
        [0.02745, 'rgb(65,0,74)'],
        [0.03137, 'rgb(74,0,85)'],
        [0.03529, 'rgb(84,0,95)'],
        [0.03922, 'rgb(93,0,106)'],
        [0.04314, 'rgb(102,0,117)'],
        [0.04706, 'rgb(112,0,127)'],
        [0.05098, 'rgb(119,0,136)'],
        [0.0549, 'rgb(120,0,137)'],
        [0.05882, 'rgb(122,0,138)'],
        [0.06275, 'rgb(123,0,140)'],
        [0.06667, 'rgb(124,0,141)'],
        [0.07059, 'rgb(126,0,142)'],
        [0.07451, 'rgb(127,0,144)'],
        [0.07843, 'rgb(128,0,145)'],
        [0.08235, 'rgb(129,0,146)'],
        [0.08627, 'rgb(131,0,148)'],
        [0.0902, 'rgb(132,0,149)'],
        [0.09412, 'rgb(133,0,150)'],
        [0.09804, 'rgb(135,0,152)'],
        [0.10196, 'rgb(130,0,153)'],
        [0.10588, 'rgb(119,0,155)'],
        [0.1098, 'rgb(109,0,156)'],
        [0.11373, 'rgb(98,0,157)'],
        [0.11765, 'rgb(87,0,159)'],
        [0.12157, 'rgb(77,0,160)'],
        [0.12549, 'rgb(66,0,161)'],
        [0.12941, 'rgb(55,0,163)'],
        [0.13333, 'rgb(45,0,164)'],
        [0.13725, 'rgb(34,0,165)'],
        [0.14118, 'rgb(23,0,167)'],
        [0.1451, 'rgb(13,0,168)'],
        [0.14902, 'rgb(2,0,169)'],
        [0.15294, 'rgb(0,0,173)'],
        [0.15686, 'rgb(0,0,177)'],
        [0.16078, 'rgb(0,0,181)'],
        [0.16471, 'rgb(0,0,185)'],
        [0.16863, 'rgb(0,0,189)'],
        [0.17255, 'rgb(0,0,193)'],
        [0.17647, 'rgb(0,0,197)'],
        [0.18039, 'rgb(0,0,201)'],
        [0.18431, 'rgb(0,0,205)'],
        [0.18824, 'rgb(0,0,209)'],
        [0.19216, 'rgb(0,0,213)'],
        [0.19608, 'rgb(0,0,217)'],
        [0.2, 'rgb(0,0,221)'],
        [0.20392, 'rgb(0,9,221)'],
        [0.20784, 'rgb(0,18,221)'],
        [0.21176, 'rgb(0,28,221)'],
        [0.21569, 'rgb(0,37,221)'],
        [0.21961, 'rgb(0,46,221)'],
        [0.22353, 'rgb(0,56,221)'],
        [0.22745, 'rgb(0,65,221)'],
        [0.23137, 'rgb(0,74,221)'],
        [0.23529, 'rgb(0,84,221)'],
        [0.23922, 'rgb(0,93,221)'],
        [0.24314, 'rgb(0,102,221)'],
        [0.24706, 'rgb(0,112,221)'],
        [0.25098, 'rgb(0,119,221)'],
        [0.2549, 'rgb(0,122,221)'],
        [0.25882, 'rgb(0,125,221)'],
        [0.26275, 'rgb(0,127,221)'],
        [0.26667, 'rgb(0,130,221)'],
        [0.27059, 'rgb(0,133,221)'],
        [0.27451, 'rgb(0,135,221)'],
        [0.27843, 'rgb(0,138,221)'],
        [0.28235, 'rgb(0,141,221)'],
        [0.28627, 'rgb(0,143,221)'],
        [0.2902, 'rgb(0,146,221)'],
        [0.29412, 'rgb(0,149,221)'],
        [0.29804, 'rgb(0,151,221)'],
        [0.30196, 'rgb(0,153,219)'],
        [0.30588, 'rgb(0,155,215)'],
        [0.3098, 'rgb(0,156,211)'],
        [0.31373, 'rgb(0,157,207)'],
        [0.31765, 'rgb(0,159,203)'],
        [0.32157, 'rgb(0,160,199)'],
        [0.32549, 'rgb(0,161,195)'],
        [0.32941, 'rgb(0,163,191)'],
        [0.33333, 'rgb(0,164,187)'],
        [0.33725, 'rgb(0,165,183)'],
        [0.34118, 'rgb(0,167,179)'],
        [0.3451, 'rgb(0,168,175)'],
        [0.34902, 'rgb(0,169,171)'],
        [0.35294, 'rgb(0,170,168)'],
        [0.35686, 'rgb(0,170,165)'],
        [0.36078, 'rgb(0,170,162)'],
        [0.36471, 'rgb(0,170,160)'],
        [0.36863, 'rgb(0,170,157)'],
        [0.37255, 'rgb(0,170,154)'],
        [0.37647, 'rgb(0,170,151)'],
        [0.38039, 'rgb(0,170,149)'],
        [0.38431, 'rgb(0,170,146)'],
        [0.38824, 'rgb(0,170,143)'],
        [0.39216, 'rgb(0,170,141)'],
        [0.39608, 'rgb(0,170,138)'],
        [0.4, 'rgb(0,170,135)'],
        [0.40392, 'rgb(0,168,125)'],
        [0.40784, 'rgb(0,167,114)'],
        [0.41176, 'rgb(0,166,103)'],
        [0.41569, 'rgb(0,164,93)'],
        [0.41961, 'rgb(0,163,82)'],
        [0.42353, 'rgb(0,162,71)'],
        [0.42745, 'rgb(0,160,61)'],
        [0.43137, 'rgb(0,159,50)'],
        [0.43529, 'rgb(0,158,39)'],
        [0.43922, 'rgb(0,156,29)'],
        [0.44314, 'rgb(0,155,18)'],
        [0.44706, 'rgb(0,154,7)'],
        [0.45098, 'rgb(0,153,0)'],
        [0.4549, 'rgb(0,156,0)'],
        [0.45882, 'rgb(0,158,0)'],
        [0.46275, 'rgb(0,161,0)'],
        [0.46667, 'rgb(0,164,0)'],
        [0.47059, 'rgb(0,166,0)'],
        [0.47451, 'rgb(0,169,0)'],
        [0.47843, 'rgb(0,172,0)'],
        [0.48235, 'rgb(0,174,0)'],
        [0.48627, 'rgb(0,177,0)'],
        [0.4902, 'rgb(0,180,0)'],
        [0.49412, 'rgb(0,182,0)'],
        [0.49804, 'rgb(0,185,0)'],
        [0.50196, 'rgb(0,188,0)'],
        [0.50588, 'rgb(0,190,0)'],
        [0.5098, 'rgb(0,193,0)'],
        [0.51373, 'rgb(0,196,0)'],
        [0.51765, 'rgb(0,198,0)'],
        [0.52157, 'rgb(0,201,0)'],
        [0.52549, 'rgb(0,204,0)'],
        [0.52941, 'rgb(0,207,0)'],
        [0.53333, 'rgb(0,209,0)'],
        [0.53725, 'rgb(0,212,0)'],
        [0.54118, 'rgb(0,215,0)'],
        [0.5451, 'rgb(0,217,0)'],
        [0.54902, 'rgb(0,220,0)'],
        [0.55294, 'rgb(0,223,0)'],
        [0.55686, 'rgb(0,225,0)'],
        [0.56078, 'rgb(0,228,0)'],
        [0.56471, 'rgb(0,231,0)'],
        [0.56863, 'rgb(0,233,0)'],
        [0.57255, 'rgb(0,236,0)'],
        [0.57647, 'rgb(0,239,0)'],
        [0.58039, 'rgb(0,241,0)'],
        [0.58431, 'rgb(0,244,0)'],
        [0.58824, 'rgb(0,247,0)'],
        [0.59216, 'rgb(0,249,0)'],
        [0.59608, 'rgb(0,252,0)'],
        [0.6, 'rgb(0,255,0)'],
        [0.60392, 'rgb(14,255,0)'],
        [0.60784, 'rgb(29,255,0)'],
        [0.61176, 'rgb(43,255,0)'],
        [0.61569, 'rgb(58,255,0)'],
        [0.61961, 'rgb(73,255,0)'],
        [0.62353, 'rgb(87,255,0)'],
        [0.62745, 'rgb(102,255,0)'],
        [0.63137, 'rgb(117,255,0)'],
        [0.63529, 'rgb(131,255,0)'],
        [0.63922, 'rgb(146,255,0)'],
        [0.64314, 'rgb(161,255,0)'],
        [0.64706, 'rgb(175,255,0)'],
        [0.65098, 'rgb(187,254,0)'],
        [0.6549, 'rgb(191,253,0)'],
        [0.65882, 'rgb(195,251,0)'],
        [0.66275, 'rgb(199,250,0)'],
        [0.66667, 'rgb(203,249,0)'],
        [0.67059, 'rgb(207,247,0)'],
        [0.67451, 'rgb(211,246,0)'],
        [0.67843, 'rgb(215,245,0)'],
        [0.68235, 'rgb(219,243,0)'],
        [0.68627, 'rgb(223,242,0)'],
        [0.6902, 'rgb(227,241,0)'],
        [0.69412, 'rgb(231,239,0)'],
        [0.69804, 'rgb(235,238,0)'],
        [0.70196, 'rgb(238,236,0)'],
        [0.70588, 'rgb(239,233,0)'],
        [0.7098, 'rgb(241,231,0)'],
        [0.71373, 'rgb(242,228,0)'],
        [0.71765, 'rgb(243,225,0)'],
        [0.72157, 'rgb(245,223,0)'],
        [0.72549, 'rgb(246,220,0)'],
        [0.72941, 'rgb(247,217,0)'],
        [0.73333, 'rgb(249,215,0)'],
        [0.73725, 'rgb(250,212,0)'],
        [0.74118, 'rgb(251,209,0)'],
        [0.7451, 'rgb(253,207,0)'],
        [0.74902, 'rgb(254,204,0)'],
        [0.75294, 'rgb(255,201,0)'],
        [0.75686, 'rgb(255,197,0)'],
        [0.76078, 'rgb(255,193,0)'],
        [0.76471, 'rgb(255,189,0)'],
        [0.76863, 'rgb(255,185,0)'],
        [0.77255, 'rgb(255,181,0)'],
        [0.77647, 'rgb(255,177,0)'],
        [0.78039, 'rgb(255,173,0)'],
        [0.78431, 'rgb(255,169,0)'],
        [0.78824, 'rgb(255,165,0)'],
        [0.79216, 'rgb(255,161,0)'],
        [0.79608, 'rgb(255,157,0)'],
        [0.8, 'rgb(255,153,0)'],
        [0.80392, 'rgb(255,141,0)'],
        [0.80784, 'rgb(255,129,0)'],
        [0.81176, 'rgb(255,117,0)'],
        [0.81569, 'rgb(255,105,0)'],
        [0.81961, 'rgb(255,93,0)'],
        [0.82353, 'rgb(255,81,0)'],
        [0.82745, 'rgb(255,69,0)'],
        [0.83137, 'rgb(255,57,0)'],
        [0.83529, 'rgb(255,44,0)'],
        [0.83922, 'rgb(255,32,0)'],
        [0.84314, 'rgb(255,20,0)'],
        [0.84706, 'rgb(255,8,0)'],
        [0.85098, 'rgb(254,0,0)'],
        [0.8549, 'rgb(251,0,0)'],
        [0.85882, 'rgb(249,0,0)'],
        [0.86275, 'rgb(246,0,0)'],
        [0.86667, 'rgb(243,0,0)'],
        [0.87059, 'rgb(241,0,0)'],
        [0.87451, 'rgb(238,0,0)'],
        [0.87843, 'rgb(235,0,0)'],
        [0.88235, 'rgb(233,0,0)'],
        [0.88627, 'rgb(230,0,0)'],
        [0.8902, 'rgb(227,0,0)'],
        [0.89412, 'rgb(225,0,0)'],
        [0.89804, 'rgb(222,0,0)'],
        [0.90196, 'rgb(220,0,0)'],
        [0.90588, 'rgb(219,0,0)'],
        [0.9098, 'rgb(217,0,0)'],
        [0.91373, 'rgb(216,0,0)'],
        [0.91765, 'rgb(215,0,0)'],
        [0.92157, 'rgb(213,0,0)'],
        [0.92549, 'rgb(212,0,0)'],
        [0.92941, 'rgb(211,0,0)'],
        [0.93333, 'rgb(209,0,0)'],
        [0.93725, 'rgb(208,0,0)'],
        [0.94118, 'rgb(207,0,0)'],
        [0.9451, 'rgb(205,0,0)'],
        [0.94902, 'rgb(204,0,0)'],
        [0.95294, 'rgb(204,12,12)'],
        [0.95686, 'rgb(204,27,27)'],
        [0.96078, 'rgb(204,44,44)'],
        [0.96471, 'rgb(204,60,60)'],
        [0.96863, 'rgb(204,76,76)'],
        [0.97255, 'rgb(204,92,92)'],
        [0.97647, 'rgb(204,108,108)'],
        [0.98039, 'rgb(204,124,124)'],
        [0.98431, 'rgb(204,140,140)'],
        [0.98824, 'rgb(204,156,156)'],
        [0.99216, 'rgb(204,172,172)'],
        [0.99608, 'rgb(204,188,188)'],
        [1.0, 'rgb(204,204,204)'],
    ],
    'ocean': [
        [0.0, 'rgb(0,127,0)'],
        [0.00392, 'rgb(0,126,1)'],
        [0.00784, 'rgb(0,124,2)'],
        [0.01176, 'rgb(0,123,3)'],
        [0.01569, 'rgb(0,121,4)'],
        [0.01961, 'rgb(0,120,5)'],
        [0.02353, 'rgb(0,118,6)'],
        [0.02745, 'rgb(0,117,7)'],
        [0.03137, 'rgb(0,115,8)'],
        [0.03529, 'rgb(0,114,9)'],
        [0.03922, 'rgb(0,112,10)'],
        [0.04314, 'rgb(0,111,11)'],
        [0.04706, 'rgb(0,109,12)'],
        [0.05098, 'rgb(0,108,13)'],
        [0.0549, 'rgb(0,106,14)'],
        [0.05882, 'rgb(0,105,15)'],
        [0.06275, 'rgb(0,103,16)'],
        [0.06667, 'rgb(0,102,17)'],
        [0.07059, 'rgb(0,100,18)'],
        [0.07451, 'rgb(0,99,19)'],
        [0.07843, 'rgb(0,97,20)'],
        [0.08235, 'rgb(0,96,21)'],
        [0.08627, 'rgb(0,94,22)'],
        [0.0902, 'rgb(0,93,23)'],
        [0.09412, 'rgb(0,91,24)'],
        [0.09804, 'rgb(0,89,25)'],
        [0.10196, 'rgb(0,88,26)'],
        [0.10588, 'rgb(0,87,27)'],
        [0.1098, 'rgb(0,85,28)'],
        [0.11373, 'rgb(0,84,29)'],
        [0.11765, 'rgb(0,82,30)'],
        [0.12157, 'rgb(0,81,31)'],
        [0.12549, 'rgb(0,79,32)'],
        [0.12941, 'rgb(0,78,32)'],
        [0.13333, 'rgb(0,76,34)'],
        [0.13725, 'rgb(0,74,35)'],
        [0.14118, 'rgb(0,73,36)'],
        [0.1451, 'rgb(0,72,36)'],
        [0.14902, 'rgb(0,70,38)'],
        [0.15294, 'rgb(0,69,39)'],
        [0.15686, 'rgb(0,67,40)'],
        [0.16078, 'rgb(0,66,40)'],
        [0.16471, 'rgb(0,64,42)'],
        [0.16863, 'rgb(0,63,43)'],
        [0.17255, 'rgb(0,61,44)'],
        [0.17647, 'rgb(0,60,44)'],
        [0.18039, 'rgb(0,58,46)'],
        [0.18431, 'rgb(0,56,47)'],
        [0.18824, 'rgb(0,55,48)'],
        [0.19216, 'rgb(0,54,48)'],
        [0.19608, 'rgb(0,52,50)'],
        [0.2, 'rgb(0,50,51)'],
        [0.20392, 'rgb(0,49,52)'],
        [0.20784, 'rgb(0,48,52)'],
        [0.21176, 'rgb(0,46,54)'],
        [0.21569, 'rgb(0,44,55)'],
        [0.21961, 'rgb(0,43,56)'],
        [0.22353, 'rgb(0,42,56)'],
        [0.22745, 'rgb(0,40,58)'],
        [0.23137, 'rgb(0,39,59)'],
        [0.23529, 'rgb(0,37,60)'],
        [0.23922, 'rgb(0,36,60)'],
        [0.24314, 'rgb(0,34,62)'],
        [0.24706, 'rgb(0,32,63)'],
        [0.25098, 'rgb(0,31,64)'],
        [0.2549, 'rgb(0,30,65)'],
        [0.25882, 'rgb(0,28,65)'],
        [0.26275, 'rgb(0,26,67)'],
        [0.26667, 'rgb(0,25,68)'],
        [0.27059, 'rgb(0,24,69)'],
        [0.27451, 'rgb(0,22,70)'],
        [0.27843, 'rgb(0,20,71)'],
        [0.28235, 'rgb(0,19,72)'],
        [0.28627, 'rgb(0,18,73)'],
        [0.2902, 'rgb(0,16,73)'],
        [0.29412, 'rgb(0,15,75)'],
        [0.29804, 'rgb(0,13,76)'],
        [0.30196, 'rgb(0,12,77)'],
        [0.30588, 'rgb(0,10,78)'],
        [0.3098, 'rgb(0,8,79)'],
        [0.31373, 'rgb(0,7,80)'],
        [0.31765, 'rgb(0,6,81)'],
        [0.32157, 'rgb(0,4,81)'],
        [0.32549, 'rgb(0,2,83)'],
        [0.32941, 'rgb(0,1,84)'],
        [0.33333, 'rgb(0,0,85)'],
        [0.33725, 'rgb(0,1,86)'],
        [0.34118, 'rgb(0,2,87)'],
        [0.3451, 'rgb(0,4,88)'],
        [0.34902, 'rgb(0,5,89)'],
        [0.35294, 'rgb(0,7,89)'],
        [0.35686, 'rgb(0,8,91)'],
        [0.36078, 'rgb(0,10,92)'],
        [0.36471, 'rgb(0,11,93)'],
        [0.36863, 'rgb(0,13,94)'],
        [0.37255, 'rgb(0,15,95)'],
        [0.37647, 'rgb(0,16,96)'],
        [0.38039, 'rgb(0,17,97)'],
        [0.38431, 'rgb(0,19,97)'],
        [0.38824, 'rgb(0,21,99)'],
        [0.39216, 'rgb(0,22,100)'],
        [0.39608, 'rgb(0,24,101)'],
        [0.4, 'rgb(0,25,102)'],
        [0.40392, 'rgb(0,27,103)'],
        [0.40784, 'rgb(0,28,104)'],
        [0.41176, 'rgb(0,30,105)'],
        [0.41569, 'rgb(0,31,105)'],
        [0.41961, 'rgb(0,32,107)'],
        [0.42353, 'rgb(0,34,108)'],
        [0.42745, 'rgb(0,35,109)'],
        [0.43137, 'rgb(0,37,110)'],
        [0.43529, 'rgb(0,39,111)'],
        [0.43922, 'rgb(0,40,112)'],
        [0.44314, 'rgb(0,41,113)'],
        [0.44706, 'rgb(0,43,113)'],
        [0.45098, 'rgb(0,45,115)'],
        [0.4549, 'rgb(0,46,116)'],
        [0.45882, 'rgb(0,48,117)'],
        [0.46275, 'rgb(0,49,118)'],
        [0.46667, 'rgb(0,50,119)'],
        [0.47059, 'rgb(0,52,120)'],
        [0.47451, 'rgb(0,53,121)'],
        [0.47843, 'rgb(0,55,121)'],
        [0.48235, 'rgb(0,56,123)'],
        [0.48627, 'rgb(0,58,124)'],
        [0.4902, 'rgb(0,59,125)'],
        [0.49412, 'rgb(0,61,126)'],
        [0.49804, 'rgb(0,63,127)'],
        [0.50196, 'rgb(0,64,128)'],
        [0.50588, 'rgb(0,65,129)'],
        [0.5098, 'rgb(0,67,130)'],
        [0.51373, 'rgb(0,68,131)'],
        [0.51765, 'rgb(0,70,131)'],
        [0.52157, 'rgb(0,72,133)'],
        [0.52549, 'rgb(0,73,134)'],
        [0.52941, 'rgb(0,75,135)'],
        [0.53333, 'rgb(0,76,136)'],
        [0.53725, 'rgb(0,78,137)'],
        [0.54118, 'rgb(0,79,138)'],
        [0.5451, 'rgb(0,81,139)'],
        [0.54902, 'rgb(0,82,140)'],
        [0.55294, 'rgb(0,84,141)'],
        [0.55686, 'rgb(0,85,142)'],
        [0.56078, 'rgb(0,87,143)'],
        [0.56471, 'rgb(0,88,144)'],
        [0.56863, 'rgb(0,89,145)'],
        [0.57255, 'rgb(0,91,146)'],
        [0.57647, 'rgb(0,92,147)'],
        [0.58039, 'rgb(0,94,147)'],
        [0.58431, 'rgb(0,96,149)'],
        [0.58824, 'rgb(0,97,150)'],
        [0.59216, 'rgb(0,98,151)'],
        [0.59608, 'rgb(0,100,152)'],
        [0.6, 'rgb(0,101,153)'],
        [0.60392, 'rgb(0,103,154)'],
        [0.60784, 'rgb(0,104,155)'],
        [0.61176, 'rgb(0,106,156)'],
        [0.61569, 'rgb(0,108,157)'],
        [0.61961, 'rgb(0,109,158)'],
        [0.62353, 'rgb(0,111,159)'],
        [0.62745, 'rgb(0,112,160)'],
        [0.63137, 'rgb(0,113,161)'],
        [0.63529, 'rgb(0,115,162)'],
        [0.63922, 'rgb(0,116,163)'],
        [0.64314, 'rgb(0,118,163)'],
        [0.64706, 'rgb(0,120,165)'],
        [0.65098, 'rgb(0,121,166)'],
        [0.6549, 'rgb(0,123,167)'],
        [0.65882, 'rgb(0,124,168)'],
        [0.66275, 'rgb(0,126,169)'],
        [0.66667, 'rgb(0,127,170)'],
        [0.67059, 'rgb(2,129,171)'],
        [0.67451, 'rgb(5,130,172)'],
        [0.67843, 'rgb(8,131,173)'],
        [0.68235, 'rgb(11,133,174)'],
        [0.68627, 'rgb(14,134,175)'],
        [0.6902, 'rgb(17,136,176)'],
        [0.69412, 'rgb(20,137,177)'],
        [0.69804, 'rgb(23,139,178)'],
        [0.70196, 'rgb(26,140,179)'],
        [0.70588, 'rgb(29,142,179)'],
        [0.7098, 'rgb(32,144,181)'],
        [0.71373, 'rgb(35,145,182)'],
        [0.71765, 'rgb(38,147,183)'],
        [0.72157, 'rgb(41,148,184)'],
        [0.72549, 'rgb(44,149,185)'],
        [0.72941, 'rgb(47,151,186)'],
        [0.73333, 'rgb(50,152,187)'],
        [0.73725, 'rgb(54,154,188)'],
        [0.74118, 'rgb(57,156,189)'],
        [0.7451, 'rgb(60,157,190)'],
        [0.74902, 'rgb(63,159,191)'],
        [0.75294, 'rgb(65,160,192)'],
        [0.75686, 'rgb(68,162,193)'],
        [0.76078, 'rgb(71,163,194)'],
        [0.76471, 'rgb(74,164,195)'],
        [0.76863, 'rgb(77,166,195)'],
        [0.77255, 'rgb(81,168,197)'],
        [0.77647, 'rgb(84,169,198)'],
        [0.78039, 'rgb(87,171,199)'],
        [0.78431, 'rgb(90,172,200)'],
        [0.78824, 'rgb(93,174,201)'],
        [0.79216, 'rgb(96,175,202)'],
        [0.79608, 'rgb(98,177,203)'],
        [0.8, 'rgb(102,178,204)'],
        [0.80392, 'rgb(105,180,205)'],
        [0.80784, 'rgb(108,181,206)'],
        [0.81176, 'rgb(111,183,207)'],
        [0.81569, 'rgb(114,184,208)'],
        [0.81961, 'rgb(117,186,209)'],
        [0.82353, 'rgb(120,187,210)'],
        [0.82745, 'rgb(123,189,211)'],
        [0.83137, 'rgb(126,190,211)'],
        [0.83529, 'rgb(129,192,213)'],
        [0.83922, 'rgb(131,193,214)'],
        [0.84314, 'rgb(134,195,215)'],
        [0.84706, 'rgb(137,196,216)'],
        [0.85098, 'rgb(140,197,217)'],
        [0.8549, 'rgb(143,199,218)'],
        [0.85882, 'rgb(146,200,219)'],
        [0.86275, 'rgb(150,202,220)'],
        [0.86667, 'rgb(153,204,221)'],
        [0.87059, 'rgb(156,205,222)'],
        [0.87451, 'rgb(159,207,223)'],
        [0.87843, 'rgb(162,208,224)'],
        [0.88235, 'rgb(164,210,225)'],
        [0.88627, 'rgb(167,211,226)'],
        [0.8902, 'rgb(170,212,227)'],
        [0.89412, 'rgb(173,214,227)'],
        [0.89804, 'rgb(177,216,229)'],
        [0.90196, 'rgb(180,217,230)'],
        [0.90588, 'rgb(183,219,231)'],
        [0.9098, 'rgb(186,220,232)'],
        [0.91373, 'rgb(189,222,233)'],
        [0.91765, 'rgb(192,223,234)'],
        [0.92157, 'rgb(195,225,235)'],
        [0.92549, 'rgb(197,226,236)'],
        [0.92941, 'rgb(200,227,237)'],
        [0.93333, 'rgb(203,229,238)'],
        [0.93725, 'rgb(206,230,239)'],
        [0.94118, 'rgb(209,232,240)'],
        [0.9451, 'rgb(212,233,241)'],
        [0.94902, 'rgb(215,235,242)'],
        [0.95294, 'rgb(218,236,243)'],
        [0.95686, 'rgb(221,238,243)'],
        [0.96078, 'rgb(225,240,245)'],
        [0.96471, 'rgb(227,241,246)'],
        [0.96863, 'rgb(230,243,247)'],
        [0.97255, 'rgb(233,244,248)'],
        [0.97647, 'rgb(236,245,249)'],
        [0.98039, 'rgb(239,247,250)'],
        [0.98431, 'rgb(242,248,251)'],
        [0.98824, 'rgb(246,250,252)'],
        [0.99216, 'rgb(249,252,253)'],
        [0.99608, 'rgb(252,253,254)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'pink': [
        [0.0, 'rgb(30,0,0)'],
        [0.00392, 'rgb(34,6,6)'],
        [0.00784, 'rgb(39,12,12)'],
        [0.01176, 'rgb(44,19,19)'],
        [0.01569, 'rgb(49,25,25)'],
        [0.01961, 'rgb(53,28,28)'],
        [0.02353, 'rgb(56,31,31)'],
        [0.02745, 'rgb(60,34,34)'],
        [0.03137, 'rgb(63,36,36)'],
        [0.03529, 'rgb(66,38,38)'],
        [0.03922, 'rgb(69,41,41)'],
        [0.04314, 'rgb(72,43,43)'],
        [0.04706, 'rgb(74,45,45)'],
        [0.05098, 'rgb(77,46,46)'],
        [0.0549, 'rgb(79,48,48)'],
        [0.05882, 'rgb(82,50,50)'],
        [0.06275, 'rgb(84,52,52)'],
        [0.06667, 'rgb(87,53,53)'],
        [0.07059, 'rgb(89,55,55)'],
        [0.07451, 'rgb(91,56,56)'],
        [0.07843, 'rgb(93,58,58)'],
        [0.08235, 'rgb(95,59,59)'],
        [0.08627, 'rgb(97,61,61)'],
        [0.0902, 'rgb(99,62,62)'],
        [0.09412, 'rgb(101,63,63)'],
        [0.09804, 'rgb(103,65,65)'],
        [0.10196, 'rgb(105,66,66)'],
        [0.10588, 'rgb(107,67,67)'],
        [0.1098, 'rgb(109,68,68)'],
        [0.11373, 'rgb(110,70,70)'],
        [0.11765, 'rgb(112,71,71)'],
        [0.12157, 'rgb(114,72,72)'],
        [0.12549, 'rgb(116,73,73)'],
        [0.12941, 'rgb(117,74,74)'],
        [0.13333, 'rgb(119,75,75)'],
        [0.13725, 'rgb(121,77,77)'],
        [0.14118, 'rgb(122,78,78)'],
        [0.1451, 'rgb(124,79,79)'],
        [0.14902, 'rgb(125,80,80)'],
        [0.15294, 'rgb(127,81,81)'],
        [0.15686, 'rgb(128,82,82)'],
        [0.16078, 'rgb(130,83,83)'],
        [0.16471, 'rgb(131,84,84)'],
        [0.16863, 'rgb(133,85,85)'],
        [0.17255, 'rgb(134,86,86)'],
        [0.17647, 'rgb(136,87,87)'],
        [0.18039, 'rgb(137,88,88)'],
        [0.18431, 'rgb(139,89,89)'],
        [0.18824, 'rgb(140,90,90)'],
        [0.19216, 'rgb(141,91,91)'],
        [0.19608, 'rgb(143,92,92)'],
        [0.2, 'rgb(144,93,93)'],
        [0.20392, 'rgb(146,94,94)'],
        [0.20784, 'rgb(147,94,94)'],
        [0.21176, 'rgb(148,95,95)'],
        [0.21569, 'rgb(150,96,96)'],
        [0.21961, 'rgb(151,97,97)'],
        [0.22353, 'rgb(152,98,98)'],
        [0.22745, 'rgb(153,99,99)'],
        [0.23137, 'rgb(155,100,100)'],
        [0.23529, 'rgb(156,100,100)'],
        [0.23922, 'rgb(157,101,101)'],
        [0.24314, 'rgb(158,102,102)'],
        [0.24706, 'rgb(160,103,103)'],
        [0.25098, 'rgb(161,104,104)'],
        [0.2549, 'rgb(162,105,105)'],
        [0.25882, 'rgb(163,105,105)'],
        [0.26275, 'rgb(165,106,106)'],
        [0.26667, 'rgb(166,107,107)'],
        [0.27059, 'rgb(167,108,108)'],
        [0.27451, 'rgb(168,109,109)'],
        [0.27843, 'rgb(169,109,109)'],
        [0.28235, 'rgb(170,110,110)'],
        [0.28627, 'rgb(172,111,111)'],
        [0.2902, 'rgb(173,112,112)'],
        [0.29412, 'rgb(174,112,112)'],
        [0.29804, 'rgb(175,113,113)'],
        [0.30196, 'rgb(176,114,114)'],
        [0.30588, 'rgb(177,115,115)'],
        [0.3098, 'rgb(178,115,115)'],
        [0.31373, 'rgb(179,116,116)'],
        [0.31765, 'rgb(180,117,117)'],
        [0.32157, 'rgb(182,118,118)'],
        [0.32549, 'rgb(183,118,118)'],
        [0.32941, 'rgb(184,119,119)'],
        [0.33333, 'rgb(185,120,120)'],
        [0.33725, 'rgb(186,120,120)'],
        [0.34118, 'rgb(187,121,121)'],
        [0.3451, 'rgb(188,122,122)'],
        [0.34902, 'rgb(189,123,123)'],
        [0.35294, 'rgb(190,123,123)'],
        [0.35686, 'rgb(191,124,124)'],
        [0.36078, 'rgb(192,125,125)'],
        [0.36471, 'rgb(193,125,125)'],
        [0.36863, 'rgb(194,127,126)'],
        [0.37255, 'rgb(194,128,127)'],
        [0.37647, 'rgb(194,130,127)'],
        [0.38039, 'rgb(195,131,128)'],
        [0.38431, 'rgb(195,133,129)'],
        [0.38824, 'rgb(196,134,129)'],
        [0.39216, 'rgb(196,136,130)'],
        [0.39608, 'rgb(197,137,131)'],
        [0.4, 'rgb(197,139,131)'],
        [0.40392, 'rgb(197,140,132)'],
        [0.40784, 'rgb(198,141,132)'],
        [0.41176, 'rgb(198,143,133)'],
        [0.41569, 'rgb(199,144,134)'],
        [0.41961, 'rgb(199,145,134)'],
        [0.42353, 'rgb(200,147,135)'],
        [0.42745, 'rgb(200,148,136)'],
        [0.43137, 'rgb(200,149,136)'],
        [0.43529, 'rgb(201,151,137)'],
        [0.43922, 'rgb(201,152,137)'],
        [0.44314, 'rgb(202,153,138)'],
        [0.44706, 'rgb(202,155,139)'],
        [0.45098, 'rgb(203,156,139)'],
        [0.4549, 'rgb(203,157,140)'],
        [0.45882, 'rgb(203,158,141)'],
        [0.46275, 'rgb(204,160,141)'],
        [0.46667, 'rgb(204,161,142)'],
        [0.47059, 'rgb(205,162,142)'],
        [0.47451, 'rgb(205,163,143)'],
        [0.47843, 'rgb(205,164,144)'],
        [0.48235, 'rgb(206,166,144)'],
        [0.48627, 'rgb(206,167,145)'],
        [0.4902, 'rgb(207,168,145)'],
        [0.49412, 'rgb(207,169,146)'],
        [0.49804, 'rgb(208,170,146)'],
        [0.50196, 'rgb(208,171,147)'],
        [0.50588, 'rgb(208,173,148)'],
        [0.5098, 'rgb(209,174,148)'],
        [0.51373, 'rgb(209,175,149)'],
        [0.51765, 'rgb(210,176,149)'],
        [0.52157, 'rgb(210,177,150)'],
        [0.52549, 'rgb(210,178,150)'],
        [0.52941, 'rgb(211,179,151)'],
        [0.53333, 'rgb(211,180,152)'],
        [0.53725, 'rgb(212,181,152)'],
        [0.54118, 'rgb(212,182,153)'],
        [0.5451, 'rgb(212,184,153)'],
        [0.54902, 'rgb(213,185,154)'],
        [0.55294, 'rgb(213,186,154)'],
        [0.55686, 'rgb(214,187,155)'],
        [0.56078, 'rgb(214,188,155)'],
        [0.56471, 'rgb(214,189,156)'],
        [0.56863, 'rgb(215,190,157)'],
        [0.57255, 'rgb(215,191,157)'],
        [0.57647, 'rgb(216,192,158)'],
        [0.58039, 'rgb(216,193,158)'],
        [0.58431, 'rgb(216,194,159)'],
        [0.58824, 'rgb(217,195,159)'],
        [0.59216, 'rgb(217,196,160)'],
        [0.59608, 'rgb(217,197,160)'],
        [0.6, 'rgb(218,198,161)'],
        [0.60392, 'rgb(218,199,161)'],
        [0.60784, 'rgb(219,200,162)'],
        [0.61176, 'rgb(219,201,162)'],
        [0.61569, 'rgb(219,202,163)'],
        [0.61961, 'rgb(220,203,163)'],
        [0.62353, 'rgb(220,204,164)'],
        [0.62745, 'rgb(221,205,164)'],
        [0.63137, 'rgb(221,206,165)'],
        [0.63529, 'rgb(221,207,165)'],
        [0.63922, 'rgb(222,208,166)'],
        [0.64314, 'rgb(222,209,166)'],
        [0.64706, 'rgb(222,209,167)'],
        [0.65098, 'rgb(223,210,167)'],
        [0.6549, 'rgb(223,211,168)'],
        [0.65882, 'rgb(224,212,168)'],
        [0.66275, 'rgb(224,213,169)'],
        [0.66667, 'rgb(224,214,170)'],
        [0.67059, 'rgb(225,215,170)'],
        [0.67451, 'rgb(225,216,170)'],
        [0.67843, 'rgb(226,217,171)'],
        [0.68235, 'rgb(226,218,171)'],
        [0.68627, 'rgb(226,219,172)'],
        [0.6902, 'rgb(227,220,172)'],
        [0.69412, 'rgb(227,220,173)'],
        [0.69804, 'rgb(227,221,173)'],
        [0.70196, 'rgb(228,222,174)'],
        [0.70588, 'rgb(228,223,174)'],
        [0.7098, 'rgb(229,224,175)'],
        [0.71373, 'rgb(229,225,175)'],
        [0.71765, 'rgb(229,226,176)'],
        [0.72157, 'rgb(230,227,176)'],
        [0.72549, 'rgb(230,227,177)'],
        [0.72941, 'rgb(230,228,177)'],
        [0.73333, 'rgb(231,229,178)'],
        [0.73725, 'rgb(231,230,178)'],
        [0.74118, 'rgb(231,231,179)'],
        [0.7451, 'rgb(232,232,179)'],
        [0.74902, 'rgb(232,232,180)'],
        [0.75294, 'rgb(233,233,182)'],
        [0.75686, 'rgb(233,233,183)'],
        [0.76078, 'rgb(233,233,185)'],
        [0.76471, 'rgb(234,234,186)'],
        [0.76863, 'rgb(234,234,187)'],
        [0.77255, 'rgb(234,234,189)'],
        [0.77647, 'rgb(235,235,190)'],
        [0.78039, 'rgb(235,235,191)'],
        [0.78431, 'rgb(235,235,193)'],
        [0.78824, 'rgb(236,236,194)'],
        [0.79216, 'rgb(236,236,195)'],
        [0.79608, 'rgb(237,237,196)'],
        [0.8, 'rgb(237,237,198)'],
        [0.80392, 'rgb(237,237,199)'],
        [0.80784, 'rgb(238,238,200)'],
        [0.81176, 'rgb(238,238,201)'],
        [0.81569, 'rgb(238,238,203)'],
        [0.81961, 'rgb(239,239,204)'],
        [0.82353, 'rgb(239,239,205)'],
        [0.82745, 'rgb(239,239,206)'],
        [0.83137, 'rgb(240,240,208)'],
        [0.83529, 'rgb(240,240,209)'],
        [0.83922, 'rgb(240,240,210)'],
        [0.84314, 'rgb(241,241,211)'],
        [0.84706, 'rgb(241,241,212)'],
        [0.85098, 'rgb(242,242,214)'],
        [0.8549, 'rgb(242,242,215)'],
        [0.85882, 'rgb(242,242,216)'],
        [0.86275, 'rgb(243,243,217)'],
        [0.86667, 'rgb(243,243,218)'],
        [0.87059, 'rgb(243,243,219)'],
        [0.87451, 'rgb(244,244,221)'],
        [0.87843, 'rgb(244,244,222)'],
        [0.88235, 'rgb(244,244,223)'],
        [0.88627, 'rgb(245,245,224)'],
        [0.8902, 'rgb(245,245,225)'],
        [0.89412, 'rgb(245,245,226)'],
        [0.89804, 'rgb(246,246,227)'],
        [0.90196, 'rgb(246,246,228)'],
        [0.90588, 'rgb(246,246,230)'],
        [0.9098, 'rgb(247,247,231)'],
        [0.91373, 'rgb(247,247,232)'],
        [0.91765, 'rgb(247,247,233)'],
        [0.92157, 'rgb(248,248,234)'],
        [0.92549, 'rgb(248,248,235)'],
        [0.92941, 'rgb(248,248,236)'],
        [0.93333, 'rgb(249,249,237)'],
        [0.93725, 'rgb(249,249,238)'],
        [0.94118, 'rgb(249,249,239)'],
        [0.9451, 'rgb(250,250,240)'],
        [0.94902, 'rgb(250,250,241)'],
        [0.95294, 'rgb(250,250,242)'],
        [0.95686, 'rgb(251,251,243)'],
        [0.96078, 'rgb(251,251,244)'],
        [0.96471, 'rgb(251,251,245)'],
        [0.96863, 'rgb(252,252,246)'],
        [0.97255, 'rgb(252,252,247)'],
        [0.97647, 'rgb(252,252,248)'],
        [0.98039, 'rgb(253,253,249)'],
        [0.98431, 'rgb(253,253,251)'],
        [0.98824, 'rgb(253,253,252)'],
        [0.99216, 'rgb(254,254,253)'],
        [0.99608, 'rgb(254,254,254)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'prism': [
        [0.0, 'rgb(255,0,0)'],
        [0.00392, 'rgb(255,0,0)'],
        [0.00784, 'rgb(255,33,0)'],
        [0.01176, 'rgb(255,81,0)'],
        [0.01569, 'rgb(255,130,0)'],
        [0.01961, 'rgb(255,176,0)'],
        [0.02353, 'rgb(255,215,0)'],
        [0.02745, 'rgb(255,246,0)'],
        [0.03137, 'rgb(226,255,0)'],
        [0.03529, 'rgb(178,255,0)'],
        [0.03922, 'rgb(129,255,0)'],
        [0.04314, 'rgb(83,254,0)'],
        [0.04706, 'rgb(42,226,0)'],
        [0.05098, 'rgb(10,188,57)'],
        [0.0549, 'rgb(0,144,125)'],
        [0.05882, 'rgb(0,96,185)'],
        [0.06275, 'rgb(0,47,232)'],
        [0.06667, 'rgb(0,0,255)'],
        [0.07059, 'rgb(25,0,255)'],
        [0.07451, 'rgb(61,0,255)'],
        [0.07843, 'rgb(105,0,254)'],
        [0.08235, 'rgb(153,0,215)'],
        [0.08627, 'rgb(202,0,162)'],
        [0.0902, 'rgb(249,0,99)'],
        [0.09412, 'rgb(255,0,28)'],
        [0.09804, 'rgb(255,0,0)'],
        [0.10196, 'rgb(255,14,0)'],
        [0.10588, 'rgb(255,61,0)'],
        [0.1098, 'rgb(255,111,0)'],
        [0.11373, 'rgb(255,158,0)'],
        [0.11765, 'rgb(255,200,0)'],
        [0.12157, 'rgb(255,235,0)'],
        [0.12549, 'rgb(245,255,0)'],
        [0.12941, 'rgb(197,255,0)'],
        [0.13333, 'rgb(148,255,0)'],
        [0.13725, 'rgb(101,255,0)'],
        [0.14118, 'rgb(58,238,0)'],
        [0.1451, 'rgb(22,204,28)'],
        [0.14902, 'rgb(0,163,98)'],
        [0.15294, 'rgb(0,116,162)'],
        [0.15686, 'rgb(0,67,215)'],
        [0.16078, 'rgb(0,19,253)'],
        [0.16471, 'rgb(13,0,255)'],
        [0.16863, 'rgb(46,0,255)'],
        [0.17255, 'rgb(87,0,255)'],
        [0.17647, 'rgb(133,0,232)'],
        [0.18039, 'rgb(182,0,185)'],
        [0.18431, 'rgb(231,0,125)'],
        [0.18824, 'rgb(255,0,57)'],
        [0.19216, 'rgb(255,0,0)'],
        [0.19608, 'rgb(255,0,0)'],
        [0.2, 'rgb(255,42,0)'],
        [0.20392, 'rgb(255,91,0)'],
        [0.20784, 'rgb(255,139,0)'],
        [0.21176, 'rgb(255,184,0)'],
        [0.21569, 'rgb(255,222,0)'],
        [0.21961, 'rgb(255,251,0)'],
        [0.22353, 'rgb(217,255,0)'],
        [0.22745, 'rgb(168,255,0)'],
        [0.23137, 'rgb(119,255,0)'],
        [0.23529, 'rgb(74,249,0)'],
        [0.23922, 'rgb(35,219,0)'],
        [0.24314, 'rgb(5,180,71)'],
        [0.24706, 'rgb(0,135,137)'],
        [0.25098, 'rgb(0,86,195)'],
        [0.2549, 'rgb(0,38,240)'],
        [0.25882, 'rgb(3,0,255)'],
        [0.26275, 'rgb(32,0,255)'],
        [0.26667, 'rgb(70,0,255)'],
        [0.27059, 'rgb(114,0,247)'],
        [0.27451, 'rgb(163,0,206)'],
        [0.27843, 'rgb(212,0,150)'],
        [0.28235, 'rgb(255,0,85)'],
        [0.28627, 'rgb(255,0,14)'],
        [0.2902, 'rgb(255,0,0)'],
        [0.29412, 'rgb(255,23,0)'],
        [0.29804, 'rgb(255,71,0)'],
        [0.30196, 'rgb(255,120,0)'],
        [0.30588, 'rgb(255,167,0)'],
        [0.3098, 'rgb(255,208,0)'],
        [0.31373, 'rgb(255,241,0)'],
        [0.31765, 'rgb(236,255,0)'],
        [0.32157, 'rgb(188,255,0)'],
        [0.32549, 'rgb(139,255,0)'],
        [0.32941, 'rgb(92,255,0)'],
        [0.33333, 'rgb(50,232,0)'],
        [0.33725, 'rgb(16,197,42)'],
        [0.34118, 'rgb(0,154,111)'],
        [0.3451, 'rgb(0,106,173)'],
        [0.34902, 'rgb(0,57,224)'],
        [0.35294, 'rgb(0,10,255)'],
        [0.35686, 'rgb(19,0,255)'],
        [0.36078, 'rgb(53,0,255)'],
        [0.36471, 'rgb(96,0,255)'],
        [0.36863, 'rgb(143,0,224)'],
        [0.37255, 'rgb(192,0,174)'],
        [0.37647, 'rgb(240,0,112)'],
        [0.38039, 'rgb(255,0,43)'],
        [0.38431, 'rgb(255,0,0)'],
        [0.38824, 'rgb(255,4,0)'],
        [0.39216, 'rgb(255,51,0)'],
        [0.39608, 'rgb(255,100,0)'],
        [0.4, 'rgb(255,148,0)'],
        [0.40392, 'rgb(255,192,0)'],
        [0.40784, 'rgb(255,229,0)'],
        [0.41176, 'rgb(254,255,0)'],
        [0.41569, 'rgb(207,255,0)'],
        [0.41961, 'rgb(158,255,0)'],
        [0.42353, 'rgb(110,255,0)'],
        [0.42745, 'rgb(66,244,0)'],
        [0.43137, 'rgb(29,212,13)'],
        [0.43529, 'rgb(1,172,84)'],
        [0.43922, 'rgb(0,126,150)'],
        [0.44314, 'rgb(0,77,205)'],
        [0.44706, 'rgb(0,28,247)'],
        [0.45098, 'rgb(7,0,255)'],
        [0.4549, 'rgb(38,0,255)'],
        [0.45882, 'rgb(78,0,255)'],
        [0.46275, 'rgb(124,0,240)'],
        [0.46667, 'rgb(172,0,196)'],
        [0.47059, 'rgb(221,0,138)'],
        [0.47451, 'rgb(255,0,72)'],
        [0.47843, 'rgb(255,0,0)'],
        [0.48235, 'rgb(255,0,0)'],
        [0.48627, 'rgb(255,32,0)'],
        [0.4902, 'rgb(255,81,0)'],
        [0.49412, 'rgb(255,129,0)'],
        [0.49804, 'rgb(255,175,0)'],
        [0.50196, 'rgb(255,215,0)'],
        [0.50588, 'rgb(255,246,0)'],
        [0.5098, 'rgb(227,255,0)'],
        [0.51373, 'rgb(178,255,0)'],
        [0.51765, 'rgb(129,255,0)'],
        [0.52157, 'rgb(83,254,0)'],
        [0.52549, 'rgb(43,226,0)'],
        [0.52941, 'rgb(11,189,56)'],
        [0.53333, 'rgb(0,145,124)'],
        [0.53725, 'rgb(0,96,184)'],
        [0.54118, 'rgb(0,47,232)'],
        [0.5451, 'rgb(0,1,255)'],
        [0.54902, 'rgb(25,0,255)'],
        [0.55294, 'rgb(61,0,255)'],
        [0.55686, 'rgb(105,0,254)'],
        [0.56078, 'rgb(153,0,215)'],
        [0.56471, 'rgb(202,0,163)'],
        [0.56863, 'rgb(249,0,99)'],
        [0.57255, 'rgb(255,0,29)'],
        [0.57647, 'rgb(255,0,0)'],
        [0.58039, 'rgb(255,13,0)'],
        [0.58431, 'rgb(255,61,0)'],
        [0.58824, 'rgb(255,110,0)'],
        [0.59216, 'rgb(255,157,0)'],
        [0.59608, 'rgb(255,200,0)'],
        [0.6, 'rgb(255,235,0)'],
        [0.60392, 'rgb(245,255,0)'],
        [0.60784, 'rgb(198,255,0)'],
        [0.61176, 'rgb(149,255,0)'],
        [0.61569, 'rgb(101,255,0)'],
        [0.61961, 'rgb(58,238,0)'],
        [0.62353, 'rgb(22,205,27)'],
        [0.62745, 'rgb(0,163,98)'],
        [0.63137, 'rgb(0,116,161)'],
        [0.63529, 'rgb(0,67,214)'],
        [0.63922, 'rgb(0,19,253)'],
        [0.64314, 'rgb(13,0,255)'],
        [0.64706, 'rgb(45,0,255)'],
        [0.65098, 'rgb(86,0,255)'],
        [0.6549, 'rgb(133,0,233)'],
        [0.65882, 'rgb(182,0,185)'],
        [0.66275, 'rgb(230,0,126)'],
        [0.66667, 'rgb(255,0,58)'],
        [0.67059, 'rgb(255,0,0)'],
        [0.67451, 'rgb(255,0,0)'],
        [0.67843, 'rgb(255,41,0)'],
        [0.68235, 'rgb(255,90,0)'],
        [0.68627, 'rgb(255,139,0)'],
        [0.6902, 'rgb(255,184,0)'],
        [0.69412, 'rgb(255,222,0)'],
        [0.69804, 'rgb(255,251,0)'],
        [0.70196, 'rgb(217,255,0)'],
        [0.70588, 'rgb(169,255,0)'],
        [0.7098, 'rgb(120,255,0)'],
        [0.71373, 'rgb(75,249,0)'],
        [0.71765, 'rgb(36,219,0)'],
        [0.72157, 'rgb(5,181,70)'],
        [0.72549, 'rgb(0,135,137)'],
        [0.72941, 'rgb(0,87,195)'],
        [0.73333, 'rgb(0,38,239)'],
        [0.73725, 'rgb(2,0,255)'],
        [0.74118, 'rgb(31,0,255)'],
        [0.7451, 'rgb(69,0,255)'],
        [0.74902, 'rgb(114,0,248)'],
        [0.75294, 'rgb(162,0,206)'],
        [0.75686, 'rgb(211,0,151)'],
        [0.76078, 'rgb(255,0,86)'],
        [0.76471, 'rgb(255,0,15)'],
        [0.76863, 'rgb(255,0,0)'],
        [0.77255, 'rgb(255,22,0)'],
        [0.77647, 'rgb(255,71,0)'],
        [0.78039, 'rgb(255,120,0)'],
        [0.78431, 'rgb(255,166,0)'],
        [0.78824, 'rgb(255,207,0)'],
        [0.79216, 'rgb(255,240,0)'],
        [0.79608, 'rgb(236,255,0)'],
        [0.8, 'rgb(188,255,0)'],
        [0.80392, 'rgb(139,255,0)'],
        [0.80784, 'rgb(92,255,0)'],
        [0.81176, 'rgb(50,233,0)'],
        [0.81569, 'rgb(16,197,42)'],
        [0.81961, 'rgb(0,154,111)'],
        [0.82353, 'rgb(0,107,173)'],
        [0.82745, 'rgb(0,57,223)'],
        [0.83137, 'rgb(0,10,255)'],
        [0.83529, 'rgb(18,0,255)'],
        [0.83922, 'rgb(53,0,255)'],
        [0.84314, 'rgb(95,0,255)'],
        [0.84706, 'rgb(143,0,225)'],
        [0.85098, 'rgb(192,0,175)'],
        [0.8549, 'rgb(239,0,113)'],
        [0.85882, 'rgb(255,0,44)'],
        [0.86275, 'rgb(255,0,0)'],
        [0.86667, 'rgb(255,4,0)'],
        [0.87059, 'rgb(255,51,0)'],
        [0.87451, 'rgb(255,100,0)'],
        [0.87843, 'rgb(255,148,0)'],
        [0.88235, 'rgb(255,192,0)'],
        [0.88627, 'rgb(255,228,0)'],
        [0.8902, 'rgb(254,255,0)'],
        [0.89412, 'rgb(208,255,0)'],
        [0.89804, 'rgb(159,255,0)'],
        [0.90196, 'rgb(111,255,0)'],
        [0.90588, 'rgb(66,244,0)'],
        [0.9098, 'rgb(29,212,13)'],
        [0.91373, 'rgb(1,172,84)'],
        [0.91765, 'rgb(0,126,149)'],
        [0.92157, 'rgb(0,77,204)'],
        [0.92549, 'rgb(0,29,246)'],
        [0.92941, 'rgb(7,0,255)'],
        [0.93333, 'rgb(38,0,255)'],
        [0.93725, 'rgb(77,0,255)'],
        [0.94118, 'rgb(123,0,241)'],
        [0.9451, 'rgb(172,0,196)'],
        [0.94902, 'rgb(221,0,139)'],
        [0.95294, 'rgb(255,0,72)'],
        [0.95686, 'rgb(255,0,1)'],
        [0.96078, 'rgb(255,0,0)'],
        [0.96471, 'rgb(255,32,0)'],
        [0.96863, 'rgb(255,80,0)'],
        [0.97255, 'rgb(255,129,0)'],
        [0.97647, 'rgb(255,175,0)'],
        [0.98039, 'rgb(255,215,0)'],
        [0.98431, 'rgb(255,246,0)'],
        [0.98824, 'rgb(227,255,0)'],
        [0.99216, 'rgb(179,255,0)'],
        [0.99608, 'rgb(130,255,0)'],
        [1.0, 'rgb(84,254,0)'],
    ],
    'seismic': [
        [0.0, 'rgb(0,0,76)'],
        [0.00392, 'rgb(0,0,79)'],
        [0.00784, 'rgb(0,0,82)'],
        [0.01176, 'rgb(0,0,84)'],
        [0.01569, 'rgb(0,0,87)'],
        [0.01961, 'rgb(0,0,90)'],
        [0.02353, 'rgb(0,0,93)'],
        [0.02745, 'rgb(0,0,96)'],
        [0.03137, 'rgb(0,0,98)'],
        [0.03529, 'rgb(0,0,101)'],
        [0.03922, 'rgb(0,0,104)'],
        [0.04314, 'rgb(0,0,107)'],
        [0.04706, 'rgb(0,0,110)'],
        [0.05098, 'rgb(0,0,112)'],
        [0.0549, 'rgb(0,0,115)'],
        [0.05882, 'rgb(0,0,118)'],
        [0.06275, 'rgb(0,0,121)'],
        [0.06667, 'rgb(0,0,124)'],
        [0.07059, 'rgb(0,0,126)'],
        [0.07451, 'rgb(0,0,129)'],
        [0.07843, 'rgb(0,0,132)'],
        [0.08235, 'rgb(0,0,135)'],
        [0.08627, 'rgb(0,0,138)'],
        [0.0902, 'rgb(0,0,140)'],
        [0.09412, 'rgb(0,0,143)'],
        [0.09804, 'rgb(0,0,146)'],
        [0.10196, 'rgb(0,0,149)'],
        [0.10588, 'rgb(0,0,152)'],
        [0.1098, 'rgb(0,0,154)'],
        [0.11373, 'rgb(0,0,157)'],
        [0.11765, 'rgb(0,0,160)'],
        [0.12157, 'rgb(0,0,163)'],
        [0.12549, 'rgb(0,0,166)'],
        [0.12941, 'rgb(0,0,168)'],
        [0.13333, 'rgb(0,0,171)'],
        [0.13725, 'rgb(0,0,174)'],
        [0.14118, 'rgb(0,0,177)'],
        [0.1451, 'rgb(0,0,180)'],
        [0.14902, 'rgb(0,0,182)'],
        [0.15294, 'rgb(0,0,185)'],
        [0.15686, 'rgb(0,0,188)'],
        [0.16078, 'rgb(0,0,191)'],
        [0.16471, 'rgb(0,0,194)'],
        [0.16863, 'rgb(0,0,196)'],
        [0.17255, 'rgb(0,0,199)'],
        [0.17647, 'rgb(0,0,202)'],
        [0.18039, 'rgb(0,0,205)'],
        [0.18431, 'rgb(0,0,208)'],
        [0.18824, 'rgb(0,0,210)'],
        [0.19216, 'rgb(0,0,213)'],
        [0.19608, 'rgb(0,0,216)'],
        [0.2, 'rgb(0,0,219)'],
        [0.20392, 'rgb(0,0,222)'],
        [0.20784, 'rgb(0,0,224)'],
        [0.21176, 'rgb(0,0,227)'],
        [0.21569, 'rgb(0,0,230)'],
        [0.21961, 'rgb(0,0,233)'],
        [0.22353, 'rgb(0,0,236)'],
        [0.22745, 'rgb(0,0,238)'],
        [0.23137, 'rgb(0,0,241)'],
        [0.23529, 'rgb(0,0,244)'],
        [0.23922, 'rgb(0,0,247)'],
        [0.24314, 'rgb(0,0,250)'],
        [0.24706, 'rgb(0,0,252)'],
        [0.25098, 'rgb(1,1,255)'],
        [0.2549, 'rgb(5,5,255)'],
        [0.25882, 'rgb(8,8,255)'],
        [0.26275, 'rgb(13,13,255)'],
        [0.26667, 'rgb(17,17,255)'],
        [0.27059, 'rgb(21,21,255)'],
        [0.27451, 'rgb(25,25,255)'],
        [0.27843, 'rgb(29,29,255)'],
        [0.28235, 'rgb(33,33,255)'],
        [0.28627, 'rgb(37,37,255)'],
        [0.2902, 'rgb(40,40,255)'],
        [0.29412, 'rgb(45,45,255)'],
        [0.29804, 'rgb(49,49,255)'],
        [0.30196, 'rgb(53,53,255)'],
        [0.30588, 'rgb(57,57,255)'],
        [0.3098, 'rgb(61,61,255)'],
        [0.31373, 'rgb(65,65,255)'],
        [0.31765, 'rgb(69,69,255)'],
        [0.32157, 'rgb(72,72,255)'],
        [0.32549, 'rgb(77,77,255)'],
        [0.32941, 'rgb(81,81,255)'],
        [0.33333, 'rgb(85,85,255)'],
        [0.33725, 'rgb(89,89,255)'],
        [0.34118, 'rgb(93,93,255)'],
        [0.3451, 'rgb(97,97,255)'],
        [0.34902, 'rgb(101,101,255)'],
        [0.35294, 'rgb(104,104,255)'],
        [0.35686, 'rgb(109,109,255)'],
        [0.36078, 'rgb(113,113,255)'],
        [0.36471, 'rgb(117,117,255)'],
        [0.36863, 'rgb(121,121,255)'],
        [0.37255, 'rgb(125,125,255)'],
        [0.37647, 'rgb(129,129,255)'],
        [0.38039, 'rgb(133,133,255)'],
        [0.38431, 'rgb(136,136,255)'],
        [0.38824, 'rgb(141,141,255)'],
        [0.39216, 'rgb(145,145,255)'],
        [0.39608, 'rgb(149,149,255)'],
        [0.4, 'rgb(153,153,255)'],
        [0.40392, 'rgb(157,157,255)'],
        [0.40784, 'rgb(161,161,255)'],
        [0.41176, 'rgb(165,165,255)'],
        [0.41569, 'rgb(168,168,255)'],
        [0.41961, 'rgb(173,173,255)'],
        [0.42353, 'rgb(177,177,255)'],
        [0.42745, 'rgb(181,181,255)'],
        [0.43137, 'rgb(185,185,255)'],
        [0.43529, 'rgb(189,189,255)'],
        [0.43922, 'rgb(193,193,255)'],
        [0.44314, 'rgb(197,197,255)'],
        [0.44706, 'rgb(200,200,255)'],
        [0.45098, 'rgb(205,205,255)'],
        [0.4549, 'rgb(209,209,255)'],
        [0.45882, 'rgb(213,213,255)'],
        [0.46275, 'rgb(217,217,255)'],
        [0.46667, 'rgb(221,221,255)'],
        [0.47059, 'rgb(225,225,255)'],
        [0.47451, 'rgb(229,229,255)'],
        [0.47843, 'rgb(232,232,255)'],
        [0.48235, 'rgb(237,237,255)'],
        [0.48627, 'rgb(241,241,255)'],
        [0.4902, 'rgb(245,245,255)'],
        [0.49412, 'rgb(249,249,255)'],
        [0.49804, 'rgb(253,253,255)'],
        [0.50196, 'rgb(255,253,253)'],
        [0.50588, 'rgb(255,249,249)'],
        [0.5098, 'rgb(255,245,245)'],
        [0.51373, 'rgb(255,241,241)'],
        [0.51765, 'rgb(255,237,237)'],
        [0.52157, 'rgb(255,233,233)'],
        [0.52549, 'rgb(255,229,229)'],
        [0.52941, 'rgb(255,225,225)'],
        [0.53333, 'rgb(255,221,221)'],
        [0.53725, 'rgb(255,217,217)'],
        [0.54118, 'rgb(255,213,213)'],
        [0.5451, 'rgb(255,209,209)'],
        [0.54902, 'rgb(255,205,205)'],
        [0.55294, 'rgb(255,201,201)'],
        [0.55686, 'rgb(255,197,197)'],
        [0.56078, 'rgb(255,193,193)'],
        [0.56471, 'rgb(255,189,189)'],
        [0.56863, 'rgb(255,185,185)'],
        [0.57255, 'rgb(255,180,180)'],
        [0.57647, 'rgb(255,177,177)'],
        [0.58039, 'rgb(255,173,173)'],
        [0.58431, 'rgb(255,169,169)'],
        [0.58824, 'rgb(255,164,164)'],
        [0.59216, 'rgb(255,161,161)'],
        [0.59608, 'rgb(255,157,157)'],
        [0.6, 'rgb(255,153,153)'],
        [0.60392, 'rgb(255,148,148)'],
        [0.60784, 'rgb(255,145,145)'],
        [0.61176, 'rgb(255,141,141)'],
        [0.61569, 'rgb(255,137,137)'],
        [0.61961, 'rgb(255,132,132)'],
        [0.62353, 'rgb(255,129,129)'],
        [0.62745, 'rgb(255,125,125)'],
        [0.63137, 'rgb(255,121,121)'],
        [0.63529, 'rgb(255,117,117)'],
        [0.63922, 'rgb(255,113,113)'],
        [0.64314, 'rgb(255,109,109)'],
        [0.64706, 'rgb(255,105,105)'],
        [0.65098, 'rgb(255,101,101)'],
        [0.6549, 'rgb(255,97,97)'],
        [0.65882, 'rgb(255,93,93)'],
        [0.66275, 'rgb(255,89,89)'],
        [0.66667, 'rgb(255,85,85)'],
        [0.67059, 'rgb(255,81,81)'],
        [0.67451, 'rgb(255,77,77)'],
        [0.67843, 'rgb(255,73,73)'],
        [0.68235, 'rgb(255,69,69)'],
        [0.68627, 'rgb(255,65,65)'],
        [0.6902, 'rgb(255,61,61)'],
        [0.69412, 'rgb(255,56,56)'],
        [0.69804, 'rgb(255,53,53)'],
        [0.70196, 'rgb(255,48,48)'],
        [0.70588, 'rgb(255,45,45)'],
        [0.7098, 'rgb(255,40,40)'],
        [0.71373, 'rgb(255,37,37)'],
        [0.71765, 'rgb(255,32,32)'],
        [0.72157, 'rgb(255,29,29)'],
        [0.72549, 'rgb(255,24,24)'],
        [0.72941, 'rgb(255,21,21)'],
        [0.73333, 'rgb(255,16,16)'],
        [0.73725, 'rgb(255,13,13)'],
        [0.74118, 'rgb(255,8,8)'],
        [0.7451, 'rgb(255,5,5)'],
        [0.74902, 'rgb(255,0,0)'],
        [0.75294, 'rgb(253,0,0)'],
        [0.75686, 'rgb(251,0,0)'],
        [0.76078, 'rgb(249,0,0)'],
        [0.76471, 'rgb(247,0,0)'],
        [0.76863, 'rgb(245,0,0)'],
        [0.77255, 'rgb(243,0,0)'],
        [0.77647, 'rgb(241,0,0)'],
        [0.78039, 'rgb(239,0,0)'],
        [0.78431, 'rgb(237,0,0)'],
        [0.78824, 'rgb(235,0,0)'],
        [0.79216, 'rgb(233,0,0)'],
        [0.79608, 'rgb(231,0,0)'],
        [0.8, 'rgb(229,0,0)'],
        [0.80392, 'rgb(227,0,0)'],
        [0.80784, 'rgb(225,0,0)'],
        [0.81176, 'rgb(223,0,0)'],
        [0.81569, 'rgb(221,0,0)'],
        [0.81961, 'rgb(219,0,0)'],
        [0.82353, 'rgb(217,0,0)'],
        [0.82745, 'rgb(215,0,0)'],
        [0.83137, 'rgb(213,0,0)'],
        [0.83529, 'rgb(211,0,0)'],
        [0.83922, 'rgb(209,0,0)'],
        [0.84314, 'rgb(207,0,0)'],
        [0.84706, 'rgb(205,0,0)'],
        [0.85098, 'rgb(203,0,0)'],
        [0.8549, 'rgb(201,0,0)'],
        [0.85882, 'rgb(199,0,0)'],
        [0.86275, 'rgb(197,0,0)'],
        [0.86667, 'rgb(195,0,0)'],
        [0.87059, 'rgb(193,0,0)'],
        [0.87451, 'rgb(191,0,0)'],
        [0.87843, 'rgb(189,0,0)'],
        [0.88235, 'rgb(187,0,0)'],
        [0.88627, 'rgb(185,0,0)'],
        [0.8902, 'rgb(183,0,0)'],
        [0.89412, 'rgb(181,0,0)'],
        [0.89804, 'rgb(179,0,0)'],
        [0.90196, 'rgb(177,0,0)'],
        [0.90588, 'rgb(175,0,0)'],
        [0.9098, 'rgb(173,0,0)'],
        [0.91373, 'rgb(171,0,0)'],
        [0.91765, 'rgb(169,0,0)'],
        [0.92157, 'rgb(167,0,0)'],
        [0.92549, 'rgb(165,0,0)'],
        [0.92941, 'rgb(163,0,0)'],
        [0.93333, 'rgb(161,0,0)'],
        [0.93725, 'rgb(159,0,0)'],
        [0.94118, 'rgb(157,0,0)'],
        [0.9451, 'rgb(155,0,0)'],
        [0.94902, 'rgb(153,0,0)'],
        [0.95294, 'rgb(151,0,0)'],
        [0.95686, 'rgb(149,0,0)'],
        [0.96078, 'rgb(147,0,0)'],
        [0.96471, 'rgb(145,0,0)'],
        [0.96863, 'rgb(143,0,0)'],
        [0.97255, 'rgb(141,0,0)'],
        [0.97647, 'rgb(139,0,0)'],
        [0.98039, 'rgb(137,0,0)'],
        [0.98431, 'rgb(135,0,0)'],
        [0.98824, 'rgb(133,0,0)'],
        [0.99216, 'rgb(131,0,0)'],
        [0.99608, 'rgb(129,0,0)'],
        [1.0, 'rgb(127,0,0)'],
    ],
    'spring': [
        [0.0, 'rgb(255,0,255)'],
        [0.00392, 'rgb(255,1,254)'],
        [0.00784, 'rgb(255,2,253)'],
        [0.01176, 'rgb(255,3,252)'],
        [0.01569, 'rgb(255,4,251)'],
        [0.01961, 'rgb(255,5,250)'],
        [0.02353, 'rgb(255,6,249)'],
        [0.02745, 'rgb(255,7,248)'],
        [0.03137, 'rgb(255,8,247)'],
        [0.03529, 'rgb(255,9,246)'],
        [0.03922, 'rgb(255,10,245)'],
        [0.04314, 'rgb(255,11,244)'],
        [0.04706, 'rgb(255,12,243)'],
        [0.05098, 'rgb(255,13,242)'],
        [0.0549, 'rgb(255,14,241)'],
        [0.05882, 'rgb(255,15,240)'],
        [0.06275, 'rgb(255,16,239)'],
        [0.06667, 'rgb(255,17,238)'],
        [0.07059, 'rgb(255,18,237)'],
        [0.07451, 'rgb(255,19,236)'],
        [0.07843, 'rgb(255,20,235)'],
        [0.08235, 'rgb(255,21,234)'],
        [0.08627, 'rgb(255,22,233)'],
        [0.0902, 'rgb(255,23,232)'],
        [0.09412, 'rgb(255,24,231)'],
        [0.09804, 'rgb(255,25,230)'],
        [0.10196, 'rgb(255,26,229)'],
        [0.10588, 'rgb(255,27,228)'],
        [0.1098, 'rgb(255,28,227)'],
        [0.11373, 'rgb(255,29,226)'],
        [0.11765, 'rgb(255,30,225)'],
        [0.12157, 'rgb(255,31,224)'],
        [0.12549, 'rgb(255,32,223)'],
        [0.12941, 'rgb(255,32,222)'],
        [0.13333, 'rgb(255,34,221)'],
        [0.13725, 'rgb(255,35,220)'],
        [0.14118, 'rgb(255,36,219)'],
        [0.1451, 'rgb(255,36,218)'],
        [0.14902, 'rgb(255,38,217)'],
        [0.15294, 'rgb(255,39,216)'],
        [0.15686, 'rgb(255,40,215)'],
        [0.16078, 'rgb(255,40,214)'],
        [0.16471, 'rgb(255,42,213)'],
        [0.16863, 'rgb(255,43,211)'],
        [0.17255, 'rgb(255,44,211)'],
        [0.17647, 'rgb(255,44,210)'],
        [0.18039, 'rgb(255,46,209)'],
        [0.18431, 'rgb(255,47,208)'],
        [0.18824, 'rgb(255,48,207)'],
        [0.19216, 'rgb(255,48,206)'],
        [0.19608, 'rgb(255,50,205)'],
        [0.2, 'rgb(255,51,204)'],
        [0.20392, 'rgb(255,52,203)'],
        [0.20784, 'rgb(255,52,202)'],
        [0.21176, 'rgb(255,54,201)'],
        [0.21569, 'rgb(255,55,200)'],
        [0.21961, 'rgb(255,56,199)'],
        [0.22353, 'rgb(255,56,198)'],
        [0.22745, 'rgb(255,58,197)'],
        [0.23137, 'rgb(255,59,195)'],
        [0.23529, 'rgb(255,60,195)'],
        [0.23922, 'rgb(255,60,194)'],
        [0.24314, 'rgb(255,62,193)'],
        [0.24706, 'rgb(255,63,192)'],
        [0.25098, 'rgb(255,64,191)'],
        [0.2549, 'rgb(255,65,190)'],
        [0.25882, 'rgb(255,65,189)'],
        [0.26275, 'rgb(255,67,188)'],
        [0.26667, 'rgb(255,68,187)'],
        [0.27059, 'rgb(255,69,186)'],
        [0.27451, 'rgb(255,70,185)'],
        [0.27843, 'rgb(255,71,184)'],
        [0.28235, 'rgb(255,72,183)'],
        [0.28627, 'rgb(255,73,182)'],
        [0.2902, 'rgb(255,73,181)'],
        [0.29412, 'rgb(255,75,179)'],
        [0.29804, 'rgb(255,76,179)'],
        [0.30196, 'rgb(255,77,178)'],
        [0.30588, 'rgb(255,78,177)'],
        [0.3098, 'rgb(255,79,176)'],
        [0.31373, 'rgb(255,80,175)'],
        [0.31765, 'rgb(255,81,174)'],
        [0.32157, 'rgb(255,81,173)'],
        [0.32549, 'rgb(255,83,172)'],
        [0.32941, 'rgb(255,84,171)'],
        [0.33333, 'rgb(255,85,170)'],
        [0.33725, 'rgb(255,86,169)'],
        [0.34118, 'rgb(255,87,168)'],
        [0.3451, 'rgb(255,88,167)'],
        [0.34902, 'rgb(255,89,166)'],
        [0.35294, 'rgb(255,89,165)'],
        [0.35686, 'rgb(255,91,163)'],
        [0.36078, 'rgb(255,92,163)'],
        [0.36471, 'rgb(255,93,162)'],
        [0.36863, 'rgb(255,94,161)'],
        [0.37255, 'rgb(255,95,160)'],
        [0.37647, 'rgb(255,96,159)'],
        [0.38039, 'rgb(255,97,158)'],
        [0.38431, 'rgb(255,97,157)'],
        [0.38824, 'rgb(255,99,156)'],
        [0.39216, 'rgb(255,100,155)'],
        [0.39608, 'rgb(255,101,154)'],
        [0.4, 'rgb(255,102,153)'],
        [0.40392, 'rgb(255,103,152)'],
        [0.40784, 'rgb(255,104,151)'],
        [0.41176, 'rgb(255,105,150)'],
        [0.41569, 'rgb(255,105,149)'],
        [0.41961, 'rgb(255,107,147)'],
        [0.42353, 'rgb(255,108,147)'],
        [0.42745, 'rgb(255,109,146)'],
        [0.43137, 'rgb(255,110,145)'],
        [0.43529, 'rgb(255,111,144)'],
        [0.43922, 'rgb(255,112,143)'],
        [0.44314, 'rgb(255,113,142)'],
        [0.44706, 'rgb(255,113,141)'],
        [0.45098, 'rgb(255,115,140)'],
        [0.4549, 'rgb(255,116,139)'],
        [0.45882, 'rgb(255,117,138)'],
        [0.46275, 'rgb(255,118,137)'],
        [0.46667, 'rgb(255,119,136)'],
        [0.47059, 'rgb(255,120,135)'],
        [0.47451, 'rgb(255,121,134)'],
        [0.47843, 'rgb(255,121,133)'],
        [0.48235, 'rgb(255,123,131)'],
        [0.48627, 'rgb(255,124,131)'],
        [0.4902, 'rgb(255,125,130)'],
        [0.49412, 'rgb(255,126,129)'],
        [0.49804, 'rgb(255,127,128)'],
        [0.50196, 'rgb(255,128,127)'],
        [0.50588, 'rgb(255,129,126)'],
        [0.5098, 'rgb(255,130,125)'],
        [0.51373, 'rgb(255,131,124)'],
        [0.51765, 'rgb(255,131,123)'],
        [0.52157, 'rgb(255,133,121)'],
        [0.52549, 'rgb(255,134,121)'],
        [0.52941, 'rgb(255,135,120)'],
        [0.53333, 'rgb(255,136,119)'],
        [0.53725, 'rgb(255,137,118)'],
        [0.54118, 'rgb(255,138,117)'],
        [0.5451, 'rgb(255,139,116)'],
        [0.54902, 'rgb(255,140,114)'],
        [0.55294, 'rgb(255,141,113)'],
        [0.55686, 'rgb(255,142,113)'],
        [0.56078, 'rgb(255,143,112)'],
        [0.56471, 'rgb(255,144,111)'],
        [0.56863, 'rgb(255,145,110)'],
        [0.57255, 'rgb(255,146,109)'],
        [0.57647, 'rgb(255,147,108)'],
        [0.58039, 'rgb(255,147,107)'],
        [0.58431, 'rgb(255,149,105)'],
        [0.58824, 'rgb(255,150,105)'],
        [0.59216, 'rgb(255,151,104)'],
        [0.59608, 'rgb(255,152,103)'],
        [0.6, 'rgb(255,153,102)'],
        [0.60392, 'rgb(255,154,101)'],
        [0.60784, 'rgb(255,155,100)'],
        [0.61176, 'rgb(255,156,98)'],
        [0.61569, 'rgb(255,157,97)'],
        [0.61961, 'rgb(255,158,97)'],
        [0.62353, 'rgb(255,159,96)'],
        [0.62745, 'rgb(255,160,95)'],
        [0.63137, 'rgb(255,161,94)'],
        [0.63529, 'rgb(255,162,93)'],
        [0.63922, 'rgb(255,163,92)'],
        [0.64314, 'rgb(255,163,91)'],
        [0.64706, 'rgb(255,165,89)'],
        [0.65098, 'rgb(255,166,89)'],
        [0.6549, 'rgb(255,167,88)'],
        [0.65882, 'rgb(255,168,87)'],
        [0.66275, 'rgb(255,169,86)'],
        [0.66667, 'rgb(255,170,85)'],
        [0.67059, 'rgb(255,171,84)'],
        [0.67451, 'rgb(255,172,82)'],
        [0.67843, 'rgb(255,173,81)'],
        [0.68235, 'rgb(255,174,81)'],
        [0.68627, 'rgb(255,175,80)'],
        [0.6902, 'rgb(255,176,79)'],
        [0.69412, 'rgb(255,177,78)'],
        [0.69804, 'rgb(255,178,77)'],
        [0.70196, 'rgb(255,179,76)'],
        [0.70588, 'rgb(255,179,75)'],
        [0.7098, 'rgb(255,181,73)'],
        [0.71373, 'rgb(255,182,73)'],
        [0.71765, 'rgb(255,183,72)'],
        [0.72157, 'rgb(255,184,71)'],
        [0.72549, 'rgb(255,185,70)'],
        [0.72941, 'rgb(255,186,69)'],
        [0.73333, 'rgb(255,187,68)'],
        [0.73725, 'rgb(255,188,66)'],
        [0.74118, 'rgb(255,189,65)'],
        [0.7451, 'rgb(255,190,65)'],
        [0.74902, 'rgb(255,191,64)'],
        [0.75294, 'rgb(255,192,63)'],
        [0.75686, 'rgb(255,193,62)'],
        [0.76078, 'rgb(255,194,61)'],
        [0.76471, 'rgb(255,195,60)'],
        [0.76863, 'rgb(255,195,59)'],
        [0.77255, 'rgb(255,197,57)'],
        [0.77647, 'rgb(255,198,56)'],
        [0.78039, 'rgb(255,199,56)'],
        [0.78431, 'rgb(255,200,55)'],
        [0.78824, 'rgb(255,201,54)'],
        [0.79216, 'rgb(255,202,53)'],
        [0.79608, 'rgb(255,203,52)'],
        [0.8, 'rgb(255,204,50)'],
        [0.80392, 'rgb(255,205,49)'],
        [0.80784, 'rgb(255,206,48)'],
        [0.81176, 'rgb(255,207,48)'],
        [0.81569, 'rgb(255,208,47)'],
        [0.81961, 'rgb(255,209,46)'],
        [0.82353, 'rgb(255,210,45)'],
        [0.82745, 'rgb(255,211,44)'],
        [0.83137, 'rgb(255,211,43)'],
        [0.83529, 'rgb(255,213,41)'],
        [0.83922, 'rgb(255,214,40)'],
        [0.84314, 'rgb(255,215,40)'],
        [0.84706, 'rgb(255,216,39)'],
        [0.85098, 'rgb(255,217,38)'],
        [0.8549, 'rgb(255,218,37)'],
        [0.85882, 'rgb(255,219,36)'],
        [0.86275, 'rgb(255,220,34)'],
        [0.86667, 'rgb(255,221,33)'],
        [0.87059, 'rgb(255,222,32)'],
        [0.87451, 'rgb(255,223,32)'],
        [0.87843, 'rgb(255,224,31)'],
        [0.88235, 'rgb(255,225,30)'],
        [0.88627, 'rgb(255,226,29)'],
        [0.8902, 'rgb(255,227,28)'],
        [0.89412, 'rgb(255,227,27)'],
        [0.89804, 'rgb(255,229,25)'],
        [0.90196, 'rgb(255,230,24)'],
        [0.90588, 'rgb(255,231,24)'],
        [0.9098, 'rgb(255,232,23)'],
        [0.91373, 'rgb(255,233,22)'],
        [0.91765, 'rgb(255,234,21)'],
        [0.92157, 'rgb(255,235,20)'],
        [0.92549, 'rgb(255,236,18)'],
        [0.92941, 'rgb(255,237,17)'],
        [0.93333, 'rgb(255,238,16)'],
        [0.93725, 'rgb(255,239,16)'],
        [0.94118, 'rgb(255,240,15)'],
        [0.9451, 'rgb(255,241,14)'],
        [0.94902, 'rgb(255,242,13)'],
        [0.95294, 'rgb(255,243,12)'],
        [0.95686, 'rgb(255,243,11)'],
        [0.96078, 'rgb(255,245,9)'],
        [0.96471, 'rgb(255,246,8)'],
        [0.96863, 'rgb(255,247,8)'],
        [0.97255, 'rgb(255,248,7)'],
        [0.97647, 'rgb(255,249,6)'],
        [0.98039, 'rgb(255,250,5)'],
        [0.98431, 'rgb(255,251,4)'],
        [0.98824, 'rgb(255,252,2)'],
        [0.99216, 'rgb(255,253,1)'],
        [0.99608, 'rgb(255,254,0)'],
        [1.0, 'rgb(255,255,0)'],
    ],
    'summer': [
        [0.0, 'rgb(0,127,102)'],
        [0.00392, 'rgb(1,128,102)'],
        [0.00784, 'rgb(2,128,102)'],
        [0.01176, 'rgb(3,129,102)'],
        [0.01569, 'rgb(4,129,102)'],
        [0.01961, 'rgb(5,130,102)'],
        [0.02353, 'rgb(6,130,102)'],
        [0.02745, 'rgb(7,131,102)'],
        [0.03137, 'rgb(8,131,102)'],
        [0.03529, 'rgb(9,132,102)'],
        [0.03922, 'rgb(10,132,102)'],
        [0.04314, 'rgb(11,133,102)'],
        [0.04706, 'rgb(12,133,102)'],
        [0.05098, 'rgb(13,134,102)'],
        [0.0549, 'rgb(14,134,102)'],
        [0.05882, 'rgb(15,135,102)'],
        [0.06275, 'rgb(16,135,102)'],
        [0.06667, 'rgb(17,136,102)'],
        [0.07059, 'rgb(18,136,102)'],
        [0.07451, 'rgb(19,137,102)'],
        [0.07843, 'rgb(20,137,102)'],
        [0.08235, 'rgb(21,138,102)'],
        [0.08627, 'rgb(22,138,102)'],
        [0.0902, 'rgb(23,139,102)'],
        [0.09412, 'rgb(24,139,102)'],
        [0.09804, 'rgb(25,140,102)'],
        [0.10196, 'rgb(26,140,102)'],
        [0.10588, 'rgb(27,141,102)'],
        [0.1098, 'rgb(28,141,102)'],
        [0.11373, 'rgb(29,142,102)'],
        [0.11765, 'rgb(30,142,102)'],
        [0.12157, 'rgb(31,143,102)'],
        [0.12549, 'rgb(32,143,102)'],
        [0.12941, 'rgb(32,144,102)'],
        [0.13333, 'rgb(34,144,102)'],
        [0.13725, 'rgb(35,145,102)'],
        [0.14118, 'rgb(36,145,102)'],
        [0.1451, 'rgb(36,146,102)'],
        [0.14902, 'rgb(38,146,102)'],
        [0.15294, 'rgb(39,147,102)'],
        [0.15686, 'rgb(40,147,102)'],
        [0.16078, 'rgb(40,147,102)'],
        [0.16471, 'rgb(42,148,102)'],
        [0.16863, 'rgb(43,149,102)'],
        [0.17255, 'rgb(44,149,102)'],
        [0.17647, 'rgb(44,150,102)'],
        [0.18039, 'rgb(46,150,102)'],
        [0.18431, 'rgb(47,151,102)'],
        [0.18824, 'rgb(48,151,102)'],
        [0.19216, 'rgb(48,152,102)'],
        [0.19608, 'rgb(50,152,102)'],
        [0.2, 'rgb(51,153,102)'],
        [0.20392, 'rgb(52,153,102)'],
        [0.20784, 'rgb(52,154,102)'],
        [0.21176, 'rgb(54,154,102)'],
        [0.21569, 'rgb(55,155,102)'],
        [0.21961, 'rgb(56,155,102)'],
        [0.22353, 'rgb(56,156,102)'],
        [0.22745, 'rgb(58,156,102)'],
        [0.23137, 'rgb(59,157,102)'],
        [0.23529, 'rgb(60,157,102)'],
        [0.23922, 'rgb(60,158,102)'],
        [0.24314, 'rgb(62,158,102)'],
        [0.24706, 'rgb(63,159,102)'],
        [0.25098, 'rgb(64,159,102)'],
        [0.2549, 'rgb(65,160,102)'],
        [0.25882, 'rgb(65,160,102)'],
        [0.26275, 'rgb(67,161,102)'],
        [0.26667, 'rgb(68,161,102)'],
        [0.27059, 'rgb(69,162,102)'],
        [0.27451, 'rgb(70,162,102)'],
        [0.27843, 'rgb(71,163,102)'],
        [0.28235, 'rgb(72,163,102)'],
        [0.28627, 'rgb(73,163,102)'],
        [0.2902, 'rgb(73,164,102)'],
        [0.29412, 'rgb(75,165,102)'],
        [0.29804, 'rgb(76,165,102)'],
        [0.30196, 'rgb(77,166,102)'],
        [0.30588, 'rgb(78,166,102)'],
        [0.3098, 'rgb(79,167,102)'],
        [0.31373, 'rgb(80,167,102)'],
        [0.31765, 'rgb(81,168,102)'],
        [0.32157, 'rgb(81,168,102)'],
        [0.32549, 'rgb(83,169,102)'],
        [0.32941, 'rgb(84,169,102)'],
        [0.33333, 'rgb(85,170,102)'],
        [0.33725, 'rgb(86,170,102)'],
        [0.34118, 'rgb(87,171,102)'],
        [0.3451, 'rgb(88,171,102)'],
        [0.34902, 'rgb(89,172,102)'],
        [0.35294, 'rgb(89,172,102)'],
        [0.35686, 'rgb(91,173,102)'],
        [0.36078, 'rgb(92,173,102)'],
        [0.36471, 'rgb(93,174,102)'],
        [0.36863, 'rgb(94,174,102)'],
        [0.37255, 'rgb(95,175,102)'],
        [0.37647, 'rgb(96,175,102)'],
        [0.38039, 'rgb(97,176,102)'],
        [0.38431, 'rgb(97,176,102)'],
        [0.38824, 'rgb(99,177,102)'],
        [0.39216, 'rgb(100,177,102)'],
        [0.39608, 'rgb(101,178,102)'],
        [0.4, 'rgb(102,178,102)'],
        [0.40392, 'rgb(103,179,102)'],
        [0.40784, 'rgb(104,179,102)'],
        [0.41176, 'rgb(105,179,102)'],
        [0.41569, 'rgb(105,180,102)'],
        [0.41961, 'rgb(107,181,102)'],
        [0.42353, 'rgb(108,181,102)'],
        [0.42745, 'rgb(109,182,102)'],
        [0.43137, 'rgb(110,182,102)'],
        [0.43529, 'rgb(111,183,102)'],
        [0.43922, 'rgb(112,183,102)'],
        [0.44314, 'rgb(113,184,102)'],
        [0.44706, 'rgb(113,184,102)'],
        [0.45098, 'rgb(115,185,102)'],
        [0.4549, 'rgb(116,185,102)'],
        [0.45882, 'rgb(117,186,102)'],
        [0.46275, 'rgb(118,186,102)'],
        [0.46667, 'rgb(119,187,102)'],
        [0.47059, 'rgb(120,187,102)'],
        [0.47451, 'rgb(121,188,102)'],
        [0.47843, 'rgb(121,188,102)'],
        [0.48235, 'rgb(123,189,102)'],
        [0.48627, 'rgb(124,189,102)'],
        [0.4902, 'rgb(125,190,102)'],
        [0.49412, 'rgb(126,190,102)'],
        [0.49804, 'rgb(127,191,102)'],
        [0.50196, 'rgb(128,191,102)'],
        [0.50588, 'rgb(129,192,102)'],
        [0.5098, 'rgb(130,192,102)'],
        [0.51373, 'rgb(131,193,102)'],
        [0.51765, 'rgb(131,193,102)'],
        [0.52157, 'rgb(133,194,102)'],
        [0.52549, 'rgb(134,194,102)'],
        [0.52941, 'rgb(135,195,102)'],
        [0.53333, 'rgb(136,195,102)'],
        [0.53725, 'rgb(137,195,102)'],
        [0.54118, 'rgb(138,196,102)'],
        [0.5451, 'rgb(139,196,102)'],
        [0.54902, 'rgb(140,197,102)'],
        [0.55294, 'rgb(141,198,102)'],
        [0.55686, 'rgb(142,198,102)'],
        [0.56078, 'rgb(143,199,102)'],
        [0.56471, 'rgb(144,199,102)'],
        [0.56863, 'rgb(145,200,102)'],
        [0.57255, 'rgb(146,200,102)'],
        [0.57647, 'rgb(147,201,102)'],
        [0.58039, 'rgb(147,201,102)'],
        [0.58431, 'rgb(149,202,102)'],
        [0.58824, 'rgb(150,202,102)'],
        [0.59216, 'rgb(151,203,102)'],
        [0.59608, 'rgb(152,203,102)'],
        [0.6, 'rgb(153,204,102)'],
        [0.60392, 'rgb(154,204,102)'],
        [0.60784, 'rgb(155,205,102)'],
        [0.61176, 'rgb(156,205,102)'],
        [0.61569, 'rgb(157,206,102)'],
        [0.61961, 'rgb(158,206,102)'],
        [0.62353, 'rgb(159,207,102)'],
        [0.62745, 'rgb(160,207,102)'],
        [0.63137, 'rgb(161,208,102)'],
        [0.63529, 'rgb(162,208,102)'],
        [0.63922, 'rgb(163,209,102)'],
        [0.64314, 'rgb(163,209,102)'],
        [0.64706, 'rgb(165,210,102)'],
        [0.65098, 'rgb(166,210,102)'],
        [0.6549, 'rgb(167,211,102)'],
        [0.65882, 'rgb(168,211,102)'],
        [0.66275, 'rgb(169,211,102)'],
        [0.66667, 'rgb(170,212,102)'],
        [0.67059, 'rgb(171,212,102)'],
        [0.67451, 'rgb(172,213,102)'],
        [0.67843, 'rgb(173,214,102)'],
        [0.68235, 'rgb(174,214,102)'],
        [0.68627, 'rgb(175,215,102)'],
        [0.6902, 'rgb(176,215,102)'],
        [0.69412, 'rgb(177,216,102)'],
        [0.69804, 'rgb(178,216,102)'],
        [0.70196, 'rgb(179,217,102)'],
        [0.70588, 'rgb(179,217,102)'],
        [0.7098, 'rgb(181,218,102)'],
        [0.71373, 'rgb(182,218,102)'],
        [0.71765, 'rgb(183,219,102)'],
        [0.72157, 'rgb(184,219,102)'],
        [0.72549, 'rgb(185,220,102)'],
        [0.72941, 'rgb(186,220,102)'],
        [0.73333, 'rgb(187,221,102)'],
        [0.73725, 'rgb(188,221,102)'],
        [0.74118, 'rgb(189,222,102)'],
        [0.7451, 'rgb(190,222,102)'],
        [0.74902, 'rgb(191,223,102)'],
        [0.75294, 'rgb(192,223,102)'],
        [0.75686, 'rgb(193,224,102)'],
        [0.76078, 'rgb(194,224,102)'],
        [0.76471, 'rgb(195,225,102)'],
        [0.76863, 'rgb(195,225,102)'],
        [0.77255, 'rgb(197,226,102)'],
        [0.77647, 'rgb(198,226,102)'],
        [0.78039, 'rgb(199,227,102)'],
        [0.78431, 'rgb(200,227,102)'],
        [0.78824, 'rgb(201,227,102)'],
        [0.79216, 'rgb(202,228,102)'],
        [0.79608, 'rgb(203,228,102)'],
        [0.8, 'rgb(204,229,102)'],
        [0.80392, 'rgb(205,230,102)'],
        [0.80784, 'rgb(206,230,102)'],
        [0.81176, 'rgb(207,231,102)'],
        [0.81569, 'rgb(208,231,102)'],
        [0.81961, 'rgb(209,232,102)'],
        [0.82353, 'rgb(210,232,102)'],
        [0.82745, 'rgb(211,233,102)'],
        [0.83137, 'rgb(211,233,102)'],
        [0.83529, 'rgb(213,234,102)'],
        [0.83922, 'rgb(214,234,102)'],
        [0.84314, 'rgb(215,235,102)'],
        [0.84706, 'rgb(216,235,102)'],
        [0.85098, 'rgb(217,236,102)'],
        [0.8549, 'rgb(218,236,102)'],
        [0.85882, 'rgb(219,237,102)'],
        [0.86275, 'rgb(220,237,102)'],
        [0.86667, 'rgb(221,238,102)'],
        [0.87059, 'rgb(222,238,102)'],
        [0.87451, 'rgb(223,239,102)'],
        [0.87843, 'rgb(224,239,102)'],
        [0.88235, 'rgb(225,240,102)'],
        [0.88627, 'rgb(226,240,102)'],
        [0.8902, 'rgb(227,241,102)'],
        [0.89412, 'rgb(227,241,102)'],
        [0.89804, 'rgb(229,242,102)'],
        [0.90196, 'rgb(230,242,102)'],
        [0.90588, 'rgb(231,243,102)'],
        [0.9098, 'rgb(232,243,102)'],
        [0.91373, 'rgb(233,243,102)'],
        [0.91765, 'rgb(234,244,102)'],
        [0.92157, 'rgb(235,244,102)'],
        [0.92549, 'rgb(236,245,102)'],
        [0.92941, 'rgb(237,246,102)'],
        [0.93333, 'rgb(238,246,102)'],
        [0.93725, 'rgb(239,247,102)'],
        [0.94118, 'rgb(240,247,102)'],
        [0.9451, 'rgb(241,248,102)'],
        [0.94902, 'rgb(242,248,102)'],
        [0.95294, 'rgb(243,249,102)'],
        [0.95686, 'rgb(243,249,102)'],
        [0.96078, 'rgb(245,250,102)'],
        [0.96471, 'rgb(246,250,102)'],
        [0.96863, 'rgb(247,251,102)'],
        [0.97255, 'rgb(248,251,102)'],
        [0.97647, 'rgb(249,252,102)'],
        [0.98039, 'rgb(250,252,102)'],
        [0.98431, 'rgb(251,253,102)'],
        [0.98824, 'rgb(252,253,102)'],
        [0.99216, 'rgb(253,254,102)'],
        [0.99608, 'rgb(254,254,102)'],
        [1.0, 'rgb(255,255,102)'],
    ],
    'tab10': [
        [0.0, 'rgb(31,119,180)'],
        [0.00392, 'rgb(31,119,180)'],
        [0.00784, 'rgb(31,119,180)'],
        [0.01176, 'rgb(31,119,180)'],
        [0.01569, 'rgb(31,119,180)'],
        [0.01961, 'rgb(31,119,180)'],
        [0.02353, 'rgb(31,119,180)'],
        [0.02745, 'rgb(31,119,180)'],
        [0.03137, 'rgb(31,119,180)'],
        [0.03529, 'rgb(31,119,180)'],
        [0.03922, 'rgb(31,119,180)'],
        [0.04314, 'rgb(31,119,180)'],
        [0.04706, 'rgb(31,119,180)'],
        [0.05098, 'rgb(31,119,180)'],
        [0.0549, 'rgb(31,119,180)'],
        [0.05882, 'rgb(31,119,180)'],
        [0.06275, 'rgb(31,119,180)'],
        [0.06667, 'rgb(31,119,180)'],
        [0.07059, 'rgb(31,119,180)'],
        [0.07451, 'rgb(31,119,180)'],
        [0.07843, 'rgb(31,119,180)'],
        [0.08235, 'rgb(31,119,180)'],
        [0.08627, 'rgb(31,119,180)'],
        [0.0902, 'rgb(31,119,180)'],
        [0.09412, 'rgb(31,119,180)'],
        [0.09804, 'rgb(31,119,180)'],
        [0.10196, 'rgb(255,127,14)'],
        [0.10588, 'rgb(255,127,14)'],
        [0.1098, 'rgb(255,127,14)'],
        [0.11373, 'rgb(255,127,14)'],
        [0.11765, 'rgb(255,127,14)'],
        [0.12157, 'rgb(255,127,14)'],
        [0.12549, 'rgb(255,127,14)'],
        [0.12941, 'rgb(255,127,14)'],
        [0.13333, 'rgb(255,127,14)'],
        [0.13725, 'rgb(255,127,14)'],
        [0.14118, 'rgb(255,127,14)'],
        [0.1451, 'rgb(255,127,14)'],
        [0.14902, 'rgb(255,127,14)'],
        [0.15294, 'rgb(255,127,14)'],
        [0.15686, 'rgb(255,127,14)'],
        [0.16078, 'rgb(255,127,14)'],
        [0.16471, 'rgb(255,127,14)'],
        [0.16863, 'rgb(255,127,14)'],
        [0.17255, 'rgb(255,127,14)'],
        [0.17647, 'rgb(255,127,14)'],
        [0.18039, 'rgb(255,127,14)'],
        [0.18431, 'rgb(255,127,14)'],
        [0.18824, 'rgb(255,127,14)'],
        [0.19216, 'rgb(255,127,14)'],
        [0.19608, 'rgb(255,127,14)'],
        [0.2, 'rgb(44,160,44)'],
        [0.20392, 'rgb(44,160,44)'],
        [0.20784, 'rgb(44,160,44)'],
        [0.21176, 'rgb(44,160,44)'],
        [0.21569, 'rgb(44,160,44)'],
        [0.21961, 'rgb(44,160,44)'],
        [0.22353, 'rgb(44,160,44)'],
        [0.22745, 'rgb(44,160,44)'],
        [0.23137, 'rgb(44,160,44)'],
        [0.23529, 'rgb(44,160,44)'],
        [0.23922, 'rgb(44,160,44)'],
        [0.24314, 'rgb(44,160,44)'],
        [0.24706, 'rgb(44,160,44)'],
        [0.25098, 'rgb(44,160,44)'],
        [0.2549, 'rgb(44,160,44)'],
        [0.25882, 'rgb(44,160,44)'],
        [0.26275, 'rgb(44,160,44)'],
        [0.26667, 'rgb(44,160,44)'],
        [0.27059, 'rgb(44,160,44)'],
        [0.27451, 'rgb(44,160,44)'],
        [0.27843, 'rgb(44,160,44)'],
        [0.28235, 'rgb(44,160,44)'],
        [0.28627, 'rgb(44,160,44)'],
        [0.2902, 'rgb(44,160,44)'],
        [0.29412, 'rgb(44,160,44)'],
        [0.29804, 'rgb(44,160,44)'],
        [0.30196, 'rgb(214,39,40)'],
        [0.30588, 'rgb(214,39,40)'],
        [0.3098, 'rgb(214,39,40)'],
        [0.31373, 'rgb(214,39,40)'],
        [0.31765, 'rgb(214,39,40)'],
        [0.32157, 'rgb(214,39,40)'],
        [0.32549, 'rgb(214,39,40)'],
        [0.32941, 'rgb(214,39,40)'],
        [0.33333, 'rgb(214,39,40)'],
        [0.33725, 'rgb(214,39,40)'],
        [0.34118, 'rgb(214,39,40)'],
        [0.3451, 'rgb(214,39,40)'],
        [0.34902, 'rgb(214,39,40)'],
        [0.35294, 'rgb(214,39,40)'],
        [0.35686, 'rgb(214,39,40)'],
        [0.36078, 'rgb(214,39,40)'],
        [0.36471, 'rgb(214,39,40)'],
        [0.36863, 'rgb(214,39,40)'],
        [0.37255, 'rgb(214,39,40)'],
        [0.37647, 'rgb(214,39,40)'],
        [0.38039, 'rgb(214,39,40)'],
        [0.38431, 'rgb(214,39,40)'],
        [0.38824, 'rgb(214,39,40)'],
        [0.39216, 'rgb(214,39,40)'],
        [0.39608, 'rgb(214,39,40)'],
        [0.4, 'rgb(148,103,189)'],
        [0.40392, 'rgb(148,103,189)'],
        [0.40784, 'rgb(148,103,189)'],
        [0.41176, 'rgb(148,103,189)'],
        [0.41569, 'rgb(148,103,189)'],
        [0.41961, 'rgb(148,103,189)'],
        [0.42353, 'rgb(148,103,189)'],
        [0.42745, 'rgb(148,103,189)'],
        [0.43137, 'rgb(148,103,189)'],
        [0.43529, 'rgb(148,103,189)'],
        [0.43922, 'rgb(148,103,189)'],
        [0.44314, 'rgb(148,103,189)'],
        [0.44706, 'rgb(148,103,189)'],
        [0.45098, 'rgb(148,103,189)'],
        [0.4549, 'rgb(148,103,189)'],
        [0.45882, 'rgb(148,103,189)'],
        [0.46275, 'rgb(148,103,189)'],
        [0.46667, 'rgb(148,103,189)'],
        [0.47059, 'rgb(148,103,189)'],
        [0.47451, 'rgb(148,103,189)'],
        [0.47843, 'rgb(148,103,189)'],
        [0.48235, 'rgb(148,103,189)'],
        [0.48627, 'rgb(148,103,189)'],
        [0.4902, 'rgb(148,103,189)'],
        [0.49412, 'rgb(148,103,189)'],
        [0.49804, 'rgb(148,103,189)'],
        [0.50196, 'rgb(140,86,75)'],
        [0.50588, 'rgb(140,86,75)'],
        [0.5098, 'rgb(140,86,75)'],
        [0.51373, 'rgb(140,86,75)'],
        [0.51765, 'rgb(140,86,75)'],
        [0.52157, 'rgb(140,86,75)'],
        [0.52549, 'rgb(140,86,75)'],
        [0.52941, 'rgb(140,86,75)'],
        [0.53333, 'rgb(140,86,75)'],
        [0.53725, 'rgb(140,86,75)'],
        [0.54118, 'rgb(140,86,75)'],
        [0.5451, 'rgb(140,86,75)'],
        [0.54902, 'rgb(140,86,75)'],
        [0.55294, 'rgb(140,86,75)'],
        [0.55686, 'rgb(140,86,75)'],
        [0.56078, 'rgb(140,86,75)'],
        [0.56471, 'rgb(140,86,75)'],
        [0.56863, 'rgb(140,86,75)'],
        [0.57255, 'rgb(140,86,75)'],
        [0.57647, 'rgb(140,86,75)'],
        [0.58039, 'rgb(140,86,75)'],
        [0.58431, 'rgb(140,86,75)'],
        [0.58824, 'rgb(140,86,75)'],
        [0.59216, 'rgb(140,86,75)'],
        [0.59608, 'rgb(140,86,75)'],
        [0.6, 'rgb(227,119,194)'],
        [0.60392, 'rgb(227,119,194)'],
        [0.60784, 'rgb(227,119,194)'],
        [0.61176, 'rgb(227,119,194)'],
        [0.61569, 'rgb(227,119,194)'],
        [0.61961, 'rgb(227,119,194)'],
        [0.62353, 'rgb(227,119,194)'],
        [0.62745, 'rgb(227,119,194)'],
        [0.63137, 'rgb(227,119,194)'],
        [0.63529, 'rgb(227,119,194)'],
        [0.63922, 'rgb(227,119,194)'],
        [0.64314, 'rgb(227,119,194)'],
        [0.64706, 'rgb(227,119,194)'],
        [0.65098, 'rgb(227,119,194)'],
        [0.6549, 'rgb(227,119,194)'],
        [0.65882, 'rgb(227,119,194)'],
        [0.66275, 'rgb(227,119,194)'],
        [0.66667, 'rgb(227,119,194)'],
        [0.67059, 'rgb(227,119,194)'],
        [0.67451, 'rgb(227,119,194)'],
        [0.67843, 'rgb(227,119,194)'],
        [0.68235, 'rgb(227,119,194)'],
        [0.68627, 'rgb(227,119,194)'],
        [0.6902, 'rgb(227,119,194)'],
        [0.69412, 'rgb(227,119,194)'],
        [0.69804, 'rgb(227,119,194)'],
        [0.70196, 'rgb(127,127,127)'],
        [0.70588, 'rgb(127,127,127)'],
        [0.7098, 'rgb(127,127,127)'],
        [0.71373, 'rgb(127,127,127)'],
        [0.71765, 'rgb(127,127,127)'],
        [0.72157, 'rgb(127,127,127)'],
        [0.72549, 'rgb(127,127,127)'],
        [0.72941, 'rgb(127,127,127)'],
        [0.73333, 'rgb(127,127,127)'],
        [0.73725, 'rgb(127,127,127)'],
        [0.74118, 'rgb(127,127,127)'],
        [0.7451, 'rgb(127,127,127)'],
        [0.74902, 'rgb(127,127,127)'],
        [0.75294, 'rgb(127,127,127)'],
        [0.75686, 'rgb(127,127,127)'],
        [0.76078, 'rgb(127,127,127)'],
        [0.76471, 'rgb(127,127,127)'],
        [0.76863, 'rgb(127,127,127)'],
        [0.77255, 'rgb(127,127,127)'],
        [0.77647, 'rgb(127,127,127)'],
        [0.78039, 'rgb(127,127,127)'],
        [0.78431, 'rgb(127,127,127)'],
        [0.78824, 'rgb(127,127,127)'],
        [0.79216, 'rgb(127,127,127)'],
        [0.79608, 'rgb(127,127,127)'],
        [0.8, 'rgb(188,189,34)'],
        [0.80392, 'rgb(188,189,34)'],
        [0.80784, 'rgb(188,189,34)'],
        [0.81176, 'rgb(188,189,34)'],
        [0.81569, 'rgb(188,189,34)'],
        [0.81961, 'rgb(188,189,34)'],
        [0.82353, 'rgb(188,189,34)'],
        [0.82745, 'rgb(188,189,34)'],
        [0.83137, 'rgb(188,189,34)'],
        [0.83529, 'rgb(188,189,34)'],
        [0.83922, 'rgb(188,189,34)'],
        [0.84314, 'rgb(188,189,34)'],
        [0.84706, 'rgb(188,189,34)'],
        [0.85098, 'rgb(188,189,34)'],
        [0.8549, 'rgb(188,189,34)'],
        [0.85882, 'rgb(188,189,34)'],
        [0.86275, 'rgb(188,189,34)'],
        [0.86667, 'rgb(188,189,34)'],
        [0.87059, 'rgb(188,189,34)'],
        [0.87451, 'rgb(188,189,34)'],
        [0.87843, 'rgb(188,189,34)'],
        [0.88235, 'rgb(188,189,34)'],
        [0.88627, 'rgb(188,189,34)'],
        [0.8902, 'rgb(188,189,34)'],
        [0.89412, 'rgb(188,189,34)'],
        [0.89804, 'rgb(188,189,34)'],
        [0.90196, 'rgb(23,190,207)'],
        [0.90588, 'rgb(23,190,207)'],
        [0.9098, 'rgb(23,190,207)'],
        [0.91373, 'rgb(23,190,207)'],
        [0.91765, 'rgb(23,190,207)'],
        [0.92157, 'rgb(23,190,207)'],
        [0.92549, 'rgb(23,190,207)'],
        [0.92941, 'rgb(23,190,207)'],
        [0.93333, 'rgb(23,190,207)'],
        [0.93725, 'rgb(23,190,207)'],
        [0.94118, 'rgb(23,190,207)'],
        [0.9451, 'rgb(23,190,207)'],
        [0.94902, 'rgb(23,190,207)'],
        [0.95294, 'rgb(23,190,207)'],
        [0.95686, 'rgb(23,190,207)'],
        [0.96078, 'rgb(23,190,207)'],
        [0.96471, 'rgb(23,190,207)'],
        [0.96863, 'rgb(23,190,207)'],
        [0.97255, 'rgb(23,190,207)'],
        [0.97647, 'rgb(23,190,207)'],
        [0.98039, 'rgb(23,190,207)'],
        [0.98431, 'rgb(23,190,207)'],
        [0.98824, 'rgb(23,190,207)'],
        [0.99216, 'rgb(23,190,207)'],
        [0.99608, 'rgb(23,190,207)'],
        [1.0, 'rgb(23,190,207)'],
    ],
    'tab20': [
        [0.0, 'rgb(31,119,180)'],
        [0.00392, 'rgb(31,119,180)'],
        [0.00784, 'rgb(31,119,180)'],
        [0.01176, 'rgb(31,119,180)'],
        [0.01569, 'rgb(31,119,180)'],
        [0.01961, 'rgb(31,119,180)'],
        [0.02353, 'rgb(31,119,180)'],
        [0.02745, 'rgb(31,119,180)'],
        [0.03137, 'rgb(31,119,180)'],
        [0.03529, 'rgb(31,119,180)'],
        [0.03922, 'rgb(31,119,180)'],
        [0.04314, 'rgb(31,119,180)'],
        [0.04706, 'rgb(31,119,180)'],
        [0.05098, 'rgb(174,199,232)'],
        [0.0549, 'rgb(174,199,232)'],
        [0.05882, 'rgb(174,199,232)'],
        [0.06275, 'rgb(174,199,232)'],
        [0.06667, 'rgb(174,199,232)'],
        [0.07059, 'rgb(174,199,232)'],
        [0.07451, 'rgb(174,199,232)'],
        [0.07843, 'rgb(174,199,232)'],
        [0.08235, 'rgb(174,199,232)'],
        [0.08627, 'rgb(174,199,232)'],
        [0.0902, 'rgb(174,199,232)'],
        [0.09412, 'rgb(174,199,232)'],
        [0.09804, 'rgb(174,199,232)'],
        [0.10196, 'rgb(255,127,14)'],
        [0.10588, 'rgb(255,127,14)'],
        [0.1098, 'rgb(255,127,14)'],
        [0.11373, 'rgb(255,127,14)'],
        [0.11765, 'rgb(255,127,14)'],
        [0.12157, 'rgb(255,127,14)'],
        [0.12549, 'rgb(255,127,14)'],
        [0.12941, 'rgb(255,127,14)'],
        [0.13333, 'rgb(255,127,14)'],
        [0.13725, 'rgb(255,127,14)'],
        [0.14118, 'rgb(255,127,14)'],
        [0.1451, 'rgb(255,127,14)'],
        [0.14902, 'rgb(255,127,14)'],
        [0.15294, 'rgb(255,187,120)'],
        [0.15686, 'rgb(255,187,120)'],
        [0.16078, 'rgb(255,187,120)'],
        [0.16471, 'rgb(255,187,120)'],
        [0.16863, 'rgb(255,187,120)'],
        [0.17255, 'rgb(255,187,120)'],
        [0.17647, 'rgb(255,187,120)'],
        [0.18039, 'rgb(255,187,120)'],
        [0.18431, 'rgb(255,187,120)'],
        [0.18824, 'rgb(255,187,120)'],
        [0.19216, 'rgb(255,187,120)'],
        [0.19608, 'rgb(255,187,120)'],
        [0.2, 'rgb(44,160,44)'],
        [0.20392, 'rgb(44,160,44)'],
        [0.20784, 'rgb(44,160,44)'],
        [0.21176, 'rgb(44,160,44)'],
        [0.21569, 'rgb(44,160,44)'],
        [0.21961, 'rgb(44,160,44)'],
        [0.22353, 'rgb(44,160,44)'],
        [0.22745, 'rgb(44,160,44)'],
        [0.23137, 'rgb(44,160,44)'],
        [0.23529, 'rgb(44,160,44)'],
        [0.23922, 'rgb(44,160,44)'],
        [0.24314, 'rgb(44,160,44)'],
        [0.24706, 'rgb(44,160,44)'],
        [0.25098, 'rgb(152,223,138)'],
        [0.2549, 'rgb(152,223,138)'],
        [0.25882, 'rgb(152,223,138)'],
        [0.26275, 'rgb(152,223,138)'],
        [0.26667, 'rgb(152,223,138)'],
        [0.27059, 'rgb(152,223,138)'],
        [0.27451, 'rgb(152,223,138)'],
        [0.27843, 'rgb(152,223,138)'],
        [0.28235, 'rgb(152,223,138)'],
        [0.28627, 'rgb(152,223,138)'],
        [0.2902, 'rgb(152,223,138)'],
        [0.29412, 'rgb(152,223,138)'],
        [0.29804, 'rgb(152,223,138)'],
        [0.30196, 'rgb(214,39,40)'],
        [0.30588, 'rgb(214,39,40)'],
        [0.3098, 'rgb(214,39,40)'],
        [0.31373, 'rgb(214,39,40)'],
        [0.31765, 'rgb(214,39,40)'],
        [0.32157, 'rgb(214,39,40)'],
        [0.32549, 'rgb(214,39,40)'],
        [0.32941, 'rgb(214,39,40)'],
        [0.33333, 'rgb(214,39,40)'],
        [0.33725, 'rgb(214,39,40)'],
        [0.34118, 'rgb(214,39,40)'],
        [0.3451, 'rgb(214,39,40)'],
        [0.34902, 'rgb(214,39,40)'],
        [0.35294, 'rgb(255,152,150)'],
        [0.35686, 'rgb(255,152,150)'],
        [0.36078, 'rgb(255,152,150)'],
        [0.36471, 'rgb(255,152,150)'],
        [0.36863, 'rgb(255,152,150)'],
        [0.37255, 'rgb(255,152,150)'],
        [0.37647, 'rgb(255,152,150)'],
        [0.38039, 'rgb(255,152,150)'],
        [0.38431, 'rgb(255,152,150)'],
        [0.38824, 'rgb(255,152,150)'],
        [0.39216, 'rgb(255,152,150)'],
        [0.39608, 'rgb(255,152,150)'],
        [0.4, 'rgb(148,103,189)'],
        [0.40392, 'rgb(148,103,189)'],
        [0.40784, 'rgb(148,103,189)'],
        [0.41176, 'rgb(148,103,189)'],
        [0.41569, 'rgb(148,103,189)'],
        [0.41961, 'rgb(148,103,189)'],
        [0.42353, 'rgb(148,103,189)'],
        [0.42745, 'rgb(148,103,189)'],
        [0.43137, 'rgb(148,103,189)'],
        [0.43529, 'rgb(148,103,189)'],
        [0.43922, 'rgb(148,103,189)'],
        [0.44314, 'rgb(148,103,189)'],
        [0.44706, 'rgb(148,103,189)'],
        [0.45098, 'rgb(197,176,213)'],
        [0.4549, 'rgb(197,176,213)'],
        [0.45882, 'rgb(197,176,213)'],
        [0.46275, 'rgb(197,176,213)'],
        [0.46667, 'rgb(197,176,213)'],
        [0.47059, 'rgb(197,176,213)'],
        [0.47451, 'rgb(197,176,213)'],
        [0.47843, 'rgb(197,176,213)'],
        [0.48235, 'rgb(197,176,213)'],
        [0.48627, 'rgb(197,176,213)'],
        [0.4902, 'rgb(197,176,213)'],
        [0.49412, 'rgb(197,176,213)'],
        [0.49804, 'rgb(197,176,213)'],
        [0.50196, 'rgb(140,86,75)'],
        [0.50588, 'rgb(140,86,75)'],
        [0.5098, 'rgb(140,86,75)'],
        [0.51373, 'rgb(140,86,75)'],
        [0.51765, 'rgb(140,86,75)'],
        [0.52157, 'rgb(140,86,75)'],
        [0.52549, 'rgb(140,86,75)'],
        [0.52941, 'rgb(140,86,75)'],
        [0.53333, 'rgb(140,86,75)'],
        [0.53725, 'rgb(140,86,75)'],
        [0.54118, 'rgb(140,86,75)'],
        [0.5451, 'rgb(140,86,75)'],
        [0.54902, 'rgb(140,86,75)'],
        [0.55294, 'rgb(196,156,148)'],
        [0.55686, 'rgb(196,156,148)'],
        [0.56078, 'rgb(196,156,148)'],
        [0.56471, 'rgb(196,156,148)'],
        [0.56863, 'rgb(196,156,148)'],
        [0.57255, 'rgb(196,156,148)'],
        [0.57647, 'rgb(196,156,148)'],
        [0.58039, 'rgb(196,156,148)'],
        [0.58431, 'rgb(196,156,148)'],
        [0.58824, 'rgb(196,156,148)'],
        [0.59216, 'rgb(196,156,148)'],
        [0.59608, 'rgb(196,156,148)'],
        [0.6, 'rgb(227,119,194)'],
        [0.60392, 'rgb(227,119,194)'],
        [0.60784, 'rgb(227,119,194)'],
        [0.61176, 'rgb(227,119,194)'],
        [0.61569, 'rgb(227,119,194)'],
        [0.61961, 'rgb(227,119,194)'],
        [0.62353, 'rgb(227,119,194)'],
        [0.62745, 'rgb(227,119,194)'],
        [0.63137, 'rgb(227,119,194)'],
        [0.63529, 'rgb(227,119,194)'],
        [0.63922, 'rgb(227,119,194)'],
        [0.64314, 'rgb(227,119,194)'],
        [0.64706, 'rgb(227,119,194)'],
        [0.65098, 'rgb(247,182,210)'],
        [0.6549, 'rgb(247,182,210)'],
        [0.65882, 'rgb(247,182,210)'],
        [0.66275, 'rgb(247,182,210)'],
        [0.66667, 'rgb(247,182,210)'],
        [0.67059, 'rgb(247,182,210)'],
        [0.67451, 'rgb(247,182,210)'],
        [0.67843, 'rgb(247,182,210)'],
        [0.68235, 'rgb(247,182,210)'],
        [0.68627, 'rgb(247,182,210)'],
        [0.6902, 'rgb(247,182,210)'],
        [0.69412, 'rgb(247,182,210)'],
        [0.69804, 'rgb(247,182,210)'],
        [0.70196, 'rgb(127,127,127)'],
        [0.70588, 'rgb(127,127,127)'],
        [0.7098, 'rgb(127,127,127)'],
        [0.71373, 'rgb(127,127,127)'],
        [0.71765, 'rgb(127,127,127)'],
        [0.72157, 'rgb(127,127,127)'],
        [0.72549, 'rgb(127,127,127)'],
        [0.72941, 'rgb(127,127,127)'],
        [0.73333, 'rgb(127,127,127)'],
        [0.73725, 'rgb(127,127,127)'],
        [0.74118, 'rgb(127,127,127)'],
        [0.7451, 'rgb(127,127,127)'],
        [0.74902, 'rgb(127,127,127)'],
        [0.75294, 'rgb(199,199,199)'],
        [0.75686, 'rgb(199,199,199)'],
        [0.76078, 'rgb(199,199,199)'],
        [0.76471, 'rgb(199,199,199)'],
        [0.76863, 'rgb(199,199,199)'],
        [0.77255, 'rgb(199,199,199)'],
        [0.77647, 'rgb(199,199,199)'],
        [0.78039, 'rgb(199,199,199)'],
        [0.78431, 'rgb(199,199,199)'],
        [0.78824, 'rgb(199,199,199)'],
        [0.79216, 'rgb(199,199,199)'],
        [0.79608, 'rgb(199,199,199)'],
        [0.8, 'rgb(188,189,34)'],
        [0.80392, 'rgb(188,189,34)'],
        [0.80784, 'rgb(188,189,34)'],
        [0.81176, 'rgb(188,189,34)'],
        [0.81569, 'rgb(188,189,34)'],
        [0.81961, 'rgb(188,189,34)'],
        [0.82353, 'rgb(188,189,34)'],
        [0.82745, 'rgb(188,189,34)'],
        [0.83137, 'rgb(188,189,34)'],
        [0.83529, 'rgb(188,189,34)'],
        [0.83922, 'rgb(188,189,34)'],
        [0.84314, 'rgb(188,189,34)'],
        [0.84706, 'rgb(188,189,34)'],
        [0.85098, 'rgb(219,219,141)'],
        [0.8549, 'rgb(219,219,141)'],
        [0.85882, 'rgb(219,219,141)'],
        [0.86275, 'rgb(219,219,141)'],
        [0.86667, 'rgb(219,219,141)'],
        [0.87059, 'rgb(219,219,141)'],
        [0.87451, 'rgb(219,219,141)'],
        [0.87843, 'rgb(219,219,141)'],
        [0.88235, 'rgb(219,219,141)'],
        [0.88627, 'rgb(219,219,141)'],
        [0.8902, 'rgb(219,219,141)'],
        [0.89412, 'rgb(219,219,141)'],
        [0.89804, 'rgb(219,219,141)'],
        [0.90196, 'rgb(23,190,207)'],
        [0.90588, 'rgb(23,190,207)'],
        [0.9098, 'rgb(23,190,207)'],
        [0.91373, 'rgb(23,190,207)'],
        [0.91765, 'rgb(23,190,207)'],
        [0.92157, 'rgb(23,190,207)'],
        [0.92549, 'rgb(23,190,207)'],
        [0.92941, 'rgb(23,190,207)'],
        [0.93333, 'rgb(23,190,207)'],
        [0.93725, 'rgb(23,190,207)'],
        [0.94118, 'rgb(23,190,207)'],
        [0.9451, 'rgb(23,190,207)'],
        [0.94902, 'rgb(23,190,207)'],
        [0.95294, 'rgb(158,218,229)'],
        [0.95686, 'rgb(158,218,229)'],
        [0.96078, 'rgb(158,218,229)'],
        [0.96471, 'rgb(158,218,229)'],
        [0.96863, 'rgb(158,218,229)'],
        [0.97255, 'rgb(158,218,229)'],
        [0.97647, 'rgb(158,218,229)'],
        [0.98039, 'rgb(158,218,229)'],
        [0.98431, 'rgb(158,218,229)'],
        [0.98824, 'rgb(158,218,229)'],
        [0.99216, 'rgb(158,218,229)'],
        [0.99608, 'rgb(158,218,229)'],
        [1.0, 'rgb(158,218,229)'],
    ],
    'tab20b': [
        [0.0, 'rgb(57,59,121)'],
        [0.00392, 'rgb(57,59,121)'],
        [0.00784, 'rgb(57,59,121)'],
        [0.01176, 'rgb(57,59,121)'],
        [0.01569, 'rgb(57,59,121)'],
        [0.01961, 'rgb(57,59,121)'],
        [0.02353, 'rgb(57,59,121)'],
        [0.02745, 'rgb(57,59,121)'],
        [0.03137, 'rgb(57,59,121)'],
        [0.03529, 'rgb(57,59,121)'],
        [0.03922, 'rgb(57,59,121)'],
        [0.04314, 'rgb(57,59,121)'],
        [0.04706, 'rgb(57,59,121)'],
        [0.05098, 'rgb(82,84,163)'],
        [0.0549, 'rgb(82,84,163)'],
        [0.05882, 'rgb(82,84,163)'],
        [0.06275, 'rgb(82,84,163)'],
        [0.06667, 'rgb(82,84,163)'],
        [0.07059, 'rgb(82,84,163)'],
        [0.07451, 'rgb(82,84,163)'],
        [0.07843, 'rgb(82,84,163)'],
        [0.08235, 'rgb(82,84,163)'],
        [0.08627, 'rgb(82,84,163)'],
        [0.0902, 'rgb(82,84,163)'],
        [0.09412, 'rgb(82,84,163)'],
        [0.09804, 'rgb(82,84,163)'],
        [0.10196, 'rgb(107,110,207)'],
        [0.10588, 'rgb(107,110,207)'],
        [0.1098, 'rgb(107,110,207)'],
        [0.11373, 'rgb(107,110,207)'],
        [0.11765, 'rgb(107,110,207)'],
        [0.12157, 'rgb(107,110,207)'],
        [0.12549, 'rgb(107,110,207)'],
        [0.12941, 'rgb(107,110,207)'],
        [0.13333, 'rgb(107,110,207)'],
        [0.13725, 'rgb(107,110,207)'],
        [0.14118, 'rgb(107,110,207)'],
        [0.1451, 'rgb(107,110,207)'],
        [0.14902, 'rgb(107,110,207)'],
        [0.15294, 'rgb(156,158,222)'],
        [0.15686, 'rgb(156,158,222)'],
        [0.16078, 'rgb(156,158,222)'],
        [0.16471, 'rgb(156,158,222)'],
        [0.16863, 'rgb(156,158,222)'],
        [0.17255, 'rgb(156,158,222)'],
        [0.17647, 'rgb(156,158,222)'],
        [0.18039, 'rgb(156,158,222)'],
        [0.18431, 'rgb(156,158,222)'],
        [0.18824, 'rgb(156,158,222)'],
        [0.19216, 'rgb(156,158,222)'],
        [0.19608, 'rgb(156,158,222)'],
        [0.2, 'rgb(99,121,57)'],
        [0.20392, 'rgb(99,121,57)'],
        [0.20784, 'rgb(99,121,57)'],
        [0.21176, 'rgb(99,121,57)'],
        [0.21569, 'rgb(99,121,57)'],
        [0.21961, 'rgb(99,121,57)'],
        [0.22353, 'rgb(99,121,57)'],
        [0.22745, 'rgb(99,121,57)'],
        [0.23137, 'rgb(99,121,57)'],
        [0.23529, 'rgb(99,121,57)'],
        [0.23922, 'rgb(99,121,57)'],
        [0.24314, 'rgb(99,121,57)'],
        [0.24706, 'rgb(99,121,57)'],
        [0.25098, 'rgb(140,162,82)'],
        [0.2549, 'rgb(140,162,82)'],
        [0.25882, 'rgb(140,162,82)'],
        [0.26275, 'rgb(140,162,82)'],
        [0.26667, 'rgb(140,162,82)'],
        [0.27059, 'rgb(140,162,82)'],
        [0.27451, 'rgb(140,162,82)'],
        [0.27843, 'rgb(140,162,82)'],
        [0.28235, 'rgb(140,162,82)'],
        [0.28627, 'rgb(140,162,82)'],
        [0.2902, 'rgb(140,162,82)'],
        [0.29412, 'rgb(140,162,82)'],
        [0.29804, 'rgb(140,162,82)'],
        [0.30196, 'rgb(181,207,107)'],
        [0.30588, 'rgb(181,207,107)'],
        [0.3098, 'rgb(181,207,107)'],
        [0.31373, 'rgb(181,207,107)'],
        [0.31765, 'rgb(181,207,107)'],
        [0.32157, 'rgb(181,207,107)'],
        [0.32549, 'rgb(181,207,107)'],
        [0.32941, 'rgb(181,207,107)'],
        [0.33333, 'rgb(181,207,107)'],
        [0.33725, 'rgb(181,207,107)'],
        [0.34118, 'rgb(181,207,107)'],
        [0.3451, 'rgb(181,207,107)'],
        [0.34902, 'rgb(181,207,107)'],
        [0.35294, 'rgb(206,219,156)'],
        [0.35686, 'rgb(206,219,156)'],
        [0.36078, 'rgb(206,219,156)'],
        [0.36471, 'rgb(206,219,156)'],
        [0.36863, 'rgb(206,219,156)'],
        [0.37255, 'rgb(206,219,156)'],
        [0.37647, 'rgb(206,219,156)'],
        [0.38039, 'rgb(206,219,156)'],
        [0.38431, 'rgb(206,219,156)'],
        [0.38824, 'rgb(206,219,156)'],
        [0.39216, 'rgb(206,219,156)'],
        [0.39608, 'rgb(206,219,156)'],
        [0.4, 'rgb(140,109,49)'],
        [0.40392, 'rgb(140,109,49)'],
        [0.40784, 'rgb(140,109,49)'],
        [0.41176, 'rgb(140,109,49)'],
        [0.41569, 'rgb(140,109,49)'],
        [0.41961, 'rgb(140,109,49)'],
        [0.42353, 'rgb(140,109,49)'],
        [0.42745, 'rgb(140,109,49)'],
        [0.43137, 'rgb(140,109,49)'],
        [0.43529, 'rgb(140,109,49)'],
        [0.43922, 'rgb(140,109,49)'],
        [0.44314, 'rgb(140,109,49)'],
        [0.44706, 'rgb(140,109,49)'],
        [0.45098, 'rgb(189,158,57)'],
        [0.4549, 'rgb(189,158,57)'],
        [0.45882, 'rgb(189,158,57)'],
        [0.46275, 'rgb(189,158,57)'],
        [0.46667, 'rgb(189,158,57)'],
        [0.47059, 'rgb(189,158,57)'],
        [0.47451, 'rgb(189,158,57)'],
        [0.47843, 'rgb(189,158,57)'],
        [0.48235, 'rgb(189,158,57)'],
        [0.48627, 'rgb(189,158,57)'],
        [0.4902, 'rgb(189,158,57)'],
        [0.49412, 'rgb(189,158,57)'],
        [0.49804, 'rgb(189,158,57)'],
        [0.50196, 'rgb(231,186,82)'],
        [0.50588, 'rgb(231,186,82)'],
        [0.5098, 'rgb(231,186,82)'],
        [0.51373, 'rgb(231,186,82)'],
        [0.51765, 'rgb(231,186,82)'],
        [0.52157, 'rgb(231,186,82)'],
        [0.52549, 'rgb(231,186,82)'],
        [0.52941, 'rgb(231,186,82)'],
        [0.53333, 'rgb(231,186,82)'],
        [0.53725, 'rgb(231,186,82)'],
        [0.54118, 'rgb(231,186,82)'],
        [0.5451, 'rgb(231,186,82)'],
        [0.54902, 'rgb(231,186,82)'],
        [0.55294, 'rgb(231,203,148)'],
        [0.55686, 'rgb(231,203,148)'],
        [0.56078, 'rgb(231,203,148)'],
        [0.56471, 'rgb(231,203,148)'],
        [0.56863, 'rgb(231,203,148)'],
        [0.57255, 'rgb(231,203,148)'],
        [0.57647, 'rgb(231,203,148)'],
        [0.58039, 'rgb(231,203,148)'],
        [0.58431, 'rgb(231,203,148)'],
        [0.58824, 'rgb(231,203,148)'],
        [0.59216, 'rgb(231,203,148)'],
        [0.59608, 'rgb(231,203,148)'],
        [0.6, 'rgb(132,60,57)'],
        [0.60392, 'rgb(132,60,57)'],
        [0.60784, 'rgb(132,60,57)'],
        [0.61176, 'rgb(132,60,57)'],
        [0.61569, 'rgb(132,60,57)'],
        [0.61961, 'rgb(132,60,57)'],
        [0.62353, 'rgb(132,60,57)'],
        [0.62745, 'rgb(132,60,57)'],
        [0.63137, 'rgb(132,60,57)'],
        [0.63529, 'rgb(132,60,57)'],
        [0.63922, 'rgb(132,60,57)'],
        [0.64314, 'rgb(132,60,57)'],
        [0.64706, 'rgb(132,60,57)'],
        [0.65098, 'rgb(173,73,74)'],
        [0.6549, 'rgb(173,73,74)'],
        [0.65882, 'rgb(173,73,74)'],
        [0.66275, 'rgb(173,73,74)'],
        [0.66667, 'rgb(173,73,74)'],
        [0.67059, 'rgb(173,73,74)'],
        [0.67451, 'rgb(173,73,74)'],
        [0.67843, 'rgb(173,73,74)'],
        [0.68235, 'rgb(173,73,74)'],
        [0.68627, 'rgb(173,73,74)'],
        [0.6902, 'rgb(173,73,74)'],
        [0.69412, 'rgb(173,73,74)'],
        [0.69804, 'rgb(173,73,74)'],
        [0.70196, 'rgb(214,97,107)'],
        [0.70588, 'rgb(214,97,107)'],
        [0.7098, 'rgb(214,97,107)'],
        [0.71373, 'rgb(214,97,107)'],
        [0.71765, 'rgb(214,97,107)'],
        [0.72157, 'rgb(214,97,107)'],
        [0.72549, 'rgb(214,97,107)'],
        [0.72941, 'rgb(214,97,107)'],
        [0.73333, 'rgb(214,97,107)'],
        [0.73725, 'rgb(214,97,107)'],
        [0.74118, 'rgb(214,97,107)'],
        [0.7451, 'rgb(214,97,107)'],
        [0.74902, 'rgb(214,97,107)'],
        [0.75294, 'rgb(231,150,156)'],
        [0.75686, 'rgb(231,150,156)'],
        [0.76078, 'rgb(231,150,156)'],
        [0.76471, 'rgb(231,150,156)'],
        [0.76863, 'rgb(231,150,156)'],
        [0.77255, 'rgb(231,150,156)'],
        [0.77647, 'rgb(231,150,156)'],
        [0.78039, 'rgb(231,150,156)'],
        [0.78431, 'rgb(231,150,156)'],
        [0.78824, 'rgb(231,150,156)'],
        [0.79216, 'rgb(231,150,156)'],
        [0.79608, 'rgb(231,150,156)'],
        [0.8, 'rgb(123,65,115)'],
        [0.80392, 'rgb(123,65,115)'],
        [0.80784, 'rgb(123,65,115)'],
        [0.81176, 'rgb(123,65,115)'],
        [0.81569, 'rgb(123,65,115)'],
        [0.81961, 'rgb(123,65,115)'],
        [0.82353, 'rgb(123,65,115)'],
        [0.82745, 'rgb(123,65,115)'],
        [0.83137, 'rgb(123,65,115)'],
        [0.83529, 'rgb(123,65,115)'],
        [0.83922, 'rgb(123,65,115)'],
        [0.84314, 'rgb(123,65,115)'],
        [0.84706, 'rgb(123,65,115)'],
        [0.85098, 'rgb(165,81,148)'],
        [0.8549, 'rgb(165,81,148)'],
        [0.85882, 'rgb(165,81,148)'],
        [0.86275, 'rgb(165,81,148)'],
        [0.86667, 'rgb(165,81,148)'],
        [0.87059, 'rgb(165,81,148)'],
        [0.87451, 'rgb(165,81,148)'],
        [0.87843, 'rgb(165,81,148)'],
        [0.88235, 'rgb(165,81,148)'],
        [0.88627, 'rgb(165,81,148)'],
        [0.8902, 'rgb(165,81,148)'],
        [0.89412, 'rgb(165,81,148)'],
        [0.89804, 'rgb(165,81,148)'],
        [0.90196, 'rgb(206,109,189)'],
        [0.90588, 'rgb(206,109,189)'],
        [0.9098, 'rgb(206,109,189)'],
        [0.91373, 'rgb(206,109,189)'],
        [0.91765, 'rgb(206,109,189)'],
        [0.92157, 'rgb(206,109,189)'],
        [0.92549, 'rgb(206,109,189)'],
        [0.92941, 'rgb(206,109,189)'],
        [0.93333, 'rgb(206,109,189)'],
        [0.93725, 'rgb(206,109,189)'],
        [0.94118, 'rgb(206,109,189)'],
        [0.9451, 'rgb(206,109,189)'],
        [0.94902, 'rgb(206,109,189)'],
        [0.95294, 'rgb(222,158,214)'],
        [0.95686, 'rgb(222,158,214)'],
        [0.96078, 'rgb(222,158,214)'],
        [0.96471, 'rgb(222,158,214)'],
        [0.96863, 'rgb(222,158,214)'],
        [0.97255, 'rgb(222,158,214)'],
        [0.97647, 'rgb(222,158,214)'],
        [0.98039, 'rgb(222,158,214)'],
        [0.98431, 'rgb(222,158,214)'],
        [0.98824, 'rgb(222,158,214)'],
        [0.99216, 'rgb(222,158,214)'],
        [0.99608, 'rgb(222,158,214)'],
        [1.0, 'rgb(222,158,214)'],
    ],
    'tab20c': [
        [0.0, 'rgb(49,130,189)'],
        [0.00392, 'rgb(49,130,189)'],
        [0.00784, 'rgb(49,130,189)'],
        [0.01176, 'rgb(49,130,189)'],
        [0.01569, 'rgb(49,130,189)'],
        [0.01961, 'rgb(49,130,189)'],
        [0.02353, 'rgb(49,130,189)'],
        [0.02745, 'rgb(49,130,189)'],
        [0.03137, 'rgb(49,130,189)'],
        [0.03529, 'rgb(49,130,189)'],
        [0.03922, 'rgb(49,130,189)'],
        [0.04314, 'rgb(49,130,189)'],
        [0.04706, 'rgb(49,130,189)'],
        [0.05098, 'rgb(107,174,214)'],
        [0.0549, 'rgb(107,174,214)'],
        [0.05882, 'rgb(107,174,214)'],
        [0.06275, 'rgb(107,174,214)'],
        [0.06667, 'rgb(107,174,214)'],
        [0.07059, 'rgb(107,174,214)'],
        [0.07451, 'rgb(107,174,214)'],
        [0.07843, 'rgb(107,174,214)'],
        [0.08235, 'rgb(107,174,214)'],
        [0.08627, 'rgb(107,174,214)'],
        [0.0902, 'rgb(107,174,214)'],
        [0.09412, 'rgb(107,174,214)'],
        [0.09804, 'rgb(107,174,214)'],
        [0.10196, 'rgb(158,202,225)'],
        [0.10588, 'rgb(158,202,225)'],
        [0.1098, 'rgb(158,202,225)'],
        [0.11373, 'rgb(158,202,225)'],
        [0.11765, 'rgb(158,202,225)'],
        [0.12157, 'rgb(158,202,225)'],
        [0.12549, 'rgb(158,202,225)'],
        [0.12941, 'rgb(158,202,225)'],
        [0.13333, 'rgb(158,202,225)'],
        [0.13725, 'rgb(158,202,225)'],
        [0.14118, 'rgb(158,202,225)'],
        [0.1451, 'rgb(158,202,225)'],
        [0.14902, 'rgb(158,202,225)'],
        [0.15294, 'rgb(198,219,239)'],
        [0.15686, 'rgb(198,219,239)'],
        [0.16078, 'rgb(198,219,239)'],
        [0.16471, 'rgb(198,219,239)'],
        [0.16863, 'rgb(198,219,239)'],
        [0.17255, 'rgb(198,219,239)'],
        [0.17647, 'rgb(198,219,239)'],
        [0.18039, 'rgb(198,219,239)'],
        [0.18431, 'rgb(198,219,239)'],
        [0.18824, 'rgb(198,219,239)'],
        [0.19216, 'rgb(198,219,239)'],
        [0.19608, 'rgb(198,219,239)'],
        [0.2, 'rgb(230,85,13)'],
        [0.20392, 'rgb(230,85,13)'],
        [0.20784, 'rgb(230,85,13)'],
        [0.21176, 'rgb(230,85,13)'],
        [0.21569, 'rgb(230,85,13)'],
        [0.21961, 'rgb(230,85,13)'],
        [0.22353, 'rgb(230,85,13)'],
        [0.22745, 'rgb(230,85,13)'],
        [0.23137, 'rgb(230,85,13)'],
        [0.23529, 'rgb(230,85,13)'],
        [0.23922, 'rgb(230,85,13)'],
        [0.24314, 'rgb(230,85,13)'],
        [0.24706, 'rgb(230,85,13)'],
        [0.25098, 'rgb(253,141,60)'],
        [0.2549, 'rgb(253,141,60)'],
        [0.25882, 'rgb(253,141,60)'],
        [0.26275, 'rgb(253,141,60)'],
        [0.26667, 'rgb(253,141,60)'],
        [0.27059, 'rgb(253,141,60)'],
        [0.27451, 'rgb(253,141,60)'],
        [0.27843, 'rgb(253,141,60)'],
        [0.28235, 'rgb(253,141,60)'],
        [0.28627, 'rgb(253,141,60)'],
        [0.2902, 'rgb(253,141,60)'],
        [0.29412, 'rgb(253,141,60)'],
        [0.29804, 'rgb(253,141,60)'],
        [0.30196, 'rgb(253,174,107)'],
        [0.30588, 'rgb(253,174,107)'],
        [0.3098, 'rgb(253,174,107)'],
        [0.31373, 'rgb(253,174,107)'],
        [0.31765, 'rgb(253,174,107)'],
        [0.32157, 'rgb(253,174,107)'],
        [0.32549, 'rgb(253,174,107)'],
        [0.32941, 'rgb(253,174,107)'],
        [0.33333, 'rgb(253,174,107)'],
        [0.33725, 'rgb(253,174,107)'],
        [0.34118, 'rgb(253,174,107)'],
        [0.3451, 'rgb(253,174,107)'],
        [0.34902, 'rgb(253,174,107)'],
        [0.35294, 'rgb(253,208,162)'],
        [0.35686, 'rgb(253,208,162)'],
        [0.36078, 'rgb(253,208,162)'],
        [0.36471, 'rgb(253,208,162)'],
        [0.36863, 'rgb(253,208,162)'],
        [0.37255, 'rgb(253,208,162)'],
        [0.37647, 'rgb(253,208,162)'],
        [0.38039, 'rgb(253,208,162)'],
        [0.38431, 'rgb(253,208,162)'],
        [0.38824, 'rgb(253,208,162)'],
        [0.39216, 'rgb(253,208,162)'],
        [0.39608, 'rgb(253,208,162)'],
        [0.4, 'rgb(49,163,84)'],
        [0.40392, 'rgb(49,163,84)'],
        [0.40784, 'rgb(49,163,84)'],
        [0.41176, 'rgb(49,163,84)'],
        [0.41569, 'rgb(49,163,84)'],
        [0.41961, 'rgb(49,163,84)'],
        [0.42353, 'rgb(49,163,84)'],
        [0.42745, 'rgb(49,163,84)'],
        [0.43137, 'rgb(49,163,84)'],
        [0.43529, 'rgb(49,163,84)'],
        [0.43922, 'rgb(49,163,84)'],
        [0.44314, 'rgb(49,163,84)'],
        [0.44706, 'rgb(49,163,84)'],
        [0.45098, 'rgb(116,196,118)'],
        [0.4549, 'rgb(116,196,118)'],
        [0.45882, 'rgb(116,196,118)'],
        [0.46275, 'rgb(116,196,118)'],
        [0.46667, 'rgb(116,196,118)'],
        [0.47059, 'rgb(116,196,118)'],
        [0.47451, 'rgb(116,196,118)'],
        [0.47843, 'rgb(116,196,118)'],
        [0.48235, 'rgb(116,196,118)'],
        [0.48627, 'rgb(116,196,118)'],
        [0.4902, 'rgb(116,196,118)'],
        [0.49412, 'rgb(116,196,118)'],
        [0.49804, 'rgb(116,196,118)'],
        [0.50196, 'rgb(161,217,155)'],
        [0.50588, 'rgb(161,217,155)'],
        [0.5098, 'rgb(161,217,155)'],
        [0.51373, 'rgb(161,217,155)'],
        [0.51765, 'rgb(161,217,155)'],
        [0.52157, 'rgb(161,217,155)'],
        [0.52549, 'rgb(161,217,155)'],
        [0.52941, 'rgb(161,217,155)'],
        [0.53333, 'rgb(161,217,155)'],
        [0.53725, 'rgb(161,217,155)'],
        [0.54118, 'rgb(161,217,155)'],
        [0.5451, 'rgb(161,217,155)'],
        [0.54902, 'rgb(161,217,155)'],
        [0.55294, 'rgb(199,233,192)'],
        [0.55686, 'rgb(199,233,192)'],
        [0.56078, 'rgb(199,233,192)'],
        [0.56471, 'rgb(199,233,192)'],
        [0.56863, 'rgb(199,233,192)'],
        [0.57255, 'rgb(199,233,192)'],
        [0.57647, 'rgb(199,233,192)'],
        [0.58039, 'rgb(199,233,192)'],
        [0.58431, 'rgb(199,233,192)'],
        [0.58824, 'rgb(199,233,192)'],
        [0.59216, 'rgb(199,233,192)'],
        [0.59608, 'rgb(199,233,192)'],
        [0.6, 'rgb(117,107,177)'],
        [0.60392, 'rgb(117,107,177)'],
        [0.60784, 'rgb(117,107,177)'],
        [0.61176, 'rgb(117,107,177)'],
        [0.61569, 'rgb(117,107,177)'],
        [0.61961, 'rgb(117,107,177)'],
        [0.62353, 'rgb(117,107,177)'],
        [0.62745, 'rgb(117,107,177)'],
        [0.63137, 'rgb(117,107,177)'],
        [0.63529, 'rgb(117,107,177)'],
        [0.63922, 'rgb(117,107,177)'],
        [0.64314, 'rgb(117,107,177)'],
        [0.64706, 'rgb(117,107,177)'],
        [0.65098, 'rgb(158,154,200)'],
        [0.6549, 'rgb(158,154,200)'],
        [0.65882, 'rgb(158,154,200)'],
        [0.66275, 'rgb(158,154,200)'],
        [0.66667, 'rgb(158,154,200)'],
        [0.67059, 'rgb(158,154,200)'],
        [0.67451, 'rgb(158,154,200)'],
        [0.67843, 'rgb(158,154,200)'],
        [0.68235, 'rgb(158,154,200)'],
        [0.68627, 'rgb(158,154,200)'],
        [0.6902, 'rgb(158,154,200)'],
        [0.69412, 'rgb(158,154,200)'],
        [0.69804, 'rgb(158,154,200)'],
        [0.70196, 'rgb(188,189,220)'],
        [0.70588, 'rgb(188,189,220)'],
        [0.7098, 'rgb(188,189,220)'],
        [0.71373, 'rgb(188,189,220)'],
        [0.71765, 'rgb(188,189,220)'],
        [0.72157, 'rgb(188,189,220)'],
        [0.72549, 'rgb(188,189,220)'],
        [0.72941, 'rgb(188,189,220)'],
        [0.73333, 'rgb(188,189,220)'],
        [0.73725, 'rgb(188,189,220)'],
        [0.74118, 'rgb(188,189,220)'],
        [0.7451, 'rgb(188,189,220)'],
        [0.74902, 'rgb(188,189,220)'],
        [0.75294, 'rgb(218,218,235)'],
        [0.75686, 'rgb(218,218,235)'],
        [0.76078, 'rgb(218,218,235)'],
        [0.76471, 'rgb(218,218,235)'],
        [0.76863, 'rgb(218,218,235)'],
        [0.77255, 'rgb(218,218,235)'],
        [0.77647, 'rgb(218,218,235)'],
        [0.78039, 'rgb(218,218,235)'],
        [0.78431, 'rgb(218,218,235)'],
        [0.78824, 'rgb(218,218,235)'],
        [0.79216, 'rgb(218,218,235)'],
        [0.79608, 'rgb(218,218,235)'],
        [0.8, 'rgb(99,99,99)'],
        [0.80392, 'rgb(99,99,99)'],
        [0.80784, 'rgb(99,99,99)'],
        [0.81176, 'rgb(99,99,99)'],
        [0.81569, 'rgb(99,99,99)'],
        [0.81961, 'rgb(99,99,99)'],
        [0.82353, 'rgb(99,99,99)'],
        [0.82745, 'rgb(99,99,99)'],
        [0.83137, 'rgb(99,99,99)'],
        [0.83529, 'rgb(99,99,99)'],
        [0.83922, 'rgb(99,99,99)'],
        [0.84314, 'rgb(99,99,99)'],
        [0.84706, 'rgb(99,99,99)'],
        [0.85098, 'rgb(150,150,150)'],
        [0.8549, 'rgb(150,150,150)'],
        [0.85882, 'rgb(150,150,150)'],
        [0.86275, 'rgb(150,150,150)'],
        [0.86667, 'rgb(150,150,150)'],
        [0.87059, 'rgb(150,150,150)'],
        [0.87451, 'rgb(150,150,150)'],
        [0.87843, 'rgb(150,150,150)'],
        [0.88235, 'rgb(150,150,150)'],
        [0.88627, 'rgb(150,150,150)'],
        [0.8902, 'rgb(150,150,150)'],
        [0.89412, 'rgb(150,150,150)'],
        [0.89804, 'rgb(150,150,150)'],
        [0.90196, 'rgb(189,189,189)'],
        [0.90588, 'rgb(189,189,189)'],
        [0.9098, 'rgb(189,189,189)'],
        [0.91373, 'rgb(189,189,189)'],
        [0.91765, 'rgb(189,189,189)'],
        [0.92157, 'rgb(189,189,189)'],
        [0.92549, 'rgb(189,189,189)'],
        [0.92941, 'rgb(189,189,189)'],
        [0.93333, 'rgb(189,189,189)'],
        [0.93725, 'rgb(189,189,189)'],
        [0.94118, 'rgb(189,189,189)'],
        [0.9451, 'rgb(189,189,189)'],
        [0.94902, 'rgb(189,189,189)'],
        [0.95294, 'rgb(217,217,217)'],
        [0.95686, 'rgb(217,217,217)'],
        [0.96078, 'rgb(217,217,217)'],
        [0.96471, 'rgb(217,217,217)'],
        [0.96863, 'rgb(217,217,217)'],
        [0.97255, 'rgb(217,217,217)'],
        [0.97647, 'rgb(217,217,217)'],
        [0.98039, 'rgb(217,217,217)'],
        [0.98431, 'rgb(217,217,217)'],
        [0.98824, 'rgb(217,217,217)'],
        [0.99216, 'rgb(217,217,217)'],
        [0.99608, 'rgb(217,217,217)'],
        [1.0, 'rgb(217,217,217)'],
    ],
    'terrain': [
        [0.0, 'rgb(51,51,153)'],
        [0.00392, 'rgb(49,53,155)'],
        [0.00784, 'rgb(48,56,158)'],
        [0.01176, 'rgb(47,59,161)'],
        [0.01569, 'rgb(45,61,163)'],
        [0.01961, 'rgb(44,64,166)'],
        [0.02353, 'rgb(43,67,169)'],
        [0.02745, 'rgb(41,69,171)'],
        [0.03137, 'rgb(40,72,174)'],
        [0.03529, 'rgb(39,75,177)'],
        [0.03922, 'rgb(37,77,179)'],
        [0.04314, 'rgb(36,80,182)'],
        [0.04706, 'rgb(35,83,185)'],
        [0.05098, 'rgb(33,85,187)'],
        [0.0549, 'rgb(32,88,190)'],
        [0.05882, 'rgb(31,91,193)'],
        [0.06275, 'rgb(29,93,195)'],
        [0.06667, 'rgb(28,96,198)'],
        [0.07059, 'rgb(27,98,201)'],
        [0.07451, 'rgb(25,101,203)'],
        [0.07843, 'rgb(24,104,206)'],
        [0.08235, 'rgb(23,107,209)'],
        [0.08627, 'rgb(21,109,211)'],
        [0.0902, 'rgb(20,112,214)'],
        [0.09412, 'rgb(19,115,217)'],
        [0.09804, 'rgb(17,117,219)'],
        [0.10196, 'rgb(16,120,222)'],
        [0.10588, 'rgb(14,123,225)'],
        [0.1098, 'rgb(13,125,227)'],
        [0.11373, 'rgb(12,128,230)'],
        [0.11765, 'rgb(11,131,233)'],
        [0.12157, 'rgb(9,133,235)'],
        [0.12549, 'rgb(8,136,238)'],
        [0.12941, 'rgb(7,138,241)'],
        [0.13333, 'rgb(5,141,243)'],
        [0.13725, 'rgb(4,144,246)'],
        [0.14118, 'rgb(3,147,249)'],
        [0.1451, 'rgb(1,149,251)'],
        [0.14902, 'rgb(0,152,254)'],
        [0.15294, 'rgb(0,154,250)'],
        [0.15686, 'rgb(0,156,244)'],
        [0.16078, 'rgb(0,158,238)'],
        [0.16471, 'rgb(0,160,232)'],
        [0.16863, 'rgb(0,162,226)'],
        [0.17255, 'rgb(0,164,220)'],
        [0.17647, 'rgb(0,166,214)'],
        [0.18039, 'rgb(0,168,208)'],
        [0.18431, 'rgb(0,170,202)'],
        [0.18824, 'rgb(0,172,196)'],
        [0.19216, 'rgb(0,174,190)'],
        [0.19608, 'rgb(0,176,184)'],
        [0.2, 'rgb(0,178,178)'],
        [0.20392, 'rgb(0,180,172)'],
        [0.20784, 'rgb(0,182,166)'],
        [0.21176, 'rgb(0,184,160)'],
        [0.21569, 'rgb(0,186,154)'],
        [0.21961, 'rgb(0,188,148)'],
        [0.22353, 'rgb(0,190,142)'],
        [0.22745, 'rgb(0,192,136)'],
        [0.23137, 'rgb(0,194,130)'],
        [0.23529, 'rgb(0,196,124)'],
        [0.23922, 'rgb(0,198,118)'],
        [0.24314, 'rgb(0,200,112)'],
        [0.24706, 'rgb(0,202,106)'],
        [0.25098, 'rgb(1,204,102)'],
        [0.2549, 'rgb(5,205,103)'],
        [0.25882, 'rgb(8,205,103)'],
        [0.26275, 'rgb(13,206,104)'],
        [0.26667, 'rgb(17,207,105)'],
        [0.27059, 'rgb(21,208,106)'],
        [0.27451, 'rgb(25,209,107)'],
        [0.27843, 'rgb(29,209,107)'],
        [0.28235, 'rgb(33,210,108)'],
        [0.28627, 'rgb(37,211,109)'],
        [0.2902, 'rgb(40,212,110)'],
        [0.29412, 'rgb(45,213,111)'],
        [0.29804, 'rgb(49,213,111)'],
        [0.30196, 'rgb(53,214,112)'],
        [0.30588, 'rgb(57,215,113)'],
        [0.3098, 'rgb(61,216,114)'],
        [0.31373, 'rgb(65,217,115)'],
        [0.31765, 'rgb(69,217,115)'],
        [0.32157, 'rgb(72,218,116)'],
        [0.32549, 'rgb(77,219,117)'],
        [0.32941, 'rgb(81,220,118)'],
        [0.33333, 'rgb(85,221,119)'],
        [0.33725, 'rgb(89,221,119)'],
        [0.34118, 'rgb(93,222,120)'],
        [0.3451, 'rgb(97,223,121)'],
        [0.34902, 'rgb(101,224,122)'],
        [0.35294, 'rgb(104,225,122)'],
        [0.35686, 'rgb(109,225,123)'],
        [0.36078, 'rgb(113,226,124)'],
        [0.36471, 'rgb(117,227,125)'],
        [0.36863, 'rgb(121,228,126)'],
        [0.37255, 'rgb(125,229,127)'],
        [0.37647, 'rgb(129,229,127)'],
        [0.38039, 'rgb(133,230,128)'],
        [0.38431, 'rgb(136,231,129)'],
        [0.38824, 'rgb(141,232,130)'],
        [0.39216, 'rgb(145,233,131)'],
        [0.39608, 'rgb(149,233,131)'],
        [0.4, 'rgb(153,234,132)'],
        [0.40392, 'rgb(157,235,133)'],
        [0.40784, 'rgb(161,236,134)'],
        [0.41176, 'rgb(165,237,135)'],
        [0.41569, 'rgb(168,237,135)'],
        [0.41961, 'rgb(173,238,136)'],
        [0.42353, 'rgb(177,239,137)'],
        [0.42745, 'rgb(181,240,138)'],
        [0.43137, 'rgb(185,241,139)'],
        [0.43529, 'rgb(189,241,139)'],
        [0.43922, 'rgb(193,242,140)'],
        [0.44314, 'rgb(197,243,141)'],
        [0.44706, 'rgb(200,244,142)'],
        [0.45098, 'rgb(205,245,143)'],
        [0.4549, 'rgb(209,245,143)'],
        [0.45882, 'rgb(213,246,144)'],
        [0.46275, 'rgb(217,247,145)'],
        [0.46667, 'rgb(221,248,146)'],
        [0.47059, 'rgb(225,249,147)'],
        [0.47451, 'rgb(229,249,147)'],
        [0.47843, 'rgb(232,250,148)'],
        [0.48235, 'rgb(237,251,149)'],
        [0.48627, 'rgb(241,252,150)'],
        [0.4902, 'rgb(245,253,151)'],
        [0.49412, 'rgb(249,253,151)'],
        [0.49804, 'rgb(253,254,152)'],
        [0.50196, 'rgb(254,253,152)'],
        [0.50588, 'rgb(252,251,151)'],
        [0.5098, 'rgb(250,248,150)'],
        [0.51373, 'rgb(248,246,149)'],
        [0.51765, 'rgb(246,243,148)'],
        [0.52157, 'rgb(244,240,147)'],
        [0.52549, 'rgb(242,238,145)'],
        [0.52941, 'rgb(240,235,144)'],
        [0.53333, 'rgb(238,233,143)'],
        [0.53725, 'rgb(236,230,142)'],
        [0.54118, 'rgb(234,228,141)'],
        [0.5451, 'rgb(232,225,140)'],
        [0.54902, 'rgb(230,223,139)'],
        [0.55294, 'rgb(228,220,138)'],
        [0.55686, 'rgb(226,217,137)'],
        [0.56078, 'rgb(224,215,136)'],
        [0.56471, 'rgb(222,212,135)'],
        [0.56863, 'rgb(220,210,134)'],
        [0.57255, 'rgb(218,207,133)'],
        [0.57647, 'rgb(216,205,131)'],
        [0.58039, 'rgb(214,202,130)'],
        [0.58431, 'rgb(211,199,129)'],
        [0.58824, 'rgb(210,197,128)'],
        [0.59216, 'rgb(208,194,127)'],
        [0.59608, 'rgb(206,192,126)'],
        [0.6, 'rgb(204,189,125)'],
        [0.60392, 'rgb(202,187,124)'],
        [0.60784, 'rgb(200,184,123)'],
        [0.61176, 'rgb(198,182,122)'],
        [0.61569, 'rgb(195,179,121)'],
        [0.61961, 'rgb(194,176,120)'],
        [0.62353, 'rgb(192,174,118)'],
        [0.62745, 'rgb(190,171,117)'],
        [0.63137, 'rgb(188,169,116)'],
        [0.63529, 'rgb(186,166,115)'],
        [0.63922, 'rgb(184,164,114)'],
        [0.64314, 'rgb(182,161,113)'],
        [0.64706, 'rgb(179,159,112)'],
        [0.65098, 'rgb(178,156,111)'],
        [0.6549, 'rgb(176,153,110)'],
        [0.65882, 'rgb(174,151,109)'],
        [0.66275, 'rgb(172,148,108)'],
        [0.66667, 'rgb(170,146,107)'],
        [0.67059, 'rgb(168,143,106)'],
        [0.67451, 'rgb(166,141,104)'],
        [0.67843, 'rgb(163,138,103)'],
        [0.68235, 'rgb(162,135,102)'],
        [0.68627, 'rgb(160,133,101)'],
        [0.6902, 'rgb(158,130,100)'],
        [0.69412, 'rgb(156,128,99)'],
        [0.69804, 'rgb(154,125,98)'],
        [0.70196, 'rgb(152,123,97)'],
        [0.70588, 'rgb(150,120,96)'],
        [0.7098, 'rgb(147,118,95)'],
        [0.71373, 'rgb(146,115,94)'],
        [0.71765, 'rgb(144,112,93)'],
        [0.72157, 'rgb(142,110,91)'],
        [0.72549, 'rgb(140,107,90)'],
        [0.72941, 'rgb(138,105,89)'],
        [0.73333, 'rgb(136,102,88)'],
        [0.73725, 'rgb(134,100,87)'],
        [0.74118, 'rgb(131,97,86)'],
        [0.7451, 'rgb(130,95,85)'],
        [0.74902, 'rgb(128,92,84)'],
        [0.75294, 'rgb(129,93,86)'],
        [0.75686, 'rgb(131,96,88)'],
        [0.76078, 'rgb(133,98,91)'],
        [0.76471, 'rgb(135,101,94)'],
        [0.76863, 'rgb(136,103,96)'],
        [0.77255, 'rgb(139,106,99)'],
        [0.77647, 'rgb(141,109,102)'],
        [0.78039, 'rgb(143,111,104)'],
        [0.78431, 'rgb(145,114,107)'],
        [0.78824, 'rgb(147,116,110)'],
        [0.79216, 'rgb(149,119,112)'],
        [0.79608, 'rgb(151,121,115)'],
        [0.8, 'rgb(153,124,118)'],
        [0.80392, 'rgb(155,127,121)'],
        [0.80784, 'rgb(157,129,123)'],
        [0.81176, 'rgb(159,132,126)'],
        [0.81569, 'rgb(161,134,129)'],
        [0.81961, 'rgb(163,137,131)'],
        [0.82353, 'rgb(165,139,134)'],
        [0.82745, 'rgb(167,142,137)'],
        [0.83137, 'rgb(168,144,139)'],
        [0.83529, 'rgb(171,147,142)'],
        [0.83922, 'rgb(173,150,145)'],
        [0.84314, 'rgb(175,152,147)'],
        [0.84706, 'rgb(177,155,150)'],
        [0.85098, 'rgb(179,157,153)'],
        [0.8549, 'rgb(181,160,155)'],
        [0.85882, 'rgb(183,162,158)'],
        [0.86275, 'rgb(185,165,161)'],
        [0.86667, 'rgb(187,167,163)'],
        [0.87059, 'rgb(189,170,166)'],
        [0.87451, 'rgb(191,173,169)'],
        [0.87843, 'rgb(193,175,171)'],
        [0.88235, 'rgb(195,178,174)'],
        [0.88627, 'rgb(196,180,177)'],
        [0.8902, 'rgb(199,183,179)'],
        [0.89412, 'rgb(200,185,182)'],
        [0.89804, 'rgb(203,188,185)'],
        [0.90196, 'rgb(205,191,187)'],
        [0.90588, 'rgb(207,193,190)'],
        [0.9098, 'rgb(209,196,193)'],
        [0.91373, 'rgb(211,198,196)'],
        [0.91765, 'rgb(212,201,198)'],
        [0.92157, 'rgb(215,203,201)'],
        [0.92549, 'rgb(217,206,204)'],
        [0.92941, 'rgb(219,208,206)'],
        [0.93333, 'rgb(221,211,209)'],
        [0.93725, 'rgb(223,214,212)'],
        [0.94118, 'rgb(225,216,214)'],
        [0.9451, 'rgb(227,219,217)'],
        [0.94902, 'rgb(228,221,220)'],
        [0.95294, 'rgb(231,224,222)'],
        [0.95686, 'rgb(232,226,225)'],
        [0.96078, 'rgb(235,229,228)'],
        [0.96471, 'rgb(237,231,230)'],
        [0.96863, 'rgb(239,234,233)'],
        [0.97255, 'rgb(241,237,236)'],
        [0.97647, 'rgb(243,239,238)'],
        [0.98039, 'rgb(244,242,241)'],
        [0.98431, 'rgb(247,244,244)'],
        [0.98824, 'rgb(249,247,246)'],
        [0.99216, 'rgb(251,249,249)'],
        [0.99608, 'rgb(253,252,252)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'twilight_shifted': [
        [0.0, 'rgb(47,19,55)'],
        [0.00392, 'rgb(48,19,55)'],
        [0.00784, 'rgb(49,18,57)'],
        [0.01176, 'rgb(50,17,59)'],
        [0.01569, 'rgb(51,17,61)'],
        [0.01961, 'rgb(52,16,63)'],
        [0.02353, 'rgb(54,16,65)'],
        [0.02745, 'rgb(54,16,66)'],
        [0.03137, 'rgb(56,16,69)'],
        [0.03529, 'rgb(57,16,71)'],
        [0.03922, 'rgb(59,17,75)'],
        [0.04314, 'rgb(61,17,78)'],
        [0.04706, 'rgb(62,17,81)'],
        [0.05098, 'rgb(63,17,82)'],
        [0.0549, 'rgb(65,18,85)'],
        [0.05882, 'rgb(67,18,88)'],
        [0.06275, 'rgb(69,19,93)'],
        [0.06667, 'rgb(71,20,96)'],
        [0.07059, 'rgb(73,21,100)'],
        [0.07451, 'rgb(74,21,103)'],
        [0.07843, 'rgb(75,22,105)'],
        [0.08235, 'rgb(77,23,108)'],
        [0.08627, 'rgb(78,24,112)'],
        [0.0902, 'rgb(80,26,117)'],
        [0.09412, 'rgb(82,27,120)'],
        [0.09804, 'rgb(83,29,124)'],
        [0.10196, 'rgb(83,30,125)'],
        [0.10588, 'rgb(85,32,128)'],
        [0.1098, 'rgb(86,33,131)'],
        [0.11373, 'rgb(87,36,136)'],
        [0.11765, 'rgb(88,39,139)'],
        [0.12157, 'rgb(89,41,141)'],
        [0.12549, 'rgb(89,42,143)'],
        [0.12941, 'rgb(90,44,145)'],
        [0.13333, 'rgb(90,46,148)'],
        [0.13725, 'rgb(91,49,150)'],
        [0.14118, 'rgb(91,52,153)'],
        [0.1451, 'rgb(92,55,155)'],
        [0.14902, 'rgb(92,57,157)'],
        [0.15294, 'rgb(92,58,158)'],
        [0.15686, 'rgb(92,61,160)'],
        [0.16078, 'rgb(93,63,162)'],
        [0.16471, 'rgb(93,67,164)'],
        [0.16863, 'rgb(93,69,166)'],
        [0.17255, 'rgb(93,72,167)'],
        [0.17647, 'rgb(93,73,168)'],
        [0.18039, 'rgb(94,75,170)'],
        [0.18431, 'rgb(94,78,171)'],
        [0.18824, 'rgb(94,81,173)'],
        [0.19216, 'rgb(94,84,174)'],
        [0.19608, 'rgb(94,86,175)'],
        [0.2, 'rgb(94,89,176)'],
        [0.20392, 'rgb(94,90,177)'],
        [0.20784, 'rgb(94,92,178)'],
        [0.21176, 'rgb(95,94,179)'],
        [0.21569, 'rgb(95,98,180)'],
        [0.21961, 'rgb(95,100,181)'],
        [0.22353, 'rgb(95,103,182)'],
        [0.22745, 'rgb(95,104,182)'],
        [0.23137, 'rgb(96,106,183)'],
        [0.23529, 'rgb(96,108,183)'],
        [0.23922, 'rgb(96,112,184)'],
        [0.24314, 'rgb(97,114,185)'],
        [0.24706, 'rgb(97,116,186)'],
        [0.25098, 'rgb(97,117,186)'],
        [0.2549, 'rgb(98,119,186)'],
        [0.25882, 'rgb(99,122,187)'],
        [0.26275, 'rgb(100,125,188)'],
        [0.26667, 'rgb(100,127,188)'],
        [0.27059, 'rgb(101,129,189)'],
        [0.27451, 'rgb(102,131,189)'],
        [0.27843, 'rgb(102,132,189)'],
        [0.28235, 'rgb(103,134,190)'],
        [0.28627, 'rgb(104,136,190)'],
        [0.2902, 'rgb(106,139,190)'],
        [0.29412, 'rgb(107,142,191)'],
        [0.29804, 'rgb(109,144,191)'],
        [0.30196, 'rgb(109,145,191)'],
        [0.30588, 'rgb(111,147,192)'],
        [0.3098, 'rgb(112,149,192)'],
        [0.31373, 'rgb(115,152,192)'],
        [0.31765, 'rgb(116,154,193)'],
        [0.32157, 'rgb(118,155,193)'],
        [0.32549, 'rgb(119,156,193)'],
        [0.32941, 'rgb(121,158,193)'],
        [0.33333, 'rgb(123,160,194)'],
        [0.33725, 'rgb(125,162,194)'],
        [0.34118, 'rgb(128,165,195)'],
        [0.3451, 'rgb(130,167,195)'],
        [0.34902, 'rgb(132,169,195)'],
        [0.35294, 'rgb(133,170,196)'],
        [0.35686, 'rgb(136,171,196)'],
        [0.36078, 'rgb(138,173,196)'],
        [0.36471, 'rgb(142,176,197)'],
        [0.36863, 'rgb(144,178,197)'],
        [0.37255, 'rgb(147,180,198)'],
        [0.37647, 'rgb(148,180,198)'],
        [0.38039, 'rgb(151,182,199)'],
        [0.38431, 'rgb(154,184,199)'],
        [0.38824, 'rgb(158,187,200)'],
        [0.39216, 'rgb(161,188,201)'],
        [0.39608, 'rgb(164,190,202)'],
        [0.4, 'rgb(167,192,202)'],
        [0.40392, 'rgb(168,192,203)'],
        [0.40784, 'rgb(171,194,204)'],
        [0.41176, 'rgb(174,196,204)'],
        [0.41569, 'rgb(179,198,206)'],
        [0.41961, 'rgb(182,199,207)'],
        [0.42353, 'rgb(185,201,208)'],
        [0.42745, 'rgb(186,202,208)'],
        [0.43137, 'rgb(189,203,210)'],
        [0.43529, 'rgb(192,205,211)'],
        [0.43922, 'rgb(197,207,212)'],
        [0.44314, 'rgb(199,208,214)'],
        [0.44706, 'rgb(202,209,215)'],
        [0.45098, 'rgb(203,210,215)'],
        [0.4549, 'rgb(206,211,216)'],
        [0.45882, 'rgb(208,212,218)'],
        [0.46275, 'rgb(212,214,219)'],
        [0.46667, 'rgb(214,214,220)'],
        [0.47059, 'rgb(216,215,221)'],
        [0.47451, 'rgb(217,216,222)'],
        [0.47843, 'rgb(218,216,222)'],
        [0.48235, 'rgb(220,216,223)'],
        [0.48627, 'rgb(221,217,224)'],
        [0.4902, 'rgb(223,217,225)'],
        [0.49412, 'rgb(224,217,226)'],
        [0.49804, 'rgb(225,216,226)'],
        [0.50196, 'rgb(225,216,225)'],
        [0.50588, 'rgb(225,216,224)'],
        [0.5098, 'rgb(225,216,223)'],
        [0.51373, 'rgb(224,215,221)'],
        [0.51765, 'rgb(224,214,219)'],
        [0.52157, 'rgb(223,214,217)'],
        [0.52549, 'rgb(223,213,216)'],
        [0.52941, 'rgb(223,212,214)'],
        [0.53333, 'rgb(222,211,212)'],
        [0.53725, 'rgb(221,209,209)'],
        [0.54118, 'rgb(220,207,205)'],
        [0.5451, 'rgb(219,206,203)'],
        [0.54902, 'rgb(219,204,200)'],
        [0.55294, 'rgb(218,203,198)'],
        [0.55686, 'rgb(217,201,195)'],
        [0.56078, 'rgb(216,199,192)'],
        [0.56471, 'rgb(215,196,187)'],
        [0.56863, 'rgb(214,194,183)'],
        [0.57255, 'rgb(213,192,180)'],
        [0.57647, 'rgb(213,191,178)'],
        [0.58039, 'rgb(212,189,175)'],
        [0.58431, 'rgb(211,187,171)'],
        [0.58824, 'rgb(210,184,166)'],
        [0.59216, 'rgb(209,182,163)'],
        [0.59608, 'rgb(208,179,159)'],
        [0.6, 'rgb(207,177,156)'],
        [0.60392, 'rgb(207,176,154)'],
        [0.60784, 'rgb(206,174,151)'],
        [0.61176, 'rgb(206,171,148)'],
        [0.61569, 'rgb(205,168,143)'],
        [0.61961, 'rgb(204,165,140)'],
        [0.62353, 'rgb(204,163,137)'],
        [0.62745, 'rgb(203,162,135)'],
        [0.63137, 'rgb(203,159,132)'],
        [0.63529, 'rgb(202,157,129)'],
        [0.63922, 'rgb(201,153,125)'],
        [0.64314, 'rgb(201,151,122)'],
        [0.64706, 'rgb(200,148,120)'],
        [0.65098, 'rgb(200,147,118)'],
        [0.6549, 'rgb(199,145,116)'],
        [0.65882, 'rgb(199,142,113)'],
        [0.66275, 'rgb(198,139,110)'],
        [0.66667, 'rgb(197,136,108)'],
        [0.67059, 'rgb(197,134,106)'],
        [0.67451, 'rgb(196,131,104)'],
        [0.67843, 'rgb(196,130,103)'],
        [0.68235, 'rgb(195,127,101)'],
        [0.68627, 'rgb(194,125,99)'],
        [0.6902, 'rgb(193,121,96)'],
        [0.69412, 'rgb(192,119,95)'],
        [0.69804, 'rgb(192,116,93)'],
        [0.70196, 'rgb(191,115,93)'],
        [0.70588, 'rgb(190,113,91)'],
        [0.7098, 'rgb(189,110,90)'],
        [0.71373, 'rgb(188,107,89)'],
        [0.71765, 'rgb(187,104,87)'],
        [0.72157, 'rgb(186,102,87)'],
        [0.72549, 'rgb(185,101,86)'],
        [0.72941, 'rgb(184,98,85)'],
        [0.73333, 'rgb(183,96,84)'],
        [0.73725, 'rgb(182,94,84)'],
        [0.74118, 'rgb(180,90,83)'],
        [0.7451, 'rgb(179,88,82)'],
        [0.74902, 'rgb(178,86,82)'],
        [0.75294, 'rgb(177,85,81)'],
        [0.75686, 'rgb(175,82,81)'],
        [0.76078, 'rgb(174,80,81)'],
        [0.76471, 'rgb(172,77,80)'],
        [0.76863, 'rgb(170,75,80)'],
        [0.77255, 'rgb(169,73,80)'],
        [0.77647, 'rgb(168,71,80)'],
        [0.78039, 'rgb(167,69,79)'],
        [0.78431, 'rgb(165,67,79)'],
        [0.78824, 'rgb(162,64,79)'],
        [0.79216, 'rgb(161,62,79)'],
        [0.79608, 'rgb(159,60,79)'],
        [0.8, 'rgb(157,58,79)'],
        [0.80392, 'rgb(156,57,79)'],
        [0.80784, 'rgb(154,55,79)'],
        [0.81176, 'rgb(153,53,79)'],
        [0.81569, 'rgb(150,50,79)'],
        [0.81961, 'rgb(148,49,79)'],
        [0.82353, 'rgb(146,47,79)'],
        [0.82745, 'rgb(145,46,80)'],
        [0.83137, 'rgb(143,44,80)'],
        [0.83529, 'rgb(140,43,80)'],
        [0.83922, 'rgb(137,40,80)'],
        [0.84314, 'rgb(135,39,80)'],
        [0.84706, 'rgb(132,37,80)'],
        [0.85098, 'rgb(131,37,80)'],
        [0.8549, 'rgb(129,35,80)'],
        [0.85882, 'rgb(127,34,80)'],
        [0.86275, 'rgb(123,32,79)'],
        [0.86667, 'rgb(120,31,79)'],
        [0.87059, 'rgb(118,30,79)'],
        [0.87451, 'rgb(115,29,78)'],
        [0.87843, 'rgb(114,29,78)'],
        [0.88235, 'rgb(111,28,78)'],
        [0.88627, 'rgb(109,27,77)'],
        [0.8902, 'rgb(105,26,76)'],
        [0.89412, 'rgb(102,25,76)'],
        [0.89804, 'rgb(99,24,75)'],
        [0.90196, 'rgb(98,24,75)'],
        [0.90588, 'rgb(95,23,74)'],
        [0.9098, 'rgb(93,23,73)'],
        [0.91373, 'rgb(89,22,71)'],
        [0.91765, 'rgb(86,21,70)'],
        [0.92157, 'rgb(84,21,69)'],
        [0.92549, 'rgb(82,20,69)'],
        [0.92941, 'rgb(80,20,68)'],
        [0.93333, 'rgb(77,19,67)'],
        [0.93725, 'rgb(75,19,66)'],
        [0.94118, 'rgb(71,18,64)'],
        [0.9451, 'rgb(69,18,63)'],
        [0.94902, 'rgb(67,18,62)'],
        [0.95294, 'rgb(66,17,61)'],
        [0.95686, 'rgb(64,17,60)'],
        [0.96078, 'rgb(62,17,60)'],
        [0.96471, 'rgb(59,17,58)'],
        [0.96863, 'rgb(57,17,57)'],
        [0.97255, 'rgb(55,17,57)'],
        [0.97647, 'rgb(55,17,56)'],
        [0.98039, 'rgb(53,17,56)'],
        [0.98431, 'rgb(52,17,55)'],
        [0.98824, 'rgb(50,18,55)'],
        [0.99216, 'rgb(49,18,54)'],
        [0.99608, 'rgb(47,19,54)'],
        [1.0, 'rgb(47,20,54)'],
    ],
    'winter': [
        [0.0, 'rgb(0,0,255)'],
        [0.00392, 'rgb(0,1,254)'],
        [0.00784, 'rgb(0,2,254)'],
        [0.01176, 'rgb(0,3,253)'],
        [0.01569, 'rgb(0,4,253)'],
        [0.01961, 'rgb(0,5,252)'],
        [0.02353, 'rgb(0,6,252)'],
        [0.02745, 'rgb(0,7,251)'],
        [0.03137, 'rgb(0,8,251)'],
        [0.03529, 'rgb(0,9,250)'],
        [0.03922, 'rgb(0,10,250)'],
        [0.04314, 'rgb(0,11,249)'],
        [0.04706, 'rgb(0,12,249)'],
        [0.05098, 'rgb(0,13,248)'],
        [0.0549, 'rgb(0,14,248)'],
        [0.05882, 'rgb(0,15,247)'],
        [0.06275, 'rgb(0,16,247)'],
        [0.06667, 'rgb(0,17,246)'],
        [0.07059, 'rgb(0,18,246)'],
        [0.07451, 'rgb(0,19,245)'],
        [0.07843, 'rgb(0,20,245)'],
        [0.08235, 'rgb(0,21,244)'],
        [0.08627, 'rgb(0,22,244)'],
        [0.0902, 'rgb(0,23,243)'],
        [0.09412, 'rgb(0,24,243)'],
        [0.09804, 'rgb(0,25,242)'],
        [0.10196, 'rgb(0,26,242)'],
        [0.10588, 'rgb(0,27,241)'],
        [0.1098, 'rgb(0,28,241)'],
        [0.11373, 'rgb(0,29,240)'],
        [0.11765, 'rgb(0,30,240)'],
        [0.12157, 'rgb(0,31,239)'],
        [0.12549, 'rgb(0,32,239)'],
        [0.12941, 'rgb(0,32,238)'],
        [0.13333, 'rgb(0,34,238)'],
        [0.13725, 'rgb(0,35,237)'],
        [0.14118, 'rgb(0,36,237)'],
        [0.1451, 'rgb(0,36,236)'],
        [0.14902, 'rgb(0,38,236)'],
        [0.15294, 'rgb(0,39,235)'],
        [0.15686, 'rgb(0,40,235)'],
        [0.16078, 'rgb(0,40,234)'],
        [0.16471, 'rgb(0,42,234)'],
        [0.16863, 'rgb(0,43,233)'],
        [0.17255, 'rgb(0,44,233)'],
        [0.17647, 'rgb(0,44,232)'],
        [0.18039, 'rgb(0,46,232)'],
        [0.18431, 'rgb(0,47,231)'],
        [0.18824, 'rgb(0,48,231)'],
        [0.19216, 'rgb(0,48,230)'],
        [0.19608, 'rgb(0,50,230)'],
        [0.2, 'rgb(0,51,229)'],
        [0.20392, 'rgb(0,52,229)'],
        [0.20784, 'rgb(0,52,228)'],
        [0.21176, 'rgb(0,54,228)'],
        [0.21569, 'rgb(0,55,227)'],
        [0.21961, 'rgb(0,56,227)'],
        [0.22353, 'rgb(0,56,226)'],
        [0.22745, 'rgb(0,58,226)'],
        [0.23137, 'rgb(0,59,225)'],
        [0.23529, 'rgb(0,60,225)'],
        [0.23922, 'rgb(0,60,224)'],
        [0.24314, 'rgb(0,62,224)'],
        [0.24706, 'rgb(0,63,223)'],
        [0.25098, 'rgb(0,64,223)'],
        [0.2549, 'rgb(0,65,222)'],
        [0.25882, 'rgb(0,65,222)'],
        [0.26275, 'rgb(0,67,221)'],
        [0.26667, 'rgb(0,68,221)'],
        [0.27059, 'rgb(0,69,220)'],
        [0.27451, 'rgb(0,70,220)'],
        [0.27843, 'rgb(0,71,219)'],
        [0.28235, 'rgb(0,72,219)'],
        [0.28627, 'rgb(0,73,218)'],
        [0.2902, 'rgb(0,73,218)'],
        [0.29412, 'rgb(0,75,217)'],
        [0.29804, 'rgb(0,76,217)'],
        [0.30196, 'rgb(0,77,216)'],
        [0.30588, 'rgb(0,78,216)'],
        [0.3098, 'rgb(0,79,215)'],
        [0.31373, 'rgb(0,80,215)'],
        [0.31765, 'rgb(0,81,214)'],
        [0.32157, 'rgb(0,81,214)'],
        [0.32549, 'rgb(0,83,213)'],
        [0.32941, 'rgb(0,84,213)'],
        [0.33333, 'rgb(0,85,212)'],
        [0.33725, 'rgb(0,86,211)'],
        [0.34118, 'rgb(0,87,211)'],
        [0.3451, 'rgb(0,88,211)'],
        [0.34902, 'rgb(0,89,210)'],
        [0.35294, 'rgb(0,89,210)'],
        [0.35686, 'rgb(0,91,209)'],
        [0.36078, 'rgb(0,92,209)'],
        [0.36471, 'rgb(0,93,208)'],
        [0.36863, 'rgb(0,94,208)'],
        [0.37255, 'rgb(0,95,207)'],
        [0.37647, 'rgb(0,96,207)'],
        [0.38039, 'rgb(0,97,206)'],
        [0.38431, 'rgb(0,97,206)'],
        [0.38824, 'rgb(0,99,205)'],
        [0.39216, 'rgb(0,100,205)'],
        [0.39608, 'rgb(0,101,204)'],
        [0.4, 'rgb(0,102,204)'],
        [0.40392, 'rgb(0,103,203)'],
        [0.40784, 'rgb(0,104,203)'],
        [0.41176, 'rgb(0,105,202)'],
        [0.41569, 'rgb(0,105,202)'],
        [0.41961, 'rgb(0,107,201)'],
        [0.42353, 'rgb(0,108,201)'],
        [0.42745, 'rgb(0,109,200)'],
        [0.43137, 'rgb(0,110,200)'],
        [0.43529, 'rgb(0,111,199)'],
        [0.43922, 'rgb(0,112,199)'],
        [0.44314, 'rgb(0,113,198)'],
        [0.44706, 'rgb(0,113,198)'],
        [0.45098, 'rgb(0,115,197)'],
        [0.4549, 'rgb(0,116,197)'],
        [0.45882, 'rgb(0,117,196)'],
        [0.46275, 'rgb(0,118,195)'],
        [0.46667, 'rgb(0,119,195)'],
        [0.47059, 'rgb(0,120,195)'],
        [0.47451, 'rgb(0,121,194)'],
        [0.47843, 'rgb(0,121,194)'],
        [0.48235, 'rgb(0,123,193)'],
        [0.48627, 'rgb(0,124,193)'],
        [0.4902, 'rgb(0,125,192)'],
        [0.49412, 'rgb(0,126,192)'],
        [0.49804, 'rgb(0,127,191)'],
        [0.50196, 'rgb(0,128,191)'],
        [0.50588, 'rgb(0,129,190)'],
        [0.5098, 'rgb(0,130,190)'],
        [0.51373, 'rgb(0,131,189)'],
        [0.51765, 'rgb(0,131,189)'],
        [0.52157, 'rgb(0,133,188)'],
        [0.52549, 'rgb(0,134,188)'],
        [0.52941, 'rgb(0,135,187)'],
        [0.53333, 'rgb(0,136,187)'],
        [0.53725, 'rgb(0,137,186)'],
        [0.54118, 'rgb(0,138,186)'],
        [0.5451, 'rgb(0,139,185)'],
        [0.54902, 'rgb(0,140,185)'],
        [0.55294, 'rgb(0,141,184)'],
        [0.55686, 'rgb(0,142,184)'],
        [0.56078, 'rgb(0,143,183)'],
        [0.56471, 'rgb(0,144,183)'],
        [0.56863, 'rgb(0,145,182)'],
        [0.57255, 'rgb(0,146,182)'],
        [0.57647, 'rgb(0,147,181)'],
        [0.58039, 'rgb(0,147,181)'],
        [0.58431, 'rgb(0,149,180)'],
        [0.58824, 'rgb(0,150,179)'],
        [0.59216, 'rgb(0,151,179)'],
        [0.59608, 'rgb(0,152,179)'],
        [0.6, 'rgb(0,153,178)'],
        [0.60392, 'rgb(0,154,178)'],
        [0.60784, 'rgb(0,155,177)'],
        [0.61176, 'rgb(0,156,177)'],
        [0.61569, 'rgb(0,157,176)'],
        [0.61961, 'rgb(0,158,176)'],
        [0.62353, 'rgb(0,159,175)'],
        [0.62745, 'rgb(0,160,175)'],
        [0.63137, 'rgb(0,161,174)'],
        [0.63529, 'rgb(0,162,174)'],
        [0.63922, 'rgb(0,163,173)'],
        [0.64314, 'rgb(0,163,173)'],
        [0.64706, 'rgb(0,165,172)'],
        [0.65098, 'rgb(0,166,172)'],
        [0.6549, 'rgb(0,167,171)'],
        [0.65882, 'rgb(0,168,171)'],
        [0.66275, 'rgb(0,169,170)'],
        [0.66667, 'rgb(0,170,170)'],
        [0.67059, 'rgb(0,171,169)'],
        [0.67451, 'rgb(0,172,169)'],
        [0.67843, 'rgb(0,173,168)'],
        [0.68235, 'rgb(0,174,168)'],
        [0.68627, 'rgb(0,175,167)'],
        [0.6902, 'rgb(0,176,167)'],
        [0.69412, 'rgb(0,177,166)'],
        [0.69804, 'rgb(0,178,166)'],
        [0.70196, 'rgb(0,179,165)'],
        [0.70588, 'rgb(0,179,165)'],
        [0.7098, 'rgb(0,181,164)'],
        [0.71373, 'rgb(0,182,163)'],
        [0.71765, 'rgb(0,183,163)'],
        [0.72157, 'rgb(0,184,163)'],
        [0.72549, 'rgb(0,185,162)'],
        [0.72941, 'rgb(0,186,162)'],
        [0.73333, 'rgb(0,187,161)'],
        [0.73725, 'rgb(0,188,161)'],
        [0.74118, 'rgb(0,189,160)'],
        [0.7451, 'rgb(0,190,160)'],
        [0.74902, 'rgb(0,191,159)'],
        [0.75294, 'rgb(0,192,159)'],
        [0.75686, 'rgb(0,193,158)'],
        [0.76078, 'rgb(0,194,158)'],
        [0.76471, 'rgb(0,195,157)'],
        [0.76863, 'rgb(0,195,157)'],
        [0.77255, 'rgb(0,197,156)'],
        [0.77647, 'rgb(0,198,156)'],
        [0.78039, 'rgb(0,199,155)'],
        [0.78431, 'rgb(0,200,155)'],
        [0.78824, 'rgb(0,201,154)'],
        [0.79216, 'rgb(0,202,154)'],
        [0.79608, 'rgb(0,203,153)'],
        [0.8, 'rgb(0,204,153)'],
        [0.80392, 'rgb(0,205,152)'],
        [0.80784, 'rgb(0,206,152)'],
        [0.81176, 'rgb(0,207,151)'],
        [0.81569, 'rgb(0,208,151)'],
        [0.81961, 'rgb(0,209,150)'],
        [0.82353, 'rgb(0,210,150)'],
        [0.82745, 'rgb(0,211,149)'],
        [0.83137, 'rgb(0,211,149)'],
        [0.83529, 'rgb(0,213,148)'],
        [0.83922, 'rgb(0,214,147)'],
        [0.84314, 'rgb(0,215,147)'],
        [0.84706, 'rgb(0,216,147)'],
        [0.85098, 'rgb(0,217,146)'],
        [0.8549, 'rgb(0,218,146)'],
        [0.85882, 'rgb(0,219,145)'],
        [0.86275, 'rgb(0,220,145)'],
        [0.86667, 'rgb(0,221,144)'],
        [0.87059, 'rgb(0,222,144)'],
        [0.87451, 'rgb(0,223,143)'],
        [0.87843, 'rgb(0,224,143)'],
        [0.88235, 'rgb(0,225,142)'],
        [0.88627, 'rgb(0,226,142)'],
        [0.8902, 'rgb(0,227,141)'],
        [0.89412, 'rgb(0,227,141)'],
        [0.89804, 'rgb(0,229,140)'],
        [0.90196, 'rgb(0,230,140)'],
        [0.90588, 'rgb(0,231,139)'],
        [0.9098, 'rgb(0,232,139)'],
        [0.91373, 'rgb(0,233,138)'],
        [0.91765, 'rgb(0,234,138)'],
        [0.92157, 'rgb(0,235,137)'],
        [0.92549, 'rgb(0,236,137)'],
        [0.92941, 'rgb(0,237,136)'],
        [0.93333, 'rgb(0,238,136)'],
        [0.93725, 'rgb(0,239,135)'],
        [0.94118, 'rgb(0,240,135)'],
        [0.9451, 'rgb(0,241,134)'],
        [0.94902, 'rgb(0,242,134)'],
        [0.95294, 'rgb(0,243,133)'],
        [0.95686, 'rgb(0,243,133)'],
        [0.96078, 'rgb(0,245,132)'],
        [0.96471, 'rgb(0,246,131)'],
        [0.96863, 'rgb(0,247,131)'],
        [0.97255, 'rgb(0,248,131)'],
        [0.97647, 'rgb(0,249,130)'],
        [0.98039, 'rgb(0,250,130)'],
        [0.98431, 'rgb(0,251,129)'],
        [0.98824, 'rgb(0,252,129)'],
        [0.99216, 'rgb(0,253,128)'],
        [0.99608, 'rgb(0,254,128)'],
        [1.0, 'rgb(0,255,127)'],
    ],
    # CMasher colormaps converted for Plotly
    'cmr.amber': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(1,0,0)'],
        [0.01568627450980392, 'rgb(1,1,1)'],
        [0.0196078431372549, 'rgb(1,1,1)'],
        [0.023529411764705882, 'rgb(2,1,1)'],
        [0.027450980392156862, 'rgb(3,2,2)'],
        [0.03137254901960784, 'rgb(3,2,2)'],
        [0.03529411764705882, 'rgb(4,2,3)'],
        [0.0392156862745098, 'rgb(5,3,3)'],
        [0.043137254901960784, 'rgb(6,3,4)'],
        [0.047058823529411764, 'rgb(7,4,4)'],
        [0.050980392156862744, 'rgb(9,4,5)'],
        [0.054901960784313725, 'rgb(10,5,6)'],
        [0.058823529411764705, 'rgb(12,6,7)'],
        [0.06274509803921569, 'rgb(13,6,7)'],
        [0.06666666666666667, 'rgb(14,7,8)'],
        [0.07058823529411765, 'rgb(16,8,9)'],
        [0.07450980392156863, 'rgb(17,8,10)'],
        [0.0784313725490196, 'rgb(19,9,11)'],
        [0.08235294117647059, 'rgb(20,10,12)'],
        [0.08627450980392157, 'rgb(21,11,13)'],
        [0.09019607843137255, 'rgb(23,11,14)'],
        [0.09411764705882353, 'rgb(24,12,15)'],
        [0.09803921568627451, 'rgb(26,13,15)'],
        [0.10196078431372549, 'rgb(27,14,16)'],
        [0.10588235294117647, 'rgb(28,14,17)'],
        [0.10980392156862745, 'rgb(30,15,18)'],
        [0.11372549019607843, 'rgb(31,16,19)'],
        [0.11764705882352941, 'rgb(32,17,19)'],
        [0.12156862745098039, 'rgb(34,17,20)'],
        [0.12549019607843137, 'rgb(35,18,21)'],
        [0.12941176470588237, 'rgb(37,19,22)'],
        [0.13333333333333333, 'rgb(38,19,23)'],
        [0.13725490196078433, 'rgb(39,20,23)'],
        [0.1411764705882353, 'rgb(41,21,24)'],
        [0.1450980392156863, 'rgb(42,21,25)'],
        [0.14901960784313725, 'rgb(43,22,25)'],
        [0.15294117647058825, 'rgb(45,23,26)'],
        [0.1568627450980392, 'rgb(46,23,27)'],
        [0.1607843137254902, 'rgb(48,24,27)'],
        [0.16470588235294117, 'rgb(49,24,28)'],
        [0.16862745098039217, 'rgb(50,25,29)'],
        [0.17254901960784313, 'rgb(52,26,29)'],
        [0.17647058823529413, 'rgb(53,26,30)'],
        [0.1803921568627451, 'rgb(55,27,31)'],
        [0.1843137254901961, 'rgb(56,27,31)'],
        [0.18823529411764706, 'rgb(57,28,32)'],
        [0.19215686274509805, 'rgb(59,29,32)'],
        [0.19607843137254902, 'rgb(60,29,33)'],
        [0.2, 'rgb(61,30,34)'],
        [0.20392156862745098, 'rgb(63,30,34)'],
        [0.20784313725490197, 'rgb(64,31,35)'],
        [0.21176470588235294, 'rgb(66,31,35)'],
        [0.21568627450980393, 'rgb(67,32,36)'],
        [0.2196078431372549, 'rgb(68,33,36)'],
        [0.2235294117647059, 'rgb(70,33,37)'],
        [0.22745098039215686, 'rgb(71,34,37)'],
        [0.23137254901960785, 'rgb(73,34,38)'],
        [0.23529411764705882, 'rgb(74,35,38)'],
        [0.23921568627450981, 'rgb(76,35,39)'],
        [0.24313725490196078, 'rgb(77,36,39)'],
        [0.24705882352941178, 'rgb(78,36,39)'],
        [0.25098039215686274, 'rgb(80,37,40)'],
        [0.2549019607843137, 'rgb(81,37,40)'],
        [0.25882352941176473, 'rgb(83,38,41)'],
        [0.2627450980392157, 'rgb(84,38,41)'],
        [0.26666666666666666, 'rgb(85,39,41)'],
        [0.27058823529411763, 'rgb(87,39,42)'],
        [0.27450980392156865, 'rgb(88,40,42)'],
        [0.2784313725490196, 'rgb(90,40,42)'],
        [0.2823529411764706, 'rgb(91,41,43)'],
        [0.28627450980392155, 'rgb(93,41,43)'],
        [0.2901960784313726, 'rgb(94,42,43)'],
        [0.29411764705882354, 'rgb(95,42,44)'],
        [0.2980392156862745, 'rgb(97,43,44)'],
        [0.30196078431372547, 'rgb(98,43,44)'],
        [0.3058823529411765, 'rgb(100,44,44)'],
        [0.30980392156862746, 'rgb(101,44,44)'],
        [0.3137254901960784, 'rgb(103,45,45)'],
        [0.3176470588235294, 'rgb(104,45,45)'],
        [0.3215686274509804, 'rgb(105,46,45)'],
        [0.3254901960784314, 'rgb(107,46,45)'],
        [0.32941176470588235, 'rgb(108,47,45)'],
        [0.3333333333333333, 'rgb(110,47,45)'],
        [0.33725490196078434, 'rgb(111,48,45)'],
        [0.3411764705882353, 'rgb(112,48,46)'],
        [0.34509803921568627, 'rgb(114,49,46)'],
        [0.34901960784313724, 'rgb(115,50,46)'],
        [0.35294117647058826, 'rgb(117,50,46)'],
        [0.3568627450980392, 'rgb(118,51,46)'],
        [0.3607843137254902, 'rgb(119,51,46)'],
        [0.36470588235294116, 'rgb(121,52,46)'],
        [0.3686274509803922, 'rgb(122,52,46)'],
        [0.37254901960784315, 'rgb(124,53,46)'],
        [0.3764705882352941, 'rgb(125,53,46)'],
        [0.3803921568627451, 'rgb(126,54,46)'],
        [0.3843137254901961, 'rgb(128,55,46)'],
        [0.38823529411764707, 'rgb(129,55,45)'],
        [0.39215686274509803, 'rgb(131,56,45)'],
        [0.396078431372549, 'rgb(132,56,45)'],
        [0.4, 'rgb(133,57,45)'],
        [0.403921568627451, 'rgb(135,58,45)'],
        [0.40784313725490196, 'rgb(136,58,45)'],
        [0.4117647058823529, 'rgb(137,59,45)'],
        [0.41568627450980394, 'rgb(139,59,44)'],
        [0.4196078431372549, 'rgb(140,60,44)'],
        [0.4235294117647059, 'rgb(141,61,44)'],
        [0.42745098039215684, 'rgb(143,61,44)'],
        [0.43137254901960786, 'rgb(144,62,44)'],
        [0.43529411764705883, 'rgb(145,63,43)'],
        [0.4392156862745098, 'rgb(146,64,43)'],
        [0.44313725490196076, 'rgb(148,64,43)'],
        [0.4470588235294118, 'rgb(149,65,43)'],
        [0.45098039215686275, 'rgb(150,66,42)'],
        [0.4549019607843137, 'rgb(151,66,42)'],
        [0.4588235294117647, 'rgb(153,67,42)'],
        [0.4627450980392157, 'rgb(154,68,42)'],
        [0.4666666666666667, 'rgb(155,69,41)'],
        [0.47058823529411764, 'rgb(156,70,41)'],
        [0.4745098039215686, 'rgb(158,70,41)'],
        [0.47843137254901963, 'rgb(159,71,41)'],
        [0.4823529411764706, 'rgb(160,72,40)'],
        [0.48627450980392156, 'rgb(161,73,40)'],
        [0.49019607843137253, 'rgb(162,74,40)'],
        [0.49411764705882355, 'rgb(163,75,39)'],
        [0.4980392156862745, 'rgb(165,75,39)'],
        [0.5019607843137255, 'rgb(166,76,39)'],
        [0.5058823529411764, 'rgb(167,77,38)'],
        [0.5098039215686274, 'rgb(168,78,38)'],
        [0.5137254901960784, 'rgb(169,79,38)'],
        [0.5176470588235295, 'rgb(170,80,37)'],
        [0.5215686274509804, 'rgb(171,81,37)'],
        [0.5254901960784314, 'rgb(172,82,37)'],
        [0.5294117647058824, 'rgb(173,83,36)'],
        [0.5333333333333333, 'rgb(174,84,36)'],
        [0.5372549019607843, 'rgb(175,85,36)'],
        [0.5411764705882353, 'rgb(177,86,35)'],
        [0.5450980392156862, 'rgb(178,87,35)'],
        [0.5490196078431373, 'rgb(179,88,35)'],
        [0.5529411764705883, 'rgb(180,89,35)'],
        [0.5568627450980392, 'rgb(181,90,34)'],
        [0.5607843137254902, 'rgb(182,91,34)'],
        [0.5647058823529412, 'rgb(183,92,34)'],
        [0.5686274509803921, 'rgb(184,93,33)'],
        [0.5725490196078431, 'rgb(184,94,33)'],
        [0.5764705882352941, 'rgb(185,95,33)'],
        [0.5803921568627451, 'rgb(186,96,33)'],
        [0.5843137254901961, 'rgb(187,97,32)'],
        [0.5882352941176471, 'rgb(188,98,32)'],
        [0.592156862745098, 'rgb(189,100,32)'],
        [0.596078431372549, 'rgb(190,101,32)'],
        [0.6, 'rgb(191,102,31)'],
        [0.6039215686274509, 'rgb(192,103,31)'],
        [0.6078431372549019, 'rgb(193,104,31)'],
        [0.611764705882353, 'rgb(194,105,31)'],
        [0.615686274509804, 'rgb(195,106,31)'],
        [0.6196078431372549, 'rgb(195,107,30)'],
        [0.6235294117647059, 'rgb(196,109,30)'],
        [0.6274509803921569, 'rgb(197,110,30)'],
        [0.6313725490196078, 'rgb(198,111,30)'],
        [0.6352941176470588, 'rgb(199,112,30)'],
        [0.6392156862745098, 'rgb(200,113,30)'],
        [0.6431372549019608, 'rgb(200,114,30)'],
        [0.6470588235294118, 'rgb(201,116,29)'],
        [0.6509803921568628, 'rgb(202,117,29)'],
        [0.6549019607843137, 'rgb(203,118,29)'],
        [0.6588235294117647, 'rgb(204,119,29)'],
        [0.6627450980392157, 'rgb(204,121,29)'],
        [0.6666666666666666, 'rgb(205,122,29)'],
        [0.6705882352941176, 'rgb(206,123,29)'],
        [0.6745098039215687, 'rgb(207,124,29)'],
        [0.6784313725490196, 'rgb(207,125,29)'],
        [0.6823529411764706, 'rgb(208,127,29)'],
        [0.6862745098039216, 'rgb(209,128,29)'],
        [0.6901960784313725, 'rgb(210,129,30)'],
        [0.6941176470588235, 'rgb(210,131,30)'],
        [0.6980392156862745, 'rgb(211,132,30)'],
        [0.7019607843137254, 'rgb(212,133,30)'],
        [0.7058823529411765, 'rgb(213,134,30)'],
        [0.7098039215686275, 'rgb(213,136,30)'],
        [0.7137254901960784, 'rgb(214,137,30)'],
        [0.7176470588235294, 'rgb(215,138,31)'],
        [0.7215686274509804, 'rgb(215,140,31)'],
        [0.7254901960784313, 'rgb(216,141,31)'],
        [0.7294117647058823, 'rgb(217,142,32)'],
        [0.7333333333333333, 'rgb(217,143,32)'],
        [0.7372549019607844, 'rgb(218,145,32)'],
        [0.7411764705882353, 'rgb(219,146,33)'],
        [0.7450980392156863, 'rgb(219,147,33)'],
        [0.7490196078431373, 'rgb(220,149,33)'],
        [0.7529411764705882, 'rgb(221,150,34)'],
        [0.7568627450980392, 'rgb(221,151,34)'],
        [0.7607843137254902, 'rgb(222,153,35)'],
        [0.7647058823529411, 'rgb(223,154,35)'],
        [0.7686274509803922, 'rgb(223,155,35)'],
        [0.7725490196078432, 'rgb(224,157,36)'],
        [0.7764705882352941, 'rgb(224,158,36)'],
        [0.7803921568627451, 'rgb(225,160,37)'],
        [0.7843137254901961, 'rgb(226,161,38)'],
        [0.788235294117647, 'rgb(226,162,38)'],
        [0.792156862745098, 'rgb(227,164,39)'],
        [0.796078431372549, 'rgb(227,165,39)'],
        [0.8, 'rgb(228,166,40)'],
        [0.803921568627451, 'rgb(228,168,40)'],
        [0.807843137254902, 'rgb(229,169,41)'],
        [0.8117647058823529, 'rgb(230,171,42)'],
        [0.8156862745098039, 'rgb(230,172,42)'],
        [0.8196078431372549, 'rgb(231,174,43)'],
        [0.8235294117647058, 'rgb(231,175,44)'],
        [0.8274509803921568, 'rgb(232,176,45)'],
        [0.8313725490196079, 'rgb(232,178,45)'],
        [0.8352941176470589, 'rgb(233,179,46)'],
        [0.8392156862745098, 'rgb(233,181,47)'],
        [0.8431372549019608, 'rgb(234,182,48)'],
        [0.8470588235294118, 'rgb(234,184,48)'],
        [0.8509803921568627, 'rgb(235,185,49)'],
        [0.8549019607843137, 'rgb(235,186,50)'],
        [0.8588235294117647, 'rgb(236,188,51)'],
        [0.8627450980392157, 'rgb(236,189,52)'],
        [0.8666666666666667, 'rgb(237,191,52)'],
        [0.8705882352941177, 'rgb(237,192,53)'],
        [0.8745098039215686, 'rgb(238,194,54)'],
        [0.8784313725490196, 'rgb(238,195,55)'],
        [0.8823529411764706, 'rgb(239,197,56)'],
        [0.8862745098039215, 'rgb(239,198,57)'],
        [0.8901960784313725, 'rgb(240,200,58)'],
        [0.8941176470588236, 'rgb(240,201,59)'],
        [0.8980392156862745, 'rgb(241,203,60)'],
        [0.9019607843137255, 'rgb(241,204,61)'],
        [0.9058823529411765, 'rgb(242,206,61)'],
        [0.9098039215686274, 'rgb(242,207,62)'],
        [0.9137254901960784, 'rgb(242,209,63)'],
        [0.9176470588235294, 'rgb(243,210,64)'],
        [0.9215686274509803, 'rgb(243,212,65)'],
        [0.9254901960784314, 'rgb(244,213,66)'],
        [0.9294117647058824, 'rgb(244,215,67)'],
        [0.9333333333333333, 'rgb(245,216,68)'],
        [0.9372549019607843, 'rgb(245,218,69)'],
        [0.9411764705882353, 'rgb(245,219,70)'],
        [0.9450980392156862, 'rgb(246,221,71)'],
        [0.9490196078431372, 'rgb(246,223,73)'],
        [0.9529411764705882, 'rgb(247,224,74)'],
        [0.9568627450980393, 'rgb(247,226,75)'],
        [0.9607843137254902, 'rgb(247,227,76)'],
        [0.9647058823529412, 'rgb(248,229,77)'],
        [0.9686274509803922, 'rgb(248,230,78)'],
        [0.9725490196078431, 'rgb(248,232,79)'],
        [0.9764705882352941, 'rgb(249,234,80)'],
        [0.9803921568627451, 'rgb(249,235,81)'],
        [0.984313725490196, 'rgb(249,237,82)'],
        [0.9882352941176471, 'rgb(250,238,83)'],
        [0.9921568627450981, 'rgb(250,240,85)'],
        [0.996078431372549, 'rgb(251,242,86)'],
        [1.0, 'rgb(251,243,87)'],
    ],
    'cmr.apple': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(1,0,0)'],
        [0.01568627450980392, 'rgb(1,1,1)'],
        [0.0196078431372549, 'rgb(2,1,1)'],
        [0.023529411764705882, 'rgb(3,1,1)'],
        [0.027450980392156862, 'rgb(4,1,2)'],
        [0.03137254901960784, 'rgb(5,2,2)'],
        [0.03529411764705882, 'rgb(6,2,3)'],
        [0.0392156862745098, 'rgb(7,2,3)'],
        [0.043137254901960784, 'rgb(9,3,4)'],
        [0.047058823529411764, 'rgb(11,3,5)'],
        [0.050980392156862744, 'rgb(13,4,5)'],
        [0.054901960784313725, 'rgb(14,4,6)'],
        [0.058823529411764705, 'rgb(16,5,7)'],
        [0.06274509803921569, 'rgb(18,5,8)'],
        [0.06666666666666667, 'rgb(20,5,9)'],
        [0.07058823529411765, 'rgb(21,6,9)'],
        [0.07450980392156863, 'rgb(23,6,10)'],
        [0.0784313725490196, 'rgb(25,7,11)'],
        [0.08235294117647059, 'rgb(27,7,12)'],
        [0.08627450980392157, 'rgb(28,8,13)'],
        [0.09019607843137255, 'rgb(30,8,14)'],
        [0.09411764705882353, 'rgb(32,9,15)'],
        [0.09803921568627451, 'rgb(34,9,15)'],
        [0.10196078431372549, 'rgb(35,9,16)'],
        [0.10588235294117647, 'rgb(37,10,17)'],
        [0.10980392156862745, 'rgb(39,10,18)'],
        [0.11372549019607843, 'rgb(41,11,18)'],
        [0.11764705882352941, 'rgb(42,11,19)'],
        [0.12156862745098039, 'rgb(44,11,20)'],
        [0.12549019607843137, 'rgb(46,11,20)'],
        [0.12941176470588237, 'rgb(48,12,21)'],
        [0.13333333333333333, 'rgb(50,12,22)'],
        [0.13725490196078433, 'rgb(51,12,22)'],
        [0.1411764705882353, 'rgb(53,12,23)'],
        [0.1450980392156863, 'rgb(55,13,24)'],
        [0.14901960784313725, 'rgb(57,13,24)'],
        [0.15294117647058825, 'rgb(59,13,25)'],
        [0.1568627450980392, 'rgb(60,13,25)'],
        [0.1607843137254902, 'rgb(62,13,26)'],
        [0.16470588235294117, 'rgb(64,13,26)'],
        [0.16862745098039217, 'rgb(66,13,27)'],
        [0.17254901960784313, 'rgb(68,13,27)'],
        [0.17647058823529413, 'rgb(70,13,27)'],
        [0.1803921568627451, 'rgb(71,13,28)'],
        [0.1843137254901961, 'rgb(73,13,28)'],
        [0.18823529411764706, 'rgb(75,13,29)'],
        [0.19215686274509805, 'rgb(77,12,29)'],
        [0.19607843137254902, 'rgb(79,12,29)'],
        [0.2, 'rgb(81,12,29)'],
        [0.20392156862745098, 'rgb(83,12,30)'],
        [0.20784313725490197, 'rgb(84,11,30)'],
        [0.21176470588235294, 'rgb(86,11,30)'],
        [0.21568627450980393, 'rgb(88,11,30)'],
        [0.2196078431372549, 'rgb(90,10,30)'],
        [0.2235294117647059, 'rgb(92,10,30)'],
        [0.22745098039215686, 'rgb(94,9,30)'],
        [0.23137254901960785, 'rgb(96,9,30)'],
        [0.23529411764705882, 'rgb(98,8,30)'],
        [0.23921568627450981, 'rgb(99,7,30)'],
        [0.24313725490196078, 'rgb(101,7,30)'],
        [0.24705882352941178, 'rgb(103,6,30)'],
        [0.25098039215686274, 'rgb(105,5,29)'],
        [0.2549019607843137, 'rgb(107,5,29)'],
        [0.25882352941176473, 'rgb(109,4,29)'],
        [0.2627450980392157, 'rgb(111,4,28)'],
        [0.26666666666666666, 'rgb(112,3,28)'],
        [0.27058823529411763, 'rgb(114,3,27)'],
        [0.27450980392156865, 'rgb(116,2,26)'],
        [0.2784313725490196, 'rgb(118,2,26)'],
        [0.2823529411764706, 'rgb(119,2,25)'],
        [0.28627450980392155, 'rgb(121,2,24)'],
        [0.2901960784313726, 'rgb(123,3,23)'],
        [0.29411764705882354, 'rgb(124,3,22)'],
        [0.2980392156862745, 'rgb(126,4,21)'],
        [0.30196078431372547, 'rgb(127,6,21)'],
        [0.3058823529411765, 'rgb(128,7,20)'],
        [0.30980392156862746, 'rgb(130,9,19)'],
        [0.3137254901960784, 'rgb(131,11,18)'],
        [0.3176470588235294, 'rgb(132,13,17)'],
        [0.3215686274509804, 'rgb(133,15,16)'],
        [0.3254901960784314, 'rgb(134,17,15)'],
        [0.32941176470588235, 'rgb(135,19,14)'],
        [0.3333333333333333, 'rgb(136,21,13)'],
        [0.33725490196078434, 'rgb(137,23,12)'],
        [0.3411764705882353, 'rgb(138,25,11)'],
        [0.34509803921568627, 'rgb(139,27,11)'],
        [0.34901960784313724, 'rgb(140,29,10)'],
        [0.35294117647058826, 'rgb(141,31,9)'],
        [0.3568627450980392, 'rgb(141,33,8)'],
        [0.3607843137254902, 'rgb(142,35,7)'],
        [0.36470588235294116, 'rgb(143,37,7)'],
        [0.3686274509803922, 'rgb(144,39,6)'],
        [0.37254901960784315, 'rgb(145,41,6)'],
        [0.3764705882352941, 'rgb(145,42,5)'],
        [0.3803921568627451, 'rgb(146,44,5)'],
        [0.3843137254901961, 'rgb(147,46,4)'],
        [0.38823529411764707, 'rgb(147,48,4)'],
        [0.39215686274509803, 'rgb(148,49,3)'],
        [0.396078431372549, 'rgb(148,51,3)'],
        [0.4, 'rgb(149,53,2)'],
        [0.403921568627451, 'rgb(150,54,2)'],
        [0.40784313725490196, 'rgb(150,56,2)'],
        [0.4117647058823529, 'rgb(151,58,2)'],
        [0.41568627450980394, 'rgb(151,60,1)'],
        [0.4196078431372549, 'rgb(152,61,1)'],
        [0.4235294117647059, 'rgb(152,63,1)'],
        [0.42745098039215684, 'rgb(153,65,1)'],
        [0.43137254901960786, 'rgb(153,66,1)'],
        [0.43529411764705883, 'rgb(154,68,1)'],
        [0.4392156862745098, 'rgb(154,69,0)'],
        [0.44313725490196076, 'rgb(155,71,0)'],
        [0.4470588235294118, 'rgb(155,73,0)'],
        [0.45098039215686275, 'rgb(155,74,1)'],
        [0.4549019607843137, 'rgb(156,76,1)'],
        [0.4588235294117647, 'rgb(156,78,1)'],
        [0.4627450980392157, 'rgb(157,79,1)'],
        [0.4666666666666667, 'rgb(157,81,1)'],
        [0.47058823529411764, 'rgb(157,82,1)'],
        [0.4745098039215686, 'rgb(158,84,2)'],
        [0.47843137254901963, 'rgb(158,86,2)'],
        [0.4823529411764706, 'rgb(158,87,3)'],
        [0.48627450980392156, 'rgb(158,89,3)'],
        [0.49019607843137253, 'rgb(159,90,4)'],
        [0.49411764705882355, 'rgb(159,92,4)'],
        [0.4980392156862745, 'rgb(159,94,5)'],
        [0.5019607843137255, 'rgb(159,95,6)'],
        [0.5058823529411764, 'rgb(160,97,7)'],
        [0.5098039215686274, 'rgb(160,98,7)'],
        [0.5137254901960784, 'rgb(160,100,8)'],
        [0.5176470588235295, 'rgb(160,101,9)'],
        [0.5215686274509804, 'rgb(160,103,11)'],
        [0.5254901960784314, 'rgb(160,105,12)'],
        [0.5294117647058824, 'rgb(160,106,13)'],
        [0.5333333333333333, 'rgb(160,108,14)'],
        [0.5372549019607843, 'rgb(160,109,15)'],
        [0.5411764705882353, 'rgb(161,111,16)'],
        [0.5450980392156862, 'rgb(161,113,18)'],
        [0.5490196078431373, 'rgb(161,114,19)'],
        [0.5529411764705883, 'rgb(161,116,20)'],
        [0.5568627450980392, 'rgb(161,117,21)'],
        [0.5607843137254902, 'rgb(161,119,23)'],
        [0.5647058823529412, 'rgb(160,120,24)'],
        [0.5686274509803921, 'rgb(160,122,25)'],
        [0.5725490196078431, 'rgb(160,124,26)'],
        [0.5764705882352941, 'rgb(160,125,28)'],
        [0.5803921568627451, 'rgb(160,127,29)'],
        [0.5843137254901961, 'rgb(160,128,30)'],
        [0.5882352941176471, 'rgb(160,130,32)'],
        [0.592156862745098, 'rgb(160,132,33)'],
        [0.596078431372549, 'rgb(159,133,35)'],
        [0.6, 'rgb(159,135,36)'],
        [0.6039215686274509, 'rgb(159,136,37)'],
        [0.6078431372549019, 'rgb(159,138,39)'],
        [0.611764705882353, 'rgb(158,140,40)'],
        [0.615686274509804, 'rgb(158,141,42)'],
        [0.6196078431372549, 'rgb(158,143,43)'],
        [0.6235294117647059, 'rgb(158,144,45)'],
        [0.6274509803921569, 'rgb(157,146,46)'],
        [0.6313725490196078, 'rgb(157,148,48)'],
        [0.6352941176470588, 'rgb(157,149,49)'],
        [0.6392156862745098, 'rgb(156,151,51)'],
        [0.6431372549019608, 'rgb(156,152,52)'],
        [0.6470588235294118, 'rgb(155,154,54)'],
        [0.6509803921568628, 'rgb(155,156,56)'],
        [0.6549019607843137, 'rgb(154,157,57)'],
        [0.6588235294117647, 'rgb(154,159,59)'],
        [0.6627450980392157, 'rgb(153,160,61)'],
        [0.6666666666666666, 'rgb(153,162,62)'],
        [0.6705882352941176, 'rgb(152,163,64)'],
        [0.6745098039215687, 'rgb(152,165,66)'],
        [0.6784313725490196, 'rgb(151,167,68)'],
        [0.6823529411764706, 'rgb(151,168,69)'],
        [0.6862745098039216, 'rgb(150,170,71)'],
        [0.6901960784313725, 'rgb(149,171,73)'],
        [0.6941176470588235, 'rgb(149,173,75)'],
        [0.6980392156862745, 'rgb(148,175,77)'],
        [0.7019607843137254, 'rgb(147,176,79)'],
        [0.7058823529411765, 'rgb(147,178,81)'],
        [0.7098039215686275, 'rgb(146,179,83)'],
        [0.7137254901960784, 'rgb(145,181,85)'],
        [0.7176470588235294, 'rgb(144,183,87)'],
        [0.7215686274509804, 'rgb(144,184,89)'],
        [0.7254901960784313, 'rgb(143,186,92)'],
        [0.7294117647058823, 'rgb(142,187,94)'],
        [0.7333333333333333, 'rgb(141,189,96)'],
        [0.7372549019607844, 'rgb(141,190,98)'],
        [0.7411764705882353, 'rgb(140,192,101)'],
        [0.7450980392156863, 'rgb(139,193,103)'],
        [0.7490196078431373, 'rgb(139,195,106)'],
        [0.7529411764705882, 'rgb(138,196,109)'],
        [0.7568627450980392, 'rgb(137,198,111)'],
        [0.7607843137254902, 'rgb(137,199,114)'],
        [0.7647058823529411, 'rgb(137,201,117)'],
        [0.7686274509803922, 'rgb(136,202,120)'],
        [0.7725490196078432, 'rgb(136,203,122)'],
        [0.7764705882352941, 'rgb(136,205,125)'],
        [0.7803921568627451, 'rgb(136,206,128)'],
        [0.7843137254901961, 'rgb(137,207,131)'],
        [0.788235294117647, 'rgb(137,208,134)'],
        [0.792156862745098, 'rgb(138,209,138)'],
        [0.796078431372549, 'rgb(139,210,141)'],
        [0.8, 'rgb(140,211,144)'],
        [0.803921568627451, 'rgb(141,212,147)'],
        [0.807843137254902, 'rgb(142,213,150)'],
        [0.8117647058823529, 'rgb(144,214,153)'],
        [0.8156862745098039, 'rgb(146,215,155)'],
        [0.8196078431372549, 'rgb(147,216,158)'],
        [0.8235294117647058, 'rgb(149,217,161)'],
        [0.8274509803921568, 'rgb(151,218,164)'],
        [0.8313725490196079, 'rgb(153,219,167)'],
        [0.8352941176470589, 'rgb(156,220,169)'],
        [0.8392156862745098, 'rgb(158,220,172)'],
        [0.8431372549019608, 'rgb(160,221,175)'],
        [0.8470588235294118, 'rgb(162,222,177)'],
        [0.8509803921568627, 'rgb(165,223,180)'],
        [0.8549019607843137, 'rgb(167,224,182)'],
        [0.8588235294117647, 'rgb(170,224,185)'],
        [0.8627450980392157, 'rgb(172,225,187)'],
        [0.8666666666666667, 'rgb(175,226,189)'],
        [0.8705882352941177, 'rgb(177,227,192)'],
        [0.8745098039215686, 'rgb(179,227,194)'],
        [0.8784313725490196, 'rgb(182,228,196)'],
        [0.8823529411764706, 'rgb(184,229,198)'],
        [0.8862745098039215, 'rgb(187,230,201)'],
        [0.8901960784313725, 'rgb(189,230,203)'],
        [0.8941176470588236, 'rgb(192,231,205)'],
        [0.8980392156862745, 'rgb(194,232,207)'],
        [0.9019607843137255, 'rgb(197,233,209)'],
        [0.9058823529411765, 'rgb(199,234,211)'],
        [0.9098039215686274, 'rgb(202,234,213)'],
        [0.9137254901960784, 'rgb(204,235,215)'],
        [0.9176470588235294, 'rgb(207,236,217)'],
        [0.9215686274509803, 'rgb(209,237,219)'],
        [0.9254901960784314, 'rgb(211,238,221)'],
        [0.9294117647058824, 'rgb(214,238,223)'],
        [0.9333333333333333, 'rgb(216,239,225)'],
        [0.9372549019607843, 'rgb(219,240,227)'],
        [0.9411764705882353, 'rgb(221,241,229)'],
        [0.9450980392156862, 'rgb(223,242,231)'],
        [0.9490196078431372, 'rgb(226,243,233)'],
        [0.9529411764705882, 'rgb(228,244,234)'],
        [0.9568627450980393, 'rgb(230,244,236)'],
        [0.9607843137254902, 'rgb(233,245,238)'],
        [0.9647058823529412, 'rgb(235,246,240)'],
        [0.9686274509803922, 'rgb(237,247,242)'],
        [0.9725490196078431, 'rgb(240,248,243)'],
        [0.9764705882352941, 'rgb(242,249,245)'],
        [0.9803921568627451, 'rgb(244,250,247)'],
        [0.984313725490196, 'rgb(246,251,248)'],
        [0.9882352941176471, 'rgb(249,252,250)'],
        [0.9921568627450981, 'rgb(251,253,252)'],
        [0.996078431372549, 'rgb(253,254,253)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.arctic': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(0,0,1)'],
        [0.01568627450980392, 'rgb(1,1,1)'],
        [0.0196078431372549, 'rgb(1,1,1)'],
        [0.023529411764705882, 'rgb(1,1,2)'],
        [0.027450980392156862, 'rgb(2,2,3)'],
        [0.03137254901960784, 'rgb(2,2,3)'],
        [0.03529411764705882, 'rgb(3,3,4)'],
        [0.0392156862745098, 'rgb(4,4,5)'],
        [0.043137254901960784, 'rgb(4,4,6)'],
        [0.047058823529411764, 'rgb(5,5,8)'],
        [0.050980392156862744, 'rgb(6,6,9)'],
        [0.054901960784313725, 'rgb(7,7,10)'],
        [0.058823529411764705, 'rgb(7,8,12)'],
        [0.06274509803921569, 'rgb(8,9,13)'],
        [0.06666666666666667, 'rgb(9,10,15)'],
        [0.07058823529411765, 'rgb(10,11,16)'],
        [0.07450980392156863, 'rgb(11,12,18)'],
        [0.0784313725490196, 'rgb(12,13,19)'],
        [0.08235294117647059, 'rgb(13,14,21)'],
        [0.08627450980392157, 'rgb(14,15,22)'],
        [0.09019607843137255, 'rgb(15,16,24)'],
        [0.09411764705882353, 'rgb(16,17,25)'],
        [0.09803921568627451, 'rgb(17,18,27)'],
        [0.10196078431372549, 'rgb(18,19,28)'],
        [0.10588235294117647, 'rgb(19,20,29)'],
        [0.10980392156862745, 'rgb(20,21,31)'],
        [0.11372549019607843, 'rgb(21,22,32)'],
        [0.11764705882352941, 'rgb(21,23,34)'],
        [0.12156862745098039, 'rgb(22,24,35)'],
        [0.12549019607843137, 'rgb(23,25,37)'],
        [0.12941176470588237, 'rgb(24,26,38)'],
        [0.13333333333333333, 'rgb(25,27,40)'],
        [0.13725490196078433, 'rgb(26,28,41)'],
        [0.1411764705882353, 'rgb(27,28,43)'],
        [0.1450980392156863, 'rgb(27,29,44)'],
        [0.14901960784313725, 'rgb(28,30,46)'],
        [0.15294117647058825, 'rgb(29,31,47)'],
        [0.1568627450980392, 'rgb(30,32,49)'],
        [0.1607843137254902, 'rgb(31,33,50)'],
        [0.16470588235294117, 'rgb(31,34,52)'],
        [0.16862745098039217, 'rgb(32,35,53)'],
        [0.17254901960784313, 'rgb(33,36,55)'],
        [0.17647058823529413, 'rgb(34,37,56)'],
        [0.1803921568627451, 'rgb(34,38,58)'],
        [0.1843137254901961, 'rgb(35,38,60)'],
        [0.18823529411764706, 'rgb(36,39,61)'],
        [0.19215686274509805, 'rgb(37,40,63)'],
        [0.19607843137254902, 'rgb(37,41,64)'],
        [0.2, 'rgb(38,42,66)'],
        [0.20392156862745098, 'rgb(39,43,67)'],
        [0.20784313725490197, 'rgb(39,44,69)'],
        [0.21176470588235294, 'rgb(40,45,71)'],
        [0.21568627450980393, 'rgb(41,46,72)'],
        [0.2196078431372549, 'rgb(42,47,74)'],
        [0.2235294117647059, 'rgb(42,47,76)'],
        [0.22745098039215686, 'rgb(43,48,77)'],
        [0.23137254901960785, 'rgb(44,49,79)'],
        [0.23529411764705882, 'rgb(44,50,81)'],
        [0.23921568627450981, 'rgb(45,51,82)'],
        [0.24313725490196078, 'rgb(45,52,84)'],
        [0.24705882352941178, 'rgb(46,53,86)'],
        [0.25098039215686274, 'rgb(47,54,87)'],
        [0.2549019607843137, 'rgb(47,54,89)'],
        [0.25882352941176473, 'rgb(48,55,91)'],
        [0.2627450980392157, 'rgb(48,56,92)'],
        [0.26666666666666666, 'rgb(49,57,94)'],
        [0.27058823529411763, 'rgb(50,58,96)'],
        [0.27450980392156865, 'rgb(50,59,98)'],
        [0.2784313725490196, 'rgb(51,60,99)'],
        [0.2823529411764706, 'rgb(51,61,101)'],
        [0.28627450980392155, 'rgb(52,61,103)'],
        [0.2901960784313726, 'rgb(52,62,105)'],
        [0.29411764705882354, 'rgb(53,63,107)'],
        [0.2980392156862745, 'rgb(53,64,108)'],
        [0.30196078431372547, 'rgb(54,65,110)'],
        [0.3058823529411765, 'rgb(54,66,112)'],
        [0.30980392156862746, 'rgb(55,67,114)'],
        [0.3137254901960784, 'rgb(55,68,116)'],
        [0.3176470588235294, 'rgb(56,69,118)'],
        [0.3215686274509804, 'rgb(56,69,119)'],
        [0.3254901960784314, 'rgb(57,70,121)'],
        [0.32941176470588235, 'rgb(57,71,123)'],
        [0.3333333333333333, 'rgb(57,72,125)'],
        [0.33725490196078434, 'rgb(58,73,127)'],
        [0.3411764705882353, 'rgb(58,74,129)'],
        [0.34509803921568627, 'rgb(59,75,131)'],
        [0.34901960784313724, 'rgb(59,76,133)'],
        [0.35294117647058826, 'rgb(59,77,135)'],
        [0.3568627450980392, 'rgb(59,78,137)'],
        [0.3607843137254902, 'rgb(60,79,139)'],
        [0.36470588235294116, 'rgb(60,80,141)'],
        [0.3686274509803922, 'rgb(60,80,143)'],
        [0.37254901960784315, 'rgb(60,81,144)'],
        [0.3764705882352941, 'rgb(61,82,146)'],
        [0.3803921568627451, 'rgb(61,83,148)'],
        [0.3843137254901961, 'rgb(61,84,150)'],
        [0.38823529411764707, 'rgb(61,85,152)'],
        [0.39215686274509803, 'rgb(61,86,154)'],
        [0.396078431372549, 'rgb(61,87,156)'],
        [0.4, 'rgb(61,88,158)'],
        [0.403921568627451, 'rgb(61,89,160)'],
        [0.40784313725490196, 'rgb(61,90,162)'],
        [0.4117647058823529, 'rgb(61,91,164)'],
        [0.41568627450980394, 'rgb(61,92,166)'],
        [0.4196078431372549, 'rgb(61,93,168)'],
        [0.4235294117647059, 'rgb(61,94,170)'],
        [0.42745098039215684, 'rgb(60,95,172)'],
        [0.43137254901960786, 'rgb(60,96,174)'],
        [0.43529411764705883, 'rgb(60,97,176)'],
        [0.4392156862745098, 'rgb(59,98,178)'],
        [0.44313725490196076, 'rgb(59,100,179)'],
        [0.4470588235294118, 'rgb(58,101,181)'],
        [0.45098039215686275, 'rgb(58,102,183)'],
        [0.4549019607843137, 'rgb(57,103,185)'],
        [0.4588235294117647, 'rgb(56,104,186)'],
        [0.4627450980392157, 'rgb(56,105,188)'],
        [0.4666666666666667, 'rgb(55,107,189)'],
        [0.47058823529411764, 'rgb(54,108,190)'],
        [0.4745098039215686, 'rgb(53,109,192)'],
        [0.47843137254901963, 'rgb(53,110,193)'],
        [0.4823529411764706, 'rgb(52,112,194)'],
        [0.48627450980392156, 'rgb(51,113,195)'],
        [0.49019607843137253, 'rgb(51,114,196)'],
        [0.49411764705882355, 'rgb(50,115,196)'],
        [0.4980392156862745, 'rgb(49,117,197)'],
        [0.5019607843137255, 'rgb(49,118,198)'],
        [0.5058823529411764, 'rgb(49,119,198)'],
        [0.5098039215686274, 'rgb(49,121,198)'],
        [0.5137254901960784, 'rgb(49,122,199)'],
        [0.5176470588235295, 'rgb(49,123,199)'],
        [0.5215686274509804, 'rgb(49,124,199)'],
        [0.5254901960784314, 'rgb(49,126,200)'],
        [0.5294117647058824, 'rgb(50,127,200)'],
        [0.5333333333333333, 'rgb(50,128,200)'],
        [0.5372549019607843, 'rgb(51,129,200)'],
        [0.5411764705882353, 'rgb(52,130,200)'],
        [0.5450980392156862, 'rgb(53,132,200)'],
        [0.5490196078431373, 'rgb(54,133,200)'],
        [0.5529411764705883, 'rgb(55,134,200)'],
        [0.5568627450980392, 'rgb(56,135,200)'],
        [0.5607843137254902, 'rgb(57,136,200)'],
        [0.5647058823529412, 'rgb(58,137,200)'],
        [0.5686274509803921, 'rgb(60,139,200)'],
        [0.5725490196078431, 'rgb(61,140,200)'],
        [0.5764705882352941, 'rgb(62,141,201)'],
        [0.5803921568627451, 'rgb(64,142,201)'],
        [0.5843137254901961, 'rgb(65,143,201)'],
        [0.5882352941176471, 'rgb(67,144,201)'],
        [0.592156862745098, 'rgb(68,145,201)'],
        [0.596078431372549, 'rgb(70,146,201)'],
        [0.6, 'rgb(71,147,201)'],
        [0.6039215686274509, 'rgb(73,149,201)'],
        [0.6078431372549019, 'rgb(75,150,201)'],
        [0.611764705882353, 'rgb(76,151,201)'],
        [0.615686274509804, 'rgb(78,152,201)'],
        [0.6196078431372549, 'rgb(79,153,201)'],
        [0.6235294117647059, 'rgb(81,154,201)'],
        [0.6274509803921569, 'rgb(83,155,201)'],
        [0.6313725490196078, 'rgb(84,156,201)'],
        [0.6352941176470588, 'rgb(86,157,201)'],
        [0.6392156862745098, 'rgb(88,158,201)'],
        [0.6431372549019608, 'rgb(90,159,201)'],
        [0.6470588235294118, 'rgb(91,160,201)'],
        [0.6509803921568628, 'rgb(93,161,202)'],
        [0.6549019607843137, 'rgb(95,162,202)'],
        [0.6588235294117647, 'rgb(96,163,202)'],
        [0.6627450980392157, 'rgb(98,164,202)'],
        [0.6666666666666666, 'rgb(100,165,202)'],
        [0.6705882352941176, 'rgb(102,166,202)'],
        [0.6745098039215687, 'rgb(103,167,202)'],
        [0.6784313725490196, 'rgb(105,168,203)'],
        [0.6823529411764706, 'rgb(107,169,203)'],
        [0.6862745098039216, 'rgb(109,171,203)'],
        [0.6901960784313725, 'rgb(110,172,203)'],
        [0.6941176470588235, 'rgb(112,173,203)'],
        [0.6980392156862745, 'rgb(114,174,204)'],
        [0.7019607843137254, 'rgb(116,175,204)'],
        [0.7058823529411765, 'rgb(117,176,204)'],
        [0.7098039215686275, 'rgb(119,177,204)'],
        [0.7137254901960784, 'rgb(121,178,205)'],
        [0.7176470588235294, 'rgb(123,179,205)'],
        [0.7215686274509804, 'rgb(125,180,205)'],
        [0.7254901960784313, 'rgb(126,181,206)'],
        [0.7294117647058823, 'rgb(128,182,206)'],
        [0.7333333333333333, 'rgb(130,183,206)'],
        [0.7372549019607844, 'rgb(132,184,206)'],
        [0.7411764705882353, 'rgb(133,185,207)'],
        [0.7450980392156863, 'rgb(135,186,207)'],
        [0.7490196078431373, 'rgb(137,187,207)'],
        [0.7529411764705882, 'rgb(139,188,208)'],
        [0.7568627450980392, 'rgb(141,189,208)'],
        [0.7607843137254902, 'rgb(142,190,209)'],
        [0.7647058823529411, 'rgb(144,191,209)'],
        [0.7686274509803922, 'rgb(146,192,209)'],
        [0.7725490196078432, 'rgb(148,193,210)'],
        [0.7764705882352941, 'rgb(150,194,210)'],
        [0.7803921568627451, 'rgb(151,195,211)'],
        [0.7843137254901961, 'rgb(153,196,211)'],
        [0.788235294117647, 'rgb(155,197,212)'],
        [0.792156862745098, 'rgb(157,198,212)'],
        [0.796078431372549, 'rgb(159,199,213)'],
        [0.8, 'rgb(160,200,213)'],
        [0.803921568627451, 'rgb(162,201,214)'],
        [0.807843137254902, 'rgb(164,202,214)'],
        [0.8117647058823529, 'rgb(166,203,215)'],
        [0.8156862745098039, 'rgb(168,204,215)'],
        [0.8196078431372549, 'rgb(170,205,216)'],
        [0.8235294117647058, 'rgb(171,206,216)'],
        [0.8274509803921568, 'rgb(173,207,217)'],
        [0.8313725490196079, 'rgb(175,208,217)'],
        [0.8352941176470589, 'rgb(177,209,218)'],
        [0.8392156862745098, 'rgb(179,210,219)'],
        [0.8431372549019608, 'rgb(180,211,219)'],
        [0.8470588235294118, 'rgb(182,212,220)'],
        [0.8509803921568627, 'rgb(184,213,220)'],
        [0.8549019607843137, 'rgb(186,214,221)'],
        [0.8588235294117647, 'rgb(188,215,222)'],
        [0.8627450980392157, 'rgb(190,216,223)'],
        [0.8666666666666667, 'rgb(192,217,223)'],
        [0.8705882352941177, 'rgb(193,218,224)'],
        [0.8745098039215686, 'rgb(195,220,225)'],
        [0.8784313725490196, 'rgb(197,221,225)'],
        [0.8823529411764706, 'rgb(199,222,226)'],
        [0.8862745098039215, 'rgb(201,223,227)'],
        [0.8901960784313725, 'rgb(203,224,228)'],
        [0.8941176470588236, 'rgb(204,225,228)'],
        [0.8980392156862745, 'rgb(206,226,229)'],
        [0.9019607843137255, 'rgb(208,227,230)'],
        [0.9058823529411765, 'rgb(210,228,231)'],
        [0.9098039215686274, 'rgb(212,229,232)'],
        [0.9137254901960784, 'rgb(214,230,233)'],
        [0.9176470588235294, 'rgb(216,231,233)'],
        [0.9215686274509803, 'rgb(218,232,234)'],
        [0.9254901960784314, 'rgb(219,233,235)'],
        [0.9294117647058824, 'rgb(221,235,236)'],
        [0.9333333333333333, 'rgb(223,236,237)'],
        [0.9372549019607843, 'rgb(225,237,238)'],
        [0.9411764705882353, 'rgb(227,238,239)'],
        [0.9450980392156862, 'rgb(229,239,240)'],
        [0.9490196078431372, 'rgb(231,240,241)'],
        [0.9529411764705882, 'rgb(233,241,242)'],
        [0.9568627450980393, 'rgb(234,242,243)'],
        [0.9607843137254902, 'rgb(236,243,244)'],
        [0.9647058823529412, 'rgb(238,245,245)'],
        [0.9686274509803922, 'rgb(240,246,246)'],
        [0.9725490196078431, 'rgb(242,247,247)'],
        [0.9764705882352941, 'rgb(244,248,248)'],
        [0.9803921568627451, 'rgb(246,249,249)'],
        [0.984313725490196, 'rgb(248,250,250)'],
        [0.9882352941176471, 'rgb(249,251,252)'],
        [0.9921568627450981, 'rgb(251,253,253)'],
        [0.996078431372549, 'rgb(253,254,254)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.chroma': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(0,0,1)'],
        [0.01568627450980392, 'rgb(0,1,1)'],
        [0.0196078431372549, 'rgb(1,1,2)'],
        [0.023529411764705882, 'rgb(1,2,4)'],
        [0.027450980392156862, 'rgb(1,2,5)'],
        [0.03137254901960784, 'rgb(1,3,7)'],
        [0.03529411764705882, 'rgb(1,3,9)'],
        [0.0392156862745098, 'rgb(1,4,11)'],
        [0.043137254901960784, 'rgb(1,5,14)'],
        [0.047058823529411764, 'rgb(1,6,16)'],
        [0.050980392156862744, 'rgb(1,7,19)'],
        [0.054901960784313725, 'rgb(1,7,22)'],
        [0.058823529411764705, 'rgb(1,8,24)'],
        [0.06274509803921569, 'rgb(1,9,27)'],
        [0.06666666666666667, 'rgb(1,10,30)'],
        [0.07058823529411765, 'rgb(1,11,33)'],
        [0.07450980392156863, 'rgb(1,12,36)'],
        [0.0784313725490196, 'rgb(1,13,39)'],
        [0.08235294117647059, 'rgb(1,14,43)'],
        [0.08627450980392157, 'rgb(1,15,46)'],
        [0.09019607843137255, 'rgb(1,15,49)'],
        [0.09411764705882353, 'rgb(1,16,53)'],
        [0.09803921568627451, 'rgb(1,16,57)'],
        [0.10196078431372549, 'rgb(2,17,61)'],
        [0.10588235294117647, 'rgb(2,17,64)'],
        [0.10980392156862745, 'rgb(3,17,68)'],
        [0.11372549019607843, 'rgb(4,17,72)'],
        [0.11764705882352941, 'rgb(6,17,77)'],
        [0.12156862745098039, 'rgb(8,17,81)'],
        [0.12549019607843137, 'rgb(10,16,85)'],
        [0.12941176470588237, 'rgb(13,15,89)'],
        [0.13333333333333333, 'rgb(16,14,93)'],
        [0.13725490196078433, 'rgb(19,13,97)'],
        [0.1411764705882353, 'rgb(22,11,100)'],
        [0.1450980392156863, 'rgb(25,10,104)'],
        [0.14901960784313725, 'rgb(28,8,107)'],
        [0.15294117647058825, 'rgb(31,6,109)'],
        [0.1568627450980392, 'rgb(34,5,111)'],
        [0.1607843137254902, 'rgb(37,4,113)'],
        [0.16470588235294117, 'rgb(40,3,115)'],
        [0.16862745098039217, 'rgb(42,2,116)'],
        [0.17254901960784313, 'rgb(45,1,117)'],
        [0.17647058823529413, 'rgb(47,1,118)'],
        [0.1803921568627451, 'rgb(50,0,119)'],
        [0.1843137254901961, 'rgb(52,0,119)'],
        [0.18823529411764706, 'rgb(54,0,120)'],
        [0.19215686274509805, 'rgb(56,0,120)'],
        [0.19607843137254902, 'rgb(59,0,120)'],
        [0.2, 'rgb(61,1,121)'],
        [0.20392156862745098, 'rgb(63,1,121)'],
        [0.20784313725490197, 'rgb(65,1,121)'],
        [0.21176470588235294, 'rgb(67,1,121)'],
        [0.21568627450980393, 'rgb(69,2,121)'],
        [0.2196078431372549, 'rgb(71,2,121)'],
        [0.2235294117647059, 'rgb(73,3,120)'],
        [0.22745098039215686, 'rgb(75,3,120)'],
        [0.23137254901960785, 'rgb(77,3,120)'],
        [0.23529411764705882, 'rgb(79,4,120)'],
        [0.23921568627450981, 'rgb(81,4,119)'],
        [0.24313725490196078, 'rgb(83,4,119)'],
        [0.24705882352941178, 'rgb(85,5,119)'],
        [0.25098039215686274, 'rgb(87,5,118)'],
        [0.2549019607843137, 'rgb(89,6,118)'],
        [0.25882352941176473, 'rgb(91,6,118)'],
        [0.2627450980392157, 'rgb(93,6,117)'],
        [0.26666666666666666, 'rgb(95,6,117)'],
        [0.27058823529411763, 'rgb(97,7,116)'],
        [0.27450980392156865, 'rgb(99,7,116)'],
        [0.2784313725490196, 'rgb(101,7,115)'],
        [0.2823529411764706, 'rgb(103,7,115)'],
        [0.28627450980392155, 'rgb(105,7,114)'],
        [0.2901960784313726, 'rgb(107,8,113)'],
        [0.29411764705882354, 'rgb(109,8,112)'],
        [0.2980392156862745, 'rgb(111,8,112)'],
        [0.30196078431372547, 'rgb(113,8,111)'],
        [0.3058823529411765, 'rgb(115,8,110)'],
        [0.30980392156862746, 'rgb(117,8,109)'],
        [0.3137254901960784, 'rgb(119,8,108)'],
        [0.3176470588235294, 'rgb(121,8,107)'],
        [0.3215686274509804, 'rgb(123,9,106)'],
        [0.3254901960784314, 'rgb(125,9,105)'],
        [0.32941176470588235, 'rgb(127,9,104)'],
        [0.3333333333333333, 'rgb(129,9,103)'],
        [0.33725490196078434, 'rgb(131,9,102)'],
        [0.3411764705882353, 'rgb(133,10,101)'],
        [0.34509803921568627, 'rgb(135,10,99)'],
        [0.34901960784313724, 'rgb(137,10,98)'],
        [0.35294117647058826, 'rgb(139,11,97)'],
        [0.3568627450980392, 'rgb(141,11,95)'],
        [0.3607843137254902, 'rgb(143,12,94)'],
        [0.36470588235294116, 'rgb(144,12,92)'],
        [0.3686274509803922, 'rgb(146,13,91)'],
        [0.37254901960784315, 'rgb(148,14,89)'],
        [0.3764705882352941, 'rgb(150,15,88)'],
        [0.3803921568627451, 'rgb(152,16,86)'],
        [0.3843137254901961, 'rgb(153,17,84)'],
        [0.38823529411764707, 'rgb(155,18,83)'],
        [0.39215686274509803, 'rgb(157,19,81)'],
        [0.396078431372549, 'rgb(158,20,79)'],
        [0.4, 'rgb(160,21,77)'],
        [0.403921568627451, 'rgb(161,23,75)'],
        [0.40784313725490196, 'rgb(163,24,74)'],
        [0.4117647058823529, 'rgb(164,26,72)'],
        [0.41568627450980394, 'rgb(166,27,70)'],
        [0.4196078431372549, 'rgb(167,29,68)'],
        [0.4235294117647059, 'rgb(168,31,66)'],
        [0.42745098039215684, 'rgb(170,32,64)'],
        [0.43137254901960786, 'rgb(171,34,63)'],
        [0.43529411764705883, 'rgb(172,36,61)'],
        [0.4392156862745098, 'rgb(173,38,59)'],
        [0.44313725490196076, 'rgb(174,40,57)'],
        [0.4470588235294118, 'rgb(175,42,55)'],
        [0.45098039215686275, 'rgb(176,44,54)'],
        [0.4549019607843137, 'rgb(177,46,52)'],
        [0.4588235294117647, 'rgb(178,48,50)'],
        [0.4627450980392157, 'rgb(179,50,48)'],
        [0.4666666666666667, 'rgb(179,52,47)'],
        [0.47058823529411764, 'rgb(180,54,45)'],
        [0.4745098039215686, 'rgb(181,56,44)'],
        [0.47843137254901963, 'rgb(182,58,42)'],
        [0.4823529411764706, 'rgb(182,60,40)'],
        [0.48627450980392156, 'rgb(183,62,39)'],
        [0.49019607843137253, 'rgb(183,64,37)'],
        [0.49411764705882355, 'rgb(184,66,36)'],
        [0.4980392156862745, 'rgb(184,68,34)'],
        [0.5019607843137255, 'rgb(184,71,33)'],
        [0.5058823529411764, 'rgb(185,73,32)'],
        [0.5098039215686274, 'rgb(185,75,30)'],
        [0.5137254901960784, 'rgb(185,77,29)'],
        [0.5176470588235295, 'rgb(186,79,27)'],
        [0.5215686274509804, 'rgb(186,81,26)'],
        [0.5254901960784314, 'rgb(186,83,25)'],
        [0.5294117647058824, 'rgb(186,85,23)'],
        [0.5333333333333333, 'rgb(186,87,22)'],
        [0.5372549019607843, 'rgb(186,89,21)'],
        [0.5411764705882353, 'rgb(186,91,19)'],
        [0.5450980392156862, 'rgb(186,93,18)'],
        [0.5490196078431373, 'rgb(186,96,16)'],
        [0.5529411764705883, 'rgb(186,98,15)'],
        [0.5568627450980392, 'rgb(186,100,14)'],
        [0.5607843137254902, 'rgb(186,102,12)'],
        [0.5647058823529412, 'rgb(186,104,11)'],
        [0.5686274509803921, 'rgb(186,106,10)'],
        [0.5725490196078431, 'rgb(186,108,8)'],
        [0.5764705882352941, 'rgb(185,110,7)'],
        [0.5803921568627451, 'rgb(185,112,6)'],
        [0.5843137254901961, 'rgb(185,114,5)'],
        [0.5882352941176471, 'rgb(184,116,5)'],
        [0.592156862745098, 'rgb(184,118,4)'],
        [0.596078431372549, 'rgb(183,120,3)'],
        [0.6, 'rgb(183,122,3)'],
        [0.6039215686274509, 'rgb(182,124,3)'],
        [0.6078431372549019, 'rgb(182,126,2)'],
        [0.611764705882353, 'rgb(181,128,2)'],
        [0.615686274509804, 'rgb(181,130,2)'],
        [0.6196078431372549, 'rgb(180,132,3)'],
        [0.6235294117647059, 'rgb(179,135,3)'],
        [0.6274509803921569, 'rgb(179,137,3)'],
        [0.6313725490196078, 'rgb(178,139,4)'],
        [0.6352941176470588, 'rgb(177,141,5)'],
        [0.6392156862745098, 'rgb(176,143,6)'],
        [0.6431372549019608, 'rgb(175,145,7)'],
        [0.6470588235294118, 'rgb(174,147,8)'],
        [0.6509803921568628, 'rgb(173,149,9)'],
        [0.6549019607843137, 'rgb(172,151,11)'],
        [0.6588235294117647, 'rgb(171,153,12)'],
        [0.6627450980392157, 'rgb(170,155,14)'],
        [0.6666666666666666, 'rgb(169,157,16)'],
        [0.6705882352941176, 'rgb(167,159,17)'],
        [0.6745098039215687, 'rgb(166,161,19)'],
        [0.6784313725490196, 'rgb(165,163,21)'],
        [0.6823529411764706, 'rgb(163,165,22)'],
        [0.6862745098039216, 'rgb(162,167,24)'],
        [0.6901960784313725, 'rgb(160,169,26)'],
        [0.6941176470588235, 'rgb(158,171,27)'],
        [0.6980392156862745, 'rgb(157,173,29)'],
        [0.7019607843137254, 'rgb(155,175,31)'],
        [0.7058823529411765, 'rgb(153,177,33)'],
        [0.7098039215686275, 'rgb(151,179,34)'],
        [0.7137254901960784, 'rgb(149,182,36)'],
        [0.7176470588235294, 'rgb(147,184,38)'],
        [0.7215686274509804, 'rgb(144,186,40)'],
        [0.7254901960784313, 'rgb(142,188,42)'],
        [0.7294117647058823, 'rgb(139,190,44)'],
        [0.7333333333333333, 'rgb(136,192,46)'],
        [0.7372549019607844, 'rgb(133,194,48)'],
        [0.7411764705882353, 'rgb(130,196,50)'],
        [0.7450980392156863, 'rgb(127,198,53)'],
        [0.7490196078431373, 'rgb(123,200,55)'],
        [0.7529411764705882, 'rgb(120,203,57)'],
        [0.7568627450980392, 'rgb(116,205,60)'],
        [0.7607843137254902, 'rgb(111,207,62)'],
        [0.7647058823529411, 'rgb(107,209,65)'],
        [0.7686274509803922, 'rgb(102,211,68)'],
        [0.7725490196078432, 'rgb(96,213,71)'],
        [0.7764705882352941, 'rgb(90,215,74)'],
        [0.7803921568627451, 'rgb(84,217,77)'],
        [0.7843137254901961, 'rgb(77,219,81)'],
        [0.788235294117647, 'rgb(70,221,84)'],
        [0.792156862745098, 'rgb(61,223,88)'],
        [0.796078431372549, 'rgb(52,225,92)'],
        [0.8, 'rgb(42,227,97)'],
        [0.803921568627451, 'rgb(31,229,102)'],
        [0.807843137254902, 'rgb(19,230,107)'],
        [0.8117647058823529, 'rgb(7,231,112)'],
        [0.8156862745098039, 'rgb(3,233,117)'],
        [0.8196078431372549, 'rgb(10,234,122)'],
        [0.8235294117647058, 'rgb(22,235,127)'],
        [0.8274509803921568, 'rgb(34,235,132)'],
        [0.8313725490196079, 'rgb(45,236,137)'],
        [0.8352941176470589, 'rgb(55,237,142)'],
        [0.8392156862745098, 'rgb(65,237,146)'],
        [0.8431372549019608, 'rgb(74,237,150)'],
        [0.8470588235294118, 'rgb(82,238,154)'],
        [0.8509803921568627, 'rgb(90,238,158)'],
        [0.8549019607843137, 'rgb(97,239,162)'],
        [0.8588235294117647, 'rgb(104,239,166)'],
        [0.8627450980392157, 'rgb(111,239,169)'],
        [0.8666666666666667, 'rgb(118,239,173)'],
        [0.8705882352941177, 'rgb(124,240,176)'],
        [0.8745098039215686, 'rgb(130,240,179)'],
        [0.8784313725490196, 'rgb(136,240,183)'],
        [0.8823529411764706, 'rgb(141,241,186)'],
        [0.8862745098039215, 'rgb(146,241,189)'],
        [0.8901960784313725, 'rgb(152,241,192)'],
        [0.8941176470588236, 'rgb(157,242,194)'],
        [0.8980392156862745, 'rgb(161,242,197)'],
        [0.9019607843137255, 'rgb(166,242,200)'],
        [0.9058823529411765, 'rgb(171,242,203)'],
        [0.9098039215686274, 'rgb(175,243,205)'],
        [0.9137254901960784, 'rgb(179,243,208)'],
        [0.9176470588235294, 'rgb(184,243,211)'],
        [0.9215686274509803, 'rgb(188,244,213)'],
        [0.9254901960784314, 'rgb(192,244,215)'],
        [0.9294117647058824, 'rgb(196,245,218)'],
        [0.9333333333333333, 'rgb(200,245,220)'],
        [0.9372549019607843, 'rgb(204,245,223)'],
        [0.9411764705882353, 'rgb(207,246,225)'],
        [0.9450980392156862, 'rgb(211,246,227)'],
        [0.9490196078431372, 'rgb(214,247,229)'],
        [0.9529411764705882, 'rgb(218,247,232)'],
        [0.9568627450980393, 'rgb(221,248,234)'],
        [0.9607843137254902, 'rgb(225,248,236)'],
        [0.9647058823529412, 'rgb(228,249,238)'],
        [0.9686274509803922, 'rgb(231,250,240)'],
        [0.9725490196078431, 'rgb(235,250,242)'],
        [0.9764705882352941, 'rgb(238,251,244)'],
        [0.9803921568627451, 'rgb(241,251,246)'],
        [0.984313725490196, 'rgb(244,252,248)'],
        [0.9882352941176471, 'rgb(247,253,250)'],
        [0.9921568627450981, 'rgb(250,253,252)'],
        [0.996078431372549, 'rgb(252,254,253)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.dusk': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(0,0,1)'],
        [0.01568627450980392, 'rgb(1,1,1)'],
        [0.0196078431372549, 'rgb(1,1,2)'],
        [0.023529411764705882, 'rgb(1,1,3)'],
        [0.027450980392156862, 'rgb(2,2,4)'],
        [0.03137254901960784, 'rgb(2,2,5)'],
        [0.03529411764705882, 'rgb(3,3,6)'],
        [0.0392156862745098, 'rgb(3,4,8)'],
        [0.043137254901960784, 'rgb(4,4,9)'],
        [0.047058823529411764, 'rgb(5,5,11)'],
        [0.050980392156862744, 'rgb(5,6,13)'],
        [0.054901960784313725, 'rgb(6,7,15)'],
        [0.058823529411764705, 'rgb(7,7,17)'],
        [0.06274509803921569, 'rgb(8,8,19)'],
        [0.06666666666666667, 'rgb(8,9,21)'],
        [0.07058823529411765, 'rgb(9,10,23)'],
        [0.07450980392156863, 'rgb(10,11,25)'],
        [0.0784313725490196, 'rgb(11,12,27)'],
        [0.08235294117647059, 'rgb(12,13,29)'],
        [0.08627450980392157, 'rgb(13,14,31)'],
        [0.09019607843137255, 'rgb(14,15,33)'],
        [0.09411764705882353, 'rgb(15,16,35)'],
        [0.09803921568627451, 'rgb(16,17,38)'],
        [0.10196078431372549, 'rgb(16,18,40)'],
        [0.10588235294117647, 'rgb(17,18,42)'],
        [0.10980392156862745, 'rgb(18,19,44)'],
        [0.11372549019607843, 'rgb(19,20,46)'],
        [0.11764705882352941, 'rgb(20,21,49)'],
        [0.12156862745098039, 'rgb(20,22,51)'],
        [0.12549019607843137, 'rgb(21,22,53)'],
        [0.12941176470588237, 'rgb(22,23,56)'],
        [0.13333333333333333, 'rgb(23,24,58)'],
        [0.13725490196078433, 'rgb(23,25,61)'],
        [0.1411764705882353, 'rgb(24,26,63)'],
        [0.1450980392156863, 'rgb(25,26,66)'],
        [0.14901960784313725, 'rgb(25,27,68)'],
        [0.15294117647058825, 'rgb(26,28,71)'],
        [0.1568627450980392, 'rgb(27,28,74)'],
        [0.1607843137254902, 'rgb(27,29,76)'],
        [0.16470588235294117, 'rgb(28,30,79)'],
        [0.16862745098039217, 'rgb(28,30,82)'],
        [0.17254901960784313, 'rgb(29,31,85)'],
        [0.17647058823529413, 'rgb(29,32,87)'],
        [0.1803921568627451, 'rgb(30,32,90)'],
        [0.1843137254901961, 'rgb(30,33,93)'],
        [0.18823529411764706, 'rgb(30,34,96)'],
        [0.19215686274509805, 'rgb(30,35,99)'],
        [0.19607843137254902, 'rgb(30,35,102)'],
        [0.2, 'rgb(30,36,105)'],
        [0.20392156862745098, 'rgb(30,37,107)'],
        [0.20784313725490197, 'rgb(29,38,110)'],
        [0.21176470588235294, 'rgb(28,40,112)'],
        [0.21568627450980393, 'rgb(27,41,114)'],
        [0.2196078431372549, 'rgb(25,42,115)'],
        [0.2235294117647059, 'rgb(24,44,116)'],
        [0.22745098039215686, 'rgb(22,46,116)'],
        [0.23137254901960785, 'rgb(21,47,117)'],
        [0.23529411764705882, 'rgb(19,49,117)'],
        [0.23921568627450981, 'rgb(17,51,117)'],
        [0.24313725490196078, 'rgb(16,52,117)'],
        [0.24705882352941178, 'rgb(15,54,116)'],
        [0.25098039215686274, 'rgb(14,55,116)'],
        [0.2549019607843137, 'rgb(13,57,115)'],
        [0.25882352941176473, 'rgb(13,58,115)'],
        [0.2627450980392157, 'rgb(13,60,114)'],
        [0.26666666666666666, 'rgb(14,61,113)'],
        [0.27058823529411763, 'rgb(14,62,113)'],
        [0.27450980392156865, 'rgb(16,64,112)'],
        [0.2784313725490196, 'rgb(17,65,111)'],
        [0.2823529411764706, 'rgb(18,66,111)'],
        [0.28627450980392155, 'rgb(20,67,110)'],
        [0.2901960784313726, 'rgb(22,68,109)'],
        [0.29411764705882354, 'rgb(24,69,109)'],
        [0.2980392156862745, 'rgb(26,70,108)'],
        [0.30196078431372547, 'rgb(28,72,107)'],
        [0.3058823529411765, 'rgb(29,73,107)'],
        [0.30980392156862746, 'rgb(31,74,106)'],
        [0.3137254901960784, 'rgb(33,75,106)'],
        [0.3176470588235294, 'rgb(35,75,105)'],
        [0.3215686274509804, 'rgb(37,76,105)'],
        [0.3254901960784314, 'rgb(39,77,104)'],
        [0.32941176470588235, 'rgb(41,78,104)'],
        [0.3333333333333333, 'rgb(43,79,103)'],
        [0.33725490196078434, 'rgb(45,80,103)'],
        [0.3411764705882353, 'rgb(47,81,103)'],
        [0.34509803921568627, 'rgb(49,82,102)'],
        [0.34901960784313724, 'rgb(51,83,102)'],
        [0.35294117647058826, 'rgb(53,84,102)'],
        [0.3568627450980392, 'rgb(55,84,101)'],
        [0.3607843137254902, 'rgb(56,85,101)'],
        [0.36470588235294116, 'rgb(58,86,101)'],
        [0.3686274509803922, 'rgb(60,87,101)'],
        [0.37254901960784315, 'rgb(62,88,101)'],
        [0.3764705882352941, 'rgb(63,89,100)'],
        [0.3803921568627451, 'rgb(65,89,100)'],
        [0.3843137254901961, 'rgb(67,90,100)'],
        [0.38823529411764707, 'rgb(69,91,100)'],
        [0.39215686274509803, 'rgb(70,92,100)'],
        [0.396078431372549, 'rgb(72,93,100)'],
        [0.4, 'rgb(73,93,100)'],
        [0.403921568627451, 'rgb(75,94,100)'],
        [0.40784313725490196, 'rgb(77,95,100)'],
        [0.4117647058823529, 'rgb(78,96,100)'],
        [0.41568627450980394, 'rgb(80,97,100)'],
        [0.4196078431372549, 'rgb(81,97,100)'],
        [0.4235294117647059, 'rgb(83,98,100)'],
        [0.42745098039215684, 'rgb(84,99,100)'],
        [0.43137254901960786, 'rgb(86,100,100)'],
        [0.43529411764705883, 'rgb(87,101,101)'],
        [0.4392156862745098, 'rgb(89,101,101)'],
        [0.44313725490196076, 'rgb(90,102,101)'],
        [0.4470588235294118, 'rgb(92,103,101)'],
        [0.45098039215686275, 'rgb(93,104,101)'],
        [0.4549019607843137, 'rgb(95,105,101)'],
        [0.4588235294117647, 'rgb(96,106,102)'],
        [0.4627450980392157, 'rgb(97,107,102)'],
        [0.4666666666666667, 'rgb(99,107,102)'],
        [0.47058823529411764, 'rgb(100,108,102)'],
        [0.4745098039215686, 'rgb(102,109,102)'],
        [0.47843137254901963, 'rgb(103,110,102)'],
        [0.4823529411764706, 'rgb(104,111,102)'],
        [0.48627450980392156, 'rgb(106,112,102)'],
        [0.49019607843137253, 'rgb(107,113,101)'],
        [0.49411764705882355, 'rgb(109,113,101)'],
        [0.4980392156862745, 'rgb(110,114,101)'],
        [0.5019607843137255, 'rgb(112,115,100)'],
        [0.5058823529411764, 'rgb(114,116,100)'],
        [0.5098039215686274, 'rgb(115,117,100)'],
        [0.5137254901960784, 'rgb(117,117,99)'],
        [0.5176470588235295, 'rgb(119,118,99)'],
        [0.5215686274509804, 'rgb(121,119,98)'],
        [0.5254901960784314, 'rgb(123,120,98)'],
        [0.5294117647058824, 'rgb(124,120,97)'],
        [0.5333333333333333, 'rgb(126,121,97)'],
        [0.5372549019607843, 'rgb(128,122,96)'],
        [0.5411764705882353, 'rgb(130,122,96)'],
        [0.5450980392156862, 'rgb(132,123,95)'],
        [0.5490196078431373, 'rgb(134,124,94)'],
        [0.5529411764705883, 'rgb(136,124,94)'],
        [0.5568627450980392, 'rgb(138,125,93)'],
        [0.5607843137254902, 'rgb(140,126,93)'],
        [0.5647058823529412, 'rgb(142,126,92)'],
        [0.5686274509803921, 'rgb(144,127,91)'],
        [0.5725490196078431, 'rgb(146,127,91)'],
        [0.5764705882352941, 'rgb(149,128,90)'],
        [0.5803921568627451, 'rgb(151,128,89)'],
        [0.5843137254901961, 'rgb(153,129,89)'],
        [0.5882352941176471, 'rgb(155,130,88)'],
        [0.592156862745098, 'rgb(157,130,87)'],
        [0.596078431372549, 'rgb(159,131,87)'],
        [0.6, 'rgb(162,131,86)'],
        [0.6039215686274509, 'rgb(164,132,85)'],
        [0.6078431372549019, 'rgb(166,132,84)'],
        [0.611764705882353, 'rgb(168,133,84)'],
        [0.615686274509804, 'rgb(171,133,83)'],
        [0.6196078431372549, 'rgb(173,133,82)'],
        [0.6235294117647059, 'rgb(175,134,82)'],
        [0.6274509803921569, 'rgb(178,134,81)'],
        [0.6313725490196078, 'rgb(180,135,80)'],
        [0.6352941176470588, 'rgb(182,135,79)'],
        [0.6392156862745098, 'rgb(185,135,79)'],
        [0.6431372549019608, 'rgb(187,136,78)'],
        [0.6470588235294118, 'rgb(190,136,77)'],
        [0.6509803921568628, 'rgb(192,136,77)'],
        [0.6549019607843137, 'rgb(195,137,76)'],
        [0.6588235294117647, 'rgb(197,137,76)'],
        [0.6627450980392157, 'rgb(200,137,75)'],
        [0.6666666666666666, 'rgb(202,138,75)'],
        [0.6705882352941176, 'rgb(205,138,74)'],
        [0.6745098039215687, 'rgb(207,138,74)'],
        [0.6784313725490196, 'rgb(210,138,73)'],
        [0.6823529411764706, 'rgb(212,138,73)'],
        [0.6862745098039216, 'rgb(215,139,73)'],
        [0.6901960784313725, 'rgb(217,139,73)'],
        [0.6941176470588235, 'rgb(220,139,73)'],
        [0.6980392156862745, 'rgb(222,139,73)'],
        [0.7019607843137254, 'rgb(225,139,73)'],
        [0.7058823529411765, 'rgb(227,139,73)'],
        [0.7098039215686275, 'rgb(230,139,73)'],
        [0.7137254901960784, 'rgb(233,139,74)'],
        [0.7176470588235294, 'rgb(235,140,75)'],
        [0.7215686274509804, 'rgb(237,140,76)'],
        [0.7254901960784313, 'rgb(240,140,77)'],
        [0.7294117647058823, 'rgb(242,140,78)'],
        [0.7333333333333333, 'rgb(244,140,80)'],
        [0.7372549019607844, 'rgb(246,141,82)'],
        [0.7411764705882353, 'rgb(248,141,85)'],
        [0.7450980392156863, 'rgb(250,142,87)'],
        [0.7490196078431373, 'rgb(251,143,91)'],
        [0.7529411764705882, 'rgb(252,144,94)'],
        [0.7568627450980392, 'rgb(253,145,97)'],
        [0.7607843137254902, 'rgb(254,146,101)'],
        [0.7647058823529411, 'rgb(254,148,104)'],
        [0.7686274509803922, 'rgb(254,150,108)'],
        [0.7725490196078432, 'rgb(255,151,111)'],
        [0.7764705882352941, 'rgb(255,153,114)'],
        [0.7803921568627451, 'rgb(255,155,117)'],
        [0.7843137254901961, 'rgb(255,157,120)'],
        [0.788235294117647, 'rgb(255,159,123)'],
        [0.792156862745098, 'rgb(255,160,126)'],
        [0.796078431372549, 'rgb(255,162,129)'],
        [0.8, 'rgb(255,164,132)'],
        [0.803921568627451, 'rgb(255,166,135)'],
        [0.807843137254902, 'rgb(255,168,138)'],
        [0.8117647058823529, 'rgb(254,170,141)'],
        [0.8156862745098039, 'rgb(254,172,144)'],
        [0.8196078431372549, 'rgb(254,174,146)'],
        [0.8235294117647058, 'rgb(254,175,149)'],
        [0.8274509803921568, 'rgb(254,177,152)'],
        [0.8313725490196079, 'rgb(254,179,154)'],
        [0.8352941176470589, 'rgb(254,181,157)'],
        [0.8392156862745098, 'rgb(254,183,160)'],
        [0.8431372549019608, 'rgb(253,185,162)'],
        [0.8470588235294118, 'rgb(253,187,165)'],
        [0.8509803921568627, 'rgb(253,188,168)'],
        [0.8549019607843137, 'rgb(253,190,170)'],
        [0.8588235294117647, 'rgb(253,192,173)'],
        [0.8627450980392157, 'rgb(253,194,175)'],
        [0.8666666666666667, 'rgb(252,196,178)'],
        [0.8705882352941177, 'rgb(252,198,180)'],
        [0.8745098039215686, 'rgb(252,199,183)'],
        [0.8784313725490196, 'rgb(252,201,185)'],
        [0.8823529411764706, 'rgb(252,203,188)'],
        [0.8862745098039215, 'rgb(252,205,190)'],
        [0.8901960784313725, 'rgb(252,207,193)'],
        [0.8941176470588236, 'rgb(251,208,195)'],
        [0.8980392156862745, 'rgb(251,210,198)'],
        [0.9019607843137255, 'rgb(251,212,200)'],
        [0.9058823529411765, 'rgb(251,214,202)'],
        [0.9098039215686274, 'rgb(251,216,205)'],
        [0.9137254901960784, 'rgb(251,217,207)'],
        [0.9176470588235294, 'rgb(251,219,210)'],
        [0.9215686274509803, 'rgb(251,221,212)'],
        [0.9254901960784314, 'rgb(251,223,214)'],
        [0.9294117647058824, 'rgb(251,225,217)'],
        [0.9333333333333333, 'rgb(251,226,219)'],
        [0.9372549019607843, 'rgb(251,228,221)'],
        [0.9411764705882353, 'rgb(251,230,224)'],
        [0.9450980392156862, 'rgb(251,232,226)'],
        [0.9490196078431372, 'rgb(251,233,228)'],
        [0.9529411764705882, 'rgb(251,235,230)'],
        [0.9568627450980393, 'rgb(251,237,233)'],
        [0.9607843137254902, 'rgb(251,239,235)'],
        [0.9647058823529412, 'rgb(251,240,237)'],
        [0.9686274509803922, 'rgb(251,242,239)'],
        [0.9725490196078431, 'rgb(251,244,241)'],
        [0.9764705882352941, 'rgb(251,245,244)'],
        [0.9803921568627451, 'rgb(252,247,246)'],
        [0.984313725490196, 'rgb(252,249,248)'],
        [0.9882352941176471, 'rgb(253,250,249)'],
        [0.9921568627450981, 'rgb(254,252,251)'],
        [0.996078431372549, 'rgb(254,253,253)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.eclipse': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(0,0,1)'],
        [0.01568627450980392, 'rgb(1,1,1)'],
        [0.0196078431372549, 'rgb(1,1,1)'],
        [0.023529411764705882, 'rgb(1,1,2)'],
        [0.027450980392156862, 'rgb(2,2,3)'],
        [0.03137254901960784, 'rgb(2,2,3)'],
        [0.03529411764705882, 'rgb(3,3,4)'],
        [0.0392156862745098, 'rgb(3,3,5)'],
        [0.043137254901960784, 'rgb(4,4,7)'],
        [0.047058823529411764, 'rgb(4,5,8)'],
        [0.050980392156862744, 'rgb(5,6,9)'],
        [0.054901960784313725, 'rgb(5,6,11)'],
        [0.058823529411764705, 'rgb(6,7,12)'],
        [0.06274509803921569, 'rgb(7,8,14)'],
        [0.06666666666666667, 'rgb(8,9,15)'],
        [0.07058823529411765, 'rgb(8,10,17)'],
        [0.07450980392156863, 'rgb(9,11,18)'],
        [0.0784313725490196, 'rgb(10,12,20)'],
        [0.08235294117647059, 'rgb(11,13,21)'],
        [0.08627450980392157, 'rgb(11,14,23)'],
        [0.09019607843137255, 'rgb(12,15,24)'],
        [0.09411764705882353, 'rgb(13,16,26)'],
        [0.09803921568627451, 'rgb(13,17,28)'],
        [0.10196078431372549, 'rgb(14,18,29)'],
        [0.10588235294117647, 'rgb(15,19,31)'],
        [0.10980392156862745, 'rgb(15,20,32)'],
        [0.11372549019607843, 'rgb(16,21,34)'],
        [0.11764705882352941, 'rgb(17,22,35)'],
        [0.12156862745098039, 'rgb(17,23,37)'],
        [0.12549019607843137, 'rgb(18,24,38)'],
        [0.12941176470588237, 'rgb(18,25,40)'],
        [0.13333333333333333, 'rgb(19,26,41)'],
        [0.13725490196078433, 'rgb(19,27,43)'],
        [0.1411764705882353, 'rgb(20,28,45)'],
        [0.1450980392156863, 'rgb(20,29,46)'],
        [0.14901960784313725, 'rgb(20,30,48)'],
        [0.15294117647058825, 'rgb(21,31,49)'],
        [0.1568627450980392, 'rgb(21,32,51)'],
        [0.1607843137254902, 'rgb(21,33,53)'],
        [0.16470588235294117, 'rgb(22,34,54)'],
        [0.16862745098039217, 'rgb(22,35,56)'],
        [0.17254901960784313, 'rgb(22,36,57)'],
        [0.17647058823529413, 'rgb(22,37,59)'],
        [0.1803921568627451, 'rgb(22,38,60)'],
        [0.1843137254901961, 'rgb(22,39,62)'],
        [0.18823529411764706, 'rgb(22,40,63)'],
        [0.19215686274509805, 'rgb(22,41,65)'],
        [0.19607843137254902, 'rgb(22,42,67)'],
        [0.2, 'rgb(22,43,68)'],
        [0.20392156862745098, 'rgb(22,44,70)'],
        [0.20784313725490197, 'rgb(22,45,71)'],
        [0.21176470588235294, 'rgb(22,46,73)'],
        [0.21568627450980393, 'rgb(21,47,74)'],
        [0.2196078431372549, 'rgb(21,48,75)'],
        [0.2235294117647059, 'rgb(20,49,77)'],
        [0.22745098039215686, 'rgb(20,50,78)'],
        [0.23137254901960785, 'rgb(19,51,80)'],
        [0.23529411764705882, 'rgb(18,52,81)'],
        [0.23921568627450981, 'rgb(17,53,82)'],
        [0.24313725490196078, 'rgb(17,55,83)'],
        [0.24705882352941178, 'rgb(16,56,84)'],
        [0.25098039215686274, 'rgb(15,57,86)'],
        [0.2549019607843137, 'rgb(13,58,87)'],
        [0.25882352941176473, 'rgb(12,59,87)'],
        [0.2627450980392157, 'rgb(11,60,88)'],
        [0.26666666666666666, 'rgb(10,61,89)'],
        [0.27058823529411763, 'rgb(9,62,90)'],
        [0.27450980392156865, 'rgb(8,63,91)'],
        [0.2784313725490196, 'rgb(7,65,91)'],
        [0.2823529411764706, 'rgb(6,66,92)'],
        [0.28627450980392155, 'rgb(5,67,92)'],
        [0.2901960784313726, 'rgb(5,68,93)'],
        [0.29411764705882354, 'rgb(5,69,93)'],
        [0.2980392156862745, 'rgb(5,70,93)'],
        [0.30196078431372547, 'rgb(6,71,94)'],
        [0.3058823529411765, 'rgb(7,72,94)'],
        [0.30980392156862746, 'rgb(7,73,94)'],
        [0.3137254901960784, 'rgb(9,74,94)'],
        [0.3176470588235294, 'rgb(10,75,95)'],
        [0.3215686274509804, 'rgb(12,76,95)'],
        [0.3254901960784314, 'rgb(13,77,95)'],
        [0.32941176470588235, 'rgb(15,78,95)'],
        [0.3333333333333333, 'rgb(17,79,95)'],
        [0.33725490196078434, 'rgb(19,80,95)'],
        [0.3411764705882353, 'rgb(21,81,96)'],
        [0.34509803921568627, 'rgb(22,82,96)'],
        [0.34901960784313724, 'rgb(24,82,96)'],
        [0.35294117647058826, 'rgb(26,83,96)'],
        [0.3568627450980392, 'rgb(28,84,96)'],
        [0.3607843137254902, 'rgb(30,85,96)'],
        [0.36470588235294116, 'rgb(31,86,96)'],
        [0.3686274509803922, 'rgb(33,87,97)'],
        [0.37254901960784315, 'rgb(35,88,97)'],
        [0.3764705882352941, 'rgb(37,89,97)'],
        [0.3803921568627451, 'rgb(38,89,97)'],
        [0.3843137254901961, 'rgb(40,90,97)'],
        [0.38823529411764707, 'rgb(42,91,97)'],
        [0.39215686274509803, 'rgb(44,92,98)'],
        [0.396078431372549, 'rgb(45,93,98)'],
        [0.4, 'rgb(47,94,98)'],
        [0.403921568627451, 'rgb(49,94,98)'],
        [0.40784313725490196, 'rgb(50,95,98)'],
        [0.4117647058823529, 'rgb(52,96,99)'],
        [0.41568627450980394, 'rgb(53,97,99)'],
        [0.4196078431372549, 'rgb(55,98,99)'],
        [0.4235294117647059, 'rgb(57,98,99)'],
        [0.42745098039215684, 'rgb(58,99,99)'],
        [0.43137254901960786, 'rgb(60,100,100)'],
        [0.43529411764705883, 'rgb(61,101,100)'],
        [0.4392156862745098, 'rgb(63,102,100)'],
        [0.44313725490196076, 'rgb(64,102,100)'],
        [0.4470588235294118, 'rgb(66,103,101)'],
        [0.45098039215686275, 'rgb(67,104,101)'],
        [0.4549019607843137, 'rgb(69,105,101)'],
        [0.4588235294117647, 'rgb(70,106,101)'],
        [0.4627450980392157, 'rgb(72,106,102)'],
        [0.4666666666666667, 'rgb(73,107,102)'],
        [0.47058823529411764, 'rgb(75,108,102)'],
        [0.4745098039215686, 'rgb(76,109,102)'],
        [0.47843137254901963, 'rgb(78,110,103)'],
        [0.4823529411764706, 'rgb(79,110,103)'],
        [0.48627450980392156, 'rgb(81,111,103)'],
        [0.49019607843137253, 'rgb(82,112,104)'],
        [0.49411764705882355, 'rgb(84,113,104)'],
        [0.4980392156862745, 'rgb(85,114,104)'],
        [0.5019607843137255, 'rgb(86,114,105)'],
        [0.5058823529411764, 'rgb(88,115,105)'],
        [0.5098039215686274, 'rgb(89,116,105)'],
        [0.5137254901960784, 'rgb(91,117,105)'],
        [0.5176470588235295, 'rgb(92,118,106)'],
        [0.5215686274509804, 'rgb(93,119,106)'],
        [0.5254901960784314, 'rgb(95,119,106)'],
        [0.5294117647058824, 'rgb(96,120,107)'],
        [0.5333333333333333, 'rgb(98,121,107)'],
        [0.5372549019607843, 'rgb(99,122,107)'],
        [0.5411764705882353, 'rgb(100,123,107)'],
        [0.5450980392156862, 'rgb(102,123,108)'],
        [0.5490196078431373, 'rgb(103,124,108)'],
        [0.5529411764705883, 'rgb(105,125,108)'],
        [0.5568627450980392, 'rgb(106,126,108)'],
        [0.5607843137254902, 'rgb(108,127,108)'],
        [0.5647058823529412, 'rgb(109,127,109)'],
        [0.5686274509803921, 'rgb(110,128,109)'],
        [0.5725490196078431, 'rgb(112,129,109)'],
        [0.5764705882352941, 'rgb(113,130,109)'],
        [0.5803921568627451, 'rgb(115,131,109)'],
        [0.5843137254901961, 'rgb(116,131,110)'],
        [0.5882352941176471, 'rgb(118,132,110)'],
        [0.592156862745098, 'rgb(119,133,110)'],
        [0.596078431372549, 'rgb(121,134,110)'],
        [0.6, 'rgb(122,135,110)'],
        [0.6039215686274509, 'rgb(124,135,110)'],
        [0.6078431372549019, 'rgb(125,136,110)'],
        [0.611764705882353, 'rgb(127,137,110)'],
        [0.615686274509804, 'rgb(128,138,110)'],
        [0.6196078431372549, 'rgb(130,139,110)'],
        [0.6235294117647059, 'rgb(132,139,110)'],
        [0.6274509803921569, 'rgb(133,140,110)'],
        [0.6313725490196078, 'rgb(135,141,110)'],
        [0.6352941176470588, 'rgb(136,142,110)'],
        [0.6392156862745098, 'rgb(138,142,110)'],
        [0.6431372549019608, 'rgb(140,143,110)'],
        [0.6470588235294118, 'rgb(141,144,110)'],
        [0.6509803921568628, 'rgb(143,145,110)'],
        [0.6549019607843137, 'rgb(145,145,110)'],
        [0.6588235294117647, 'rgb(146,146,110)'],
        [0.6627450980392157, 'rgb(148,147,110)'],
        [0.6666666666666666, 'rgb(150,148,110)'],
        [0.6705882352941176, 'rgb(152,148,110)'],
        [0.6745098039215687, 'rgb(153,149,110)'],
        [0.6784313725490196, 'rgb(155,150,110)'],
        [0.6823529411764706, 'rgb(157,151,110)'],
        [0.6862745098039216, 'rgb(159,151,110)'],
        [0.6901960784313725, 'rgb(160,152,110)'],
        [0.6941176470588235, 'rgb(162,153,109)'],
        [0.6980392156862745, 'rgb(164,153,109)'],
        [0.7019607843137254, 'rgb(166,154,109)'],
        [0.7058823529411765, 'rgb(168,155,109)'],
        [0.7098039215686275, 'rgb(170,156,109)'],
        [0.7137254901960784, 'rgb(171,156,109)'],
        [0.7176470588235294, 'rgb(173,157,109)'],
        [0.7215686274509804, 'rgb(175,158,108)'],
        [0.7254901960784313, 'rgb(177,158,108)'],
        [0.7294117647058823, 'rgb(179,159,108)'],
        [0.7333333333333333, 'rgb(181,160,108)'],
        [0.7372549019607844, 'rgb(183,161,108)'],
        [0.7411764705882353, 'rgb(184,161,107)'],
        [0.7450980392156863, 'rgb(186,162,107)'],
        [0.7490196078431373, 'rgb(188,163,107)'],
        [0.7529411764705882, 'rgb(190,163,106)'],
        [0.7568627450980392, 'rgb(192,164,106)'],
        [0.7607843137254902, 'rgb(194,165,106)'],
        [0.7647058823529411, 'rgb(196,165,105)'],
        [0.7686274509803922, 'rgb(198,166,105)'],
        [0.7725490196078432, 'rgb(200,167,105)'],
        [0.7764705882352941, 'rgb(201,168,104)'],
        [0.7803921568627451, 'rgb(203,168,104)'],
        [0.7843137254901961, 'rgb(205,169,103)'],
        [0.788235294117647, 'rgb(207,170,103)'],
        [0.792156862745098, 'rgb(209,171,102)'],
        [0.796078431372549, 'rgb(211,171,101)'],
        [0.8, 'rgb(212,172,101)'],
        [0.803921568627451, 'rgb(214,173,100)'],
        [0.807843137254902, 'rgb(216,174,99)'],
        [0.8117647058823529, 'rgb(218,175,99)'],
        [0.8156862745098039, 'rgb(219,176,98)'],
        [0.8196078431372549, 'rgb(221,177,97)'],
        [0.8235294117647058, 'rgb(222,178,96)'],
        [0.8274509803921568, 'rgb(224,179,95)'],
        [0.8313725490196079, 'rgb(225,180,95)'],
        [0.8352941176470589, 'rgb(226,181,94)'],
        [0.8392156862745098, 'rgb(227,182,93)'],
        [0.8431372549019608, 'rgb(229,183,93)'],
        [0.8470588235294118, 'rgb(230,184,92)'],
        [0.8509803921568627, 'rgb(231,185,91)'],
        [0.8549019607843137, 'rgb(232,187,91)'],
        [0.8588235294117647, 'rgb(233,188,90)'],
        [0.8627450980392157, 'rgb(233,189,90)'],
        [0.8666666666666667, 'rgb(234,191,89)'],
        [0.8705882352941177, 'rgb(235,192,89)'],
        [0.8745098039215686, 'rgb(236,193,89)'],
        [0.8784313725490196, 'rgb(237,195,88)'],
        [0.8823529411764706, 'rgb(237,196,88)'],
        [0.8862745098039215, 'rgb(238,198,88)'],
        [0.8901960784313725, 'rgb(239,199,88)'],
        [0.8941176470588236, 'rgb(239,200,87)'],
        [0.8980392156862745, 'rgb(240,202,87)'],
        [0.9019607843137255, 'rgb(241,203,87)'],
        [0.9058823529411765, 'rgb(241,205,87)'],
        [0.9098039215686274, 'rgb(242,206,87)'],
        [0.9137254901960784, 'rgb(243,208,87)'],
        [0.9176470588235294, 'rgb(243,209,87)'],
        [0.9215686274509803, 'rgb(244,211,86)'],
        [0.9254901960784314, 'rgb(244,212,86)'],
        [0.9294117647058824, 'rgb(245,214,86)'],
        [0.9333333333333333, 'rgb(245,215,86)'],
        [0.9372549019607843, 'rgb(246,217,86)'],
        [0.9411764705882353, 'rgb(247,218,86)'],
        [0.9450980392156862, 'rgb(247,220,86)'],
        [0.9490196078431372, 'rgb(248,221,86)'],
        [0.9529411764705882, 'rgb(248,223,86)'],
        [0.9568627450980393, 'rgb(249,225,86)'],
        [0.9607843137254902, 'rgb(249,226,86)'],
        [0.9647058823529412, 'rgb(250,228,86)'],
        [0.9686274509803922, 'rgb(250,229,86)'],
        [0.9725490196078431, 'rgb(251,231,85)'],
        [0.9764705882352941, 'rgb(251,233,85)'],
        [0.9803921568627451, 'rgb(252,234,85)'],
        [0.984313725490196, 'rgb(252,236,85)'],
        [0.9882352941176471, 'rgb(252,237,85)'],
        [0.9921568627450981, 'rgb(253,239,85)'],
        [0.996078431372549, 'rgb(253,241,85)'],
        [1.0, 'rgb(254,242,85)'],
    ],
    'cmr.ember': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(0,0,1)'],
        [0.01568627450980392, 'rgb(1,1,1)'],
        [0.0196078431372549, 'rgb(1,1,1)'],
        [0.023529411764705882, 'rgb(1,1,2)'],
        [0.027450980392156862, 'rgb(1,2,3)'],
        [0.03137254901960784, 'rgb(2,2,4)'],
        [0.03529411764705882, 'rgb(2,3,5)'],
        [0.0392156862745098, 'rgb(3,3,6)'],
        [0.043137254901960784, 'rgb(3,4,7)'],
        [0.047058823529411764, 'rgb(4,4,8)'],
        [0.050980392156862744, 'rgb(5,5,10)'],
        [0.054901960784313725, 'rgb(6,5,11)'],
        [0.058823529411764705, 'rgb(6,6,13)'],
        [0.06274509803921569, 'rgb(7,7,14)'],
        [0.06666666666666667, 'rgb(9,7,16)'],
        [0.07058823529411765, 'rgb(10,8,17)'],
        [0.07450980392156863, 'rgb(11,9,19)'],
        [0.0784313725490196, 'rgb(13,9,20)'],
        [0.08235294117647059, 'rgb(14,10,22)'],
        [0.08627450980392157, 'rgb(15,11,23)'],
        [0.09019607843137255, 'rgb(17,11,24)'],
        [0.09411764705882353, 'rgb(18,12,26)'],
        [0.09803921568627451, 'rgb(19,13,27)'],
        [0.10196078431372549, 'rgb(21,13,28)'],
        [0.10588235294117647, 'rgb(22,14,29)'],
        [0.10980392156862745, 'rgb(24,14,31)'],
        [0.11372549019607843, 'rgb(25,15,32)'],
        [0.11764705882352941, 'rgb(27,16,33)'],
        [0.12156862745098039, 'rgb(28,16,34)'],
        [0.12549019607843137, 'rgb(30,17,35)'],
        [0.12941176470588237, 'rgb(31,17,36)'],
        [0.13333333333333333, 'rgb(33,18,37)'],
        [0.13725490196078433, 'rgb(34,18,38)'],
        [0.1411764705882353, 'rgb(36,19,40)'],
        [0.1450980392156863, 'rgb(37,19,41)'],
        [0.14901960784313725, 'rgb(39,19,42)'],
        [0.15294117647058825, 'rgb(40,20,43)'],
        [0.1568627450980392, 'rgb(42,20,44)'],
        [0.1607843137254902, 'rgb(43,21,44)'],
        [0.16470588235294117, 'rgb(45,21,45)'],
        [0.16862745098039217, 'rgb(46,21,46)'],
        [0.17254901960784313, 'rgb(48,22,47)'],
        [0.17647058823529413, 'rgb(49,22,48)'],
        [0.1803921568627451, 'rgb(51,22,49)'],
        [0.1843137254901961, 'rgb(52,23,50)'],
        [0.18823529411764706, 'rgb(54,23,51)'],
        [0.19215686274509805, 'rgb(55,23,52)'],
        [0.19607843137254902, 'rgb(57,24,52)'],
        [0.2, 'rgb(59,24,53)'],
        [0.20392156862745098, 'rgb(60,24,54)'],
        [0.20784313725490197, 'rgb(62,24,55)'],
        [0.21176470588235294, 'rgb(63,25,55)'],
        [0.21568627450980393, 'rgb(65,25,56)'],
        [0.2196078431372549, 'rgb(67,25,57)'],
        [0.2235294117647059, 'rgb(68,25,58)'],
        [0.22745098039215686, 'rgb(70,25,58)'],
        [0.23137254901960785, 'rgb(71,25,59)'],
        [0.23529411764705882, 'rgb(73,26,59)'],
        [0.23921568627450981, 'rgb(75,26,60)'],
        [0.24313725490196078, 'rgb(76,26,61)'],
        [0.24705882352941178, 'rgb(78,26,61)'],
        [0.25098039215686274, 'rgb(80,26,62)'],
        [0.2549019607843137, 'rgb(81,26,62)'],
        [0.25882352941176473, 'rgb(83,26,63)'],
        [0.2627450980392157, 'rgb(85,26,63)'],
        [0.26666666666666666, 'rgb(86,26,64)'],
        [0.27058823529411763, 'rgb(88,26,64)'],
        [0.27450980392156865, 'rgb(90,26,65)'],
        [0.2784313725490196, 'rgb(91,26,65)'],
        [0.2823529411764706, 'rgb(93,26,66)'],
        [0.28627450980392155, 'rgb(95,26,66)'],
        [0.2901960784313726, 'rgb(96,26,66)'],
        [0.29411764705882354, 'rgb(98,26,67)'],
        [0.2980392156862745, 'rgb(100,26,67)'],
        [0.30196078431372547, 'rgb(101,26,67)'],
        [0.3058823529411765, 'rgb(103,26,68)'],
        [0.30980392156862746, 'rgb(105,26,68)'],
        [0.3137254901960784, 'rgb(106,26,68)'],
        [0.3176470588235294, 'rgb(108,25,69)'],
        [0.3215686274509804, 'rgb(110,25,69)'],
        [0.3254901960784314, 'rgb(112,25,69)'],
        [0.32941176470588235, 'rgb(113,25,69)'],
        [0.3333333333333333, 'rgb(115,25,69)'],
        [0.33725490196078434, 'rgb(117,24,69)'],
        [0.3411764705882353, 'rgb(118,24,70)'],
        [0.34509803921568627, 'rgb(120,24,70)'],
        [0.34901960784313724, 'rgb(122,24,70)'],
        [0.35294117647058826, 'rgb(124,23,70)'],
        [0.3568627450980392, 'rgb(125,23,70)'],
        [0.3607843137254902, 'rgb(127,23,70)'],
        [0.36470588235294116, 'rgb(129,22,70)'],
        [0.3686274509803922, 'rgb(130,22,70)'],
        [0.37254901960784315, 'rgb(132,21,70)'],
        [0.3764705882352941, 'rgb(134,21,69)'],
        [0.3803921568627451, 'rgb(136,21,69)'],
        [0.3843137254901961, 'rgb(137,20,69)'],
        [0.38823529411764707, 'rgb(139,20,69)'],
        [0.39215686274509803, 'rgb(141,19,69)'],
        [0.396078431372549, 'rgb(143,19,69)'],
        [0.4, 'rgb(144,18,68)'],
        [0.403921568627451, 'rgb(146,18,68)'],
        [0.40784313725490196, 'rgb(148,17,68)'],
        [0.4117647058823529, 'rgb(149,16,67)'],
        [0.41568627450980394, 'rgb(151,16,67)'],
        [0.4196078431372549, 'rgb(153,15,67)'],
        [0.4235294117647059, 'rgb(155,15,66)'],
        [0.42745098039215684, 'rgb(156,14,66)'],
        [0.43137254901960786, 'rgb(158,13,65)'],
        [0.43529411764705883, 'rgb(160,13,65)'],
        [0.4392156862745098, 'rgb(161,12,64)'],
        [0.44313725490196076, 'rgb(163,12,64)'],
        [0.4470588235294118, 'rgb(165,11,63)'],
        [0.45098039215686275, 'rgb(166,11,63)'],
        [0.4549019607843137, 'rgb(168,10,62)'],
        [0.4588235294117647, 'rgb(170,10,61)'],
        [0.4627450980392157, 'rgb(171,10,61)'],
        [0.4666666666666667, 'rgb(173,10,60)'],
        [0.47058823529411764, 'rgb(174,9,59)'],
        [0.4745098039215686, 'rgb(176,9,58)'],
        [0.47843137254901963, 'rgb(177,10,58)'],
        [0.4823529411764706, 'rgb(179,10,57)'],
        [0.48627450980392156, 'rgb(181,10,56)'],
        [0.49019607843137253, 'rgb(182,11,55)'],
        [0.49411764705882355, 'rgb(183,12,54)'],
        [0.4980392156862745, 'rgb(185,12,53)'],
        [0.5019607843137255, 'rgb(186,13,52)'],
        [0.5058823529411764, 'rgb(188,14,51)'],
        [0.5098039215686274, 'rgb(189,16,51)'],
        [0.5137254901960784, 'rgb(191,17,50)'],
        [0.5176470588235295, 'rgb(192,18,49)'],
        [0.5215686274509804, 'rgb(193,20,48)'],
        [0.5254901960784314, 'rgb(194,21,47)'],
        [0.5294117647058824, 'rgb(196,23,46)'],
        [0.5333333333333333, 'rgb(197,24,45)'],
        [0.5372549019607843, 'rgb(198,26,44)'],
        [0.5411764705882353, 'rgb(199,27,43)'],
        [0.5450980392156862, 'rgb(200,29,42)'],
        [0.5490196078431373, 'rgb(202,31,41)'],
        [0.5529411764705883, 'rgb(203,33,40)'],
        [0.5568627450980392, 'rgb(204,34,39)'],
        [0.5607843137254902, 'rgb(205,36,38)'],
        [0.5647058823529412, 'rgb(206,38,37)'],
        [0.5686274509803921, 'rgb(207,40,36)'],
        [0.5725490196078431, 'rgb(208,41,35)'],
        [0.5764705882352941, 'rgb(209,43,34)'],
        [0.5803921568627451, 'rgb(210,45,33)'],
        [0.5843137254901961, 'rgb(211,47,32)'],
        [0.5882352941176471, 'rgb(211,48,31)'],
        [0.592156862745098, 'rgb(212,50,31)'],
        [0.596078431372549, 'rgb(213,52,30)'],
        [0.6, 'rgb(214,54,29)'],
        [0.6039215686274509, 'rgb(215,56,28)'],
        [0.6078431372549019, 'rgb(216,57,27)'],
        [0.611764705882353, 'rgb(216,59,26)'],
        [0.615686274509804, 'rgb(217,61,25)'],
        [0.6196078431372549, 'rgb(218,63,24)'],
        [0.6235294117647059, 'rgb(219,64,24)'],
        [0.6274509803921569, 'rgb(219,66,23)'],
        [0.6313725490196078, 'rgb(220,68,22)'],
        [0.6352941176470588, 'rgb(221,70,21)'],
        [0.6392156862745098, 'rgb(221,71,20)'],
        [0.6431372549019608, 'rgb(222,73,19)'],
        [0.6470588235294118, 'rgb(223,75,18)'],
        [0.6509803921568628, 'rgb(223,76,18)'],
        [0.6549019607843137, 'rgb(224,78,17)'],
        [0.6588235294117647, 'rgb(225,80,16)'],
        [0.6627450980392157, 'rgb(225,81,15)'],
        [0.6666666666666666, 'rgb(226,83,14)'],
        [0.6705882352941176, 'rgb(226,85,13)'],
        [0.6745098039215687, 'rgb(227,87,12)'],
        [0.6784313725490196, 'rgb(228,88,12)'],
        [0.6823529411764706, 'rgb(228,90,11)'],
        [0.6862745098039216, 'rgb(229,92,10)'],
        [0.6901960784313725, 'rgb(229,93,9)'],
        [0.6941176470588235, 'rgb(230,95,8)'],
        [0.6980392156862745, 'rgb(230,97,7)'],
        [0.7019607843137254, 'rgb(231,98,7)'],
        [0.7058823529411765, 'rgb(231,100,6)'],
        [0.7098039215686275, 'rgb(232,102,5)'],
        [0.7137254901960784, 'rgb(232,103,5)'],
        [0.7176470588235294, 'rgb(233,105,4)'],
        [0.7215686274509804, 'rgb(233,107,4)'],
        [0.7254901960784313, 'rgb(234,108,3)'],
        [0.7294117647058823, 'rgb(234,110,3)'],
        [0.7333333333333333, 'rgb(234,111,2)'],
        [0.7372549019607844, 'rgb(235,113,2)'],
        [0.7411764705882353, 'rgb(235,115,2)'],
        [0.7450980392156863, 'rgb(236,116,2)'],
        [0.7490196078431373, 'rgb(236,118,1)'],
        [0.7529411764705882, 'rgb(236,120,1)'],
        [0.7568627450980392, 'rgb(237,121,1)'],
        [0.7607843137254902, 'rgb(237,123,1)'],
        [0.7647058823529411, 'rgb(237,125,1)'],
        [0.7686274509803922, 'rgb(238,126,1)'],
        [0.7725490196078432, 'rgb(238,128,1)'],
        [0.7764705882352941, 'rgb(238,129,1)'],
        [0.7803921568627451, 'rgb(239,131,1)'],
        [0.7843137254901961, 'rgb(239,133,2)'],
        [0.788235294117647, 'rgb(239,134,2)'],
        [0.792156862745098, 'rgb(240,136,2)'],
        [0.796078431372549, 'rgb(240,138,3)'],
        [0.8, 'rgb(240,139,3)'],
        [0.803921568627451, 'rgb(240,141,4)'],
        [0.807843137254902, 'rgb(241,143,5)'],
        [0.8117647058823529, 'rgb(241,144,5)'],
        [0.8156862745098039, 'rgb(241,146,6)'],
        [0.8196078431372549, 'rgb(241,147,7)'],
        [0.8235294117647058, 'rgb(242,149,8)'],
        [0.8274509803921568, 'rgb(242,151,9)'],
        [0.8313725490196079, 'rgb(242,152,10)'],
        [0.8352941176470589, 'rgb(242,154,11)'],
        [0.8392156862745098, 'rgb(242,156,12)'],
        [0.8431372549019608, 'rgb(243,157,13)'],
        [0.8470588235294118, 'rgb(243,159,14)'],
        [0.8509803921568627, 'rgb(243,161,15)'],
        [0.8549019607843137, 'rgb(243,162,17)'],
        [0.8588235294117647, 'rgb(243,164,18)'],
        [0.8627450980392157, 'rgb(243,166,19)'],
        [0.8666666666666667, 'rgb(243,167,20)'],
        [0.8705882352941177, 'rgb(243,169,21)'],
        [0.8745098039215686, 'rgb(243,171,22)'],
        [0.8784313725490196, 'rgb(244,172,23)'],
        [0.8823529411764706, 'rgb(244,174,25)'],
        [0.8862745098039215, 'rgb(244,175,26)'],
        [0.8901960784313725, 'rgb(244,177,27)'],
        [0.8941176470588236, 'rgb(244,179,28)'],
        [0.8980392156862745, 'rgb(244,180,29)'],
        [0.9019607843137255, 'rgb(244,182,31)'],
        [0.9058823529411765, 'rgb(244,184,32)'],
        [0.9098039215686274, 'rgb(244,185,33)'],
        [0.9137254901960784, 'rgb(244,187,34)'],
        [0.9176470588235294, 'rgb(244,189,35)'],
        [0.9215686274509803, 'rgb(244,191,37)'],
        [0.9254901960784314, 'rgb(244,192,38)'],
        [0.9294117647058824, 'rgb(244,194,39)'],
        [0.9333333333333333, 'rgb(244,196,40)'],
        [0.9372549019607843, 'rgb(243,197,41)'],
        [0.9411764705882353, 'rgb(243,199,43)'],
        [0.9450980392156862, 'rgb(243,201,44)'],
        [0.9490196078431372, 'rgb(243,202,45)'],
        [0.9529411764705882, 'rgb(243,204,46)'],
        [0.9568627450980393, 'rgb(243,206,48)'],
        [0.9607843137254902, 'rgb(243,207,49)'],
        [0.9647058823529412, 'rgb(243,209,50)'],
        [0.9686274509803922, 'rgb(242,211,51)'],
        [0.9725490196078431, 'rgb(242,213,53)'],
        [0.9764705882352941, 'rgb(242,214,54)'],
        [0.9803921568627451, 'rgb(242,216,55)'],
        [0.984313725490196, 'rgb(242,218,57)'],
        [0.9882352941176471, 'rgb(241,219,58)'],
        [0.9921568627450981, 'rgb(241,221,59)'],
        [0.996078431372549, 'rgb(241,223,60)'],
        [1.0, 'rgb(241,225,62)'],
    ],
    'cmr.flamingo': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(1,0,0)'],
        [0.01568627450980392, 'rgb(1,1,1)'],
        [0.0196078431372549, 'rgb(2,1,1)'],
        [0.023529411764705882, 'rgb(2,1,1)'],
        [0.027450980392156862, 'rgb(3,2,1)'],
        [0.03137254901960784, 'rgb(4,2,2)'],
        [0.03529411764705882, 'rgb(5,2,2)'],
        [0.0392156862745098, 'rgb(6,3,2)'],
        [0.043137254901960784, 'rgb(8,3,3)'],
        [0.047058823529411764, 'rgb(9,4,3)'],
        [0.050980392156862744, 'rgb(11,4,4)'],
        [0.054901960784313725, 'rgb(13,5,4)'],
        [0.058823529411764705, 'rgb(14,6,5)'],
        [0.06274509803921569, 'rgb(16,6,5)'],
        [0.06666666666666667, 'rgb(17,7,6)'],
        [0.07058823529411765, 'rgb(19,8,6)'],
        [0.07450980392156863, 'rgb(21,8,7)'],
        [0.0784313725490196, 'rgb(22,9,7)'],
        [0.08235294117647059, 'rgb(24,10,8)'],
        [0.08627450980392157, 'rgb(25,11,9)'],
        [0.09019607843137255, 'rgb(27,11,9)'],
        [0.09411764705882353, 'rgb(28,12,10)'],
        [0.09803921568627451, 'rgb(30,13,10)'],
        [0.10196078431372549, 'rgb(32,13,11)'],
        [0.10588235294117647, 'rgb(33,14,12)'],
        [0.10980392156862745, 'rgb(35,15,12)'],
        [0.11372549019607843, 'rgb(36,15,13)'],
        [0.11764705882352941, 'rgb(38,16,13)'],
        [0.12156862745098039, 'rgb(39,17,14)'],
        [0.12549019607843137, 'rgb(41,17,14)'],
        [0.12941176470588237, 'rgb(42,18,15)'],
        [0.13333333333333333, 'rgb(44,19,15)'],
        [0.13725490196078433, 'rgb(46,19,16)'],
        [0.1411764705882353, 'rgb(47,20,16)'],
        [0.1450980392156863, 'rgb(49,20,17)'],
        [0.14901960784313725, 'rgb(50,21,17)'],
        [0.15294117647058825, 'rgb(52,21,18)'],
        [0.1568627450980392, 'rgb(54,22,18)'],
        [0.1607843137254902, 'rgb(55,22,19)'],
        [0.16470588235294117, 'rgb(57,23,19)'],
        [0.16862745098039217, 'rgb(58,23,20)'],
        [0.17254901960784313, 'rgb(60,24,20)'],
        [0.17647058823529413, 'rgb(61,24,21)'],
        [0.1803921568627451, 'rgb(63,25,21)'],
        [0.1843137254901961, 'rgb(65,25,21)'],
        [0.18823529411764706, 'rgb(66,26,22)'],
        [0.19215686274509805, 'rgb(68,26,22)'],
        [0.19607843137254902, 'rgb(69,27,23)'],
        [0.2, 'rgb(71,27,23)'],
        [0.20392156862745098, 'rgb(73,28,23)'],
        [0.20784313725490197, 'rgb(74,28,24)'],
        [0.21176470588235294, 'rgb(76,28,24)'],
        [0.21568627450980393, 'rgb(78,29,25)'],
        [0.2196078431372549, 'rgb(79,29,25)'],
        [0.2235294117647059, 'rgb(81,29,25)'],
        [0.22745098039215686, 'rgb(83,30,26)'],
        [0.23137254901960785, 'rgb(84,30,26)'],
        [0.23529411764705882, 'rgb(86,30,26)'],
        [0.23921568627450981, 'rgb(87,31,27)'],
        [0.24313725490196078, 'rgb(89,31,27)'],
        [0.24705882352941178, 'rgb(91,31,28)'],
        [0.25098039215686274, 'rgb(93,32,28)'],
        [0.2549019607843137, 'rgb(94,32,28)'],
        [0.25882352941176473, 'rgb(96,32,29)'],
        [0.2627450980392157, 'rgb(98,32,29)'],
        [0.26666666666666666, 'rgb(99,33,29)'],
        [0.27058823529411763, 'rgb(101,33,30)'],
        [0.27450980392156865, 'rgb(103,33,30)'],
        [0.2784313725490196, 'rgb(104,33,30)'],
        [0.2823529411764706, 'rgb(106,33,31)'],
        [0.28627450980392155, 'rgb(108,33,31)'],
        [0.2901960784313726, 'rgb(110,34,31)'],
        [0.29411764705882354, 'rgb(111,34,32)'],
        [0.2980392156862745, 'rgb(113,34,32)'],
        [0.30196078431372547, 'rgb(115,34,32)'],
        [0.3058823529411765, 'rgb(117,34,33)'],
        [0.30980392156862746, 'rgb(118,34,33)'],
        [0.3137254901960784, 'rgb(120,34,33)'],
        [0.3176470588235294, 'rgb(122,34,34)'],
        [0.3215686274509804, 'rgb(124,34,34)'],
        [0.3254901960784314, 'rgb(125,34,34)'],
        [0.32941176470588235, 'rgb(127,34,35)'],
        [0.3333333333333333, 'rgb(129,34,35)'],
        [0.33725490196078434, 'rgb(131,34,36)'],
        [0.3411764705882353, 'rgb(133,34,36)'],
        [0.34509803921568627, 'rgb(134,34,36)'],
        [0.34901960784313724, 'rgb(136,34,37)'],
        [0.35294117647058826, 'rgb(138,33,37)'],
        [0.3568627450980392, 'rgb(140,33,37)'],
        [0.3607843137254902, 'rgb(142,33,38)'],
        [0.36470588235294116, 'rgb(144,33,38)'],
        [0.3686274509803922, 'rgb(145,33,39)'],
        [0.37254901960784315, 'rgb(147,32,39)'],
        [0.3764705882352941, 'rgb(149,32,39)'],
        [0.3803921568627451, 'rgb(151,32,40)'],
        [0.3843137254901961, 'rgb(153,31,40)'],
        [0.38823529411764707, 'rgb(155,31,41)'],
        [0.39215686274509803, 'rgb(157,30,41)'],
        [0.396078431372549, 'rgb(159,30,42)'],
        [0.4, 'rgb(160,29,42)'],
        [0.403921568627451, 'rgb(162,29,43)'],
        [0.40784313725490196, 'rgb(164,28,44)'],
        [0.4117647058823529, 'rgb(166,27,44)'],
        [0.41568627450980394, 'rgb(168,27,45)'],
        [0.4196078431372549, 'rgb(170,26,46)'],
        [0.4235294117647059, 'rgb(172,25,46)'],
        [0.42745098039215684, 'rgb(174,24,47)'],
        [0.43137254901960786, 'rgb(176,23,48)'],
        [0.43529411764705883, 'rgb(178,22,49)'],
        [0.4392156862745098, 'rgb(180,21,50)'],
        [0.44313725490196076, 'rgb(181,20,51)'],
        [0.4470588235294118, 'rgb(183,19,52)'],
        [0.45098039215686275, 'rgb(185,18,53)'],
        [0.4549019607843137, 'rgb(187,17,55)'],
        [0.4588235294117647, 'rgb(189,16,56)'],
        [0.4627450980392157, 'rgb(190,16,58)'],
        [0.4666666666666667, 'rgb(192,16,60)'],
        [0.47058823529411764, 'rgb(193,16,62)'],
        [0.4745098039215686, 'rgb(195,17,64)'],
        [0.47843137254901963, 'rgb(196,19,66)'],
        [0.4823529411764706, 'rgb(197,21,68)'],
        [0.48627450980392156, 'rgb(198,23,70)'],
        [0.49019607843137253, 'rgb(199,25,72)'],
        [0.49411764705882355, 'rgb(200,28,75)'],
        [0.4980392156862745, 'rgb(201,30,77)'],
        [0.5019607843137255, 'rgb(201,33,79)'],
        [0.5058823529411764, 'rgb(202,35,81)'],
        [0.5098039215686274, 'rgb(203,38,83)'],
        [0.5137254901960784, 'rgb(204,40,85)'],
        [0.5176470588235295, 'rgb(204,42,87)'],
        [0.5215686274509804, 'rgb(205,45,89)'],
        [0.5254901960784314, 'rgb(206,47,91)'],
        [0.5294117647058824, 'rgb(206,49,93)'],
        [0.5333333333333333, 'rgb(207,52,95)'],
        [0.5372549019607843, 'rgb(207,54,97)'],
        [0.5411764705882353, 'rgb(208,56,99)'],
        [0.5450980392156862, 'rgb(208,58,101)'],
        [0.5490196078431373, 'rgb(209,60,103)'],
        [0.5529411764705883, 'rgb(209,62,105)'],
        [0.5568627450980392, 'rgb(210,64,106)'],
        [0.5607843137254902, 'rgb(210,66,108)'],
        [0.5647058823529412, 'rgb(211,68,110)'],
        [0.5686274509803921, 'rgb(211,70,112)'],
        [0.5725490196078431, 'rgb(212,72,114)'],
        [0.5764705882352941, 'rgb(212,74,116)'],
        [0.5803921568627451, 'rgb(213,76,117)'],
        [0.5843137254901961, 'rgb(213,78,119)'],
        [0.5882352941176471, 'rgb(213,80,121)'],
        [0.592156862745098, 'rgb(214,82,123)'],
        [0.596078431372549, 'rgb(214,84,124)'],
        [0.6, 'rgb(214,86,126)'],
        [0.6039215686274509, 'rgb(215,88,128)'],
        [0.6078431372549019, 'rgb(215,90,130)'],
        [0.611764705882353, 'rgb(216,92,131)'],
        [0.615686274509804, 'rgb(216,93,133)'],
        [0.6196078431372549, 'rgb(216,95,135)'],
        [0.6235294117647059, 'rgb(216,97,136)'],
        [0.6274509803921569, 'rgb(217,99,138)'],
        [0.6313725490196078, 'rgb(217,101,139)'],
        [0.6352941176470588, 'rgb(217,103,141)'],
        [0.6392156862745098, 'rgb(218,104,143)'],
        [0.6431372549019608, 'rgb(218,106,144)'],
        [0.6470588235294118, 'rgb(218,108,146)'],
        [0.6509803921568628, 'rgb(218,110,147)'],
        [0.6549019607843137, 'rgb(219,112,149)'],
        [0.6588235294117647, 'rgb(219,113,151)'],
        [0.6627450980392157, 'rgb(219,115,152)'],
        [0.6666666666666666, 'rgb(219,117,154)'],
        [0.6705882352941176, 'rgb(220,119,155)'],
        [0.6745098039215687, 'rgb(220,120,157)'],
        [0.6784313725490196, 'rgb(220,122,158)'],
        [0.6823529411764706, 'rgb(220,124,160)'],
        [0.6862745098039216, 'rgb(221,126,161)'],
        [0.6901960784313725, 'rgb(221,127,163)'],
        [0.6941176470588235, 'rgb(221,129,164)'],
        [0.6980392156862745, 'rgb(221,131,165)'],
        [0.7019607843137254, 'rgb(221,132,167)'],
        [0.7058823529411765, 'rgb(222,134,168)'],
        [0.7098039215686275, 'rgb(222,136,170)'],
        [0.7137254901960784, 'rgb(222,138,171)'],
        [0.7176470588235294, 'rgb(222,139,173)'],
        [0.7215686274509804, 'rgb(222,141,174)'],
        [0.7254901960784313, 'rgb(223,143,175)'],
        [0.7294117647058823, 'rgb(223,144,177)'],
        [0.7333333333333333, 'rgb(223,146,178)'],
        [0.7372549019607844, 'rgb(223,148,179)'],
        [0.7411764705882353, 'rgb(223,149,181)'],
        [0.7450980392156863, 'rgb(224,151,182)'],
        [0.7490196078431373, 'rgb(224,153,184)'],
        [0.7529411764705882, 'rgb(224,154,185)'],
        [0.7568627450980392, 'rgb(224,156,186)'],
        [0.7607843137254902, 'rgb(224,158,187)'],
        [0.7647058823529411, 'rgb(225,159,189)'],
        [0.7686274509803922, 'rgb(225,161,190)'],
        [0.7725490196078432, 'rgb(225,163,191)'],
        [0.7764705882352941, 'rgb(225,164,193)'],
        [0.7803921568627451, 'rgb(225,166,194)'],
        [0.7843137254901961, 'rgb(226,168,195)'],
        [0.788235294117647, 'rgb(226,169,196)'],
        [0.792156862745098, 'rgb(226,171,198)'],
        [0.796078431372549, 'rgb(226,173,199)'],
        [0.8, 'rgb(227,174,200)'],
        [0.803921568627451, 'rgb(227,176,201)'],
        [0.807843137254902, 'rgb(227,177,203)'],
        [0.8117647058823529, 'rgb(227,179,204)'],
        [0.8156862745098039, 'rgb(228,181,205)'],
        [0.8196078431372549, 'rgb(228,182,206)'],
        [0.8235294117647058, 'rgb(228,184,207)'],
        [0.8274509803921568, 'rgb(228,186,208)'],
        [0.8313725490196079, 'rgb(229,187,210)'],
        [0.8352941176470589, 'rgb(229,189,211)'],
        [0.8392156862745098, 'rgb(229,191,212)'],
        [0.8431372549019608, 'rgb(230,192,213)'],
        [0.8470588235294118, 'rgb(230,194,214)'],
        [0.8509803921568627, 'rgb(230,195,215)'],
        [0.8549019607843137, 'rgb(231,197,216)'],
        [0.8588235294117647, 'rgb(231,199,218)'],
        [0.8627450980392157, 'rgb(231,200,219)'],
        [0.8666666666666667, 'rgb(232,202,220)'],
        [0.8705882352941177, 'rgb(232,203,221)'],
        [0.8745098039215686, 'rgb(232,205,222)'],
        [0.8784313725490196, 'rgb(233,207,223)'],
        [0.8823529411764706, 'rgb(233,208,224)'],
        [0.8862745098039215, 'rgb(234,210,225)'],
        [0.8901960784313725, 'rgb(234,211,226)'],
        [0.8941176470588236, 'rgb(235,213,227)'],
        [0.8980392156862745, 'rgb(235,215,228)'],
        [0.9019607843137255, 'rgb(236,216,229)'],
        [0.9058823529411765, 'rgb(236,218,230)'],
        [0.9098039215686274, 'rgb(237,219,231)'],
        [0.9137254901960784, 'rgb(237,221,232)'],
        [0.9176470588235294, 'rgb(238,223,233)'],
        [0.9215686274509803, 'rgb(238,224,235)'],
        [0.9254901960784314, 'rgb(239,226,236)'],
        [0.9294117647058824, 'rgb(240,227,237)'],
        [0.9333333333333333, 'rgb(240,229,238)'],
        [0.9372549019607843, 'rgb(241,230,238)'],
        [0.9411764705882353, 'rgb(242,232,239)'],
        [0.9450980392156862, 'rgb(242,234,240)'],
        [0.9490196078431372, 'rgb(243,235,241)'],
        [0.9529411764705882, 'rgb(244,237,242)'],
        [0.9568627450980393, 'rgb(245,238,243)'],
        [0.9607843137254902, 'rgb(245,240,244)'],
        [0.9647058823529412, 'rgb(246,241,245)'],
        [0.9686274509803922, 'rgb(247,243,246)'],
        [0.9725490196078431, 'rgb(248,244,247)'],
        [0.9764705882352941, 'rgb(249,246,248)'],
        [0.9803921568627451, 'rgb(250,247,249)'],
        [0.984313725490196, 'rgb(251,249,251)'],
        [0.9882352941176471, 'rgb(252,250,252)'],
        [0.9921568627450981, 'rgb(253,252,253)'],
        [0.996078431372549, 'rgb(254,253,254)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.freeze': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(0,0,1)'],
        [0.01568627450980392, 'rgb(1,1,1)'],
        [0.0196078431372549, 'rgb(1,1,2)'],
        [0.023529411764705882, 'rgb(2,1,2)'],
        [0.027450980392156862, 'rgb(2,2,3)'],
        [0.03137254901960784, 'rgb(3,2,4)'],
        [0.03529411764705882, 'rgb(3,3,5)'],
        [0.0392156862745098, 'rgb(4,3,6)'],
        [0.043137254901960784, 'rgb(5,4,7)'],
        [0.047058823529411764, 'rgb(6,5,9)'],
        [0.050980392156862744, 'rgb(7,5,10)'],
        [0.054901960784313725, 'rgb(8,6,12)'],
        [0.058823529411764705, 'rgb(9,7,13)'],
        [0.06274509803921569, 'rgb(10,8,15)'],
        [0.06666666666666667, 'rgb(11,9,17)'],
        [0.07058823529411765, 'rgb(12,10,18)'],
        [0.07450980392156863, 'rgb(13,11,20)'],
        [0.0784313725490196, 'rgb(15,12,22)'],
        [0.08235294117647059, 'rgb(16,13,23)'],
        [0.08627450980392157, 'rgb(17,13,25)'],
        [0.09019607843137255, 'rgb(18,14,27)'],
        [0.09411764705882353, 'rgb(19,15,28)'],
        [0.09803921568627451, 'rgb(20,16,30)'],
        [0.10196078431372549, 'rgb(21,17,31)'],
        [0.10588235294117647, 'rgb(22,18,33)'],
        [0.10980392156862745, 'rgb(23,19,35)'],
        [0.11372549019607843, 'rgb(24,20,37)'],
        [0.11764705882352941, 'rgb(25,21,38)'],
        [0.12156862745098039, 'rgb(26,21,40)'],
        [0.12549019607843137, 'rgb(27,22,42)'],
        [0.12941176470588237, 'rgb(28,23,43)'],
        [0.13333333333333333, 'rgb(29,24,45)'],
        [0.13725490196078433, 'rgb(30,25,47)'],
        [0.1411764705882353, 'rgb(31,26,49)'],
        [0.1450980392156863, 'rgb(32,26,51)'],
        [0.14901960784313725, 'rgb(33,27,52)'],
        [0.15294117647058825, 'rgb(34,28,54)'],
        [0.1568627450980392, 'rgb(35,29,56)'],
        [0.1607843137254902, 'rgb(36,30,58)'],
        [0.16470588235294117, 'rgb(37,30,60)'],
        [0.16862745098039217, 'rgb(38,31,62)'],
        [0.17254901960784313, 'rgb(39,32,63)'],
        [0.17647058823529413, 'rgb(40,33,65)'],
        [0.1803921568627451, 'rgb(41,33,67)'],
        [0.1843137254901961, 'rgb(41,34,69)'],
        [0.18823529411764706, 'rgb(42,35,71)'],
        [0.19215686274509805, 'rgb(43,36,73)'],
        [0.19607843137254902, 'rgb(44,36,75)'],
        [0.2, 'rgb(45,37,77)'],
        [0.20392156862745098, 'rgb(46,38,79)'],
        [0.20784313725490197, 'rgb(47,39,81)'],
        [0.21176470588235294, 'rgb(48,39,83)'],
        [0.21568627450980393, 'rgb(48,40,85)'],
        [0.2196078431372549, 'rgb(49,41,87)'],
        [0.2235294117647059, 'rgb(50,41,90)'],
        [0.22745098039215686, 'rgb(51,42,92)'],
        [0.23137254901960785, 'rgb(52,43,94)'],
        [0.23529411764705882, 'rgb(53,44,96)'],
        [0.23921568627450981, 'rgb(53,44,98)'],
        [0.24313725490196078, 'rgb(54,45,100)'],
        [0.24705882352941178, 'rgb(55,46,103)'],
        [0.25098039215686274, 'rgb(56,46,105)'],
        [0.2549019607843137, 'rgb(56,47,107)'],
        [0.25882352941176473, 'rgb(57,48,109)'],
        [0.2627450980392157, 'rgb(58,48,112)'],
        [0.26666666666666666, 'rgb(59,49,114)'],
        [0.27058823529411763, 'rgb(59,50,116)'],
        [0.27450980392156865, 'rgb(60,50,119)'],
        [0.2784313725490196, 'rgb(61,51,121)'],
        [0.2823529411764706, 'rgb(61,52,124)'],
        [0.28627450980392155, 'rgb(62,52,126)'],
        [0.2901960784313726, 'rgb(63,53,128)'],
        [0.29411764705882354, 'rgb(63,54,131)'],
        [0.2980392156862745, 'rgb(64,55,133)'],
        [0.30196078431372547, 'rgb(65,55,136)'],
        [0.3058823529411765, 'rgb(65,56,138)'],
        [0.30980392156862746, 'rgb(66,57,141)'],
        [0.3137254901960784, 'rgb(66,57,143)'],
        [0.3176470588235294, 'rgb(67,58,146)'],
        [0.3215686274509804, 'rgb(67,59,149)'],
        [0.3254901960784314, 'rgb(68,59,151)'],
        [0.32941176470588235, 'rgb(68,60,154)'],
        [0.3333333333333333, 'rgb(69,61,156)'],
        [0.33725490196078434, 'rgb(69,62,159)'],
        [0.3411764705882353, 'rgb(69,62,162)'],
        [0.34509803921568627, 'rgb(70,63,164)'],
        [0.34901960784313724, 'rgb(70,64,167)'],
        [0.35294117647058826, 'rgb(70,65,170)'],
        [0.3568627450980392, 'rgb(70,65,172)'],
        [0.3607843137254902, 'rgb(70,66,175)'],
        [0.36470588235294116, 'rgb(71,67,177)'],
        [0.3686274509803922, 'rgb(71,68,180)'],
        [0.37254901960784315, 'rgb(71,69,183)'],
        [0.3764705882352941, 'rgb(71,70,185)'],
        [0.3803921568627451, 'rgb(70,71,188)'],
        [0.3843137254901961, 'rgb(70,72,190)'],
        [0.38823529411764707, 'rgb(70,73,192)'],
        [0.39215686274509803, 'rgb(70,74,195)'],
        [0.396078431372549, 'rgb(69,75,197)'],
        [0.4, 'rgb(69,76,199)'],
        [0.403921568627451, 'rgb(68,77,202)'],
        [0.40784313725490196, 'rgb(68,78,204)'],
        [0.4117647058823529, 'rgb(67,79,206)'],
        [0.41568627450980394, 'rgb(66,81,208)'],
        [0.4196078431372549, 'rgb(65,82,209)'],
        [0.4235294117647059, 'rgb(65,83,211)'],
        [0.42745098039215684, 'rgb(64,85,213)'],
        [0.43137254901960786, 'rgb(63,86,214)'],
        [0.43529411764705883, 'rgb(61,88,215)'],
        [0.4392156862745098, 'rgb(60,89,217)'],
        [0.44313725490196076, 'rgb(59,91,218)'],
        [0.4470588235294118, 'rgb(58,92,219)'],
        [0.45098039215686275, 'rgb(56,94,220)'],
        [0.4549019607843137, 'rgb(55,95,220)'],
        [0.4588235294117647, 'rgb(53,97,221)'],
        [0.4627450980392157, 'rgb(52,99,222)'],
        [0.4666666666666667, 'rgb(51,100,222)'],
        [0.47058823529411764, 'rgb(49,102,223)'],
        [0.4745098039215686, 'rgb(48,103,223)'],
        [0.47843137254901963, 'rgb(46,105,223)'],
        [0.4823529411764706, 'rgb(44,107,224)'],
        [0.48627450980392156, 'rgb(43,108,224)'],
        [0.49019607843137253, 'rgb(41,110,224)'],
        [0.49411764705882355, 'rgb(40,111,224)'],
        [0.4980392156862745, 'rgb(39,113,224)'],
        [0.5019607843137255, 'rgb(37,114,224)'],
        [0.5058823529411764, 'rgb(36,116,224)'],
        [0.5098039215686274, 'rgb(34,117,224)'],
        [0.5137254901960784, 'rgb(33,119,224)'],
        [0.5176470588235295, 'rgb(32,120,224)'],
        [0.5215686274509804, 'rgb(31,122,224)'],
        [0.5254901960784314, 'rgb(30,123,224)'],
        [0.5294117647058824, 'rgb(29,125,223)'],
        [0.5333333333333333, 'rgb(28,126,223)'],
        [0.5372549019607843, 'rgb(27,128,223)'],
        [0.5411764705882353, 'rgb(26,129,223)'],
        [0.5450980392156862, 'rgb(26,130,223)'],
        [0.5490196078431373, 'rgb(25,132,222)'],
        [0.5529411764705883, 'rgb(25,133,222)'],
        [0.5568627450980392, 'rgb(25,135,222)'],
        [0.5607843137254902, 'rgb(25,136,222)'],
        [0.5647058823529412, 'rgb(26,137,221)'],
        [0.5686274509803921, 'rgb(26,139,221)'],
        [0.5725490196078431, 'rgb(27,140,221)'],
        [0.5764705882352941, 'rgb(27,141,221)'],
        [0.5803921568627451, 'rgb(28,143,220)'],
        [0.5843137254901961, 'rgb(29,144,220)'],
        [0.5882352941176471, 'rgb(30,145,220)'],
        [0.592156862745098, 'rgb(31,147,220)'],
        [0.596078431372549, 'rgb(33,148,219)'],
        [0.6, 'rgb(34,149,219)'],
        [0.6039215686274509, 'rgb(35,150,219)'],
        [0.6078431372549019, 'rgb(37,152,219)'],
        [0.611764705882353, 'rgb(38,153,218)'],
        [0.615686274509804, 'rgb(40,154,218)'],
        [0.6196078431372549, 'rgb(42,155,218)'],
        [0.6235294117647059, 'rgb(43,157,218)'],
        [0.6274509803921569, 'rgb(45,158,217)'],
        [0.6313725490196078, 'rgb(47,159,217)'],
        [0.6352941176470588, 'rgb(49,160,217)'],
        [0.6392156862745098, 'rgb(50,161,217)'],
        [0.6431372549019608, 'rgb(52,163,217)'],
        [0.6470588235294118, 'rgb(54,164,216)'],
        [0.6509803921568628, 'rgb(56,165,216)'],
        [0.6549019607843137, 'rgb(58,166,216)'],
        [0.6588235294117647, 'rgb(60,167,216)'],
        [0.6627450980392157, 'rgb(62,168,216)'],
        [0.6666666666666666, 'rgb(64,170,216)'],
        [0.6705882352941176, 'rgb(66,171,215)'],
        [0.6745098039215687, 'rgb(68,172,215)'],
        [0.6784313725490196, 'rgb(70,173,215)'],
        [0.6823529411764706, 'rgb(72,174,215)'],
        [0.6862745098039216, 'rgb(74,175,215)'],
        [0.6901960784313725, 'rgb(76,176,215)'],
        [0.6941176470588235, 'rgb(78,178,215)'],
        [0.6980392156862745, 'rgb(80,179,215)'],
        [0.7019607843137254, 'rgb(82,180,214)'],
        [0.7058823529411765, 'rgb(84,181,214)'],
        [0.7098039215686275, 'rgb(86,182,214)'],
        [0.7137254901960784, 'rgb(88,183,214)'],
        [0.7176470588235294, 'rgb(91,184,214)'],
        [0.7215686274509804, 'rgb(93,185,214)'],
        [0.7254901960784313, 'rgb(95,186,214)'],
        [0.7294117647058823, 'rgb(97,187,214)'],
        [0.7333333333333333, 'rgb(99,188,214)'],
        [0.7372549019607844, 'rgb(101,189,214)'],
        [0.7411764705882353, 'rgb(104,190,214)'],
        [0.7450980392156863, 'rgb(106,192,214)'],
        [0.7490196078431373, 'rgb(108,193,214)'],
        [0.7529411764705882, 'rgb(111,194,214)'],
        [0.7568627450980392, 'rgb(113,195,214)'],
        [0.7607843137254902, 'rgb(115,196,214)'],
        [0.7647058823529411, 'rgb(117,197,214)'],
        [0.7686274509803922, 'rgb(120,198,214)'],
        [0.7725490196078432, 'rgb(122,199,214)'],
        [0.7764705882352941, 'rgb(125,200,214)'],
        [0.7803921568627451, 'rgb(127,201,214)'],
        [0.7843137254901961, 'rgb(129,202,215)'],
        [0.788235294117647, 'rgb(132,203,215)'],
        [0.792156862745098, 'rgb(134,203,215)'],
        [0.796078431372549, 'rgb(137,204,215)'],
        [0.8, 'rgb(139,205,215)'],
        [0.803921568627451, 'rgb(141,206,216)'],
        [0.807843137254902, 'rgb(144,207,216)'],
        [0.8117647058823529, 'rgb(146,208,216)'],
        [0.8156862745098039, 'rgb(149,209,216)'],
        [0.8196078431372549, 'rgb(151,210,217)'],
        [0.8235294117647058, 'rgb(154,211,217)'],
        [0.8274509803921568, 'rgb(156,212,218)'],
        [0.8313725490196079, 'rgb(159,213,218)'],
        [0.8352941176470589, 'rgb(161,214,218)'],
        [0.8392156862745098, 'rgb(163,215,219)'],
        [0.8431372549019608, 'rgb(166,216,219)'],
        [0.8470588235294118, 'rgb(168,216,220)'],
        [0.8509803921568627, 'rgb(171,217,220)'],
        [0.8549019607843137, 'rgb(173,218,221)'],
        [0.8588235294117647, 'rgb(175,219,222)'],
        [0.8627450980392157, 'rgb(178,220,222)'],
        [0.8666666666666667, 'rgb(180,221,223)'],
        [0.8705882352941177, 'rgb(183,222,223)'],
        [0.8745098039215686, 'rgb(185,223,224)'],
        [0.8784313725490196, 'rgb(187,224,225)'],
        [0.8823529411764706, 'rgb(190,225,226)'],
        [0.8862745098039215, 'rgb(192,226,226)'],
        [0.8901960784313725, 'rgb(194,227,227)'],
        [0.8941176470588236, 'rgb(197,227,228)'],
        [0.8980392156862745, 'rgb(199,228,229)'],
        [0.9019607843137255, 'rgb(201,229,230)'],
        [0.9058823529411765, 'rgb(203,230,230)'],
        [0.9098039215686274, 'rgb(206,231,231)'],
        [0.9137254901960784, 'rgb(208,232,232)'],
        [0.9176470588235294, 'rgb(210,233,233)'],
        [0.9215686274509803, 'rgb(212,234,234)'],
        [0.9254901960784314, 'rgb(215,235,235)'],
        [0.9294117647058824, 'rgb(217,236,236)'],
        [0.9333333333333333, 'rgb(219,237,237)'],
        [0.9372549019607843, 'rgb(221,238,238)'],
        [0.9411764705882353, 'rgb(223,239,239)'],
        [0.9450980392156862, 'rgb(226,240,240)'],
        [0.9490196078431372, 'rgb(228,241,241)'],
        [0.9529411764705882, 'rgb(230,242,242)'],
        [0.9568627450980393, 'rgb(232,243,243)'],
        [0.9607843137254902, 'rgb(234,244,244)'],
        [0.9647058823529412, 'rgb(236,245,245)'],
        [0.9686274509803922, 'rgb(238,246,246)'],
        [0.9725490196078431, 'rgb(241,247,247)'],
        [0.9764705882352941, 'rgb(243,248,248)'],
        [0.9803921568627451, 'rgb(245,249,249)'],
        [0.984313725490196, 'rgb(247,251,250)'],
        [0.9882352941176471, 'rgb(249,252,252)'],
        [0.9921568627450981, 'rgb(251,253,253)'],
        [0.996078431372549, 'rgb(253,254,254)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.fusion': [
        [0.0, 'rgb(39,4,18)'],
        [0.00392156862745098, 'rgb(42,5,20)'],
        [0.00784313725490196, 'rgb(45,5,22)'],
        [0.011764705882352941, 'rgb(47,6,25)'],
        [0.01568627450980392, 'rgb(50,6,27)'],
        [0.0196078431372549, 'rgb(53,6,29)'],
        [0.023529411764705882, 'rgb(56,7,31)'],
        [0.027450980392156862, 'rgb(59,7,33)'],
        [0.03137254901960784, 'rgb(62,7,35)'],
        [0.03529411764705882, 'rgb(65,7,37)'],
        [0.0392156862745098, 'rgb(68,7,39)'],
        [0.043137254901960784, 'rgb(71,7,41)'],
        [0.047058823529411764, 'rgb(74,7,42)'],
        [0.050980392156862744, 'rgb(77,7,44)'],
        [0.054901960784313725, 'rgb(80,6,45)'],
        [0.058823529411764705, 'rgb(83,6,47)'],
        [0.06274509803921569, 'rgb(87,6,48)'],
        [0.06666666666666667, 'rgb(90,5,49)'],
        [0.07058823529411765, 'rgb(93,5,50)'],
        [0.07450980392156863, 'rgb(96,5,50)'],
        [0.0784313725490196, 'rgb(99,5,51)'],
        [0.08235294117647059, 'rgb(102,4,51)'],
        [0.08627450980392157, 'rgb(105,4,51)'],
        [0.09019607843137255, 'rgb(108,5,52)'],
        [0.09411764705882353, 'rgb(111,5,52)'],
        [0.09803921568627451, 'rgb(114,6,51)'],
        [0.10196078431372549, 'rgb(116,7,51)'],
        [0.10588235294117647, 'rgb(119,8,51)'],
        [0.10980392156862745, 'rgb(122,9,51)'],
        [0.11372549019607843, 'rgb(124,11,50)'],
        [0.11764705882352941, 'rgb(127,12,50)'],
        [0.12156862745098039, 'rgb(130,14,49)'],
        [0.12549019607843137, 'rgb(132,16,49)'],
        [0.12941176470588237, 'rgb(135,18,48)'],
        [0.13333333333333333, 'rgb(137,20,48)'],
        [0.13725490196078433, 'rgb(140,22,47)'],
        [0.1411764705882353, 'rgb(142,24,46)'],
        [0.1450980392156863, 'rgb(144,26,46)'],
        [0.14901960784313725, 'rgb(146,29,45)'],
        [0.15294117647058825, 'rgb(149,31,45)'],
        [0.1568627450980392, 'rgb(151,33,44)'],
        [0.1607843137254902, 'rgb(153,35,43)'],
        [0.16470588235294117, 'rgb(155,37,42)'],
        [0.16862745098039217, 'rgb(157,40,42)'],
        [0.17254901960784313, 'rgb(159,42,41)'],
        [0.17647058823529413, 'rgb(161,44,40)'],
        [0.1803921568627451, 'rgb(163,46,40)'],
        [0.1843137254901961, 'rgb(165,49,39)'],
        [0.18823529411764706, 'rgb(167,51,38)'],
        [0.19215686274509805, 'rgb(169,53,38)'],
        [0.19607843137254902, 'rgb(171,56,37)'],
        [0.2, 'rgb(173,58,36)'],
        [0.20392156862745098, 'rgb(175,60,36)'],
        [0.20784313725490197, 'rgb(176,63,35)'],
        [0.21176470588235294, 'rgb(178,65,34)'],
        [0.21568627450980393, 'rgb(180,68,34)'],
        [0.2196078431372549, 'rgb(181,70,33)'],
        [0.2235294117647059, 'rgb(183,73,33)'],
        [0.22745098039215686, 'rgb(184,75,33)'],
        [0.23137254901960785, 'rgb(186,78,32)'],
        [0.23529411764705882, 'rgb(187,80,32)'],
        [0.23921568627450981, 'rgb(189,83,32)'],
        [0.24313725490196078, 'rgb(190,86,32)'],
        [0.24705882352941178, 'rgb(191,88,32)'],
        [0.25098039215686274, 'rgb(193,91,32)'],
        [0.2549019607843137, 'rgb(194,93,32)'],
        [0.25882352941176473, 'rgb(195,96,33)'],
        [0.2627450980392157, 'rgb(196,99,34)'],
        [0.26666666666666666, 'rgb(197,102,34)'],
        [0.27058823529411763, 'rgb(198,104,35)'],
        [0.27450980392156865, 'rgb(199,107,36)'],
        [0.2784313725490196, 'rgb(200,110,38)'],
        [0.2823529411764706, 'rgb(200,113,39)'],
        [0.28627450980392155, 'rgb(201,116,41)'],
        [0.2901960784313726, 'rgb(202,118,43)'],
        [0.29411764705882354, 'rgb(203,121,45)'],
        [0.2980392156862745, 'rgb(203,124,47)'],
        [0.30196078431372547, 'rgb(204,127,50)'],
        [0.3058823529411765, 'rgb(204,130,52)'],
        [0.30980392156862746, 'rgb(205,133,55)'],
        [0.3137254901960784, 'rgb(205,135,58)'],
        [0.3176470588235294, 'rgb(206,138,61)'],
        [0.3215686274509804, 'rgb(206,141,64)'],
        [0.3254901960784314, 'rgb(206,144,67)'],
        [0.32941176470588235, 'rgb(207,147,71)'],
        [0.3333333333333333, 'rgb(207,150,74)'],
        [0.33725490196078434, 'rgb(207,152,78)'],
        [0.3411764705882353, 'rgb(208,155,82)'],
        [0.34509803921568627, 'rgb(208,158,86)'],
        [0.34901960784313724, 'rgb(208,161,90)'],
        [0.35294117647058826, 'rgb(209,163,94)'],
        [0.3568627450980392, 'rgb(209,166,98)'],
        [0.3607843137254902, 'rgb(210,169,102)'],
        [0.36470588235294116, 'rgb(210,171,106)'],
        [0.3686274509803922, 'rgb(211,174,111)'],
        [0.37254901960784315, 'rgb(211,177,115)'],
        [0.3764705882352941, 'rgb(212,179,119)'],
        [0.3803921568627451, 'rgb(212,182,124)'],
        [0.3843137254901961, 'rgb(213,184,128)'],
        [0.38823529411764707, 'rgb(213,187,132)'],
        [0.39215686274509803, 'rgb(214,189,137)'],
        [0.396078431372549, 'rgb(215,192,141)'],
        [0.4, 'rgb(216,194,146)'],
        [0.403921568627451, 'rgb(216,197,150)'],
        [0.40784313725490196, 'rgb(217,199,155)'],
        [0.4117647058823529, 'rgb(218,202,159)'],
        [0.41568627450980394, 'rgb(219,204,164)'],
        [0.4196078431372549, 'rgb(220,207,168)'],
        [0.4235294117647059, 'rgb(221,209,173)'],
        [0.42745098039215684, 'rgb(222,212,177)'],
        [0.43137254901960786, 'rgb(224,214,182)'],
        [0.43529411764705883, 'rgb(225,216,186)'],
        [0.4392156862745098, 'rgb(226,219,191)'],
        [0.44313725490196076, 'rgb(227,221,195)'],
        [0.4470588235294118, 'rgb(229,223,200)'],
        [0.45098039215686275, 'rgb(230,226,204)'],
        [0.4549019607843137, 'rgb(232,228,209)'],
        [0.4588235294117647, 'rgb(233,230,213)'],
        [0.4627450980392157, 'rgb(235,233,217)'],
        [0.4666666666666667, 'rgb(237,235,222)'],
        [0.47058823529411764, 'rgb(239,238,226)'],
        [0.4745098039215686, 'rgb(241,240,230)'],
        [0.47843137254901963, 'rgb(243,242,235)'],
        [0.4823529411764706, 'rgb(245,244,239)'],
        [0.48627450980392156, 'rgb(247,247,243)'],
        [0.49019607843137253, 'rgb(249,249,246)'],
        [0.49411764705882355, 'rgb(252,251,250)'],
        [0.4980392156862745, 'rgb(254,254,253)'],
        [0.5019607843137255, 'rgb(253,254,254)'],
        [0.5058823529411764, 'rgb(250,252,252)'],
        [0.5098039215686274, 'rgb(246,250,250)'],
        [0.5137254901960784, 'rgb(242,248,248)'],
        [0.5176470588235295, 'rgb(238,246,247)'],
        [0.5215686274509804, 'rgb(235,244,245)'],
        [0.5254901960784314, 'rgb(231,242,243)'],
        [0.5294117647058824, 'rgb(227,240,241)'],
        [0.5333333333333333, 'rgb(223,239,240)'],
        [0.5372549019607843, 'rgb(219,237,238)'],
        [0.5411764705882353, 'rgb(215,235,237)'],
        [0.5450980392156862, 'rgb(212,233,235)'],
        [0.5490196078431373, 'rgb(208,231,234)'],
        [0.5529411764705883, 'rgb(204,229,233)'],
        [0.5568627450980392, 'rgb(200,228,231)'],
        [0.5607843137254902, 'rgb(196,226,230)'],
        [0.5647058823529412, 'rgb(192,224,229)'],
        [0.5686274509803921, 'rgb(188,222,228)'],
        [0.5725490196078431, 'rgb(184,221,227)'],
        [0.5764705882352941, 'rgb(179,219,226)'],
        [0.5803921568627451, 'rgb(175,217,225)'],
        [0.5843137254901961, 'rgb(171,216,224)'],
        [0.5882352941176471, 'rgb(167,214,224)'],
        [0.592156862745098, 'rgb(163,212,223)'],
        [0.596078431372549, 'rgb(159,211,222)'],
        [0.6, 'rgb(155,209,222)'],
        [0.6039215686274509, 'rgb(150,207,221)'],
        [0.6078431372549019, 'rgb(146,205,221)'],
        [0.611764705882353, 'rgb(142,204,220)'],
        [0.615686274509804, 'rgb(138,202,220)'],
        [0.6196078431372549, 'rgb(134,200,220)'],
        [0.6235294117647059, 'rgb(129,198,220)'],
        [0.6274509803921569, 'rgb(125,197,220)'],
        [0.6313725490196078, 'rgb(121,195,220)'],
        [0.6352941176470588, 'rgb(117,193,220)'],
        [0.6392156862745098, 'rgb(113,191,220)'],
        [0.6431372549019608, 'rgb(110,189,220)'],
        [0.6470588235294118, 'rgb(106,187,220)'],
        [0.6509803921568628, 'rgb(102,185,220)'],
        [0.6549019607843137, 'rgb(99,183,220)'],
        [0.6588235294117647, 'rgb(96,181,220)'],
        [0.6627450980392157, 'rgb(93,179,221)'],
        [0.6666666666666666, 'rgb(90,177,221)'],
        [0.6705882352941176, 'rgb(87,175,221)'],
        [0.6745098039215687, 'rgb(84,173,221)'],
        [0.6784313725490196, 'rgb(82,171,221)'],
        [0.6823529411764706, 'rgb(80,168,221)'],
        [0.6862745098039216, 'rgb(78,166,221)'],
        [0.6901960784313725, 'rgb(76,164,222)'],
        [0.6941176470588235, 'rgb(75,162,222)'],
        [0.6980392156862745, 'rgb(73,159,222)'],
        [0.7019607843137254, 'rgb(72,157,222)'],
        [0.7058823529411765, 'rgb(71,155,222)'],
        [0.7098039215686275, 'rgb(71,152,222)'],
        [0.7137254901960784, 'rgb(70,150,222)'],
        [0.7176470588235294, 'rgb(70,147,222)'],
        [0.7215686274509804, 'rgb(69,145,222)'],
        [0.7254901960784313, 'rgb(69,143,221)'],
        [0.7294117647058823, 'rgb(70,140,221)'],
        [0.7333333333333333, 'rgb(70,138,221)'],
        [0.7372549019607844, 'rgb(70,135,221)'],
        [0.7411764705882353, 'rgb(71,133,221)'],
        [0.7450980392156863, 'rgb(71,130,220)'],
        [0.7490196078431373, 'rgb(72,127,220)'],
        [0.7529411764705882, 'rgb(72,125,220)'],
        [0.7568627450980392, 'rgb(73,122,219)'],
        [0.7607843137254902, 'rgb(74,119,219)'],
        [0.7647058823529411, 'rgb(75,117,219)'],
        [0.7686274509803922, 'rgb(76,114,218)'],
        [0.7725490196078432, 'rgb(76,111,218)'],
        [0.7764705882352941, 'rgb(77,109,217)'],
        [0.7803921568627451, 'rgb(78,106,217)'],
        [0.7843137254901961, 'rgb(79,103,216)'],
        [0.788235294117647, 'rgb(80,100,215)'],
        [0.792156862745098, 'rgb(81,97,215)'],
        [0.796078431372549, 'rgb(82,94,214)'],
        [0.8, 'rgb(83,91,213)'],
        [0.803921568627451, 'rgb(84,88,212)'],
        [0.807843137254902, 'rgb(85,85,211)'],
        [0.8117647058823529, 'rgb(86,82,211)'],
        [0.8156862745098039, 'rgb(86,79,210)'],
        [0.8196078431372549, 'rgb(87,76,208)'],
        [0.8235294117647058, 'rgb(88,73,207)'],
        [0.8274509803921568, 'rgb(89,70,206)'],
        [0.8313725490196079, 'rgb(89,66,205)'],
        [0.8352941176470589, 'rgb(90,63,203)'],
        [0.8392156862745098, 'rgb(91,60,202)'],
        [0.8431372549019608, 'rgb(91,56,200)'],
        [0.8470588235294118, 'rgb(91,53,198)'],
        [0.8509803921568627, 'rgb(92,49,196)'],
        [0.8549019607843137, 'rgb(92,46,194)'],
        [0.8588235294117647, 'rgb(92,42,192)'],
        [0.8627450980392157, 'rgb(92,38,190)'],
        [0.8666666666666667, 'rgb(92,35,187)'],
        [0.8705882352941177, 'rgb(92,31,184)'],
        [0.8745098039215686, 'rgb(92,27,181)'],
        [0.8784313725490196, 'rgb(91,24,178)'],
        [0.8823529411764706, 'rgb(91,21,174)'],
        [0.8862745098039215, 'rgb(90,18,170)'],
        [0.8901960784313725, 'rgb(89,15,166)'],
        [0.8941176470588236, 'rgb(88,13,161)'],
        [0.8980392156862745, 'rgb(87,12,157)'],
        [0.9019607843137255, 'rgb(85,11,152)'],
        [0.9058823529411765, 'rgb(83,11,147)'],
        [0.9098039215686274, 'rgb(82,12,142)'],
        [0.9137254901960784, 'rgb(79,13,137)'],
        [0.9176470588235294, 'rgb(77,13,132)'],
        [0.9215686274509803, 'rgb(75,14,127)'],
        [0.9254901960784314, 'rgb(73,15,122)'],
        [0.9294117647058824, 'rgb(70,16,118)'],
        [0.9333333333333333, 'rgb(68,16,113)'],
        [0.9372549019607843, 'rgb(65,17,108)'],
        [0.9411764705882353, 'rgb(63,17,104)'],
        [0.9450980392156862, 'rgb(60,17,100)'],
        [0.9490196078431372, 'rgb(58,17,96)'],
        [0.9529411764705882, 'rgb(55,17,92)'],
        [0.9568627450980393, 'rgb(53,17,88)'],
        [0.9607843137254902, 'rgb(50,17,84)'],
        [0.9647058823529412, 'rgb(47,16,80)'],
        [0.9686274509803922, 'rgb(45,16,77)'],
        [0.9725490196078431, 'rgb(42,15,73)'],
        [0.9764705882352941, 'rgb(40,15,69)'],
        [0.9803921568627451, 'rgb(37,14,66)'],
        [0.984313725490196, 'rgb(35,13,63)'],
        [0.9882352941176471, 'rgb(32,13,59)'],
        [0.9921568627450981, 'rgb(29,12,56)'],
        [0.996078431372549, 'rgb(27,11,53)'],
        [1.0, 'rgb(24,10,50)'],
    ],
    'cmr.gem': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(1,0,0)'],
        [0.01568627450980392, 'rgb(1,1,0)'],
        [0.0196078431372549, 'rgb(2,1,1)'],
        [0.023529411764705882, 'rgb(3,1,1)'],
        [0.027450980392156862, 'rgb(4,1,1)'],
        [0.03137254901960784, 'rgb(5,2,1)'],
        [0.03529411764705882, 'rgb(7,2,1)'],
        [0.0392156862745098, 'rgb(8,2,2)'],
        [0.043137254901960784, 'rgb(10,3,2)'],
        [0.047058823529411764, 'rgb(12,3,2)'],
        [0.050980392156862744, 'rgb(14,3,2)'],
        [0.054901960784313725, 'rgb(16,4,3)'],
        [0.058823529411764705, 'rgb(17,4,3)'],
        [0.06274509803921569, 'rgb(19,5,3)'],
        [0.06666666666666667, 'rgb(21,5,4)'],
        [0.07058823529411765, 'rgb(23,5,4)'],
        [0.07450980392156863, 'rgb(25,6,4)'],
        [0.0784313725490196, 'rgb(27,6,5)'],
        [0.08235294117647059, 'rgb(28,7,5)'],
        [0.08627450980392157, 'rgb(30,7,5)'],
        [0.09019607843137255, 'rgb(32,7,6)'],
        [0.09411764705882353, 'rgb(34,8,6)'],
        [0.09803921568627451, 'rgb(36,8,6)'],
        [0.10196078431372549, 'rgb(38,8,7)'],
        [0.10588235294117647, 'rgb(40,8,7)'],
        [0.10980392156862745, 'rgb(41,9,8)'],
        [0.11372549019607843, 'rgb(43,9,8)'],
        [0.11764705882352941, 'rgb(45,9,9)'],
        [0.12156862745098039, 'rgb(47,9,9)'],
        [0.12549019607843137, 'rgb(49,9,10)'],
        [0.12941176470588237, 'rgb(51,9,11)'],
        [0.13333333333333333, 'rgb(53,9,11)'],
        [0.13725490196078433, 'rgb(54,9,12)'],
        [0.1411764705882353, 'rgb(56,9,13)'],
        [0.1450980392156863, 'rgb(58,9,13)'],
        [0.14901960784313725, 'rgb(60,9,14)'],
        [0.15294117647058825, 'rgb(62,9,15)'],
        [0.1568627450980392, 'rgb(64,9,16)'],
        [0.1607843137254902, 'rgb(66,8,17)'],
        [0.16470588235294117, 'rgb(68,8,18)'],
        [0.16862745098039217, 'rgb(69,8,19)'],
        [0.17254901960784313, 'rgb(71,7,20)'],
        [0.17647058823529413, 'rgb(73,7,21)'],
        [0.1803921568627451, 'rgb(75,6,22)'],
        [0.1843137254901961, 'rgb(77,6,24)'],
        [0.18823529411764706, 'rgb(79,5,25)'],
        [0.19215686274509805, 'rgb(80,5,27)'],
        [0.19607843137254902, 'rgb(82,4,28)'],
        [0.2, 'rgb(84,4,30)'],
        [0.20392156862745098, 'rgb(86,3,32)'],
        [0.20784313725490197, 'rgb(87,3,33)'],
        [0.21176470588235294, 'rgb(89,2,35)'],
        [0.21568627450980393, 'rgb(90,2,37)'],
        [0.2196078431372549, 'rgb(92,1,39)'],
        [0.2235294117647059, 'rgb(94,1,41)'],
        [0.22745098039215686, 'rgb(95,1,44)'],
        [0.23137254901960785, 'rgb(97,0,46)'],
        [0.23529411764705882, 'rgb(98,0,48)'],
        [0.23921568627450981, 'rgb(99,0,50)'],
        [0.24313725490196078, 'rgb(101,0,53)'],
        [0.24705882352941178, 'rgb(102,0,55)'],
        [0.25098039215686274, 'rgb(103,0,57)'],
        [0.2549019607843137, 'rgb(105,0,60)'],
        [0.25882352941176473, 'rgb(106,1,62)'],
        [0.2627450980392157, 'rgb(107,1,65)'],
        [0.26666666666666666, 'rgb(108,2,67)'],
        [0.27058823529411763, 'rgb(109,2,70)'],
        [0.27450980392156865, 'rgb(110,3,72)'],
        [0.2784313725490196, 'rgb(112,4,75)'],
        [0.2823529411764706, 'rgb(113,5,78)'],
        [0.28627450980392155, 'rgb(114,6,80)'],
        [0.2901960784313726, 'rgb(114,7,83)'],
        [0.29411764705882354, 'rgb(115,8,85)'],
        [0.2980392156862745, 'rgb(116,10,88)'],
        [0.30196078431372547, 'rgb(117,11,90)'],
        [0.3058823529411765, 'rgb(118,13,93)'],
        [0.30980392156862746, 'rgb(119,14,96)'],
        [0.3137254901960784, 'rgb(120,16,98)'],
        [0.3176470588235294, 'rgb(120,18,101)'],
        [0.3215686274509804, 'rgb(121,19,103)'],
        [0.3254901960784314, 'rgb(122,21,106)'],
        [0.32941176470588235, 'rgb(122,22,108)'],
        [0.3333333333333333, 'rgb(123,24,111)'],
        [0.33725490196078434, 'rgb(124,25,113)'],
        [0.3411764705882353, 'rgb(124,27,116)'],
        [0.34509803921568627, 'rgb(125,28,118)'],
        [0.34901960784313724, 'rgb(125,30,120)'],
        [0.35294117647058826, 'rgb(126,32,123)'],
        [0.3568627450980392, 'rgb(126,33,125)'],
        [0.3607843137254902, 'rgb(127,35,128)'],
        [0.36470588235294116, 'rgb(127,36,130)'],
        [0.3686274509803922, 'rgb(127,38,132)'],
        [0.37254901960784315, 'rgb(128,40,135)'],
        [0.3764705882352941, 'rgb(128,41,137)'],
        [0.3803921568627451, 'rgb(128,43,139)'],
        [0.3843137254901961, 'rgb(129,44,141)'],
        [0.38823529411764707, 'rgb(129,46,143)'],
        [0.39215686274509803, 'rgb(129,48,146)'],
        [0.396078431372549, 'rgb(129,49,148)'],
        [0.4, 'rgb(130,51,150)'],
        [0.403921568627451, 'rgb(130,52,152)'],
        [0.40784313725490196, 'rgb(130,54,154)'],
        [0.4117647058823529, 'rgb(130,56,156)'],
        [0.41568627450980394, 'rgb(130,57,158)'],
        [0.4196078431372549, 'rgb(130,59,160)'],
        [0.4235294117647059, 'rgb(130,60,162)'],
        [0.42745098039215684, 'rgb(130,62,164)'],
        [0.43137254901960786, 'rgb(130,64,166)'],
        [0.43529411764705883, 'rgb(130,65,168)'],
        [0.4392156862745098, 'rgb(130,67,170)'],
        [0.44313725490196076, 'rgb(130,69,171)'],
        [0.4470588235294118, 'rgb(130,70,173)'],
        [0.45098039215686275, 'rgb(130,72,175)'],
        [0.4549019607843137, 'rgb(130,73,177)'],
        [0.4588235294117647, 'rgb(130,75,179)'],
        [0.4627450980392157, 'rgb(130,77,180)'],
        [0.4666666666666667, 'rgb(130,78,182)'],
        [0.47058823529411764, 'rgb(129,80,184)'],
        [0.4745098039215686, 'rgb(129,82,185)'],
        [0.47843137254901963, 'rgb(129,83,187)'],
        [0.4823529411764706, 'rgb(129,85,189)'],
        [0.48627450980392156, 'rgb(128,87,190)'],
        [0.49019607843137253, 'rgb(128,88,192)'],
        [0.49411764705882355, 'rgb(128,90,193)'],
        [0.4980392156862745, 'rgb(127,92,195)'],
        [0.5019607843137255, 'rgb(127,93,196)'],
        [0.5058823529411764, 'rgb(127,95,198)'],
        [0.5098039215686274, 'rgb(126,96,199)'],
        [0.5137254901960784, 'rgb(126,98,201)'],
        [0.5176470588235295, 'rgb(125,100,202)'],
        [0.5215686274509804, 'rgb(125,101,203)'],
        [0.5254901960784314, 'rgb(124,103,205)'],
        [0.5294117647058824, 'rgb(124,105,206)'],
        [0.5333333333333333, 'rgb(123,106,207)'],
        [0.5372549019607843, 'rgb(123,108,209)'],
        [0.5411764705882353, 'rgb(122,110,210)'],
        [0.5450980392156862, 'rgb(121,111,211)'],
        [0.5490196078431373, 'rgb(121,113,213)'],
        [0.5529411764705883, 'rgb(120,115,214)'],
        [0.5568627450980392, 'rgb(119,116,215)'],
        [0.5607843137254902, 'rgb(118,118,216)'],
        [0.5647058823529412, 'rgb(118,120,217)'],
        [0.5686274509803921, 'rgb(117,121,218)'],
        [0.5725490196078431, 'rgb(116,123,220)'],
        [0.5764705882352941, 'rgb(115,125,221)'],
        [0.5803921568627451, 'rgb(114,126,222)'],
        [0.5843137254901961, 'rgb(113,128,223)'],
        [0.5882352941176471, 'rgb(112,130,224)'],
        [0.592156862745098, 'rgb(111,131,225)'],
        [0.596078431372549, 'rgb(110,133,226)'],
        [0.6, 'rgb(109,135,227)'],
        [0.6039215686274509, 'rgb(108,136,228)'],
        [0.6078431372549019, 'rgb(107,138,229)'],
        [0.611764705882353, 'rgb(106,140,230)'],
        [0.615686274509804, 'rgb(105,141,231)'],
        [0.6196078431372549, 'rgb(103,143,232)'],
        [0.6235294117647059, 'rgb(102,145,232)'],
        [0.6274509803921569, 'rgb(101,146,233)'],
        [0.6313725490196078, 'rgb(99,148,234)'],
        [0.6352941176470588, 'rgb(98,150,235)'],
        [0.6392156862745098, 'rgb(96,151,236)'],
        [0.6431372549019608, 'rgb(95,153,236)'],
        [0.6470588235294118, 'rgb(93,155,237)'],
        [0.6509803921568628, 'rgb(92,156,238)'],
        [0.6549019607843137, 'rgb(90,158,238)'],
        [0.6588235294117647, 'rgb(88,160,239)'],
        [0.6627450980392157, 'rgb(87,161,240)'],
        [0.6666666666666666, 'rgb(85,163,240)'],
        [0.6705882352941176, 'rgb(83,165,241)'],
        [0.6745098039215687, 'rgb(81,166,241)'],
        [0.6784313725490196, 'rgb(79,168,242)'],
        [0.6823529411764706, 'rgb(77,170,242)'],
        [0.6862745098039216, 'rgb(75,171,243)'],
        [0.6901960784313725, 'rgb(73,173,243)'],
        [0.6941176470588235, 'rgb(71,175,243)'],
        [0.6980392156862745, 'rgb(69,176,244)'],
        [0.7019607843137254, 'rgb(66,178,244)'],
        [0.7058823529411765, 'rgb(64,180,244)'],
        [0.7098039215686275, 'rgb(62,181,244)'],
        [0.7137254901960784, 'rgb(59,183,244)'],
        [0.7176470588235294, 'rgb(57,184,245)'],
        [0.7215686274509804, 'rgb(55,186,245)'],
        [0.7254901960784313, 'rgb(53,188,245)'],
        [0.7294117647058823, 'rgb(50,189,245)'],
        [0.7333333333333333, 'rgb(48,191,245)'],
        [0.7372549019607844, 'rgb(46,192,244)'],
        [0.7411764705882353, 'rgb(44,194,244)'],
        [0.7450980392156863, 'rgb(43,196,244)'],
        [0.7490196078431373, 'rgb(42,197,244)'],
        [0.7529411764705882, 'rgb(41,199,243)'],
        [0.7568627450980392, 'rgb(41,200,243)'],
        [0.7607843137254902, 'rgb(41,202,243)'],
        [0.7647058823529411, 'rgb(42,203,242)'],
        [0.7686274509803922, 'rgb(43,204,242)'],
        [0.7725490196078432, 'rgb(45,206,241)'],
        [0.7764705882352941, 'rgb(47,207,240)'],
        [0.7803921568627451, 'rgb(50,208,240)'],
        [0.7843137254901961, 'rgb(54,210,239)'],
        [0.788235294117647, 'rgb(58,211,238)'],
        [0.792156862745098, 'rgb(62,212,238)'],
        [0.796078431372549, 'rgb(66,213,237)'],
        [0.8, 'rgb(71,214,236)'],
        [0.803921568627451, 'rgb(76,215,235)'],
        [0.807843137254902, 'rgb(81,216,235)'],
        [0.8117647058823529, 'rgb(85,217,234)'],
        [0.8156862745098039, 'rgb(90,218,233)'],
        [0.8196078431372549, 'rgb(95,219,233)'],
        [0.8235294117647058, 'rgb(100,220,232)'],
        [0.8274509803921568, 'rgb(105,221,231)'],
        [0.8313725490196079, 'rgb(110,222,231)'],
        [0.8352941176470589, 'rgb(115,223,231)'],
        [0.8392156862745098, 'rgb(120,223,230)'],
        [0.8431372549019608, 'rgb(124,224,230)'],
        [0.8470588235294118, 'rgb(129,225,230)'],
        [0.8509803921568627, 'rgb(133,226,230)'],
        [0.8549019607843137, 'rgb(138,226,229)'],
        [0.8588235294117647, 'rgb(142,227,229)'],
        [0.8627450980392157, 'rgb(146,228,229)'],
        [0.8666666666666667, 'rgb(150,228,230)'],
        [0.8705882352941177, 'rgb(154,229,230)'],
        [0.8745098039215686, 'rgb(158,230,230)'],
        [0.8784313725490196, 'rgb(162,230,230)'],
        [0.8823529411764706, 'rgb(166,231,230)'],
        [0.8862745098039215, 'rgb(170,232,231)'],
        [0.8901960784313725, 'rgb(173,232,231)'],
        [0.8941176470588236, 'rgb(177,233,232)'],
        [0.8980392156862745, 'rgb(180,234,232)'],
        [0.9019607843137255, 'rgb(184,234,233)'],
        [0.9058823529411765, 'rgb(187,235,233)'],
        [0.9098039215686274, 'rgb(190,236,234)'],
        [0.9137254901960784, 'rgb(194,237,234)'],
        [0.9176470588235294, 'rgb(197,237,235)'],
        [0.9215686274509803, 'rgb(200,238,236)'],
        [0.9254901960784314, 'rgb(203,239,236)'],
        [0.9294117647058824, 'rgb(206,240,237)'],
        [0.9333333333333333, 'rgb(209,240,238)'],
        [0.9372549019607843, 'rgb(212,241,239)'],
        [0.9411764705882353, 'rgb(215,242,240)'],
        [0.9450980392156862, 'rgb(218,243,241)'],
        [0.9490196078431372, 'rgb(221,243,241)'],
        [0.9529411764705882, 'rgb(224,244,242)'],
        [0.9568627450980393, 'rgb(227,245,243)'],
        [0.9607843137254902, 'rgb(229,246,244)'],
        [0.9647058823529412, 'rgb(232,247,245)'],
        [0.9686274509803922, 'rgb(235,248,246)'],
        [0.9725490196078431, 'rgb(237,249,247)'],
        [0.9764705882352941, 'rgb(240,249,248)'],
        [0.9803921568627451, 'rgb(243,250,249)'],
        [0.984313725490196, 'rgb(245,251,251)'],
        [0.9882352941176471, 'rgb(248,252,252)'],
        [0.9921568627450981, 'rgb(250,253,253)'],
        [0.996078431372549, 'rgb(253,254,254)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.gothic': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(0,0,1)'],
        [0.01568627450980392, 'rgb(1,1,1)'],
        [0.0196078431372549, 'rgb(1,1,2)'],
        [0.023529411764705882, 'rgb(1,1,2)'],
        [0.027450980392156862, 'rgb(2,2,3)'],
        [0.03137254901960784, 'rgb(2,2,4)'],
        [0.03529411764705882, 'rgb(3,3,6)'],
        [0.0392156862745098, 'rgb(3,4,7)'],
        [0.043137254901960784, 'rgb(4,4,9)'],
        [0.047058823529411764, 'rgb(5,5,10)'],
        [0.050980392156862744, 'rgb(5,6,12)'],
        [0.054901960784313725, 'rgb(6,7,14)'],
        [0.058823529411764705, 'rgb(7,7,16)'],
        [0.06274509803921569, 'rgb(8,8,18)'],
        [0.06666666666666667, 'rgb(9,9,19)'],
        [0.07058823529411765, 'rgb(10,10,21)'],
        [0.07450980392156863, 'rgb(11,11,23)'],
        [0.0784313725490196, 'rgb(12,12,25)'],
        [0.08235294117647059, 'rgb(13,13,27)'],
        [0.08627450980392157, 'rgb(14,14,29)'],
        [0.09019607843137255, 'rgb(15,15,31)'],
        [0.09411764705882353, 'rgb(16,16,33)'],
        [0.09803921568627451, 'rgb(17,17,35)'],
        [0.10196078431372549, 'rgb(18,18,37)'],
        [0.10588235294117647, 'rgb(19,19,39)'],
        [0.10980392156862745, 'rgb(19,19,41)'],
        [0.11372549019607843, 'rgb(20,20,43)'],
        [0.11764705882352941, 'rgb(21,21,45)'],
        [0.12156862745098039, 'rgb(22,22,47)'],
        [0.12549019607843137, 'rgb(23,23,49)'],
        [0.12941176470588237, 'rgb(24,23,51)'],
        [0.13333333333333333, 'rgb(25,24,53)'],
        [0.13725490196078433, 'rgb(26,25,55)'],
        [0.1411764705882353, 'rgb(27,26,57)'],
        [0.1450980392156863, 'rgb(28,26,60)'],
        [0.14901960784313725, 'rgb(29,27,62)'],
        [0.15294117647058825, 'rgb(30,28,64)'],
        [0.1568627450980392, 'rgb(31,28,66)'],
        [0.1607843137254902, 'rgb(32,29,69)'],
        [0.16470588235294117, 'rgb(33,30,71)'],
        [0.16862745098039217, 'rgb(34,30,73)'],
        [0.17254901960784313, 'rgb(35,31,76)'],
        [0.17647058823529413, 'rgb(36,31,78)'],
        [0.1803921568627451, 'rgb(37,32,81)'],
        [0.1843137254901961, 'rgb(38,32,83)'],
        [0.18823529411764706, 'rgb(39,33,86)'],
        [0.19215686274509805, 'rgb(40,33,88)'],
        [0.19607843137254902, 'rgb(41,34,91)'],
        [0.2, 'rgb(43,34,94)'],
        [0.20392156862745098, 'rgb(44,35,96)'],
        [0.20784313725490197, 'rgb(45,35,99)'],
        [0.21176470588235294, 'rgb(46,35,102)'],
        [0.21568627450980393, 'rgb(47,36,104)'],
        [0.2196078431372549, 'rgb(49,36,107)'],
        [0.2235294117647059, 'rgb(50,36,110)'],
        [0.22745098039215686, 'rgb(51,36,113)'],
        [0.23137254901960785, 'rgb(53,36,116)'],
        [0.23529411764705882, 'rgb(54,36,119)'],
        [0.23921568627450981, 'rgb(55,36,122)'],
        [0.24313725490196078, 'rgb(57,36,124)'],
        [0.24705882352941178, 'rgb(58,36,127)'],
        [0.25098039215686274, 'rgb(60,36,130)'],
        [0.2549019607843137, 'rgb(61,36,134)'],
        [0.25882352941176473, 'rgb(63,36,137)'],
        [0.2627450980392157, 'rgb(64,35,140)'],
        [0.26666666666666666, 'rgb(66,35,143)'],
        [0.27058823529411763, 'rgb(68,35,146)'],
        [0.27450980392156865, 'rgb(69,34,149)'],
        [0.2784313725490196, 'rgb(71,33,152)'],
        [0.2823529411764706, 'rgb(73,33,155)'],
        [0.28627450980392155, 'rgb(75,32,158)'],
        [0.2901960784313726, 'rgb(77,31,161)'],
        [0.29411764705882354, 'rgb(79,30,164)'],
        [0.2980392156862745, 'rgb(80,29,167)'],
        [0.30196078431372547, 'rgb(82,27,170)'],
        [0.3058823529411765, 'rgb(84,26,173)'],
        [0.30980392156862746, 'rgb(86,25,176)'],
        [0.3137254901960784, 'rgb(89,23,178)'],
        [0.3176470588235294, 'rgb(91,21,181)'],
        [0.3215686274509804, 'rgb(93,20,183)'],
        [0.3254901960784314, 'rgb(95,18,185)'],
        [0.32941176470588235, 'rgb(97,16,188)'],
        [0.3333333333333333, 'rgb(99,14,190)'],
        [0.33725490196078434, 'rgb(101,12,191)'],
        [0.3411764705882353, 'rgb(103,10,193)'],
        [0.34509803921568627, 'rgb(105,8,195)'],
        [0.34901960784313724, 'rgb(107,6,196)'],
        [0.35294117647058826, 'rgb(109,5,197)'],
        [0.3568627450980392, 'rgb(111,4,198)'],
        [0.3607843137254902, 'rgb(113,3,199)'],
        [0.36470588235294116, 'rgb(115,3,200)'],
        [0.3686274509803922, 'rgb(117,3,201)'],
        [0.37254901960784315, 'rgb(118,3,202)'],
        [0.3764705882352941, 'rgb(120,3,202)'],
        [0.3803921568627451, 'rgb(122,4,203)'],
        [0.3843137254901961, 'rgb(124,4,203)'],
        [0.38823529411764707, 'rgb(126,5,204)'],
        [0.39215686274509803, 'rgb(127,6,204)'],
        [0.396078431372549, 'rgb(129,8,204)'],
        [0.4, 'rgb(131,9,204)'],
        [0.403921568627451, 'rgb(133,11,204)'],
        [0.40784313725490196, 'rgb(134,13,205)'],
        [0.4117647058823529, 'rgb(136,14,205)'],
        [0.41568627450980394, 'rgb(138,16,205)'],
        [0.4196078431372549, 'rgb(139,17,205)'],
        [0.4235294117647059, 'rgb(141,19,205)'],
        [0.42745098039215684, 'rgb(143,20,204)'],
        [0.43137254901960786, 'rgb(144,22,204)'],
        [0.43529411764705883, 'rgb(146,23,204)'],
        [0.4392156862745098, 'rgb(148,25,204)'],
        [0.44313725490196076, 'rgb(149,26,204)'],
        [0.4470588235294118, 'rgb(151,28,204)'],
        [0.45098039215686275, 'rgb(153,29,203)'],
        [0.4549019607843137, 'rgb(154,30,203)'],
        [0.4588235294117647, 'rgb(156,32,203)'],
        [0.4627450980392157, 'rgb(158,33,203)'],
        [0.4666666666666667, 'rgb(159,34,203)'],
        [0.47058823529411764, 'rgb(161,35,202)'],
        [0.4745098039215686, 'rgb(163,37,202)'],
        [0.47843137254901963, 'rgb(164,38,202)'],
        [0.4823529411764706, 'rgb(166,39,201)'],
        [0.48627450980392156, 'rgb(167,40,201)'],
        [0.49019607843137253, 'rgb(169,41,201)'],
        [0.49411764705882355, 'rgb(171,42,200)'],
        [0.4980392156862745, 'rgb(172,44,200)'],
        [0.5019607843137255, 'rgb(174,45,200)'],
        [0.5058823529411764, 'rgb(176,46,199)'],
        [0.5098039215686274, 'rgb(177,47,199)'],
        [0.5137254901960784, 'rgb(179,48,198)'],
        [0.5176470588235295, 'rgb(180,49,198)'],
        [0.5215686274509804, 'rgb(182,50,198)'],
        [0.5254901960784314, 'rgb(184,52,197)'],
        [0.5294117647058824, 'rgb(185,53,197)'],
        [0.5333333333333333, 'rgb(187,54,196)'],
        [0.5372549019607843, 'rgb(188,55,196)'],
        [0.5411764705882353, 'rgb(190,56,195)'],
        [0.5450980392156862, 'rgb(191,57,195)'],
        [0.5490196078431373, 'rgb(193,59,194)'],
        [0.5529411764705883, 'rgb(194,60,193)'],
        [0.5568627450980392, 'rgb(196,61,193)'],
        [0.5607843137254902, 'rgb(197,63,192)'],
        [0.5647058823529412, 'rgb(199,64,191)'],
        [0.5686274509803921, 'rgb(200,65,191)'],
        [0.5725490196078431, 'rgb(201,67,190)'],
        [0.5764705882352941, 'rgb(203,69,189)'],
        [0.5803921568627451, 'rgb(204,71,188)'],
        [0.5843137254901961, 'rgb(205,73,188)'],
        [0.5882352941176471, 'rgb(205,75,187)'],
        [0.592156862745098, 'rgb(206,78,186)'],
        [0.596078431372549, 'rgb(206,80,186)'],
        [0.6, 'rgb(206,83,186)'],
        [0.6039215686274509, 'rgb(206,86,186)'],
        [0.6078431372549019, 'rgb(206,88,186)'],
        [0.611764705882353, 'rgb(206,91,187)'],
        [0.615686274509804, 'rgb(206,93,187)'],
        [0.6196078431372549, 'rgb(205,96,188)'],
        [0.6235294117647059, 'rgb(205,98,189)'],
        [0.6274509803921569, 'rgb(205,100,190)'],
        [0.6313725490196078, 'rgb(205,103,191)'],
        [0.6352941176470588, 'rgb(205,105,192)'],
        [0.6392156862745098, 'rgb(205,107,193)'],
        [0.6431372549019608, 'rgb(205,109,194)'],
        [0.6470588235294118, 'rgb(205,111,195)'],
        [0.6509803921568628, 'rgb(205,113,196)'],
        [0.6549019607843137, 'rgb(204,115,197)'],
        [0.6588235294117647, 'rgb(204,117,199)'],
        [0.6627450980392157, 'rgb(204,119,200)'],
        [0.6666666666666666, 'rgb(204,121,201)'],
        [0.6705882352941176, 'rgb(204,123,202)'],
        [0.6745098039215687, 'rgb(204,125,203)'],
        [0.6784313725490196, 'rgb(204,127,205)'],
        [0.6823529411764706, 'rgb(204,129,206)'],
        [0.6862745098039216, 'rgb(204,130,207)'],
        [0.6901960784313725, 'rgb(204,132,208)'],
        [0.6941176470588235, 'rgb(204,134,209)'],
        [0.6980392156862745, 'rgb(204,136,211)'],
        [0.7019607843137254, 'rgb(204,138,212)'],
        [0.7058823529411765, 'rgb(203,140,213)'],
        [0.7098039215686275, 'rgb(203,141,214)'],
        [0.7137254901960784, 'rgb(203,143,215)'],
        [0.7176470588235294, 'rgb(203,145,217)'],
        [0.7215686274509804, 'rgb(203,147,218)'],
        [0.7254901960784313, 'rgb(203,148,219)'],
        [0.7294117647058823, 'rgb(203,150,220)'],
        [0.7333333333333333, 'rgb(203,152,221)'],
        [0.7372549019607844, 'rgb(203,154,222)'],
        [0.7411764705882353, 'rgb(203,155,224)'],
        [0.7450980392156863, 'rgb(203,157,225)'],
        [0.7490196078431373, 'rgb(203,159,226)'],
        [0.7529411764705882, 'rgb(203,160,227)'],
        [0.7568627450980392, 'rgb(203,162,228)'],
        [0.7607843137254902, 'rgb(203,164,229)'],
        [0.7647058823529411, 'rgb(203,165,230)'],
        [0.7686274509803922, 'rgb(203,167,231)'],
        [0.7725490196078432, 'rgb(203,169,232)'],
        [0.7764705882352941, 'rgb(203,171,233)'],
        [0.7803921568627451, 'rgb(203,172,234)'],
        [0.7843137254901961, 'rgb(203,174,235)'],
        [0.788235294117647, 'rgb(203,176,236)'],
        [0.792156862745098, 'rgb(203,177,237)'],
        [0.796078431372549, 'rgb(203,179,238)'],
        [0.8, 'rgb(203,181,239)'],
        [0.803921568627451, 'rgb(204,182,240)'],
        [0.807843137254902, 'rgb(204,184,241)'],
        [0.8117647058823529, 'rgb(204,186,241)'],
        [0.8156862745098039, 'rgb(204,187,242)'],
        [0.8196078431372549, 'rgb(204,189,243)'],
        [0.8235294117647058, 'rgb(204,191,243)'],
        [0.8274509803921568, 'rgb(205,192,244)'],
        [0.8313725490196079, 'rgb(205,194,244)'],
        [0.8352941176470589, 'rgb(205,195,245)'],
        [0.8392156862745098, 'rgb(206,197,245)'],
        [0.8431372549019608, 'rgb(206,199,246)'],
        [0.8470588235294118, 'rgb(206,200,246)'],
        [0.8509803921568627, 'rgb(207,202,246)'],
        [0.8549019607843137, 'rgb(207,203,246)'],
        [0.8588235294117647, 'rgb(208,205,246)'],
        [0.8627450980392157, 'rgb(209,207,247)'],
        [0.8666666666666667, 'rgb(210,208,247)'],
        [0.8705882352941177, 'rgb(210,210,247)'],
        [0.8745098039215686, 'rgb(211,211,247)'],
        [0.8784313725490196, 'rgb(212,213,247)'],
        [0.8823529411764706, 'rgb(213,214,247)'],
        [0.8862745098039215, 'rgb(214,216,247)'],
        [0.8901960784313725, 'rgb(215,217,247)'],
        [0.8941176470588236, 'rgb(216,218,247)'],
        [0.8980392156862745, 'rgb(217,220,247)'],
        [0.9019607843137255, 'rgb(219,221,247)'],
        [0.9058823529411765, 'rgb(220,223,247)'],
        [0.9098039215686274, 'rgb(221,224,247)'],
        [0.9137254901960784, 'rgb(222,225,248)'],
        [0.9176470588235294, 'rgb(224,227,248)'],
        [0.9215686274509803, 'rgb(225,228,248)'],
        [0.9254901960784314, 'rgb(226,229,248)'],
        [0.9294117647058824, 'rgb(228,231,248)'],
        [0.9333333333333333, 'rgb(229,232,248)'],
        [0.9372549019607843, 'rgb(230,234,248)'],
        [0.9411764705882353, 'rgb(232,235,249)'],
        [0.9450980392156862, 'rgb(233,236,249)'],
        [0.9490196078431372, 'rgb(235,238,249)'],
        [0.9529411764705882, 'rgb(236,239,250)'],
        [0.9568627450980393, 'rgb(238,240,250)'],
        [0.9607843137254902, 'rgb(239,242,250)'],
        [0.9647058823529412, 'rgb(241,243,251)'],
        [0.9686274509803922, 'rgb(242,244,251)'],
        [0.9725490196078431, 'rgb(244,246,251)'],
        [0.9764705882352941, 'rgb(246,247,252)'],
        [0.9803921568627451, 'rgb(247,248,252)'],
        [0.984313725490196, 'rgb(249,250,253)'],
        [0.9882352941176471, 'rgb(250,251,253)'],
        [0.9921568627450981, 'rgb(252,252,254)'],
        [0.996078431372549, 'rgb(253,254,254)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.heat': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(0,0,1)'],
        [0.01568627450980392, 'rgb(1,1,1)'],
        [0.0196078431372549, 'rgb(1,1,2)'],
        [0.023529411764705882, 'rgb(1,2,3)'],
        [0.027450980392156862, 'rgb(1,2,4)'],
        [0.03137254901960784, 'rgb(1,3,5)'],
        [0.03529411764705882, 'rgb(2,3,6)'],
        [0.0392156862745098, 'rgb(2,4,8)'],
        [0.043137254901960784, 'rgb(2,5,10)'],
        [0.047058823529411764, 'rgb(3,6,12)'],
        [0.050980392156862744, 'rgb(3,7,14)'],
        [0.054901960784313725, 'rgb(3,8,16)'],
        [0.058823529411764705, 'rgb(3,9,18)'],
        [0.06274509803921569, 'rgb(4,10,20)'],
        [0.06666666666666667, 'rgb(4,11,22)'],
        [0.07058823529411765, 'rgb(4,12,24)'],
        [0.07450980392156863, 'rgb(4,13,26)'],
        [0.0784313725490196, 'rgb(4,14,28)'],
        [0.08235294117647059, 'rgb(4,15,30)'],
        [0.08627450980392157, 'rgb(4,16,32)'],
        [0.09019607843137255, 'rgb(4,18,35)'],
        [0.09411764705882353, 'rgb(4,19,37)'],
        [0.09803921568627451, 'rgb(4,20,39)'],
        [0.10196078431372549, 'rgb(4,21,41)'],
        [0.10588235294117647, 'rgb(4,22,44)'],
        [0.10980392156862745, 'rgb(4,23,46)'],
        [0.11372549019607843, 'rgb(4,24,49)'],
        [0.11764705882352941, 'rgb(4,25,51)'],
        [0.12156862745098039, 'rgb(4,25,54)'],
        [0.12549019607843137, 'rgb(3,26,56)'],
        [0.12941176470588237, 'rgb(3,27,59)'],
        [0.13333333333333333, 'rgb(3,28,62)'],
        [0.13725490196078433, 'rgb(3,29,64)'],
        [0.1411764705882353, 'rgb(2,30,67)'],
        [0.1450980392156863, 'rgb(2,31,70)'],
        [0.14901960784313725, 'rgb(2,31,73)'],
        [0.15294117647058825, 'rgb(2,32,76)'],
        [0.1568627450980392, 'rgb(1,33,79)'],
        [0.1607843137254902, 'rgb(1,34,82)'],
        [0.16470588235294117, 'rgb(1,34,85)'],
        [0.16862745098039217, 'rgb(2,35,88)'],
        [0.17254901960784313, 'rgb(2,35,91)'],
        [0.17647058823529413, 'rgb(3,36,95)'],
        [0.1803921568627451, 'rgb(4,36,98)'],
        [0.1843137254901961, 'rgb(5,37,101)'],
        [0.18823529411764706, 'rgb(7,37,104)'],
        [0.19215686274509805, 'rgb(9,37,108)'],
        [0.19607843137254902, 'rgb(12,37,111)'],
        [0.2, 'rgb(16,37,113)'],
        [0.20392156862745098, 'rgb(19,37,116)'],
        [0.20784313725490197, 'rgb(22,37,118)'],
        [0.21176470588235294, 'rgb(25,38,120)'],
        [0.21568627450980393, 'rgb(29,38,121)'],
        [0.2196078431372549, 'rgb(32,38,122)'],
        [0.2235294117647059, 'rgb(34,39,123)'],
        [0.22745098039215686, 'rgb(37,39,123)'],
        [0.23137254901960785, 'rgb(40,40,124)'],
        [0.23529411764705882, 'rgb(42,41,124)'],
        [0.23921568627450981, 'rgb(45,41,124)'],
        [0.24313725490196078, 'rgb(47,42,124)'],
        [0.24705882352941178, 'rgb(49,43,124)'],
        [0.25098039215686274, 'rgb(51,43,124)'],
        [0.2549019607843137, 'rgb(53,44,124)'],
        [0.25882352941176473, 'rgb(55,45,124)'],
        [0.2627450980392157, 'rgb(57,46,123)'],
        [0.26666666666666666, 'rgb(59,46,123)'],
        [0.27058823529411763, 'rgb(61,47,123)'],
        [0.27450980392156865, 'rgb(63,48,123)'],
        [0.2784313725490196, 'rgb(65,48,123)'],
        [0.2823529411764706, 'rgb(67,49,123)'],
        [0.28627450980392155, 'rgb(69,50,122)'],
        [0.2901960784313726, 'rgb(71,51,122)'],
        [0.29411764705882354, 'rgb(72,51,122)'],
        [0.2980392156862745, 'rgb(74,52,122)'],
        [0.30196078431372547, 'rgb(76,53,122)'],
        [0.3058823529411765, 'rgb(78,54,122)'],
        [0.30980392156862746, 'rgb(79,54,122)'],
        [0.3137254901960784, 'rgb(81,55,122)'],
        [0.3176470588235294, 'rgb(83,56,121)'],
        [0.3215686274509804, 'rgb(85,56,121)'],
        [0.3254901960784314, 'rgb(86,57,121)'],
        [0.32941176470588235, 'rgb(88,58,121)'],
        [0.3333333333333333, 'rgb(90,58,121)'],
        [0.33725490196078434, 'rgb(92,59,121)'],
        [0.3411764705882353, 'rgb(93,60,121)'],
        [0.34509803921568627, 'rgb(95,60,121)'],
        [0.34901960784313724, 'rgb(97,61,121)'],
        [0.35294117647058826, 'rgb(98,61,121)'],
        [0.3568627450980392, 'rgb(100,62,121)'],
        [0.3607843137254902, 'rgb(102,63,121)'],
        [0.36470588235294116, 'rgb(104,63,121)'],
        [0.3686274509803922, 'rgb(105,64,121)'],
        [0.37254901960784315, 'rgb(107,64,121)'],
        [0.3764705882352941, 'rgb(109,65,121)'],
        [0.3803921568627451, 'rgb(111,65,121)'],
        [0.3843137254901961, 'rgb(112,66,121)'],
        [0.38823529411764707, 'rgb(114,67,121)'],
        [0.39215686274509803, 'rgb(116,67,121)'],
        [0.396078431372549, 'rgb(118,68,121)'],
        [0.4, 'rgb(119,68,121)'],
        [0.403921568627451, 'rgb(121,69,121)'],
        [0.40784313725490196, 'rgb(123,69,120)'],
        [0.4117647058823529, 'rgb(125,70,120)'],
        [0.41568627450980394, 'rgb(127,70,120)'],
        [0.4196078431372549, 'rgb(129,70,120)'],
        [0.4235294117647059, 'rgb(130,71,120)'],
        [0.42745098039215684, 'rgb(132,71,120)'],
        [0.43137254901960786, 'rgb(134,72,120)'],
        [0.43529411764705883, 'rgb(136,72,120)'],
        [0.4392156862745098, 'rgb(138,73,119)'],
        [0.44313725490196076, 'rgb(140,73,119)'],
        [0.4470588235294118, 'rgb(142,73,119)'],
        [0.45098039215686275, 'rgb(144,74,119)'],
        [0.4549019607843137, 'rgb(145,74,118)'],
        [0.4588235294117647, 'rgb(147,75,118)'],
        [0.4627450980392157, 'rgb(149,75,118)'],
        [0.4666666666666667, 'rgb(151,75,117)'],
        [0.47058823529411764, 'rgb(153,76,117)'],
        [0.4745098039215686, 'rgb(155,76,117)'],
        [0.47843137254901963, 'rgb(157,76,116)'],
        [0.4823529411764706, 'rgb(159,77,116)'],
        [0.48627450980392156, 'rgb(161,77,115)'],
        [0.49019607843137253, 'rgb(163,77,115)'],
        [0.49411764705882355, 'rgb(165,78,114)'],
        [0.4980392156862745, 'rgb(167,78,114)'],
        [0.5019607843137255, 'rgb(169,78,113)'],
        [0.5058823529411764, 'rgb(171,78,112)'],
        [0.5098039215686274, 'rgb(173,79,112)'],
        [0.5137254901960784, 'rgb(175,79,111)'],
        [0.5176470588235295, 'rgb(177,79,110)'],
        [0.5215686274509804, 'rgb(179,80,109)'],
        [0.5254901960784314, 'rgb(181,80,109)'],
        [0.5294117647058824, 'rgb(183,80,108)'],
        [0.5333333333333333, 'rgb(185,80,107)'],
        [0.5372549019607843, 'rgb(187,81,106)'],
        [0.5411764705882353, 'rgb(189,81,105)'],
        [0.5450980392156862, 'rgb(191,81,104)'],
        [0.5490196078431373, 'rgb(193,82,103)'],
        [0.5529411764705883, 'rgb(195,82,102)'],
        [0.5568627450980392, 'rgb(197,82,101)'],
        [0.5607843137254902, 'rgb(199,83,100)'],
        [0.5647058823529412, 'rgb(201,83,99)'],
        [0.5686274509803921, 'rgb(203,83,98)'],
        [0.5725490196078431, 'rgb(205,83,97)'],
        [0.5764705882352941, 'rgb(207,84,95)'],
        [0.5803921568627451, 'rgb(209,84,94)'],
        [0.5843137254901961, 'rgb(211,84,93)'],
        [0.5882352941176471, 'rgb(213,85,91)'],
        [0.592156862745098, 'rgb(215,85,90)'],
        [0.596078431372549, 'rgb(217,86,89)'],
        [0.6, 'rgb(219,86,87)'],
        [0.6039215686274509, 'rgb(221,86,86)'],
        [0.6078431372549019, 'rgb(223,87,84)'],
        [0.611764705882353, 'rgb(225,87,83)'],
        [0.615686274509804, 'rgb(227,88,81)'],
        [0.6196078431372549, 'rgb(229,88,80)'],
        [0.6235294117647059, 'rgb(230,89,78)'],
        [0.6274509803921569, 'rgb(232,90,76)'],
        [0.6313725490196078, 'rgb(234,90,74)'],
        [0.6352941176470588, 'rgb(236,91,73)'],
        [0.6392156862745098, 'rgb(237,92,71)'],
        [0.6431372549019608, 'rgb(239,93,69)'],
        [0.6470588235294118, 'rgb(241,94,67)'],
        [0.6509803921568628, 'rgb(242,95,66)'],
        [0.6549019607843137, 'rgb(243,96,64)'],
        [0.6588235294117647, 'rgb(245,97,62)'],
        [0.6627450980392157, 'rgb(246,98,60)'],
        [0.6666666666666666, 'rgb(247,99,59)'],
        [0.6705882352941176, 'rgb(249,101,57)'],
        [0.6745098039215687, 'rgb(250,102,55)'],
        [0.6784313725490196, 'rgb(251,104,54)'],
        [0.6823529411764706, 'rgb(251,105,53)'],
        [0.6862745098039216, 'rgb(252,107,51)'],
        [0.6901960784313725, 'rgb(253,109,50)'],
        [0.6941176470588235, 'rgb(253,111,50)'],
        [0.6980392156862745, 'rgb(254,113,49)'],
        [0.7019607843137254, 'rgb(254,115,49)'],
        [0.7058823529411765, 'rgb(254,117,49)'],
        [0.7098039215686275, 'rgb(255,120,49)'],
        [0.7137254901960784, 'rgb(255,122,50)'],
        [0.7176470588235294, 'rgb(255,124,50)'],
        [0.7215686274509804, 'rgb(255,126,51)'],
        [0.7254901960784313, 'rgb(255,129,53)'],
        [0.7294117647058823, 'rgb(255,131,54)'],
        [0.7333333333333333, 'rgb(255,133,56)'],
        [0.7372549019607844, 'rgb(255,135,57)'],
        [0.7411764705882353, 'rgb(254,138,59)'],
        [0.7450980392156863, 'rgb(254,140,61)'],
        [0.7490196078431373, 'rgb(254,142,63)'],
        [0.7529411764705882, 'rgb(254,144,66)'],
        [0.7568627450980392, 'rgb(253,147,68)'],
        [0.7607843137254902, 'rgb(253,149,70)'],
        [0.7647058823529411, 'rgb(253,151,73)'],
        [0.7686274509803922, 'rgb(253,153,75)'],
        [0.7725490196078432, 'rgb(252,155,78)'],
        [0.7764705882352941, 'rgb(252,158,81)'],
        [0.7803921568627451, 'rgb(252,160,83)'],
        [0.7843137254901961, 'rgb(251,162,86)'],
        [0.788235294117647, 'rgb(251,164,89)'],
        [0.792156862745098, 'rgb(251,166,92)'],
        [0.796078431372549, 'rgb(250,168,95)'],
        [0.8, 'rgb(250,170,98)'],
        [0.803921568627451, 'rgb(250,172,101)'],
        [0.807843137254902, 'rgb(249,174,104)'],
        [0.8117647058823529, 'rgb(249,176,107)'],
        [0.8156862745098039, 'rgb(248,178,110)'],
        [0.8196078431372549, 'rgb(248,180,113)'],
        [0.8235294117647058, 'rgb(248,182,116)'],
        [0.8274509803921568, 'rgb(247,184,119)'],
        [0.8313725490196079, 'rgb(247,186,122)'],
        [0.8352941176470589, 'rgb(247,188,125)'],
        [0.8392156862745098, 'rgb(246,189,128)'],
        [0.8431372549019608, 'rgb(246,191,132)'],
        [0.8470588235294118, 'rgb(246,193,135)'],
        [0.8509803921568627, 'rgb(246,195,138)'],
        [0.8549019607843137, 'rgb(245,197,141)'],
        [0.8588235294117647, 'rgb(245,199,144)'],
        [0.8627450980392157, 'rgb(245,200,148)'],
        [0.8666666666666667, 'rgb(245,202,151)'],
        [0.8705882352941177, 'rgb(244,204,154)'],
        [0.8745098039215686, 'rgb(244,206,157)'],
        [0.8784313725490196, 'rgb(244,207,161)'],
        [0.8823529411764706, 'rgb(244,209,164)'],
        [0.8862745098039215, 'rgb(244,211,167)'],
        [0.8901960784313725, 'rgb(244,213,170)'],
        [0.8941176470588236, 'rgb(244,214,174)'],
        [0.8980392156862745, 'rgb(243,216,177)'],
        [0.9019607843137255, 'rgb(243,218,180)'],
        [0.9058823529411765, 'rgb(243,219,183)'],
        [0.9098039215686274, 'rgb(243,221,187)'],
        [0.9137254901960784, 'rgb(243,222,190)'],
        [0.9176470588235294, 'rgb(244,224,193)'],
        [0.9215686274509803, 'rgb(244,226,196)'],
        [0.9254901960784314, 'rgb(244,227,200)'],
        [0.9294117647058824, 'rgb(244,229,203)'],
        [0.9333333333333333, 'rgb(244,230,206)'],
        [0.9372549019607843, 'rgb(244,232,209)'],
        [0.9411764705882353, 'rgb(245,234,212)'],
        [0.9450980392156862, 'rgb(245,235,216)'],
        [0.9490196078431372, 'rgb(245,237,219)'],
        [0.9529411764705882, 'rgb(246,238,222)'],
        [0.9568627450980393, 'rgb(246,240,225)'],
        [0.9607843137254902, 'rgb(246,241,228)'],
        [0.9647058823529412, 'rgb(247,242,231)'],
        [0.9686274509803922, 'rgb(248,244,234)'],
        [0.9725490196078431, 'rgb(248,245,237)'],
        [0.9764705882352941, 'rgb(249,247,240)'],
        [0.9803921568627451, 'rgb(250,248,243)'],
        [0.984313725490196, 'rgb(251,249,246)'],
        [0.9882352941176471, 'rgb(252,251,248)'],
        [0.9921568627450981, 'rgb(253,252,250)'],
        [0.996078431372549, 'rgb(254,254,253)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.horizon': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(0,0,0)'],
        [0.01568627450980392, 'rgb(1,1,0)'],
        [0.0196078431372549, 'rgb(1,1,0)'],
        [0.023529411764705882, 'rgb(2,2,1)'],
        [0.027450980392156862, 'rgb(2,2,1)'],
        [0.03137254901960784, 'rgb(3,3,1)'],
        [0.03529411764705882, 'rgb(4,3,1)'],
        [0.0392156862745098, 'rgb(4,4,1)'],
        [0.043137254901960784, 'rgb(5,5,1)'],
        [0.047058823529411764, 'rgb(6,5,1)'],
        [0.050980392156862744, 'rgb(7,6,1)'],
        [0.054901960784313725, 'rgb(8,7,2)'],
        [0.058823529411764705, 'rgb(9,8,2)'],
        [0.06274509803921569, 'rgb(11,9,2)'],
        [0.06666666666666667, 'rgb(12,10,2)'],
        [0.07058823529411765, 'rgb(13,11,2)'],
        [0.07450980392156863, 'rgb(14,12,2)'],
        [0.0784313725490196, 'rgb(15,14,2)'],
        [0.08235294117647059, 'rgb(16,15,2)'],
        [0.08627450980392157, 'rgb(17,16,2)'],
        [0.09019607843137255, 'rgb(18,17,2)'],
        [0.09411764705882353, 'rgb(19,18,2)'],
        [0.09803921568627451, 'rgb(20,19,2)'],
        [0.10196078431372549, 'rgb(21,20,2)'],
        [0.10588235294117647, 'rgb(22,21,2)'],
        [0.10980392156862745, 'rgb(23,22,2)'],
        [0.11372549019607843, 'rgb(24,23,2)'],
        [0.11764705882352941, 'rgb(25,24,2)'],
        [0.12156862745098039, 'rgb(26,25,1)'],
        [0.12549019607843137, 'rgb(27,27,1)'],
        [0.12941176470588237, 'rgb(28,28,1)'],
        [0.13333333333333333, 'rgb(28,29,1)'],
        [0.13725490196078433, 'rgb(29,30,1)'],
        [0.1411764705882353, 'rgb(30,31,1)'],
        [0.1450980392156863, 'rgb(30,32,1)'],
        [0.14901960784313725, 'rgb(31,33,1)'],
        [0.15294117647058825, 'rgb(31,34,1)'],
        [0.1568627450980392, 'rgb(32,35,0)'],
        [0.1607843137254902, 'rgb(32,37,0)'],
        [0.16470588235294117, 'rgb(33,38,0)'],
        [0.16862745098039217, 'rgb(33,39,0)'],
        [0.17254901960784313, 'rgb(33,40,1)'],
        [0.17647058823529413, 'rgb(33,41,1)'],
        [0.1803921568627451, 'rgb(34,43,1)'],
        [0.1843137254901961, 'rgb(34,44,1)'],
        [0.18823529411764706, 'rgb(34,45,2)'],
        [0.19215686274509805, 'rgb(33,46,2)'],
        [0.19607843137254902, 'rgb(33,48,3)'],
        [0.2, 'rgb(33,49,4)'],
        [0.20392156862745098, 'rgb(33,50,5)'],
        [0.20784313725490197, 'rgb(33,51,6)'],
        [0.21176470588235294, 'rgb(32,53,7)'],
        [0.21568627450980393, 'rgb(32,54,8)'],
        [0.2196078431372549, 'rgb(32,55,10)'],
        [0.2235294117647059, 'rgb(31,56,11)'],
        [0.22745098039215686, 'rgb(31,57,13)'],
        [0.23137254901960785, 'rgb(30,59,15)'],
        [0.23529411764705882, 'rgb(30,60,17)'],
        [0.23921568627450981, 'rgb(29,61,18)'],
        [0.24313725490196078, 'rgb(29,62,20)'],
        [0.24705882352941178, 'rgb(28,63,22)'],
        [0.25098039215686274, 'rgb(28,64,24)'],
        [0.2549019607843137, 'rgb(27,66,25)'],
        [0.25882352941176473, 'rgb(27,67,27)'],
        [0.2627450980392157, 'rgb(26,68,29)'],
        [0.26666666666666666, 'rgb(26,69,31)'],
        [0.27058823529411763, 'rgb(25,70,33)'],
        [0.27450980392156865, 'rgb(25,71,34)'],
        [0.2784313725490196, 'rgb(24,72,36)'],
        [0.2823529411764706, 'rgb(24,73,38)'],
        [0.28627450980392155, 'rgb(24,74,40)'],
        [0.2901960784313726, 'rgb(23,75,42)'],
        [0.29411764705882354, 'rgb(23,76,43)'],
        [0.2980392156862745, 'rgb(22,77,45)'],
        [0.30196078431372547, 'rgb(22,78,47)'],
        [0.3058823529411765, 'rgb(22,80,49)'],
        [0.30980392156862746, 'rgb(22,81,51)'],
        [0.3137254901960784, 'rgb(21,82,53)'],
        [0.3176470588235294, 'rgb(21,83,54)'],
        [0.3215686274509804, 'rgb(21,84,56)'],
        [0.3254901960784314, 'rgb(21,85,58)'],
        [0.32941176470588235, 'rgb(21,86,60)'],
        [0.3333333333333333, 'rgb(21,87,62)'],
        [0.33725490196078434, 'rgb(21,88,64)'],
        [0.3411764705882353, 'rgb(21,89,65)'],
        [0.34509803921568627, 'rgb(21,89,67)'],
        [0.34901960784313724, 'rgb(21,90,69)'],
        [0.35294117647058826, 'rgb(22,91,71)'],
        [0.3568627450980392, 'rgb(22,92,73)'],
        [0.3607843137254902, 'rgb(22,93,74)'],
        [0.36470588235294116, 'rgb(23,94,76)'],
        [0.3686274509803922, 'rgb(23,95,78)'],
        [0.37254901960784315, 'rgb(24,96,80)'],
        [0.3764705882352941, 'rgb(24,97,82)'],
        [0.3803921568627451, 'rgb(25,98,84)'],
        [0.3843137254901961, 'rgb(25,99,85)'],
        [0.38823529411764707, 'rgb(26,100,87)'],
        [0.39215686274509803, 'rgb(26,101,89)'],
        [0.396078431372549, 'rgb(27,102,91)'],
        [0.4, 'rgb(28,103,93)'],
        [0.403921568627451, 'rgb(29,104,94)'],
        [0.40784313725490196, 'rgb(29,104,96)'],
        [0.4117647058823529, 'rgb(30,105,98)'],
        [0.41568627450980394, 'rgb(31,106,100)'],
        [0.4196078431372549, 'rgb(32,107,102)'],
        [0.4235294117647059, 'rgb(33,108,104)'],
        [0.42745098039215684, 'rgb(33,109,105)'],
        [0.43137254901960786, 'rgb(34,110,107)'],
        [0.43529411764705883, 'rgb(35,111,109)'],
        [0.4392156862745098, 'rgb(36,112,111)'],
        [0.44313725490196076, 'rgb(37,113,113)'],
        [0.4470588235294118, 'rgb(38,113,115)'],
        [0.45098039215686275, 'rgb(39,114,117)'],
        [0.4549019607843137, 'rgb(40,115,118)'],
        [0.4588235294117647, 'rgb(41,116,120)'],
        [0.4627450980392157, 'rgb(42,117,122)'],
        [0.4666666666666667, 'rgb(43,118,124)'],
        [0.47058823529411764, 'rgb(44,119,126)'],
        [0.4745098039215686, 'rgb(45,120,128)'],
        [0.47843137254901963, 'rgb(46,120,130)'],
        [0.4823529411764706, 'rgb(47,121,132)'],
        [0.48627450980392156, 'rgb(48,122,134)'],
        [0.49019607843137253, 'rgb(49,123,136)'],
        [0.49411764705882355, 'rgb(51,124,137)'],
        [0.4980392156862745, 'rgb(52,125,139)'],
        [0.5019607843137255, 'rgb(53,126,141)'],
        [0.5058823529411764, 'rgb(54,127,143)'],
        [0.5098039215686274, 'rgb(55,127,145)'],
        [0.5137254901960784, 'rgb(56,128,147)'],
        [0.5176470588235295, 'rgb(58,129,149)'],
        [0.5215686274509804, 'rgb(59,130,151)'],
        [0.5254901960784314, 'rgb(60,131,153)'],
        [0.5294117647058824, 'rgb(61,132,155)'],
        [0.5333333333333333, 'rgb(63,132,157)'],
        [0.5372549019607843, 'rgb(64,133,159)'],
        [0.5411764705882353, 'rgb(65,134,161)'],
        [0.5450980392156862, 'rgb(67,135,163)'],
        [0.5490196078431373, 'rgb(68,136,165)'],
        [0.5529411764705883, 'rgb(69,136,167)'],
        [0.5568627450980392, 'rgb(71,137,169)'],
        [0.5607843137254902, 'rgb(72,138,171)'],
        [0.5647058823529412, 'rgb(74,139,173)'],
        [0.5686274509803921, 'rgb(75,140,175)'],
        [0.5725490196078431, 'rgb(77,140,177)'],
        [0.5764705882352941, 'rgb(78,141,179)'],
        [0.5803921568627451, 'rgb(80,142,181)'],
        [0.5843137254901961, 'rgb(81,143,183)'],
        [0.5882352941176471, 'rgb(83,143,185)'],
        [0.592156862745098, 'rgb(85,144,187)'],
        [0.596078431372549, 'rgb(86,145,189)'],
        [0.6, 'rgb(88,146,191)'],
        [0.6039215686274509, 'rgb(90,146,193)'],
        [0.6078431372549019, 'rgb(91,147,195)'],
        [0.611764705882353, 'rgb(93,148,197)'],
        [0.615686274509804, 'rgb(95,149,199)'],
        [0.6196078431372549, 'rgb(97,149,201)'],
        [0.6235294117647059, 'rgb(99,150,203)'],
        [0.6274509803921569, 'rgb(100,151,205)'],
        [0.6313725490196078, 'rgb(102,151,207)'],
        [0.6352941176470588, 'rgb(104,152,209)'],
        [0.6392156862745098, 'rgb(106,153,211)'],
        [0.6431372549019608, 'rgb(108,153,213)'],
        [0.6470588235294118, 'rgb(110,154,215)'],
        [0.6509803921568628, 'rgb(112,155,217)'],
        [0.6549019607843137, 'rgb(114,155,219)'],
        [0.6588235294117647, 'rgb(116,156,220)'],
        [0.6627450980392157, 'rgb(118,157,222)'],
        [0.6666666666666666, 'rgb(121,157,224)'],
        [0.6705882352941176, 'rgb(123,158,226)'],
        [0.6745098039215687, 'rgb(125,159,227)'],
        [0.6784313725490196, 'rgb(127,159,229)'],
        [0.6823529411764706, 'rgb(129,160,231)'],
        [0.6862745098039216, 'rgb(132,160,232)'],
        [0.6901960784313725, 'rgb(134,161,234)'],
        [0.6941176470588235, 'rgb(136,162,235)'],
        [0.6980392156862745, 'rgb(138,162,236)'],
        [0.7019607843137254, 'rgb(141,163,238)'],
        [0.7058823529411765, 'rgb(143,164,239)'],
        [0.7098039215686275, 'rgb(146,164,240)'],
        [0.7137254901960784, 'rgb(148,165,241)'],
        [0.7176470588235294, 'rgb(150,165,242)'],
        [0.7215686274509804, 'rgb(153,166,243)'],
        [0.7254901960784313, 'rgb(155,167,243)'],
        [0.7294117647058823, 'rgb(157,168,244)'],
        [0.7333333333333333, 'rgb(160,168,245)'],
        [0.7372549019607844, 'rgb(162,169,245)'],
        [0.7411764705882353, 'rgb(164,170,245)'],
        [0.7450980392156863, 'rgb(166,171,246)'],
        [0.7490196078431373, 'rgb(168,171,246)'],
        [0.7529411764705882, 'rgb(171,172,246)'],
        [0.7568627450980392, 'rgb(173,173,246)'],
        [0.7607843137254902, 'rgb(175,174,246)'],
        [0.7647058823529411, 'rgb(177,175,246)'],
        [0.7686274509803922, 'rgb(179,176,246)'],
        [0.7725490196078432, 'rgb(181,177,246)'],
        [0.7764705882352941, 'rgb(182,178,246)'],
        [0.7803921568627451, 'rgb(184,179,245)'],
        [0.7843137254901961, 'rgb(186,180,245)'],
        [0.788235294117647, 'rgb(188,181,245)'],
        [0.792156862745098, 'rgb(189,182,245)'],
        [0.796078431372549, 'rgb(191,183,244)'],
        [0.8, 'rgb(193,185,244)'],
        [0.803921568627451, 'rgb(194,186,244)'],
        [0.807843137254902, 'rgb(196,187,244)'],
        [0.8117647058823529, 'rgb(197,188,243)'],
        [0.8156862745098039, 'rgb(199,189,243)'],
        [0.8196078431372549, 'rgb(200,191,243)'],
        [0.8235294117647058, 'rgb(202,192,243)'],
        [0.8274509803921568, 'rgb(203,193,243)'],
        [0.8313725490196079, 'rgb(205,194,242)'],
        [0.8352941176470589, 'rgb(206,196,242)'],
        [0.8392156862745098, 'rgb(207,197,242)'],
        [0.8431372549019608, 'rgb(209,198,242)'],
        [0.8470588235294118, 'rgb(210,199,242)'],
        [0.8509803921568627, 'rgb(211,201,242)'],
        [0.8549019607843137, 'rgb(212,202,242)'],
        [0.8588235294117647, 'rgb(214,203,242)'],
        [0.8627450980392157, 'rgb(215,205,242)'],
        [0.8666666666666667, 'rgb(216,206,242)'],
        [0.8705882352941177, 'rgb(217,207,242)'],
        [0.8745098039215686, 'rgb(218,209,242)'],
        [0.8784313725490196, 'rgb(220,210,242)'],
        [0.8823529411764706, 'rgb(221,212,242)'],
        [0.8862745098039215, 'rgb(222,213,242)'],
        [0.8901960784313725, 'rgb(223,214,242)'],
        [0.8941176470588236, 'rgb(224,216,242)'],
        [0.8980392156862745, 'rgb(226,217,242)'],
        [0.9019607843137255, 'rgb(227,219,242)'],
        [0.9058823529411765, 'rgb(228,220,243)'],
        [0.9098039215686274, 'rgb(229,221,243)'],
        [0.9137254901960784, 'rgb(230,223,243)'],
        [0.9176470588235294, 'rgb(231,224,243)'],
        [0.9215686274509803, 'rgb(232,226,244)'],
        [0.9254901960784314, 'rgb(233,227,244)'],
        [0.9294117647058824, 'rgb(235,228,244)'],
        [0.9333333333333333, 'rgb(236,230,245)'],
        [0.9372549019607843, 'rgb(237,231,245)'],
        [0.9411764705882353, 'rgb(238,233,246)'],
        [0.9450980392156862, 'rgb(239,234,246)'],
        [0.9490196078431372, 'rgb(240,236,246)'],
        [0.9529411764705882, 'rgb(241,237,247)'],
        [0.9568627450980393, 'rgb(242,239,247)'],
        [0.9607843137254902, 'rgb(244,240,248)'],
        [0.9647058823529412, 'rgb(245,242,248)'],
        [0.9686274509803922, 'rgb(246,243,249)'],
        [0.9725490196078431, 'rgb(247,245,250)'],
        [0.9764705882352941, 'rgb(248,246,250)'],
        [0.9803921568627451, 'rgb(249,247,251)'],
        [0.984313725490196, 'rgb(251,249,252)'],
        [0.9882352941176471, 'rgb(252,250,252)'],
        [0.9921568627450981, 'rgb(253,252,253)'],
        [0.996078431372549, 'rgb(254,253,254)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.iceburn': [
        [0.0, 'rgb(148,241,243)'],
        [0.00392156862745098, 'rgb(145,239,242)'],
        [0.00784313725490196, 'rgb(142,237,242)'],
        [0.011764705882352941, 'rgb(139,235,241)'],
        [0.01568627450980392, 'rgb(137,232,240)'],
        [0.0196078431372549, 'rgb(134,230,239)'],
        [0.023529411764705882, 'rgb(131,228,238)'],
        [0.027450980392156862, 'rgb(128,226,238)'],
        [0.03137254901960784, 'rgb(125,223,237)'],
        [0.03529411764705882, 'rgb(123,221,236)'],
        [0.0392156862745098, 'rgb(120,219,236)'],
        [0.043137254901960784, 'rgb(117,217,235)'],
        [0.047058823529411764, 'rgb(114,214,234)'],
        [0.050980392156862744, 'rgb(111,212,234)'],
        [0.054901960784313725, 'rgb(108,210,233)'],
        [0.058823529411764705, 'rgb(106,208,232)'],
        [0.06274509803921569, 'rgb(103,206,232)'],
        [0.06666666666666667, 'rgb(100,204,231)'],
        [0.07058823529411765, 'rgb(97,202,231)'],
        [0.07450980392156863, 'rgb(94,199,230)'],
        [0.0784313725490196, 'rgb(91,197,230)'],
        [0.08235294117647059, 'rgb(88,195,229)'],
        [0.08627450980392157, 'rgb(85,193,229)'],
        [0.09019607843137255, 'rgb(82,191,229)'],
        [0.09411764705882353, 'rgb(79,189,228)'],
        [0.09803921568627451, 'rgb(76,187,228)'],
        [0.10196078431372549, 'rgb(73,185,227)'],
        [0.10588235294117647, 'rgb(70,182,227)'],
        [0.10980392156862745, 'rgb(67,180,227)'],
        [0.11372549019607843, 'rgb(64,178,227)'],
        [0.11764705882352941, 'rgb(61,176,226)'],
        [0.12156862745098039, 'rgb(58,174,226)'],
        [0.12549019607843137, 'rgb(55,172,226)'],
        [0.12941176470588237, 'rgb(52,170,226)'],
        [0.13333333333333333, 'rgb(49,168,225)'],
        [0.13725490196078433, 'rgb(46,165,225)'],
        [0.1411764705882353, 'rgb(43,163,225)'],
        [0.1450980392156863, 'rgb(40,161,225)'],
        [0.14901960784313725, 'rgb(37,159,225)'],
        [0.15294117647058825, 'rgb(35,157,224)'],
        [0.1568627450980392, 'rgb(32,154,224)'],
        [0.1607843137254902, 'rgb(30,152,224)'],
        [0.16470588235294117, 'rgb(28,150,224)'],
        [0.16862745098039217, 'rgb(26,148,224)'],
        [0.17254901960784313, 'rgb(25,145,223)'],
        [0.17647058823529413, 'rgb(24,143,223)'],
        [0.1803921568627451, 'rgb(24,141,223)'],
        [0.1843137254901961, 'rgb(24,139,222)'],
        [0.18823529411764706, 'rgb(25,136,222)'],
        [0.19215686274509805, 'rgb(26,134,221)'],
        [0.19607843137254902, 'rgb(28,131,220)'],
        [0.2, 'rgb(30,129,220)'],
        [0.20392156862745098, 'rgb(33,127,219)'],
        [0.20784313725490197, 'rgb(35,124,217)'],
        [0.21176470588235294, 'rgb(38,122,216)'],
        [0.21568627450980393, 'rgb(41,119,214)'],
        [0.2196078431372549, 'rgb(43,117,212)'],
        [0.2235294117647059, 'rgb(46,115,210)'],
        [0.22745098039215686, 'rgb(48,112,207)'],
        [0.23137254901960785, 'rgb(51,110,205)'],
        [0.23529411764705882, 'rgb(53,108,202)'],
        [0.23921568627450981, 'rgb(54,106,199)'],
        [0.24313725490196078, 'rgb(56,104,195)'],
        [0.24705882352941178, 'rgb(57,102,192)'],
        [0.25098039215686274, 'rgb(58,100,188)'],
        [0.2549019607843137, 'rgb(59,98,185)'],
        [0.25882352941176473, 'rgb(60,96,181)'],
        [0.2627450980392157, 'rgb(60,94,177)'],
        [0.26666666666666666, 'rgb(61,92,173)'],
        [0.27058823529411763, 'rgb(61,90,170)'],
        [0.27450980392156865, 'rgb(61,89,166)'],
        [0.2784313725490196, 'rgb(61,87,162)'],
        [0.2823529411764706, 'rgb(61,85,158)'],
        [0.28627450980392155, 'rgb(61,84,155)'],
        [0.2901960784313726, 'rgb(61,82,151)'],
        [0.29411764705882354, 'rgb(60,80,147)'],
        [0.2980392156862745, 'rgb(60,79,143)'],
        [0.30196078431372547, 'rgb(59,77,140)'],
        [0.3058823529411765, 'rgb(59,75,136)'],
        [0.30980392156862746, 'rgb(58,74,132)'],
        [0.3137254901960784, 'rgb(58,72,129)'],
        [0.3176470588235294, 'rgb(57,71,125)'],
        [0.3215686274509804, 'rgb(56,69,122)'],
        [0.3254901960784314, 'rgb(55,67,118)'],
        [0.32941176470588235, 'rgb(54,66,115)'],
        [0.3333333333333333, 'rgb(54,64,112)'],
        [0.33725490196078434, 'rgb(53,63,108)'],
        [0.3411764705882353, 'rgb(52,61,105)'],
        [0.34509803921568627, 'rgb(51,60,102)'],
        [0.34901960784313724, 'rgb(50,58,98)'],
        [0.35294117647058826, 'rgb(49,56,95)'],
        [0.3568627450980392, 'rgb(48,55,92)'],
        [0.3607843137254902, 'rgb(47,53,89)'],
        [0.36470588235294116, 'rgb(45,52,86)'],
        [0.3686274509803922, 'rgb(44,50,82)'],
        [0.37254901960784315, 'rgb(43,49,79)'],
        [0.3764705882352941, 'rgb(42,47,76)'],
        [0.3803921568627451, 'rgb(41,45,73)'],
        [0.3843137254901961, 'rgb(39,44,70)'],
        [0.38823529411764707, 'rgb(38,42,67)'],
        [0.39215686274509803, 'rgb(37,41,64)'],
        [0.396078431372549, 'rgb(36,39,62)'],
        [0.4, 'rgb(34,37,59)'],
        [0.403921568627451, 'rgb(33,36,56)'],
        [0.40784313725490196, 'rgb(31,34,53)'],
        [0.4117647058823529, 'rgb(30,33,50)'],
        [0.41568627450980394, 'rgb(29,31,47)'],
        [0.4196078431372549, 'rgb(27,29,45)'],
        [0.4235294117647059, 'rgb(26,28,42)'],
        [0.42745098039215684, 'rgb(24,26,39)'],
        [0.43137254901960786, 'rgb(23,24,37)'],
        [0.43529411764705883, 'rgb(21,22,34)'],
        [0.4392156862745098, 'rgb(20,21,31)'],
        [0.44313725490196076, 'rgb(18,19,28)'],
        [0.4470588235294118, 'rgb(16,17,26)'],
        [0.45098039215686275, 'rgb(15,15,23)'],
        [0.4549019607843137, 'rgb(13,14,21)'],
        [0.4588235294117647, 'rgb(11,12,18)'],
        [0.4627450980392157, 'rgb(9,10,15)'],
        [0.4666666666666667, 'rgb(8,8,13)'],
        [0.47058823529411764, 'rgb(6,6,10)'],
        [0.4745098039215686, 'rgb(5,5,7)'],
        [0.47843137254901963, 'rgb(4,4,5)'],
        [0.4823529411764706, 'rgb(2,3,4)'],
        [0.48627450980392156, 'rgb(2,2,2)'],
        [0.49019607843137253, 'rgb(1,1,1)'],
        [0.49411764705882355, 'rgb(0,0,0)'],
        [0.4980392156862745, 'rgb(0,0,0)'],
        [0.5019607843137255, 'rgb(0,0,0)'],
        [0.5058823529411764, 'rgb(0,0,0)'],
        [0.5098039215686274, 'rgb(1,1,1)'],
        [0.5137254901960784, 'rgb(2,1,2)'],
        [0.5176470588235295, 'rgb(4,2,2)'],
        [0.5215686274509804, 'rgb(6,3,3)'],
        [0.5254901960784314, 'rgb(8,4,5)'],
        [0.5294117647058824, 'rgb(11,5,6)'],
        [0.5333333333333333, 'rgb(13,6,7)'],
        [0.5372549019607843, 'rgb(16,8,9)'],
        [0.5411764705882353, 'rgb(19,9,11)'],
        [0.5450980392156862, 'rgb(21,10,13)'],
        [0.5490196078431373, 'rgb(24,12,14)'],
        [0.5529411764705883, 'rgb(27,13,16)'],
        [0.5568627450980392, 'rgb(29,15,17)'],
        [0.5607843137254902, 'rgb(32,16,19)'],
        [0.5647058823529412, 'rgb(34,17,20)'],
        [0.5686274509803921, 'rgb(37,19,22)'],
        [0.5725490196078431, 'rgb(40,20,23)'],
        [0.5764705882352941, 'rgb(42,21,24)'],
        [0.5803921568627451, 'rgb(45,22,26)'],
        [0.5843137254901961, 'rgb(48,23,27)'],
        [0.5882352941176471, 'rgb(50,25,28)'],
        [0.592156862745098, 'rgb(53,26,29)'],
        [0.596078431372549, 'rgb(56,27,31)'],
        [0.6, 'rgb(58,28,32)'],
        [0.6039215686274509, 'rgb(61,29,33)'],
        [0.6078431372549019, 'rgb(64,30,34)'],
        [0.611764705882353, 'rgb(66,31,35)'],
        [0.615686274509804, 'rgb(69,32,36)'],
        [0.6196078431372549, 'rgb(72,33,37)'],
        [0.6235294117647059, 'rgb(74,34,37)'],
        [0.6274509803921569, 'rgb(77,35,38)'],
        [0.6313725490196078, 'rgb(80,36,39)'],
        [0.6352941176470588, 'rgb(82,37,40)'],
        [0.6392156862745098, 'rgb(85,38,40)'],
        [0.6431372549019608, 'rgb(88,39,41)'],
        [0.6470588235294118, 'rgb(90,40,42)'],
        [0.6509803921568628, 'rgb(93,41,42)'],
        [0.6549019607843137, 'rgb(96,42,43)'],
        [0.6588235294117647, 'rgb(99,43,43)'],
        [0.6627450980392157, 'rgb(101,44,43)'],
        [0.6666666666666666, 'rgb(104,44,44)'],
        [0.6705882352941176, 'rgb(107,45,44)'],
        [0.6745098039215687, 'rgb(109,46,44)'],
        [0.6784313725490196, 'rgb(112,47,44)'],
        [0.6823529411764706, 'rgb(115,48,44)'],
        [0.6862745098039216, 'rgb(118,49,44)'],
        [0.6901960784313725, 'rgb(120,50,44)'],
        [0.6941176470588235, 'rgb(123,51,44)'],
        [0.6980392156862745, 'rgb(126,52,44)'],
        [0.7019607843137254, 'rgb(128,53,44)'],
        [0.7058823529411765, 'rgb(131,55,44)'],
        [0.7098039215686275, 'rgb(133,56,43)'],
        [0.7137254901960784, 'rgb(136,57,43)'],
        [0.7176470588235294, 'rgb(138,58,43)'],
        [0.7215686274509804, 'rgb(141,59,42)'],
        [0.7254901960784313, 'rgb(143,61,42)'],
        [0.7294117647058823, 'rgb(146,62,41)'],
        [0.7333333333333333, 'rgb(148,63,41)'],
        [0.7372549019607844, 'rgb(151,65,40)'],
        [0.7411764705882353, 'rgb(153,66,39)'],
        [0.7450980392156863, 'rgb(156,67,39)'],
        [0.7490196078431373, 'rgb(158,69,38)'],
        [0.7529411764705882, 'rgb(160,70,37)'],
        [0.7568627450980392, 'rgb(162,72,37)'],
        [0.7607843137254902, 'rgb(165,74,36)'],
        [0.7647058823529411, 'rgb(167,75,35)'],
        [0.7686274509803922, 'rgb(169,77,35)'],
        [0.7725490196078432, 'rgb(171,79,34)'],
        [0.7764705882352941, 'rgb(173,81,33)'],
        [0.7803921568627451, 'rgb(175,82,32)'],
        [0.7843137254901961, 'rgb(177,84,31)'],
        [0.788235294117647, 'rgb(179,86,31)'],
        [0.792156862745098, 'rgb(181,88,30)'],
        [0.796078431372549, 'rgb(183,90,29)'],
        [0.8, 'rgb(185,92,28)'],
        [0.803921568627451, 'rgb(187,94,28)'],
        [0.807843137254902, 'rgb(188,96,27)'],
        [0.8117647058823529, 'rgb(190,98,26)'],
        [0.8156862745098039, 'rgb(192,100,25)'],
        [0.8196078431372549, 'rgb(193,103,25)'],
        [0.8235294117647058, 'rgb(195,105,24)'],
        [0.8274509803921568, 'rgb(197,107,24)'],
        [0.8313725490196079, 'rgb(198,109,23)'],
        [0.8352941176470589, 'rgb(200,111,23)'],
        [0.8392156862745098, 'rgb(202,114,22)'],
        [0.8431372549019608, 'rgb(203,116,22)'],
        [0.8470588235294118, 'rgb(205,118,21)'],
        [0.8509803921568627, 'rgb(206,121,21)'],
        [0.8549019607843137, 'rgb(207,123,21)'],
        [0.8588235294117647, 'rgb(209,125,21)'],
        [0.8627450980392157, 'rgb(210,128,21)'],
        [0.8666666666666667, 'rgb(212,130,21)'],
        [0.8705882352941177, 'rgb(213,133,21)'],
        [0.8745098039215686, 'rgb(214,135,21)'],
        [0.8784313725490196, 'rgb(216,138,22)'],
        [0.8823529411764706, 'rgb(217,140,22)'],
        [0.8862745098039215, 'rgb(218,143,23)'],
        [0.8901960784313725, 'rgb(219,145,23)'],
        [0.8941176470588236, 'rgb(220,148,24)'],
        [0.8980392156862745, 'rgb(222,150,25)'],
        [0.9019607843137255, 'rgb(223,153,26)'],
        [0.9058823529411765, 'rgb(224,155,27)'],
        [0.9098039215686274, 'rgb(225,158,28)'],
        [0.9137254901960784, 'rgb(226,161,29)'],
        [0.9176470588235294, 'rgb(227,163,31)'],
        [0.9215686274509803, 'rgb(228,166,32)'],
        [0.9254901960784314, 'rgb(229,169,33)'],
        [0.9294117647058824, 'rgb(230,171,35)'],
        [0.9333333333333333, 'rgb(231,174,36)'],
        [0.9372549019607843, 'rgb(232,177,38)'],
        [0.9411764705882353, 'rgb(233,180,39)'],
        [0.9450980392156862, 'rgb(234,182,41)'],
        [0.9490196078431372, 'rgb(235,185,43)'],
        [0.9529411764705882, 'rgb(236,188,45)'],
        [0.9568627450980393, 'rgb(237,191,46)'],
        [0.9607843137254902, 'rgb(237,193,48)'],
        [0.9647058823529412, 'rgb(238,196,50)'],
        [0.9686274509803922, 'rgb(239,199,52)'],
        [0.9725490196078431, 'rgb(240,202,54)'],
        [0.9764705882352941, 'rgb(241,205,56)'],
        [0.9803921568627451, 'rgb(241,208,58)'],
        [0.984313725490196, 'rgb(242,211,60)'],
        [0.9882352941176471, 'rgb(243,214,62)'],
        [0.9921568627450981, 'rgb(244,217,64)'],
        [0.996078431372549, 'rgb(244,220,67)'],
        [1.0, 'rgb(245,223,69)'],
    ],
    'cmr.jungle': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(0,0,0)'],
        [0.01568627450980392, 'rgb(1,1,1)'],
        [0.0196078431372549, 'rgb(1,1,1)'],
        [0.023529411764705882, 'rgb(1,2,1)'],
        [0.027450980392156862, 'rgb(1,2,2)'],
        [0.03137254901960784, 'rgb(2,3,2)'],
        [0.03529411764705882, 'rgb(2,4,3)'],
        [0.0392156862745098, 'rgb(2,4,4)'],
        [0.043137254901960784, 'rgb(3,5,4)'],
        [0.047058823529411764, 'rgb(3,6,5)'],
        [0.050980392156862744, 'rgb(3,7,6)'],
        [0.054901960784313725, 'rgb(4,8,6)'],
        [0.058823529411764705, 'rgb(4,10,7)'],
        [0.06274509803921569, 'rgb(5,11,8)'],
        [0.06666666666666667, 'rgb(5,12,9)'],
        [0.07058823529411765, 'rgb(5,13,10)'],
        [0.07450980392156863, 'rgb(6,14,11)'],
        [0.0784313725490196, 'rgb(6,16,12)'],
        [0.08235294117647059, 'rgb(7,17,12)'],
        [0.08627450980392157, 'rgb(7,18,13)'],
        [0.09019607843137255, 'rgb(7,19,14)'],
        [0.09411764705882353, 'rgb(8,20,15)'],
        [0.09803921568627451, 'rgb(8,22,16)'],
        [0.10196078431372549, 'rgb(9,23,17)'],
        [0.10588235294117647, 'rgb(9,24,17)'],
        [0.10980392156862745, 'rgb(9,25,18)'],
        [0.11372549019607843, 'rgb(10,26,19)'],
        [0.11764705882352941, 'rgb(10,27,19)'],
        [0.12156862745098039, 'rgb(10,29,20)'],
        [0.12549019607843137, 'rgb(11,30,21)'],
        [0.12941176470588237, 'rgb(11,31,22)'],
        [0.13333333333333333, 'rgb(11,32,22)'],
        [0.13725490196078433, 'rgb(12,33,23)'],
        [0.1411764705882353, 'rgb(12,34,23)'],
        [0.1450980392156863, 'rgb(12,35,24)'],
        [0.14901960784313725, 'rgb(12,37,25)'],
        [0.15294117647058825, 'rgb(13,38,25)'],
        [0.1568627450980392, 'rgb(13,39,26)'],
        [0.1607843137254902, 'rgb(13,40,26)'],
        [0.16470588235294117, 'rgb(13,41,27)'],
        [0.16862745098039217, 'rgb(13,42,27)'],
        [0.17254901960784313, 'rgb(13,43,28)'],
        [0.17647058823529413, 'rgb(14,44,28)'],
        [0.1803921568627451, 'rgb(14,46,29)'],
        [0.1843137254901961, 'rgb(14,47,29)'],
        [0.18823529411764706, 'rgb(14,48,30)'],
        [0.19215686274509805, 'rgb(14,49,30)'],
        [0.19607843137254902, 'rgb(14,50,31)'],
        [0.2, 'rgb(14,51,31)'],
        [0.20392156862745098, 'rgb(14,52,32)'],
        [0.20784313725490197, 'rgb(14,53,32)'],
        [0.21176470588235294, 'rgb(14,54,32)'],
        [0.21568627450980393, 'rgb(14,56,33)'],
        [0.2196078431372549, 'rgb(14,57,33)'],
        [0.2235294117647059, 'rgb(14,58,33)'],
        [0.22745098039215686, 'rgb(14,59,34)'],
        [0.23137254901960785, 'rgb(14,60,34)'],
        [0.23529411764705882, 'rgb(14,61,34)'],
        [0.23921568627450981, 'rgb(13,62,35)'],
        [0.24313725490196078, 'rgb(13,63,35)'],
        [0.24705882352941178, 'rgb(13,64,35)'],
        [0.25098039215686274, 'rgb(13,66,36)'],
        [0.2549019607843137, 'rgb(13,67,36)'],
        [0.25882352941176473, 'rgb(13,68,36)'],
        [0.2627450980392157, 'rgb(12,69,36)'],
        [0.26666666666666666, 'rgb(12,70,36)'],
        [0.27058823529411763, 'rgb(12,71,37)'],
        [0.27450980392156865, 'rgb(12,72,37)'],
        [0.2784313725490196, 'rgb(12,73,37)'],
        [0.2823529411764706, 'rgb(11,74,37)'],
        [0.28627450980392155, 'rgb(11,76,37)'],
        [0.2901960784313726, 'rgb(11,77,37)'],
        [0.29411764705882354, 'rgb(10,78,38)'],
        [0.2980392156862745, 'rgb(10,79,38)'],
        [0.30196078431372547, 'rgb(10,80,38)'],
        [0.3058823529411765, 'rgb(9,81,38)'],
        [0.30980392156862746, 'rgb(9,82,38)'],
        [0.3137254901960784, 'rgb(9,83,38)'],
        [0.3176470588235294, 'rgb(8,84,38)'],
        [0.3215686274509804, 'rgb(8,86,38)'],
        [0.3254901960784314, 'rgb(8,87,38)'],
        [0.32941176470588235, 'rgb(7,88,38)'],
        [0.3333333333333333, 'rgb(7,89,38)'],
        [0.33725490196078434, 'rgb(6,90,38)'],
        [0.3411764705882353, 'rgb(6,91,38)'],
        [0.34509803921568627, 'rgb(6,92,38)'],
        [0.34901960784313724, 'rgb(6,93,37)'],
        [0.35294117647058826, 'rgb(5,94,37)'],
        [0.3568627450980392, 'rgb(5,96,37)'],
        [0.3607843137254902, 'rgb(5,97,37)'],
        [0.36470588235294116, 'rgb(5,98,37)'],
        [0.3686274509803922, 'rgb(4,99,37)'],
        [0.37254901960784315, 'rgb(4,100,36)'],
        [0.3764705882352941, 'rgb(4,101,36)'],
        [0.3803921568627451, 'rgb(4,102,36)'],
        [0.3843137254901961, 'rgb(4,103,35)'],
        [0.38823529411764707, 'rgb(4,104,35)'],
        [0.39215686274509803, 'rgb(4,105,35)'],
        [0.396078431372549, 'rgb(4,107,34)'],
        [0.4, 'rgb(5,108,34)'],
        [0.403921568627451, 'rgb(5,109,34)'],
        [0.40784313725490196, 'rgb(5,110,33)'],
        [0.4117647058823529, 'rgb(6,111,33)'],
        [0.41568627450980394, 'rgb(6,112,32)'],
        [0.4196078431372549, 'rgb(7,113,31)'],
        [0.4235294117647059, 'rgb(8,114,31)'],
        [0.42745098039215684, 'rgb(9,115,30)'],
        [0.43137254901960786, 'rgb(10,116,30)'],
        [0.43529411764705883, 'rgb(11,117,29)'],
        [0.4392156862745098, 'rgb(13,118,28)'],
        [0.44313725490196076, 'rgb(14,120,27)'],
        [0.4470588235294118, 'rgb(15,121,26)'],
        [0.45098039215686275, 'rgb(17,122,26)'],
        [0.4549019607843137, 'rgb(18,123,25)'],
        [0.4588235294117647, 'rgb(20,124,24)'],
        [0.4627450980392157, 'rgb(22,125,22)'],
        [0.4666666666666667, 'rgb(24,126,21)'],
        [0.47058823529411764, 'rgb(25,127,20)'],
        [0.4745098039215686, 'rgb(27,128,19)'],
        [0.47843137254901963, 'rgb(29,129,17)'],
        [0.4823529411764706, 'rgb(32,130,16)'],
        [0.48627450980392156, 'rgb(34,131,14)'],
        [0.49019607843137253, 'rgb(36,132,12)'],
        [0.49411764705882355, 'rgb(39,133,10)'],
        [0.4980392156862745, 'rgb(41,134,8)'],
        [0.5019607843137255, 'rgb(44,135,6)'],
        [0.5058823529411764, 'rgb(47,135,4)'],
        [0.5098039215686274, 'rgb(50,136,3)'],
        [0.5137254901960784, 'rgb(53,137,2)'],
        [0.5176470588235295, 'rgb(56,138,1)'],
        [0.5215686274509804, 'rgb(59,138,2)'],
        [0.5254901960784314, 'rgb(63,139,2)'],
        [0.5294117647058824, 'rgb(66,140,4)'],
        [0.5333333333333333, 'rgb(68,141,6)'],
        [0.5372549019607843, 'rgb(71,141,8)'],
        [0.5411764705882353, 'rgb(74,142,11)'],
        [0.5450980392156862, 'rgb(76,143,14)'],
        [0.5490196078431373, 'rgb(79,144,17)'],
        [0.5529411764705883, 'rgb(81,144,20)'],
        [0.5568627450980392, 'rgb(83,145,22)'],
        [0.5607843137254902, 'rgb(85,146,25)'],
        [0.5647058823529412, 'rgb(87,147,27)'],
        [0.5686274509803921, 'rgb(89,147,30)'],
        [0.5725490196078431, 'rgb(91,148,32)'],
        [0.5764705882352941, 'rgb(93,149,35)'],
        [0.5803921568627451, 'rgb(95,150,37)'],
        [0.5843137254901961, 'rgb(97,150,39)'],
        [0.5882352941176471, 'rgb(99,151,41)'],
        [0.592156862745098, 'rgb(101,152,44)'],
        [0.596078431372549, 'rgb(103,153,46)'],
        [0.6, 'rgb(104,154,48)'],
        [0.6039215686274509, 'rgb(106,154,50)'],
        [0.6078431372549019, 'rgb(108,155,52)'],
        [0.611764705882353, 'rgb(110,156,54)'],
        [0.615686274509804, 'rgb(111,157,57)'],
        [0.6196078431372549, 'rgb(113,158,59)'],
        [0.6235294117647059, 'rgb(114,159,61)'],
        [0.6274509803921569, 'rgb(116,159,63)'],
        [0.6313725490196078, 'rgb(118,160,65)'],
        [0.6352941176470588, 'rgb(119,161,67)'],
        [0.6392156862745098, 'rgb(121,162,69)'],
        [0.6431372549019608, 'rgb(122,163,71)'],
        [0.6470588235294118, 'rgb(124,164,73)'],
        [0.6509803921568628, 'rgb(126,164,75)'],
        [0.6549019607843137, 'rgb(127,165,77)'],
        [0.6588235294117647, 'rgb(129,166,79)'],
        [0.6627450980392157, 'rgb(130,167,81)'],
        [0.6666666666666666, 'rgb(132,168,83)'],
        [0.6705882352941176, 'rgb(133,169,85)'],
        [0.6745098039215687, 'rgb(135,170,87)'],
        [0.6784313725490196, 'rgb(136,170,89)'],
        [0.6823529411764706, 'rgb(138,171,91)'],
        [0.6862745098039216, 'rgb(139,172,93)'],
        [0.6901960784313725, 'rgb(141,173,95)'],
        [0.6941176470588235, 'rgb(142,174,97)'],
        [0.6980392156862745, 'rgb(144,175,99)'],
        [0.7019607843137254, 'rgb(145,176,101)'],
        [0.7058823529411765, 'rgb(147,177,104)'],
        [0.7098039215686275, 'rgb(148,177,106)'],
        [0.7137254901960784, 'rgb(149,178,108)'],
        [0.7176470588235294, 'rgb(151,179,110)'],
        [0.7215686274509804, 'rgb(152,180,112)'],
        [0.7254901960784313, 'rgb(154,181,114)'],
        [0.7294117647058823, 'rgb(155,182,116)'],
        [0.7333333333333333, 'rgb(157,183,118)'],
        [0.7372549019607844, 'rgb(158,184,120)'],
        [0.7411764705882353, 'rgb(160,185,122)'],
        [0.7450980392156863, 'rgb(161,186,124)'],
        [0.7490196078431373, 'rgb(162,187,126)'],
        [0.7529411764705882, 'rgb(164,188,128)'],
        [0.7568627450980392, 'rgb(165,188,130)'],
        [0.7607843137254902, 'rgb(167,189,132)'],
        [0.7647058823529411, 'rgb(168,190,134)'],
        [0.7686274509803922, 'rgb(170,191,136)'],
        [0.7725490196078432, 'rgb(171,192,138)'],
        [0.7764705882352941, 'rgb(172,193,140)'],
        [0.7803921568627451, 'rgb(174,194,142)'],
        [0.7843137254901961, 'rgb(175,195,144)'],
        [0.788235294117647, 'rgb(177,196,146)'],
        [0.792156862745098, 'rgb(178,197,148)'],
        [0.796078431372549, 'rgb(179,198,150)'],
        [0.8, 'rgb(181,199,152)'],
        [0.803921568627451, 'rgb(182,200,154)'],
        [0.807843137254902, 'rgb(184,201,156)'],
        [0.8117647058823529, 'rgb(185,202,159)'],
        [0.8156862745098039, 'rgb(187,203,161)'],
        [0.8196078431372549, 'rgb(188,204,163)'],
        [0.8235294117647058, 'rgb(189,205,165)'],
        [0.8274509803921568, 'rgb(191,206,167)'],
        [0.8313725490196079, 'rgb(192,207,169)'],
        [0.8352941176470589, 'rgb(194,208,171)'],
        [0.8392156862745098, 'rgb(195,209,173)'],
        [0.8431372549019608, 'rgb(196,210,175)'],
        [0.8470588235294118, 'rgb(198,211,177)'],
        [0.8509803921568627, 'rgb(199,212,179)'],
        [0.8549019607843137, 'rgb(201,213,181)'],
        [0.8588235294117647, 'rgb(202,214,183)'],
        [0.8627450980392157, 'rgb(204,215,185)'],
        [0.8666666666666667, 'rgb(205,216,187)'],
        [0.8705882352941177, 'rgb(206,217,189)'],
        [0.8745098039215686, 'rgb(208,218,192)'],
        [0.8784313725490196, 'rgb(209,219,194)'],
        [0.8823529411764706, 'rgb(211,220,196)'],
        [0.8862745098039215, 'rgb(212,222,198)'],
        [0.8901960784313725, 'rgb(214,223,200)'],
        [0.8941176470588236, 'rgb(215,224,202)'],
        [0.8980392156862745, 'rgb(216,225,204)'],
        [0.9019607843137255, 'rgb(218,226,206)'],
        [0.9058823529411765, 'rgb(219,227,208)'],
        [0.9098039215686274, 'rgb(221,228,210)'],
        [0.9137254901960784, 'rgb(222,229,212)'],
        [0.9176470588235294, 'rgb(224,230,214)'],
        [0.9215686274509803, 'rgb(225,231,216)'],
        [0.9254901960784314, 'rgb(227,232,218)'],
        [0.9294117647058824, 'rgb(228,234,220)'],
        [0.9333333333333333, 'rgb(229,235,222)'],
        [0.9372549019607843, 'rgb(231,236,224)'],
        [0.9411764705882353, 'rgb(232,237,226)'],
        [0.9450980392156862, 'rgb(234,238,228)'],
        [0.9490196078431372, 'rgb(235,239,230)'],
        [0.9529411764705882, 'rgb(237,240,232)'],
        [0.9568627450980393, 'rgb(238,242,234)'],
        [0.9607843137254902, 'rgb(240,243,236)'],
        [0.9647058823529412, 'rgb(241,244,238)'],
        [0.9686274509803922, 'rgb(243,245,240)'],
        [0.9725490196078431, 'rgb(244,246,242)'],
        [0.9764705882352941, 'rgb(246,248,244)'],
        [0.9803921568627451, 'rgb(248,249,246)'],
        [0.984313725490196, 'rgb(249,250,248)'],
        [0.9882352941176471, 'rgb(251,251,250)'],
        [0.9921568627450981, 'rgb(252,252,251)'],
        [0.996078431372549, 'rgb(254,254,253)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.lavender': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(0,0,0)'],
        [0.01568627450980392, 'rgb(1,0,1)'],
        [0.0196078431372549, 'rgb(1,1,1)'],
        [0.023529411764705882, 'rgb(2,1,1)'],
        [0.027450980392156862, 'rgb(2,1,2)'],
        [0.03137254901960784, 'rgb(3,1,2)'],
        [0.03529411764705882, 'rgb(4,1,3)'],
        [0.0392156862745098, 'rgb(5,2,3)'],
        [0.043137254901960784, 'rgb(6,2,4)'],
        [0.047058823529411764, 'rgb(7,2,5)'],
        [0.050980392156862744, 'rgb(8,2,6)'],
        [0.054901960784313725, 'rgb(9,3,7)'],
        [0.058823529411764705, 'rgb(10,3,8)'],
        [0.06274509803921569, 'rgb(12,3,9)'],
        [0.06666666666666667, 'rgb(13,4,10)'],
        [0.07058823529411765, 'rgb(15,4,12)'],
        [0.07450980392156863, 'rgb(16,4,13)'],
        [0.0784313725490196, 'rgb(17,4,14)'],
        [0.08235294117647059, 'rgb(19,5,16)'],
        [0.08627450980392157, 'rgb(20,5,17)'],
        [0.09019607843137255, 'rgb(21,5,18)'],
        [0.09411764705882353, 'rgb(23,6,20)'],
        [0.09803921568627451, 'rgb(24,6,21)'],
        [0.10196078431372549, 'rgb(26,6,22)'],
        [0.10588235294117647, 'rgb(27,6,24)'],
        [0.10980392156862745, 'rgb(28,7,25)'],
        [0.11372549019607843, 'rgb(30,7,27)'],
        [0.11764705882352941, 'rgb(31,7,28)'],
        [0.12156862745098039, 'rgb(32,7,30)'],
        [0.12549019607843137, 'rgb(34,7,31)'],
        [0.12941176470588237, 'rgb(35,8,33)'],
        [0.13333333333333333, 'rgb(36,8,34)'],
        [0.13725490196078433, 'rgb(38,8,36)'],
        [0.1411764705882353, 'rgb(39,8,38)'],
        [0.1450980392156863, 'rgb(40,8,39)'],
        [0.14901960784313725, 'rgb(41,8,41)'],
        [0.15294117647058825, 'rgb(43,8,43)'],
        [0.1568627450980392, 'rgb(44,8,44)'],
        [0.1607843137254902, 'rgb(45,8,46)'],
        [0.16470588235294117, 'rgb(47,8,48)'],
        [0.16862745098039217, 'rgb(48,8,50)'],
        [0.17254901960784313, 'rgb(49,8,52)'],
        [0.17647058823529413, 'rgb(50,8,53)'],
        [0.1803921568627451, 'rgb(52,7,55)'],
        [0.1843137254901961, 'rgb(53,7,57)'],
        [0.18823529411764706, 'rgb(54,7,59)'],
        [0.19215686274509805, 'rgb(55,7,61)'],
        [0.19607843137254902, 'rgb(57,6,63)'],
        [0.2, 'rgb(58,6,66)'],
        [0.20392156862745098, 'rgb(59,6,68)'],
        [0.20784313725490197, 'rgb(60,5,70)'],
        [0.21176470588235294, 'rgb(61,5,72)'],
        [0.21568627450980393, 'rgb(62,5,74)'],
        [0.2196078431372549, 'rgb(63,4,77)'],
        [0.2235294117647059, 'rgb(64,4,79)'],
        [0.22745098039215686, 'rgb(66,4,81)'],
        [0.23137254901960785, 'rgb(67,3,84)'],
        [0.23529411764705882, 'rgb(68,3,86)'],
        [0.23921568627450981, 'rgb(68,3,88)'],
        [0.24313725490196078, 'rgb(69,2,91)'],
        [0.24705882352941178, 'rgb(70,2,93)'],
        [0.25098039215686274, 'rgb(71,2,95)'],
        [0.2549019607843137, 'rgb(72,2,98)'],
        [0.25882352941176473, 'rgb(73,2,100)'],
        [0.2627450980392157, 'rgb(73,2,103)'],
        [0.26666666666666666, 'rgb(74,3,105)'],
        [0.27058823529411763, 'rgb(75,3,107)'],
        [0.27450980392156865, 'rgb(75,4,109)'],
        [0.2784313725490196, 'rgb(76,4,111)'],
        [0.2823529411764706, 'rgb(76,5,114)'],
        [0.28627450980392155, 'rgb(77,6,116)'],
        [0.2901960784313726, 'rgb(77,8,118)'],
        [0.29411764705882354, 'rgb(77,9,120)'],
        [0.2980392156862745, 'rgb(77,11,121)'],
        [0.30196078431372547, 'rgb(78,13,123)'],
        [0.3058823529411765, 'rgb(78,15,125)'],
        [0.30980392156862746, 'rgb(78,16,127)'],
        [0.3137254901960784, 'rgb(78,18,128)'],
        [0.3176470588235294, 'rgb(78,20,130)'],
        [0.3215686274509804, 'rgb(78,22,131)'],
        [0.3254901960784314, 'rgb(78,24,132)'],
        [0.32941176470588235, 'rgb(78,26,134)'],
        [0.3333333333333333, 'rgb(78,28,135)'],
        [0.33725490196078434, 'rgb(78,29,136)'],
        [0.3411764705882353, 'rgb(77,31,137)'],
        [0.34509803921568627, 'rgb(77,33,138)'],
        [0.34901960784313724, 'rgb(77,35,139)'],
        [0.35294117647058826, 'rgb(77,37,140)'],
        [0.3568627450980392, 'rgb(76,39,140)'],
        [0.3607843137254902, 'rgb(76,40,141)'],
        [0.36470588235294116, 'rgb(75,42,142)'],
        [0.3686274509803922, 'rgb(75,44,142)'],
        [0.37254901960784315, 'rgb(75,46,143)'],
        [0.3764705882352941, 'rgb(74,47,143)'],
        [0.3803921568627451, 'rgb(74,49,144)'],
        [0.3843137254901961, 'rgb(73,51,144)'],
        [0.38823529411764707, 'rgb(73,52,145)'],
        [0.39215686274509803, 'rgb(72,54,145)'],
        [0.396078431372549, 'rgb(72,55,145)'],
        [0.4, 'rgb(71,57,145)'],
        [0.403921568627451, 'rgb(71,58,146)'],
        [0.40784313725490196, 'rgb(70,60,146)'],
        [0.4117647058823529, 'rgb(70,62,146)'],
        [0.41568627450980394, 'rgb(69,63,146)'],
        [0.4196078431372549, 'rgb(69,64,146)'],
        [0.4235294117647059, 'rgb(68,66,146)'],
        [0.42745098039215684, 'rgb(68,67,146)'],
        [0.43137254901960786, 'rgb(67,69,147)'],
        [0.43529411764705883, 'rgb(66,70,147)'],
        [0.4392156862745098, 'rgb(66,72,147)'],
        [0.44313725490196076, 'rgb(65,73,147)'],
        [0.4470588235294118, 'rgb(65,74,147)'],
        [0.45098039215686275, 'rgb(64,76,147)'],
        [0.4549019607843137, 'rgb(64,77,146)'],
        [0.4588235294117647, 'rgb(63,78,146)'],
        [0.4627450980392157, 'rgb(63,79,146)'],
        [0.4666666666666667, 'rgb(62,81,146)'],
        [0.47058823529411764, 'rgb(62,82,146)'],
        [0.4745098039215686, 'rgb(62,83,146)'],
        [0.47843137254901963, 'rgb(61,84,146)'],
        [0.4823529411764706, 'rgb(61,86,146)'],
        [0.48627450980392156, 'rgb(60,87,146)'],
        [0.49019607843137253, 'rgb(60,88,146)'],
        [0.49411764705882355, 'rgb(59,89,146)'],
        [0.4980392156862745, 'rgb(59,90,146)'],
        [0.5019607843137255, 'rgb(59,92,146)'],
        [0.5058823529411764, 'rgb(58,93,146)'],
        [0.5098039215686274, 'rgb(58,94,145)'],
        [0.5137254901960784, 'rgb(58,95,145)'],
        [0.5176470588235295, 'rgb(57,96,145)'],
        [0.5215686274509804, 'rgb(57,97,145)'],
        [0.5254901960784314, 'rgb(57,98,145)'],
        [0.5294117647058824, 'rgb(56,99,145)'],
        [0.5333333333333333, 'rgb(56,101,145)'],
        [0.5372549019607843, 'rgb(56,102,145)'],
        [0.5411764705882353, 'rgb(55,103,145)'],
        [0.5450980392156862, 'rgb(55,104,145)'],
        [0.5490196078431373, 'rgb(55,105,145)'],
        [0.5529411764705883, 'rgb(55,106,145)'],
        [0.5568627450980392, 'rgb(54,107,145)'],
        [0.5607843137254902, 'rgb(54,108,144)'],
        [0.5647058823529412, 'rgb(54,109,144)'],
        [0.5686274509803921, 'rgb(54,110,144)'],
        [0.5725490196078431, 'rgb(53,111,144)'],
        [0.5764705882352941, 'rgb(53,112,144)'],
        [0.5803921568627451, 'rgb(53,113,144)'],
        [0.5843137254901961, 'rgb(53,114,144)'],
        [0.5882352941176471, 'rgb(52,115,144)'],
        [0.592156862745098, 'rgb(52,116,144)'],
        [0.596078431372549, 'rgb(52,118,144)'],
        [0.6, 'rgb(52,119,144)'],
        [0.6039215686274509, 'rgb(52,120,144)'],
        [0.6078431372549019, 'rgb(51,121,144)'],
        [0.611764705882353, 'rgb(51,122,144)'],
        [0.615686274509804, 'rgb(51,123,144)'],
        [0.6196078431372549, 'rgb(51,124,144)'],
        [0.6235294117647059, 'rgb(50,125,144)'],
        [0.6274509803921569, 'rgb(50,126,144)'],
        [0.6313725490196078, 'rgb(50,127,144)'],
        [0.6352941176470588, 'rgb(49,128,144)'],
        [0.6392156862745098, 'rgb(49,129,144)'],
        [0.6431372549019608, 'rgb(49,130,144)'],
        [0.6470588235294118, 'rgb(49,131,144)'],
        [0.6509803921568628, 'rgb(48,132,143)'],
        [0.6549019607843137, 'rgb(48,133,143)'],
        [0.6588235294117647, 'rgb(47,134,143)'],
        [0.6627450980392157, 'rgb(47,135,143)'],
        [0.6666666666666666, 'rgb(47,136,143)'],
        [0.6705882352941176, 'rgb(46,137,143)'],
        [0.6745098039215687, 'rgb(46,138,143)'],
        [0.6784313725490196, 'rgb(45,139,143)'],
        [0.6823529411764706, 'rgb(45,140,143)'],
        [0.6862745098039216, 'rgb(44,141,143)'],
        [0.6901960784313725, 'rgb(44,142,142)'],
        [0.6941176470588235, 'rgb(43,143,142)'],
        [0.6980392156862745, 'rgb(43,145,142)'],
        [0.7019607843137254, 'rgb(42,146,142)'],
        [0.7058823529411765, 'rgb(42,147,142)'],
        [0.7098039215686275, 'rgb(41,148,142)'],
        [0.7137254901960784, 'rgb(40,149,141)'],
        [0.7176470588235294, 'rgb(40,150,141)'],
        [0.7215686274509804, 'rgb(39,151,141)'],
        [0.7254901960784313, 'rgb(38,152,141)'],
        [0.7294117647058823, 'rgb(38,153,140)'],
        [0.7333333333333333, 'rgb(37,154,140)'],
        [0.7372549019607844, 'rgb(36,155,140)'],
        [0.7411764705882353, 'rgb(35,156,140)'],
        [0.7450980392156863, 'rgb(34,157,139)'],
        [0.7490196078431373, 'rgb(34,158,139)'],
        [0.7529411764705882, 'rgb(33,159,139)'],
        [0.7568627450980392, 'rgb(32,161,138)'],
        [0.7607843137254902, 'rgb(31,162,138)'],
        [0.7647058823529411, 'rgb(30,163,137)'],
        [0.7686274509803922, 'rgb(29,164,137)'],
        [0.7725490196078432, 'rgb(29,165,136)'],
        [0.7764705882352941, 'rgb(28,166,136)'],
        [0.7803921568627451, 'rgb(27,167,136)'],
        [0.7843137254901961, 'rgb(26,168,135)'],
        [0.788235294117647, 'rgb(25,169,134)'],
        [0.792156862745098, 'rgb(24,170,134)'],
        [0.796078431372549, 'rgb(24,171,133)'],
        [0.8, 'rgb(23,172,133)'],
        [0.803921568627451, 'rgb(22,173,132)'],
        [0.807843137254902, 'rgb(22,175,131)'],
        [0.8117647058823529, 'rgb(21,176,131)'],
        [0.8156862745098039, 'rgb(21,177,130)'],
        [0.8196078431372549, 'rgb(20,178,129)'],
        [0.8235294117647058, 'rgb(20,179,129)'],
        [0.8274509803921568, 'rgb(20,180,128)'],
        [0.8313725490196079, 'rgb(20,181,127)'],
        [0.8352941176470589, 'rgb(20,182,126)'],
        [0.8392156862745098, 'rgb(20,183,125)'],
        [0.8431372549019608, 'rgb(21,184,125)'],
        [0.8470588235294118, 'rgb(22,185,124)'],
        [0.8509803921568627, 'rgb(22,186,123)'],
        [0.8549019607843137, 'rgb(23,187,122)'],
        [0.8588235294117647, 'rgb(24,188,121)'],
        [0.8627450980392157, 'rgb(26,189,120)'],
        [0.8666666666666667, 'rgb(27,190,119)'],
        [0.8705882352941177, 'rgb(28,191,118)'],
        [0.8745098039215686, 'rgb(30,192,117)'],
        [0.8784313725490196, 'rgb(32,193,116)'],
        [0.8823529411764706, 'rgb(33,194,114)'],
        [0.8862745098039215, 'rgb(35,195,113)'],
        [0.8901960784313725, 'rgb(37,196,112)'],
        [0.8941176470588236, 'rgb(39,197,111)'],
        [0.8980392156862745, 'rgb(42,198,110)'],
        [0.9019607843137255, 'rgb(44,199,108)'],
        [0.9058823529411765, 'rgb(46,200,107)'],
        [0.9098039215686274, 'rgb(48,201,106)'],
        [0.9137254901960784, 'rgb(51,202,104)'],
        [0.9176470588235294, 'rgb(53,203,103)'],
        [0.9215686274509803, 'rgb(56,204,101)'],
        [0.9254901960784314, 'rgb(58,205,100)'],
        [0.9294117647058824, 'rgb(61,206,98)'],
        [0.9333333333333333, 'rgb(64,207,97)'],
        [0.9372549019607843, 'rgb(66,208,95)'],
        [0.9411764705882353, 'rgb(69,209,94)'],
        [0.9450980392156862, 'rgb(72,210,92)'],
        [0.9490196078431372, 'rgb(75,210,91)'],
        [0.9529411764705882, 'rgb(78,211,89)'],
        [0.9568627450980393, 'rgb(81,212,87)'],
        [0.9607843137254902, 'rgb(84,213,86)'],
        [0.9647058823529412, 'rgb(87,214,84)'],
        [0.9686274509803922, 'rgb(91,214,82)'],
        [0.9725490196078431, 'rgb(94,215,81)'],
        [0.9764705882352941, 'rgb(97,216,79)'],
        [0.9803921568627451, 'rgb(101,216,77)'],
        [0.984313725490196, 'rgb(104,217,76)'],
        [0.9882352941176471, 'rgb(108,218,74)'],
        [0.9921568627450981, 'rgb(111,218,73)'],
        [0.996078431372549, 'rgb(115,219,72)'],
        [1.0, 'rgb(119,219,70)'],
    ],
    'cmr.neutral': [
        [0.0, 'rgb(0,0,0)'],
        [0.0042985541227041815, 'rgb(0,0,0)'],
        [0.008597108245408363, 'rgb(0,0,0)'],
        [0.012895662368112544, 'rgb(1,1,0)'],
        [0.017194216490816726, 'rgb(1,1,1)'],
        [0.021492770613520906, 'rgb(1,1,1)'],
        [0.02579132473622509, 'rgb(2,2,2)'],
        [0.03008987885892927, 'rgb(2,2,2)'],
        [0.03438843298163345, 'rgb(3,3,3)'],
        [0.038686987104337635, 'rgb(4,4,4)'],
        [0.04298554122704181, 'rgb(5,4,4)'],
        [0.047284095349745994, 'rgb(5,5,5)'],
        [0.05158264947245018, 'rgb(6,6,6)'],
        [0.055881203595154354, 'rgb(7,7,7)'],
        [0.06017975771785854, 'rgb(8,8,8)'],
        [0.06447831184056271, 'rgb(10,9,9)'],
        [0.0687768659632669, 'rgb(11,11,10)'],
        [0.07307542008597108, 'rgb(12,12,12)'],
        [0.07737397420867527, 'rgb(13,13,13)'],
        [0.08167252833137945, 'rgb(14,14,14)'],
        [0.08597108245408362, 'rgb(15,15,15)'],
        [0.09026963657678781, 'rgb(17,16,16)'],
        [0.09456819069949199, 'rgb(18,17,17)'],
        [0.09886674482219616, 'rgb(19,19,18)'],
        [0.10316529894490035, 'rgb(20,20,20)'],
        [0.10746385306760453, 'rgb(21,21,21)'],
        [0.11176240719030871, 'rgb(22,22,22)'],
        [0.1160609613130129, 'rgb(23,23,23)'],
        [0.12035951543571707, 'rgb(24,24,24)'],
        [0.12465806955842126, 'rgb(25,25,25)'],
        [0.12895662368112543, 'rgb(26,26,26)'],
        [0.13325517780382962, 'rgb(28,27,27)'],
        [0.1375537319265338, 'rgb(29,28,28)'],
        [0.141852286049238, 'rgb(30,29,29)'],
        [0.14615084017194216, 'rgb(31,30,30)'],
        [0.15044939429464635, 'rgb(32,31,31)'],
        [0.15474794841735054, 'rgb(33,32,32)'],
        [0.1590465025400547, 'rgb(34,33,33)'],
        [0.1633450566627589, 'rgb(35,34,34)'],
        [0.16764361078546308, 'rgb(36,35,35)'],
        [0.17194216490816724, 'rgb(37,36,36)'],
        [0.17624071903087143, 'rgb(38,37,37)'],
        [0.18053927315357562, 'rgb(39,38,38)'],
        [0.1848378272762798, 'rgb(40,39,39)'],
        [0.18913638139898398, 'rgb(41,40,40)'],
        [0.19343493552168817, 'rgb(42,41,41)'],
        [0.19773348964439233, 'rgb(43,42,42)'],
        [0.20203204376709652, 'rgb(44,43,43)'],
        [0.2063305978898007, 'rgb(45,44,44)'],
        [0.21062915201250487, 'rgb(46,45,45)'],
        [0.21492770613520906, 'rgb(47,46,46)'],
        [0.21922626025791325, 'rgb(48,47,47)'],
        [0.22352481438061741, 'rgb(49,48,48)'],
        [0.2278233685033216, 'rgb(50,49,49)'],
        [0.2321219226260258, 'rgb(51,50,50)'],
        [0.23642047674872999, 'rgb(52,51,51)'],
        [0.24071903087143415, 'rgb(53,52,52)'],
        [0.24501758499413834, 'rgb(54,53,53)'],
        [0.24931613911684253, 'rgb(55,54,54)'],
        [0.2536146932395467, 'rgb(56,55,55)'],
        [0.25791324736225085, 'rgb(57,56,56)'],
        [0.26221180148495504, 'rgb(58,57,57)'],
        [0.26651035560765923, 'rgb(59,58,58)'],
        [0.2708089097303634, 'rgb(60,59,59)'],
        [0.2751074638530676, 'rgb(61,60,60)'],
        [0.2794060179757718, 'rgb(62,61,61)'],
        [0.283704572098476, 'rgb(63,62,62)'],
        [0.28800312622118013, 'rgb(64,63,63)'],
        [0.2923016803438843, 'rgb(65,64,64)'],
        [0.2966002344665885, 'rgb(66,65,65)'],
        [0.3008987885892927, 'rgb(67,66,66)'],
        [0.3051973427119969, 'rgb(68,67,67)'],
        [0.3094958968347011, 'rgb(69,68,68)'],
        [0.3137944509574052, 'rgb(70,69,69)'],
        [0.3180930050801094, 'rgb(71,70,70)'],
        [0.3223915592028136, 'rgb(72,71,71)'],
        [0.3266901133255178, 'rgb(73,72,72)'],
        [0.330988667448222, 'rgb(74,73,73)'],
        [0.33528722157092616, 'rgb(75,74,74)'],
        [0.3395857756936303, 'rgb(76,75,75)'],
        [0.3438843298163345, 'rgb(77,76,76)'],
        [0.3481828839390387, 'rgb(78,77,77)'],
        [0.35248143806174287, 'rgb(79,78,78)'],
        [0.35677999218444706, 'rgb(80,79,79)'],
        [0.36107854630715125, 'rgb(81,80,80)'],
        [0.36537710042985544, 'rgb(82,81,81)'],
        [0.3696756545525596, 'rgb(83,82,82)'],
        [0.37397420867526376, 'rgb(84,83,83)'],
        [0.37827276279796795, 'rgb(85,84,84)'],
        [0.38257131692067214, 'rgb(86,85,85)'],
        [0.38686987104337633, 'rgb(87,86,86)'],
        [0.3911684251660805, 'rgb(88,87,87)'],
        [0.39546697928878466, 'rgb(89,88,88)'],
        [0.39976553341148885, 'rgb(90,89,89)'],
        [0.40406408753419304, 'rgb(91,90,90)'],
        [0.40836264165689723, 'rgb(91,91,91)'],
        [0.4126611957796014, 'rgb(93,92,92)'],
        [0.4169597499023056, 'rgb(94,93,93)'],
        [0.42125830402500974, 'rgb(95,94,94)'],
        [0.42555685814771393, 'rgb(96,95,95)'],
        [0.4298554122704181, 'rgb(97,96,96)'],
        [0.4341539663931223, 'rgb(98,97,97)'],
        [0.4384525205158265, 'rgb(99,98,98)'],
        [0.4427510746385307, 'rgb(100,99,99)'],
        [0.44704962876123483, 'rgb(101,100,100)'],
        [0.451348182883939, 'rgb(102,101,101)'],
        [0.4556467370066432, 'rgb(103,102,102)'],
        [0.4599452911293474, 'rgb(104,103,103)'],
        [0.4642438452520516, 'rgb(105,104,104)'],
        [0.4685423993747558, 'rgb(106,105,105)'],
        [0.47284095349745997, 'rgb(107,106,106)'],
        [0.4771395076201641, 'rgb(108,107,107)'],
        [0.4814380617428683, 'rgb(109,108,108)'],
        [0.4857366158655725, 'rgb(110,109,109)'],
        [0.4900351699882767, 'rgb(111,110,110)'],
        [0.49433372411098087, 'rgb(112,111,111)'],
        [0.49863227823368506, 'rgb(113,112,112)'],
        [0.5029308323563892, 'rgb(114,113,113)'],
        [0.5072293864790934, 'rgb(115,114,114)'],
        [0.5115279406017976, 'rgb(116,115,115)'],
        [0.5158264947245017, 'rgb(117,116,116)'],
        [0.5201250488472059, 'rgb(118,118,117)'],
        [0.5244236029699101, 'rgb(119,119,119)'],
        [0.5287221570926143, 'rgb(120,120,120)'],
        [0.5330207112153185, 'rgb(121,121,121)'],
        [0.5373192653380227, 'rgb(122,122,122)'],
        [0.5416178194607268, 'rgb(123,123,123)'],
        [0.545916373583431, 'rgb(124,124,124)'],
        [0.5502149277061352, 'rgb(125,125,125)'],
        [0.5545134818288394, 'rgb(126,126,126)'],
        [0.5588120359515436, 'rgb(127,127,127)'],
        [0.5631105900742478, 'rgb(129,128,128)'],
        [0.567409144196952, 'rgb(130,129,129)'],
        [0.5717076983196561, 'rgb(131,130,130)'],
        [0.5760062524423603, 'rgb(132,131,131)'],
        [0.5803048065650644, 'rgb(133,132,132)'],
        [0.5846033606877686, 'rgb(134,133,133)'],
        [0.5889019148104728, 'rgb(135,135,134)'],
        [0.593200468933177, 'rgb(136,136,136)'],
        [0.5974990230558812, 'rgb(137,137,137)'],
        [0.6017975771785854, 'rgb(138,138,138)'],
        [0.6060961313012896, 'rgb(139,139,139)'],
        [0.6103946854239938, 'rgb(140,140,140)'],
        [0.614693239546698, 'rgb(141,141,141)'],
        [0.6189917936694022, 'rgb(143,142,142)'],
        [0.6232903477921062, 'rgb(144,143,143)'],
        [0.6275889019148104, 'rgb(145,144,144)'],
        [0.6318874560375146, 'rgb(146,146,145)'],
        [0.6361860101602188, 'rgb(147,147,147)'],
        [0.640484564282923, 'rgb(148,148,148)'],
        [0.6447831184056272, 'rgb(149,149,149)'],
        [0.6490816725283314, 'rgb(150,150,150)'],
        [0.6533802266510356, 'rgb(151,151,151)'],
        [0.6576787807737398, 'rgb(153,152,152)'],
        [0.661977334896444, 'rgb(154,153,153)'],
        [0.6662758890191481, 'rgb(155,154,154)'],
        [0.6705744431418523, 'rgb(156,156,156)'],
        [0.6748729972645565, 'rgb(157,157,157)'],
        [0.6791715513872606, 'rgb(158,158,158)'],
        [0.6834701055099648, 'rgb(159,159,159)'],
        [0.687768659632669, 'rgb(161,160,160)'],
        [0.6920672137553732, 'rgb(162,161,161)'],
        [0.6963657678780774, 'rgb(163,162,162)'],
        [0.7006643220007815, 'rgb(164,164,164)'],
        [0.7049628761234857, 'rgb(165,165,165)'],
        [0.7092614302461899, 'rgb(166,166,166)'],
        [0.7135599843688941, 'rgb(167,167,167)'],
        [0.7178585384915983, 'rgb(169,168,168)'],
        [0.7221570926143025, 'rgb(170,169,169)'],
        [0.7264556467370067, 'rgb(171,171,171)'],
        [0.7307542008597109, 'rgb(172,172,172)'],
        [0.735052754982415, 'rgb(173,173,173)'],
        [0.7393513091051191, 'rgb(175,174,174)'],
        [0.7436498632278233, 'rgb(176,175,175)'],
        [0.7479484173505275, 'rgb(177,177,177)'],
        [0.7522469714732317, 'rgb(178,178,178)'],
        [0.7565455255959359, 'rgb(179,179,179)'],
        [0.7608440797186401, 'rgb(180,180,180)'],
        [0.7651426338413443, 'rgb(182,181,181)'],
        [0.7694411879640485, 'rgb(183,183,183)'],
        [0.7737397420867527, 'rgb(184,184,184)'],
        [0.7780382962094569, 'rgb(185,185,185)'],
        [0.782336850332161, 'rgb(187,186,186)'],
        [0.7866354044548651, 'rgb(188,188,188)'],
        [0.7909339585775693, 'rgb(189,189,189)'],
        [0.7952325127002735, 'rgb(190,190,190)'],
        [0.7995310668229777, 'rgb(192,191,191)'],
        [0.8038296209456819, 'rgb(193,193,193)'],
        [0.8081281750683861, 'rgb(194,194,194)'],
        [0.8124267291910903, 'rgb(195,195,195)'],
        [0.8167252833137945, 'rgb(197,196,196)'],
        [0.8210238374364986, 'rgb(198,198,198)'],
        [0.8253223915592028, 'rgb(199,199,199)'],
        [0.829620945681907, 'rgb(200,200,200)'],
        [0.8339194998046112, 'rgb(202,201,201)'],
        [0.8382180539273154, 'rgb(203,203,203)'],
        [0.8425166080500195, 'rgb(204,204,204)'],
        [0.8468151621727237, 'rgb(205,205,205)'],
        [0.8511137162954279, 'rgb(207,207,207)'],
        [0.8554122704181321, 'rgb(208,208,208)'],
        [0.8597108245408362, 'rgb(209,209,209)'],
        [0.8640093786635404, 'rgb(211,211,211)'],
        [0.8683079327862446, 'rgb(212,212,212)'],
        [0.8726064869089488, 'rgb(213,213,213)'],
        [0.876905041031653, 'rgb(215,215,215)'],
        [0.8812035951543572, 'rgb(216,216,216)'],
        [0.8855021492770614, 'rgb(217,217,217)'],
        [0.8898007033997656, 'rgb(219,219,219)'],
        [0.8940992575224697, 'rgb(220,220,220)'],
        [0.8983978116451738, 'rgb(221,221,221)'],
        [0.902696365767878, 'rgb(223,223,223)'],
        [0.9069949198905822, 'rgb(224,224,224)'],
        [0.9112934740132864, 'rgb(225,225,225)'],
        [0.9155920281359906, 'rgb(227,227,227)'],
        [0.9198905822586948, 'rgb(228,228,228)'],
        [0.924189136381399, 'rgb(230,230,230)'],
        [0.9284876905041032, 'rgb(231,231,231)'],
        [0.9327862446268074, 'rgb(232,232,232)'],
        [0.9370847987495116, 'rgb(234,234,234)'],
        [0.9413833528722158, 'rgb(235,235,235)'],
        [0.9456819069949199, 'rgb(237,237,237)'],
        [0.949980461117624, 'rgb(238,238,238)'],
        [0.9542790152403282, 'rgb(239,239,239)'],
        [0.9585775693630324, 'rgb(241,241,241)'],
        [0.9628761234857366, 'rgb(242,242,242)'],
        [0.9671746776084408, 'rgb(244,244,244)'],
        [0.971473231731145, 'rgb(245,245,245)'],
        [0.9757717858538492, 'rgb(247,247,247)'],
        [0.9800703399765534, 'rgb(248,248,248)'],
        [0.9843688940992575, 'rgb(250,250,250)'],
        [0.9886674482219617, 'rgb(251,251,251)'],
        [0.9929660023446659, 'rgb(253,253,253)'],
        [0.9972645564673701, 'rgb(254,254,254)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.nuclear': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(0,0,1)'],
        [0.01568627450980392, 'rgb(1,1,1)'],
        [0.0196078431372549, 'rgb(1,1,1)'],
        [0.023529411764705882, 'rgb(1,1,2)'],
        [0.027450980392156862, 'rgb(2,1,3)'],
        [0.03137254901960784, 'rgb(2,2,4)'],
        [0.03529411764705882, 'rgb(3,2,4)'],
        [0.0392156862745098, 'rgb(4,3,6)'],
        [0.043137254901960784, 'rgb(4,3,7)'],
        [0.047058823529411764, 'rgb(5,4,8)'],
        [0.050980392156862744, 'rgb(6,4,10)'],
        [0.054901960784313725, 'rgb(7,5,11)'],
        [0.058823529411764705, 'rgb(8,5,13)'],
        [0.06274509803921569, 'rgb(9,6,15)'],
        [0.06666666666666667, 'rgb(10,7,16)'],
        [0.07058823529411765, 'rgb(11,7,18)'],
        [0.07450980392156863, 'rgb(12,8,20)'],
        [0.0784313725490196, 'rgb(13,9,22)'],
        [0.08235294117647059, 'rgb(14,10,23)'],
        [0.08627450980392157, 'rgb(15,10,25)'],
        [0.09019607843137255, 'rgb(16,11,27)'],
        [0.09411764705882353, 'rgb(17,12,28)'],
        [0.09803921568627451, 'rgb(18,13,30)'],
        [0.10196078431372549, 'rgb(19,13,32)'],
        [0.10588235294117647, 'rgb(20,14,34)'],
        [0.10980392156862745, 'rgb(21,15,36)'],
        [0.11372549019607843, 'rgb(22,16,38)'],
        [0.11764705882352941, 'rgb(23,16,39)'],
        [0.12156862745098039, 'rgb(24,17,41)'],
        [0.12549019607843137, 'rgb(25,18,43)'],
        [0.12941176470588237, 'rgb(25,19,45)'],
        [0.13333333333333333, 'rgb(26,19,47)'],
        [0.13725490196078433, 'rgb(27,20,49)'],
        [0.1411764705882353, 'rgb(28,21,51)'],
        [0.1450980392156863, 'rgb(29,21,53)'],
        [0.14901960784313725, 'rgb(29,22,55)'],
        [0.15294117647058825, 'rgb(30,23,57)'],
        [0.1568627450980392, 'rgb(31,24,59)'],
        [0.1607843137254902, 'rgb(32,24,61)'],
        [0.16470588235294117, 'rgb(32,25,63)'],
        [0.16862745098039217, 'rgb(33,26,65)'],
        [0.17254901960784313, 'rgb(33,26,67)'],
        [0.17647058823529413, 'rgb(34,27,69)'],
        [0.1803921568627451, 'rgb(34,28,71)'],
        [0.1843137254901961, 'rgb(35,29,73)'],
        [0.18823529411764706, 'rgb(35,30,76)'],
        [0.19215686274509805, 'rgb(35,30,78)'],
        [0.19607843137254902, 'rgb(36,31,80)'],
        [0.2, 'rgb(36,32,81)'],
        [0.20392156862745098, 'rgb(36,33,83)'],
        [0.20784313725490197, 'rgb(36,34,85)'],
        [0.21176470588235294, 'rgb(36,35,87)'],
        [0.21568627450980393, 'rgb(36,36,88)'],
        [0.2196078431372549, 'rgb(36,37,90)'],
        [0.2235294117647059, 'rgb(35,38,91)'],
        [0.22745098039215686, 'rgb(35,40,92)'],
        [0.23137254901960785, 'rgb(35,41,93)'],
        [0.23529411764705882, 'rgb(34,42,94)'],
        [0.23921568627450981, 'rgb(34,43,95)'],
        [0.24313725490196078, 'rgb(33,45,96)'],
        [0.24705882352941178, 'rgb(33,46,96)'],
        [0.25098039215686274, 'rgb(32,47,97)'],
        [0.2549019607843137, 'rgb(32,49,97)'],
        [0.25882352941176473, 'rgb(32,50,98)'],
        [0.2627450980392157, 'rgb(31,51,98)'],
        [0.26666666666666666, 'rgb(31,52,98)'],
        [0.27058823529411763, 'rgb(31,54,98)'],
        [0.27450980392156865, 'rgb(30,55,99)'],
        [0.2784313725490196, 'rgb(30,56,99)'],
        [0.2823529411764706, 'rgb(30,57,99)'],
        [0.28627450980392155, 'rgb(30,58,99)'],
        [0.2901960784313726, 'rgb(30,59,99)'],
        [0.29411764705882354, 'rgb(29,61,99)'],
        [0.2980392156862745, 'rgb(29,62,99)'],
        [0.30196078431372547, 'rgb(29,63,99)'],
        [0.3058823529411765, 'rgb(29,64,100)'],
        [0.30980392156862746, 'rgb(29,65,100)'],
        [0.3137254901960784, 'rgb(29,66,100)'],
        [0.3176470588235294, 'rgb(29,67,100)'],
        [0.3215686274509804, 'rgb(29,68,100)'],
        [0.3254901960784314, 'rgb(30,69,100)'],
        [0.32941176470588235, 'rgb(30,71,100)'],
        [0.3333333333333333, 'rgb(30,72,100)'],
        [0.33725490196078434, 'rgb(30,73,100)'],
        [0.3411764705882353, 'rgb(30,74,100)'],
        [0.34509803921568627, 'rgb(30,75,100)'],
        [0.34901960784313724, 'rgb(31,76,100)'],
        [0.35294117647058826, 'rgb(31,77,101)'],
        [0.3568627450980392, 'rgb(31,78,101)'],
        [0.3607843137254902, 'rgb(31,79,101)'],
        [0.36470588235294116, 'rgb(31,80,101)'],
        [0.3686274509803922, 'rgb(32,81,101)'],
        [0.37254901960784315, 'rgb(32,82,101)'],
        [0.3764705882352941, 'rgb(32,83,101)'],
        [0.3803921568627451, 'rgb(32,84,101)'],
        [0.3843137254901961, 'rgb(33,85,101)'],
        [0.38823529411764707, 'rgb(33,86,102)'],
        [0.39215686274509803, 'rgb(33,87,102)'],
        [0.396078431372549, 'rgb(33,88,102)'],
        [0.4, 'rgb(34,89,102)'],
        [0.403921568627451, 'rgb(34,90,102)'],
        [0.40784313725490196, 'rgb(34,91,102)'],
        [0.4117647058823529, 'rgb(34,92,102)'],
        [0.41568627450980394, 'rgb(35,93,102)'],
        [0.4196078431372549, 'rgb(35,94,103)'],
        [0.4235294117647059, 'rgb(35,95,103)'],
        [0.42745098039215684, 'rgb(35,96,103)'],
        [0.43137254901960786, 'rgb(35,97,103)'],
        [0.43529411764705883, 'rgb(35,98,103)'],
        [0.4392156862745098, 'rgb(35,99,103)'],
        [0.44313725490196076, 'rgb(36,100,103)'],
        [0.4470588235294118, 'rgb(36,101,103)'],
        [0.45098039215686275, 'rgb(36,103,103)'],
        [0.4549019607843137, 'rgb(36,104,104)'],
        [0.4588235294117647, 'rgb(36,105,104)'],
        [0.4627450980392157, 'rgb(36,106,104)'],
        [0.4666666666666667, 'rgb(36,107,104)'],
        [0.47058823529411764, 'rgb(36,108,104)'],
        [0.4745098039215686, 'rgb(36,109,104)'],
        [0.47843137254901963, 'rgb(36,110,104)'],
        [0.4823529411764706, 'rgb(36,111,104)'],
        [0.48627450980392156, 'rgb(36,112,104)'],
        [0.49019607843137253, 'rgb(36,113,104)'],
        [0.49411764705882355, 'rgb(35,114,104)'],
        [0.4980392156862745, 'rgb(35,115,104)'],
        [0.5019607843137255, 'rgb(35,116,104)'],
        [0.5058823529411764, 'rgb(35,117,104)'],
        [0.5098039215686274, 'rgb(35,118,104)'],
        [0.5137254901960784, 'rgb(35,119,104)'],
        [0.5176470588235295, 'rgb(34,121,103)'],
        [0.5215686274509804, 'rgb(34,122,103)'],
        [0.5254901960784314, 'rgb(34,123,103)'],
        [0.5294117647058824, 'rgb(34,124,103)'],
        [0.5333333333333333, 'rgb(34,125,103)'],
        [0.5372549019607843, 'rgb(33,126,103)'],
        [0.5411764705882353, 'rgb(33,127,102)'],
        [0.5450980392156862, 'rgb(33,128,102)'],
        [0.5490196078431373, 'rgb(32,129,102)'],
        [0.5529411764705883, 'rgb(32,130,102)'],
        [0.5568627450980392, 'rgb(32,131,101)'],
        [0.5607843137254902, 'rgb(32,133,101)'],
        [0.5647058823529412, 'rgb(31,134,101)'],
        [0.5686274509803921, 'rgb(31,135,101)'],
        [0.5725490196078431, 'rgb(31,136,100)'],
        [0.5764705882352941, 'rgb(30,137,100)'],
        [0.5803921568627451, 'rgb(30,138,99)'],
        [0.5843137254901961, 'rgb(30,139,99)'],
        [0.5882352941176471, 'rgb(30,140,99)'],
        [0.592156862745098, 'rgb(29,141,98)'],
        [0.596078431372549, 'rgb(29,143,98)'],
        [0.6, 'rgb(29,144,97)'],
        [0.6039215686274509, 'rgb(29,145,97)'],
        [0.6078431372549019, 'rgb(29,146,96)'],
        [0.611764705882353, 'rgb(28,147,96)'],
        [0.615686274509804, 'rgb(28,148,95)'],
        [0.6196078431372549, 'rgb(28,149,94)'],
        [0.6235294117647059, 'rgb(28,150,94)'],
        [0.6274509803921569, 'rgb(28,151,93)'],
        [0.6313725490196078, 'rgb(28,153,92)'],
        [0.6352941176470588, 'rgb(28,154,92)'],
        [0.6392156862745098, 'rgb(28,155,91)'],
        [0.6431372549019608, 'rgb(29,156,90)'],
        [0.6470588235294118, 'rgb(29,157,89)'],
        [0.6509803921568628, 'rgb(29,158,88)'],
        [0.6549019607843137, 'rgb(29,159,88)'],
        [0.6588235294117647, 'rgb(30,160,87)'],
        [0.6627450980392157, 'rgb(30,161,86)'],
        [0.6666666666666666, 'rgb(31,163,85)'],
        [0.6705882352941176, 'rgb(31,164,84)'],
        [0.6745098039215687, 'rgb(32,165,83)'],
        [0.6784313725490196, 'rgb(33,166,82)'],
        [0.6823529411764706, 'rgb(34,167,81)'],
        [0.6862745098039216, 'rgb(34,168,80)'],
        [0.6901960784313725, 'rgb(35,169,79)'],
        [0.6941176470588235, 'rgb(36,170,77)'],
        [0.6980392156862745, 'rgb(37,171,76)'],
        [0.7019607843137254, 'rgb(38,172,75)'],
        [0.7058823529411765, 'rgb(40,173,74)'],
        [0.7098039215686275, 'rgb(41,175,72)'],
        [0.7137254901960784, 'rgb(42,176,71)'],
        [0.7176470588235294, 'rgb(43,177,69)'],
        [0.7215686274509804, 'rgb(45,178,68)'],
        [0.7254901960784313, 'rgb(46,179,66)'],
        [0.7294117647058823, 'rgb(48,180,65)'],
        [0.7333333333333333, 'rgb(50,181,63)'],
        [0.7372549019607844, 'rgb(51,182,61)'],
        [0.7411764705882353, 'rgb(53,183,60)'],
        [0.7450980392156863, 'rgb(55,184,58)'],
        [0.7490196078431373, 'rgb(57,185,56)'],
        [0.7529411764705882, 'rgb(59,186,54)'],
        [0.7568627450980392, 'rgb(61,187,51)'],
        [0.7607843137254902, 'rgb(63,188,49)'],
        [0.7647058823529411, 'rgb(65,189,47)'],
        [0.7686274509803922, 'rgb(68,190,44)'],
        [0.7725490196078432, 'rgb(70,191,42)'],
        [0.7764705882352941, 'rgb(73,192,39)'],
        [0.7803921568627451, 'rgb(75,193,36)'],
        [0.7843137254901961, 'rgb(78,194,33)'],
        [0.788235294117647, 'rgb(81,194,30)'],
        [0.792156862745098, 'rgb(84,195,26)'],
        [0.796078431372549, 'rgb(88,196,22)'],
        [0.8, 'rgb(91,197,18)'],
        [0.803921568627451, 'rgb(95,197,14)'],
        [0.807843137254902, 'rgb(99,198,10)'],
        [0.8117647058823529, 'rgb(103,199,8)'],
        [0.8156862745098039, 'rgb(107,199,8)'],
        [0.8196078431372549, 'rgb(111,200,10)'],
        [0.8235294117647058, 'rgb(114,200,14)'],
        [0.8274509803921568, 'rgb(118,201,18)'],
        [0.8313725490196079, 'rgb(121,201,22)'],
        [0.8352941176470589, 'rgb(124,202,27)'],
        [0.8392156862745098, 'rgb(127,202,31)'],
        [0.8431372549019608, 'rgb(130,203,35)'],
        [0.8470588235294118, 'rgb(133,203,39)'],
        [0.8509803921568627, 'rgb(136,204,43)'],
        [0.8549019607843137, 'rgb(138,205,47)'],
        [0.8588235294117647, 'rgb(141,205,50)'],
        [0.8627450980392157, 'rgb(143,206,54)'],
        [0.8666666666666667, 'rgb(145,207,57)'],
        [0.8705882352941177, 'rgb(148,207,61)'],
        [0.8745098039215686, 'rgb(150,208,64)'],
        [0.8784313725490196, 'rgb(152,209,67)'],
        [0.8823529411764706, 'rgb(154,209,71)'],
        [0.8862745098039215, 'rgb(156,210,74)'],
        [0.8901960784313725, 'rgb(158,211,77)'],
        [0.8941176470588236, 'rgb(160,211,80)'],
        [0.8980392156862745, 'rgb(162,212,83)'],
        [0.9019607843137255, 'rgb(164,213,86)'],
        [0.9058823529411765, 'rgb(166,214,89)'],
        [0.9098039215686274, 'rgb(168,214,92)'],
        [0.9137254901960784, 'rgb(170,215,95)'],
        [0.9176470588235294, 'rgb(172,216,98)'],
        [0.9215686274509803, 'rgb(174,217,101)'],
        [0.9254901960784314, 'rgb(176,217,104)'],
        [0.9294117647058824, 'rgb(177,218,107)'],
        [0.9333333333333333, 'rgb(179,219,109)'],
        [0.9372549019607843, 'rgb(181,220,112)'],
        [0.9411764705882353, 'rgb(183,220,115)'],
        [0.9450980392156862, 'rgb(185,221,118)'],
        [0.9490196078431372, 'rgb(186,222,121)'],
        [0.9529411764705882, 'rgb(188,223,123)'],
        [0.9568627450980393, 'rgb(190,223,126)'],
        [0.9607843137254902, 'rgb(192,224,129)'],
        [0.9647058823529412, 'rgb(193,225,132)'],
        [0.9686274509803922, 'rgb(195,226,134)'],
        [0.9725490196078431, 'rgb(197,227,137)'],
        [0.9764705882352941, 'rgb(199,227,140)'],
        [0.9803921568627451, 'rgb(200,228,143)'],
        [0.984313725490196, 'rgb(202,229,145)'],
        [0.9882352941176471, 'rgb(204,230,148)'],
        [0.9921568627450981, 'rgb(205,231,151)'],
        [0.996078431372549, 'rgb(207,231,153)'],
        [1.0, 'rgb(209,232,156)'],
    ],
    'cmr.ocean': [
        [0.0, 'rgb(28,0,65)'],
        [0.00392156862745098, 'rgb(29,2,66)'],
        [0.00784313725490196, 'rgb(29,3,67)'],
        [0.011764705882352941, 'rgb(30,4,68)'],
        [0.01568627450980392, 'rgb(30,5,69)'],
        [0.0196078431372549, 'rgb(30,7,70)'],
        [0.023529411764705882, 'rgb(31,8,71)'],
        [0.027450980392156862, 'rgb(31,9,73)'],
        [0.03137254901960784, 'rgb(32,11,74)'],
        [0.03529411764705882, 'rgb(32,12,75)'],
        [0.0392156862745098, 'rgb(33,14,76)'],
        [0.043137254901960784, 'rgb(33,15,77)'],
        [0.047058823529411764, 'rgb(33,17,78)'],
        [0.050980392156862744, 'rgb(34,18,79)'],
        [0.054901960784313725, 'rgb(34,19,80)'],
        [0.058823529411764705, 'rgb(34,20,82)'],
        [0.06274509803921569, 'rgb(35,22,83)'],
        [0.06666666666666667, 'rgb(35,23,84)'],
        [0.07058823529411765, 'rgb(35,24,85)'],
        [0.07450980392156863, 'rgb(35,25,86)'],
        [0.0784313725490196, 'rgb(36,26,87)'],
        [0.08235294117647059, 'rgb(36,28,88)'],
        [0.08627450980392157, 'rgb(36,29,89)'],
        [0.09019607843137255, 'rgb(36,30,90)'],
        [0.09411764705882353, 'rgb(37,31,91)'],
        [0.09803921568627451, 'rgb(37,32,92)'],
        [0.10196078431372549, 'rgb(37,33,93)'],
        [0.10588235294117647, 'rgb(37,34,94)'],
        [0.10980392156862745, 'rgb(37,36,95)'],
        [0.11372549019607843, 'rgb(38,37,97)'],
        [0.11764705882352941, 'rgb(38,38,98)'],
        [0.12156862745098039, 'rgb(38,39,99)'],
        [0.12549019607843137, 'rgb(38,40,100)'],
        [0.12941176470588237, 'rgb(38,41,100)'],
        [0.13333333333333333, 'rgb(38,42,101)'],
        [0.13725490196078433, 'rgb(38,43,102)'],
        [0.1411764705882353, 'rgb(38,44,103)'],
        [0.1450980392156863, 'rgb(38,46,104)'],
        [0.14901960784313725, 'rgb(39,47,105)'],
        [0.15294117647058825, 'rgb(39,48,106)'],
        [0.1568627450980392, 'rgb(39,49,107)'],
        [0.1607843137254902, 'rgb(39,50,108)'],
        [0.16470588235294117, 'rgb(39,51,109)'],
        [0.16862745098039217, 'rgb(39,52,110)'],
        [0.17254901960784313, 'rgb(39,53,111)'],
        [0.17647058823529413, 'rgb(39,54,112)'],
        [0.1803921568627451, 'rgb(39,55,112)'],
        [0.1843137254901961, 'rgb(39,56,113)'],
        [0.18823529411764706, 'rgb(39,57,114)'],
        [0.19215686274509805, 'rgb(39,58,115)'],
        [0.19607843137254902, 'rgb(38,60,116)'],
        [0.2, 'rgb(38,61,117)'],
        [0.20392156862745098, 'rgb(38,62,117)'],
        [0.20784313725490197, 'rgb(38,63,118)'],
        [0.21176470588235294, 'rgb(38,64,119)'],
        [0.21568627450980393, 'rgb(38,65,120)'],
        [0.2196078431372549, 'rgb(38,66,120)'],
        [0.2235294117647059, 'rgb(38,67,121)'],
        [0.22745098039215686, 'rgb(38,68,122)'],
        [0.23137254901960785, 'rgb(38,69,123)'],
        [0.23529411764705882, 'rgb(38,70,123)'],
        [0.23921568627450981, 'rgb(38,71,124)'],
        [0.24313725490196078, 'rgb(38,72,125)'],
        [0.24705882352941178, 'rgb(37,73,125)'],
        [0.25098039215686274, 'rgb(37,74,126)'],
        [0.2549019607843137, 'rgb(37,75,127)'],
        [0.25882352941176473, 'rgb(37,77,127)'],
        [0.2627450980392157, 'rgb(37,78,128)'],
        [0.26666666666666666, 'rgb(37,79,129)'],
        [0.27058823529411763, 'rgb(37,80,129)'],
        [0.27450980392156865, 'rgb(37,81,130)'],
        [0.2784313725490196, 'rgb(37,82,130)'],
        [0.2823529411764706, 'rgb(37,83,131)'],
        [0.28627450980392155, 'rgb(37,84,132)'],
        [0.2901960784313726, 'rgb(37,85,132)'],
        [0.29411764705882354, 'rgb(37,86,133)'],
        [0.2980392156862745, 'rgb(37,87,133)'],
        [0.30196078431372547, 'rgb(37,88,134)'],
        [0.3058823529411765, 'rgb(37,89,134)'],
        [0.30980392156862746, 'rgb(37,90,135)'],
        [0.3137254901960784, 'rgb(37,91,136)'],
        [0.3176470588235294, 'rgb(37,92,136)'],
        [0.3215686274509804, 'rgb(37,93,137)'],
        [0.3254901960784314, 'rgb(37,94,137)'],
        [0.32941176470588235, 'rgb(37,95,138)'],
        [0.3333333333333333, 'rgb(37,96,138)'],
        [0.33725490196078434, 'rgb(37,97,139)'],
        [0.3411764705882353, 'rgb(37,98,139)'],
        [0.34509803921568627, 'rgb(37,99,140)'],
        [0.34901960784313724, 'rgb(37,100,140)'],
        [0.35294117647058826, 'rgb(37,101,141)'],
        [0.3568627450980392, 'rgb(38,102,141)'],
        [0.3607843137254902, 'rgb(38,103,142)'],
        [0.36470588235294116, 'rgb(38,104,142)'],
        [0.3686274509803922, 'rgb(38,105,142)'],
        [0.37254901960784315, 'rgb(38,106,143)'],
        [0.3764705882352941, 'rgb(39,107,143)'],
        [0.3803921568627451, 'rgb(39,108,144)'],
        [0.3843137254901961, 'rgb(39,109,144)'],
        [0.38823529411764707, 'rgb(40,110,145)'],
        [0.39215686274509803, 'rgb(40,111,145)'],
        [0.396078431372549, 'rgb(40,112,146)'],
        [0.4, 'rgb(41,113,146)'],
        [0.403921568627451, 'rgb(41,114,146)'],
        [0.40784313725490196, 'rgb(41,115,147)'],
        [0.4117647058823529, 'rgb(42,116,147)'],
        [0.41568627450980394, 'rgb(42,118,148)'],
        [0.4196078431372549, 'rgb(43,119,148)'],
        [0.4235294117647059, 'rgb(43,120,149)'],
        [0.42745098039215684, 'rgb(44,121,149)'],
        [0.43137254901960786, 'rgb(44,122,149)'],
        [0.43529411764705883, 'rgb(45,123,150)'],
        [0.4392156862745098, 'rgb(45,123,150)'],
        [0.44313725490196076, 'rgb(46,124,151)'],
        [0.4470588235294118, 'rgb(46,125,151)'],
        [0.45098039215686275, 'rgb(47,126,151)'],
        [0.4549019607843137, 'rgb(48,127,152)'],
        [0.4588235294117647, 'rgb(48,128,152)'],
        [0.4627450980392157, 'rgb(49,129,153)'],
        [0.4666666666666667, 'rgb(49,130,153)'],
        [0.47058823529411764, 'rgb(50,131,153)'],
        [0.4745098039215686, 'rgb(51,132,154)'],
        [0.47843137254901963, 'rgb(51,133,154)'],
        [0.4823529411764706, 'rgb(52,134,155)'],
        [0.48627450980392156, 'rgb(53,135,155)'],
        [0.49019607843137253, 'rgb(54,136,155)'],
        [0.49411764705882355, 'rgb(54,137,156)'],
        [0.4980392156862745, 'rgb(55,138,156)'],
        [0.5019607843137255, 'rgb(56,139,156)'],
        [0.5058823529411764, 'rgb(57,140,157)'],
        [0.5098039215686274, 'rgb(57,141,157)'],
        [0.5137254901960784, 'rgb(58,142,157)'],
        [0.5176470588235295, 'rgb(59,143,158)'],
        [0.5215686274509804, 'rgb(60,144,158)'],
        [0.5254901960784314, 'rgb(61,145,159)'],
        [0.5294117647058824, 'rgb(62,146,159)'],
        [0.5333333333333333, 'rgb(63,147,159)'],
        [0.5372549019607843, 'rgb(64,148,160)'],
        [0.5411764705882353, 'rgb(64,149,160)'],
        [0.5450980392156862, 'rgb(65,150,160)'],
        [0.5490196078431373, 'rgb(66,151,161)'],
        [0.5529411764705883, 'rgb(67,152,161)'],
        [0.5568627450980392, 'rgb(68,153,161)'],
        [0.5607843137254902, 'rgb(69,154,162)'],
        [0.5647058823529412, 'rgb(70,155,162)'],
        [0.5686274509803921, 'rgb(71,156,162)'],
        [0.5725490196078431, 'rgb(72,157,163)'],
        [0.5764705882352941, 'rgb(73,158,163)'],
        [0.5803921568627451, 'rgb(75,159,163)'],
        [0.5843137254901961, 'rgb(76,160,164)'],
        [0.5882352941176471, 'rgb(77,161,164)'],
        [0.592156862745098, 'rgb(78,162,164)'],
        [0.596078431372549, 'rgb(79,163,165)'],
        [0.6, 'rgb(80,164,165)'],
        [0.6039215686274509, 'rgb(81,165,165)'],
        [0.6078431372549019, 'rgb(83,166,166)'],
        [0.611764705882353, 'rgb(84,167,166)'],
        [0.615686274509804, 'rgb(85,168,166)'],
        [0.6196078431372549, 'rgb(86,169,167)'],
        [0.6235294117647059, 'rgb(88,170,167)'],
        [0.6274509803921569, 'rgb(89,171,167)'],
        [0.6313725490196078, 'rgb(90,172,168)'],
        [0.6352941176470588, 'rgb(92,173,168)'],
        [0.6392156862745098, 'rgb(93,174,168)'],
        [0.6431372549019608, 'rgb(95,175,169)'],
        [0.6470588235294118, 'rgb(96,175,169)'],
        [0.6509803921568628, 'rgb(97,176,169)'],
        [0.6549019607843137, 'rgb(99,177,170)'],
        [0.6588235294117647, 'rgb(100,178,170)'],
        [0.6627450980392157, 'rgb(102,179,170)'],
        [0.6666666666666666, 'rgb(104,180,171)'],
        [0.6705882352941176, 'rgb(105,181,171)'],
        [0.6745098039215687, 'rgb(107,182,172)'],
        [0.6784313725490196, 'rgb(108,183,172)'],
        [0.6823529411764706, 'rgb(110,184,172)'],
        [0.6862745098039216, 'rgb(112,185,173)'],
        [0.6901960784313725, 'rgb(114,185,173)'],
        [0.6941176470588235, 'rgb(115,186,174)'],
        [0.6980392156862745, 'rgb(117,187,174)'],
        [0.7019607843137254, 'rgb(119,188,174)'],
        [0.7058823529411765, 'rgb(121,189,175)'],
        [0.7098039215686275, 'rgb(123,190,175)'],
        [0.7137254901960784, 'rgb(125,191,176)'],
        [0.7176470588235294, 'rgb(126,191,176)'],
        [0.7215686274509804, 'rgb(128,192,177)'],
        [0.7254901960784313, 'rgb(130,193,178)'],
        [0.7294117647058823, 'rgb(132,194,178)'],
        [0.7333333333333333, 'rgb(134,195,179)'],
        [0.7372549019607844, 'rgb(136,195,179)'],
        [0.7411764705882353, 'rgb(138,196,180)'],
        [0.7450980392156863, 'rgb(140,197,181)'],
        [0.7490196078431373, 'rgb(142,198,182)'],
        [0.7529411764705882, 'rgb(144,199,182)'],
        [0.7568627450980392, 'rgb(146,199,183)'],
        [0.7607843137254902, 'rgb(148,200,184)'],
        [0.7647058823529411, 'rgb(150,201,185)'],
        [0.7686274509803922, 'rgb(152,202,185)'],
        [0.7725490196078432, 'rgb(154,203,186)'],
        [0.7764705882352941, 'rgb(156,203,187)'],
        [0.7803921568627451, 'rgb(158,204,188)'],
        [0.7843137254901961, 'rgb(159,205,189)'],
        [0.788235294117647, 'rgb(161,206,190)'],
        [0.792156862745098, 'rgb(163,207,191)'],
        [0.796078431372549, 'rgb(165,207,192)'],
        [0.8, 'rgb(167,208,193)'],
        [0.803921568627451, 'rgb(169,209,194)'],
        [0.807843137254902, 'rgb(171,210,195)'],
        [0.8117647058823529, 'rgb(173,211,196)'],
        [0.8156862745098039, 'rgb(174,211,197)'],
        [0.8196078431372549, 'rgb(176,212,198)'],
        [0.8235294117647058, 'rgb(178,213,199)'],
        [0.8274509803921568, 'rgb(180,214,200)'],
        [0.8313725490196079, 'rgb(182,215,201)'],
        [0.8352941176470589, 'rgb(183,216,202)'],
        [0.8392156862745098, 'rgb(185,216,203)'],
        [0.8431372549019608, 'rgb(187,217,205)'],
        [0.8470588235294118, 'rgb(189,218,206)'],
        [0.8509803921568627, 'rgb(191,219,207)'],
        [0.8549019607843137, 'rgb(192,220,208)'],
        [0.8588235294117647, 'rgb(194,221,209)'],
        [0.8627450980392157, 'rgb(196,222,210)'],
        [0.8666666666666667, 'rgb(198,222,211)'],
        [0.8705882352941177, 'rgb(199,223,213)'],
        [0.8745098039215686, 'rgb(201,224,214)'],
        [0.8784313725490196, 'rgb(203,225,215)'],
        [0.8823529411764706, 'rgb(205,226,216)'],
        [0.8862745098039215, 'rgb(206,227,218)'],
        [0.8901960784313725, 'rgb(208,228,219)'],
        [0.8941176470588236, 'rgb(210,229,220)'],
        [0.8980392156862745, 'rgb(212,230,221)'],
        [0.9019607843137255, 'rgb(213,230,222)'],
        [0.9058823529411765, 'rgb(215,231,224)'],
        [0.9098039215686274, 'rgb(217,232,225)'],
        [0.9137254901960784, 'rgb(218,233,226)'],
        [0.9176470588235294, 'rgb(220,234,228)'],
        [0.9215686274509803, 'rgb(222,235,229)'],
        [0.9254901960784314, 'rgb(223,236,230)'],
        [0.9294117647058824, 'rgb(225,237,231)'],
        [0.9333333333333333, 'rgb(227,238,233)'],
        [0.9372549019607843, 'rgb(229,239,234)'],
        [0.9411764705882353, 'rgb(230,240,235)'],
        [0.9450980392156862, 'rgb(232,241,237)'],
        [0.9490196078431372, 'rgb(234,242,238)'],
        [0.9529411764705882, 'rgb(235,243,239)'],
        [0.9568627450980393, 'rgb(237,244,240)'],
        [0.9607843137254902, 'rgb(239,245,242)'],
        [0.9647058823529412, 'rgb(240,246,243)'],
        [0.9686274509803922, 'rgb(242,247,244)'],
        [0.9725490196078431, 'rgb(244,248,246)'],
        [0.9764705882352941, 'rgb(245,249,247)'],
        [0.9803921568627451, 'rgb(247,250,248)'],
        [0.984313725490196, 'rgb(248,251,250)'],
        [0.9882352941176471, 'rgb(250,252,251)'],
        [0.9921568627450981, 'rgb(252,253,252)'],
        [0.996078431372549, 'rgb(253,254,254)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.rainforest': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(1,0,1)'],
        [0.01568627450980392, 'rgb(1,0,1)'],
        [0.0196078431372549, 'rgb(2,1,2)'],
        [0.023529411764705882, 'rgb(3,1,2)'],
        [0.027450980392156862, 'rgb(4,1,3)'],
        [0.03137254901960784, 'rgb(5,1,4)'],
        [0.03529411764705882, 'rgb(6,2,5)'],
        [0.0392156862745098, 'rgb(8,2,6)'],
        [0.043137254901960784, 'rgb(9,2,8)'],
        [0.047058823529411764, 'rgb(11,3,9)'],
        [0.050980392156862744, 'rgb(13,3,11)'],
        [0.054901960784313725, 'rgb(15,3,13)'],
        [0.058823529411764705, 'rgb(16,3,15)'],
        [0.06274509803921569, 'rgb(18,4,17)'],
        [0.06666666666666667, 'rgb(20,4,19)'],
        [0.07058823529411765, 'rgb(21,4,21)'],
        [0.07450980392156863, 'rgb(23,4,23)'],
        [0.0784313725490196, 'rgb(25,5,25)'],
        [0.08235294117647059, 'rgb(26,5,27)'],
        [0.08627450980392157, 'rgb(28,5,30)'],
        [0.09019607843137255, 'rgb(30,5,32)'],
        [0.09411764705882353, 'rgb(31,5,34)'],
        [0.09803921568627451, 'rgb(33,5,37)'],
        [0.10196078431372549, 'rgb(34,5,39)'],
        [0.10588235294117647, 'rgb(36,5,42)'],
        [0.10980392156862745, 'rgb(38,5,44)'],
        [0.11372549019607843, 'rgb(39,5,47)'],
        [0.11764705882352941, 'rgb(41,5,50)'],
        [0.12156862745098039, 'rgb(42,5,53)'],
        [0.12549019607843137, 'rgb(43,4,55)'],
        [0.12941176470588237, 'rgb(45,4,58)'],
        [0.13333333333333333, 'rgb(46,4,61)'],
        [0.13725490196078433, 'rgb(48,4,64)'],
        [0.1411764705882353, 'rgb(49,3,68)'],
        [0.1450980392156863, 'rgb(50,3,71)'],
        [0.14901960784313725, 'rgb(51,3,74)'],
        [0.15294117647058825, 'rgb(52,2,77)'],
        [0.1568627450980392, 'rgb(54,2,80)'],
        [0.1607843137254902, 'rgb(55,2,84)'],
        [0.16470588235294117, 'rgb(56,1,87)'],
        [0.16862745098039217, 'rgb(57,1,90)'],
        [0.17254901960784313, 'rgb(58,1,94)'],
        [0.17647058823529413, 'rgb(58,1,97)'],
        [0.1803921568627451, 'rgb(59,1,100)'],
        [0.1843137254901961, 'rgb(60,1,103)'],
        [0.18823529411764706, 'rgb(60,1,107)'],
        [0.19215686274509805, 'rgb(61,1,110)'],
        [0.19607843137254902, 'rgb(61,2,113)'],
        [0.2, 'rgb(62,3,116)'],
        [0.20392156862745098, 'rgb(62,4,119)'],
        [0.20784313725490197, 'rgb(62,5,122)'],
        [0.21176470588235294, 'rgb(62,7,124)'],
        [0.21568627450980393, 'rgb(62,9,127)'],
        [0.2196078431372549, 'rgb(62,12,129)'],
        [0.2235294117647059, 'rgb(62,14,132)'],
        [0.22745098039215686, 'rgb(62,16,134)'],
        [0.23137254901960785, 'rgb(61,19,136)'],
        [0.23529411764705882, 'rgb(61,22,138)'],
        [0.23921568627450981, 'rgb(60,24,140)'],
        [0.24313725490196078, 'rgb(59,27,141)'],
        [0.24705882352941178, 'rgb(59,29,142)'],
        [0.25098039215686274, 'rgb(58,32,144)'],
        [0.2549019607843137, 'rgb(57,34,145)'],
        [0.25882352941176473, 'rgb(55,37,145)'],
        [0.2627450980392157, 'rgb(54,39,146)'],
        [0.26666666666666666, 'rgb(53,42,147)'],
        [0.27058823529411763, 'rgb(52,44,147)'],
        [0.27450980392156865, 'rgb(50,47,147)'],
        [0.2784313725490196, 'rgb(49,49,147)'],
        [0.2823529411764706, 'rgb(47,51,147)'],
        [0.28627450980392155, 'rgb(45,53,147)'],
        [0.2901960784313726, 'rgb(44,56,147)'],
        [0.29411764705882354, 'rgb(42,58,147)'],
        [0.2980392156862745, 'rgb(40,60,146)'],
        [0.30196078431372547, 'rgb(38,62,146)'],
        [0.3058823529411765, 'rgb(37,64,145)'],
        [0.30980392156862746, 'rgb(35,66,145)'],
        [0.3137254901960784, 'rgb(33,67,144)'],
        [0.3176470588235294, 'rgb(31,69,144)'],
        [0.3215686274509804, 'rgb(29,71,143)'],
        [0.3254901960784314, 'rgb(27,73,142)'],
        [0.32941176470588235, 'rgb(25,75,142)'],
        [0.3333333333333333, 'rgb(23,76,141)'],
        [0.33725490196078434, 'rgb(22,78,140)'],
        [0.3411764705882353, 'rgb(20,79,140)'],
        [0.34509803921568627, 'rgb(18,81,139)'],
        [0.34901960784313724, 'rgb(16,82,138)'],
        [0.35294117647058826, 'rgb(14,84,138)'],
        [0.3568627450980392, 'rgb(12,85,137)'],
        [0.3607843137254902, 'rgb(11,87,136)'],
        [0.36470588235294116, 'rgb(9,88,136)'],
        [0.3686274509803922, 'rgb(7,90,135)'],
        [0.37254901960784315, 'rgb(6,91,134)'],
        [0.3764705882352941, 'rgb(5,92,134)'],
        [0.3803921568627451, 'rgb(4,94,133)'],
        [0.3843137254901961, 'rgb(3,95,132)'],
        [0.38823529411764707, 'rgb(2,96,132)'],
        [0.39215686274509803, 'rgb(2,98,131)'],
        [0.396078431372549, 'rgb(1,99,131)'],
        [0.4, 'rgb(1,100,130)'],
        [0.403921568627451, 'rgb(1,101,130)'],
        [0.40784313725490196, 'rgb(1,103,129)'],
        [0.4117647058823529, 'rgb(1,104,128)'],
        [0.41568627450980394, 'rgb(1,105,128)'],
        [0.4196078431372549, 'rgb(1,106,127)'],
        [0.4235294117647059, 'rgb(2,108,127)'],
        [0.42745098039215684, 'rgb(2,109,126)'],
        [0.43137254901960786, 'rgb(2,110,126)'],
        [0.43529411764705883, 'rgb(3,111,126)'],
        [0.4392156862745098, 'rgb(3,112,125)'],
        [0.44313725490196076, 'rgb(4,114,125)'],
        [0.4470588235294118, 'rgb(4,115,124)'],
        [0.45098039215686275, 'rgb(5,116,124)'],
        [0.4549019607843137, 'rgb(5,117,123)'],
        [0.4588235294117647, 'rgb(6,118,123)'],
        [0.4627450980392157, 'rgb(7,120,122)'],
        [0.4666666666666667, 'rgb(7,121,122)'],
        [0.47058823529411764, 'rgb(8,122,121)'],
        [0.4745098039215686, 'rgb(9,123,121)'],
        [0.47843137254901963, 'rgb(9,124,120)'],
        [0.4823529411764706, 'rgb(10,126,120)'],
        [0.48627450980392156, 'rgb(11,127,119)'],
        [0.49019607843137253, 'rgb(12,128,118)'],
        [0.49411764705882355, 'rgb(12,129,118)'],
        [0.4980392156862745, 'rgb(13,130,117)'],
        [0.5019607843137255, 'rgb(14,132,116)'],
        [0.5058823529411764, 'rgb(15,133,116)'],
        [0.5098039215686274, 'rgb(16,134,115)'],
        [0.5137254901960784, 'rgb(17,135,114)'],
        [0.5176470588235295, 'rgb(18,136,114)'],
        [0.5215686274509804, 'rgb(19,138,113)'],
        [0.5254901960784314, 'rgb(20,139,112)'],
        [0.5294117647058824, 'rgb(21,140,111)'],
        [0.5333333333333333, 'rgb(22,141,110)'],
        [0.5372549019607843, 'rgb(24,142,109)'],
        [0.5411764705882353, 'rgb(25,143,108)'],
        [0.5450980392156862, 'rgb(26,145,107)'],
        [0.5490196078431373, 'rgb(28,146,106)'],
        [0.5529411764705883, 'rgb(30,147,105)'],
        [0.5568627450980392, 'rgb(31,148,104)'],
        [0.5607843137254902, 'rgb(33,149,103)'],
        [0.5647058823529412, 'rgb(35,150,101)'],
        [0.5686274509803921, 'rgb(37,152,100)'],
        [0.5725490196078431, 'rgb(39,153,99)'],
        [0.5764705882352941, 'rgb(41,154,97)'],
        [0.5803921568627451, 'rgb(43,155,96)'],
        [0.5843137254901961, 'rgb(45,156,94)'],
        [0.5882352941176471, 'rgb(47,157,93)'],
        [0.592156862745098, 'rgb(50,158,91)'],
        [0.596078431372549, 'rgb(52,159,90)'],
        [0.6, 'rgb(54,160,88)'],
        [0.6039215686274509, 'rgb(57,161,86)'],
        [0.6078431372549019, 'rgb(59,163,84)'],
        [0.611764705882353, 'rgb(62,164,82)'],
        [0.615686274509804, 'rgb(65,165,80)'],
        [0.6196078431372549, 'rgb(67,166,78)'],
        [0.6235294117647059, 'rgb(70,167,76)'],
        [0.6274509803921569, 'rgb(73,167,74)'],
        [0.6313725490196078, 'rgb(76,168,72)'],
        [0.6352941176470588, 'rgb(79,169,70)'],
        [0.6392156862745098, 'rgb(82,170,67)'],
        [0.6431372549019608, 'rgb(85,171,65)'],
        [0.6470588235294118, 'rgb(88,172,63)'],
        [0.6509803921568628, 'rgb(92,173,60)'],
        [0.6549019607843137, 'rgb(95,174,57)'],
        [0.6588235294117647, 'rgb(98,174,55)'],
        [0.6627450980392157, 'rgb(102,175,52)'],
        [0.6666666666666666, 'rgb(105,176,49)'],
        [0.6705882352941176, 'rgb(108,176,46)'],
        [0.6745098039215687, 'rgb(112,177,43)'],
        [0.6784313725490196, 'rgb(116,178,39)'],
        [0.6823529411764706, 'rgb(119,178,36)'],
        [0.6862745098039216, 'rgb(123,179,33)'],
        [0.6901960784313725, 'rgb(127,179,29)'],
        [0.6941176470588235, 'rgb(131,180,25)'],
        [0.6980392156862745, 'rgb(134,180,21)'],
        [0.7019607843137254, 'rgb(138,181,17)'],
        [0.7058823529411765, 'rgb(142,181,13)'],
        [0.7098039215686275, 'rgb(146,181,9)'],
        [0.7137254901960784, 'rgb(150,182,5)'],
        [0.7176470588235294, 'rgb(153,182,3)'],
        [0.7215686274509804, 'rgb(157,182,2)'],
        [0.7254901960784313, 'rgb(161,183,1)'],
        [0.7294117647058823, 'rgb(164,183,2)'],
        [0.7333333333333333, 'rgb(168,183,5)'],
        [0.7372549019607844, 'rgb(171,183,8)'],
        [0.7411764705882353, 'rgb(175,184,12)'],
        [0.7450980392156863, 'rgb(178,184,17)'],
        [0.7490196078431373, 'rgb(181,184,21)'],
        [0.7529411764705882, 'rgb(184,185,26)'],
        [0.7568627450980392, 'rgb(187,185,30)'],
        [0.7607843137254902, 'rgb(190,185,34)'],
        [0.7647058823529411, 'rgb(193,186,38)'],
        [0.7686274509803922, 'rgb(195,186,42)'],
        [0.7725490196078432, 'rgb(198,187,46)'],
        [0.7764705882352941, 'rgb(200,187,51)'],
        [0.7803921568627451, 'rgb(203,188,54)'],
        [0.7843137254901961, 'rgb(205,188,58)'],
        [0.788235294117647, 'rgb(207,189,62)'],
        [0.792156862745098, 'rgb(210,189,66)'],
        [0.796078431372549, 'rgb(212,190,70)'],
        [0.8, 'rgb(214,191,74)'],
        [0.803921568627451, 'rgb(216,191,78)'],
        [0.807843137254902, 'rgb(218,192,82)'],
        [0.8117647058823529, 'rgb(220,193,86)'],
        [0.8156862745098039, 'rgb(222,193,90)'],
        [0.8196078431372549, 'rgb(224,194,94)'],
        [0.8235294117647058, 'rgb(225,195,97)'],
        [0.8274509803921568, 'rgb(227,195,101)'],
        [0.8313725490196079, 'rgb(229,196,105)'],
        [0.8352941176470589, 'rgb(231,197,109)'],
        [0.8392156862745098, 'rgb(232,198,113)'],
        [0.8431372549019608, 'rgb(234,199,117)'],
        [0.8470588235294118, 'rgb(235,200,121)'],
        [0.8509803921568627, 'rgb(237,200,125)'],
        [0.8549019607843137, 'rgb(238,201,129)'],
        [0.8588235294117647, 'rgb(239,202,132)'],
        [0.8627450980392157, 'rgb(241,203,136)'],
        [0.8666666666666667, 'rgb(242,204,140)'],
        [0.8705882352941177, 'rgb(243,205,144)'],
        [0.8745098039215686, 'rgb(244,206,148)'],
        [0.8784313725490196, 'rgb(246,207,152)'],
        [0.8823529411764706, 'rgb(247,208,156)'],
        [0.8862745098039215, 'rgb(248,210,160)'],
        [0.8901960784313725, 'rgb(249,211,164)'],
        [0.8941176470588236, 'rgb(249,212,168)'],
        [0.8980392156862745, 'rgb(250,213,172)'],
        [0.9019607843137255, 'rgb(251,214,176)'],
        [0.9058823529411765, 'rgb(252,216,180)'],
        [0.9098039215686274, 'rgb(252,217,184)'],
        [0.9137254901960784, 'rgb(253,218,188)'],
        [0.9176470588235294, 'rgb(253,220,192)'],
        [0.9215686274509803, 'rgb(254,221,196)'],
        [0.9254901960784314, 'rgb(254,223,199)'],
        [0.9294117647058824, 'rgb(255,224,203)'],
        [0.9333333333333333, 'rgb(255,226,207)'],
        [0.9372549019607843, 'rgb(255,227,211)'],
        [0.9411764705882353, 'rgb(255,229,214)'],
        [0.9450980392156862, 'rgb(255,230,218)'],
        [0.9490196078431372, 'rgb(255,232,221)'],
        [0.9529411764705882, 'rgb(255,234,225)'],
        [0.9568627450980393, 'rgb(255,236,228)'],
        [0.9607843137254902, 'rgb(255,237,231)'],
        [0.9647058823529412, 'rgb(254,239,234)'],
        [0.9686274509803922, 'rgb(254,241,237)'],
        [0.9725490196078431, 'rgb(254,243,240)'],
        [0.9764705882352941, 'rgb(254,245,242)'],
        [0.9803921568627451, 'rgb(254,246,245)'],
        [0.984313725490196, 'rgb(254,248,247)'],
        [0.9882352941176471, 'rgb(254,250,249)'],
        [0.9921568627450981, 'rgb(254,252,251)'],
        [0.996078431372549, 'rgb(255,253,253)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.redshift': [
        [0.0, 'rgb(148,241,243)'],
        [0.00392156862745098, 'rgb(145,239,242)'],
        [0.00784313725490196, 'rgb(142,237,242)'],
        [0.011764705882352941, 'rgb(139,235,241)'],
        [0.01568627450980392, 'rgb(137,232,240)'],
        [0.0196078431372549, 'rgb(134,230,239)'],
        [0.023529411764705882, 'rgb(131,228,238)'],
        [0.027450980392156862, 'rgb(128,226,238)'],
        [0.03137254901960784, 'rgb(125,223,237)'],
        [0.03529411764705882, 'rgb(123,221,236)'],
        [0.0392156862745098, 'rgb(120,219,236)'],
        [0.043137254901960784, 'rgb(117,217,235)'],
        [0.047058823529411764, 'rgb(114,214,234)'],
        [0.050980392156862744, 'rgb(111,212,234)'],
        [0.054901960784313725, 'rgb(108,210,233)'],
        [0.058823529411764705, 'rgb(106,208,232)'],
        [0.06274509803921569, 'rgb(103,206,232)'],
        [0.06666666666666667, 'rgb(100,204,231)'],
        [0.07058823529411765, 'rgb(97,202,231)'],
        [0.07450980392156863, 'rgb(94,199,230)'],
        [0.0784313725490196, 'rgb(91,197,230)'],
        [0.08235294117647059, 'rgb(88,195,229)'],
        [0.08627450980392157, 'rgb(85,193,229)'],
        [0.09019607843137255, 'rgb(82,191,229)'],
        [0.09411764705882353, 'rgb(79,189,228)'],
        [0.09803921568627451, 'rgb(76,187,228)'],
        [0.10196078431372549, 'rgb(73,185,227)'],
        [0.10588235294117647, 'rgb(70,182,227)'],
        [0.10980392156862745, 'rgb(67,180,227)'],
        [0.11372549019607843, 'rgb(64,178,227)'],
        [0.11764705882352941, 'rgb(61,176,226)'],
        [0.12156862745098039, 'rgb(58,174,226)'],
        [0.12549019607843137, 'rgb(55,172,226)'],
        [0.12941176470588237, 'rgb(52,170,226)'],
        [0.13333333333333333, 'rgb(49,168,225)'],
        [0.13725490196078433, 'rgb(46,165,225)'],
        [0.1411764705882353, 'rgb(43,163,225)'],
        [0.1450980392156863, 'rgb(40,161,225)'],
        [0.14901960784313725, 'rgb(37,159,225)'],
        [0.15294117647058825, 'rgb(35,157,224)'],
        [0.1568627450980392, 'rgb(32,154,224)'],
        [0.1607843137254902, 'rgb(30,152,224)'],
        [0.16470588235294117, 'rgb(28,150,224)'],
        [0.16862745098039217, 'rgb(26,148,224)'],
        [0.17254901960784313, 'rgb(25,145,223)'],
        [0.17647058823529413, 'rgb(24,143,223)'],
        [0.1803921568627451, 'rgb(24,141,223)'],
        [0.1843137254901961, 'rgb(24,139,222)'],
        [0.18823529411764706, 'rgb(25,136,222)'],
        [0.19215686274509805, 'rgb(26,134,221)'],
        [0.19607843137254902, 'rgb(28,131,220)'],
        [0.2, 'rgb(30,129,220)'],
        [0.20392156862745098, 'rgb(33,127,219)'],
        [0.20784313725490197, 'rgb(35,124,217)'],
        [0.21176470588235294, 'rgb(38,122,216)'],
        [0.21568627450980393, 'rgb(41,119,214)'],
        [0.2196078431372549, 'rgb(43,117,212)'],
        [0.2235294117647059, 'rgb(46,115,210)'],
        [0.22745098039215686, 'rgb(48,112,207)'],
        [0.23137254901960785, 'rgb(51,110,205)'],
        [0.23529411764705882, 'rgb(53,108,202)'],
        [0.23921568627450981, 'rgb(54,106,199)'],
        [0.24313725490196078, 'rgb(56,104,195)'],
        [0.24705882352941178, 'rgb(57,102,192)'],
        [0.25098039215686274, 'rgb(58,100,188)'],
        [0.2549019607843137, 'rgb(59,98,185)'],
        [0.25882352941176473, 'rgb(60,96,181)'],
        [0.2627450980392157, 'rgb(60,94,177)'],
        [0.26666666666666666, 'rgb(61,92,173)'],
        [0.27058823529411763, 'rgb(61,90,170)'],
        [0.27450980392156865, 'rgb(61,89,166)'],
        [0.2784313725490196, 'rgb(61,87,162)'],
        [0.2823529411764706, 'rgb(61,85,158)'],
        [0.28627450980392155, 'rgb(61,84,155)'],
        [0.2901960784313726, 'rgb(61,82,151)'],
        [0.29411764705882354, 'rgb(60,80,147)'],
        [0.2980392156862745, 'rgb(60,79,143)'],
        [0.30196078431372547, 'rgb(59,77,140)'],
        [0.3058823529411765, 'rgb(59,75,136)'],
        [0.30980392156862746, 'rgb(58,74,132)'],
        [0.3137254901960784, 'rgb(58,72,129)'],
        [0.3176470588235294, 'rgb(57,71,125)'],
        [0.3215686274509804, 'rgb(56,69,122)'],
        [0.3254901960784314, 'rgb(55,67,118)'],
        [0.32941176470588235, 'rgb(54,66,115)'],
        [0.3333333333333333, 'rgb(54,64,112)'],
        [0.33725490196078434, 'rgb(53,63,108)'],
        [0.3411764705882353, 'rgb(52,61,105)'],
        [0.34509803921568627, 'rgb(51,60,102)'],
        [0.34901960784313724, 'rgb(50,58,98)'],
        [0.35294117647058826, 'rgb(49,56,95)'],
        [0.3568627450980392, 'rgb(48,55,92)'],
        [0.3607843137254902, 'rgb(47,53,89)'],
        [0.36470588235294116, 'rgb(45,52,86)'],
        [0.3686274509803922, 'rgb(44,50,82)'],
        [0.37254901960784315, 'rgb(43,49,79)'],
        [0.3764705882352941, 'rgb(42,47,76)'],
        [0.3803921568627451, 'rgb(41,45,73)'],
        [0.3843137254901961, 'rgb(39,44,70)'],
        [0.38823529411764707, 'rgb(38,42,67)'],
        [0.39215686274509803, 'rgb(37,41,64)'],
        [0.396078431372549, 'rgb(36,39,62)'],
        [0.4, 'rgb(34,37,59)'],
        [0.403921568627451, 'rgb(33,36,56)'],
        [0.40784313725490196, 'rgb(31,34,53)'],
        [0.4117647058823529, 'rgb(30,33,50)'],
        [0.41568627450980394, 'rgb(29,31,47)'],
        [0.4196078431372549, 'rgb(27,29,45)'],
        [0.4235294117647059, 'rgb(26,28,42)'],
        [0.42745098039215684, 'rgb(24,26,39)'],
        [0.43137254901960786, 'rgb(23,24,37)'],
        [0.43529411764705883, 'rgb(21,22,34)'],
        [0.4392156862745098, 'rgb(20,21,31)'],
        [0.44313725490196076, 'rgb(18,19,28)'],
        [0.4470588235294118, 'rgb(16,17,26)'],
        [0.45098039215686275, 'rgb(15,15,23)'],
        [0.4549019607843137, 'rgb(13,14,21)'],
        [0.4588235294117647, 'rgb(11,12,18)'],
        [0.4627450980392157, 'rgb(9,10,15)'],
        [0.4666666666666667, 'rgb(8,8,13)'],
        [0.47058823529411764, 'rgb(6,6,10)'],
        [0.4745098039215686, 'rgb(5,5,7)'],
        [0.47843137254901963, 'rgb(4,4,5)'],
        [0.4823529411764706, 'rgb(2,3,4)'],
        [0.48627450980392156, 'rgb(2,2,2)'],
        [0.49019607843137253, 'rgb(1,1,1)'],
        [0.49411764705882355, 'rgb(0,0,0)'],
        [0.4980392156862745, 'rgb(0,0,0)'],
        [0.5019607843137255, 'rgb(0,0,0)'],
        [0.5058823529411764, 'rgb(0,0,0)'],
        [0.5098039215686274, 'rgb(1,1,1)'],
        [0.5137254901960784, 'rgb(2,1,1)'],
        [0.5176470588235295, 'rgb(4,2,2)'],
        [0.5215686274509804, 'rgb(6,3,3)'],
        [0.5254901960784314, 'rgb(8,4,3)'],
        [0.5294117647058824, 'rgb(11,5,4)'],
        [0.5333333333333333, 'rgb(13,6,5)'],
        [0.5372549019607843, 'rgb(16,8,6)'],
        [0.5411764705882353, 'rgb(19,9,8)'],
        [0.5450980392156862, 'rgb(22,11,9)'],
        [0.5490196078431373, 'rgb(24,12,10)'],
        [0.5529411764705883, 'rgb(27,14,11)'],
        [0.5568627450980392, 'rgb(29,15,13)'],
        [0.5607843137254902, 'rgb(32,16,14)'],
        [0.5647058823529412, 'rgb(35,18,15)'],
        [0.5686274509803921, 'rgb(37,19,16)'],
        [0.5725490196078431, 'rgb(40,20,17)'],
        [0.5764705882352941, 'rgb(43,22,18)'],
        [0.5803921568627451, 'rgb(45,23,19)'],
        [0.5843137254901961, 'rgb(48,24,20)'],
        [0.5882352941176471, 'rgb(50,25,21)'],
        [0.592156862745098, 'rgb(53,26,22)'],
        [0.596078431372549, 'rgb(56,27,23)'],
        [0.6, 'rgb(58,29,24)'],
        [0.6039215686274509, 'rgb(61,30,25)'],
        [0.6078431372549019, 'rgb(64,31,26)'],
        [0.611764705882353, 'rgb(66,32,27)'],
        [0.615686274509804, 'rgb(69,33,28)'],
        [0.6196078431372549, 'rgb(72,34,29)'],
        [0.6235294117647059, 'rgb(74,35,30)'],
        [0.6274509803921569, 'rgb(77,36,31)'],
        [0.6313725490196078, 'rgb(80,37,32)'],
        [0.6352941176470588, 'rgb(83,38,32)'],
        [0.6392156862745098, 'rgb(85,38,33)'],
        [0.6431372549019608, 'rgb(88,39,34)'],
        [0.6470588235294118, 'rgb(91,40,35)'],
        [0.6509803921568628, 'rgb(94,41,36)'],
        [0.6549019607843137, 'rgb(96,42,37)'],
        [0.6588235294117647, 'rgb(99,43,38)'],
        [0.6627450980392157, 'rgb(102,43,38)'],
        [0.6666666666666666, 'rgb(105,44,39)'],
        [0.6705882352941176, 'rgb(108,45,40)'],
        [0.6745098039215687, 'rgb(111,46,41)'],
        [0.6784313725490196, 'rgb(113,46,42)'],
        [0.6823529411764706, 'rgb(116,47,43)'],
        [0.6862745098039216, 'rgb(119,48,43)'],
        [0.6901960784313725, 'rgb(122,48,44)'],
        [0.6941176470588235, 'rgb(125,49,45)'],
        [0.6980392156862745, 'rgb(128,49,46)'],
        [0.7019607843137254, 'rgb(131,50,47)'],
        [0.7058823529411765, 'rgb(134,50,48)'],
        [0.7098039215686275, 'rgb(137,51,49)'],
        [0.7137254901960784, 'rgb(140,51,50)'],
        [0.7176470588235294, 'rgb(143,52,51)'],
        [0.7215686274509804, 'rgb(146,52,52)'],
        [0.7254901960784313, 'rgb(149,53,53)'],
        [0.7294117647058823, 'rgb(152,53,55)'],
        [0.7333333333333333, 'rgb(155,53,56)'],
        [0.7372549019607844, 'rgb(158,54,57)'],
        [0.7411764705882353, 'rgb(162,54,58)'],
        [0.7450980392156863, 'rgb(165,54,60)'],
        [0.7490196078431373, 'rgb(168,54,62)'],
        [0.7529411764705882, 'rgb(171,55,63)'],
        [0.7568627450980392, 'rgb(174,55,65)'],
        [0.7607843137254902, 'rgb(177,55,67)'],
        [0.7647058823529411, 'rgb(180,56,70)'],
        [0.7686274509803922, 'rgb(182,56,72)'],
        [0.7725490196078432, 'rgb(185,57,75)'],
        [0.7764705882352941, 'rgb(188,58,78)'],
        [0.7803921568627451, 'rgb(190,60,81)'],
        [0.7843137254901961, 'rgb(192,61,85)'],
        [0.788235294117647, 'rgb(194,63,88)'],
        [0.792156862745098, 'rgb(196,65,91)'],
        [0.796078431372549, 'rgb(198,67,95)'],
        [0.8, 'rgb(199,69,98)'],
        [0.803921568627451, 'rgb(201,71,102)'],
        [0.807843137254902, 'rgb(202,74,105)'],
        [0.8117647058823529, 'rgb(204,76,109)'],
        [0.8156862745098039, 'rgb(205,79,112)'],
        [0.8196078431372549, 'rgb(206,81,115)'],
        [0.8235294117647058, 'rgb(208,84,119)'],
        [0.8274509803921568, 'rgb(209,86,122)'],
        [0.8313725490196079, 'rgb(210,89,125)'],
        [0.8352941176470589, 'rgb(211,91,129)'],
        [0.8392156862745098, 'rgb(213,94,132)'],
        [0.8431372549019608, 'rgb(214,97,135)'],
        [0.8470588235294118, 'rgb(215,99,138)'],
        [0.8509803921568627, 'rgb(216,102,141)'],
        [0.8549019607843137, 'rgb(217,104,145)'],
        [0.8588235294117647, 'rgb(218,107,148)'],
        [0.8627450980392157, 'rgb(219,110,151)'],
        [0.8666666666666667, 'rgb(220,112,154)'],
        [0.8705882352941177, 'rgb(221,115,157)'],
        [0.8745098039215686, 'rgb(222,118,160)'],
        [0.8784313725490196, 'rgb(223,120,163)'],
        [0.8823529411764706, 'rgb(224,123,166)'],
        [0.8862745098039215, 'rgb(225,126,169)'],
        [0.8901960784313725, 'rgb(226,128,172)'],
        [0.8941176470588236, 'rgb(227,131,175)'],
        [0.8980392156862745, 'rgb(228,134,178)'],
        [0.9019607843137255, 'rgb(229,136,181)'],
        [0.9058823529411765, 'rgb(229,139,184)'],
        [0.9098039215686274, 'rgb(230,142,187)'],
        [0.9137254901960784, 'rgb(231,145,190)'],
        [0.9176470588235294, 'rgb(232,147,193)'],
        [0.9215686274509803, 'rgb(233,150,196)'],
        [0.9254901960784314, 'rgb(234,153,199)'],
        [0.9294117647058824, 'rgb(235,155,202)'],
        [0.9333333333333333, 'rgb(236,158,205)'],
        [0.9372549019607843, 'rgb(236,161,207)'],
        [0.9411764705882353, 'rgb(237,164,210)'],
        [0.9450980392156862, 'rgb(238,166,213)'],
        [0.9490196078431372, 'rgb(239,169,216)'],
        [0.9529411764705882, 'rgb(240,172,219)'],
        [0.9568627450980393, 'rgb(241,174,222)'],
        [0.9607843137254902, 'rgb(242,177,224)'],
        [0.9647058823529412, 'rgb(243,180,227)'],
        [0.9686274509803922, 'rgb(244,183,230)'],
        [0.9725490196078431, 'rgb(245,185,233)'],
        [0.9764705882352941, 'rgb(246,188,236)'],
        [0.9803921568627451, 'rgb(247,191,238)'],
        [0.984313725490196, 'rgb(248,194,241)'],
        [0.9882352941176471, 'rgb(249,197,244)'],
        [0.9921568627450981, 'rgb(250,199,247)'],
        [0.996078431372549, 'rgb(251,202,249)'],
        [1.0, 'rgb(252,205,252)'],
    ],
    'cmr.sunburst': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(1,0,1)'],
        [0.01568627450980392, 'rgb(1,1,1)'],
        [0.0196078431372549, 'rgb(1,1,1)'],
        [0.023529411764705882, 'rgb(2,1,2)'],
        [0.027450980392156862, 'rgb(3,2,3)'],
        [0.03137254901960784, 'rgb(4,2,4)'],
        [0.03529411764705882, 'rgb(5,2,4)'],
        [0.0392156862745098, 'rgb(6,3,5)'],
        [0.043137254901960784, 'rgb(7,3,7)'],
        [0.047058823529411764, 'rgb(8,4,8)'],
        [0.050980392156862744, 'rgb(10,4,9)'],
        [0.054901960784313725, 'rgb(11,5,10)'],
        [0.058823529411764705, 'rgb(13,5,12)'],
        [0.06274509803921569, 'rgb(15,6,13)'],
        [0.06666666666666667, 'rgb(16,7,14)'],
        [0.07058823529411765, 'rgb(18,7,16)'],
        [0.07450980392156863, 'rgb(19,8,17)'],
        [0.0784313725490196, 'rgb(21,8,18)'],
        [0.08235294117647059, 'rgb(23,9,20)'],
        [0.08627450980392157, 'rgb(24,10,21)'],
        [0.09019607843137255, 'rgb(26,10,22)'],
        [0.09411764705882353, 'rgb(27,11,23)'],
        [0.09803921568627451, 'rgb(29,12,24)'],
        [0.10196078431372549, 'rgb(31,12,26)'],
        [0.10588235294117647, 'rgb(32,13,27)'],
        [0.10980392156862745, 'rgb(34,13,28)'],
        [0.11372549019607843, 'rgb(36,14,29)'],
        [0.11764705882352941, 'rgb(37,14,30)'],
        [0.12156862745098039, 'rgb(39,15,31)'],
        [0.12549019607843137, 'rgb(41,15,32)'],
        [0.12941176470588237, 'rgb(42,16,33)'],
        [0.13333333333333333, 'rgb(44,16,34)'],
        [0.13725490196078433, 'rgb(46,16,35)'],
        [0.1411764705882353, 'rgb(47,17,36)'],
        [0.1450980392156863, 'rgb(49,17,37)'],
        [0.14901960784313725, 'rgb(51,18,38)'],
        [0.15294117647058825, 'rgb(52,18,38)'],
        [0.1568627450980392, 'rgb(54,18,39)'],
        [0.1607843137254902, 'rgb(56,19,40)'],
        [0.16470588235294117, 'rgb(57,19,41)'],
        [0.16862745098039217, 'rgb(59,19,42)'],
        [0.17254901960784313, 'rgb(61,19,42)'],
        [0.17647058823529413, 'rgb(63,20,43)'],
        [0.1803921568627451, 'rgb(64,20,44)'],
        [0.1843137254901961, 'rgb(66,20,44)'],
        [0.18823529411764706, 'rgb(68,20,45)'],
        [0.19215686274509805, 'rgb(70,21,45)'],
        [0.19607843137254902, 'rgb(71,21,46)'],
        [0.2, 'rgb(73,21,47)'],
        [0.20392156862745098, 'rgb(75,21,47)'],
        [0.20784313725490197, 'rgb(77,21,48)'],
        [0.21176470588235294, 'rgb(78,22,48)'],
        [0.21568627450980393, 'rgb(80,22,49)'],
        [0.2196078431372549, 'rgb(82,22,49)'],
        [0.2235294117647059, 'rgb(84,22,49)'],
        [0.22745098039215686, 'rgb(85,22,50)'],
        [0.23137254901960785, 'rgb(87,22,50)'],
        [0.23529411764705882, 'rgb(89,22,50)'],
        [0.23921568627450981, 'rgb(91,22,51)'],
        [0.24313725490196078, 'rgb(92,22,51)'],
        [0.24705882352941178, 'rgb(94,22,51)'],
        [0.25098039215686274, 'rgb(96,22,52)'],
        [0.2549019607843137, 'rgb(98,22,52)'],
        [0.25882352941176473, 'rgb(100,22,52)'],
        [0.2627450980392157, 'rgb(101,22,52)'],
        [0.26666666666666666, 'rgb(103,22,52)'],
        [0.27058823529411763, 'rgb(105,22,52)'],
        [0.27450980392156865, 'rgb(107,22,53)'],
        [0.2784313725490196, 'rgb(109,22,53)'],
        [0.2823529411764706, 'rgb(110,22,53)'],
        [0.28627450980392155, 'rgb(112,22,53)'],
        [0.2901960784313726, 'rgb(114,22,53)'],
        [0.29411764705882354, 'rgb(116,22,53)'],
        [0.2980392156862745, 'rgb(118,22,53)'],
        [0.30196078431372547, 'rgb(119,22,53)'],
        [0.3058823529411765, 'rgb(121,21,53)'],
        [0.30980392156862746, 'rgb(123,21,52)'],
        [0.3137254901960784, 'rgb(125,21,52)'],
        [0.3176470588235294, 'rgb(127,21,52)'],
        [0.3215686274509804, 'rgb(129,21,52)'],
        [0.3254901960784314, 'rgb(130,20,52)'],
        [0.32941176470588235, 'rgb(132,20,52)'],
        [0.3333333333333333, 'rgb(134,20,51)'],
        [0.33725490196078434, 'rgb(136,20,51)'],
        [0.3411764705882353, 'rgb(138,19,51)'],
        [0.34509803921568627, 'rgb(139,19,50)'],
        [0.34901960784313724, 'rgb(141,19,50)'],
        [0.35294117647058826, 'rgb(143,18,50)'],
        [0.3568627450980392, 'rgb(145,18,49)'],
        [0.3607843137254902, 'rgb(147,18,49)'],
        [0.36470588235294116, 'rgb(149,17,48)'],
        [0.3686274509803922, 'rgb(150,17,48)'],
        [0.37254901960784315, 'rgb(152,17,47)'],
        [0.3764705882352941, 'rgb(154,16,47)'],
        [0.3803921568627451, 'rgb(156,16,46)'],
        [0.3843137254901961, 'rgb(158,16,46)'],
        [0.38823529411764707, 'rgb(159,15,45)'],
        [0.39215686274509803, 'rgb(161,15,44)'],
        [0.396078431372549, 'rgb(163,15,44)'],
        [0.4, 'rgb(165,14,43)'],
        [0.403921568627451, 'rgb(167,14,42)'],
        [0.40784313725490196, 'rgb(168,14,41)'],
        [0.4117647058823529, 'rgb(170,14,41)'],
        [0.41568627450980394, 'rgb(172,14,40)'],
        [0.4196078431372549, 'rgb(173,14,39)'],
        [0.4235294117647059, 'rgb(175,14,38)'],
        [0.42745098039215684, 'rgb(177,14,37)'],
        [0.43137254901960786, 'rgb(179,14,36)'],
        [0.43529411764705883, 'rgb(180,15,35)'],
        [0.4392156862745098, 'rgb(182,15,34)'],
        [0.44313725490196076, 'rgb(183,16,33)'],
        [0.4470588235294118, 'rgb(185,17,32)'],
        [0.45098039215686275, 'rgb(187,17,30)'],
        [0.4549019607843137, 'rgb(188,18,29)'],
        [0.4588235294117647, 'rgb(190,20,28)'],
        [0.4627450980392157, 'rgb(191,21,27)'],
        [0.4666666666666667, 'rgb(193,22,25)'],
        [0.47058823529411764, 'rgb(194,24,24)'],
        [0.4745098039215686, 'rgb(195,25,23)'],
        [0.47843137254901963, 'rgb(197,27,21)'],
        [0.4823529411764706, 'rgb(198,29,20)'],
        [0.48627450980392156, 'rgb(199,31,18)'],
        [0.49019607843137253, 'rgb(200,33,17)'],
        [0.49411764705882355, 'rgb(201,35,16)'],
        [0.4980392156862745, 'rgb(202,37,14)'],
        [0.5019607843137255, 'rgb(203,39,13)'],
        [0.5058823529411764, 'rgb(204,42,12)'],
        [0.5098039215686274, 'rgb(205,44,10)'],
        [0.5137254901960784, 'rgb(206,46,9)'],
        [0.5176470588235295, 'rgb(207,48,8)'],
        [0.5215686274509804, 'rgb(207,51,8)'],
        [0.5254901960784314, 'rgb(208,53,7)'],
        [0.5294117647058824, 'rgb(209,55,7)'],
        [0.5333333333333333, 'rgb(210,57,6)'],
        [0.5372549019607843, 'rgb(210,60,6)'],
        [0.5411764705882353, 'rgb(211,62,6)'],
        [0.5450980392156862, 'rgb(211,64,6)'],
        [0.5490196078431373, 'rgb(212,66,7)'],
        [0.5529411764705883, 'rgb(213,68,7)'],
        [0.5568627450980392, 'rgb(213,70,8)'],
        [0.5607843137254902, 'rgb(214,72,9)'],
        [0.5647058823529412, 'rgb(214,75,10)'],
        [0.5686274509803921, 'rgb(215,77,11)'],
        [0.5725490196078431, 'rgb(215,79,12)'],
        [0.5764705882352941, 'rgb(215,81,13)'],
        [0.5803921568627451, 'rgb(216,83,15)'],
        [0.5843137254901961, 'rgb(216,85,16)'],
        [0.5882352941176471, 'rgb(217,87,18)'],
        [0.592156862745098, 'rgb(217,89,19)'],
        [0.596078431372549, 'rgb(217,91,21)'],
        [0.6, 'rgb(218,93,22)'],
        [0.6039215686274509, 'rgb(218,95,24)'],
        [0.6078431372549019, 'rgb(218,97,25)'],
        [0.611764705882353, 'rgb(219,99,27)'],
        [0.615686274509804, 'rgb(219,100,29)'],
        [0.6196078431372549, 'rgb(219,102,30)'],
        [0.6235294117647059, 'rgb(220,104,32)'],
        [0.6274509803921569, 'rgb(220,106,34)'],
        [0.6313725490196078, 'rgb(220,108,35)'],
        [0.6352941176470588, 'rgb(220,110,37)'],
        [0.6392156862745098, 'rgb(221,112,39)'],
        [0.6431372549019608, 'rgb(221,114,41)'],
        [0.6470588235294118, 'rgb(221,115,42)'],
        [0.6509803921568628, 'rgb(221,117,44)'],
        [0.6549019607843137, 'rgb(221,119,46)'],
        [0.6588235294117647, 'rgb(222,121,48)'],
        [0.6627450980392157, 'rgb(222,123,50)'],
        [0.6666666666666666, 'rgb(222,125,52)'],
        [0.6705882352941176, 'rgb(222,126,53)'],
        [0.6745098039215687, 'rgb(222,128,55)'],
        [0.6784313725490196, 'rgb(222,130,57)'],
        [0.6823529411764706, 'rgb(223,132,59)'],
        [0.6862745098039216, 'rgb(223,134,61)'],
        [0.6901960784313725, 'rgb(223,135,63)'],
        [0.6941176470588235, 'rgb(223,137,65)'],
        [0.6980392156862745, 'rgb(223,139,67)'],
        [0.7019607843137254, 'rgb(223,141,69)'],
        [0.7058823529411765, 'rgb(223,142,71)'],
        [0.7098039215686275, 'rgb(223,144,73)'],
        [0.7137254901960784, 'rgb(223,146,75)'],
        [0.7176470588235294, 'rgb(223,148,77)'],
        [0.7215686274509804, 'rgb(223,149,79)'],
        [0.7254901960784313, 'rgb(223,151,81)'],
        [0.7294117647058823, 'rgb(223,153,83)'],
        [0.7333333333333333, 'rgb(224,155,86)'],
        [0.7372549019607844, 'rgb(224,156,88)'],
        [0.7411764705882353, 'rgb(224,158,90)'],
        [0.7450980392156863, 'rgb(224,160,92)'],
        [0.7490196078431373, 'rgb(224,161,94)'],
        [0.7529411764705882, 'rgb(224,163,96)'],
        [0.7568627450980392, 'rgb(224,165,99)'],
        [0.7607843137254902, 'rgb(224,166,101)'],
        [0.7647058823529411, 'rgb(224,168,103)'],
        [0.7686274509803922, 'rgb(224,170,105)'],
        [0.7725490196078432, 'rgb(224,171,108)'],
        [0.7764705882352941, 'rgb(224,173,110)'],
        [0.7803921568627451, 'rgb(224,175,112)'],
        [0.7843137254901961, 'rgb(224,176,115)'],
        [0.788235294117647, 'rgb(224,178,117)'],
        [0.792156862745098, 'rgb(224,180,120)'],
        [0.796078431372549, 'rgb(224,181,122)'],
        [0.8, 'rgb(224,183,124)'],
        [0.803921568627451, 'rgb(224,185,127)'],
        [0.807843137254902, 'rgb(224,186,129)'],
        [0.8117647058823529, 'rgb(224,188,132)'],
        [0.8156862745098039, 'rgb(224,189,134)'],
        [0.8196078431372549, 'rgb(224,191,137)'],
        [0.8235294117647058, 'rgb(224,193,139)'],
        [0.8274509803921568, 'rgb(224,194,142)'],
        [0.8313725490196079, 'rgb(224,196,144)'],
        [0.8352941176470589, 'rgb(224,197,147)'],
        [0.8392156862745098, 'rgb(224,199,150)'],
        [0.8431372549019608, 'rgb(225,200,152)'],
        [0.8470588235294118, 'rgb(225,202,155)'],
        [0.8509803921568627, 'rgb(225,204,157)'],
        [0.8549019607843137, 'rgb(225,205,160)'],
        [0.8588235294117647, 'rgb(225,207,163)'],
        [0.8627450980392157, 'rgb(226,208,165)'],
        [0.8666666666666667, 'rgb(226,210,168)'],
        [0.8705882352941177, 'rgb(226,211,171)'],
        [0.8745098039215686, 'rgb(226,213,173)'],
        [0.8784313725490196, 'rgb(227,214,176)'],
        [0.8823529411764706, 'rgb(227,215,179)'],
        [0.8862745098039215, 'rgb(227,217,182)'],
        [0.8901960784313725, 'rgb(228,218,184)'],
        [0.8941176470588236, 'rgb(228,220,187)'],
        [0.8980392156862745, 'rgb(229,221,190)'],
        [0.9019607843137255, 'rgb(229,223,193)'],
        [0.9058823529411765, 'rgb(230,224,195)'],
        [0.9098039215686274, 'rgb(230,225,198)'],
        [0.9137254901960784, 'rgb(231,227,201)'],
        [0.9176470588235294, 'rgb(232,228,203)'],
        [0.9215686274509803, 'rgb(232,229,206)'],
        [0.9254901960784314, 'rgb(233,231,209)'],
        [0.9294117647058824, 'rgb(234,232,212)'],
        [0.9333333333333333, 'rgb(235,233,214)'],
        [0.9372549019607843, 'rgb(236,235,217)'],
        [0.9411764705882353, 'rgb(237,236,220)'],
        [0.9450980392156862, 'rgb(237,237,222)'],
        [0.9490196078431372, 'rgb(238,239,225)'],
        [0.9529411764705882, 'rgb(240,240,227)'],
        [0.9568627450980393, 'rgb(241,241,230)'],
        [0.9607843137254902, 'rgb(242,242,233)'],
        [0.9647058823529412, 'rgb(243,244,235)'],
        [0.9686274509803922, 'rgb(244,245,238)'],
        [0.9725490196078431, 'rgb(245,246,240)'],
        [0.9764705882352941, 'rgb(247,247,242)'],
        [0.9803921568627451, 'rgb(248,249,245)'],
        [0.984313725490196, 'rgb(249,250,247)'],
        [0.9882352941176471, 'rgb(251,251,249)'],
        [0.9921568627450981, 'rgb(252,252,251)'],
        [0.996078431372549, 'rgb(254,254,253)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.voltage': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(1,0,0)'],
        [0.01568627450980392, 'rgb(1,1,1)'],
        [0.0196078431372549, 'rgb(2,1,1)'],
        [0.023529411764705882, 'rgb(2,1,2)'],
        [0.027450980392156862, 'rgb(3,2,2)'],
        [0.03137254901960784, 'rgb(4,2,3)'],
        [0.03529411764705882, 'rgb(5,2,4)'],
        [0.0392156862745098, 'rgb(6,3,5)'],
        [0.043137254901960784, 'rgb(8,3,6)'],
        [0.047058823529411764, 'rgb(9,4,7)'],
        [0.050980392156862744, 'rgb(11,4,8)'],
        [0.054901960784313725, 'rgb(12,5,9)'],
        [0.058823529411764705, 'rgb(14,5,11)'],
        [0.06274509803921569, 'rgb(15,6,12)'],
        [0.06666666666666667, 'rgb(17,6,13)'],
        [0.07058823529411765, 'rgb(19,7,15)'],
        [0.07450980392156863, 'rgb(20,8,16)'],
        [0.0784313725490196, 'rgb(22,8,17)'],
        [0.08235294117647059, 'rgb(23,9,19)'],
        [0.08627450980392157, 'rgb(25,9,20)'],
        [0.09019607843137255, 'rgb(26,10,22)'],
        [0.09411764705882353, 'rgb(28,11,23)'],
        [0.09803921568627451, 'rgb(29,11,24)'],
        [0.10196078431372549, 'rgb(31,12,26)'],
        [0.10588235294117647, 'rgb(32,12,27)'],
        [0.10980392156862745, 'rgb(34,13,29)'],
        [0.11372549019607843, 'rgb(36,14,30)'],
        [0.11764705882352941, 'rgb(37,14,32)'],
        [0.12156862745098039, 'rgb(39,15,33)'],
        [0.12549019607843137, 'rgb(40,15,34)'],
        [0.12941176470588237, 'rgb(42,16,36)'],
        [0.13333333333333333, 'rgb(43,16,37)'],
        [0.13725490196078433, 'rgb(45,16,39)'],
        [0.1411764705882353, 'rgb(46,17,40)'],
        [0.1450980392156863, 'rgb(48,17,42)'],
        [0.14901960784313725, 'rgb(49,18,43)'],
        [0.15294117647058825, 'rgb(51,18,45)'],
        [0.1568627450980392, 'rgb(53,18,47)'],
        [0.1607843137254902, 'rgb(54,19,48)'],
        [0.16470588235294117, 'rgb(56,19,50)'],
        [0.16862745098039217, 'rgb(57,19,51)'],
        [0.17254901960784313, 'rgb(59,19,53)'],
        [0.17647058823529413, 'rgb(60,20,55)'],
        [0.1803921568627451, 'rgb(62,20,57)'],
        [0.1843137254901961, 'rgb(63,20,58)'],
        [0.18823529411764706, 'rgb(65,20,60)'],
        [0.19215686274509805, 'rgb(66,20,62)'],
        [0.19607843137254902, 'rgb(68,21,64)'],
        [0.2, 'rgb(70,21,65)'],
        [0.20392156862745098, 'rgb(71,21,67)'],
        [0.20784313725490197, 'rgb(73,21,69)'],
        [0.21176470588235294, 'rgb(74,21,71)'],
        [0.21568627450980393, 'rgb(76,21,73)'],
        [0.2196078431372549, 'rgb(77,21,75)'],
        [0.2235294117647059, 'rgb(79,21,77)'],
        [0.22745098039215686, 'rgb(80,21,79)'],
        [0.23137254901960785, 'rgb(82,21,81)'],
        [0.23529411764705882, 'rgb(83,21,83)'],
        [0.23921568627450981, 'rgb(85,21,85)'],
        [0.24313725490196078, 'rgb(86,20,87)'],
        [0.24705882352941178, 'rgb(88,20,89)'],
        [0.25098039215686274, 'rgb(89,20,92)'],
        [0.2549019607843137, 'rgb(91,20,94)'],
        [0.25882352941176473, 'rgb(92,19,96)'],
        [0.2627450980392157, 'rgb(94,19,99)'],
        [0.26666666666666666, 'rgb(95,19,101)'],
        [0.27058823529411763, 'rgb(97,18,103)'],
        [0.27450980392156865, 'rgb(98,18,106)'],
        [0.2784313725490196, 'rgb(100,18,108)'],
        [0.2823529411764706, 'rgb(101,17,111)'],
        [0.28627450980392155, 'rgb(103,17,113)'],
        [0.2901960784313726, 'rgb(104,16,116)'],
        [0.29411764705882354, 'rgb(105,16,118)'],
        [0.2980392156862745, 'rgb(107,16,121)'],
        [0.30196078431372547, 'rgb(108,15,124)'],
        [0.3058823529411765, 'rgb(109,15,126)'],
        [0.30980392156862746, 'rgb(110,14,129)'],
        [0.3137254901960784, 'rgb(112,14,132)'],
        [0.3176470588235294, 'rgb(113,14,134)'],
        [0.3215686274509804, 'rgb(114,14,137)'],
        [0.3254901960784314, 'rgb(115,14,140)'],
        [0.32941176470588235, 'rgb(116,14,143)'],
        [0.3333333333333333, 'rgb(117,14,145)'],
        [0.33725490196078434, 'rgb(118,14,148)'],
        [0.3411764705882353, 'rgb(119,15,151)'],
        [0.34509803921568627, 'rgb(120,15,153)'],
        [0.34901960784313724, 'rgb(121,16,156)'],
        [0.35294117647058826, 'rgb(122,17,159)'],
        [0.3568627450980392, 'rgb(123,18,161)'],
        [0.3607843137254902, 'rgb(123,19,164)'],
        [0.36470588235294116, 'rgb(124,20,166)'],
        [0.3686274509803922, 'rgb(125,21,169)'],
        [0.37254901960784315, 'rgb(125,22,171)'],
        [0.3764705882352941, 'rgb(126,24,174)'],
        [0.3803921568627451, 'rgb(127,25,176)'],
        [0.3843137254901961, 'rgb(127,27,178)'],
        [0.38823529411764707, 'rgb(128,28,181)'],
        [0.39215686274509803, 'rgb(128,30,183)'],
        [0.396078431372549, 'rgb(129,32,185)'],
        [0.4, 'rgb(129,33,187)'],
        [0.403921568627451, 'rgb(129,35,189)'],
        [0.40784313725490196, 'rgb(130,37,191)'],
        [0.4117647058823529, 'rgb(130,39,193)'],
        [0.41568627450980394, 'rgb(130,41,195)'],
        [0.4196078431372549, 'rgb(130,43,197)'],
        [0.4235294117647059, 'rgb(131,44,199)'],
        [0.42745098039215684, 'rgb(131,46,201)'],
        [0.43137254901960786, 'rgb(131,48,203)'],
        [0.43529411764705883, 'rgb(131,50,205)'],
        [0.4392156862745098, 'rgb(131,52,207)'],
        [0.44313725490196076, 'rgb(131,54,208)'],
        [0.4470588235294118, 'rgb(131,56,210)'],
        [0.45098039215686275, 'rgb(131,58,212)'],
        [0.4549019607843137, 'rgb(131,59,213)'],
        [0.4588235294117647, 'rgb(131,61,215)'],
        [0.4627450980392157, 'rgb(131,63,216)'],
        [0.4666666666666667, 'rgb(131,65,218)'],
        [0.47058823529411764, 'rgb(131,67,219)'],
        [0.4745098039215686, 'rgb(131,69,221)'],
        [0.47843137254901963, 'rgb(131,71,222)'],
        [0.4823529411764706, 'rgb(131,73,223)'],
        [0.48627450980392156, 'rgb(131,74,225)'],
        [0.49019607843137253, 'rgb(130,76,226)'],
        [0.49411764705882355, 'rgb(130,78,227)'],
        [0.4980392156862745, 'rgb(130,80,228)'],
        [0.5019607843137255, 'rgb(130,82,229)'],
        [0.5058823529411764, 'rgb(129,84,231)'],
        [0.5098039215686274, 'rgb(129,86,232)'],
        [0.5137254901960784, 'rgb(129,87,233)'],
        [0.5176470588235295, 'rgb(129,89,234)'],
        [0.5215686274509804, 'rgb(128,91,235)'],
        [0.5254901960784314, 'rgb(128,93,236)'],
        [0.5294117647058824, 'rgb(127,95,237)'],
        [0.5333333333333333, 'rgb(127,97,238)'],
        [0.5372549019607843, 'rgb(127,98,239)'],
        [0.5411764705882353, 'rgb(126,100,240)'],
        [0.5450980392156862, 'rgb(126,102,241)'],
        [0.5490196078431373, 'rgb(125,104,242)'],
        [0.5529411764705883, 'rgb(125,106,242)'],
        [0.5568627450980392, 'rgb(124,107,243)'],
        [0.5607843137254902, 'rgb(124,109,244)'],
        [0.5647058823529412, 'rgb(124,111,245)'],
        [0.5686274509803921, 'rgb(123,113,245)'],
        [0.5725490196078431, 'rgb(122,114,246)'],
        [0.5764705882352941, 'rgb(122,116,247)'],
        [0.5803921568627451, 'rgb(121,118,247)'],
        [0.5843137254901961, 'rgb(121,120,248)'],
        [0.5882352941176471, 'rgb(120,121,249)'],
        [0.592156862745098, 'rgb(120,123,249)'],
        [0.596078431372549, 'rgb(119,125,250)'],
        [0.6, 'rgb(119,127,250)'],
        [0.6039215686274509, 'rgb(118,128,251)'],
        [0.6078431372549019, 'rgb(118,130,251)'],
        [0.611764705882353, 'rgb(117,132,252)'],
        [0.615686274509804, 'rgb(117,133,252)'],
        [0.6196078431372549, 'rgb(116,135,252)'],
        [0.6235294117647059, 'rgb(115,137,253)'],
        [0.6274509803921569, 'rgb(115,138,253)'],
        [0.6313725490196078, 'rgb(114,140,253)'],
        [0.6352941176470588, 'rgb(114,142,254)'],
        [0.6392156862745098, 'rgb(113,143,254)'],
        [0.6431372549019608, 'rgb(113,145,254)'],
        [0.6470588235294118, 'rgb(113,147,254)'],
        [0.6509803921568628, 'rgb(112,148,254)'],
        [0.6549019607843137, 'rgb(112,150,254)'],
        [0.6588235294117647, 'rgb(111,152,254)'],
        [0.6627450980392157, 'rgb(111,153,254)'],
        [0.6666666666666666, 'rgb(111,155,254)'],
        [0.6705882352941176, 'rgb(111,156,254)'],
        [0.6745098039215687, 'rgb(110,158,254)'],
        [0.6784313725490196, 'rgb(110,160,254)'],
        [0.6823529411764706, 'rgb(110,161,254)'],
        [0.6862745098039216, 'rgb(110,163,254)'],
        [0.6901960784313725, 'rgb(110,164,254)'],
        [0.6941176470588235, 'rgb(110,166,254)'],
        [0.6980392156862745, 'rgb(111,167,253)'],
        [0.7019607843137254, 'rgb(111,169,253)'],
        [0.7058823529411765, 'rgb(111,170,253)'],
        [0.7098039215686275, 'rgb(112,172,252)'],
        [0.7137254901960784, 'rgb(112,173,252)'],
        [0.7176470588235294, 'rgb(113,175,252)'],
        [0.7215686274509804, 'rgb(114,176,251)'],
        [0.7254901960784313, 'rgb(115,177,251)'],
        [0.7294117647058823, 'rgb(115,179,250)'],
        [0.7333333333333333, 'rgb(116,180,250)'],
        [0.7372549019607844, 'rgb(118,182,249)'],
        [0.7411764705882353, 'rgb(119,183,249)'],
        [0.7450980392156863, 'rgb(120,184,248)'],
        [0.7490196078431373, 'rgb(121,185,248)'],
        [0.7529411764705882, 'rgb(123,187,247)'],
        [0.7568627450980392, 'rgb(124,188,247)'],
        [0.7607843137254902, 'rgb(126,189,246)'],
        [0.7647058823529411, 'rgb(128,190,246)'],
        [0.7686274509803922, 'rgb(129,192,245)'],
        [0.7725490196078432, 'rgb(131,193,245)'],
        [0.7764705882352941, 'rgb(133,194,244)'],
        [0.7803921568627451, 'rgb(135,195,244)'],
        [0.7843137254901961, 'rgb(137,196,244)'],
        [0.788235294117647, 'rgb(139,197,243)'],
        [0.792156862745098, 'rgb(141,199,243)'],
        [0.796078431372549, 'rgb(143,200,242)'],
        [0.8, 'rgb(145,201,242)'],
        [0.803921568627451, 'rgb(147,202,242)'],
        [0.807843137254902, 'rgb(149,203,241)'],
        [0.8117647058823529, 'rgb(152,204,241)'],
        [0.8156862745098039, 'rgb(154,205,241)'],
        [0.8196078431372549, 'rgb(156,206,241)'],
        [0.8235294117647058, 'rgb(158,207,240)'],
        [0.8274509803921568, 'rgb(160,208,240)'],
        [0.8313725490196079, 'rgb(162,209,240)'],
        [0.8352941176470589, 'rgb(165,210,240)'],
        [0.8392156862745098, 'rgb(167,211,240)'],
        [0.8431372549019608, 'rgb(169,212,240)'],
        [0.8470588235294118, 'rgb(171,213,240)'],
        [0.8509803921568627, 'rgb(174,214,240)'],
        [0.8549019607843137, 'rgb(176,215,240)'],
        [0.8588235294117647, 'rgb(178,216,240)'],
        [0.8627450980392157, 'rgb(180,217,240)'],
        [0.8666666666666667, 'rgb(183,218,240)'],
        [0.8705882352941177, 'rgb(185,220,240)'],
        [0.8745098039215686, 'rgb(187,221,240)'],
        [0.8784313725490196, 'rgb(189,222,240)'],
        [0.8823529411764706, 'rgb(191,223,240)'],
        [0.8862745098039215, 'rgb(194,224,240)'],
        [0.8901960784313725, 'rgb(196,225,241)'],
        [0.8941176470588236, 'rgb(198,226,241)'],
        [0.8980392156862745, 'rgb(200,227,241)'],
        [0.9019607843137255, 'rgb(202,228,241)'],
        [0.9058823529411765, 'rgb(205,229,242)'],
        [0.9098039215686274, 'rgb(207,230,242)'],
        [0.9137254901960784, 'rgb(209,231,242)'],
        [0.9176470588235294, 'rgb(211,232,243)'],
        [0.9215686274509803, 'rgb(213,233,243)'],
        [0.9254901960784314, 'rgb(215,234,243)'],
        [0.9294117647058824, 'rgb(218,235,244)'],
        [0.9333333333333333, 'rgb(220,236,244)'],
        [0.9372549019607843, 'rgb(222,237,245)'],
        [0.9411764705882353, 'rgb(224,238,245)'],
        [0.9450980392156862, 'rgb(226,239,246)'],
        [0.9490196078431372, 'rgb(228,240,246)'],
        [0.9529411764705882, 'rgb(230,241,247)'],
        [0.9568627450980393, 'rgb(232,243,247)'],
        [0.9607843137254902, 'rgb(234,244,248)'],
        [0.9647058823529412, 'rgb(237,245,249)'],
        [0.9686274509803922, 'rgb(239,246,249)'],
        [0.9725490196078431, 'rgb(241,247,250)'],
        [0.9764705882352941, 'rgb(243,248,251)'],
        [0.9803921568627451, 'rgb(245,249,251)'],
        [0.984313725490196, 'rgb(247,250,252)'],
        [0.9882352941176471, 'rgb(249,252,253)'],
        [0.9921568627450981, 'rgb(251,253,253)'],
        [0.996078431372549, 'rgb(253,254,254)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cmr.waterlily': [
        [0.0, 'rgb(32,2,55)'],
        [0.00392156862745098, 'rgb(34,2,58)'],
        [0.00784313725490196, 'rgb(37,2,61)'],
        [0.011764705882352941, 'rgb(39,3,64)'],
        [0.01568627450980392, 'rgb(42,3,67)'],
        [0.0196078431372549, 'rgb(44,3,71)'],
        [0.023529411764705882, 'rgb(47,4,74)'],
        [0.027450980392156862, 'rgb(49,4,78)'],
        [0.03137254901960784, 'rgb(52,4,81)'],
        [0.03529411764705882, 'rgb(54,4,85)'],
        [0.0392156862745098, 'rgb(57,4,89)'],
        [0.043137254901960784, 'rgb(59,4,92)'],
        [0.047058823529411764, 'rgb(61,4,96)'],
        [0.050980392156862744, 'rgb(63,5,100)'],
        [0.054901960784313725, 'rgb(65,6,104)'],
        [0.058823529411764705, 'rgb(67,7,108)'],
        [0.06274509803921569, 'rgb(68,9,111)'],
        [0.06666666666666667, 'rgb(69,12,115)'],
        [0.07058823529411765, 'rgb(70,16,118)'],
        [0.07450980392156863, 'rgb(71,19,120)'],
        [0.0784313725490196, 'rgb(72,22,123)'],
        [0.08235294117647059, 'rgb(73,25,125)'],
        [0.08627450980392157, 'rgb(73,29,127)'],
        [0.09019607843137255, 'rgb(74,32,129)'],
        [0.09411764705882353, 'rgb(74,35,131)'],
        [0.09803921568627451, 'rgb(75,38,133)'],
        [0.10196078431372549, 'rgb(75,41,135)'],
        [0.10588235294117647, 'rgb(76,43,136)'],
        [0.10980392156862745, 'rgb(76,46,138)'],
        [0.11372549019607843, 'rgb(76,49,139)'],
        [0.11764705882352941, 'rgb(77,52,141)'],
        [0.12156862745098039, 'rgb(77,54,142)'],
        [0.12549019607843137, 'rgb(77,57,144)'],
        [0.12941176470588237, 'rgb(77,59,145)'],
        [0.13333333333333333, 'rgb(77,62,147)'],
        [0.13725490196078433, 'rgb(78,64,148)'],
        [0.1411764705882353, 'rgb(78,67,150)'],
        [0.1450980392156863, 'rgb(78,69,151)'],
        [0.14901960784313725, 'rgb(78,72,152)'],
        [0.15294117647058825, 'rgb(78,74,154)'],
        [0.1568627450980392, 'rgb(78,77,155)'],
        [0.1607843137254902, 'rgb(79,79,156)'],
        [0.16470588235294117, 'rgb(79,81,158)'],
        [0.16862745098039217, 'rgb(79,84,159)'],
        [0.17254901960784313, 'rgb(79,86,160)'],
        [0.17647058823529413, 'rgb(79,88,162)'],
        [0.1803921568627451, 'rgb(79,91,163)'],
        [0.1843137254901961, 'rgb(79,93,164)'],
        [0.18823529411764706, 'rgb(79,95,165)'],
        [0.19215686274509805, 'rgb(79,98,167)'],
        [0.19607843137254902, 'rgb(79,100,168)'],
        [0.2, 'rgb(79,102,169)'],
        [0.20392156862745098, 'rgb(79,104,171)'],
        [0.20784313725490197, 'rgb(80,107,172)'],
        [0.21176470588235294, 'rgb(80,109,173)'],
        [0.21568627450980393, 'rgb(80,111,174)'],
        [0.2196078431372549, 'rgb(80,113,176)'],
        [0.2235294117647059, 'rgb(80,116,177)'],
        [0.22745098039215686, 'rgb(80,118,178)'],
        [0.23137254901960785, 'rgb(80,120,179)'],
        [0.23529411764705882, 'rgb(80,122,181)'],
        [0.23921568627450981, 'rgb(80,125,182)'],
        [0.24313725490196078, 'rgb(80,127,183)'],
        [0.24705882352941178, 'rgb(80,129,184)'],
        [0.25098039215686274, 'rgb(80,131,185)'],
        [0.2549019607843137, 'rgb(80,134,187)'],
        [0.25882352941176473, 'rgb(80,136,188)'],
        [0.2627450980392157, 'rgb(80,138,189)'],
        [0.26666666666666666, 'rgb(80,141,190)'],
        [0.27058823529411763, 'rgb(80,143,191)'],
        [0.27450980392156865, 'rgb(80,145,192)'],
        [0.2784313725490196, 'rgb(81,147,193)'],
        [0.2823529411764706, 'rgb(81,150,194)'],
        [0.28627450980392155, 'rgb(81,152,195)'],
        [0.2901960784313726, 'rgb(82,154,196)'],
        [0.29411764705882354, 'rgb(82,156,197)'],
        [0.2980392156862745, 'rgb(83,159,198)'],
        [0.30196078431372547, 'rgb(84,161,199)'],
        [0.3058823529411765, 'rgb(85,163,199)'],
        [0.30980392156862746, 'rgb(86,165,200)'],
        [0.3137254901960784, 'rgb(87,167,201)'],
        [0.3176470588235294, 'rgb(89,169,201)'],
        [0.3215686274509804, 'rgb(91,172,202)'],
        [0.3254901960784314, 'rgb(93,174,202)'],
        [0.32941176470588235, 'rgb(95,176,203)'],
        [0.3333333333333333, 'rgb(98,178,203)'],
        [0.33725490196078434, 'rgb(101,180,203)'],
        [0.3411764705882353, 'rgb(104,182,204)'],
        [0.34509803921568627, 'rgb(107,184,204)'],
        [0.34901960784313724, 'rgb(111,185,205)'],
        [0.35294117647058826, 'rgb(114,187,205)'],
        [0.3568627450980392, 'rgb(118,189,205)'],
        [0.3607843137254902, 'rgb(122,191,206)'],
        [0.36470588235294116, 'rgb(126,192,206)'],
        [0.3686274509803922, 'rgb(130,194,207)'],
        [0.37254901960784315, 'rgb(134,196,208)'],
        [0.3764705882352941, 'rgb(138,198,208)'],
        [0.3803921568627451, 'rgb(142,199,209)'],
        [0.3843137254901961, 'rgb(146,201,210)'],
        [0.38823529411764707, 'rgb(150,203,211)'],
        [0.39215686274509803, 'rgb(154,204,212)'],
        [0.396078431372549, 'rgb(158,206,213)'],
        [0.4, 'rgb(162,208,214)'],
        [0.403921568627451, 'rgb(166,209,215)'],
        [0.40784313725490196, 'rgb(170,211,216)'],
        [0.4117647058823529, 'rgb(174,213,218)'],
        [0.41568627450980394, 'rgb(177,214,219)'],
        [0.4196078431372549, 'rgb(181,216,220)'],
        [0.4235294117647059, 'rgb(185,218,221)'],
        [0.42745098039215684, 'rgb(189,220,223)'],
        [0.43137254901960786, 'rgb(192,221,224)'],
        [0.43529411764705883, 'rgb(196,223,226)'],
        [0.4392156862745098, 'rgb(200,225,227)'],
        [0.44313725490196076, 'rgb(203,227,229)'],
        [0.4470588235294118, 'rgb(207,229,230)'],
        [0.45098039215686275, 'rgb(211,230,232)'],
        [0.4549019607843137, 'rgb(214,232,234)'],
        [0.4588235294117647, 'rgb(218,234,235)'],
        [0.4627450980392157, 'rgb(222,236,237)'],
        [0.4666666666666667, 'rgb(225,238,239)'],
        [0.47058823529411764, 'rgb(229,240,241)'],
        [0.4745098039215686, 'rgb(232,242,242)'],
        [0.47843137254901963, 'rgb(236,244,244)'],
        [0.4823529411764706, 'rgb(239,246,246)'],
        [0.48627450980392156, 'rgb(243,248,248)'],
        [0.49019607843137253, 'rgb(246,250,250)'],
        [0.49411764705882355, 'rgb(250,252,252)'],
        [0.4980392156862745, 'rgb(253,254,254)'],
        [0.5019607843137255, 'rgb(253,254,254)'],
        [0.5058823529411764, 'rgb(250,252,251)'],
        [0.5098039215686274, 'rgb(247,250,248)'],
        [0.5137254901960784, 'rgb(244,248,245)'],
        [0.5176470588235295, 'rgb(241,246,242)'],
        [0.5215686274509804, 'rgb(237,244,239)'],
        [0.5254901960784314, 'rgb(234,242,236)'],
        [0.5294117647058824, 'rgb(231,240,233)'],
        [0.5333333333333333, 'rgb(227,238,230)'],
        [0.5372549019607843, 'rgb(224,236,226)'],
        [0.5411764705882353, 'rgb(221,234,223)'],
        [0.5450980392156862, 'rgb(218,232,220)'],
        [0.5490196078431373, 'rgb(214,231,217)'],
        [0.5529411764705883, 'rgb(211,229,214)'],
        [0.5568627450980392, 'rgb(208,227,211)'],
        [0.5607843137254902, 'rgb(205,225,208)'],
        [0.5647058823529412, 'rgb(201,223,205)'],
        [0.5686274509803921, 'rgb(198,222,201)'],
        [0.5725490196078431, 'rgb(195,220,198)'],
        [0.5764705882352941, 'rgb(192,218,195)'],
        [0.5803921568627451, 'rgb(188,217,192)'],
        [0.5843137254901961, 'rgb(185,215,189)'],
        [0.5882352941176471, 'rgb(182,213,185)'],
        [0.592156862745098, 'rgb(179,212,182)'],
        [0.596078431372549, 'rgb(175,210,179)'],
        [0.6, 'rgb(172,208,176)'],
        [0.6039215686274509, 'rgb(169,207,173)'],
        [0.6078431372549019, 'rgb(165,205,169)'],
        [0.611764705882353, 'rgb(162,203,166)'],
        [0.615686274509804, 'rgb(159,202,163)'],
        [0.6196078431372549, 'rgb(156,200,160)'],
        [0.6235294117647059, 'rgb(152,199,156)'],
        [0.6274509803921569, 'rgb(149,197,153)'],
        [0.6313725490196078, 'rgb(146,196,150)'],
        [0.6352941176470588, 'rgb(142,194,146)'],
        [0.6392156862745098, 'rgb(139,192,143)'],
        [0.6431372549019608, 'rgb(136,191,140)'],
        [0.6470588235294118, 'rgb(132,189,136)'],
        [0.6509803921568628, 'rgb(129,188,133)'],
        [0.6549019607843137, 'rgb(126,186,130)'],
        [0.6588235294117647, 'rgb(122,185,126)'],
        [0.6627450980392157, 'rgb(119,183,123)'],
        [0.6666666666666666, 'rgb(116,182,119)'],
        [0.6705882352941176, 'rgb(112,180,116)'],
        [0.6745098039215687, 'rgb(109,179,112)'],
        [0.6784313725490196, 'rgb(105,177,109)'],
        [0.6823529411764706, 'rgb(102,176,105)'],
        [0.6862745098039216, 'rgb(99,174,102)'],
        [0.6901960784313725, 'rgb(95,173,98)'],
        [0.6941176470588235, 'rgb(92,171,95)'],
        [0.6980392156862745, 'rgb(88,169,91)'],
        [0.7019607843137254, 'rgb(85,168,87)'],
        [0.7058823529411765, 'rgb(82,166,83)'],
        [0.7098039215686275, 'rgb(78,165,79)'],
        [0.7137254901960784, 'rgb(75,163,76)'],
        [0.7176470588235294, 'rgb(72,162,72)'],
        [0.7215686274509804, 'rgb(69,160,68)'],
        [0.7254901960784313, 'rgb(65,158,63)'],
        [0.7294117647058823, 'rgb(63,157,59)'],
        [0.7333333333333333, 'rgb(60,155,55)'],
        [0.7372549019607844, 'rgb(58,153,50)'],
        [0.7411764705882353, 'rgb(57,151,45)'],
        [0.7450980392156863, 'rgb(56,150,40)'],
        [0.7490196078431373, 'rgb(56,147,36)'],
        [0.7529411764705882, 'rgb(58,145,31)'],
        [0.7568627450980392, 'rgb(60,143,27)'],
        [0.7607843137254902, 'rgb(62,141,24)'],
        [0.7647058823529411, 'rgb(64,138,22)'],
        [0.7686274509803922, 'rgb(66,136,21)'],
        [0.7725490196078432, 'rgb(67,133,20)'],
        [0.7764705882352941, 'rgb(68,131,19)'],
        [0.7803921568627451, 'rgb(69,129,19)'],
        [0.7843137254901961, 'rgb(70,126,19)'],
        [0.788235294117647, 'rgb(71,124,19)'],
        [0.792156862745098, 'rgb(72,122,19)'],
        [0.796078431372549, 'rgb(72,120,19)'],
        [0.8, 'rgb(72,117,19)'],
        [0.803921568627451, 'rgb(72,115,19)'],
        [0.807843137254902, 'rgb(73,113,19)'],
        [0.8117647058823529, 'rgb(73,111,20)'],
        [0.8156862745098039, 'rgb(73,109,20)'],
        [0.8196078431372549, 'rgb(73,107,20)'],
        [0.8235294117647058, 'rgb(72,104,20)'],
        [0.8274509803921568, 'rgb(72,102,20)'],
        [0.8313725490196079, 'rgb(72,100,21)'],
        [0.8352941176470589, 'rgb(71,98,21)'],
        [0.8392156862745098, 'rgb(71,96,21)'],
        [0.8431372549019608, 'rgb(71,94,21)'],
        [0.8470588235294118, 'rgb(70,92,21)'],
        [0.8509803921568627, 'rgb(70,90,21)'],
        [0.8549019607843137, 'rgb(69,88,21)'],
        [0.8588235294117647, 'rgb(68,86,21)'],
        [0.8627450980392157, 'rgb(68,84,21)'],
        [0.8666666666666667, 'rgb(67,82,21)'],
        [0.8705882352941177, 'rgb(66,80,21)'],
        [0.8745098039215686, 'rgb(66,78,21)'],
        [0.8784313725490196, 'rgb(65,76,21)'],
        [0.8823529411764706, 'rgb(64,74,21)'],
        [0.8862745098039215, 'rgb(63,72,21)'],
        [0.8901960784313725, 'rgb(62,70,21)'],
        [0.8941176470588236, 'rgb(61,68,20)'],
        [0.8980392156862745, 'rgb(60,66,20)'],
        [0.9019607843137255, 'rgb(60,64,20)'],
        [0.9058823529411765, 'rgb(59,62,20)'],
        [0.9098039215686274, 'rgb(58,60,19)'],
        [0.9137254901960784, 'rgb(57,58,19)'],
        [0.9176470588235294, 'rgb(55,56,19)'],
        [0.9215686274509803, 'rgb(54,55,18)'],
        [0.9254901960784314, 'rgb(53,53,18)'],
        [0.9294117647058824, 'rgb(52,51,17)'],
        [0.9333333333333333, 'rgb(51,49,17)'],
        [0.9372549019607843, 'rgb(50,47,17)'],
        [0.9411764705882353, 'rgb(49,45,16)'],
        [0.9450980392156862, 'rgb(47,43,16)'],
        [0.9490196078431372, 'rgb(46,41,15)'],
        [0.9529411764705882, 'rgb(45,39,14)'],
        [0.9568627450980393, 'rgb(44,37,14)'],
        [0.9607843137254902, 'rgb(42,35,13)'],
        [0.9647058823529412, 'rgb(41,33,13)'],
        [0.9686274509803922, 'rgb(40,32,12)'],
        [0.9725490196078431, 'rgb(38,30,11)'],
        [0.9764705882352941, 'rgb(37,28,11)'],
        [0.9803921568627451, 'rgb(35,26,10)'],
        [0.984313725490196, 'rgb(34,24,9)'],
        [0.9882352941176471, 'rgb(32,22,8)'],
        [0.9921568627450981, 'rgb(31,20,8)'],
        [0.996078431372549, 'rgb(29,18,7)'],
        [1.0, 'rgb(27,16,6)'],
    ],
    # cmocean colormaps converted for Plotly
    'cmo.algae': [
        [0.0, 'rgb(215,249,208)'],
        [0.00392156862745098, 'rgb(214,248,206)'],
        [0.00784313725490196, 'rgb(212,247,205)'],
        [0.011764705882352941, 'rgb(211,246,203)'],
        [0.01568627450980392, 'rgb(210,245,202)'],
        [0.0196078431372549, 'rgb(209,244,200)'],
        [0.023529411764705882, 'rgb(207,244,199)'],
        [0.027450980392156862, 'rgb(206,243,197)'],
        [0.03137254901960784, 'rgb(205,242,196)'],
        [0.03529411764705882, 'rgb(204,241,195)'],
        [0.0392156862745098, 'rgb(202,240,193)'],
        [0.043137254901960784, 'rgb(201,239,192)'],
        [0.047058823529411764, 'rgb(200,238,190)'],
        [0.050980392156862744, 'rgb(199,237,189)'],
        [0.054901960784313725, 'rgb(197,236,187)'],
        [0.058823529411764705, 'rgb(196,235,186)'],
        [0.06274509803921569, 'rgb(195,235,185)'],
        [0.06666666666666667, 'rgb(194,234,183)'],
        [0.07058823529411765, 'rgb(192,233,182)'],
        [0.07450980392156863, 'rgb(191,232,180)'],
        [0.0784313725490196, 'rgb(190,231,179)'],
        [0.08235294117647059, 'rgb(189,230,177)'],
        [0.08627450980392157, 'rgb(187,229,176)'],
        [0.09019607843137255, 'rgb(186,228,175)'],
        [0.09411764705882353, 'rgb(185,228,173)'],
        [0.09803921568627451, 'rgb(184,227,172)'],
        [0.10196078431372549, 'rgb(182,226,171)'],
        [0.10588235294117647, 'rgb(181,225,169)'],
        [0.10980392156862745, 'rgb(180,224,168)'],
        [0.11372549019607843, 'rgb(178,223,166)'],
        [0.11764705882352941, 'rgb(177,222,165)'],
        [0.12156862745098039, 'rgb(176,222,164)'],
        [0.12549019607843137, 'rgb(175,221,162)'],
        [0.12941176470588237, 'rgb(173,220,161)'],
        [0.13333333333333333, 'rgb(172,219,160)'],
        [0.13725490196078433, 'rgb(171,218,158)'],
        [0.1411764705882353, 'rgb(170,218,157)'],
        [0.1450980392156863, 'rgb(168,217,156)'],
        [0.14901960784313725, 'rgb(167,216,154)'],
        [0.15294117647058825, 'rgb(166,215,153)'],
        [0.1568627450980392, 'rgb(164,214,152)'],
        [0.1607843137254902, 'rgb(163,213,150)'],
        [0.16470588235294117, 'rgb(162,213,149)'],
        [0.16862745098039217, 'rgb(160,212,148)'],
        [0.17254901960784313, 'rgb(159,211,146)'],
        [0.17647058823529413, 'rgb(158,210,145)'],
        [0.1803921568627451, 'rgb(157,209,144)'],
        [0.1843137254901961, 'rgb(155,209,143)'],
        [0.18823529411764706, 'rgb(154,208,141)'],
        [0.19215686274509805, 'rgb(153,207,140)'],
        [0.19607843137254902, 'rgb(151,206,139)'],
        [0.2, 'rgb(150,205,138)'],
        [0.20392156862745098, 'rgb(149,205,136)'],
        [0.20784313725490197, 'rgb(147,204,135)'],
        [0.21176470588235294, 'rgb(146,203,134)'],
        [0.21568627450980393, 'rgb(145,202,133)'],
        [0.2196078431372549, 'rgb(143,202,131)'],
        [0.2235294117647059, 'rgb(142,201,130)'],
        [0.22745098039215686, 'rgb(140,200,129)'],
        [0.23137254901960785, 'rgb(139,199,128)'],
        [0.23529411764705882, 'rgb(138,199,126)'],
        [0.23921568627450981, 'rgb(136,198,125)'],
        [0.24313725490196078, 'rgb(135,197,124)'],
        [0.24705882352941178, 'rgb(133,196,123)'],
        [0.25098039215686274, 'rgb(132,196,122)'],
        [0.2549019607843137, 'rgb(131,195,121)'],
        [0.25882352941176473, 'rgb(129,194,119)'],
        [0.2627450980392157, 'rgb(128,193,118)'],
        [0.26666666666666666, 'rgb(126,193,117)'],
        [0.27058823529411763, 'rgb(125,192,116)'],
        [0.27450980392156865, 'rgb(123,191,115)'],
        [0.2784313725490196, 'rgb(122,190,114)'],
        [0.2823529411764706, 'rgb(120,190,113)'],
        [0.28627450980392155, 'rgb(119,189,111)'],
        [0.2901960784313726, 'rgb(117,188,110)'],
        [0.29411764705882354, 'rgb(116,187,109)'],
        [0.2980392156862745, 'rgb(114,187,108)'],
        [0.30196078431372547, 'rgb(113,186,107)'],
        [0.3058823529411765, 'rgb(111,185,106)'],
        [0.30980392156862746, 'rgb(110,185,105)'],
        [0.3137254901960784, 'rgb(108,184,104)'],
        [0.3176470588235294, 'rgb(107,183,103)'],
        [0.3215686274509804, 'rgb(105,182,102)'],
        [0.3254901960784314, 'rgb(103,182,101)'],
        [0.32941176470588235, 'rgb(102,181,100)'],
        [0.3333333333333333, 'rgb(100,180,99)'],
        [0.33725490196078434, 'rgb(98,180,98)'],
        [0.3411764705882353, 'rgb(97,179,97)'],
        [0.34509803921568627, 'rgb(95,178,96)'],
        [0.34901960784313724, 'rgb(93,178,95)'],
        [0.35294117647058826, 'rgb(91,177,94)'],
        [0.3568627450980392, 'rgb(90,176,93)'],
        [0.3607843137254902, 'rgb(88,175,93)'],
        [0.36470588235294116, 'rgb(86,175,92)'],
        [0.3686274509803922, 'rgb(84,174,91)'],
        [0.37254901960784315, 'rgb(82,173,90)'],
        [0.3764705882352941, 'rgb(80,173,89)'],
        [0.3803921568627451, 'rgb(78,172,89)'],
        [0.3843137254901961, 'rgb(76,171,88)'],
        [0.38823529411764707, 'rgb(74,171,87)'],
        [0.39215686274509803, 'rgb(72,170,87)'],
        [0.396078431372549, 'rgb(70,169,86)'],
        [0.4, 'rgb(68,168,85)'],
        [0.403921568627451, 'rgb(66,168,85)'],
        [0.40784313725490196, 'rgb(63,167,84)'],
        [0.4117647058823529, 'rgb(61,166,84)'],
        [0.41568627450980394, 'rgb(59,166,84)'],
        [0.4196078431372549, 'rgb(57,165,83)'],
        [0.4235294117647059, 'rgb(55,164,83)'],
        [0.42745098039215684, 'rgb(52,163,83)'],
        [0.43137254901960786, 'rgb(50,163,82)'],
        [0.43529411764705883, 'rgb(48,162,82)'],
        [0.4392156862745098, 'rgb(46,161,82)'],
        [0.44313725490196076, 'rgb(44,160,82)'],
        [0.4470588235294118, 'rgb(42,160,82)'],
        [0.45098039215686275, 'rgb(40,159,81)'],
        [0.4549019607843137, 'rgb(38,158,81)'],
        [0.4588235294117647, 'rgb(36,157,81)'],
        [0.4627450980392157, 'rgb(34,156,81)'],
        [0.4666666666666667, 'rgb(32,156,81)'],
        [0.47058823529411764, 'rgb(30,155,81)'],
        [0.4745098039215686, 'rgb(28,154,81)'],
        [0.47843137254901963, 'rgb(27,153,81)'],
        [0.4823529411764706, 'rgb(25,152,81)'],
        [0.48627450980392156, 'rgb(24,151,80)'],
        [0.49019607843137253, 'rgb(22,150,80)'],
        [0.49411764705882355, 'rgb(21,150,80)'],
        [0.4980392156862745, 'rgb(19,149,80)'],
        [0.5019607843137255, 'rgb(18,148,80)'],
        [0.5058823529411764, 'rgb(16,147,80)'],
        [0.5098039215686274, 'rgb(15,146,80)'],
        [0.5137254901960784, 'rgb(14,145,80)'],
        [0.5176470588235295, 'rgb(13,144,79)'],
        [0.5215686274509804, 'rgb(12,143,79)'],
        [0.5254901960784314, 'rgb(11,143,79)'],
        [0.5294117647058824, 'rgb(10,142,79)'],
        [0.5333333333333333, 'rgb(9,141,79)'],
        [0.5372549019607843, 'rgb(9,140,79)'],
        [0.5411764705882353, 'rgb(8,139,78)'],
        [0.5450980392156862, 'rgb(8,138,78)'],
        [0.5490196078431373, 'rgb(7,137,78)'],
        [0.5529411764705883, 'rgb(7,136,78)'],
        [0.5568627450980392, 'rgb(7,135,77)'],
        [0.5607843137254902, 'rgb(7,134,77)'],
        [0.5647058823529412, 'rgb(7,134,77)'],
        [0.5686274509803921, 'rgb(7,133,77)'],
        [0.5725490196078431, 'rgb(7,132,77)'],
        [0.5764705882352941, 'rgb(7,131,76)'],
        [0.5803921568627451, 'rgb(7,130,76)'],
        [0.5843137254901961, 'rgb(8,129,76)'],
        [0.5882352941176471, 'rgb(8,128,75)'],
        [0.592156862745098, 'rgb(8,127,75)'],
        [0.596078431372549, 'rgb(9,126,75)'],
        [0.6, 'rgb(9,125,75)'],
        [0.6039215686274509, 'rgb(10,124,74)'],
        [0.6078431372549019, 'rgb(10,124,74)'],
        [0.611764705882353, 'rgb(11,123,74)'],
        [0.615686274509804, 'rgb(11,122,73)'],
        [0.6196078431372549, 'rgb(12,121,73)'],
        [0.6235294117647059, 'rgb(12,120,73)'],
        [0.6274509803921569, 'rgb(13,119,72)'],
        [0.6313725490196078, 'rgb(13,118,72)'],
        [0.6352941176470588, 'rgb(14,117,72)'],
        [0.6392156862745098, 'rgb(14,116,71)'],
        [0.6431372549019608, 'rgb(15,115,71)'],
        [0.6470588235294118, 'rgb(15,115,71)'],
        [0.6509803921568628, 'rgb(16,114,70)'],
        [0.6549019607843137, 'rgb(16,113,70)'],
        [0.6588235294117647, 'rgb(17,112,69)'],
        [0.6627450980392157, 'rgb(17,111,69)'],
        [0.6666666666666666, 'rgb(18,110,69)'],
        [0.6705882352941176, 'rgb(18,109,68)'],
        [0.6745098039215687, 'rgb(18,108,68)'],
        [0.6784313725490196, 'rgb(19,107,67)'],
        [0.6823529411764706, 'rgb(19,106,67)'],
        [0.6862745098039216, 'rgb(20,106,67)'],
        [0.6901960784313725, 'rgb(20,105,66)'],
        [0.6941176470588235, 'rgb(20,104,66)'],
        [0.6980392156862745, 'rgb(21,103,65)'],
        [0.7019607843137254, 'rgb(21,102,65)'],
        [0.7058823529411765, 'rgb(21,101,64)'],
        [0.7098039215686275, 'rgb(22,100,64)'],
        [0.7137254901960784, 'rgb(22,99,64)'],
        [0.7176470588235294, 'rgb(22,98,63)'],
        [0.7215686274509804, 'rgb(23,98,63)'],
        [0.7254901960784313, 'rgb(23,97,62)'],
        [0.7294117647058823, 'rgb(23,96,62)'],
        [0.7333333333333333, 'rgb(23,95,61)'],
        [0.7372549019607844, 'rgb(24,94,61)'],
        [0.7411764705882353, 'rgb(24,93,60)'],
        [0.7450980392156863, 'rgb(24,92,60)'],
        [0.7490196078431373, 'rgb(24,91,59)'],
        [0.7529411764705882, 'rgb(24,91,59)'],
        [0.7568627450980392, 'rgb(25,90,58)'],
        [0.7607843137254902, 'rgb(25,89,58)'],
        [0.7647058823529411, 'rgb(25,88,57)'],
        [0.7686274509803922, 'rgb(25,87,57)'],
        [0.7725490196078432, 'rgb(25,86,56)'],
        [0.7764705882352941, 'rgb(25,85,56)'],
        [0.7803921568627451, 'rgb(25,84,55)'],
        [0.7843137254901961, 'rgb(25,84,55)'],
        [0.788235294117647, 'rgb(26,83,54)'],
        [0.792156862745098, 'rgb(26,82,53)'],
        [0.796078431372549, 'rgb(26,81,53)'],
        [0.8, 'rgb(26,80,52)'],
        [0.803921568627451, 'rgb(26,79,52)'],
        [0.807843137254902, 'rgb(26,78,51)'],
        [0.8117647058823529, 'rgb(26,77,51)'],
        [0.8156862745098039, 'rgb(26,77,50)'],
        [0.8196078431372549, 'rgb(26,76,50)'],
        [0.8235294117647058, 'rgb(26,75,49)'],
        [0.8274509803921568, 'rgb(26,74,48)'],
        [0.8313725490196079, 'rgb(26,73,48)'],
        [0.8352941176470589, 'rgb(26,72,47)'],
        [0.8392156862745098, 'rgb(26,71,47)'],
        [0.8431372549019608, 'rgb(26,71,46)'],
        [0.8470588235294118, 'rgb(26,70,46)'],
        [0.8509803921568627, 'rgb(26,69,45)'],
        [0.8549019607843137, 'rgb(26,68,44)'],
        [0.8588235294117647, 'rgb(26,67,44)'],
        [0.8627450980392157, 'rgb(25,66,43)'],
        [0.8666666666666667, 'rgb(25,65,43)'],
        [0.8705882352941177, 'rgb(25,64,42)'],
        [0.8745098039215686, 'rgb(25,64,41)'],
        [0.8784313725490196, 'rgb(25,63,41)'],
        [0.8823529411764706, 'rgb(25,62,40)'],
        [0.8862745098039215, 'rgb(25,61,39)'],
        [0.8901960784313725, 'rgb(25,60,39)'],
        [0.8941176470588236, 'rgb(24,59,38)'],
        [0.8980392156862745, 'rgb(24,59,38)'],
        [0.9019607843137255, 'rgb(24,58,37)'],
        [0.9058823529411765, 'rgb(24,57,36)'],
        [0.9098039215686274, 'rgb(24,56,36)'],
        [0.9137254901960784, 'rgb(24,55,35)'],
        [0.9176470588235294, 'rgb(23,54,34)'],
        [0.9215686274509803, 'rgb(23,53,34)'],
        [0.9254901960784314, 'rgb(23,53,33)'],
        [0.9294117647058824, 'rgb(23,52,32)'],
        [0.9333333333333333, 'rgb(23,51,32)'],
        [0.9372549019607843, 'rgb(22,50,31)'],
        [0.9411764705882353, 'rgb(22,49,30)'],
        [0.9450980392156862, 'rgb(22,48,30)'],
        [0.9490196078431372, 'rgb(22,47,29)'],
        [0.9529411764705882, 'rgb(21,47,28)'],
        [0.9568627450980393, 'rgb(21,46,28)'],
        [0.9607843137254902, 'rgb(21,45,27)'],
        [0.9647058823529412, 'rgb(20,44,26)'],
        [0.9686274509803922, 'rgb(20,43,26)'],
        [0.9725490196078431, 'rgb(20,42,25)'],
        [0.9764705882352941, 'rgb(20,41,24)'],
        [0.9803921568627451, 'rgb(19,41,24)'],
        [0.984313725490196, 'rgb(19,40,23)'],
        [0.9882352941176471, 'rgb(19,39,22)'],
        [0.9921568627450981, 'rgb(18,38,22)'],
        [0.996078431372549, 'rgb(18,37,21)'],
        [1.0, 'rgb(18,36,20)'],
    ],
    'cmo.amp': [
        [0.0, 'rgb(241,237,236)'],
        [0.00392156862745098, 'rgb(241,236,235)'],
        [0.00784313725490196, 'rgb(240,235,233)'],
        [0.011764705882352941, 'rgb(239,233,232)'],
        [0.01568627450980392, 'rgb(239,232,231)'],
        [0.0196078431372549, 'rgb(238,231,229)'],
        [0.023529411764705882, 'rgb(238,230,228)'],
        [0.027450980392156862, 'rgb(237,229,227)'],
        [0.03137254901960784, 'rgb(237,227,225)'],
        [0.03529411764705882, 'rgb(236,226,224)'],
        [0.0392156862745098, 'rgb(236,225,222)'],
        [0.043137254901960784, 'rgb(235,224,221)'],
        [0.047058823529411764, 'rgb(235,223,220)'],
        [0.050980392156862744, 'rgb(234,221,218)'],
        [0.054901960784313725, 'rgb(234,220,217)'],
        [0.058823529411764705, 'rgb(233,219,215)'],
        [0.06274509803921569, 'rgb(233,218,214)'],
        [0.06666666666666667, 'rgb(233,217,212)'],
        [0.07058823529411765, 'rgb(232,216,211)'],
        [0.07450980392156863, 'rgb(232,214,210)'],
        [0.0784313725490196, 'rgb(231,213,208)'],
        [0.08235294117647059, 'rgb(231,212,207)'],
        [0.08627450980392157, 'rgb(230,211,205)'],
        [0.09019607843137255, 'rgb(230,210,204)'],
        [0.09411764705882353, 'rgb(230,209,202)'],
        [0.09803921568627451, 'rgb(229,207,201)'],
        [0.10196078431372549, 'rgb(229,206,200)'],
        [0.10588235294117647, 'rgb(228,205,198)'],
        [0.10980392156862745, 'rgb(228,204,197)'],
        [0.11372549019607843, 'rgb(228,203,195)'],
        [0.11764705882352941, 'rgb(227,201,194)'],
        [0.12156862745098039, 'rgb(227,200,192)'],
        [0.12549019607843137, 'rgb(226,199,191)'],
        [0.12941176470588237, 'rgb(226,198,189)'],
        [0.13333333333333333, 'rgb(226,197,188)'],
        [0.13725490196078433, 'rgb(225,196,187)'],
        [0.1411764705882353, 'rgb(225,195,185)'],
        [0.1450980392156863, 'rgb(225,193,184)'],
        [0.14901960784313725, 'rgb(224,192,182)'],
        [0.15294117647058825, 'rgb(224,191,181)'],
        [0.1568627450980392, 'rgb(223,190,179)'],
        [0.1607843137254902, 'rgb(223,189,178)'],
        [0.16470588235294117, 'rgb(223,188,176)'],
        [0.16862745098039217, 'rgb(222,186,175)'],
        [0.17254901960784313, 'rgb(222,185,174)'],
        [0.17647058823529413, 'rgb(222,184,172)'],
        [0.1803921568627451, 'rgb(221,183,171)'],
        [0.1843137254901961, 'rgb(221,182,169)'],
        [0.18823529411764706, 'rgb(221,181,168)'],
        [0.19215686274509805, 'rgb(220,180,166)'],
        [0.19607843137254902, 'rgb(220,178,165)'],
        [0.2, 'rgb(220,177,163)'],
        [0.20392156862745098, 'rgb(219,176,162)'],
        [0.20784313725490197, 'rgb(219,175,161)'],
        [0.21176470588235294, 'rgb(219,174,159)'],
        [0.21568627450980393, 'rgb(218,173,158)'],
        [0.2196078431372549, 'rgb(218,172,156)'],
        [0.2235294117647059, 'rgb(217,170,155)'],
        [0.22745098039215686, 'rgb(217,169,153)'],
        [0.23137254901960785, 'rgb(217,168,152)'],
        [0.23529411764705882, 'rgb(216,167,150)'],
        [0.23921568627450981, 'rgb(216,166,149)'],
        [0.24313725490196078, 'rgb(216,165,148)'],
        [0.24705882352941178, 'rgb(215,164,146)'],
        [0.25098039215686274, 'rgb(215,162,145)'],
        [0.2549019607843137, 'rgb(215,161,143)'],
        [0.25882352941176473, 'rgb(214,160,142)'],
        [0.2627450980392157, 'rgb(214,159,140)'],
        [0.26666666666666666, 'rgb(214,158,139)'],
        [0.27058823529411763, 'rgb(213,157,137)'],
        [0.27450980392156865, 'rgb(213,156,136)'],
        [0.2784313725490196, 'rgb(213,154,135)'],
        [0.2823529411764706, 'rgb(212,153,133)'],
        [0.28627450980392155, 'rgb(212,152,132)'],
        [0.2901960784313726, 'rgb(212,151,130)'],
        [0.29411764705882354, 'rgb(211,150,129)'],
        [0.2980392156862745, 'rgb(211,149,127)'],
        [0.30196078431372547, 'rgb(211,148,126)'],
        [0.3058823529411765, 'rgb(210,146,125)'],
        [0.30980392156862746, 'rgb(210,145,123)'],
        [0.3137254901960784, 'rgb(210,144,122)'],
        [0.3176470588235294, 'rgb(209,143,120)'],
        [0.3215686274509804, 'rgb(209,142,119)'],
        [0.3254901960784314, 'rgb(209,141,118)'],
        [0.32941176470588235, 'rgb(208,140,116)'],
        [0.3333333333333333, 'rgb(208,139,115)'],
        [0.33725490196078434, 'rgb(208,137,113)'],
        [0.3411764705882353, 'rgb(207,136,112)'],
        [0.34509803921568627, 'rgb(207,135,111)'],
        [0.34901960784313724, 'rgb(207,134,109)'],
        [0.35294117647058826, 'rgb(206,133,108)'],
        [0.3568627450980392, 'rgb(206,132,106)'],
        [0.3607843137254902, 'rgb(205,131,105)'],
        [0.36470588235294116, 'rgb(205,129,104)'],
        [0.3686274509803922, 'rgb(205,128,102)'],
        [0.37254901960784315, 'rgb(204,127,101)'],
        [0.3764705882352941, 'rgb(204,126,100)'],
        [0.3803921568627451, 'rgb(204,125,98)'],
        [0.3843137254901961, 'rgb(203,124,97)'],
        [0.38823529411764707, 'rgb(203,122,96)'],
        [0.39215686274509803, 'rgb(203,121,94)'],
        [0.396078431372549, 'rgb(202,120,93)'],
        [0.4, 'rgb(202,119,91)'],
        [0.403921568627451, 'rgb(201,118,90)'],
        [0.40784313725490196, 'rgb(201,117,89)'],
        [0.4117647058823529, 'rgb(201,116,87)'],
        [0.41568627450980394, 'rgb(200,114,86)'],
        [0.4196078431372549, 'rgb(200,113,85)'],
        [0.4235294117647059, 'rgb(200,112,84)'],
        [0.42745098039215684, 'rgb(199,111,82)'],
        [0.43137254901960786, 'rgb(199,110,81)'],
        [0.43529411764705883, 'rgb(198,109,80)'],
        [0.4392156862745098, 'rgb(198,107,78)'],
        [0.44313725490196076, 'rgb(198,106,77)'],
        [0.4470588235294118, 'rgb(197,105,76)'],
        [0.45098039215686275, 'rgb(197,104,74)'],
        [0.4549019607843137, 'rgb(197,103,73)'],
        [0.4588235294117647, 'rgb(196,101,72)'],
        [0.4627450980392157, 'rgb(196,100,71)'],
        [0.4666666666666667, 'rgb(195,99,70)'],
        [0.47058823529411764, 'rgb(195,98,68)'],
        [0.4745098039215686, 'rgb(195,97,67)'],
        [0.47843137254901963, 'rgb(194,95,66)'],
        [0.4823529411764706, 'rgb(194,94,65)'],
        [0.48627450980392156, 'rgb(193,93,63)'],
        [0.49019607843137253, 'rgb(193,92,62)'],
        [0.49411764705882355, 'rgb(192,91,61)'],
        [0.4980392156862745, 'rgb(192,89,60)'],
        [0.5019607843137255, 'rgb(192,88,59)'],
        [0.5058823529411764, 'rgb(191,87,58)'],
        [0.5098039215686274, 'rgb(191,86,57)'],
        [0.5137254901960784, 'rgb(190,84,56)'],
        [0.5176470588235295, 'rgb(190,83,54)'],
        [0.5215686274509804, 'rgb(189,82,53)'],
        [0.5254901960784314, 'rgb(189,81,52)'],
        [0.5294117647058824, 'rgb(189,79,51)'],
        [0.5333333333333333, 'rgb(188,78,50)'],
        [0.5372549019607843, 'rgb(188,77,49)'],
        [0.5411764705882353, 'rgb(187,76,48)'],
        [0.5450980392156862, 'rgb(187,74,48)'],
        [0.5490196078431373, 'rgb(186,73,47)'],
        [0.5529411764705883, 'rgb(186,72,46)'],
        [0.5568627450980392, 'rgb(185,70,45)'],
        [0.5607843137254902, 'rgb(185,69,44)'],
        [0.5647058823529412, 'rgb(184,68,43)'],
        [0.5686274509803921, 'rgb(184,66,43)'],
        [0.5725490196078431, 'rgb(183,65,42)'],
        [0.5764705882352941, 'rgb(183,64,41)'],
        [0.5803921568627451, 'rgb(182,63,41)'],
        [0.5843137254901961, 'rgb(181,61,40)'],
        [0.5882352941176471, 'rgb(181,60,39)'],
        [0.592156862745098, 'rgb(180,59,39)'],
        [0.596078431372549, 'rgb(180,57,38)'],
        [0.6, 'rgb(179,56,38)'],
        [0.6039215686274509, 'rgb(178,55,38)'],
        [0.6078431372549019, 'rgb(178,53,37)'],
        [0.611764705882353, 'rgb(177,52,37)'],
        [0.615686274509804, 'rgb(176,51,37)'],
        [0.6196078431372549, 'rgb(176,49,37)'],
        [0.6235294117647059, 'rgb(175,48,36)'],
        [0.6274509803921569, 'rgb(174,47,36)'],
        [0.6313725490196078, 'rgb(174,45,36)'],
        [0.6352941176470588, 'rgb(173,44,36)'],
        [0.6392156862745098, 'rgb(172,43,36)'],
        [0.6431372549019608, 'rgb(171,42,36)'],
        [0.6470588235294118, 'rgb(170,40,36)'],
        [0.6509803921568628, 'rgb(170,39,36)'],
        [0.6549019607843137, 'rgb(169,38,36)'],
        [0.6588235294117647, 'rgb(168,37,36)'],
        [0.6627450980392157, 'rgb(167,36,36)'],
        [0.6666666666666666, 'rgb(166,34,37)'],
        [0.6705882352941176, 'rgb(165,33,37)'],
        [0.6745098039215687, 'rgb(164,32,37)'],
        [0.6784313725490196, 'rgb(163,31,37)'],
        [0.6823529411764706, 'rgb(162,30,37)'],
        [0.6862745098039216, 'rgb(161,29,37)'],
        [0.6901960784313725, 'rgb(160,28,38)'],
        [0.6941176470588235, 'rgb(159,27,38)'],
        [0.6980392156862745, 'rgb(158,26,38)'],
        [0.7019607843137254, 'rgb(157,25,38)'],
        [0.7058823529411765, 'rgb(156,24,39)'],
        [0.7098039215686275, 'rgb(155,23,39)'],
        [0.7137254901960784, 'rgb(154,22,39)'],
        [0.7176470588235294, 'rgb(153,21,39)'],
        [0.7215686274509804, 'rgb(152,21,39)'],
        [0.7254901960784313, 'rgb(151,20,40)'],
        [0.7294117647058823, 'rgb(149,19,40)'],
        [0.7333333333333333, 'rgb(148,19,40)'],
        [0.7372549019607844, 'rgb(147,18,40)'],
        [0.7411764705882353, 'rgb(146,17,40)'],
        [0.7450980392156863, 'rgb(145,17,41)'],
        [0.7490196078431373, 'rgb(144,16,41)'],
        [0.7529411764705882, 'rgb(142,16,41)'],
        [0.7568627450980392, 'rgb(141,16,41)'],
        [0.7607843137254902, 'rgb(140,15,41)'],
        [0.7647058823529411, 'rgb(139,15,41)'],
        [0.7686274509803922, 'rgb(137,15,41)'],
        [0.7725490196078432, 'rgb(136,15,41)'],
        [0.7764705882352941, 'rgb(135,14,41)'],
        [0.7803921568627451, 'rgb(133,14,41)'],
        [0.7843137254901961, 'rgb(132,14,41)'],
        [0.788235294117647, 'rgb(131,14,41)'],
        [0.792156862745098, 'rgb(129,14,41)'],
        [0.796078431372549, 'rgb(128,14,41)'],
        [0.8, 'rgb(127,14,41)'],
        [0.803921568627451, 'rgb(125,14,41)'],
        [0.807843137254902, 'rgb(124,14,41)'],
        [0.8117647058823529, 'rgb(123,14,41)'],
        [0.8156862745098039, 'rgb(121,14,41)'],
        [0.8196078431372549, 'rgb(120,14,40)'],
        [0.8235294117647058, 'rgb(119,14,40)'],
        [0.8274509803921568, 'rgb(117,14,40)'],
        [0.8313725490196079, 'rgb(116,14,40)'],
        [0.8352941176470589, 'rgb(115,14,39)'],
        [0.8392156862745098, 'rgb(113,14,39)'],
        [0.8431372549019608, 'rgb(112,14,39)'],
        [0.8470588235294118, 'rgb(111,14,38)'],
        [0.8509803921568627, 'rgb(109,14,38)'],
        [0.8549019607843137, 'rgb(108,15,38)'],
        [0.8588235294117647, 'rgb(107,15,37)'],
        [0.8627450980392157, 'rgb(105,15,37)'],
        [0.8666666666666667, 'rgb(104,15,37)'],
        [0.8705882352941177, 'rgb(103,15,36)'],
        [0.8745098039215686, 'rgb(101,15,36)'],
        [0.8784313725490196, 'rgb(100,14,35)'],
        [0.8823529411764706, 'rgb(99,14,35)'],
        [0.8862745098039215, 'rgb(97,14,34)'],
        [0.8901960784313725, 'rgb(96,14,34)'],
        [0.8941176470588236, 'rgb(95,14,33)'],
        [0.8980392156862745, 'rgb(93,14,33)'],
        [0.9019607843137255, 'rgb(92,14,33)'],
        [0.9058823529411765, 'rgb(91,14,32)'],
        [0.9098039215686274, 'rgb(90,14,31)'],
        [0.9137254901960784, 'rgb(88,14,31)'],
        [0.9176470588235294, 'rgb(87,14,30)'],
        [0.9215686274509803, 'rgb(86,14,30)'],
        [0.9254901960784314, 'rgb(84,13,29)'],
        [0.9294117647058824, 'rgb(83,13,29)'],
        [0.9333333333333333, 'rgb(82,13,28)'],
        [0.9372549019607843, 'rgb(81,13,28)'],
        [0.9411764705882353, 'rgb(79,13,27)'],
        [0.9450980392156862, 'rgb(78,13,26)'],
        [0.9490196078431372, 'rgb(77,12,26)'],
        [0.9529411764705882, 'rgb(75,12,25)'],
        [0.9568627450980393, 'rgb(74,12,25)'],
        [0.9607843137254902, 'rgb(73,12,24)'],
        [0.9647058823529412, 'rgb(72,11,23)'],
        [0.9686274509803922, 'rgb(70,11,23)'],
        [0.9725490196078431, 'rgb(69,11,22)'],
        [0.9764705882352941, 'rgb(68,11,22)'],
        [0.9803921568627451, 'rgb(67,10,21)'],
        [0.984313725490196, 'rgb(65,10,20)'],
        [0.9882352941176471, 'rgb(64,10,20)'],
        [0.9921568627450981, 'rgb(63,10,19)'],
        [0.996078431372549, 'rgb(61,9,18)'],
        [1.0, 'rgb(60,9,18)'],
    ],
    'cmo.balance': [
        [0.0, 'rgb(24,28,67)'],
        [0.00392156862745098, 'rgb(25,30,70)'],
        [0.00784313725490196, 'rgb(26,31,73)'],
        [0.011764705882352941, 'rgb(27,33,76)'],
        [0.01568627450980392, 'rgb(28,34,79)'],
        [0.0196078431372549, 'rgb(29,35,82)'],
        [0.023529411764705882, 'rgb(30,37,85)'],
        [0.027450980392156862, 'rgb(31,38,88)'],
        [0.03137254901960784, 'rgb(32,39,91)'],
        [0.03529411764705882, 'rgb(33,41,95)'],
        [0.0392156862745098, 'rgb(33,42,98)'],
        [0.043137254901960784, 'rgb(34,43,101)'],
        [0.047058823529411764, 'rgb(35,45,105)'],
        [0.050980392156862744, 'rgb(36,46,108)'],
        [0.054901960784313725, 'rgb(37,47,111)'],
        [0.058823529411764705, 'rgb(37,48,115)'],
        [0.06274509803921569, 'rgb(38,50,118)'],
        [0.06666666666666667, 'rgb(39,51,122)'],
        [0.07058823529411765, 'rgb(39,52,125)'],
        [0.07450980392156863, 'rgb(40,54,129)'],
        [0.0784313725490196, 'rgb(40,55,132)'],
        [0.08235294117647059, 'rgb(41,56,136)'],
        [0.08627450980392157, 'rgb(41,58,140)'],
        [0.09019607843137255, 'rgb(41,59,143)'],
        [0.09411764705882353, 'rgb(41,60,147)'],
        [0.09803921568627451, 'rgb(41,62,151)'],
        [0.10196078431372549, 'rgb(41,63,154)'],
        [0.10588235294117647, 'rgb(41,64,158)'],
        [0.10980392156862745, 'rgb(41,66,162)'],
        [0.11372549019607843, 'rgb(40,67,165)'],
        [0.11764705882352941, 'rgb(39,69,169)'],
        [0.12156862745098039, 'rgb(38,71,172)'],
        [0.12549019607843137, 'rgb(37,72,176)'],
        [0.12941176470588237, 'rgb(35,74,179)'],
        [0.13333333333333333, 'rgb(33,76,182)'],
        [0.13725490196078433, 'rgb(31,78,184)'],
        [0.1411764705882353, 'rgb(28,80,186)'],
        [0.1450980392156863, 'rgb(25,82,188)'],
        [0.14901960784313725, 'rgb(22,85,189)'],
        [0.15294117647058825, 'rgb(19,87,190)'],
        [0.1568627450980392, 'rgb(16,89,190)'],
        [0.1607843137254902, 'rgb(13,91,190)'],
        [0.16470588235294117, 'rgb(12,94,190)'],
        [0.16862745098039217, 'rgb(10,96,190)'],
        [0.17254901960784313, 'rgb(10,98,190)'],
        [0.17647058823529413, 'rgb(10,100,190)'],
        [0.1803921568627451, 'rgb(11,102,189)'],
        [0.1843137254901961, 'rgb(13,104,189)'],
        [0.18823529411764706, 'rgb(15,106,189)'],
        [0.19215686274509805, 'rgb(17,108,188)'],
        [0.19607843137254902, 'rgb(19,110,188)'],
        [0.2, 'rgb(22,112,188)'],
        [0.20392156862745098, 'rgb(25,114,187)'],
        [0.20784313725490197, 'rgb(27,116,187)'],
        [0.21176470588235294, 'rgb(30,118,187)'],
        [0.21568627450980393, 'rgb(33,120,187)'],
        [0.2196078431372549, 'rgb(35,122,186)'],
        [0.2235294117647059, 'rgb(38,123,186)'],
        [0.22745098039215686, 'rgb(41,125,186)'],
        [0.23137254901960785, 'rgb(43,127,186)'],
        [0.23529411764705882, 'rgb(46,129,186)'],
        [0.23921568627450981, 'rgb(48,131,186)'],
        [0.24313725490196078, 'rgb(51,132,186)'],
        [0.24705882352941178, 'rgb(54,134,186)'],
        [0.25098039215686274, 'rgb(56,136,186)'],
        [0.2549019607843137, 'rgb(59,137,186)'],
        [0.25882352941176473, 'rgb(62,139,186)'],
        [0.2627450980392157, 'rgb(64,141,186)'],
        [0.26666666666666666, 'rgb(67,143,186)'],
        [0.27058823529411763, 'rgb(70,144,186)'],
        [0.27450980392156865, 'rgb(72,146,186)'],
        [0.2784313725490196, 'rgb(75,148,186)'],
        [0.2823529411764706, 'rgb(78,149,186)'],
        [0.28627450980392155, 'rgb(81,151,186)'],
        [0.2901960784313726, 'rgb(83,153,186)'],
        [0.29411764705882354, 'rgb(86,154,187)'],
        [0.2980392156862745, 'rgb(89,156,187)'],
        [0.30196078431372547, 'rgb(92,157,187)'],
        [0.3058823529411765, 'rgb(95,159,187)'],
        [0.30980392156862746, 'rgb(98,160,187)'],
        [0.3137254901960784, 'rgb(101,162,188)'],
        [0.3176470588235294, 'rgb(104,164,188)'],
        [0.3215686274509804, 'rgb(107,165,188)'],
        [0.3254901960784314, 'rgb(110,167,189)'],
        [0.32941176470588235, 'rgb(113,168,189)'],
        [0.3333333333333333, 'rgb(117,170,190)'],
        [0.33725490196078434, 'rgb(120,171,190)'],
        [0.3411764705882353, 'rgb(123,172,191)'],
        [0.34509803921568627, 'rgb(126,174,191)'],
        [0.34901960784313724, 'rgb(129,175,192)'],
        [0.35294117647058826, 'rgb(133,177,192)'],
        [0.3568627450980392, 'rgb(136,178,193)'],
        [0.3607843137254902, 'rgb(139,180,194)'],
        [0.36470588235294116, 'rgb(142,181,195)'],
        [0.3686274509803922, 'rgb(145,183,195)'],
        [0.37254901960784315, 'rgb(148,184,196)'],
        [0.3764705882352941, 'rgb(152,186,197)'],
        [0.3803921568627451, 'rgb(155,187,198)'],
        [0.3843137254901961, 'rgb(158,188,199)'],
        [0.38823529411764707, 'rgb(161,190,200)'],
        [0.39215686274509803, 'rgb(164,191,201)'],
        [0.396078431372549, 'rgb(167,193,202)'],
        [0.4, 'rgb(170,194,203)'],
        [0.403921568627451, 'rgb(173,196,204)'],
        [0.40784313725490196, 'rgb(176,197,205)'],
        [0.4117647058823529, 'rgb(179,199,206)'],
        [0.41568627450980394, 'rgb(182,201,207)'],
        [0.4196078431372549, 'rgb(185,202,208)'],
        [0.4235294117647059, 'rgb(188,204,210)'],
        [0.42745098039215684, 'rgb(191,205,211)'],
        [0.43137254901960786, 'rgb(193,207,212)'],
        [0.43529411764705883, 'rgb(196,208,213)'],
        [0.4392156862745098, 'rgb(199,210,215)'],
        [0.44313725490196076, 'rgb(202,212,216)'],
        [0.4470588235294118, 'rgb(205,213,217)'],
        [0.45098039215686275, 'rgb(208,215,218)'],
        [0.4549019607843137, 'rgb(211,217,220)'],
        [0.4588235294117647, 'rgb(213,218,221)'],
        [0.4627450980392157, 'rgb(216,220,222)'],
        [0.4666666666666667, 'rgb(219,222,224)'],
        [0.47058823529411764, 'rgb(222,224,225)'],
        [0.4745098039215686, 'rgb(225,225,227)'],
        [0.47843137254901963, 'rgb(227,227,228)'],
        [0.4823529411764706, 'rgb(230,229,230)'],
        [0.48627450980392156, 'rgb(233,231,231)'],
        [0.49019607843137253, 'rgb(235,233,233)'],
        [0.49411764705882355, 'rgb(238,234,234)'],
        [0.4980392156862745, 'rgb(241,236,236)'],
        [0.5019607843137255, 'rgb(241,236,235)'],
        [0.5058823529411764, 'rgb(240,234,233)'],
        [0.5098039215686274, 'rgb(239,232,230)'],
        [0.5137254901960784, 'rgb(238,229,227)'],
        [0.5176470588235295, 'rgb(237,227,224)'],
        [0.5215686274509804, 'rgb(236,224,222)'],
        [0.5254901960784314, 'rgb(235,222,219)'],
        [0.5294117647058824, 'rgb(234,220,216)'],
        [0.5333333333333333, 'rgb(233,217,213)'],
        [0.5372549019607843, 'rgb(232,215,210)'],
        [0.5411764705882353, 'rgb(231,213,207)'],
        [0.5450980392156862, 'rgb(230,210,205)'],
        [0.5490196078431373, 'rgb(229,208,202)'],
        [0.5529411764705883, 'rgb(229,206,199)'],
        [0.5568627450980392, 'rgb(228,203,196)'],
        [0.5607843137254902, 'rgb(227,201,193)'],
        [0.5647058823529412, 'rgb(226,199,190)'],
        [0.5686274509803921, 'rgb(225,196,187)'],
        [0.5725490196078431, 'rgb(225,194,184)'],
        [0.5764705882352941, 'rgb(224,192,181)'],
        [0.5803921568627451, 'rgb(223,189,178)'],
        [0.5843137254901961, 'rgb(223,187,176)'],
        [0.5882352941176471, 'rgb(222,185,173)'],
        [0.592156862745098, 'rgb(221,182,170)'],
        [0.596078431372549, 'rgb(220,180,167)'],
        [0.6, 'rgb(220,178,164)'],
        [0.6039215686274509, 'rgb(219,175,161)'],
        [0.6078431372549019, 'rgb(218,173,158)'],
        [0.611764705882353, 'rgb(218,171,155)'],
        [0.615686274509804, 'rgb(217,169,152)'],
        [0.6196078431372549, 'rgb(216,166,150)'],
        [0.6235294117647059, 'rgb(216,164,147)'],
        [0.6274509803921569, 'rgb(215,162,144)'],
        [0.6313725490196078, 'rgb(214,159,141)'],
        [0.6352941176470588, 'rgb(214,157,138)'],
        [0.6392156862745098, 'rgb(213,155,135)'],
        [0.6431372549019608, 'rgb(212,153,132)'],
        [0.6470588235294118, 'rgb(211,150,129)'],
        [0.6509803921568628, 'rgb(211,148,127)'],
        [0.6549019607843137, 'rgb(210,146,124)'],
        [0.6588235294117647, 'rgb(209,143,121)'],
        [0.6627450980392157, 'rgb(209,141,118)'],
        [0.6666666666666666, 'rgb(208,139,115)'],
        [0.6705882352941176, 'rgb(207,137,112)'],
        [0.6745098039215687, 'rgb(207,134,110)'],
        [0.6784313725490196, 'rgb(206,132,107)'],
        [0.6823529411764706, 'rgb(205,130,104)'],
        [0.6862745098039216, 'rgb(205,127,101)'],
        [0.6901960784313725, 'rgb(204,125,99)'],
        [0.6941176470588235, 'rgb(203,123,96)'],
        [0.6980392156862745, 'rgb(202,121,93)'],
        [0.7019607843137254, 'rgb(202,118,91)'],
        [0.7058823529411765, 'rgb(201,116,88)'],
        [0.7098039215686275, 'rgb(200,114,85)'],
        [0.7137254901960784, 'rgb(199,111,83)'],
        [0.7176470588235294, 'rgb(199,109,80)'],
        [0.7215686274509804, 'rgb(198,107,77)'],
        [0.7254901960784313, 'rgb(197,104,75)'],
        [0.7294117647058823, 'rgb(196,102,72)'],
        [0.7333333333333333, 'rgb(195,99,70)'],
        [0.7372549019607844, 'rgb(195,97,67)'],
        [0.7411764705882353, 'rgb(194,95,65)'],
        [0.7450980392156863, 'rgb(193,92,63)'],
        [0.7490196078431373, 'rgb(192,90,60)'],
        [0.7529411764705882, 'rgb(191,87,58)'],
        [0.7568627450980392, 'rgb(190,85,56)'],
        [0.7607843137254902, 'rgb(190,82,54)'],
        [0.7647058823529411, 'rgb(189,80,52)'],
        [0.7686274509803922, 'rgb(188,77,50)'],
        [0.7725490196078432, 'rgb(187,75,48)'],
        [0.7764705882352941, 'rgb(186,72,46)'],
        [0.7803921568627451, 'rgb(185,69,44)'],
        [0.7843137254901961, 'rgb(184,67,43)'],
        [0.788235294117647, 'rgb(183,64,41)'],
        [0.792156862745098, 'rgb(182,61,40)'],
        [0.796078431372549, 'rgb(180,59,39)'],
        [0.8, 'rgb(179,56,38)'],
        [0.803921568627451, 'rgb(178,53,37)'],
        [0.807843137254902, 'rgb(177,51,37)'],
        [0.8117647058823529, 'rgb(175,48,36)'],
        [0.8156862745098039, 'rgb(174,46,36)'],
        [0.8196078431372549, 'rgb(172,43,36)'],
        [0.8235294117647058, 'rgb(171,41,36)'],
        [0.8274509803921568, 'rgb(169,38,36)'],
        [0.8313725490196079, 'rgb(167,36,36)'],
        [0.8352941176470589, 'rgb(165,33,37)'],
        [0.8392156862745098, 'rgb(163,31,37)'],
        [0.8431372549019608, 'rgb(161,29,37)'],
        [0.8470588235294118, 'rgb(159,27,38)'],
        [0.8509803921568627, 'rgb(157,25,38)'],
        [0.8549019607843137, 'rgb(155,23,39)'],
        [0.8588235294117647, 'rgb(153,22,39)'],
        [0.8627450980392157, 'rgb(151,20,40)'],
        [0.8666666666666667, 'rgb(148,19,40)'],
        [0.8705882352941177, 'rgb(146,18,40)'],
        [0.8745098039215686, 'rgb(144,16,41)'],
        [0.8784313725490196, 'rgb(141,16,41)'],
        [0.8823529411764706, 'rgb(139,15,41)'],
        [0.8862745098039215, 'rgb(136,15,41)'],
        [0.8901960784313725, 'rgb(134,14,41)'],
        [0.8941176470588236, 'rgb(131,14,41)'],
        [0.8980392156862745, 'rgb(128,14,41)'],
        [0.9019607843137255, 'rgb(126,14,41)'],
        [0.9058823529411765, 'rgb(123,14,41)'],
        [0.9098039215686274, 'rgb(120,14,40)'],
        [0.9137254901960784, 'rgb(118,14,40)'],
        [0.9176470588235294, 'rgb(115,14,39)'],
        [0.9215686274509803, 'rgb(112,14,39)'],
        [0.9254901960784314, 'rgb(109,14,38)'],
        [0.9294117647058824, 'rgb(107,15,37)'],
        [0.9333333333333333, 'rgb(104,15,37)'],
        [0.9372549019607843, 'rgb(101,15,36)'],
        [0.9411764705882353, 'rgb(99,14,35)'],
        [0.9450980392156862, 'rgb(96,14,34)'],
        [0.9490196078431372, 'rgb(94,14,33)'],
        [0.9529411764705882, 'rgb(91,14,32)'],
        [0.9568627450980393, 'rgb(88,14,31)'],
        [0.9607843137254902, 'rgb(86,14,30)'],
        [0.9647058823529412, 'rgb(83,13,29)'],
        [0.9686274509803922, 'rgb(81,13,28)'],
        [0.9725490196078431, 'rgb(78,13,27)'],
        [0.9764705882352941, 'rgb(75,12,25)'],
        [0.9803921568627451, 'rgb(73,12,24)'],
        [0.984313725490196, 'rgb(70,11,23)'],
        [0.9882352941176471, 'rgb(68,11,22)'],
        [0.9921568627450981, 'rgb(65,10,20)'],
        [0.996078431372549, 'rgb(63,10,19)'],
        [1.0, 'rgb(60,9,18)'],
    ],
    'cmo.curl': [
        [0.0, 'rgb(21,29,68)'],
        [0.00392156862745098, 'rgb(21,31,69)'],
        [0.00784313725490196, 'rgb(22,33,70)'],
        [0.011764705882352941, 'rgb(22,35,71)'],
        [0.01568627450980392, 'rgb(23,37,72)'],
        [0.0196078431372549, 'rgb(23,39,73)'],
        [0.023529411764705882, 'rgb(24,41,74)'],
        [0.027450980392156862, 'rgb(24,43,75)'],
        [0.03137254901960784, 'rgb(24,45,76)'],
        [0.03529411764705882, 'rgb(25,47,77)'],
        [0.0392156862745098, 'rgb(25,49,79)'],
        [0.043137254901960784, 'rgb(26,51,80)'],
        [0.047058823529411764, 'rgb(26,53,81)'],
        [0.050980392156862744, 'rgb(26,55,82)'],
        [0.054901960784313725, 'rgb(27,56,83)'],
        [0.058823529411764705, 'rgb(27,58,84)'],
        [0.06274509803921569, 'rgb(27,60,86)'],
        [0.06666666666666667, 'rgb(27,62,87)'],
        [0.07058823529411765, 'rgb(28,64,88)'],
        [0.07450980392156863, 'rgb(28,66,89)'],
        [0.0784313725490196, 'rgb(28,67,90)'],
        [0.08235294117647059, 'rgb(28,69,91)'],
        [0.08627450980392157, 'rgb(28,71,93)'],
        [0.09019607843137255, 'rgb(28,73,94)'],
        [0.09411764705882353, 'rgb(28,75,95)'],
        [0.09803921568627451, 'rgb(28,77,96)'],
        [0.10196078431372549, 'rgb(28,78,97)'],
        [0.10588235294117647, 'rgb(28,80,98)'],
        [0.10980392156862745, 'rgb(28,82,100)'],
        [0.11372549019607843, 'rgb(28,84,101)'],
        [0.11764705882352941, 'rgb(27,86,102)'],
        [0.12156862745098039, 'rgb(27,88,103)'],
        [0.12549019607843137, 'rgb(27,89,104)'],
        [0.12941176470588237, 'rgb(26,91,105)'],
        [0.13333333333333333, 'rgb(26,93,106)'],
        [0.13725490196078433, 'rgb(26,95,107)'],
        [0.1411764705882353, 'rgb(25,97,108)'],
        [0.1450980392156863, 'rgb(24,99,109)'],
        [0.14901960784313725, 'rgb(24,101,110)'],
        [0.15294117647058825, 'rgb(23,103,111)'],
        [0.1568627450980392, 'rgb(23,104,112)'],
        [0.1607843137254902, 'rgb(22,106,113)'],
        [0.16470588235294117, 'rgb(21,108,114)'],
        [0.16862745098039217, 'rgb(20,110,115)'],
        [0.17254901960784313, 'rgb(20,112,116)'],
        [0.17647058823529413, 'rgb(19,114,117)'],
        [0.1803921568627451, 'rgb(18,116,118)'],
        [0.1843137254901961, 'rgb(18,118,118)'],
        [0.18823529411764706, 'rgb(17,120,119)'],
        [0.19215686274509805, 'rgb(17,121,120)'],
        [0.19607843137254902, 'rgb(17,123,121)'],
        [0.2, 'rgb(17,125,121)'],
        [0.20392156862745098, 'rgb(17,127,122)'],
        [0.20784313725490197, 'rgb(18,129,123)'],
        [0.21176470588235294, 'rgb(19,131,123)'],
        [0.21568627450980393, 'rgb(20,133,124)'],
        [0.2196078431372549, 'rgb(22,135,124)'],
        [0.2235294117647059, 'rgb(24,136,125)'],
        [0.22745098039215686, 'rgb(26,138,125)'],
        [0.23137254901960785, 'rgb(29,140,126)'],
        [0.23529411764705882, 'rgb(31,142,126)'],
        [0.23921568627450981, 'rgb(34,143,126)'],
        [0.24313725490196078, 'rgb(38,145,127)'],
        [0.24705882352941178, 'rgb(41,147,127)'],
        [0.25098039215686274, 'rgb(45,149,128)'],
        [0.2549019607843137, 'rgb(48,150,128)'],
        [0.25882352941176473, 'rgb(52,152,128)'],
        [0.2627450980392157, 'rgb(56,153,129)'],
        [0.26666666666666666, 'rgb(60,155,129)'],
        [0.27058823529411763, 'rgb(64,156,130)'],
        [0.27450980392156865, 'rgb(68,158,130)'],
        [0.2784313725490196, 'rgb(72,159,131)'],
        [0.2823529411764706, 'rgb(76,161,131)'],
        [0.28627450980392155, 'rgb(80,162,132)'],
        [0.2901960784313726, 'rgb(84,164,132)'],
        [0.29411764705882354, 'rgb(88,165,133)'],
        [0.2980392156862745, 'rgb(92,167,134)'],
        [0.30196078431372547, 'rgb(96,168,135)'],
        [0.3058823529411765, 'rgb(100,169,136)'],
        [0.30980392156862746, 'rgb(104,171,137)'],
        [0.3137254901960784, 'rgb(108,172,138)'],
        [0.3176470588235294, 'rgb(111,174,139)'],
        [0.3215686274509804, 'rgb(115,175,140)'],
        [0.3254901960784314, 'rgb(119,176,141)'],
        [0.32941176470588235, 'rgb(122,178,143)'],
        [0.3333333333333333, 'rgb(126,179,144)'],
        [0.33725490196078434, 'rgb(130,180,145)'],
        [0.3411764705882353, 'rgb(133,182,147)'],
        [0.34509803921568627, 'rgb(137,183,148)'],
        [0.34901960784313724, 'rgb(140,184,150)'],
        [0.35294117647058826, 'rgb(144,186,152)'],
        [0.3568627450980392, 'rgb(147,187,153)'],
        [0.3607843137254902, 'rgb(150,189,155)'],
        [0.36470588235294116, 'rgb(154,190,157)'],
        [0.3686274509803922, 'rgb(157,191,159)'],
        [0.37254901960784315, 'rgb(160,193,161)'],
        [0.3764705882352941, 'rgb(163,194,163)'],
        [0.3803921568627451, 'rgb(167,196,165)'],
        [0.3843137254901961, 'rgb(170,197,167)'],
        [0.38823529411764707, 'rgb(173,198,169)'],
        [0.39215686274509803, 'rgb(176,200,171)'],
        [0.396078431372549, 'rgb(179,201,173)'],
        [0.4, 'rgb(182,203,176)'],
        [0.403921568627451, 'rgb(185,204,178)'],
        [0.40784313725490196, 'rgb(188,206,180)'],
        [0.4117647058823529, 'rgb(192,207,183)'],
        [0.41568627450980394, 'rgb(195,209,185)'],
        [0.4196078431372549, 'rgb(197,210,188)'],
        [0.4235294117647059, 'rgb(200,212,190)'],
        [0.42745098039215684, 'rgb(203,214,193)'],
        [0.43137254901960786, 'rgb(206,215,195)'],
        [0.43529411764705883, 'rgb(209,217,198)'],
        [0.4392156862745098, 'rgb(212,218,200)'],
        [0.44313725490196076, 'rgb(215,220,203)'],
        [0.4470588235294118, 'rgb(218,222,206)'],
        [0.45098039215686275, 'rgb(221,223,209)'],
        [0.4549019607843137, 'rgb(224,225,211)'],
        [0.4588235294117647, 'rgb(226,227,214)'],
        [0.4627450980392157, 'rgb(229,229,217)'],
        [0.4666666666666667, 'rgb(232,230,220)'],
        [0.47058823529411764, 'rgb(235,232,223)'],
        [0.4745098039215686, 'rgb(238,234,225)'],
        [0.47843137254901963, 'rgb(240,236,228)'],
        [0.4823529411764706, 'rgb(243,238,231)'],
        [0.48627450980392156, 'rgb(246,239,234)'],
        [0.49019607843137253, 'rgb(249,241,237)'],
        [0.49411764705882355, 'rgb(251,243,240)'],
        [0.4980392156862745, 'rgb(254,245,243)'],
        [0.5019607843137255, 'rgb(253,245,244)'],
        [0.5058823529411764, 'rgb(252,243,240)'],
        [0.5098039215686274, 'rgb(251,240,237)'],
        [0.5137254901960784, 'rgb(250,238,234)'],
        [0.5176470588235295, 'rgb(248,236,230)'],
        [0.5215686274509804, 'rgb(247,233,227)'],
        [0.5254901960784314, 'rgb(246,231,224)'],
        [0.5294117647058824, 'rgb(245,228,220)'],
        [0.5333333333333333, 'rgb(244,226,217)'],
        [0.5372549019607843, 'rgb(243,223,214)'],
        [0.5411764705882353, 'rgb(242,221,210)'],
        [0.5450980392156862, 'rgb(241,218,207)'],
        [0.5490196078431373, 'rgb(240,216,204)'],
        [0.5529411764705883, 'rgb(239,213,200)'],
        [0.5568627450980392, 'rgb(239,211,197)'],
        [0.5607843137254902, 'rgb(238,208,194)'],
        [0.5647058823529412, 'rgb(237,206,190)'],
        [0.5686274509803921, 'rgb(236,203,187)'],
        [0.5725490196078431, 'rgb(235,201,184)'],
        [0.5764705882352941, 'rgb(235,198,181)'],
        [0.5803921568627451, 'rgb(234,196,178)'],
        [0.5843137254901961, 'rgb(233,193,175)'],
        [0.5882352941176471, 'rgb(232,191,171)'],
        [0.592156862745098, 'rgb(232,189,168)'],
        [0.596078431372549, 'rgb(231,186,165)'],
        [0.6, 'rgb(230,184,162)'],
        [0.6039215686274509, 'rgb(230,181,159)'],
        [0.6078431372549019, 'rgb(229,179,156)'],
        [0.611764705882353, 'rgb(228,176,154)'],
        [0.615686274509804, 'rgb(228,174,151)'],
        [0.6196078431372549, 'rgb(227,171,148)'],
        [0.6235294117647059, 'rgb(227,169,145)'],
        [0.6274509803921569, 'rgb(226,166,142)'],
        [0.6313725490196078, 'rgb(225,164,140)'],
        [0.6352941176470588, 'rgb(225,161,137)'],
        [0.6392156862745098, 'rgb(224,158,135)'],
        [0.6431372549019608, 'rgb(223,156,132)'],
        [0.6470588235294118, 'rgb(223,153,130)'],
        [0.6509803921568628, 'rgb(222,151,128)'],
        [0.6549019607843137, 'rgb(221,148,125)'],
        [0.6588235294117647, 'rgb(221,146,123)'],
        [0.6627450980392157, 'rgb(220,143,121)'],
        [0.6666666666666666, 'rgb(219,141,119)'],
        [0.6705882352941176, 'rgb(218,138,117)'],
        [0.6745098039215687, 'rgb(218,136,116)'],
        [0.6784313725490196, 'rgb(217,133,114)'],
        [0.6823529411764706, 'rgb(216,131,112)'],
        [0.6862745098039216, 'rgb(215,128,111)'],
        [0.6901960784313725, 'rgb(214,126,109)'],
        [0.6941176470588235, 'rgb(213,123,108)'],
        [0.6980392156862745, 'rgb(212,121,107)'],
        [0.7019607843137254, 'rgb(211,118,105)'],
        [0.7058823529411765, 'rgb(210,116,104)'],
        [0.7098039215686275, 'rgb(209,114,103)'],
        [0.7137254901960784, 'rgb(208,111,102)'],
        [0.7176470588235294, 'rgb(207,109,102)'],
        [0.7215686274509804, 'rgb(206,106,101)'],
        [0.7254901960784313, 'rgb(204,104,100)'],
        [0.7294117647058823, 'rgb(203,102,100)'],
        [0.7333333333333333, 'rgb(202,99,99)'],
        [0.7372549019607844, 'rgb(200,97,98)'],
        [0.7411764705882353, 'rgb(199,95,98)'],
        [0.7450980392156863, 'rgb(198,93,98)'],
        [0.7490196078431373, 'rgb(196,90,97)'],
        [0.7529411764705882, 'rgb(195,88,97)'],
        [0.7568627450980392, 'rgb(193,86,97)'],
        [0.7607843137254902, 'rgb(192,84,97)'],
        [0.7647058823529411, 'rgb(190,82,96)'],
        [0.7686274509803922, 'rgb(188,80,96)'],
        [0.7725490196078432, 'rgb(187,78,96)'],
        [0.7764705882352941, 'rgb(185,76,96)'],
        [0.7803921568627451, 'rgb(183,74,96)'],
        [0.7843137254901961, 'rgb(181,72,96)'],
        [0.788235294117647, 'rgb(180,70,96)'],
        [0.792156862745098, 'rgb(178,68,96)'],
        [0.796078431372549, 'rgb(176,66,96)'],
        [0.8, 'rgb(174,64,96)'],
        [0.803921568627451, 'rgb(172,62,96)'],
        [0.807843137254902, 'rgb(170,60,96)'],
        [0.8117647058823529, 'rgb(168,58,96)'],
        [0.8156862745098039, 'rgb(166,56,96)'],
        [0.8196078431372549, 'rgb(164,55,96)'],
        [0.8235294117647058, 'rgb(162,53,96)'],
        [0.8274509803921568, 'rgb(160,51,96)'],
        [0.8313725490196079, 'rgb(158,49,96)'],
        [0.8352941176470589, 'rgb(156,48,96)'],
        [0.8392156862745098, 'rgb(154,46,96)'],
        [0.8431372549019608, 'rgb(152,44,97)'],
        [0.8470588235294118, 'rgb(150,43,97)'],
        [0.8509803921568627, 'rgb(148,41,97)'],
        [0.8549019607843137, 'rgb(145,40,96)'],
        [0.8588235294117647, 'rgb(143,38,96)'],
        [0.8627450980392157, 'rgb(141,37,96)'],
        [0.8666666666666667, 'rgb(139,35,96)'],
        [0.8705882352941177, 'rgb(136,34,96)'],
        [0.8745098039215686, 'rgb(134,33,96)'],
        [0.8784313725490196, 'rgb(132,31,96)'],
        [0.8823529411764706, 'rgb(129,30,95)'],
        [0.8862745098039215, 'rgb(127,29,95)'],
        [0.8901960784313725, 'rgb(124,28,95)'],
        [0.8941176470588236, 'rgb(122,27,94)'],
        [0.8980392156862745, 'rgb(119,26,94)'],
        [0.9019607843137255, 'rgb(117,25,93)'],
        [0.9058823529411765, 'rgb(114,24,92)'],
        [0.9098039215686274, 'rgb(112,24,92)'],
        [0.9137254901960784, 'rgb(109,23,91)'],
        [0.9176470588235294, 'rgb(106,22,90)'],
        [0.9215686274509803, 'rgb(104,22,89)'],
        [0.9254901960784314, 'rgb(101,21,88)'],
        [0.9294117647058824, 'rgb(99,21,87)'],
        [0.9333333333333333, 'rgb(96,20,85)'],
        [0.9372549019607843, 'rgb(93,20,84)'],
        [0.9411764705882353, 'rgb(91,20,82)'],
        [0.9450980392156862, 'rgb(88,19,81)'],
        [0.9490196078431372, 'rgb(85,19,79)'],
        [0.9529411764705882, 'rgb(83,19,78)'],
        [0.9568627450980393, 'rgb(80,18,76)'],
        [0.9607843137254902, 'rgb(77,18,74)'],
        [0.9647058823529412, 'rgb(75,18,72)'],
        [0.9686274509803922, 'rgb(72,17,70)'],
        [0.9725490196078431, 'rgb(70,17,68)'],
        [0.9764705882352941, 'rgb(67,16,66)'],
        [0.9803921568627451, 'rgb(64,16,64)'],
        [0.984313725490196, 'rgb(62,15,62)'],
        [0.9882352941176471, 'rgb(59,15,60)'],
        [0.9921568627450981, 'rgb(57,14,58)'],
        [0.996078431372549, 'rgb(54,14,55)'],
        [1.0, 'rgb(52,13,53)'],
    ],
    'cmo.deep': [
        [0.0, 'rgb(253,254,204)'],
        [0.00392156862745098, 'rgb(251,253,203)'],
        [0.00784313725490196, 'rgb(249,252,202)'],
        [0.011764705882352941, 'rgb(247,251,200)'],
        [0.01568627450980392, 'rgb(245,250,199)'],
        [0.0196078431372549, 'rgb(243,250,198)'],
        [0.023529411764705882, 'rgb(241,249,197)'],
        [0.027450980392156862, 'rgb(239,248,196)'],
        [0.03137254901960784, 'rgb(237,247,195)'],
        [0.03529411764705882, 'rgb(235,247,193)'],
        [0.0392156862745098, 'rgb(233,246,192)'],
        [0.043137254901960784, 'rgb(231,245,191)'],
        [0.047058823529411764, 'rgb(229,244,190)'],
        [0.050980392156862744, 'rgb(227,244,189)'],
        [0.054901960784313725, 'rgb(225,243,188)'],
        [0.058823529411764705, 'rgb(223,242,187)'],
        [0.06274509803921569, 'rgb(221,242,186)'],
        [0.06666666666666667, 'rgb(219,241,185)'],
        [0.07058823529411765, 'rgb(217,240,184)'],
        [0.07450980392156863, 'rgb(215,239,183)'],
        [0.0784313725490196, 'rgb(212,239,182)'],
        [0.08235294117647059, 'rgb(210,238,181)'],
        [0.08627450980392157, 'rgb(208,237,180)'],
        [0.09019607843137255, 'rgb(206,236,179)'],
        [0.09411764705882353, 'rgb(204,236,179)'],
        [0.09803921568627451, 'rgb(202,235,178)'],
        [0.10196078431372549, 'rgb(200,234,177)'],
        [0.10588235294117647, 'rgb(198,234,176)'],
        [0.10980392156862745, 'rgb(196,233,175)'],
        [0.11372549019607843, 'rgb(193,232,175)'],
        [0.11764705882352941, 'rgb(191,231,174)'],
        [0.12156862745098039, 'rgb(189,231,173)'],
        [0.12549019607843137, 'rgb(187,230,172)'],
        [0.12941176470588237, 'rgb(185,229,172)'],
        [0.13333333333333333, 'rgb(183,229,171)'],
        [0.13725490196078433, 'rgb(181,228,170)'],
        [0.1411764705882353, 'rgb(178,227,170)'],
        [0.1450980392156863, 'rgb(176,226,169)'],
        [0.14901960784313725, 'rgb(174,226,169)'],
        [0.15294117647058825, 'rgb(172,225,168)'],
        [0.1568627450980392, 'rgb(170,224,168)'],
        [0.1607843137254902, 'rgb(167,224,167)'],
        [0.16470588235294117, 'rgb(165,223,167)'],
        [0.16862745098039217, 'rgb(163,222,166)'],
        [0.17254901960784313, 'rgb(161,221,166)'],
        [0.17647058823529413, 'rgb(159,221,165)'],
        [0.1803921568627451, 'rgb(156,220,165)'],
        [0.1843137254901961, 'rgb(154,219,165)'],
        [0.18823529411764706, 'rgb(152,218,164)'],
        [0.19215686274509805, 'rgb(150,218,164)'],
        [0.19607843137254902, 'rgb(148,217,164)'],
        [0.2, 'rgb(146,216,164)'],
        [0.20392156862745098, 'rgb(144,215,164)'],
        [0.20784313725490197, 'rgb(141,215,163)'],
        [0.21176470588235294, 'rgb(139,214,163)'],
        [0.21568627450980393, 'rgb(137,213,163)'],
        [0.2196078431372549, 'rgb(135,212,163)'],
        [0.2235294117647059, 'rgb(133,211,163)'],
        [0.22745098039215686, 'rgb(131,211,163)'],
        [0.23137254901960785, 'rgb(129,210,163)'],
        [0.23529411764705882, 'rgb(127,209,163)'],
        [0.23921568627450981, 'rgb(125,208,163)'],
        [0.24313725490196078, 'rgb(124,207,163)'],
        [0.24705882352941178, 'rgb(122,206,163)'],
        [0.25098039215686274, 'rgb(120,206,163)'],
        [0.2549019607843137, 'rgb(118,205,163)'],
        [0.25882352941176473, 'rgb(117,204,163)'],
        [0.2627450980392157, 'rgb(115,203,163)'],
        [0.26666666666666666, 'rgb(113,202,163)'],
        [0.27058823529411763, 'rgb(112,201,163)'],
        [0.27450980392156865, 'rgb(110,200,163)'],
        [0.2784313725490196, 'rgb(109,199,163)'],
        [0.2823529411764706, 'rgb(107,198,163)'],
        [0.28627450980392155, 'rgb(106,197,164)'],
        [0.2901960784313726, 'rgb(105,196,164)'],
        [0.29411764705882354, 'rgb(103,195,164)'],
        [0.2980392156862745, 'rgb(102,194,164)'],
        [0.30196078431372547, 'rgb(101,194,164)'],
        [0.3058823529411765, 'rgb(100,193,164)'],
        [0.30980392156862746, 'rgb(99,192,164)'],
        [0.3137254901960784, 'rgb(98,191,164)'],
        [0.3176470588235294, 'rgb(97,190,164)'],
        [0.3215686274509804, 'rgb(96,189,164)'],
        [0.3254901960784314, 'rgb(95,188,164)'],
        [0.32941176470588235, 'rgb(94,187,164)'],
        [0.3333333333333333, 'rgb(93,186,164)'],
        [0.33725490196078434, 'rgb(92,185,164)'],
        [0.3411764705882353, 'rgb(91,184,164)'],
        [0.34509803921568627, 'rgb(90,183,164)'],
        [0.34901960784313724, 'rgb(90,182,164)'],
        [0.35294117647058826, 'rgb(89,180,164)'],
        [0.3568627450980392, 'rgb(88,179,164)'],
        [0.3607843137254902, 'rgb(88,178,164)'],
        [0.36470588235294116, 'rgb(87,177,164)'],
        [0.3686274509803922, 'rgb(86,176,164)'],
        [0.37254901960784315, 'rgb(86,175,164)'],
        [0.3764705882352941, 'rgb(85,174,163)'],
        [0.3803921568627451, 'rgb(85,173,163)'],
        [0.3843137254901961, 'rgb(84,172,163)'],
        [0.38823529411764707, 'rgb(83,171,163)'],
        [0.39215686274509803, 'rgb(83,170,163)'],
        [0.396078431372549, 'rgb(82,169,163)'],
        [0.4, 'rgb(82,168,163)'],
        [0.403921568627451, 'rgb(81,167,163)'],
        [0.40784313725490196, 'rgb(81,166,162)'],
        [0.4117647058823529, 'rgb(81,165,162)'],
        [0.41568627450980394, 'rgb(80,164,162)'],
        [0.4196078431372549, 'rgb(80,163,162)'],
        [0.4235294117647059, 'rgb(79,162,162)'],
        [0.42745098039215684, 'rgb(79,161,162)'],
        [0.43137254901960786, 'rgb(79,160,162)'],
        [0.43529411764705883, 'rgb(78,159,161)'],
        [0.4392156862745098, 'rgb(78,158,161)'],
        [0.44313725490196076, 'rgb(77,157,161)'],
        [0.4470588235294118, 'rgb(77,156,161)'],
        [0.45098039215686275, 'rgb(77,155,161)'],
        [0.4549019607843137, 'rgb(76,154,160)'],
        [0.4588235294117647, 'rgb(76,153,160)'],
        [0.4627450980392157, 'rgb(75,152,160)'],
        [0.4666666666666667, 'rgb(75,151,160)'],
        [0.47058823529411764, 'rgb(75,150,160)'],
        [0.4745098039215686, 'rgb(74,149,159)'],
        [0.47843137254901963, 'rgb(74,148,159)'],
        [0.4823529411764706, 'rgb(74,147,159)'],
        [0.48627450980392156, 'rgb(73,146,159)'],
        [0.49019607843137253, 'rgb(73,145,158)'],
        [0.49411764705882355, 'rgb(73,144,158)'],
        [0.4980392156862745, 'rgb(72,143,158)'],
        [0.5019607843137255, 'rgb(72,142,158)'],
        [0.5058823529411764, 'rgb(72,141,157)'],
        [0.5098039215686274, 'rgb(71,140,157)'],
        [0.5137254901960784, 'rgb(71,139,157)'],
        [0.5176470588235295, 'rgb(71,138,157)'],
        [0.5215686274509804, 'rgb(70,137,157)'],
        [0.5254901960784314, 'rgb(70,136,156)'],
        [0.5294117647058824, 'rgb(70,135,156)'],
        [0.5333333333333333, 'rgb(69,134,156)'],
        [0.5372549019607843, 'rgb(69,133,156)'],
        [0.5411764705882353, 'rgb(69,132,155)'],
        [0.5450980392156862, 'rgb(68,131,155)'],
        [0.5490196078431373, 'rgb(68,130,155)'],
        [0.5529411764705883, 'rgb(68,129,155)'],
        [0.5568627450980392, 'rgb(68,128,155)'],
        [0.5607843137254902, 'rgb(67,127,154)'],
        [0.5647058823529412, 'rgb(67,126,154)'],
        [0.5686274509803921, 'rgb(67,125,154)'],
        [0.5725490196078431, 'rgb(66,124,154)'],
        [0.5764705882352941, 'rgb(66,123,153)'],
        [0.5803921568627451, 'rgb(66,122,153)'],
        [0.5843137254901961, 'rgb(66,121,153)'],
        [0.5882352941176471, 'rgb(65,120,153)'],
        [0.592156862745098, 'rgb(65,119,153)'],
        [0.596078431372549, 'rgb(65,118,152)'],
        [0.6, 'rgb(64,117,152)'],
        [0.6039215686274509, 'rgb(64,116,152)'],
        [0.6078431372549019, 'rgb(64,115,152)'],
        [0.611764705882353, 'rgb(64,114,152)'],
        [0.615686274509804, 'rgb(64,113,151)'],
        [0.6196078431372549, 'rgb(63,112,151)'],
        [0.6235294117647059, 'rgb(63,111,151)'],
        [0.6274509803921569, 'rgb(63,110,151)'],
        [0.6313725490196078, 'rgb(63,109,151)'],
        [0.6352941176470588, 'rgb(63,108,150)'],
        [0.6392156862745098, 'rgb(62,107,150)'],
        [0.6431372549019608, 'rgb(62,106,150)'],
        [0.6470588235294118, 'rgb(62,105,150)'],
        [0.6509803921568628, 'rgb(62,104,150)'],
        [0.6549019607843137, 'rgb(62,103,149)'],
        [0.6588235294117647, 'rgb(62,102,149)'],
        [0.6627450980392157, 'rgb(62,101,149)'],
        [0.6666666666666666, 'rgb(62,100,149)'],
        [0.6705882352941176, 'rgb(62,99,148)'],
        [0.6745098039215687, 'rgb(62,98,148)'],
        [0.6784313725490196, 'rgb(62,97,148)'],
        [0.6823529411764706, 'rgb(62,96,148)'],
        [0.6862745098039216, 'rgb(62,95,147)'],
        [0.6901960784313725, 'rgb(62,94,147)'],
        [0.6941176470588235, 'rgb(62,92,147)'],
        [0.6980392156862745, 'rgb(62,91,147)'],
        [0.7019607843137254, 'rgb(62,90,146)'],
        [0.7058823529411765, 'rgb(62,89,146)'],
        [0.7098039215686275, 'rgb(62,88,146)'],
        [0.7137254901960784, 'rgb(62,87,145)'],
        [0.7176470588235294, 'rgb(62,86,145)'],
        [0.7215686274509804, 'rgb(63,85,144)'],
        [0.7254901960784313, 'rgb(63,84,144)'],
        [0.7294117647058823, 'rgb(63,83,143)'],
        [0.7333333333333333, 'rgb(63,82,143)'],
        [0.7372549019607844, 'rgb(63,80,142)'],
        [0.7411764705882353, 'rgb(64,79,141)'],
        [0.7450980392156863, 'rgb(64,78,141)'],
        [0.7490196078431373, 'rgb(64,77,140)'],
        [0.7529411764705882, 'rgb(64,76,139)'],
        [0.7568627450980392, 'rgb(65,75,138)'],
        [0.7607843137254902, 'rgb(65,74,137)'],
        [0.7647058823529411, 'rgb(65,73,136)'],
        [0.7686274509803922, 'rgb(65,72,135)'],
        [0.7725490196078432, 'rgb(65,71,133)'],
        [0.7764705882352941, 'rgb(65,70,132)'],
        [0.7803921568627451, 'rgb(65,69,131)'],
        [0.7843137254901961, 'rgb(65,68,129)'],
        [0.788235294117647, 'rgb(66,67,128)'],
        [0.792156862745098, 'rgb(65,66,126)'],
        [0.796078431372549, 'rgb(65,65,125)'],
        [0.8, 'rgb(65,64,123)'],
        [0.803921568627451, 'rgb(65,64,122)'],
        [0.807843137254902, 'rgb(65,63,120)'],
        [0.8117647058823529, 'rgb(65,62,118)'],
        [0.8156862745098039, 'rgb(65,61,117)'],
        [0.8196078431372549, 'rgb(64,60,115)'],
        [0.8235294117647058, 'rgb(64,60,113)'],
        [0.8274509803921568, 'rgb(64,59,112)'],
        [0.8313725490196079, 'rgb(64,58,110)'],
        [0.8352941176470589, 'rgb(63,57,108)'],
        [0.8392156862745098, 'rgb(63,56,107)'],
        [0.8431372549019608, 'rgb(63,56,105)'],
        [0.8470588235294118, 'rgb(62,55,103)'],
        [0.8509803921568627, 'rgb(62,54,102)'],
        [0.8549019607843137, 'rgb(61,53,100)'],
        [0.8588235294117647, 'rgb(61,53,98)'],
        [0.8627450980392157, 'rgb(61,52,97)'],
        [0.8666666666666667, 'rgb(60,51,95)'],
        [0.8705882352941177, 'rgb(60,50,93)'],
        [0.8745098039215686, 'rgb(59,50,92)'],
        [0.8784313725490196, 'rgb(59,49,90)'],
        [0.8823529411764706, 'rgb(58,48,88)'],
        [0.8862745098039215, 'rgb(58,48,87)'],
        [0.8901960784313725, 'rgb(57,47,85)'],
        [0.8941176470588236, 'rgb(57,46,84)'],
        [0.8980392156862745, 'rgb(56,45,82)'],
        [0.9019607843137255, 'rgb(56,45,81)'],
        [0.9058823529411765, 'rgb(55,44,79)'],
        [0.9098039215686274, 'rgb(54,43,77)'],
        [0.9137254901960784, 'rgb(54,42,76)'],
        [0.9176470588235294, 'rgb(53,42,74)'],
        [0.9215686274509803, 'rgb(53,41,73)'],
        [0.9254901960784314, 'rgb(52,40,71)'],
        [0.9294117647058824, 'rgb(52,40,70)'],
        [0.9333333333333333, 'rgb(51,39,68)'],
        [0.9372549019607843, 'rgb(50,38,67)'],
        [0.9411764705882353, 'rgb(50,37,65)'],
        [0.9450980392156862, 'rgb(49,37,64)'],
        [0.9490196078431372, 'rgb(48,36,62)'],
        [0.9529411764705882, 'rgb(48,35,61)'],
        [0.9568627450980393, 'rgb(47,34,59)'],
        [0.9607843137254902, 'rgb(47,34,58)'],
        [0.9647058823529412, 'rgb(46,33,57)'],
        [0.9686274509803922, 'rgb(45,32,55)'],
        [0.9725490196078431, 'rgb(45,31,54)'],
        [0.9764705882352941, 'rgb(44,31,52)'],
        [0.9803921568627451, 'rgb(43,30,51)'],
        [0.984313725490196, 'rgb(43,29,50)'],
        [0.9882352941176471, 'rgb(42,28,48)'],
        [0.9921568627450981, 'rgb(41,28,47)'],
        [0.996078431372549, 'rgb(40,27,45)'],
        [1.0, 'rgb(40,26,44)'],
    ],
    'cmo.delta': [
        [0.0, 'rgb(17,32,64)'],
        [0.00392156862745098, 'rgb(18,33,67)'],
        [0.00784313725490196, 'rgb(20,34,70)'],
        [0.011764705882352941, 'rgb(21,36,73)'],
        [0.01568627450980392, 'rgb(22,37,76)'],
        [0.0196078431372549, 'rgb(23,39,80)'],
        [0.023529411764705882, 'rgb(25,40,83)'],
        [0.027450980392156862, 'rgb(26,41,86)'],
        [0.03137254901960784, 'rgb(27,42,90)'],
        [0.03529411764705882, 'rgb(28,44,93)'],
        [0.0392156862745098, 'rgb(30,45,96)'],
        [0.043137254901960784, 'rgb(31,46,100)'],
        [0.047058823529411764, 'rgb(32,48,103)'],
        [0.050980392156862744, 'rgb(33,49,107)'],
        [0.054901960784313725, 'rgb(34,50,111)'],
        [0.058823529411764705, 'rgb(35,51,114)'],
        [0.06274509803921569, 'rgb(36,53,118)'],
        [0.06666666666666667, 'rgb(37,54,122)'],
        [0.07058823529411765, 'rgb(37,55,126)'],
        [0.07450980392156863, 'rgb(38,56,130)'],
        [0.0784313725490196, 'rgb(38,58,134)'],
        [0.08235294117647059, 'rgb(39,59,138)'],
        [0.08627450980392157, 'rgb(39,61,141)'],
        [0.09019607843137255, 'rgb(38,62,145)'],
        [0.09411764705882353, 'rgb(37,64,148)'],
        [0.09803921568627451, 'rgb(36,66,151)'],
        [0.10196078431372549, 'rgb(35,68,152)'],
        [0.10588235294117647, 'rgb(33,71,154)'],
        [0.10980392156862745, 'rgb(32,73,155)'],
        [0.11372549019607843, 'rgb(31,75,155)'],
        [0.11764705882352941, 'rgb(30,77,156)'],
        [0.12156862745098039, 'rgb(29,80,156)'],
        [0.12549019607843137, 'rgb(28,82,157)'],
        [0.12941176470588237, 'rgb(28,84,157)'],
        [0.13333333333333333, 'rgb(27,86,157)'],
        [0.13725490196078433, 'rgb(27,88,158)'],
        [0.1411764705882353, 'rgb(27,90,158)'],
        [0.1450980392156863, 'rgb(27,92,158)'],
        [0.14901960784313725, 'rgb(27,94,159)'],
        [0.15294117647058825, 'rgb(27,96,159)'],
        [0.1568627450980392, 'rgb(27,99,159)'],
        [0.1607843137254902, 'rgb(27,101,159)'],
        [0.16470588235294117, 'rgb(28,103,160)'],
        [0.16862745098039217, 'rgb(28,105,160)'],
        [0.17254901960784313, 'rgb(29,106,160)'],
        [0.17647058823529413, 'rgb(30,108,161)'],
        [0.1803921568627451, 'rgb(30,110,161)'],
        [0.1843137254901961, 'rgb(31,112,162)'],
        [0.18823529411764706, 'rgb(32,114,162)'],
        [0.19215686274509805, 'rgb(33,116,162)'],
        [0.19607843137254902, 'rgb(34,118,163)'],
        [0.2, 'rgb(35,120,163)'],
        [0.20392156862745098, 'rgb(36,122,164)'],
        [0.20784313725490197, 'rgb(37,124,164)'],
        [0.21176470588235294, 'rgb(38,126,165)'],
        [0.21568627450980393, 'rgb(39,128,165)'],
        [0.2196078431372549, 'rgb(40,130,166)'],
        [0.2235294117647059, 'rgb(42,132,166)'],
        [0.22745098039215686, 'rgb(43,133,166)'],
        [0.23137254901960785, 'rgb(44,135,167)'],
        [0.23529411764705882, 'rgb(46,137,167)'],
        [0.23921568627450981, 'rgb(47,139,168)'],
        [0.24313725490196078, 'rgb(48,141,168)'],
        [0.24705882352941178, 'rgb(50,143,169)'],
        [0.25098039215686274, 'rgb(51,145,169)'],
        [0.2549019607843137, 'rgb(53,147,170)'],
        [0.25882352941176473, 'rgb(55,149,170)'],
        [0.2627450980392157, 'rgb(56,151,171)'],
        [0.26666666666666666, 'rgb(58,152,171)'],
        [0.27058823529411763, 'rgb(60,154,172)'],
        [0.27450980392156865, 'rgb(62,156,172)'],
        [0.2784313725490196, 'rgb(64,158,173)'],
        [0.2823529411764706, 'rgb(66,160,173)'],
        [0.28627450980392155, 'rgb(69,162,174)'],
        [0.2901960784313726, 'rgb(71,163,174)'],
        [0.29411764705882354, 'rgb(74,165,174)'],
        [0.2980392156862745, 'rgb(77,167,175)'],
        [0.30196078431372547, 'rgb(80,169,175)'],
        [0.3058823529411765, 'rgb(83,170,176)'],
        [0.30980392156862746, 'rgb(86,172,176)'],
        [0.3137254901960784, 'rgb(90,174,176)'],
        [0.3176470588235294, 'rgb(93,175,177)'],
        [0.3215686274509804, 'rgb(97,177,177)'],
        [0.3254901960784314, 'rgb(101,179,178)'],
        [0.32941176470588235, 'rgb(105,180,179)'],
        [0.3333333333333333, 'rgb(109,182,179)'],
        [0.33725490196078434, 'rgb(113,183,180)'],
        [0.3411764705882353, 'rgb(117,184,181)'],
        [0.34509803921568627, 'rgb(121,186,181)'],
        [0.34901960784313724, 'rgb(125,187,182)'],
        [0.35294117647058826, 'rgb(129,189,183)'],
        [0.3568627450980392, 'rgb(132,190,184)'],
        [0.3607843137254902, 'rgb(136,192,185)'],
        [0.36470588235294116, 'rgb(140,193,186)'],
        [0.3686274509803922, 'rgb(144,195,188)'],
        [0.37254901960784315, 'rgb(148,196,189)'],
        [0.3764705882352941, 'rgb(151,197,190)'],
        [0.3803921568627451, 'rgb(155,199,191)'],
        [0.3843137254901961, 'rgb(158,200,193)'],
        [0.38823529411764707, 'rgb(162,202,194)'],
        [0.39215686274509803, 'rgb(166,203,195)'],
        [0.396078431372549, 'rgb(169,205,196)'],
        [0.4, 'rgb(172,206,198)'],
        [0.403921568627451, 'rgb(176,208,199)'],
        [0.40784313725490196, 'rgb(179,210,201)'],
        [0.4117647058823529, 'rgb(183,211,202)'],
        [0.41568627450980394, 'rgb(186,213,204)'],
        [0.4196078431372549, 'rgb(189,214,205)'],
        [0.4235294117647059, 'rgb(193,216,206)'],
        [0.42745098039215684, 'rgb(196,218,208)'],
        [0.43137254901960786, 'rgb(199,219,209)'],
        [0.43529411764705883, 'rgb(202,221,211)'],
        [0.4392156862745098, 'rgb(205,223,212)'],
        [0.44313725490196076, 'rgb(209,224,214)'],
        [0.4470588235294118, 'rgb(212,226,215)'],
        [0.45098039215686275, 'rgb(215,228,217)'],
        [0.4549019607843137, 'rgb(218,230,218)'],
        [0.4588235294117647, 'rgb(221,231,219)'],
        [0.4627450980392157, 'rgb(224,233,221)'],
        [0.4666666666666667, 'rgb(227,235,222)'],
        [0.47058823529411764, 'rgb(230,237,223)'],
        [0.4745098039215686, 'rgb(234,239,224)'],
        [0.47843137254901963, 'rgb(237,241,226)'],
        [0.4823529411764706, 'rgb(240,243,227)'],
        [0.48627450980392156, 'rgb(243,245,227)'],
        [0.49019607843137253, 'rgb(246,247,228)'],
        [0.49411764705882355, 'rgb(250,248,229)'],
        [0.4980392156862745, 'rgb(253,250,230)'],
        [0.5019607843137255, 'rgb(255,252,204)'],
        [0.5058823529411764, 'rgb(253,250,200)'],
        [0.5098039215686274, 'rgb(252,247,196)'],
        [0.5137254901960784, 'rgb(250,245,191)'],
        [0.5176470588235295, 'rgb(249,243,187)'],
        [0.5215686274509804, 'rgb(248,240,183)'],
        [0.5254901960784314, 'rgb(246,238,178)'],
        [0.5294117647058824, 'rgb(245,235,174)'],
        [0.5333333333333333, 'rgb(244,233,170)'],
        [0.5372549019607843, 'rgb(242,231,166)'],
        [0.5411764705882353, 'rgb(241,228,161)'],
        [0.5450980392156862, 'rgb(240,226,157)'],
        [0.5490196078431373, 'rgb(238,224,153)'],
        [0.5529411764705883, 'rgb(237,222,148)'],
        [0.5568627450980392, 'rgb(235,220,144)'],
        [0.5607843137254902, 'rgb(234,217,140)'],
        [0.5647058823529412, 'rgb(232,215,135)'],
        [0.5686274509803921, 'rgb(231,213,131)'],
        [0.5725490196078431, 'rgb(229,211,127)'],
        [0.5764705882352941, 'rgb(228,209,122)'],
        [0.5803921568627451, 'rgb(226,207,118)'],
        [0.5843137254901961, 'rgb(224,205,113)'],
        [0.5882352941176471, 'rgb(223,203,109)'],
        [0.592156862745098, 'rgb(221,201,105)'],
        [0.596078431372549, 'rgb(219,199,100)'],
        [0.6, 'rgb(217,197,96)'],
        [0.6039215686274509, 'rgb(215,196,92)'],
        [0.6078431372549019, 'rgb(213,194,88)'],
        [0.611764705882353, 'rgb(210,192,83)'],
        [0.615686274509804, 'rgb(208,190,79)'],
        [0.6196078431372549, 'rgb(206,189,75)'],
        [0.6235294117647059, 'rgb(203,187,71)'],
        [0.6274509803921569, 'rgb(200,186,67)'],
        [0.6313725490196078, 'rgb(198,184,63)'],
        [0.6352941176470588, 'rgb(195,183,60)'],
        [0.6392156862745098, 'rgb(192,181,56)'],
        [0.6431372549019608, 'rgb(189,180,52)'],
        [0.6470588235294118, 'rgb(186,179,49)'],
        [0.6509803921568628, 'rgb(183,177,46)'],
        [0.6549019607843137, 'rgb(180,176,42)'],
        [0.6588235294117647, 'rgb(177,175,39)'],
        [0.6627450980392157, 'rgb(174,173,36)'],
        [0.6666666666666666, 'rgb(171,172,33)'],
        [0.6705882352941176, 'rgb(168,171,30)'],
        [0.6745098039215687, 'rgb(164,170,27)'],
        [0.6784313725490196, 'rgb(161,168,24)'],
        [0.6823529411764706, 'rgb(158,167,22)'],
        [0.6862745098039216, 'rgb(154,166,19)'],
        [0.6901960784313725, 'rgb(151,165,17)'],
        [0.6941176470588235, 'rgb(147,164,14)'],
        [0.6980392156862745, 'rgb(144,162,12)'],
        [0.7019607843137254, 'rgb(140,161,10)'],
        [0.7058823529411765, 'rgb(137,160,9)'],
        [0.7098039215686275, 'rgb(133,159,7)'],
        [0.7137254901960784, 'rgb(130,158,6)'],
        [0.7176470588235294, 'rgb(126,156,6)'],
        [0.7215686274509804, 'rgb(123,155,6)'],
        [0.7254901960784313, 'rgb(119,154,6)'],
        [0.7294117647058823, 'rgb(116,153,6)'],
        [0.7333333333333333, 'rgb(112,152,7)'],
        [0.7372549019607844, 'rgb(108,150,7)'],
        [0.7411764705882353, 'rgb(105,149,8)'],
        [0.7450980392156863, 'rgb(101,148,10)'],
        [0.7490196078431373, 'rgb(97,146,11)'],
        [0.7529411764705882, 'rgb(94,145,13)'],
        [0.7568627450980392, 'rgb(90,144,14)'],
        [0.7607843137254902, 'rgb(87,143,16)'],
        [0.7647058823529411, 'rgb(83,141,17)'],
        [0.7686274509803922, 'rgb(79,140,19)'],
        [0.7725490196078432, 'rgb(76,139,21)'],
        [0.7764705882352941, 'rgb(72,137,22)'],
        [0.7803921568627451, 'rgb(68,136,24)'],
        [0.7843137254901961, 'rgb(65,134,25)'],
        [0.788235294117647, 'rgb(61,133,27)'],
        [0.792156862745098, 'rgb(58,131,28)'],
        [0.796078431372549, 'rgb(54,130,29)'],
        [0.8, 'rgb(51,128,31)'],
        [0.803921568627451, 'rgb(47,127,32)'],
        [0.807843137254902, 'rgb(44,125,33)'],
        [0.8117647058823529, 'rgb(41,124,34)'],
        [0.8156862745098039, 'rgb(38,122,36)'],
        [0.8196078431372549, 'rgb(34,121,37)'],
        [0.8235294117647058, 'rgb(31,119,38)'],
        [0.8274509803921568, 'rgb(29,117,39)'],
        [0.8313725490196079, 'rgb(26,116,39)'],
        [0.8352941176470589, 'rgb(23,114,40)'],
        [0.8392156862745098, 'rgb(21,112,41)'],
        [0.8431372549019608, 'rgb(19,110,42)'],
        [0.8470588235294118, 'rgb(17,109,42)'],
        [0.8509803921568627, 'rgb(15,107,43)'],
        [0.8549019607843137, 'rgb(13,105,43)'],
        [0.8588235294117647, 'rgb(12,103,44)'],
        [0.8627450980392157, 'rgb(11,101,44)'],
        [0.8666666666666667, 'rgb(11,100,44)'],
        [0.8705882352941177, 'rgb(11,98,45)'],
        [0.8745098039215686, 'rgb(11,96,45)'],
        [0.8784313725490196, 'rgb(11,94,45)'],
        [0.8823529411764706, 'rgb(12,92,45)'],
        [0.8862745098039215, 'rgb(13,90,45)'],
        [0.8901960784313725, 'rgb(14,88,45)'],
        [0.8941176470588236, 'rgb(15,86,44)'],
        [0.8980392156862745, 'rgb(15,85,44)'],
        [0.9019607843137255, 'rgb(16,83,44)'],
        [0.9058823529411765, 'rgb(17,81,44)'],
        [0.9098039215686274, 'rgb(18,79,43)'],
        [0.9137254901960784, 'rgb(19,77,43)'],
        [0.9176470588235294, 'rgb(20,75,42)'],
        [0.9215686274509803, 'rgb(21,73,42)'],
        [0.9254901960784314, 'rgb(22,71,41)'],
        [0.9294117647058824, 'rgb(22,69,40)'],
        [0.9333333333333333, 'rgb(23,67,39)'],
        [0.9372549019607843, 'rgb(23,65,39)'],
        [0.9411764705882353, 'rgb(24,64,38)'],
        [0.9450980392156862, 'rgb(24,62,37)'],
        [0.9490196078431372, 'rgb(25,60,36)'],
        [0.9529411764705882, 'rgb(25,58,35)'],
        [0.9568627450980393, 'rgb(25,56,34)'],
        [0.9607843137254902, 'rgb(25,54,33)'],
        [0.9647058823529412, 'rgb(25,52,31)'],
        [0.9686274509803922, 'rgb(25,50,30)'],
        [0.9725490196078431, 'rgb(25,48,29)'],
        [0.9764705882352941, 'rgb(25,46,28)'],
        [0.9803921568627451, 'rgb(25,44,26)'],
        [0.984313725490196, 'rgb(25,43,25)'],
        [0.9882352941176471, 'rgb(24,41,23)'],
        [0.9921568627450981, 'rgb(24,39,22)'],
        [0.996078431372549, 'rgb(24,37,20)'],
        [1.0, 'rgb(23,35,19)'],
    ],
    'cmo.dense': [
        [0.0, 'rgb(230,241,241)'],
        [0.00392156862745098, 'rgb(228,240,240)'],
        [0.00784313725490196, 'rgb(227,239,239)'],
        [0.011764705882352941, 'rgb(225,238,239)'],
        [0.01568627450980392, 'rgb(223,237,238)'],
        [0.0196078431372549, 'rgb(221,237,237)'],
        [0.023529411764705882, 'rgb(220,236,237)'],
        [0.027450980392156862, 'rgb(218,235,236)'],
        [0.03137254901960784, 'rgb(216,234,236)'],
        [0.03529411764705882, 'rgb(215,233,235)'],
        [0.0392156862745098, 'rgb(213,233,235)'],
        [0.043137254901960784, 'rgb(211,232,234)'],
        [0.047058823529411764, 'rgb(209,231,234)'],
        [0.050980392156862744, 'rgb(208,230,233)'],
        [0.054901960784313725, 'rgb(206,229,233)'],
        [0.058823529411764705, 'rgb(204,228,232)'],
        [0.06274509803921569, 'rgb(203,228,232)'],
        [0.06666666666666667, 'rgb(201,227,232)'],
        [0.07058823529411765, 'rgb(199,226,231)'],
        [0.07450980392156863, 'rgb(198,225,231)'],
        [0.0784313725490196, 'rgb(196,224,230)'],
        [0.08235294117647059, 'rgb(194,223,230)'],
        [0.08627450980392157, 'rgb(193,223,230)'],
        [0.09019607843137255, 'rgb(191,222,230)'],
        [0.09411764705882353, 'rgb(190,221,229)'],
        [0.09803921568627451, 'rgb(188,220,229)'],
        [0.10196078431372549, 'rgb(186,219,229)'],
        [0.10588235294117647, 'rgb(185,218,228)'],
        [0.10980392156862745, 'rgb(183,218,228)'],
        [0.11372549019607843, 'rgb(182,217,228)'],
        [0.11764705882352941, 'rgb(180,216,228)'],
        [0.12156862745098039, 'rgb(178,215,228)'],
        [0.12549019607843137, 'rgb(177,214,227)'],
        [0.12941176470588237, 'rgb(175,213,227)'],
        [0.13333333333333333, 'rgb(174,212,227)'],
        [0.13725490196078433, 'rgb(172,212,227)'],
        [0.1411764705882353, 'rgb(171,211,227)'],
        [0.1450980392156863, 'rgb(169,210,227)'],
        [0.14901960784313725, 'rgb(168,209,227)'],
        [0.15294117647058825, 'rgb(166,208,227)'],
        [0.1568627450980392, 'rgb(165,207,226)'],
        [0.1607843137254902, 'rgb(163,206,226)'],
        [0.16470588235294117, 'rgb(162,206,226)'],
        [0.16862745098039217, 'rgb(160,205,226)'],
        [0.17254901960784313, 'rgb(159,204,226)'],
        [0.17647058823529413, 'rgb(158,203,226)'],
        [0.1803921568627451, 'rgb(156,202,226)'],
        [0.1843137254901961, 'rgb(155,201,226)'],
        [0.18823529411764706, 'rgb(154,200,226)'],
        [0.19215686274509805, 'rgb(152,199,226)'],
        [0.19607843137254902, 'rgb(151,198,226)'],
        [0.2, 'rgb(150,197,226)'],
        [0.20392156862745098, 'rgb(148,197,226)'],
        [0.20784313725490197, 'rgb(147,196,226)'],
        [0.21176470588235294, 'rgb(146,195,226)'],
        [0.21568627450980393, 'rgb(144,194,226)'],
        [0.2196078431372549, 'rgb(143,193,226)'],
        [0.2235294117647059, 'rgb(142,192,226)'],
        [0.22745098039215686, 'rgb(141,191,226)'],
        [0.23137254901960785, 'rgb(140,190,226)'],
        [0.23529411764705882, 'rgb(138,189,227)'],
        [0.23921568627450981, 'rgb(137,188,227)'],
        [0.24313725490196078, 'rgb(136,187,227)'],
        [0.24705882352941178, 'rgb(135,186,227)'],
        [0.25098039215686274, 'rgb(134,185,227)'],
        [0.2549019607843137, 'rgb(133,184,227)'],
        [0.25882352941176473, 'rgb(132,183,227)'],
        [0.2627450980392157, 'rgb(131,182,227)'],
        [0.26666666666666666, 'rgb(130,181,227)'],
        [0.27058823529411763, 'rgb(129,180,227)'],
        [0.27450980392156865, 'rgb(128,179,227)'],
        [0.2784313725490196, 'rgb(127,178,227)'],
        [0.2823529411764706, 'rgb(127,177,228)'],
        [0.28627450980392155, 'rgb(126,176,228)'],
        [0.2901960784313726, 'rgb(125,175,228)'],
        [0.29411764705882354, 'rgb(124,174,228)'],
        [0.2980392156862745, 'rgb(123,173,228)'],
        [0.30196078431372547, 'rgb(123,172,228)'],
        [0.3058823529411765, 'rgb(122,171,228)'],
        [0.30980392156862746, 'rgb(121,170,228)'],
        [0.3137254901960784, 'rgb(121,169,228)'],
        [0.3176470588235294, 'rgb(120,168,228)'],
        [0.3215686274509804, 'rgb(120,167,228)'],
        [0.3254901960784314, 'rgb(119,166,228)'],
        [0.32941176470588235, 'rgb(119,165,228)'],
        [0.3333333333333333, 'rgb(118,164,229)'],
        [0.33725490196078434, 'rgb(118,163,229)'],
        [0.3411764705882353, 'rgb(117,161,229)'],
        [0.34509803921568627, 'rgb(117,160,229)'],
        [0.34901960784313724, 'rgb(117,159,229)'],
        [0.35294117647058826, 'rgb(117,158,229)'],
        [0.3568627450980392, 'rgb(116,157,229)'],
        [0.3607843137254902, 'rgb(116,156,228)'],
        [0.36470588235294116, 'rgb(116,155,228)'],
        [0.3686274509803922, 'rgb(116,154,228)'],
        [0.37254901960784315, 'rgb(116,152,228)'],
        [0.3764705882352941, 'rgb(115,151,228)'],
        [0.3803921568627451, 'rgb(115,150,228)'],
        [0.3843137254901961, 'rgb(115,149,228)'],
        [0.38823529411764707, 'rgb(115,148,228)'],
        [0.39215686274509803, 'rgb(115,147,227)'],
        [0.396078431372549, 'rgb(115,145,227)'],
        [0.4, 'rgb(115,144,227)'],
        [0.403921568627451, 'rgb(115,143,227)'],
        [0.40784313725490196, 'rgb(115,142,226)'],
        [0.4117647058823529, 'rgb(116,141,226)'],
        [0.41568627450980394, 'rgb(116,139,226)'],
        [0.4196078431372549, 'rgb(116,138,226)'],
        [0.4235294117647059, 'rgb(116,137,225)'],
        [0.42745098039215684, 'rgb(116,136,225)'],
        [0.43137254901960786, 'rgb(116,135,224)'],
        [0.43529411764705883, 'rgb(116,133,224)'],
        [0.4392156862745098, 'rgb(117,132,223)'],
        [0.44313725490196076, 'rgb(117,131,223)'],
        [0.4470588235294118, 'rgb(117,130,222)'],
        [0.45098039215686275, 'rgb(117,129,222)'],
        [0.4549019607843137, 'rgb(117,127,221)'],
        [0.4588235294117647, 'rgb(117,126,221)'],
        [0.4627450980392157, 'rgb(118,125,220)'],
        [0.4666666666666667, 'rgb(118,124,220)'],
        [0.47058823529411764, 'rgb(118,123,219)'],
        [0.4745098039215686, 'rgb(118,121,218)'],
        [0.47843137254901963, 'rgb(118,120,218)'],
        [0.4823529411764706, 'rgb(119,119,217)'],
        [0.48627450980392156, 'rgb(119,118,216)'],
        [0.49019607843137253, 'rgb(119,117,215)'],
        [0.49411764705882355, 'rgb(119,115,215)'],
        [0.4980392156862745, 'rgb(119,114,214)'],
        [0.5019607843137255, 'rgb(120,113,213)'],
        [0.5058823529411764, 'rgb(120,112,212)'],
        [0.5098039215686274, 'rgb(120,111,211)'],
        [0.5137254901960784, 'rgb(120,110,210)'],
        [0.5176470588235295, 'rgb(120,108,210)'],
        [0.5215686274509804, 'rgb(120,107,209)'],
        [0.5254901960784314, 'rgb(120,106,208)'],
        [0.5294117647058824, 'rgb(121,105,207)'],
        [0.5333333333333333, 'rgb(121,104,206)'],
        [0.5372549019607843, 'rgb(121,102,205)'],
        [0.5411764705882353, 'rgb(121,101,204)'],
        [0.5450980392156862, 'rgb(121,100,203)'],
        [0.5490196078431373, 'rgb(121,99,202)'],
        [0.5529411764705883, 'rgb(121,98,201)'],
        [0.5568627450980392, 'rgb(121,97,200)'],
        [0.5607843137254902, 'rgb(121,96,199)'],
        [0.5647058823529412, 'rgb(121,94,197)'],
        [0.5686274509803921, 'rgb(121,93,196)'],
        [0.5725490196078431, 'rgb(121,92,195)'],
        [0.5764705882352941, 'rgb(121,91,194)'],
        [0.5803921568627451, 'rgb(121,90,193)'],
        [0.5843137254901961, 'rgb(121,89,192)'],
        [0.5882352941176471, 'rgb(121,88,191)'],
        [0.592156862745098, 'rgb(121,87,189)'],
        [0.596078431372549, 'rgb(121,86,188)'],
        [0.6, 'rgb(121,84,187)'],
        [0.6039215686274509, 'rgb(121,83,186)'],
        [0.6078431372549019, 'rgb(121,82,184)'],
        [0.611764705882353, 'rgb(121,81,183)'],
        [0.615686274509804, 'rgb(121,80,182)'],
        [0.6196078431372549, 'rgb(121,79,181)'],
        [0.6235294117647059, 'rgb(120,78,179)'],
        [0.6274509803921569, 'rgb(120,77,178)'],
        [0.6313725490196078, 'rgb(120,76,177)'],
        [0.6352941176470588, 'rgb(120,75,175)'],
        [0.6392156862745098, 'rgb(120,74,174)'],
        [0.6431372549019608, 'rgb(120,73,173)'],
        [0.6470588235294118, 'rgb(119,72,171)'],
        [0.6509803921568628, 'rgb(119,71,170)'],
        [0.6549019607843137, 'rgb(119,70,169)'],
        [0.6588235294117647, 'rgb(119,69,167)'],
        [0.6627450980392157, 'rgb(119,67,166)'],
        [0.6666666666666666, 'rgb(118,66,165)'],
        [0.6705882352941176, 'rgb(118,65,163)'],
        [0.6745098039215687, 'rgb(118,64,162)'],
        [0.6784313725490196, 'rgb(118,63,160)'],
        [0.6823529411764706, 'rgb(117,62,159)'],
        [0.6862745098039216, 'rgb(117,61,157)'],
        [0.6901960784313725, 'rgb(117,60,156)'],
        [0.6941176470588235, 'rgb(116,59,155)'],
        [0.6980392156862745, 'rgb(116,59,153)'],
        [0.7019607843137254, 'rgb(116,58,152)'],
        [0.7058823529411765, 'rgb(115,57,150)'],
        [0.7098039215686275, 'rgb(115,56,149)'],
        [0.7137254901960784, 'rgb(115,55,147)'],
        [0.7176470588235294, 'rgb(114,54,146)'],
        [0.7215686274509804, 'rgb(114,53,144)'],
        [0.7254901960784313, 'rgb(114,52,143)'],
        [0.7294117647058823, 'rgb(113,51,141)'],
        [0.7333333333333333, 'rgb(113,50,140)'],
        [0.7372549019607844, 'rgb(112,49,138)'],
        [0.7411764705882353, 'rgb(112,48,136)'],
        [0.7450980392156863, 'rgb(111,47,135)'],
        [0.7490196078431373, 'rgb(111,46,133)'],
        [0.7529411764705882, 'rgb(110,45,132)'],
        [0.7568627450980392, 'rgb(110,45,130)'],
        [0.7607843137254902, 'rgb(109,44,129)'],
        [0.7647058823529411, 'rgb(109,43,127)'],
        [0.7686274509803922, 'rgb(108,42,126)'],
        [0.7725490196078432, 'rgb(108,41,124)'],
        [0.7764705882352941, 'rgb(107,40,122)'],
        [0.7803921568627451, 'rgb(107,40,121)'],
        [0.7843137254901961, 'rgb(106,39,119)'],
        [0.788235294117647, 'rgb(106,38,117)'],
        [0.792156862745098, 'rgb(105,37,116)'],
        [0.796078431372549, 'rgb(104,36,114)'],
        [0.8, 'rgb(104,36,113)'],
        [0.803921568627451, 'rgb(103,35,111)'],
        [0.807843137254902, 'rgb(103,34,109)'],
        [0.8117647058823529, 'rgb(102,33,108)'],
        [0.8156862745098039, 'rgb(101,33,106)'],
        [0.8196078431372549, 'rgb(101,32,104)'],
        [0.8235294117647058, 'rgb(100,31,103)'],
        [0.8274509803921568, 'rgb(99,31,101)'],
        [0.8313725490196079, 'rgb(98,30,99)'],
        [0.8352941176470589, 'rgb(98,29,98)'],
        [0.8392156862745098, 'rgb(97,29,96)'],
        [0.8431372549019608, 'rgb(96,28,94)'],
        [0.8470588235294118, 'rgb(95,27,93)'],
        [0.8509803921568627, 'rgb(95,27,91)'],
        [0.8549019607843137, 'rgb(94,26,89)'],
        [0.8588235294117647, 'rgb(93,26,88)'],
        [0.8627450980392157, 'rgb(92,25,86)'],
        [0.8666666666666667, 'rgb(91,25,84)'],
        [0.8705882352941177, 'rgb(90,24,83)'],
        [0.8745098039215686, 'rgb(90,24,81)'],
        [0.8784313725490196, 'rgb(89,23,80)'],
        [0.8823529411764706, 'rgb(88,23,78)'],
        [0.8862745098039215, 'rgb(87,22,76)'],
        [0.8901960784313725, 'rgb(86,22,75)'],
        [0.8941176470588236, 'rgb(85,22,73)'],
        [0.8980392156862745, 'rgb(84,21,72)'],
        [0.9019607843137255, 'rgb(83,21,70)'],
        [0.9058823529411765, 'rgb(82,21,68)'],
        [0.9098039215686274, 'rgb(81,20,67)'],
        [0.9137254901960784, 'rgb(80,20,65)'],
        [0.9176470588235294, 'rgb(79,20,64)'],
        [0.9215686274509803, 'rgb(78,19,62)'],
        [0.9254901960784314, 'rgb(77,19,61)'],
        [0.9294117647058824, 'rgb(75,19,59)'],
        [0.9333333333333333, 'rgb(74,19,58)'],
        [0.9372549019607843, 'rgb(73,18,56)'],
        [0.9411764705882353, 'rgb(72,18,55)'],
        [0.9450980392156862, 'rgb(71,18,54)'],
        [0.9490196078431372, 'rgb(70,18,52)'],
        [0.9529411764705882, 'rgb(69,17,51)'],
        [0.9568627450980393, 'rgb(68,17,50)'],
        [0.9607843137254902, 'rgb(66,17,48)'],
        [0.9647058823529412, 'rgb(65,17,47)'],
        [0.9686274509803922, 'rgb(64,16,46)'],
        [0.9725490196078431, 'rgb(63,16,45)'],
        [0.9764705882352941, 'rgb(62,16,43)'],
        [0.9803921568627451, 'rgb(60,16,42)'],
        [0.984313725490196, 'rgb(59,15,41)'],
        [0.9882352941176471, 'rgb(58,15,40)'],
        [0.9921568627450981, 'rgb(57,15,39)'],
        [0.996078431372549, 'rgb(56,15,37)'],
        [1.0, 'rgb(54,14,36)'],
    ],
    'cmo.diff': [
        [0.0, 'rgb(8,35,64)'],
        [0.00392156862745098, 'rgb(9,37,66)'],
        [0.00784313725490196, 'rgb(10,38,68)'],
        [0.011764705882352941, 'rgb(11,40,69)'],
        [0.01568627450980392, 'rgb(12,42,71)'],
        [0.0196078431372549, 'rgb(12,44,73)'],
        [0.023529411764705882, 'rgb(13,45,75)'],
        [0.027450980392156862, 'rgb(14,47,77)'],
        [0.03137254901960784, 'rgb(15,49,79)'],
        [0.03529411764705882, 'rgb(16,50,81)'],
        [0.0392156862745098, 'rgb(17,52,83)'],
        [0.043137254901960784, 'rgb(17,54,85)'],
        [0.047058823529411764, 'rgb(18,55,86)'],
        [0.050980392156862744, 'rgb(19,57,88)'],
        [0.054901960784313725, 'rgb(20,59,90)'],
        [0.058823529411764705, 'rgb(20,61,92)'],
        [0.06274509803921569, 'rgb(21,62,94)'],
        [0.06666666666666667, 'rgb(22,64,95)'],
        [0.07058823529411765, 'rgb(23,66,97)'],
        [0.07450980392156863, 'rgb(24,67,99)'],
        [0.0784313725490196, 'rgb(25,69,100)'],
        [0.08235294117647059, 'rgb(26,71,102)'],
        [0.08627450980392157, 'rgb(27,72,103)'],
        [0.09019607843137255, 'rgb(29,74,104)'],
        [0.09411764705882353, 'rgb(31,76,105)'],
        [0.09803921568627451, 'rgb(33,77,106)'],
        [0.10196078431372549, 'rgb(36,79,107)'],
        [0.10588235294117647, 'rgb(38,80,108)'],
        [0.10980392156862745, 'rgb(40,82,109)'],
        [0.11372549019607843, 'rgb(43,83,110)'],
        [0.11764705882352941, 'rgb(45,85,111)'],
        [0.12156862745098039, 'rgb(47,86,112)'],
        [0.12549019607843137, 'rgb(49,88,113)'],
        [0.12941176470588237, 'rgb(52,89,115)'],
        [0.13333333333333333, 'rgb(54,91,116)'],
        [0.13725490196078433, 'rgb(56,92,117)'],
        [0.1411764705882353, 'rgb(58,94,118)'],
        [0.1450980392156863, 'rgb(60,95,119)'],
        [0.14901960784313725, 'rgb(62,97,120)'],
        [0.15294117647058825, 'rgb(65,98,121)'],
        [0.1568627450980392, 'rgb(67,100,122)'],
        [0.1607843137254902, 'rgb(69,101,123)'],
        [0.16470588235294117, 'rgb(71,103,125)'],
        [0.16862745098039217, 'rgb(73,104,126)'],
        [0.17254901960784313, 'rgb(75,106,127)'],
        [0.17647058823529413, 'rgb(77,107,128)'],
        [0.1803921568627451, 'rgb(79,109,129)'],
        [0.1843137254901961, 'rgb(81,110,130)'],
        [0.18823529411764706, 'rgb(83,112,132)'],
        [0.19215686274509805, 'rgb(85,113,133)'],
        [0.19607843137254902, 'rgb(88,115,134)'],
        [0.2, 'rgb(90,116,135)'],
        [0.20392156862745098, 'rgb(92,118,136)'],
        [0.20784313725490197, 'rgb(94,120,138)'],
        [0.21176470588235294, 'rgb(96,121,139)'],
        [0.21568627450980393, 'rgb(98,123,140)'],
        [0.2196078431372549, 'rgb(100,124,141)'],
        [0.2235294117647059, 'rgb(102,126,142)'],
        [0.22745098039215686, 'rgb(104,127,144)'],
        [0.23137254901960785, 'rgb(106,129,145)'],
        [0.23529411764705882, 'rgb(108,130,146)'],
        [0.23921568627450981, 'rgb(110,132,148)'],
        [0.24313725490196078, 'rgb(112,134,149)'],
        [0.24705882352941178, 'rgb(114,135,150)'],
        [0.25098039215686274, 'rgb(116,137,151)'],
        [0.2549019607843137, 'rgb(118,138,153)'],
        [0.25882352941176473, 'rgb(120,140,154)'],
        [0.2627450980392157, 'rgb(123,141,155)'],
        [0.26666666666666666, 'rgb(125,143,157)'],
        [0.27058823529411763, 'rgb(127,145,158)'],
        [0.27450980392156865, 'rgb(129,146,159)'],
        [0.2784313725490196, 'rgb(131,148,161)'],
        [0.2823529411764706, 'rgb(133,150,162)'],
        [0.28627450980392155, 'rgb(135,151,163)'],
        [0.2901960784313726, 'rgb(137,153,165)'],
        [0.29411764705882354, 'rgb(139,154,166)'],
        [0.2980392156862745, 'rgb(141,156,167)'],
        [0.30196078431372547, 'rgb(143,158,169)'],
        [0.3058823529411765, 'rgb(146,159,170)'],
        [0.30980392156862746, 'rgb(148,161,172)'],
        [0.3137254901960784, 'rgb(150,163,173)'],
        [0.3176470588235294, 'rgb(152,165,175)'],
        [0.3215686274509804, 'rgb(154,166,176)'],
        [0.3254901960784314, 'rgb(156,168,177)'],
        [0.32941176470588235, 'rgb(158,170,179)'],
        [0.3333333333333333, 'rgb(160,171,180)'],
        [0.33725490196078434, 'rgb(163,173,182)'],
        [0.3411764705882353, 'rgb(165,175,183)'],
        [0.34509803921568627, 'rgb(167,177,185)'],
        [0.34901960784313724, 'rgb(169,178,186)'],
        [0.35294117647058826, 'rgb(171,180,188)'],
        [0.3568627450980392, 'rgb(174,182,189)'],
        [0.3607843137254902, 'rgb(176,184,191)'],
        [0.36470588235294116, 'rgb(178,186,192)'],
        [0.3686274509803922, 'rgb(180,187,194)'],
        [0.37254901960784315, 'rgb(182,189,196)'],
        [0.3764705882352941, 'rgb(185,191,197)'],
        [0.3803921568627451, 'rgb(187,193,199)'],
        [0.3843137254901961, 'rgb(189,195,200)'],
        [0.38823529411764707, 'rgb(191,197,202)'],
        [0.39215686274509803, 'rgb(194,198,204)'],
        [0.396078431372549, 'rgb(196,200,205)'],
        [0.4, 'rgb(198,202,207)'],
        [0.403921568627451, 'rgb(200,204,209)'],
        [0.40784313725490196, 'rgb(203,206,210)'],
        [0.4117647058823529, 'rgb(205,208,212)'],
        [0.41568627450980394, 'rgb(207,210,214)'],
        [0.4196078431372549, 'rgb(210,212,215)'],
        [0.4235294117647059, 'rgb(212,214,217)'],
        [0.42745098039215684, 'rgb(214,216,219)'],
        [0.43137254901960786, 'rgb(217,218,221)'],
        [0.43529411764705883, 'rgb(219,220,222)'],
        [0.4392156862745098, 'rgb(221,222,224)'],
        [0.44313725490196076, 'rgb(224,224,226)'],
        [0.4470588235294118, 'rgb(226,226,227)'],
        [0.45098039215686275, 'rgb(228,227,229)'],
        [0.4549019607843137, 'rgb(230,229,231)'],
        [0.4588235294117647, 'rgb(232,231,232)'],
        [0.4627450980392157, 'rgb(235,233,234)'],
        [0.4666666666666667, 'rgb(236,234,235)'],
        [0.47058823529411764, 'rgb(238,236,236)'],
        [0.4745098039215686, 'rgb(240,237,238)'],
        [0.47843137254901963, 'rgb(241,238,239)'],
        [0.4823529411764706, 'rgb(243,239,239)'],
        [0.48627450980392156, 'rgb(244,240,240)'],
        [0.49019607843137253, 'rgb(245,241,240)'],
        [0.49411764705882355, 'rgb(245,241,240)'],
        [0.4980392156862745, 'rgb(246,241,240)'],
        [0.5019607843137255, 'rgb(246,241,240)'],
        [0.5058823529411764, 'rgb(245,241,239)'],
        [0.5098039215686274, 'rgb(245,240,238)'],
        [0.5137254901960784, 'rgb(244,239,237)'],
        [0.5176470588235295, 'rgb(243,238,235)'],
        [0.5215686274509804, 'rgb(242,237,233)'],
        [0.5254901960784314, 'rgb(241,235,232)'],
        [0.5294117647058824, 'rgb(239,234,229)'],
        [0.5333333333333333, 'rgb(238,232,227)'],
        [0.5372549019607843, 'rgb(236,230,225)'],
        [0.5411764705882353, 'rgb(234,229,223)'],
        [0.5450980392156862, 'rgb(232,227,220)'],
        [0.5490196078431373, 'rgb(231,225,218)'],
        [0.5529411764705883, 'rgb(229,223,215)'],
        [0.5568627450980392, 'rgb(227,221,212)'],
        [0.5607843137254902, 'rgb(225,219,210)'],
        [0.5647058823529412, 'rgb(223,217,207)'],
        [0.5686274509803921, 'rgb(221,215,205)'],
        [0.5725490196078431, 'rgb(219,213,202)'],
        [0.5764705882352941, 'rgb(217,211,199)'],
        [0.5803921568627451, 'rgb(215,209,197)'],
        [0.5843137254901961, 'rgb(213,207,194)'],
        [0.5882352941176471, 'rgb(211,205,192)'],
        [0.592156862745098, 'rgb(210,203,189)'],
        [0.596078431372549, 'rgb(208,201,187)'],
        [0.6, 'rgb(206,199,184)'],
        [0.6039215686274509, 'rgb(204,197,181)'],
        [0.6078431372549019, 'rgb(202,195,179)'],
        [0.611764705882353, 'rgb(200,193,176)'],
        [0.615686274509804, 'rgb(199,191,174)'],
        [0.6196078431372549, 'rgb(197,189,171)'],
        [0.6235294117647059, 'rgb(195,187,169)'],
        [0.6274509803921569, 'rgb(193,185,166)'],
        [0.6313725490196078, 'rgb(191,183,164)'],
        [0.6352941176470588, 'rgb(190,181,161)'],
        [0.6392156862745098, 'rgb(188,179,159)'],
        [0.6431372549019608, 'rgb(186,177,157)'],
        [0.6470588235294118, 'rgb(185,176,154)'],
        [0.6509803921568628, 'rgb(183,174,152)'],
        [0.6549019607843137, 'rgb(181,172,149)'],
        [0.6588235294117647, 'rgb(179,170,147)'],
        [0.6627450980392157, 'rgb(178,168,144)'],
        [0.6666666666666666, 'rgb(176,166,142)'],
        [0.6705882352941176, 'rgb(174,165,140)'],
        [0.6745098039215687, 'rgb(173,163,137)'],
        [0.6784313725490196, 'rgb(171,161,135)'],
        [0.6823529411764706, 'rgb(169,159,133)'],
        [0.6862745098039216, 'rgb(168,157,130)'],
        [0.6901960784313725, 'rgb(166,156,128)'],
        [0.6941176470588235, 'rgb(164,154,125)'],
        [0.6980392156862745, 'rgb(163,152,123)'],
        [0.7019607843137254, 'rgb(161,150,121)'],
        [0.7058823529411765, 'rgb(160,149,118)'],
        [0.7098039215686275, 'rgb(158,147,116)'],
        [0.7137254901960784, 'rgb(156,145,114)'],
        [0.7176470588235294, 'rgb(155,143,112)'],
        [0.7215686274509804, 'rgb(153,142,109)'],
        [0.7254901960784313, 'rgb(152,140,107)'],
        [0.7294117647058823, 'rgb(150,138,105)'],
        [0.7333333333333333, 'rgb(149,137,103)'],
        [0.7372549019607844, 'rgb(147,135,100)'],
        [0.7411764705882353, 'rgb(145,133,98)'],
        [0.7450980392156863, 'rgb(144,132,96)'],
        [0.7490196078431373, 'rgb(142,130,94)'],
        [0.7529411764705882, 'rgb(141,128,91)'],
        [0.7568627450980392, 'rgb(139,127,89)'],
        [0.7607843137254902, 'rgb(138,125,87)'],
        [0.7647058823529411, 'rgb(136,123,85)'],
        [0.7686274509803922, 'rgb(135,122,83)'],
        [0.7725490196078432, 'rgb(133,120,80)'],
        [0.7764705882352941, 'rgb(131,118,78)'],
        [0.7803921568627451, 'rgb(130,117,76)'],
        [0.7843137254901961, 'rgb(128,115,74)'],
        [0.788235294117647, 'rgb(127,114,72)'],
        [0.792156862745098, 'rgb(125,112,70)'],
        [0.796078431372549, 'rgb(124,110,67)'],
        [0.8, 'rgb(122,109,65)'],
        [0.803921568627451, 'rgb(121,107,63)'],
        [0.807843137254902, 'rgb(119,106,61)'],
        [0.8117647058823529, 'rgb(118,104,59)'],
        [0.8156862745098039, 'rgb(116,102,57)'],
        [0.8196078431372549, 'rgb(114,101,55)'],
        [0.8235294117647058, 'rgb(113,99,53)'],
        [0.8274509803921568, 'rgb(111,98,51)'],
        [0.8313725490196079, 'rgb(110,96,48)'],
        [0.8352941176470589, 'rgb(108,95,46)'],
        [0.8392156862745098, 'rgb(106,93,44)'],
        [0.8431372549019608, 'rgb(104,92,43)'],
        [0.8470588235294118, 'rgb(103,90,41)'],
        [0.8509803921568627, 'rgb(101,89,39)'],
        [0.8549019607843137, 'rgb(99,88,38)'],
        [0.8588235294117647, 'rgb(97,86,37)'],
        [0.8627450980392157, 'rgb(95,85,36)'],
        [0.8666666666666667, 'rgb(93,84,35)'],
        [0.8705882352941177, 'rgb(91,82,34)'],
        [0.8745098039215686, 'rgb(89,81,33)'],
        [0.8784313725490196, 'rgb(87,79,32)'],
        [0.8823529411764706, 'rgb(85,78,32)'],
        [0.8862745098039215, 'rgb(83,77,31)'],
        [0.8901960784313725, 'rgb(81,75,30)'],
        [0.8941176470588236, 'rgb(79,74,29)'],
        [0.8980392156862745, 'rgb(77,72,29)'],
        [0.9019607843137255, 'rgb(75,71,28)'],
        [0.9058823529411765, 'rgb(73,69,27)'],
        [0.9098039215686274, 'rgb(71,68,26)'],
        [0.9137254901960784, 'rgb(69,67,26)'],
        [0.9176470588235294, 'rgb(67,65,25)'],
        [0.9215686274509803, 'rgb(66,64,24)'],
        [0.9254901960784314, 'rgb(64,62,23)'],
        [0.9294117647058824, 'rgb(62,61,22)'],
        [0.9333333333333333, 'rgb(60,59,22)'],
        [0.9372549019607843, 'rgb(58,58,21)'],
        [0.9411764705882353, 'rgb(56,57,20)'],
        [0.9450980392156862, 'rgb(54,55,19)'],
        [0.9490196078431372, 'rgb(52,54,18)'],
        [0.9529411764705882, 'rgb(51,52,18)'],
        [0.9568627450980393, 'rgb(49,51,17)'],
        [0.9607843137254902, 'rgb(47,49,16)'],
        [0.9647058823529412, 'rgb(45,48,15)'],
        [0.9686274509803922, 'rgb(43,46,14)'],
        [0.9725490196078431, 'rgb(41,45,13)'],
        [0.9764705882352941, 'rgb(39,43,12)'],
        [0.9803921568627451, 'rgb(38,42,11)'],
        [0.984313725490196, 'rgb(36,40,10)'],
        [0.9882352941176471, 'rgb(34,39,9)'],
        [0.9921568627450981, 'rgb(32,37,9)'],
        [0.996078431372549, 'rgb(30,36,8)'],
        [1.0, 'rgb(28,34,7)'],
    ],
    'cmo.gray': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,0,0)'],
        [0.00784313725490196, 'rgb(0,0,0)'],
        [0.011764705882352941, 'rgb(0,0,0)'],
        [0.01568627450980392, 'rgb(1,1,1)'],
        [0.0196078431372549, 'rgb(1,1,1)'],
        [0.023529411764705882, 'rgb(2,2,2)'],
        [0.027450980392156862, 'rgb(2,2,2)'],
        [0.03137254901960784, 'rgb(3,3,3)'],
        [0.03529411764705882, 'rgb(3,3,3)'],
        [0.0392156862745098, 'rgb(4,4,4)'],
        [0.043137254901960784, 'rgb(5,5,5)'],
        [0.047058823529411764, 'rgb(5,5,5)'],
        [0.050980392156862744, 'rgb(6,6,6)'],
        [0.054901960784313725, 'rgb(7,7,7)'],
        [0.058823529411764705, 'rgb(8,8,8)'],
        [0.06274509803921569, 'rgb(9,9,9)'],
        [0.06666666666666667, 'rgb(10,10,10)'],
        [0.07058823529411765, 'rgb(11,11,11)'],
        [0.07450980392156863, 'rgb(12,12,12)'],
        [0.0784313725490196, 'rgb(13,13,13)'],
        [0.08235294117647059, 'rgb(15,14,14)'],
        [0.08627450980392157, 'rgb(16,15,15)'],
        [0.09019607843137255, 'rgb(17,16,16)'],
        [0.09411764705882353, 'rgb(18,17,17)'],
        [0.09803921568627451, 'rgb(19,18,18)'],
        [0.10196078431372549, 'rgb(20,19,19)'],
        [0.10588235294117647, 'rgb(21,20,20)'],
        [0.10980392156862745, 'rgb(22,21,21)'],
        [0.11372549019607843, 'rgb(23,22,22)'],
        [0.11764705882352941, 'rgb(24,23,23)'],
        [0.12156862745098039, 'rgb(25,24,24)'],
        [0.12549019607843137, 'rgb(26,25,25)'],
        [0.12941176470588237, 'rgb(27,26,26)'],
        [0.13333333333333333, 'rgb(28,27,27)'],
        [0.13725490196078433, 'rgb(29,28,28)'],
        [0.1411764705882353, 'rgb(29,29,29)'],
        [0.1450980392156863, 'rgb(30,30,30)'],
        [0.14901960784313725, 'rgb(31,31,31)'],
        [0.15294117647058825, 'rgb(32,32,32)'],
        [0.1568627450980392, 'rgb(33,33,33)'],
        [0.1607843137254902, 'rgb(34,34,34)'],
        [0.16470588235294117, 'rgb(35,35,35)'],
        [0.16862745098039217, 'rgb(36,36,36)'],
        [0.17254901960784313, 'rgb(37,37,36)'],
        [0.17647058823529413, 'rgb(38,38,37)'],
        [0.1803921568627451, 'rgb(39,38,38)'],
        [0.1843137254901961, 'rgb(40,39,39)'],
        [0.18823529411764706, 'rgb(41,40,40)'],
        [0.19215686274509805, 'rgb(42,41,41)'],
        [0.19607843137254902, 'rgb(43,42,42)'],
        [0.2, 'rgb(43,43,43)'],
        [0.20392156862745098, 'rgb(44,44,44)'],
        [0.20784313725490197, 'rgb(45,45,45)'],
        [0.21176470588235294, 'rgb(46,46,46)'],
        [0.21568627450980393, 'rgb(47,47,46)'],
        [0.2196078431372549, 'rgb(48,48,47)'],
        [0.2235294117647059, 'rgb(49,48,48)'],
        [0.22745098039215686, 'rgb(50,49,49)'],
        [0.23137254901960785, 'rgb(51,50,50)'],
        [0.23529411764705882, 'rgb(52,51,51)'],
        [0.23921568627450981, 'rgb(53,52,52)'],
        [0.24313725490196078, 'rgb(53,53,53)'],
        [0.24705882352941178, 'rgb(54,54,54)'],
        [0.25098039215686274, 'rgb(55,55,55)'],
        [0.2549019607843137, 'rgb(56,56,55)'],
        [0.25882352941176473, 'rgb(57,57,56)'],
        [0.2627450980392157, 'rgb(58,57,57)'],
        [0.26666666666666666, 'rgb(59,58,58)'],
        [0.27058823529411763, 'rgb(60,59,59)'],
        [0.27450980392156865, 'rgb(61,60,60)'],
        [0.2784313725490196, 'rgb(62,61,61)'],
        [0.2823529411764706, 'rgb(62,62,62)'],
        [0.28627450980392155, 'rgb(63,63,63)'],
        [0.2901960784313726, 'rgb(64,64,64)'],
        [0.29411764705882354, 'rgb(65,65,64)'],
        [0.2980392156862745, 'rgb(66,66,65)'],
        [0.30196078431372547, 'rgb(67,66,66)'],
        [0.3058823529411765, 'rgb(68,67,67)'],
        [0.30980392156862746, 'rgb(69,68,68)'],
        [0.3137254901960784, 'rgb(70,69,69)'],
        [0.3176470588235294, 'rgb(71,70,70)'],
        [0.3215686274509804, 'rgb(71,71,71)'],
        [0.3254901960784314, 'rgb(72,72,72)'],
        [0.32941176470588235, 'rgb(73,73,72)'],
        [0.3333333333333333, 'rgb(74,74,73)'],
        [0.33725490196078434, 'rgb(75,75,74)'],
        [0.3411764705882353, 'rgb(76,75,75)'],
        [0.34509803921568627, 'rgb(77,76,76)'],
        [0.34901960784313724, 'rgb(78,77,77)'],
        [0.35294117647058826, 'rgb(79,78,78)'],
        [0.3568627450980392, 'rgb(80,79,79)'],
        [0.3607843137254902, 'rgb(80,80,80)'],
        [0.36470588235294116, 'rgb(81,81,80)'],
        [0.3686274509803922, 'rgb(82,82,81)'],
        [0.37254901960784315, 'rgb(83,83,82)'],
        [0.3764705882352941, 'rgb(84,84,83)'],
        [0.3803921568627451, 'rgb(85,84,84)'],
        [0.3843137254901961, 'rgb(86,85,85)'],
        [0.38823529411764707, 'rgb(87,86,86)'],
        [0.39215686274509803, 'rgb(88,87,87)'],
        [0.396078431372549, 'rgb(89,88,88)'],
        [0.4, 'rgb(90,89,89)'],
        [0.403921568627451, 'rgb(90,90,90)'],
        [0.40784313725490196, 'rgb(91,91,90)'],
        [0.4117647058823529, 'rgb(92,92,91)'],
        [0.41568627450980394, 'rgb(93,93,92)'],
        [0.4196078431372549, 'rgb(94,94,93)'],
        [0.4235294117647059, 'rgb(95,94,94)'],
        [0.42745098039215684, 'rgb(96,95,95)'],
        [0.43137254901960786, 'rgb(97,96,96)'],
        [0.43529411764705883, 'rgb(98,97,97)'],
        [0.4392156862745098, 'rgb(99,98,98)'],
        [0.44313725490196076, 'rgb(100,99,99)'],
        [0.4470588235294118, 'rgb(101,100,100)'],
        [0.45098039215686275, 'rgb(101,101,100)'],
        [0.4549019607843137, 'rgb(102,102,101)'],
        [0.4588235294117647, 'rgb(103,103,102)'],
        [0.4627450980392157, 'rgb(104,104,103)'],
        [0.4666666666666667, 'rgb(105,105,104)'],
        [0.47058823529411764, 'rgb(106,106,105)'],
        [0.4745098039215686, 'rgb(107,107,106)'],
        [0.47843137254901963, 'rgb(108,107,107)'],
        [0.4823529411764706, 'rgb(109,108,108)'],
        [0.48627450980392156, 'rgb(110,109,109)'],
        [0.49019607843137253, 'rgb(111,110,110)'],
        [0.49411764705882355, 'rgb(112,111,111)'],
        [0.4980392156862745, 'rgb(113,112,112)'],
        [0.5019607843137255, 'rgb(114,113,113)'],
        [0.5058823529411764, 'rgb(115,114,113)'],
        [0.5098039215686274, 'rgb(115,115,114)'],
        [0.5137254901960784, 'rgb(116,116,115)'],
        [0.5176470588235295, 'rgb(117,117,116)'],
        [0.5215686274509804, 'rgb(118,118,117)'],
        [0.5254901960784314, 'rgb(119,119,118)'],
        [0.5294117647058824, 'rgb(120,120,119)'],
        [0.5333333333333333, 'rgb(121,121,120)'],
        [0.5372549019607843, 'rgb(122,122,121)'],
        [0.5411764705882353, 'rgb(123,123,122)'],
        [0.5450980392156862, 'rgb(124,124,123)'],
        [0.5490196078431373, 'rgb(125,125,124)'],
        [0.5529411764705883, 'rgb(126,125,125)'],
        [0.5568627450980392, 'rgb(127,126,126)'],
        [0.5607843137254902, 'rgb(128,127,127)'],
        [0.5647058823529412, 'rgb(129,128,128)'],
        [0.5686274509803921, 'rgb(130,129,129)'],
        [0.5725490196078431, 'rgb(131,130,130)'],
        [0.5764705882352941, 'rgb(132,131,131)'],
        [0.5803921568627451, 'rgb(133,132,132)'],
        [0.5843137254901961, 'rgb(134,133,133)'],
        [0.5882352941176471, 'rgb(135,134,134)'],
        [0.592156862745098, 'rgb(136,135,135)'],
        [0.596078431372549, 'rgb(137,136,136)'],
        [0.6, 'rgb(138,137,137)'],
        [0.6039215686274509, 'rgb(139,138,138)'],
        [0.6078431372549019, 'rgb(140,139,139)'],
        [0.611764705882353, 'rgb(141,140,140)'],
        [0.615686274509804, 'rgb(142,141,141)'],
        [0.6196078431372549, 'rgb(143,142,142)'],
        [0.6235294117647059, 'rgb(144,143,143)'],
        [0.6274509803921569, 'rgb(145,144,144)'],
        [0.6313725490196078, 'rgb(146,145,145)'],
        [0.6352941176470588, 'rgb(147,146,146)'],
        [0.6392156862745098, 'rgb(148,147,147)'],
        [0.6431372549019608, 'rgb(149,148,148)'],
        [0.6470588235294118, 'rgb(150,149,149)'],
        [0.6509803921568628, 'rgb(151,150,150)'],
        [0.6549019607843137, 'rgb(152,151,151)'],
        [0.6588235294117647, 'rgb(153,152,152)'],
        [0.6627450980392157, 'rgb(154,153,153)'],
        [0.6666666666666666, 'rgb(155,154,154)'],
        [0.6705882352941176, 'rgb(156,155,155)'],
        [0.6745098039215687, 'rgb(157,157,156)'],
        [0.6784313725490196, 'rgb(158,158,157)'],
        [0.6823529411764706, 'rgb(159,159,158)'],
        [0.6862745098039216, 'rgb(160,160,159)'],
        [0.6901960784313725, 'rgb(161,161,160)'],
        [0.6941176470588235, 'rgb(162,162,161)'],
        [0.6980392156862745, 'rgb(163,163,162)'],
        [0.7019607843137254, 'rgb(164,164,163)'],
        [0.7058823529411765, 'rgb(165,165,164)'],
        [0.7098039215686275, 'rgb(166,166,165)'],
        [0.7137254901960784, 'rgb(167,167,166)'],
        [0.7176470588235294, 'rgb(168,168,167)'],
        [0.7215686274509804, 'rgb(170,169,168)'],
        [0.7254901960784313, 'rgb(171,170,169)'],
        [0.7294117647058823, 'rgb(172,171,170)'],
        [0.7333333333333333, 'rgb(173,172,172)'],
        [0.7372549019607844, 'rgb(174,173,173)'],
        [0.7411764705882353, 'rgb(175,175,174)'],
        [0.7450980392156863, 'rgb(176,176,175)'],
        [0.7490196078431373, 'rgb(177,177,176)'],
        [0.7529411764705882, 'rgb(178,178,177)'],
        [0.7568627450980392, 'rgb(179,179,178)'],
        [0.7607843137254902, 'rgb(180,180,179)'],
        [0.7647058823529411, 'rgb(182,181,180)'],
        [0.7686274509803922, 'rgb(183,182,181)'],
        [0.7725490196078432, 'rgb(184,183,182)'],
        [0.7764705882352941, 'rgb(185,185,184)'],
        [0.7803921568627451, 'rgb(186,186,185)'],
        [0.7843137254901961, 'rgb(187,187,186)'],
        [0.788235294117647, 'rgb(188,188,187)'],
        [0.792156862745098, 'rgb(189,189,188)'],
        [0.796078431372549, 'rgb(190,190,189)'],
        [0.8, 'rgb(192,191,190)'],
        [0.803921568627451, 'rgb(193,192,191)'],
        [0.807843137254902, 'rgb(194,194,193)'],
        [0.8117647058823529, 'rgb(195,195,194)'],
        [0.8156862745098039, 'rgb(196,196,195)'],
        [0.8196078431372549, 'rgb(197,197,196)'],
        [0.8235294117647058, 'rgb(198,198,197)'],
        [0.8274509803921568, 'rgb(200,199,198)'],
        [0.8313725490196079, 'rgb(201,200,199)'],
        [0.8352941176470589, 'rgb(202,202,201)'],
        [0.8392156862745098, 'rgb(203,203,202)'],
        [0.8431372549019608, 'rgb(204,204,203)'],
        [0.8470588235294118, 'rgb(205,205,204)'],
        [0.8509803921568627, 'rgb(207,206,205)'],
        [0.8549019607843137, 'rgb(208,208,206)'],
        [0.8588235294117647, 'rgb(209,209,208)'],
        [0.8627450980392157, 'rgb(210,210,209)'],
        [0.8666666666666667, 'rgb(211,211,210)'],
        [0.8705882352941177, 'rgb(213,212,211)'],
        [0.8745098039215686, 'rgb(214,214,212)'],
        [0.8784313725490196, 'rgb(215,215,214)'],
        [0.8823529411764706, 'rgb(216,216,215)'],
        [0.8862745098039215, 'rgb(217,217,216)'],
        [0.8901960784313725, 'rgb(219,218,217)'],
        [0.8941176470588236, 'rgb(220,220,219)'],
        [0.8980392156862745, 'rgb(221,221,220)'],
        [0.9019607843137255, 'rgb(222,222,221)'],
        [0.9058823529411765, 'rgb(224,223,222)'],
        [0.9098039215686274, 'rgb(225,225,223)'],
        [0.9137254901960784, 'rgb(226,226,225)'],
        [0.9176470588235294, 'rgb(227,227,226)'],
        [0.9215686274509803, 'rgb(229,228,227)'],
        [0.9254901960784314, 'rgb(230,230,228)'],
        [0.9294117647058824, 'rgb(231,231,230)'],
        [0.9333333333333333, 'rgb(232,232,231)'],
        [0.9372549019607843, 'rgb(234,234,232)'],
        [0.9411764705882353, 'rgb(235,235,234)'],
        [0.9450980392156862, 'rgb(236,236,235)'],
        [0.9490196078431372, 'rgb(238,237,236)'],
        [0.9529411764705882, 'rgb(239,239,237)'],
        [0.9568627450980393, 'rgb(240,240,239)'],
        [0.9607843137254902, 'rgb(242,241,240)'],
        [0.9647058823529412, 'rgb(243,243,241)'],
        [0.9686274509803922, 'rgb(244,244,243)'],
        [0.9725490196078431, 'rgb(245,245,244)'],
        [0.9764705882352941, 'rgb(247,247,245)'],
        [0.9803921568627451, 'rgb(248,248,247)'],
        [0.984313725490196, 'rgb(249,249,248)'],
        [0.9882352941176471, 'rgb(251,251,249)'],
        [0.9921568627450981, 'rgb(252,252,251)'],
        [0.996078431372549, 'rgb(254,253,252)'],
        [1.0, 'rgb(255,255,253)'],
    ],
    'cmo.haline': [
        [0.0, 'rgb(42,24,108)'],
        [0.00392156862745098, 'rgb(42,25,110)'],
        [0.00784313725490196, 'rgb(42,25,113)'],
        [0.011764705882352941, 'rgb(43,25,115)'],
        [0.01568627450980392, 'rgb(43,25,117)'],
        [0.0196078431372549, 'rgb(44,26,120)'],
        [0.023529411764705882, 'rgb(44,26,122)'],
        [0.027450980392156862, 'rgb(45,26,125)'],
        [0.03137254901960784, 'rgb(45,26,127)'],
        [0.03529411764705882, 'rgb(45,27,130)'],
        [0.0392156862745098, 'rgb(46,27,132)'],
        [0.043137254901960784, 'rgb(46,27,135)'],
        [0.047058823529411764, 'rgb(46,28,137)'],
        [0.050980392156862744, 'rgb(46,28,140)'],
        [0.054901960784313725, 'rgb(46,28,142)'],
        [0.058823529411764705, 'rgb(46,29,145)'],
        [0.06274509803921569, 'rgb(46,29,147)'],
        [0.06666666666666667, 'rgb(46,30,149)'],
        [0.07058823529411765, 'rgb(46,30,152)'],
        [0.07450980392156863, 'rgb(46,31,154)'],
        [0.0784313725490196, 'rgb(45,32,156)'],
        [0.08235294117647059, 'rgb(45,33,157)'],
        [0.08627450980392157, 'rgb(44,34,159)'],
        [0.09019607843137255, 'rgb(43,36,160)'],
        [0.09411764705882353, 'rgb(42,37,161)'],
        [0.09803921568627451, 'rgb(41,39,162)'],
        [0.10196078431372549, 'rgb(40,41,163)'],
        [0.10588235294117647, 'rgb(38,43,163)'],
        [0.10980392156862745, 'rgb(37,45,163)'],
        [0.11372549019607843, 'rgb(36,46,163)'],
        [0.11764705882352941, 'rgb(34,48,163)'],
        [0.12156862745098039, 'rgb(33,50,162)'],
        [0.12549019607843137, 'rgb(32,52,162)'],
        [0.12941176470588237, 'rgb(30,53,161)'],
        [0.13333333333333333, 'rgb(29,55,161)'],
        [0.13725490196078433, 'rgb(28,57,160)'],
        [0.1411764705882353, 'rgb(27,58,160)'],
        [0.1450980392156863, 'rgb(25,60,159)'],
        [0.14901960784313725, 'rgb(24,61,158)'],
        [0.15294117647058825, 'rgb(23,63,158)'],
        [0.1568627450980392, 'rgb(22,64,157)'],
        [0.1607843137254902, 'rgb(21,65,156)'],
        [0.16470588235294117, 'rgb(20,67,156)'],
        [0.16862745098039217, 'rgb(19,68,155)'],
        [0.17254901960784313, 'rgb(18,69,155)'],
        [0.17647058823529413, 'rgb(17,71,154)'],
        [0.1803921568627451, 'rgb(16,72,153)'],
        [0.1843137254901961, 'rgb(15,73,153)'],
        [0.18823529411764706, 'rgb(15,74,152)'],
        [0.19215686274509805, 'rgb(14,76,151)'],
        [0.19607843137254902, 'rgb(13,77,151)'],
        [0.2, 'rgb(13,78,150)'],
        [0.20392156862745098, 'rgb(13,79,150)'],
        [0.20784313725490197, 'rgb(12,80,149)'],
        [0.21176470588235294, 'rgb(12,81,149)'],
        [0.21568627450980393, 'rgb(12,82,148)'],
        [0.2196078431372549, 'rgb(12,83,148)'],
        [0.2235294117647059, 'rgb(12,84,147)'],
        [0.22745098039215686, 'rgb(13,85,147)'],
        [0.23137254901960785, 'rgb(13,86,146)'],
        [0.23529411764705882, 'rgb(13,87,146)'],
        [0.23921568627450981, 'rgb(14,88,145)'],
        [0.24313725490196078, 'rgb(14,89,145)'],
        [0.24705882352941178, 'rgb(15,90,145)'],
        [0.25098039215686274, 'rgb(15,91,144)'],
        [0.2549019607843137, 'rgb(16,92,144)'],
        [0.25882352941176473, 'rgb(17,93,143)'],
        [0.2627450980392157, 'rgb(17,94,143)'],
        [0.26666666666666666, 'rgb(18,95,143)'],
        [0.27058823529411763, 'rgb(19,96,142)'],
        [0.27450980392156865, 'rgb(20,97,142)'],
        [0.2784313725490196, 'rgb(20,98,142)'],
        [0.2823529411764706, 'rgb(21,99,142)'],
        [0.28627450980392155, 'rgb(22,99,141)'],
        [0.2901960784313726, 'rgb(23,100,141)'],
        [0.29411764705882354, 'rgb(24,101,141)'],
        [0.2980392156862745, 'rgb(24,102,140)'],
        [0.30196078431372547, 'rgb(25,103,140)'],
        [0.3058823529411765, 'rgb(26,104,140)'],
        [0.30980392156862746, 'rgb(27,105,140)'],
        [0.3137254901960784, 'rgb(28,106,140)'],
        [0.3176470588235294, 'rgb(29,107,139)'],
        [0.3215686274509804, 'rgb(29,107,139)'],
        [0.3254901960784314, 'rgb(30,108,139)'],
        [0.32941176470588235, 'rgb(31,109,139)'],
        [0.3333333333333333, 'rgb(32,110,139)'],
        [0.33725490196078434, 'rgb(33,111,139)'],
        [0.3411764705882353, 'rgb(34,112,138)'],
        [0.34509803921568627, 'rgb(34,113,138)'],
        [0.34901960784313724, 'rgb(35,113,138)'],
        [0.35294117647058826, 'rgb(36,114,138)'],
        [0.3568627450980392, 'rgb(37,115,138)'],
        [0.3607843137254902, 'rgb(38,116,138)'],
        [0.36470588235294116, 'rgb(38,117,138)'],
        [0.3686274509803922, 'rgb(39,118,138)'],
        [0.37254901960784315, 'rgb(40,118,137)'],
        [0.3764705882352941, 'rgb(41,119,137)'],
        [0.3803921568627451, 'rgb(41,120,137)'],
        [0.3843137254901961, 'rgb(42,121,137)'],
        [0.38823529411764707, 'rgb(43,122,137)'],
        [0.39215686274509803, 'rgb(43,123,137)'],
        [0.396078431372549, 'rgb(44,124,137)'],
        [0.4, 'rgb(45,124,137)'],
        [0.403921568627451, 'rgb(45,125,137)'],
        [0.40784313725490196, 'rgb(46,126,137)'],
        [0.4117647058823529, 'rgb(47,127,137)'],
        [0.41568627450980394, 'rgb(47,128,137)'],
        [0.4196078431372549, 'rgb(48,129,137)'],
        [0.4235294117647059, 'rgb(49,130,137)'],
        [0.42745098039215684, 'rgb(49,130,136)'],
        [0.43137254901960786, 'rgb(50,131,136)'],
        [0.43529411764705883, 'rgb(51,132,136)'],
        [0.4392156862745098, 'rgb(51,133,136)'],
        [0.44313725490196076, 'rgb(52,134,136)'],
        [0.4470588235294118, 'rgb(52,135,136)'],
        [0.45098039215686275, 'rgb(53,136,136)'],
        [0.4549019607843137, 'rgb(53,137,136)'],
        [0.4588235294117647, 'rgb(54,137,136)'],
        [0.4627450980392157, 'rgb(55,138,136)'],
        [0.4666666666666667, 'rgb(55,139,136)'],
        [0.47058823529411764, 'rgb(56,140,136)'],
        [0.4745098039215686, 'rgb(56,141,136)'],
        [0.47843137254901963, 'rgb(57,142,136)'],
        [0.4823529411764706, 'rgb(57,143,136)'],
        [0.48627450980392156, 'rgb(58,144,135)'],
        [0.49019607843137253, 'rgb(58,144,135)'],
        [0.49411764705882355, 'rgb(59,145,135)'],
        [0.4980392156862745, 'rgb(59,146,135)'],
        [0.5019607843137255, 'rgb(60,147,135)'],
        [0.5058823529411764, 'rgb(60,148,135)'],
        [0.5098039215686274, 'rgb(61,149,135)'],
        [0.5137254901960784, 'rgb(61,150,135)'],
        [0.5176470588235295, 'rgb(62,151,135)'],
        [0.5215686274509804, 'rgb(62,152,134)'],
        [0.5254901960784314, 'rgb(63,153,134)'],
        [0.5294117647058824, 'rgb(63,153,134)'],
        [0.5333333333333333, 'rgb(64,154,134)'],
        [0.5372549019607843, 'rgb(65,155,134)'],
        [0.5411764705882353, 'rgb(65,156,133)'],
        [0.5450980392156862, 'rgb(66,157,133)'],
        [0.5490196078431373, 'rgb(66,158,133)'],
        [0.5529411764705883, 'rgb(67,159,133)'],
        [0.5568627450980392, 'rgb(67,160,132)'],
        [0.5607843137254902, 'rgb(68,161,132)'],
        [0.5647058823529412, 'rgb(68,162,132)'],
        [0.5686274509803921, 'rgb(69,163,132)'],
        [0.5725490196078431, 'rgb(70,164,131)'],
        [0.5764705882352941, 'rgb(70,164,131)'],
        [0.5803921568627451, 'rgb(71,165,131)'],
        [0.5843137254901961, 'rgb(72,166,130)'],
        [0.5882352941176471, 'rgb(72,167,130)'],
        [0.592156862745098, 'rgb(73,168,130)'],
        [0.596078431372549, 'rgb(74,169,129)'],
        [0.6, 'rgb(74,170,129)'],
        [0.6039215686274509, 'rgb(75,171,129)'],
        [0.6078431372549019, 'rgb(76,172,128)'],
        [0.611764705882353, 'rgb(76,173,128)'],
        [0.615686274509804, 'rgb(77,174,127)'],
        [0.6196078431372549, 'rgb(78,174,127)'],
        [0.6235294117647059, 'rgb(79,175,126)'],
        [0.6274509803921569, 'rgb(80,176,126)'],
        [0.6313725490196078, 'rgb(81,177,125)'],
        [0.6352941176470588, 'rgb(81,178,125)'],
        [0.6392156862745098, 'rgb(82,179,124)'],
        [0.6431372549019608, 'rgb(83,180,124)'],
        [0.6470588235294118, 'rgb(84,181,123)'],
        [0.6509803921568628, 'rgb(85,182,123)'],
        [0.6549019607843137, 'rgb(86,183,122)'],
        [0.6588235294117647, 'rgb(87,184,121)'],
        [0.6627450980392157, 'rgb(88,184,121)'],
        [0.6666666666666666, 'rgb(90,185,120)'],
        [0.6705882352941176, 'rgb(91,186,119)'],
        [0.6745098039215687, 'rgb(92,187,119)'],
        [0.6784313725490196, 'rgb(93,188,118)'],
        [0.6823529411764706, 'rgb(94,189,117)'],
        [0.6862745098039216, 'rgb(95,190,117)'],
        [0.6901960784313725, 'rgb(97,191,116)'],
        [0.6941176470588235, 'rgb(98,191,115)'],
        [0.6980392156862745, 'rgb(99,192,114)'],
        [0.7019607843137254, 'rgb(101,193,114)'],
        [0.7058823529411765, 'rgb(102,194,113)'],
        [0.7098039215686275, 'rgb(104,195,112)'],
        [0.7137254901960784, 'rgb(105,196,111)'],
        [0.7176470588235294, 'rgb(107,196,110)'],
        [0.7215686274509804, 'rgb(108,197,110)'],
        [0.7254901960784313, 'rgb(110,198,109)'],
        [0.7294117647058823, 'rgb(112,199,108)'],
        [0.7333333333333333, 'rgb(113,200,107)'],
        [0.7372549019607844, 'rgb(115,200,106)'],
        [0.7411764705882353, 'rgb(117,201,105)'],
        [0.7450980392156863, 'rgb(119,202,104)'],
        [0.7490196078431373, 'rgb(120,203,104)'],
        [0.7529411764705882, 'rgb(122,203,103)'],
        [0.7568627450980392, 'rgb(124,204,102)'],
        [0.7607843137254902, 'rgb(126,205,101)'],
        [0.7647058823529411, 'rgb(128,206,100)'],
        [0.7686274509803922, 'rgb(130,206,99)'],
        [0.7725490196078432, 'rgb(132,207,98)'],
        [0.7764705882352941, 'rgb(134,208,98)'],
        [0.7803921568627451, 'rgb(137,208,97)'],
        [0.7843137254901961, 'rgb(139,209,96)'],
        [0.788235294117647, 'rgb(141,210,95)'],
        [0.792156862745098, 'rgb(143,210,95)'],
        [0.796078431372549, 'rgb(146,211,94)'],
        [0.8, 'rgb(148,211,93)'],
        [0.803921568627451, 'rgb(151,212,93)'],
        [0.807843137254902, 'rgb(153,212,93)'],
        [0.8117647058823529, 'rgb(155,213,92)'],
        [0.8156862745098039, 'rgb(158,214,92)'],
        [0.8196078431372549, 'rgb(160,214,92)'],
        [0.8235294117647058, 'rgb(163,215,92)'],
        [0.8274509803921568, 'rgb(165,215,92)'],
        [0.8313725490196079, 'rgb(168,216,92)'],
        [0.8352941176470589, 'rgb(170,216,92)'],
        [0.8392156862745098, 'rgb(173,216,92)'],
        [0.8431372549019608, 'rgb(175,217,93)'],
        [0.8470588235294118, 'rgb(177,217,93)'],
        [0.8509803921568627, 'rgb(180,218,94)'],
        [0.8549019607843137, 'rgb(182,218,95)'],
        [0.8588235294117647, 'rgb(184,219,96)'],
        [0.8627450980392157, 'rgb(187,219,97)'],
        [0.8666666666666667, 'rgb(189,220,98)'],
        [0.8705882352941177, 'rgb(191,220,99)'],
        [0.8745098039215686, 'rgb(193,221,100)'],
        [0.8784313725490196, 'rgb(196,221,101)'],
        [0.8823529411764706, 'rgb(198,222,102)'],
        [0.8862745098039215, 'rgb(200,222,103)'],
        [0.8901960784313725, 'rgb(202,223,105)'],
        [0.8941176470588236, 'rgb(204,223,106)'],
        [0.8980392156862745, 'rgb(206,224,108)'],
        [0.9019607843137255, 'rgb(208,224,109)'],
        [0.9058823529411765, 'rgb(210,225,111)'],
        [0.9098039215686274, 'rgb(212,225,112)'],
        [0.9137254901960784, 'rgb(214,226,114)'],
        [0.9176470588235294, 'rgb(216,226,115)'],
        [0.9215686274509803, 'rgb(218,227,117)'],
        [0.9254901960784314, 'rgb(220,227,119)'],
        [0.9294117647058824, 'rgb(222,228,121)'],
        [0.9333333333333333, 'rgb(224,229,122)'],
        [0.9372549019607843, 'rgb(225,229,124)'],
        [0.9411764705882353, 'rgb(227,230,126)'],
        [0.9450980392156862, 'rgb(229,230,128)'],
        [0.9490196078431372, 'rgb(231,231,129)'],
        [0.9529411764705882, 'rgb(233,231,131)'],
        [0.9568627450980393, 'rgb(235,232,133)'],
        [0.9607843137254902, 'rgb(236,233,135)'],
        [0.9647058823529412, 'rgb(238,233,137)'],
        [0.9686274509803922, 'rgb(240,234,138)'],
        [0.9725490196078431, 'rgb(242,234,140)'],
        [0.9764705882352941, 'rgb(243,235,142)'],
        [0.9803921568627451, 'rgb(245,236,144)'],
        [0.984313725490196, 'rgb(247,236,146)'],
        [0.9882352941176471, 'rgb(248,237,148)'],
        [0.9921568627450981, 'rgb(250,238,150)'],
        [0.996078431372549, 'rgb(252,238,152)'],
        [1.0, 'rgb(253,239,154)'],
    ],
    'cmo.ice': [
        [0.0, 'rgb(4,6,19)'],
        [0.00392156862745098, 'rgb(5,6,20)'],
        [0.00784313725490196, 'rgb(5,7,21)'],
        [0.011764705882352941, 'rgb(6,8,23)'],
        [0.01568627450980392, 'rgb(7,9,24)'],
        [0.0196078431372549, 'rgb(8,10,26)'],
        [0.023529411764705882, 'rgb(9,11,27)'],
        [0.027450980392156862, 'rgb(10,12,29)'],
        [0.03137254901960784, 'rgb(11,13,30)'],
        [0.03529411764705882, 'rgb(12,13,31)'],
        [0.0392156862745098, 'rgb(13,14,33)'],
        [0.043137254901960784, 'rgb(14,15,34)'],
        [0.047058823529411764, 'rgb(15,16,36)'],
        [0.050980392156862744, 'rgb(16,17,37)'],
        [0.054901960784313725, 'rgb(17,18,39)'],
        [0.058823529411764705, 'rgb(18,19,40)'],
        [0.06274509803921569, 'rgb(19,19,42)'],
        [0.06666666666666667, 'rgb(20,20,43)'],
        [0.07058823529411765, 'rgb(21,21,44)'],
        [0.07450980392156863, 'rgb(22,22,46)'],
        [0.0784313725490196, 'rgb(23,23,47)'],
        [0.08235294117647059, 'rgb(23,24,49)'],
        [0.08627450980392157, 'rgb(24,24,50)'],
        [0.09019607843137255, 'rgb(25,25,52)'],
        [0.09411764705882353, 'rgb(26,26,53)'],
        [0.09803921568627451, 'rgb(27,27,55)'],
        [0.10196078431372549, 'rgb(28,28,56)'],
        [0.10588235294117647, 'rgb(29,28,58)'],
        [0.10980392156862745, 'rgb(30,29,59)'],
        [0.11372549019607843, 'rgb(31,30,61)'],
        [0.11764705882352941, 'rgb(31,31,62)'],
        [0.12156862745098039, 'rgb(32,31,64)'],
        [0.12549019607843137, 'rgb(33,32,65)'],
        [0.12941176470588237, 'rgb(34,33,67)'],
        [0.13333333333333333, 'rgb(35,34,68)'],
        [0.13725490196078433, 'rgb(36,34,70)'],
        [0.1411764705882353, 'rgb(37,35,71)'],
        [0.1450980392156863, 'rgb(37,36,73)'],
        [0.14901960784313725, 'rgb(38,37,74)'],
        [0.15294117647058825, 'rgb(39,37,76)'],
        [0.1568627450980392, 'rgb(40,38,78)'],
        [0.1607843137254902, 'rgb(41,39,79)'],
        [0.16470588235294117, 'rgb(41,40,81)'],
        [0.16862745098039217, 'rgb(42,40,82)'],
        [0.17254901960784313, 'rgb(43,41,84)'],
        [0.17647058823529413, 'rgb(44,42,85)'],
        [0.1803921568627451, 'rgb(44,43,87)'],
        [0.1843137254901961, 'rgb(45,43,89)'],
        [0.18823529411764706, 'rgb(46,44,90)'],
        [0.19215686274509805, 'rgb(47,45,92)'],
        [0.19607843137254902, 'rgb(47,46,94)'],
        [0.2, 'rgb(48,47,95)'],
        [0.20392156862745098, 'rgb(49,47,97)'],
        [0.20784313725490197, 'rgb(49,48,98)'],
        [0.21176470588235294, 'rgb(50,49,100)'],
        [0.21568627450980393, 'rgb(51,50,102)'],
        [0.2196078431372549, 'rgb(51,50,103)'],
        [0.2235294117647059, 'rgb(52,51,105)'],
        [0.22745098039215686, 'rgb(53,52,107)'],
        [0.23137254901960785, 'rgb(53,53,108)'],
        [0.23529411764705882, 'rgb(54,53,110)'],
        [0.23921568627450981, 'rgb(54,54,112)'],
        [0.24313725490196078, 'rgb(55,55,113)'],
        [0.24705882352941178, 'rgb(56,56,115)'],
        [0.25098039215686274, 'rgb(56,57,117)'],
        [0.2549019607843137, 'rgb(57,57,118)'],
        [0.25882352941176473, 'rgb(57,58,120)'],
        [0.2627450980392157, 'rgb(58,59,122)'],
        [0.26666666666666666, 'rgb(58,60,123)'],
        [0.27058823529411763, 'rgb(58,61,125)'],
        [0.27450980392156865, 'rgb(59,62,127)'],
        [0.2784313725490196, 'rgb(59,62,128)'],
        [0.2823529411764706, 'rgb(60,63,130)'],
        [0.28627450980392155, 'rgb(60,64,132)'],
        [0.2901960784313726, 'rgb(60,65,133)'],
        [0.29411764705882354, 'rgb(61,66,135)'],
        [0.2980392156862745, 'rgb(61,67,137)'],
        [0.30196078431372547, 'rgb(61,68,138)'],
        [0.3058823529411765, 'rgb(62,69,140)'],
        [0.30980392156862746, 'rgb(62,70,141)'],
        [0.3137254901960784, 'rgb(62,71,143)'],
        [0.3176470588235294, 'rgb(62,72,144)'],
        [0.3215686274509804, 'rgb(62,73,146)'],
        [0.3254901960784314, 'rgb(62,73,147)'],
        [0.32941176470588235, 'rgb(63,74,149)'],
        [0.3333333333333333, 'rgb(63,75,150)'],
        [0.33725490196078434, 'rgb(63,76,151)'],
        [0.3411764705882353, 'rgb(63,78,153)'],
        [0.34509803921568627, 'rgb(63,79,154)'],
        [0.34901960784313724, 'rgb(63,80,155)'],
        [0.35294117647058826, 'rgb(63,81,157)'],
        [0.3568627450980392, 'rgb(63,82,158)'],
        [0.3607843137254902, 'rgb(63,83,159)'],
        [0.36470588235294116, 'rgb(63,84,160)'],
        [0.3686274509803922, 'rgb(63,85,161)'],
        [0.37254901960784315, 'rgb(63,86,162)'],
        [0.3764705882352941, 'rgb(63,87,163)'],
        [0.3803921568627451, 'rgb(63,88,164)'],
        [0.3843137254901961, 'rgb(63,89,165)'],
        [0.38823529411764707, 'rgb(62,90,166)'],
        [0.39215686274509803, 'rgb(62,92,167)'],
        [0.396078431372549, 'rgb(62,93,168)'],
        [0.4, 'rgb(62,94,169)'],
        [0.403921568627451, 'rgb(62,95,170)'],
        [0.40784313725490196, 'rgb(62,96,171)'],
        [0.4117647058823529, 'rgb(62,97,171)'],
        [0.41568627450980394, 'rgb(62,98,172)'],
        [0.4196078431372549, 'rgb(62,99,173)'],
        [0.4235294117647059, 'rgb(62,101,173)'],
        [0.42745098039215684, 'rgb(62,102,174)'],
        [0.43137254901960786, 'rgb(62,103,175)'],
        [0.43529411764705883, 'rgb(62,104,175)'],
        [0.4392156862745098, 'rgb(62,105,176)'],
        [0.44313725490196076, 'rgb(62,106,176)'],
        [0.4470588235294118, 'rgb(63,107,177)'],
        [0.45098039215686275, 'rgb(63,108,178)'],
        [0.4549019607843137, 'rgb(63,110,178)'],
        [0.4588235294117647, 'rgb(63,111,179)'],
        [0.4627450980392157, 'rgb(63,112,179)'],
        [0.4666666666666667, 'rgb(63,113,180)'],
        [0.47058823529411764, 'rgb(64,114,180)'],
        [0.4745098039215686, 'rgb(64,115,180)'],
        [0.47843137254901963, 'rgb(64,116,181)'],
        [0.4823529411764706, 'rgb(64,117,181)'],
        [0.48627450980392156, 'rgb(65,118,182)'],
        [0.49019607843137253, 'rgb(65,120,182)'],
        [0.49411764705882355, 'rgb(66,121,183)'],
        [0.4980392156862745, 'rgb(66,122,183)'],
        [0.5019607843137255, 'rgb(66,123,183)'],
        [0.5058823529411764, 'rgb(67,124,184)'],
        [0.5098039215686274, 'rgb(67,125,184)'],
        [0.5137254901960784, 'rgb(68,126,185)'],
        [0.5176470588235295, 'rgb(68,127,185)'],
        [0.5215686274509804, 'rgb(69,128,185)'],
        [0.5254901960784314, 'rgb(69,129,186)'],
        [0.5294117647058824, 'rgb(70,130,186)'],
        [0.5333333333333333, 'rgb(70,132,187)'],
        [0.5372549019607843, 'rgb(71,133,187)'],
        [0.5411764705882353, 'rgb(71,134,187)'],
        [0.5450980392156862, 'rgb(72,135,188)'],
        [0.5490196078431373, 'rgb(73,136,188)'],
        [0.5529411764705883, 'rgb(73,137,188)'],
        [0.5568627450980392, 'rgb(74,138,189)'],
        [0.5607843137254902, 'rgb(75,139,189)'],
        [0.5647058823529412, 'rgb(75,140,189)'],
        [0.5686274509803921, 'rgb(76,141,190)'],
        [0.5725490196078431, 'rgb(77,142,190)'],
        [0.5764705882352941, 'rgb(78,143,191)'],
        [0.5803921568627451, 'rgb(78,144,191)'],
        [0.5843137254901961, 'rgb(79,145,191)'],
        [0.5882352941176471, 'rgb(80,146,192)'],
        [0.592156862745098, 'rgb(81,148,192)'],
        [0.596078431372549, 'rgb(81,149,192)'],
        [0.6, 'rgb(82,150,193)'],
        [0.6039215686274509, 'rgb(83,151,193)'],
        [0.6078431372549019, 'rgb(84,152,194)'],
        [0.611764705882353, 'rgb(85,153,194)'],
        [0.615686274509804, 'rgb(85,154,194)'],
        [0.6196078431372549, 'rgb(86,155,195)'],
        [0.6235294117647059, 'rgb(87,156,195)'],
        [0.6274509803921569, 'rgb(88,157,195)'],
        [0.6313725490196078, 'rgb(89,158,196)'],
        [0.6352941176470588, 'rgb(90,159,196)'],
        [0.6392156862745098, 'rgb(91,160,197)'],
        [0.6431372549019608, 'rgb(92,161,197)'],
        [0.6470588235294118, 'rgb(93,162,197)'],
        [0.6509803921568628, 'rgb(94,163,198)'],
        [0.6549019607843137, 'rgb(95,164,198)'],
        [0.6588235294117647, 'rgb(95,166,199)'],
        [0.6627450980392157, 'rgb(96,167,199)'],
        [0.6666666666666666, 'rgb(97,168,199)'],
        [0.6705882352941176, 'rgb(98,169,200)'],
        [0.6745098039215687, 'rgb(99,170,200)'],
        [0.6784313725490196, 'rgb(100,171,201)'],
        [0.6823529411764706, 'rgb(101,172,201)'],
        [0.6862745098039216, 'rgb(103,173,201)'],
        [0.6901960784313725, 'rgb(104,174,202)'],
        [0.6941176470588235, 'rgb(105,175,202)'],
        [0.6980392156862745, 'rgb(106,176,203)'],
        [0.7019607843137254, 'rgb(107,177,203)'],
        [0.7058823529411765, 'rgb(108,178,203)'],
        [0.7098039215686275, 'rgb(109,179,204)'],
        [0.7137254901960784, 'rgb(110,180,204)'],
        [0.7176470588235294, 'rgb(111,181,205)'],
        [0.7215686274509804, 'rgb(113,182,205)'],
        [0.7254901960784313, 'rgb(114,184,206)'],
        [0.7294117647058823, 'rgb(115,185,206)'],
        [0.7333333333333333, 'rgb(116,186,206)'],
        [0.7372549019607844, 'rgb(117,187,207)'],
        [0.7411764705882353, 'rgb(119,188,207)'],
        [0.7450980392156863, 'rgb(120,189,208)'],
        [0.7490196078431373, 'rgb(121,190,208)'],
        [0.7529411764705882, 'rgb(123,191,208)'],
        [0.7568627450980392, 'rgb(124,192,209)'],
        [0.7607843137254902, 'rgb(125,193,209)'],
        [0.7647058823529411, 'rgb(127,194,210)'],
        [0.7686274509803922, 'rgb(128,195,210)'],
        [0.7725490196078432, 'rgb(130,196,211)'],
        [0.7764705882352941, 'rgb(131,197,211)'],
        [0.7803921568627451, 'rgb(133,198,211)'],
        [0.7843137254901961, 'rgb(134,199,212)'],
        [0.788235294117647, 'rgb(136,200,212)'],
        [0.792156862745098, 'rgb(137,201,213)'],
        [0.796078431372549, 'rgb(139,202,213)'],
        [0.8, 'rgb(140,203,214)'],
        [0.803921568627451, 'rgb(142,204,214)'],
        [0.807843137254902, 'rgb(144,205,215)'],
        [0.8117647058823529, 'rgb(146,206,215)'],
        [0.8156862745098039, 'rgb(147,207,216)'],
        [0.8196078431372549, 'rgb(149,208,216)'],
        [0.8235294117647058, 'rgb(151,209,217)'],
        [0.8274509803921568, 'rgb(153,210,217)'],
        [0.8313725490196079, 'rgb(154,211,218)'],
        [0.8352941176470589, 'rgb(156,212,218)'],
        [0.8392156862745098, 'rgb(158,213,219)'],
        [0.8431372549019608, 'rgb(160,214,220)'],
        [0.8470588235294118, 'rgb(162,214,220)'],
        [0.8509803921568627, 'rgb(164,215,221)'],
        [0.8549019607843137, 'rgb(166,216,222)'],
        [0.8588235294117647, 'rgb(168,217,222)'],
        [0.8627450980392157, 'rgb(169,218,223)'],
        [0.8666666666666667, 'rgb(171,219,224)'],
        [0.8705882352941177, 'rgb(173,220,224)'],
        [0.8745098039215686, 'rgb(175,221,225)'],
        [0.8784313725490196, 'rgb(177,222,226)'],
        [0.8823529411764706, 'rgb(179,223,227)'],
        [0.8862745098039215, 'rgb(181,224,227)'],
        [0.8901960784313725, 'rgb(183,225,228)'],
        [0.8941176470588236, 'rgb(185,226,229)'],
        [0.8980392156862745, 'rgb(186,227,230)'],
        [0.9019607843137255, 'rgb(188,228,231)'],
        [0.9058823529411765, 'rgb(190,229,231)'],
        [0.9098039215686274, 'rgb(192,230,232)'],
        [0.9137254901960784, 'rgb(194,230,233)'],
        [0.9176470588235294, 'rgb(196,231,234)'],
        [0.9215686274509803, 'rgb(198,232,235)'],
        [0.9254901960784314, 'rgb(200,233,236)'],
        [0.9294117647058824, 'rgb(201,234,237)'],
        [0.9333333333333333, 'rgb(203,235,238)'],
        [0.9372549019607843, 'rgb(205,236,239)'],
        [0.9411764705882353, 'rgb(207,237,239)'],
        [0.9450980392156862, 'rgb(209,238,240)'],
        [0.9490196078431372, 'rgb(211,239,241)'],
        [0.9529411764705882, 'rgb(213,240,242)'],
        [0.9568627450980393, 'rgb(214,241,243)'],
        [0.9607843137254902, 'rgb(216,242,244)'],
        [0.9647058823529412, 'rgb(218,243,245)'],
        [0.9686274509803922, 'rgb(220,244,246)'],
        [0.9725490196078431, 'rgb(222,245,247)'],
        [0.9764705882352941, 'rgb(224,246,248)'],
        [0.9803921568627451, 'rgb(225,247,249)'],
        [0.984313725490196, 'rgb(227,249,250)'],
        [0.9882352941176471, 'rgb(229,250,251)'],
        [0.9921568627450981, 'rgb(231,251,251)'],
        [0.996078431372549, 'rgb(232,252,252)'],
        [1.0, 'rgb(234,253,253)'],
    ],
    'cmo.matter': [
        [0.0, 'rgb(254,237,176)'],
        [0.00392156862745098, 'rgb(253,236,175)'],
        [0.00784313725490196, 'rgb(253,234,173)'],
        [0.011764705882352941, 'rgb(253,233,172)'],
        [0.01568627450980392, 'rgb(253,232,171)'],
        [0.0196078431372549, 'rgb(253,230,169)'],
        [0.023529411764705882, 'rgb(253,229,168)'],
        [0.027450980392156862, 'rgb(253,227,167)'],
        [0.03137254901960784, 'rgb(253,226,165)'],
        [0.03529411764705882, 'rgb(252,225,164)'],
        [0.0392156862745098, 'rgb(252,223,163)'],
        [0.043137254901960784, 'rgb(252,222,161)'],
        [0.047058823529411764, 'rgb(252,220,160)'],
        [0.050980392156862744, 'rgb(252,219,159)'],
        [0.054901960784313725, 'rgb(252,218,157)'],
        [0.058823529411764705, 'rgb(252,216,156)'],
        [0.06274509803921569, 'rgb(251,215,155)'],
        [0.06666666666666667, 'rgb(251,213,154)'],
        [0.07058823529411765, 'rgb(251,212,152)'],
        [0.07450980392156863, 'rgb(251,211,151)'],
        [0.0784313725490196, 'rgb(251,209,150)'],
        [0.08235294117647059, 'rgb(251,208,148)'],
        [0.08627450980392157, 'rgb(251,207,147)'],
        [0.09019607843137255, 'rgb(250,205,146)'],
        [0.09411764705882353, 'rgb(250,204,145)'],
        [0.09803921568627451, 'rgb(250,202,144)'],
        [0.10196078431372549, 'rgb(250,201,142)'],
        [0.10588235294117647, 'rgb(250,200,141)'],
        [0.10980392156862745, 'rgb(250,198,140)'],
        [0.11372549019607843, 'rgb(250,197,139)'],
        [0.11764705882352941, 'rgb(249,195,138)'],
        [0.12156862745098039, 'rgb(249,194,136)'],
        [0.12549019607843137, 'rgb(249,193,135)'],
        [0.12941176470588237, 'rgb(249,191,134)'],
        [0.13333333333333333, 'rgb(249,190,133)'],
        [0.13725490196078433, 'rgb(249,189,132)'],
        [0.1411764705882353, 'rgb(248,187,131)'],
        [0.1450980392156863, 'rgb(248,186,130)'],
        [0.14901960784313725, 'rgb(248,184,128)'],
        [0.15294117647058825, 'rgb(248,183,127)'],
        [0.1568627450980392, 'rgb(248,182,126)'],
        [0.1607843137254902, 'rgb(247,180,125)'],
        [0.16470588235294117, 'rgb(247,179,124)'],
        [0.16862745098039217, 'rgb(247,178,123)'],
        [0.17254901960784313, 'rgb(247,176,122)'],
        [0.17647058823529413, 'rgb(247,175,121)'],
        [0.1803921568627451, 'rgb(246,174,120)'],
        [0.1843137254901961, 'rgb(246,172,119)'],
        [0.18823529411764706, 'rgb(246,171,118)'],
        [0.19215686274509805, 'rgb(246,169,117)'],
        [0.19607843137254902, 'rgb(245,168,116)'],
        [0.2, 'rgb(245,167,115)'],
        [0.20392156862745098, 'rgb(245,165,114)'],
        [0.20784313725490197, 'rgb(245,164,113)'],
        [0.21176470588235294, 'rgb(245,163,112)'],
        [0.21568627450980393, 'rgb(244,161,111)'],
        [0.2196078431372549, 'rgb(244,160,110)'],
        [0.2235294117647059, 'rgb(244,159,109)'],
        [0.22745098039215686, 'rgb(244,157,108)'],
        [0.23137254901960785, 'rgb(243,156,107)'],
        [0.23529411764705882, 'rgb(243,154,106)'],
        [0.23921568627450981, 'rgb(243,153,105)'],
        [0.24313725490196078, 'rgb(242,152,104)'],
        [0.24705882352941178, 'rgb(242,150,104)'],
        [0.25098039215686274, 'rgb(242,149,103)'],
        [0.2549019607843137, 'rgb(242,148,102)'],
        [0.25882352941176473, 'rgb(241,146,101)'],
        [0.2627450980392157, 'rgb(241,145,100)'],
        [0.26666666666666666, 'rgb(241,143,99)'],
        [0.27058823529411763, 'rgb(240,142,99)'],
        [0.27450980392156865, 'rgb(240,141,98)'],
        [0.2784313725490196, 'rgb(240,139,97)'],
        [0.2823529411764706, 'rgb(239,138,96)'],
        [0.28627450980392155, 'rgb(239,137,96)'],
        [0.2901960784313726, 'rgb(239,135,95)'],
        [0.29411764705882354, 'rgb(238,134,94)'],
        [0.2980392156862745, 'rgb(238,133,94)'],
        [0.30196078431372547, 'rgb(238,131,93)'],
        [0.3058823529411765, 'rgb(237,130,92)'],
        [0.30980392156862746, 'rgb(237,129,92)'],
        [0.3137254901960784, 'rgb(237,127,91)'],
        [0.3176470588235294, 'rgb(236,126,90)'],
        [0.3215686274509804, 'rgb(236,124,90)'],
        [0.3254901960784314, 'rgb(236,123,89)'],
        [0.32941176470588235, 'rgb(235,122,89)'],
        [0.3333333333333333, 'rgb(235,120,88)'],
        [0.33725490196078434, 'rgb(234,119,88)'],
        [0.3411764705882353, 'rgb(234,118,87)'],
        [0.34509803921568627, 'rgb(233,116,87)'],
        [0.34901960784313724, 'rgb(233,115,86)'],
        [0.35294117647058826, 'rgb(233,114,86)'],
        [0.3568627450980392, 'rgb(232,112,86)'],
        [0.3607843137254902, 'rgb(232,111,85)'],
        [0.36470588235294116, 'rgb(231,110,85)'],
        [0.3686274509803922, 'rgb(231,108,85)'],
        [0.37254901960784315, 'rgb(230,107,84)'],
        [0.3764705882352941, 'rgb(230,106,84)'],
        [0.3803921568627451, 'rgb(229,104,84)'],
        [0.3843137254901961, 'rgb(229,103,84)'],
        [0.38823529411764707, 'rgb(228,102,83)'],
        [0.39215686274509803, 'rgb(227,100,83)'],
        [0.396078431372549, 'rgb(227,99,83)'],
        [0.4, 'rgb(226,98,83)'],
        [0.403921568627451, 'rgb(226,96,83)'],
        [0.40784313725490196, 'rgb(225,95,83)'],
        [0.4117647058823529, 'rgb(224,94,83)'],
        [0.41568627450980394, 'rgb(224,93,83)'],
        [0.4196078431372549, 'rgb(223,91,83)'],
        [0.4235294117647059, 'rgb(223,90,83)'],
        [0.42745098039215684, 'rgb(222,89,83)'],
        [0.43137254901960786, 'rgb(221,88,83)'],
        [0.43529411764705883, 'rgb(220,86,83)'],
        [0.4392156862745098, 'rgb(220,85,83)'],
        [0.44313725490196076, 'rgb(219,84,83)'],
        [0.4470588235294118, 'rgb(218,83,83)'],
        [0.45098039215686275, 'rgb(217,81,83)'],
        [0.4549019607843137, 'rgb(217,80,83)'],
        [0.4588235294117647, 'rgb(216,79,84)'],
        [0.4627450980392157, 'rgb(215,78,84)'],
        [0.4666666666666667, 'rgb(214,77,84)'],
        [0.47058823529411764, 'rgb(213,76,84)'],
        [0.4745098039215686, 'rgb(213,75,84)'],
        [0.47843137254901963, 'rgb(212,74,85)'],
        [0.4823529411764706, 'rgb(211,72,85)'],
        [0.48627450980392156, 'rgb(210,71,85)'],
        [0.49019607843137253, 'rgb(209,70,86)'],
        [0.49411764705882355, 'rgb(208,69,86)'],
        [0.4980392156862745, 'rgb(207,68,86)'],
        [0.5019607843137255, 'rgb(206,67,86)'],
        [0.5058823529411764, 'rgb(205,66,87)'],
        [0.5098039215686274, 'rgb(204,65,87)'],
        [0.5137254901960784, 'rgb(203,64,87)'],
        [0.5176470588235295, 'rgb(202,63,88)'],
        [0.5215686274509804, 'rgb(201,62,88)'],
        [0.5254901960784314, 'rgb(200,61,88)'],
        [0.5294117647058824, 'rgb(199,61,89)'],
        [0.5333333333333333, 'rgb(198,60,89)'],
        [0.5372549019607843, 'rgb(197,59,89)'],
        [0.5411764705882353, 'rgb(196,58,90)'],
        [0.5450980392156862, 'rgb(195,57,90)'],
        [0.5490196078431373, 'rgb(194,56,90)'],
        [0.5529411764705883, 'rgb(193,55,91)'],
        [0.5568627450980392, 'rgb(192,54,91)'],
        [0.5607843137254902, 'rgb(191,54,91)'],
        [0.5647058823529412, 'rgb(190,53,92)'],
        [0.5686274509803921, 'rgb(189,52,92)'],
        [0.5725490196078431, 'rgb(187,51,92)'],
        [0.5764705882352941, 'rgb(186,50,93)'],
        [0.5803921568627451, 'rgb(185,50,93)'],
        [0.5843137254901961, 'rgb(184,49,93)'],
        [0.5882352941176471, 'rgb(183,48,94)'],
        [0.592156862745098, 'rgb(182,47,94)'],
        [0.596078431372549, 'rgb(181,47,94)'],
        [0.6, 'rgb(179,46,95)'],
        [0.6039215686274509, 'rgb(178,45,95)'],
        [0.6078431372549019, 'rgb(177,45,95)'],
        [0.611764705882353, 'rgb(176,44,95)'],
        [0.615686274509804, 'rgb(175,43,96)'],
        [0.6196078431372549, 'rgb(174,43,96)'],
        [0.6235294117647059, 'rgb(172,42,96)'],
        [0.6274509803921569, 'rgb(171,41,96)'],
        [0.6313725490196078, 'rgb(170,41,97)'],
        [0.6352941176470588, 'rgb(169,40,97)'],
        [0.6392156862745098, 'rgb(167,40,97)'],
        [0.6431372549019608, 'rgb(166,39,97)'],
        [0.6470588235294118, 'rgb(165,38,98)'],
        [0.6509803921568628, 'rgb(164,38,98)'],
        [0.6549019607843137, 'rgb(163,37,98)'],
        [0.6588235294117647, 'rgb(161,37,98)'],
        [0.6627450980392157, 'rgb(160,36,98)'],
        [0.6666666666666666, 'rgb(159,36,98)'],
        [0.6705882352941176, 'rgb(158,35,99)'],
        [0.6745098039215687, 'rgb(156,35,99)'],
        [0.6784313725490196, 'rgb(155,34,99)'],
        [0.6823529411764706, 'rgb(154,34,99)'],
        [0.6862745098039216, 'rgb(153,34,99)'],
        [0.6901960784313725, 'rgb(151,33,99)'],
        [0.6941176470588235, 'rgb(150,33,99)'],
        [0.6980392156862745, 'rgb(149,32,99)'],
        [0.7019607843137254, 'rgb(147,32,99)'],
        [0.7058823529411765, 'rgb(146,31,99)'],
        [0.7098039215686275, 'rgb(145,31,99)'],
        [0.7137254901960784, 'rgb(144,31,99)'],
        [0.7176470588235294, 'rgb(142,30,99)'],
        [0.7215686274509804, 'rgb(141,30,99)'],
        [0.7254901960784313, 'rgb(140,30,99)'],
        [0.7294117647058823, 'rgb(138,29,99)'],
        [0.7333333333333333, 'rgb(137,29,99)'],
        [0.7372549019607844, 'rgb(136,29,99)'],
        [0.7411764705882353, 'rgb(134,29,99)'],
        [0.7450980392156863, 'rgb(133,28,99)'],
        [0.7490196078431373, 'rgb(132,28,99)'],
        [0.7529411764705882, 'rgb(130,28,99)'],
        [0.7568627450980392, 'rgb(129,28,99)'],
        [0.7607843137254902, 'rgb(128,27,98)'],
        [0.7647058823529411, 'rgb(126,27,98)'],
        [0.7686274509803922, 'rgb(125,27,98)'],
        [0.7725490196078432, 'rgb(124,27,98)'],
        [0.7764705882352941, 'rgb(122,27,98)'],
        [0.7803921568627451, 'rgb(121,26,97)'],
        [0.7843137254901961, 'rgb(120,26,97)'],
        [0.788235294117647, 'rgb(118,26,97)'],
        [0.792156862745098, 'rgb(117,26,97)'],
        [0.796078431372549, 'rgb(116,26,96)'],
        [0.8, 'rgb(114,26,96)'],
        [0.803921568627451, 'rgb(113,25,96)'],
        [0.807843137254902, 'rgb(112,25,95)'],
        [0.8117647058823529, 'rgb(110,25,95)'],
        [0.8156862745098039, 'rgb(109,25,94)'],
        [0.8196078431372549, 'rgb(107,25,94)'],
        [0.8235294117647058, 'rgb(106,25,94)'],
        [0.8274509803921568, 'rgb(105,25,93)'],
        [0.8313725490196079, 'rgb(103,25,93)'],
        [0.8352941176470589, 'rgb(102,24,92)'],
        [0.8392156862745098, 'rgb(101,24,92)'],
        [0.8431372549019608, 'rgb(99,24,91)'],
        [0.8470588235294118, 'rgb(98,24,91)'],
        [0.8509803921568627, 'rgb(97,24,90)'],
        [0.8549019607843137, 'rgb(95,24,90)'],
        [0.8588235294117647, 'rgb(94,24,89)'],
        [0.8627450980392157, 'rgb(93,23,88)'],
        [0.8666666666666667, 'rgb(91,23,88)'],
        [0.8705882352941177, 'rgb(90,23,87)'],
        [0.8745098039215686, 'rgb(89,23,87)'],
        [0.8784313725490196, 'rgb(87,23,86)'],
        [0.8823529411764706, 'rgb(86,23,85)'],
        [0.8862745098039215, 'rgb(85,23,85)'],
        [0.8901960784313725, 'rgb(83,22,84)'],
        [0.8941176470588236, 'rgb(82,22,83)'],
        [0.8980392156862745, 'rgb(81,22,83)'],
        [0.9019607843137255, 'rgb(79,22,82)'],
        [0.9058823529411765, 'rgb(78,22,81)'],
        [0.9098039215686274, 'rgb(77,21,81)'],
        [0.9137254901960784, 'rgb(75,21,80)'],
        [0.9176470588235294, 'rgb(74,21,79)'],
        [0.9215686274509803, 'rgb(73,21,78)'],
        [0.9254901960784314, 'rgb(71,21,78)'],
        [0.9294117647058824, 'rgb(70,20,77)'],
        [0.9333333333333333, 'rgb(69,20,76)'],
        [0.9372549019607843, 'rgb(68,20,75)'],
        [0.9411764705882353, 'rgb(66,20,75)'],
        [0.9450980392156862, 'rgb(65,19,74)'],
        [0.9490196078431372, 'rgb(64,19,73)'],
        [0.9529411764705882, 'rgb(62,19,72)'],
        [0.9568627450980393, 'rgb(61,19,71)'],
        [0.9607843137254902, 'rgb(60,18,71)'],
        [0.9647058823529412, 'rgb(59,18,70)'],
        [0.9686274509803922, 'rgb(57,18,69)'],
        [0.9725490196078431, 'rgb(56,17,68)'],
        [0.9764705882352941, 'rgb(55,17,67)'],
        [0.9803921568627451, 'rgb(54,17,66)'],
        [0.984313725490196, 'rgb(52,17,65)'],
        [0.9882352941176471, 'rgb(51,16,65)'],
        [0.9921568627450981, 'rgb(50,16,64)'],
        [0.996078431372549, 'rgb(48,15,63)'],
        [1.0, 'rgb(47,15,62)'],
    ],
    'cmo.oxy': [
        [0.0, 'rgb(64,5,5)'],
        [0.00392156862745098, 'rgb(65,5,5)'],
        [0.00784313725490196, 'rgb(67,6,6)'],
        [0.011764705882352941, 'rgb(68,6,6)'],
        [0.01568627450980392, 'rgb(71,6,7)'],
        [0.0196078431372549, 'rgb(72,6,7)'],
        [0.023529411764705882, 'rgb(73,6,7)'],
        [0.027450980392156862, 'rgb(75,6,8)'],
        [0.03137254901960784, 'rgb(77,7,8)'],
        [0.03529411764705882, 'rgb(79,7,9)'],
        [0.0392156862745098, 'rgb(80,7,9)'],
        [0.043137254901960784, 'rgb(81,7,9)'],
        [0.047058823529411764, 'rgb(84,7,10)'],
        [0.050980392156862744, 'rgb(85,7,11)'],
        [0.054901960784313725, 'rgb(87,7,11)'],
        [0.058823529411764705, 'rgb(88,7,11)'],
        [0.06274509803921569, 'rgb(91,7,12)'],
        [0.06666666666666667, 'rgb(92,7,12)'],
        [0.07058823529411765, 'rgb(93,7,12)'],
        [0.07450980392156863, 'rgb(95,7,13)'],
        [0.0784313725490196, 'rgb(98,7,13)'],
        [0.08235294117647059, 'rgb(99,7,14)'],
        [0.08627450980392157, 'rgb(100,7,14)'],
        [0.09019607843137255, 'rgb(102,7,14)'],
        [0.09411764705882353, 'rgb(104,7,14)'],
        [0.09803921568627451, 'rgb(106,6,15)'],
        [0.10196078431372549, 'rgb(107,6,15)'],
        [0.10588235294117647, 'rgb(109,6,15)'],
        [0.10980392156862745, 'rgb(111,6,15)'],
        [0.11372549019607843, 'rgb(113,6,15)'],
        [0.11764705882352941, 'rgb(114,6,15)'],
        [0.12156862745098039, 'rgb(115,5,15)'],
        [0.12549019607843137, 'rgb(118,5,15)'],
        [0.12941176470588237, 'rgb(120,5,15)'],
        [0.13333333333333333, 'rgb(121,5,15)'],
        [0.13725490196078433, 'rgb(122,5,15)'],
        [0.1411764705882353, 'rgb(125,5,14)'],
        [0.1450980392156863, 'rgb(126,5,14)'],
        [0.14901960784313725, 'rgb(127,6,13)'],
        [0.15294117647058825, 'rgb(129,6,13)'],
        [0.1568627450980392, 'rgb(131,8,12)'],
        [0.1607843137254902, 'rgb(132,9,12)'],
        [0.16470588235294117, 'rgb(133,10,11)'],
        [0.16862745098039217, 'rgb(134,12,11)'],
        [0.17254901960784313, 'rgb(136,14,10)'],
        [0.17647058823529413, 'rgb(137,16,10)'],
        [0.1803921568627451, 'rgb(138,17,9)'],
        [0.1843137254901961, 'rgb(139,19,9)'],
        [0.18823529411764706, 'rgb(141,21,8)'],
        [0.19215686274509805, 'rgb(142,23,8)'],
        [0.19607843137254902, 'rgb(143,24,8)'],
        [0.2, 'rgb(80,79,79)'],
        [0.20392156862745098, 'rgb(80,80,80)'],
        [0.20784313725490197, 'rgb(81,81,80)'],
        [0.21176470588235294, 'rgb(82,81,81)'],
        [0.21568627450980393, 'rgb(83,83,83)'],
        [0.2196078431372549, 'rgb(84,84,83)'],
        [0.2235294117647059, 'rgb(85,84,84)'],
        [0.22745098039215686, 'rgb(86,85,85)'],
        [0.23137254901960785, 'rgb(87,87,86)'],
        [0.23529411764705882, 'rgb(88,87,87)'],
        [0.23921568627450981, 'rgb(89,88,88)'],
        [0.24313725490196078, 'rgb(89,89,88)'],
        [0.24705882352941178, 'rgb(91,90,90)'],
        [0.25098039215686274, 'rgb(92,91,91)'],
        [0.2549019607843137, 'rgb(92,92,91)'],
        [0.25882352941176473, 'rgb(93,93,92)'],
        [0.2627450980392157, 'rgb(95,94,94)'],
        [0.26666666666666666, 'rgb(95,95,94)'],
        [0.27058823529411763, 'rgb(96,96,95)'],
        [0.27450980392156865, 'rgb(97,96,96)'],
        [0.2784313725490196, 'rgb(98,98,97)'],
        [0.2823529411764706, 'rgb(99,99,98)'],
        [0.28627450980392155, 'rgb(100,99,99)'],
        [0.2901960784313726, 'rgb(101,100,100)'],
        [0.29411764705882354, 'rgb(102,102,101)'],
        [0.2980392156862745, 'rgb(103,102,102)'],
        [0.30196078431372547, 'rgb(104,103,103)'],
        [0.3058823529411765, 'rgb(104,104,103)'],
        [0.30980392156862746, 'rgb(106,105,105)'],
        [0.3137254901960784, 'rgb(107,106,106)'],
        [0.3176470588235294, 'rgb(107,107,106)'],
        [0.3215686274509804, 'rgb(108,108,107)'],
        [0.3254901960784314, 'rgb(110,109,109)'],
        [0.32941176470588235, 'rgb(111,110,110)'],
        [0.3333333333333333, 'rgb(111,111,110)'],
        [0.33725490196078434, 'rgb(112,112,111)'],
        [0.3411764705882353, 'rgb(114,113,113)'],
        [0.34509803921568627, 'rgb(114,114,113)'],
        [0.34901960784313724, 'rgb(115,115,114)'],
        [0.35294117647058826, 'rgb(116,115,115)'],
        [0.3568627450980392, 'rgb(118,117,116)'],
        [0.3607843137254902, 'rgb(118,118,117)'],
        [0.36470588235294116, 'rgb(119,119,118)'],
        [0.3686274509803922, 'rgb(120,119,119)'],
        [0.37254901960784315, 'rgb(121,121,120)'],
        [0.3764705882352941, 'rgb(122,122,121)'],
        [0.3803921568627451, 'rgb(123,123,122)'],
        [0.3843137254901961, 'rgb(124,123,123)'],
        [0.38823529411764707, 'rgb(125,125,124)'],
        [0.39215686274509803, 'rgb(126,126,125)'],
        [0.396078431372549, 'rgb(127,127,126)'],
        [0.4, 'rgb(129,128,127)'],
        [0.403921568627451, 'rgb(129,129,128)'],
        [0.40784313725490196, 'rgb(130,130,129)'],
        [0.4117647058823529, 'rgb(131,131,130)'],
        [0.41568627450980394, 'rgb(133,132,131)'],
        [0.4196078431372549, 'rgb(133,133,132)'],
        [0.4235294117647059, 'rgb(134,134,133)'],
        [0.42745098039215684, 'rgb(135,135,134)'],
        [0.43137254901960786, 'rgb(137,136,135)'],
        [0.43529411764705883, 'rgb(137,137,136)'],
        [0.4392156862745098, 'rgb(138,138,137)'],
        [0.44313725490196076, 'rgb(139,139,138)'],
        [0.4470588235294118, 'rgb(141,140,140)'],
        [0.45098039215686275, 'rgb(141,141,140)'],
        [0.4549019607843137, 'rgb(142,142,141)'],
        [0.4588235294117647, 'rgb(143,143,142)'],
        [0.4627450980392157, 'rgb(145,144,144)'],
        [0.4666666666666667, 'rgb(146,145,144)'],
        [0.47058823529411764, 'rgb(146,146,145)'],
        [0.4745098039215686, 'rgb(147,147,146)'],
        [0.47843137254901963, 'rgb(149,149,148)'],
        [0.4823529411764706, 'rgb(150,149,149)'],
        [0.48627450980392156, 'rgb(151,150,149)'],
        [0.49019607843137253, 'rgb(151,151,150)'],
        [0.49411764705882355, 'rgb(153,153,152)'],
        [0.4980392156862745, 'rgb(154,154,153)'],
        [0.5019607843137255, 'rgb(155,154,154)'],
        [0.5058823529411764, 'rgb(156,155,154)'],
        [0.5098039215686274, 'rgb(157,157,156)'],
        [0.5137254901960784, 'rgb(158,158,157)'],
        [0.5176470588235295, 'rgb(159,159,158)'],
        [0.5215686274509804, 'rgb(160,160,159)'],
        [0.5254901960784314, 'rgb(162,161,160)'],
        [0.5294117647058824, 'rgb(163,162,161)'],
        [0.5333333333333333, 'rgb(163,163,162)'],
        [0.5372549019607843, 'rgb(164,164,163)'],
        [0.5411764705882353, 'rgb(166,166,165)'],
        [0.5450980392156862, 'rgb(167,166,166)'],
        [0.5490196078431373, 'rgb(168,167,167)'],
        [0.5529411764705883, 'rgb(169,168,167)'],
        [0.5568627450980392, 'rgb(170,170,169)'],
        [0.5607843137254902, 'rgb(171,171,170)'],
        [0.5647058823529412, 'rgb(172,172,171)'],
        [0.5686274509803921, 'rgb(173,173,172)'],
        [0.5725490196078431, 'rgb(175,174,174)'],
        [0.5764705882352941, 'rgb(176,175,174)'],
        [0.5803921568627451, 'rgb(177,176,175)'],
        [0.5843137254901961, 'rgb(177,177,176)'],
        [0.5882352941176471, 'rgb(179,179,178)'],
        [0.592156862745098, 'rgb(180,180,179)'],
        [0.596078431372549, 'rgb(181,181,180)'],
        [0.6, 'rgb(183,183,182)'],
        [0.6039215686274509, 'rgb(184,183,183)'],
        [0.6078431372549019, 'rgb(185,184,183)'],
        [0.611764705882353, 'rgb(186,185,184)'],
        [0.615686274509804, 'rgb(187,187,186)'],
        [0.6196078431372549, 'rgb(188,188,187)'],
        [0.6235294117647059, 'rgb(189,189,188)'],
        [0.6274509803921569, 'rgb(190,190,189)'],
        [0.6313725490196078, 'rgb(192,192,191)'],
        [0.6352941176470588, 'rgb(193,193,192)'],
        [0.6392156862745098, 'rgb(194,194,193)'],
        [0.6431372549019608, 'rgb(195,195,194)'],
        [0.6470588235294118, 'rgb(197,197,195)'],
        [0.6509803921568628, 'rgb(198,197,196)'],
        [0.6549019607843137, 'rgb(199,198,197)'],
        [0.6588235294117647, 'rgb(200,199,198)'],
        [0.6627450980392157, 'rgb(202,201,200)'],
        [0.6666666666666666, 'rgb(203,202,201)'],
        [0.6705882352941176, 'rgb(204,203,202)'],
        [0.6745098039215687, 'rgb(204,204,203)'],
        [0.6784313725490196, 'rgb(206,206,205)'],
        [0.6823529411764706, 'rgb(207,207,206)'],
        [0.6862745098039216, 'rgb(208,208,207)'],
        [0.6901960784313725, 'rgb(209,209,208)'],
        [0.6941176470588235, 'rgb(211,211,210)'],
        [0.6980392156862745, 'rgb(212,212,211)'],
        [0.7019607843137254, 'rgb(213,213,212)'],
        [0.7058823529411765, 'rgb(214,214,213)'],
        [0.7098039215686275, 'rgb(216,216,215)'],
        [0.7137254901960784, 'rgb(217,217,216)'],
        [0.7176470588235294, 'rgb(218,218,217)'],
        [0.7215686274509804, 'rgb(219,219,218)'],
        [0.7254901960784313, 'rgb(221,221,220)'],
        [0.7294117647058823, 'rgb(222,222,221)'],
        [0.7333333333333333, 'rgb(223,223,222)'],
        [0.7372549019607844, 'rgb(224,224,223)'],
        [0.7411764705882353, 'rgb(226,226,225)'],
        [0.7450980392156863, 'rgb(227,227,226)'],
        [0.7490196078431373, 'rgb(228,228,227)'],
        [0.7529411764705882, 'rgb(230,229,228)'],
        [0.7568627450980392, 'rgb(232,231,230)'],
        [0.7607843137254902, 'rgb(233,232,231)'],
        [0.7647058823529411, 'rgb(234,233,232)'],
        [0.7686274509803922, 'rgb(235,235,233)'],
        [0.7725490196078432, 'rgb(237,237,235)'],
        [0.7764705882352941, 'rgb(238,238,236)'],
        [0.7803921568627451, 'rgb(239,239,238)'],
        [0.7843137254901961, 'rgb(240,240,239)'],
        [0.788235294117647, 'rgb(242,242,241)'],
        [0.792156862745098, 'rgb(243,243,242)'],
        [0.796078431372549, 'rgb(244,244,243)'],
        [0.8, 'rgb(248,254,105)'],
        [0.803921568627451, 'rgb(246,253,103)'],
        [0.807843137254902, 'rgb(245,252,100)'],
        [0.8117647058823529, 'rgb(244,252,98)'],
        [0.8156862745098039, 'rgb(241,250,93)'],
        [0.8196078431372549, 'rgb(240,249,90)'],
        [0.8235294117647058, 'rgb(239,248,87)'],
        [0.8274509803921568, 'rgb(238,247,84)'],
        [0.8313725490196079, 'rgb(236,245,78)'],
        [0.8352941176470589, 'rgb(235,243,75)'],
        [0.8392156862745098, 'rgb(235,242,72)'],
        [0.8431372549019608, 'rgb(234,241,69)'],
        [0.8470588235294118, 'rgb(234,238,64)'],
        [0.8509803921568627, 'rgb(234,237,62)'],
        [0.8549019607843137, 'rgb(234,235,61)'],
        [0.8588235294117647, 'rgb(234,234,59)'],
        [0.8627450980392157, 'rgb(234,231,56)'],
        [0.8666666666666667, 'rgb(233,230,55)'],
        [0.8705882352941177, 'rgb(233,228,54)'],
        [0.8745098039215686, 'rgb(233,227,52)'],
        [0.8784313725490196, 'rgb(233,224,50)'],
        [0.8823529411764706, 'rgb(232,223,49)'],
        [0.8862745098039215, 'rgb(232,221,48)'],
        [0.8901960784313725, 'rgb(232,220,48)'],
        [0.8941176470588236, 'rgb(232,217,46)'],
        [0.8980392156862745, 'rgb(231,216,45)'],
        [0.9019607843137255, 'rgb(231,215,44)'],
        [0.9058823529411765, 'rgb(231,213,43)'],
        [0.9098039215686274, 'rgb(230,211,42)'],
        [0.9137254901960784, 'rgb(230,209,41)'],
        [0.9176470588235294, 'rgb(230,208,40)'],
        [0.9215686274509803, 'rgb(229,207,40)'],
        [0.9254901960784314, 'rgb(229,204,38)'],
        [0.9294117647058824, 'rgb(229,203,38)'],
        [0.9333333333333333, 'rgb(228,201,37)'],
        [0.9372549019607843, 'rgb(228,200,37)'],
        [0.9411764705882353, 'rgb(227,198,35)'],
        [0.9450980392156862, 'rgb(227,196,35)'],
        [0.9490196078431372, 'rgb(227,195,34)'],
        [0.9529411764705882, 'rgb(226,194,33)'],
        [0.9568627450980393, 'rgb(226,191,32)'],
        [0.9607843137254902, 'rgb(225,190,32)'],
        [0.9647058823529412, 'rgb(225,189,31)'],
        [0.9686274509803922, 'rgb(224,187,31)'],
        [0.9725490196078431, 'rgb(224,185,30)'],
        [0.9764705882352941, 'rgb(223,184,29)'],
        [0.9803921568627451, 'rgb(223,182,29)'],
        [0.984313725490196, 'rgb(223,181,28)'],
        [0.9882352941176471, 'rgb(222,179,27)'],
        [0.9921568627450981, 'rgb(221,177,26)'],
        [0.996078431372549, 'rgb(221,176,26)'],
        [1.0, 'rgb(221,175,25)'],
    ],
    'cmo.phase': [
        [0.0, 'rgb(168,120,13)'],
        [0.00392156862745098, 'rgb(169,119,15)'],
        [0.00784313725490196, 'rgb(171,118,17)'],
        [0.011764705882352941, 'rgb(172,117,19)'],
        [0.01568627450980392, 'rgb(174,116,20)'],
        [0.0196078431372549, 'rgb(175,115,22)'],
        [0.023529411764705882, 'rgb(177,114,24)'],
        [0.027450980392156862, 'rgb(178,113,25)'],
        [0.03137254901960784, 'rgb(179,112,27)'],
        [0.03529411764705882, 'rgb(181,111,29)'],
        [0.0392156862745098, 'rgb(182,110,30)'],
        [0.043137254901960784, 'rgb(183,109,32)'],
        [0.047058823529411764, 'rgb(185,108,34)'],
        [0.050980392156862744, 'rgb(186,107,35)'],
        [0.054901960784313725, 'rgb(187,106,37)'],
        [0.058823529411764705, 'rgb(189,105,38)'],
        [0.06274509803921569, 'rgb(190,104,40)'],
        [0.06666666666666667, 'rgb(191,103,42)'],
        [0.07058823529411765, 'rgb(192,102,43)'],
        [0.07450980392156863, 'rgb(193,101,45)'],
        [0.0784313725490196, 'rgb(194,100,46)'],
        [0.08235294117647059, 'rgb(196,98,48)'],
        [0.08627450980392157, 'rgb(197,97,50)'],
        [0.09019607843137255, 'rgb(198,96,51)'],
        [0.09411764705882353, 'rgb(199,95,53)'],
        [0.09803921568627451, 'rgb(200,94,55)'],
        [0.10196078431372549, 'rgb(201,93,56)'],
        [0.10588235294117647, 'rgb(202,92,58)'],
        [0.10980392156862745, 'rgb(203,90,60)'],
        [0.11372549019607843, 'rgb(204,89,62)'],
        [0.11764705882352941, 'rgb(205,88,63)'],
        [0.12156862745098039, 'rgb(206,87,65)'],
        [0.12549019607843137, 'rgb(207,86,67)'],
        [0.12941176470588237, 'rgb(208,84,69)'],
        [0.13333333333333333, 'rgb(208,83,71)'],
        [0.13725490196078433, 'rgb(209,82,73)'],
        [0.1411764705882353, 'rgb(210,81,75)'],
        [0.1450980392156863, 'rgb(211,79,77)'],
        [0.14901960784313725, 'rgb(212,78,79)'],
        [0.15294117647058825, 'rgb(213,77,81)'],
        [0.1568627450980392, 'rgb(213,75,83)'],
        [0.1607843137254902, 'rgb(214,74,85)'],
        [0.16470588235294117, 'rgb(215,73,87)'],
        [0.16862745098039217, 'rgb(216,71,90)'],
        [0.17254901960784313, 'rgb(216,70,92)'],
        [0.17647058823529413, 'rgb(217,69,94)'],
        [0.1803921568627451, 'rgb(217,67,97)'],
        [0.1843137254901961, 'rgb(218,66,99)'],
        [0.18823529411764706, 'rgb(219,64,102)'],
        [0.19215686274509805, 'rgb(219,63,104)'],
        [0.19607843137254902, 'rgb(220,61,107)'],
        [0.2, 'rgb(220,60,109)'],
        [0.20392156862745098, 'rgb(221,58,112)'],
        [0.20784313725490197, 'rgb(221,57,115)'],
        [0.21176470588235294, 'rgb(221,56,118)'],
        [0.21568627450980393, 'rgb(222,54,120)'],
        [0.2196078431372549, 'rgb(222,53,123)'],
        [0.2235294117647059, 'rgb(222,51,126)'],
        [0.22745098039215686, 'rgb(222,50,129)'],
        [0.23137254901960785, 'rgb(223,49,132)'],
        [0.23529411764705882, 'rgb(223,47,135)'],
        [0.23921568627450981, 'rgb(223,46,138)'],
        [0.24313725490196078, 'rgb(223,45,141)'],
        [0.24705882352941178, 'rgb(223,43,144)'],
        [0.25098039215686274, 'rgb(223,42,147)'],
        [0.2549019607843137, 'rgb(222,41,151)'],
        [0.25882352941176473, 'rgb(222,40,154)'],
        [0.2627450980392157, 'rgb(222,40,157)'],
        [0.26666666666666666, 'rgb(222,39,160)'],
        [0.27058823529411763, 'rgb(221,38,163)'],
        [0.27450980392156865, 'rgb(221,38,166)'],
        [0.2784313725490196, 'rgb(220,37,169)'],
        [0.2823529411764706, 'rgb(220,37,173)'],
        [0.28627450980392155, 'rgb(219,37,176)'],
        [0.2901960784313726, 'rgb(218,37,179)'],
        [0.29411764705882354, 'rgb(218,38,182)'],
        [0.2980392156862745, 'rgb(217,38,185)'],
        [0.30196078431372547, 'rgb(216,39,188)'],
        [0.3058823529411765, 'rgb(215,39,190)'],
        [0.30980392156862746, 'rgb(214,40,193)'],
        [0.3137254901960784, 'rgb(213,41,196)'],
        [0.3176470588235294, 'rgb(212,42,199)'],
        [0.3215686274509804, 'rgb(211,43,201)'],
        [0.3254901960784314, 'rgb(210,45,204)'],
        [0.32941176470588235, 'rgb(209,46,206)'],
        [0.3333333333333333, 'rgb(208,47,208)'],
        [0.33725490196078434, 'rgb(207,49,211)'],
        [0.3411764705882353, 'rgb(205,50,213)'],
        [0.34509803921568627, 'rgb(204,52,215)'],
        [0.34901960784313724, 'rgb(203,53,217)'],
        [0.35294117647058826, 'rgb(201,55,219)'],
        [0.3568627450980392, 'rgb(200,57,221)'],
        [0.3607843137254902, 'rgb(198,58,223)'],
        [0.36470588235294116, 'rgb(197,60,225)'],
        [0.3686274509803922, 'rgb(195,62,226)'],
        [0.37254901960784315, 'rgb(194,63,228)'],
        [0.3764705882352941, 'rgb(192,65,229)'],
        [0.3803921568627451, 'rgb(190,67,231)'],
        [0.3843137254901961, 'rgb(189,69,232)'],
        [0.38823529411764707, 'rgb(187,70,233)'],
        [0.39215686274509803, 'rgb(185,72,235)'],
        [0.396078431372549, 'rgb(184,74,236)'],
        [0.4, 'rgb(182,75,237)'],
        [0.403921568627451, 'rgb(180,77,238)'],
        [0.40784313725490196, 'rgb(178,79,239)'],
        [0.4117647058823529, 'rgb(176,80,239)'],
        [0.41568627450980394, 'rgb(174,82,240)'],
        [0.4196078431372549, 'rgb(172,84,241)'],
        [0.4235294117647059, 'rgb(170,85,241)'],
        [0.42745098039215684, 'rgb(169,87,242)'],
        [0.43137254901960786, 'rgb(167,89,243)'],
        [0.43529411764705883, 'rgb(164,90,243)'],
        [0.4392156862745098, 'rgb(162,92,243)'],
        [0.44313725490196076, 'rgb(160,93,244)'],
        [0.4470588235294118, 'rgb(158,95,244)'],
        [0.45098039215686275, 'rgb(156,96,244)'],
        [0.4549019607843137, 'rgb(154,98,244)'],
        [0.4588235294117647, 'rgb(152,99,244)'],
        [0.4627450980392157, 'rgb(149,101,244)'],
        [0.4666666666666667, 'rgb(147,102,244)'],
        [0.47058823529411764, 'rgb(145,104,244)'],
        [0.4745098039215686, 'rgb(143,105,244)'],
        [0.47843137254901963, 'rgb(140,107,243)'],
        [0.4823529411764706, 'rgb(138,108,243)'],
        [0.48627450980392156, 'rgb(135,109,243)'],
        [0.49019607843137253, 'rgb(133,111,242)'],
        [0.49411764705882355, 'rgb(130,112,241)'],
        [0.4980392156862745, 'rgb(128,113,241)'],
        [0.5019607843137255, 'rgb(125,115,240)'],
        [0.5058823529411764, 'rgb(123,116,239)'],
        [0.5098039215686274, 'rgb(120,117,239)'],
        [0.5137254901960784, 'rgb(118,119,238)'],
        [0.5176470588235295, 'rgb(115,120,237)'],
        [0.5215686274509804, 'rgb(112,121,236)'],
        [0.5254901960784314, 'rgb(110,122,235)'],
        [0.5294117647058824, 'rgb(107,123,233)'],
        [0.5333333333333333, 'rgb(104,124,232)'],
        [0.5372549019607843, 'rgb(102,126,231)'],
        [0.5411764705882353, 'rgb(99,127,230)'],
        [0.5450980392156862, 'rgb(96,128,228)'],
        [0.5490196078431373, 'rgb(93,129,227)'],
        [0.5529411764705883, 'rgb(90,130,225)'],
        [0.5568627450980392, 'rgb(88,131,223)'],
        [0.5607843137254902, 'rgb(85,132,222)'],
        [0.5647058823529412, 'rgb(82,133,220)'],
        [0.5686274509803921, 'rgb(79,134,218)'],
        [0.5725490196078431, 'rgb(77,135,216)'],
        [0.5764705882352941, 'rgb(74,135,215)'],
        [0.5803921568627451, 'rgb(71,136,213)'],
        [0.5843137254901961, 'rgb(69,137,211)'],
        [0.5882352941176471, 'rgb(66,138,209)'],
        [0.592156862745098, 'rgb(64,138,207)'],
        [0.596078431372549, 'rgb(61,139,205)'],
        [0.6, 'rgb(59,140,203)'],
        [0.6039215686274509, 'rgb(56,140,201)'],
        [0.6078431372549019, 'rgb(54,141,199)'],
        [0.611764705882353, 'rgb(52,142,196)'],
        [0.615686274509804, 'rgb(50,142,194)'],
        [0.6196078431372549, 'rgb(48,143,192)'],
        [0.6235294117647059, 'rgb(46,143,190)'],
        [0.6274509803921569, 'rgb(44,144,188)'],
        [0.6313725490196078, 'rgb(42,144,186)'],
        [0.6352941176470588, 'rgb(40,145,184)'],
        [0.6392156862745098, 'rgb(39,145,182)'],
        [0.6431372549019608, 'rgb(37,145,180)'],
        [0.6470588235294118, 'rgb(36,146,178)'],
        [0.6509803921568628, 'rgb(35,146,176)'],
        [0.6549019607843137, 'rgb(33,146,174)'],
        [0.6588235294117647, 'rgb(32,147,172)'],
        [0.6627450980392157, 'rgb(31,147,170)'],
        [0.6666666666666666, 'rgb(30,147,168)'],
        [0.6705882352941176, 'rgb(29,148,166)'],
        [0.6745098039215687, 'rgb(28,148,164)'],
        [0.6784313725490196, 'rgb(27,148,162)'],
        [0.6823529411764706, 'rgb(26,148,160)'],
        [0.6862745098039216, 'rgb(25,149,158)'],
        [0.6901960784313725, 'rgb(25,149,156)'],
        [0.6941176470588235, 'rgb(24,149,154)'],
        [0.6980392156862745, 'rgb(23,149,152)'],
        [0.7019607843137254, 'rgb(22,150,150)'],
        [0.7058823529411765, 'rgb(21,150,148)'],
        [0.7098039215686275, 'rgb(20,150,146)'],
        [0.7137254901960784, 'rgb(20,150,144)'],
        [0.7176470588235294, 'rgb(19,151,142)'],
        [0.7215686274509804, 'rgb(18,151,140)'],
        [0.7254901960784313, 'rgb(17,151,138)'],
        [0.7294117647058823, 'rgb(16,151,136)'],
        [0.7333333333333333, 'rgb(15,151,134)'],
        [0.7372549019607844, 'rgb(14,152,132)'],
        [0.7411764705882353, 'rgb(13,152,130)'],
        [0.7450980392156863, 'rgb(13,152,128)'],
        [0.7490196078431373, 'rgb(12,152,126)'],
        [0.7529411764705882, 'rgb(12,152,124)'],
        [0.7568627450980392, 'rgb(11,153,121)'],
        [0.7607843137254902, 'rgb(11,153,119)'],
        [0.7647058823529411, 'rgb(11,153,117)'],
        [0.7686274509803922, 'rgb(12,153,115)'],
        [0.7725490196078432, 'rgb(13,153,112)'],
        [0.7764705882352941, 'rgb(14,153,110)'],
        [0.7803921568627451, 'rgb(15,154,107)'],
        [0.7843137254901961, 'rgb(17,154,105)'],
        [0.788235294117647, 'rgb(19,154,102)'],
        [0.792156862745098, 'rgb(21,154,99)'],
        [0.796078431372549, 'rgb(23,154,97)'],
        [0.8, 'rgb(25,154,94)'],
        [0.803921568627451, 'rgb(28,154,91)'],
        [0.807843137254902, 'rgb(31,154,88)'],
        [0.8117647058823529, 'rgb(33,154,85)'],
        [0.8156862745098039, 'rgb(36,154,82)'],
        [0.8196078431372549, 'rgb(39,154,79)'],
        [0.8235294117647058, 'rgb(43,154,76)'],
        [0.8274509803921568, 'rgb(46,154,73)'],
        [0.8313725490196079, 'rgb(49,153,70)'],
        [0.8352941176470589, 'rgb(53,153,67)'],
        [0.8392156862745098, 'rgb(56,153,64)'],
        [0.8431372549019608, 'rgb(60,153,60)'],
        [0.8470588235294118, 'rgb(64,152,57)'],
        [0.8509803921568627, 'rgb(67,152,54)'],
        [0.8549019607843137, 'rgb(71,151,50)'],
        [0.8588235294117647, 'rgb(75,151,47)'],
        [0.8627450980392157, 'rgb(79,150,44)'],
        [0.8666666666666667, 'rgb(83,150,41)'],
        [0.8705882352941177, 'rgb(86,149,38)'],
        [0.8745098039215686, 'rgb(90,148,35)'],
        [0.8784313725490196, 'rgb(94,148,32)'],
        [0.8823529411764706, 'rgb(97,147,30)'],
        [0.8862745098039215, 'rgb(101,146,27)'],
        [0.8901960784313725, 'rgb(104,145,25)'],
        [0.8941176470588236, 'rgb(107,144,23)'],
        [0.8980392156862745, 'rgb(111,144,22)'],
        [0.9019607843137255, 'rgb(114,143,20)'],
        [0.9058823529411765, 'rgb(116,142,19)'],
        [0.9098039215686274, 'rgb(119,141,18)'],
        [0.9137254901960784, 'rgb(122,140,17)'],
        [0.9176470588235294, 'rgb(125,139,16)'],
        [0.9215686274509803, 'rgb(127,139,15)'],
        [0.9254901960784314, 'rgb(130,138,15)'],
        [0.9294117647058824, 'rgb(132,137,14)'],
        [0.9333333333333333, 'rgb(134,136,14)'],
        [0.9372549019607843, 'rgb(136,135,14)'],
        [0.9411764705882353, 'rgb(139,134,13)'],
        [0.9450980392156862, 'rgb(141,133,13)'],
        [0.9490196078431372, 'rgb(143,132,13)'],
        [0.9529411764705882, 'rgb(145,131,13)'],
        [0.9568627450980393, 'rgb(147,131,13)'],
        [0.9607843137254902, 'rgb(149,130,13)'],
        [0.9647058823529412, 'rgb(151,129,13)'],
        [0.9686274509803922, 'rgb(153,128,13)'],
        [0.9725490196078431, 'rgb(155,127,13)'],
        [0.9764705882352941, 'rgb(157,126,13)'],
        [0.9803921568627451, 'rgb(159,125,13)'],
        [0.984313725490196, 'rgb(161,124,13)'],
        [0.9882352941176471, 'rgb(162,123,13)'],
        [0.9921568627450981, 'rgb(164,122,13)'],
        [0.996078431372549, 'rgb(166,121,13)'],
        [1.0, 'rgb(168,120,13)'],
    ],
    'cmo.rain': [
        [0.0, 'rgb(238,237,243)'],
        [0.00392156862745098, 'rgb(238,236,241)'],
        [0.00784313725490196, 'rgb(237,235,240)'],
        [0.011764705882352941, 'rgb(236,234,238)'],
        [0.01568627450980392, 'rgb(235,233,236)'],
        [0.0196078431372549, 'rgb(235,232,235)'],
        [0.023529411764705882, 'rgb(234,231,233)'],
        [0.027450980392156862, 'rgb(233,230,232)'],
        [0.03137254901960784, 'rgb(232,229,230)'],
        [0.03529411764705882, 'rgb(232,228,229)'],
        [0.0392156862745098, 'rgb(231,227,227)'],
        [0.043137254901960784, 'rgb(230,226,226)'],
        [0.047058823529411764, 'rgb(229,225,224)'],
        [0.050980392156862744, 'rgb(228,223,223)'],
        [0.054901960784313725, 'rgb(228,222,221)'],
        [0.058823529411764705, 'rgb(227,221,220)'],
        [0.06274509803921569, 'rgb(227,220,218)'],
        [0.06666666666666667, 'rgb(226,219,216)'],
        [0.07058823529411765, 'rgb(226,218,214)'],
        [0.07450980392156863, 'rgb(225,217,212)'],
        [0.0784313725490196, 'rgb(224,216,211)'],
        [0.08235294117647059, 'rgb(224,215,209)'],
        [0.08627450980392157, 'rgb(223,214,207)'],
        [0.09019607843137255, 'rgb(223,213,205)'],
        [0.09411764705882353, 'rgb(222,212,203)'],
        [0.09803921568627451, 'rgb(222,211,201)'],
        [0.10196078431372549, 'rgb(221,209,199)'],
        [0.10588235294117647, 'rgb(221,208,197)'],
        [0.10980392156862745, 'rgb(220,207,195)'],
        [0.11372549019607843, 'rgb(220,206,193)'],
        [0.11764705882352941, 'rgb(219,205,191)'],
        [0.12156862745098039, 'rgb(219,204,190)'],
        [0.12549019607843137, 'rgb(219,203,188)'],
        [0.12941176470588237, 'rgb(218,202,186)'],
        [0.13333333333333333, 'rgb(218,201,184)'],
        [0.13725490196078433, 'rgb(217,200,182)'],
        [0.1411764705882353, 'rgb(216,199,180)'],
        [0.1450980392156863, 'rgb(216,198,178)'],
        [0.14901960784313725, 'rgb(215,197,176)'],
        [0.15294117647058825, 'rgb(215,196,174)'],
        [0.1568627450980392, 'rgb(214,195,172)'],
        [0.1607843137254902, 'rgb(213,194,170)'],
        [0.16470588235294117, 'rgb(213,193,168)'],
        [0.16862745098039217, 'rgb(212,192,166)'],
        [0.17254901960784313, 'rgb(211,191,164)'],
        [0.17647058823529413, 'rgb(210,191,162)'],
        [0.1803921568627451, 'rgb(209,190,160)'],
        [0.1843137254901961, 'rgb(208,189,158)'],
        [0.18823529411764706, 'rgb(207,188,156)'],
        [0.19215686274509805, 'rgb(205,188,155)'],
        [0.19607843137254902, 'rgb(204,187,153)'],
        [0.2, 'rgb(203,186,152)'],
        [0.20392156862745098, 'rgb(201,186,150)'],
        [0.20784313725490197, 'rgb(200,185,149)'],
        [0.21176470588235294, 'rgb(198,185,148)'],
        [0.21568627450980393, 'rgb(196,184,146)'],
        [0.2196078431372549, 'rgb(195,183,145)'],
        [0.2235294117647059, 'rgb(193,183,144)'],
        [0.22745098039215686, 'rgb(192,182,143)'],
        [0.23137254901960785, 'rgb(190,182,142)'],
        [0.23529411764705882, 'rgb(188,181,141)'],
        [0.23921568627450981, 'rgb(186,181,141)'],
        [0.24313725490196078, 'rgb(185,180,140)'],
        [0.24705882352941178, 'rgb(183,179,139)'],
        [0.25098039215686274, 'rgb(181,179,138)'],
        [0.2549019607843137, 'rgb(180,178,137)'],
        [0.25882352941176473, 'rgb(178,178,137)'],
        [0.2627450980392157, 'rgb(176,177,136)'],
        [0.26666666666666666, 'rgb(174,177,135)'],
        [0.27058823529411763, 'rgb(173,176,135)'],
        [0.27450980392156865, 'rgb(171,176,134)'],
        [0.2784313725490196, 'rgb(169,175,133)'],
        [0.2823529411764706, 'rgb(168,174,133)'],
        [0.28627450980392155, 'rgb(166,174,132)'],
        [0.2901960784313726, 'rgb(164,173,132)'],
        [0.29411764705882354, 'rgb(162,173,131)'],
        [0.2980392156862745, 'rgb(161,172,130)'],
        [0.30196078431372547, 'rgb(159,172,130)'],
        [0.3058823529411765, 'rgb(157,171,129)'],
        [0.30980392156862746, 'rgb(156,170,129)'],
        [0.3137254901960784, 'rgb(154,170,128)'],
        [0.3176470588235294, 'rgb(152,169,128)'],
        [0.3215686274509804, 'rgb(150,169,127)'],
        [0.3254901960784314, 'rgb(149,168,126)'],
        [0.32941176470588235, 'rgb(147,168,126)'],
        [0.3333333333333333, 'rgb(145,167,125)'],
        [0.33725490196078434, 'rgb(144,167,125)'],
        [0.3411764705882353, 'rgb(142,166,124)'],
        [0.34509803921568627, 'rgb(140,165,124)'],
        [0.34901960784313724, 'rgb(138,165,123)'],
        [0.35294117647058826, 'rgb(137,164,123)'],
        [0.3568627450980392, 'rgb(135,164,122)'],
        [0.3607843137254902, 'rgb(133,163,122)'],
        [0.36470588235294116, 'rgb(131,163,121)'],
        [0.3686274509803922, 'rgb(130,162,120)'],
        [0.37254901960784315, 'rgb(128,161,120)'],
        [0.3764705882352941, 'rgb(126,161,119)'],
        [0.3803921568627451, 'rgb(124,160,119)'],
        [0.3843137254901961, 'rgb(122,160,118)'],
        [0.38823529411764707, 'rgb(121,159,118)'],
        [0.39215686274509803, 'rgb(119,159,117)'],
        [0.396078431372549, 'rgb(117,158,117)'],
        [0.4, 'rgb(115,157,117)'],
        [0.403921568627451, 'rgb(113,157,116)'],
        [0.40784313725490196, 'rgb(111,156,116)'],
        [0.4117647058823529, 'rgb(109,156,115)'],
        [0.41568627450980394, 'rgb(107,155,115)'],
        [0.4196078431372549, 'rgb(105,155,114)'],
        [0.4235294117647059, 'rgb(103,154,114)'],
        [0.42745098039215684, 'rgb(101,154,114)'],
        [0.43137254901960786, 'rgb(100,153,113)'],
        [0.43529411764705883, 'rgb(97,152,113)'],
        [0.4392156862745098, 'rgb(95,152,113)'],
        [0.44313725490196076, 'rgb(93,151,112)'],
        [0.4470588235294118, 'rgb(91,151,112)'],
        [0.45098039215686275, 'rgb(89,150,112)'],
        [0.4549019607843137, 'rgb(87,149,111)'],
        [0.4588235294117647, 'rgb(85,149,111)'],
        [0.4627450980392157, 'rgb(83,148,111)'],
        [0.4666666666666667, 'rgb(81,148,111)'],
        [0.47058823529411764, 'rgb(79,147,110)'],
        [0.4745098039215686, 'rgb(76,147,110)'],
        [0.47843137254901963, 'rgb(74,146,110)'],
        [0.4823529411764706, 'rgb(72,145,110)'],
        [0.48627450980392156, 'rgb(70,145,110)'],
        [0.49019607843137253, 'rgb(67,144,110)'],
        [0.49411764705882355, 'rgb(65,143,110)'],
        [0.4980392156862745, 'rgb(63,143,110)'],
        [0.5019607843137255, 'rgb(61,142,110)'],
        [0.5058823529411764, 'rgb(58,141,109)'],
        [0.5098039215686274, 'rgb(56,141,109)'],
        [0.5137254901960784, 'rgb(54,140,109)'],
        [0.5176470588235295, 'rgb(52,139,109)'],
        [0.5215686274509804, 'rgb(49,139,110)'],
        [0.5254901960784314, 'rgb(47,138,110)'],
        [0.5294117647058824, 'rgb(45,137,110)'],
        [0.5333333333333333, 'rgb(43,137,110)'],
        [0.5372549019607843, 'rgb(41,136,110)'],
        [0.5411764705882353, 'rgb(38,135,110)'],
        [0.5450980392156862, 'rgb(36,134,110)'],
        [0.5490196078431373, 'rgb(34,134,110)'],
        [0.5529411764705883, 'rgb(32,133,110)'],
        [0.5568627450980392, 'rgb(30,132,110)'],
        [0.5607843137254902, 'rgb(28,131,110)'],
        [0.5647058823529412, 'rgb(27,130,110)'],
        [0.5686274509803921, 'rgb(25,129,110)'],
        [0.5725490196078431, 'rgb(23,129,110)'],
        [0.5764705882352941, 'rgb(21,128,110)'],
        [0.5803921568627451, 'rgb(20,127,110)'],
        [0.5843137254901961, 'rgb(18,126,110)'],
        [0.5882352941176471, 'rgb(17,125,110)'],
        [0.592156862745098, 'rgb(15,124,110)'],
        [0.596078431372549, 'rgb(14,124,110)'],
        [0.6, 'rgb(12,123,110)'],
        [0.6039215686274509, 'rgb(11,122,110)'],
        [0.6078431372549019, 'rgb(10,121,110)'],
        [0.611764705882353, 'rgb(9,120,110)'],
        [0.615686274509804, 'rgb(8,119,110)'],
        [0.6196078431372549, 'rgb(7,118,110)'],
        [0.6235294117647059, 'rgb(6,117,110)'],
        [0.6274509803921569, 'rgb(6,116,110)'],
        [0.6313725490196078, 'rgb(5,116,110)'],
        [0.6352941176470588, 'rgb(5,115,110)'],
        [0.6392156862745098, 'rgb(4,114,110)'],
        [0.6431372549019608, 'rgb(4,113,110)'],
        [0.6470588235294118, 'rgb(4,112,109)'],
        [0.6509803921568628, 'rgb(3,111,109)'],
        [0.6549019607843137, 'rgb(3,110,109)'],
        [0.6588235294117647, 'rgb(3,109,109)'],
        [0.6627450980392157, 'rgb(3,108,109)'],
        [0.6666666666666666, 'rgb(4,107,109)'],
        [0.6705882352941176, 'rgb(4,107,109)'],
        [0.6745098039215687, 'rgb(4,106,108)'],
        [0.6784313725490196, 'rgb(4,105,108)'],
        [0.6823529411764706, 'rgb(5,104,108)'],
        [0.6862745098039216, 'rgb(5,103,108)'],
        [0.6901960784313725, 'rgb(6,102,108)'],
        [0.6941176470588235, 'rgb(7,101,107)'],
        [0.6980392156862745, 'rgb(7,100,107)'],
        [0.7019607843137254, 'rgb(8,99,107)'],
        [0.7058823529411765, 'rgb(9,98,107)'],
        [0.7098039215686275, 'rgb(10,97,106)'],
        [0.7137254901960784, 'rgb(11,96,106)'],
        [0.7176470588235294, 'rgb(12,95,106)'],
        [0.7215686274509804, 'rgb(13,95,105)'],
        [0.7254901960784313, 'rgb(14,94,105)'],
        [0.7294117647058823, 'rgb(15,93,105)'],
        [0.7333333333333333, 'rgb(16,92,104)'],
        [0.7372549019607844, 'rgb(17,91,104)'],
        [0.7411764705882353, 'rgb(18,90,103)'],
        [0.7450980392156863, 'rgb(19,89,103)'],
        [0.7490196078431373, 'rgb(20,88,103)'],
        [0.7529411764705882, 'rgb(21,87,102)'],
        [0.7568627450980392, 'rgb(22,86,102)'],
        [0.7607843137254902, 'rgb(22,85,101)'],
        [0.7647058823529411, 'rgb(23,84,101)'],
        [0.7686274509803922, 'rgb(24,83,100)'],
        [0.7725490196078432, 'rgb(25,82,100)'],
        [0.7764705882352941, 'rgb(26,81,99)'],
        [0.7803921568627451, 'rgb(26,80,99)'],
        [0.7843137254901961, 'rgb(27,79,98)'],
        [0.788235294117647, 'rgb(28,78,97)'],
        [0.792156862745098, 'rgb(28,77,97)'],
        [0.796078431372549, 'rgb(29,76,96)'],
        [0.8, 'rgb(30,75,95)'],
        [0.803921568627451, 'rgb(30,74,95)'],
        [0.807843137254902, 'rgb(31,73,94)'],
        [0.8117647058823529, 'rgb(31,72,93)'],
        [0.8156862745098039, 'rgb(32,72,93)'],
        [0.8196078431372549, 'rgb(33,71,92)'],
        [0.8235294117647058, 'rgb(33,70,91)'],
        [0.8274509803921568, 'rgb(33,69,90)'],
        [0.8313725490196079, 'rgb(34,68,90)'],
        [0.8352941176470589, 'rgb(34,67,89)'],
        [0.8392156862745098, 'rgb(35,66,88)'],
        [0.8431372549019608, 'rgb(35,65,87)'],
        [0.8470588235294118, 'rgb(35,64,86)'],
        [0.8509803921568627, 'rgb(36,63,86)'],
        [0.8549019607843137, 'rgb(36,62,85)'],
        [0.8588235294117647, 'rgb(36,61,84)'],
        [0.8627450980392157, 'rgb(36,60,83)'],
        [0.8666666666666667, 'rgb(36,59,82)'],
        [0.8705882352941177, 'rgb(37,58,81)'],
        [0.8745098039215686, 'rgb(37,57,81)'],
        [0.8784313725490196, 'rgb(37,56,80)'],
        [0.8823529411764706, 'rgb(37,55,79)'],
        [0.8862745098039215, 'rgb(37,55,78)'],
        [0.8901960784313725, 'rgb(37,54,77)'],
        [0.8941176470588236, 'rgb(37,53,76)'],
        [0.8980392156862745, 'rgb(37,52,76)'],
        [0.9019607843137255, 'rgb(37,51,75)'],
        [0.9058823529411765, 'rgb(37,50,74)'],
        [0.9098039215686274, 'rgb(37,49,73)'],
        [0.9137254901960784, 'rgb(37,48,72)'],
        [0.9176470588235294, 'rgb(37,47,72)'],
        [0.9215686274509803, 'rgb(37,46,71)'],
        [0.9254901960784314, 'rgb(37,45,70)'],
        [0.9294117647058824, 'rgb(37,44,69)'],
        [0.9333333333333333, 'rgb(37,43,69)'],
        [0.9372549019607843, 'rgb(37,42,68)'],
        [0.9411764705882353, 'rgb(36,41,67)'],
        [0.9450980392156862, 'rgb(36,40,66)'],
        [0.9490196078431372, 'rgb(36,39,66)'],
        [0.9529411764705882, 'rgb(36,39,65)'],
        [0.9568627450980393, 'rgb(36,38,64)'],
        [0.9607843137254902, 'rgb(36,37,63)'],
        [0.9647058823529412, 'rgb(35,36,63)'],
        [0.9686274509803922, 'rgb(35,35,62)'],
        [0.9725490196078431, 'rgb(35,34,61)'],
        [0.9764705882352941, 'rgb(35,33,61)'],
        [0.9803921568627451, 'rgb(35,32,60)'],
        [0.984313725490196, 'rgb(34,31,59)'],
        [0.9882352941176471, 'rgb(34,30,58)'],
        [0.9921568627450981, 'rgb(34,29,58)'],
        [0.996078431372549, 'rgb(34,28,57)'],
        [1.0, 'rgb(34,27,56)'],
    ],
    'cmo.solar': [
        [0.0, 'rgb(51,20,24)'],
        [0.00392156862745098, 'rgb(53,20,24)'],
        [0.00784313725490196, 'rgb(54,21,25)'],
        [0.011764705882352941, 'rgb(55,21,25)'],
        [0.01568627450980392, 'rgb(56,21,26)'],
        [0.0196078431372549, 'rgb(58,22,26)'],
        [0.023529411764705882, 'rgb(59,22,27)'],
        [0.027450980392156862, 'rgb(60,23,27)'],
        [0.03137254901960784, 'rgb(61,23,28)'],
        [0.03529411764705882, 'rgb(62,24,28)'],
        [0.0392156862745098, 'rgb(64,24,29)'],
        [0.043137254901960784, 'rgb(65,24,29)'],
        [0.047058823529411764, 'rgb(66,25,29)'],
        [0.050980392156862744, 'rgb(67,25,30)'],
        [0.054901960784313725, 'rgb(69,26,30)'],
        [0.058823529411764705, 'rgb(70,26,31)'],
        [0.06274509803921569, 'rgb(71,26,31)'],
        [0.06666666666666667, 'rgb(72,27,31)'],
        [0.07058823529411765, 'rgb(74,27,32)'],
        [0.07450980392156863, 'rgb(75,27,32)'],
        [0.0784313725490196, 'rgb(76,28,32)'],
        [0.08235294117647059, 'rgb(77,28,33)'],
        [0.08627450980392157, 'rgb(79,28,33)'],
        [0.09019607843137255, 'rgb(80,29,33)'],
        [0.09411764705882353, 'rgb(81,29,34)'],
        [0.09803921568627451, 'rgb(82,30,34)'],
        [0.10196078431372549, 'rgb(84,30,34)'],
        [0.10588235294117647, 'rgb(85,30,34)'],
        [0.10980392156862745, 'rgb(86,31,35)'],
        [0.11372549019607843, 'rgb(87,31,35)'],
        [0.11764705882352941, 'rgb(89,31,35)'],
        [0.12156862745098039, 'rgb(90,32,35)'],
        [0.12549019607843137, 'rgb(91,32,35)'],
        [0.12941176470588237, 'rgb(92,32,36)'],
        [0.13333333333333333, 'rgb(94,33,36)'],
        [0.13725490196078433, 'rgb(95,33,36)'],
        [0.1411764705882353, 'rgb(96,33,36)'],
        [0.1450980392156863, 'rgb(97,34,36)'],
        [0.14901960784313725, 'rgb(99,34,36)'],
        [0.15294117647058825, 'rgb(100,34,36)'],
        [0.1568627450980392, 'rgb(101,35,36)'],
        [0.1607843137254902, 'rgb(102,35,37)'],
        [0.16470588235294117, 'rgb(104,35,37)'],
        [0.16862745098039217, 'rgb(105,36,37)'],
        [0.17254901960784313, 'rgb(106,36,37)'],
        [0.17647058823529413, 'rgb(107,36,37)'],
        [0.1803921568627451, 'rgb(109,37,37)'],
        [0.1843137254901961, 'rgb(110,37,37)'],
        [0.18823529411764706, 'rgb(111,37,37)'],
        [0.19215686274509805, 'rgb(112,38,37)'],
        [0.19607843137254902, 'rgb(114,38,37)'],
        [0.2, 'rgb(115,39,36)'],
        [0.20392156862745098, 'rgb(116,39,36)'],
        [0.20784313725490197, 'rgb(117,39,36)'],
        [0.21176470588235294, 'rgb(119,40,36)'],
        [0.21568627450980393, 'rgb(120,40,36)'],
        [0.2196078431372549, 'rgb(121,41,36)'],
        [0.2235294117647059, 'rgb(122,41,36)'],
        [0.22745098039215686, 'rgb(123,42,36)'],
        [0.23137254901960785, 'rgb(124,42,35)'],
        [0.23529411764705882, 'rgb(126,43,35)'],
        [0.23921568627450981, 'rgb(127,43,35)'],
        [0.24313725490196078, 'rgb(128,44,35)'],
        [0.24705882352941178, 'rgb(129,44,34)'],
        [0.25098039215686274, 'rgb(130,45,34)'],
        [0.2549019607843137, 'rgb(131,45,34)'],
        [0.25882352941176473, 'rgb(132,46,34)'],
        [0.2627450980392157, 'rgb(133,46,33)'],
        [0.26666666666666666, 'rgb(135,47,33)'],
        [0.27058823529411763, 'rgb(136,48,33)'],
        [0.27450980392156865, 'rgb(137,48,33)'],
        [0.2784313725490196, 'rgb(138,49,32)'],
        [0.2823529411764706, 'rgb(139,49,32)'],
        [0.28627450980392155, 'rgb(140,50,32)'],
        [0.2901960784313726, 'rgb(141,51,31)'],
        [0.29411764705882354, 'rgb(142,52,31)'],
        [0.2980392156862745, 'rgb(143,52,31)'],
        [0.30196078431372547, 'rgb(144,53,30)'],
        [0.3058823529411765, 'rgb(145,54,30)'],
        [0.30980392156862746, 'rgb(146,54,30)'],
        [0.3137254901960784, 'rgb(147,55,29)'],
        [0.3176470588235294, 'rgb(147,56,29)'],
        [0.3215686274509804, 'rgb(148,57,29)'],
        [0.3254901960784314, 'rgb(149,58,29)'],
        [0.32941176470588235, 'rgb(150,58,28)'],
        [0.3333333333333333, 'rgb(151,59,28)'],
        [0.33725490196078434, 'rgb(152,60,28)'],
        [0.3411764705882353, 'rgb(153,61,27)'],
        [0.34509803921568627, 'rgb(154,62,27)'],
        [0.34901960784313724, 'rgb(154,63,27)'],
        [0.35294117647058826, 'rgb(155,64,26)'],
        [0.3568627450980392, 'rgb(156,64,26)'],
        [0.3607843137254902, 'rgb(157,65,26)'],
        [0.36470588235294116, 'rgb(158,66,26)'],
        [0.3686274509803922, 'rgb(159,67,25)'],
        [0.37254901960784315, 'rgb(159,68,25)'],
        [0.3764705882352941, 'rgb(160,69,25)'],
        [0.3803921568627451, 'rgb(161,70,25)'],
        [0.3843137254901961, 'rgb(162,71,24)'],
        [0.38823529411764707, 'rgb(163,72,24)'],
        [0.39215686274509803, 'rgb(163,73,24)'],
        [0.396078431372549, 'rgb(164,74,24)'],
        [0.4, 'rgb(165,74,23)'],
        [0.403921568627451, 'rgb(166,75,23)'],
        [0.40784313725490196, 'rgb(166,76,23)'],
        [0.4117647058823529, 'rgb(167,77,23)'],
        [0.41568627450980394, 'rgb(168,78,22)'],
        [0.4196078431372549, 'rgb(168,79,22)'],
        [0.4235294117647059, 'rgb(169,80,22)'],
        [0.42745098039215684, 'rgb(170,81,22)'],
        [0.43137254901960786, 'rgb(171,82,22)'],
        [0.43529411764705883, 'rgb(171,83,21)'],
        [0.4392156862745098, 'rgb(172,84,21)'],
        [0.44313725490196076, 'rgb(173,85,21)'],
        [0.4470588235294118, 'rgb(173,86,21)'],
        [0.45098039215686275, 'rgb(174,87,21)'],
        [0.4549019607843137, 'rgb(175,88,20)'],
        [0.4588235294117647, 'rgb(175,89,20)'],
        [0.4627450980392157, 'rgb(176,90,20)'],
        [0.4666666666666667, 'rgb(177,91,20)'],
        [0.47058823529411764, 'rgb(177,92,20)'],
        [0.4745098039215686, 'rgb(178,93,20)'],
        [0.47843137254901963, 'rgb(178,94,20)'],
        [0.4823529411764706, 'rgb(179,95,20)'],
        [0.48627450980392156, 'rgb(180,96,19)'],
        [0.49019607843137253, 'rgb(180,97,19)'],
        [0.49411764705882355, 'rgb(181,98,19)'],
        [0.4980392156862745, 'rgb(182,99,19)'],
        [0.5019607843137255, 'rgb(182,100,19)'],
        [0.5058823529411764, 'rgb(183,101,19)'],
        [0.5098039215686274, 'rgb(183,102,19)'],
        [0.5137254901960784, 'rgb(184,104,19)'],
        [0.5176470588235295, 'rgb(184,105,19)'],
        [0.5215686274509804, 'rgb(185,106,19)'],
        [0.5254901960784314, 'rgb(186,107,19)'],
        [0.5294117647058824, 'rgb(186,108,19)'],
        [0.5333333333333333, 'rgb(187,109,19)'],
        [0.5372549019607843, 'rgb(187,110,19)'],
        [0.5411764705882353, 'rgb(188,111,19)'],
        [0.5450980392156862, 'rgb(188,112,19)'],
        [0.5490196078431373, 'rgb(189,113,19)'],
        [0.5529411764705883, 'rgb(190,114,19)'],
        [0.5568627450980392, 'rgb(190,115,19)'],
        [0.5607843137254902, 'rgb(191,116,19)'],
        [0.5647058823529412, 'rgb(191,117,19)'],
        [0.5686274509803921, 'rgb(192,118,19)'],
        [0.5725490196078431, 'rgb(192,119,20)'],
        [0.5764705882352941, 'rgb(193,121,20)'],
        [0.5803921568627451, 'rgb(193,122,20)'],
        [0.5843137254901961, 'rgb(194,123,20)'],
        [0.5882352941176471, 'rgb(194,124,20)'],
        [0.592156862745098, 'rgb(195,125,20)'],
        [0.596078431372549, 'rgb(195,126,21)'],
        [0.6, 'rgb(196,127,21)'],
        [0.6039215686274509, 'rgb(196,128,21)'],
        [0.6078431372549019, 'rgb(197,129,21)'],
        [0.611764705882353, 'rgb(197,130,21)'],
        [0.615686274509804, 'rgb(198,132,22)'],
        [0.6196078431372549, 'rgb(198,133,22)'],
        [0.6235294117647059, 'rgb(199,134,22)'],
        [0.6274509803921569, 'rgb(199,135,22)'],
        [0.6313725490196078, 'rgb(199,136,23)'],
        [0.6352941176470588, 'rgb(200,137,23)'],
        [0.6392156862745098, 'rgb(200,138,23)'],
        [0.6431372549019608, 'rgb(201,139,24)'],
        [0.6470588235294118, 'rgb(201,140,24)'],
        [0.6509803921568628, 'rgb(202,142,24)'],
        [0.6549019607843137, 'rgb(202,143,25)'],
        [0.6588235294117647, 'rgb(203,144,25)'],
        [0.6627450980392157, 'rgb(203,145,25)'],
        [0.6666666666666666, 'rgb(203,146,26)'],
        [0.6705882352941176, 'rgb(204,147,26)'],
        [0.6745098039215687, 'rgb(204,148,26)'],
        [0.6784313725490196, 'rgb(205,150,27)'],
        [0.6823529411764706, 'rgb(205,151,27)'],
        [0.6862745098039216, 'rgb(206,152,28)'],
        [0.6901960784313725, 'rgb(206,153,28)'],
        [0.6941176470588235, 'rgb(206,154,28)'],
        [0.6980392156862745, 'rgb(207,155,29)'],
        [0.7019607843137254, 'rgb(207,156,29)'],
        [0.7058823529411765, 'rgb(208,158,30)'],
        [0.7098039215686275, 'rgb(208,159,30)'],
        [0.7137254901960784, 'rgb(208,160,31)'],
        [0.7176470588235294, 'rgb(209,161,31)'],
        [0.7215686274509804, 'rgb(209,162,32)'],
        [0.7254901960784313, 'rgb(209,164,32)'],
        [0.7294117647058823, 'rgb(210,165,32)'],
        [0.7333333333333333, 'rgb(210,166,33)'],
        [0.7372549019607844, 'rgb(211,167,33)'],
        [0.7411764705882353, 'rgb(211,168,34)'],
        [0.7450980392156863, 'rgb(211,169,34)'],
        [0.7490196078431373, 'rgb(212,171,35)'],
        [0.7529411764705882, 'rgb(212,172,36)'],
        [0.7568627450980392, 'rgb(212,173,36)'],
        [0.7607843137254902, 'rgb(213,174,37)'],
        [0.7647058823529411, 'rgb(213,175,37)'],
        [0.7686274509803922, 'rgb(213,177,38)'],
        [0.7725490196078432, 'rgb(214,178,38)'],
        [0.7764705882352941, 'rgb(214,179,39)'],
        [0.7803921568627451, 'rgb(214,180,39)'],
        [0.7843137254901961, 'rgb(215,181,40)'],
        [0.788235294117647, 'rgb(215,183,40)'],
        [0.792156862745098, 'rgb(215,184,41)'],
        [0.796078431372549, 'rgb(215,185,42)'],
        [0.8, 'rgb(216,186,42)'],
        [0.803921568627451, 'rgb(216,188,43)'],
        [0.807843137254902, 'rgb(216,189,43)'],
        [0.8117647058823529, 'rgb(217,190,44)'],
        [0.8156862745098039, 'rgb(217,191,44)'],
        [0.8196078431372549, 'rgb(217,193,45)'],
        [0.8235294117647058, 'rgb(217,194,46)'],
        [0.8274509803921568, 'rgb(218,195,46)'],
        [0.8313725490196079, 'rgb(218,196,47)'],
        [0.8352941176470589, 'rgb(218,198,47)'],
        [0.8392156862745098, 'rgb(218,199,48)'],
        [0.8431372549019608, 'rgb(219,200,49)'],
        [0.8470588235294118, 'rgb(219,201,49)'],
        [0.8509803921568627, 'rgb(219,203,50)'],
        [0.8549019607843137, 'rgb(219,204,50)'],
        [0.8588235294117647, 'rgb(220,205,51)'],
        [0.8627450980392157, 'rgb(220,206,52)'],
        [0.8666666666666667, 'rgb(220,208,52)'],
        [0.8705882352941177, 'rgb(220,209,53)'],
        [0.8745098039215686, 'rgb(221,210,54)'],
        [0.8784313725490196, 'rgb(221,212,54)'],
        [0.8823529411764706, 'rgb(221,213,55)'],
        [0.8862745098039215, 'rgb(221,214,55)'],
        [0.8901960784313725, 'rgb(221,215,56)'],
        [0.8941176470588236, 'rgb(222,217,57)'],
        [0.8980392156862745, 'rgb(222,218,57)'],
        [0.9019607843137255, 'rgb(222,219,58)'],
        [0.9058823529411765, 'rgb(222,221,59)'],
        [0.9098039215686274, 'rgb(222,222,59)'],
        [0.9137254901960784, 'rgb(222,223,60)'],
        [0.9176470588235294, 'rgb(223,225,61)'],
        [0.9215686274509803, 'rgb(223,226,61)'],
        [0.9254901960784314, 'rgb(223,227,62)'],
        [0.9294117647058824, 'rgb(223,229,63)'],
        [0.9333333333333333, 'rgb(223,230,63)'],
        [0.9372549019607843, 'rgb(223,231,64)'],
        [0.9411764705882353, 'rgb(223,233,65)'],
        [0.9450980392156862, 'rgb(224,234,65)'],
        [0.9490196078431372, 'rgb(224,235,66)'],
        [0.9529411764705882, 'rgb(224,237,67)'],
        [0.9568627450980393, 'rgb(224,238,67)'],
        [0.9607843137254902, 'rgb(224,240,68)'],
        [0.9647058823529412, 'rgb(224,241,69)'],
        [0.9686274509803922, 'rgb(224,242,69)'],
        [0.9725490196078431, 'rgb(224,244,70)'],
        [0.9764705882352941, 'rgb(224,245,71)'],
        [0.9803921568627451, 'rgb(224,246,71)'],
        [0.984313725490196, 'rgb(224,248,72)'],
        [0.9882352941176471, 'rgb(224,249,73)'],
        [0.9921568627450981, 'rgb(224,251,73)'],
        [0.996078431372549, 'rgb(225,252,74)'],
        [1.0, 'rgb(225,253,75)'],
    ],
    'cmo.speed': [
        [0.0, 'rgb(255,253,205)'],
        [0.00392156862745098, 'rgb(254,252,203)'],
        [0.00784313725490196, 'rgb(254,250,201)'],
        [0.011764705882352941, 'rgb(253,249,199)'],
        [0.01568627450980392, 'rgb(252,248,197)'],
        [0.0196078431372549, 'rgb(252,247,194)'],
        [0.023529411764705882, 'rgb(251,246,192)'],
        [0.027450980392156862, 'rgb(250,244,190)'],
        [0.03137254901960784, 'rgb(249,243,188)'],
        [0.03529411764705882, 'rgb(249,242,186)'],
        [0.0392156862745098, 'rgb(248,241,184)'],
        [0.043137254901960784, 'rgb(247,240,182)'],
        [0.047058823529411764, 'rgb(247,238,180)'],
        [0.050980392156862744, 'rgb(246,237,177)'],
        [0.054901960784313725, 'rgb(246,236,175)'],
        [0.058823529411764705, 'rgb(245,235,173)'],
        [0.06274509803921569, 'rgb(244,234,171)'],
        [0.06666666666666667, 'rgb(243,233,169)'],
        [0.07058823529411765, 'rgb(243,231,167)'],
        [0.07450980392156863, 'rgb(242,230,165)'],
        [0.0784313725490196, 'rgb(241,229,162)'],
        [0.08235294117647059, 'rgb(241,228,160)'],
        [0.08627450980392157, 'rgb(240,227,158)'],
        [0.09019607843137255, 'rgb(239,226,156)'],
        [0.09411764705882353, 'rgb(239,225,154)'],
        [0.09803921568627451, 'rgb(238,223,152)'],
        [0.10196078431372549, 'rgb(237,222,150)'],
        [0.10588235294117647, 'rgb(237,221,147)'],
        [0.10980392156862745, 'rgb(236,220,145)'],
        [0.11372549019607843, 'rgb(235,219,143)'],
        [0.11764705882352941, 'rgb(234,218,141)'],
        [0.12156862745098039, 'rgb(234,217,139)'],
        [0.12549019607843137, 'rgb(233,216,137)'],
        [0.12941176470588237, 'rgb(232,215,134)'],
        [0.13333333333333333, 'rgb(231,214,132)'],
        [0.13725490196078433, 'rgb(231,213,130)'],
        [0.1411764705882353, 'rgb(230,212,128)'],
        [0.1450980392156863, 'rgb(229,211,126)'],
        [0.14901960784313725, 'rgb(228,210,123)'],
        [0.15294117647058825, 'rgb(227,208,121)'],
        [0.1568627450980392, 'rgb(227,207,119)'],
        [0.1607843137254902, 'rgb(226,206,117)'],
        [0.16470588235294117, 'rgb(225,205,115)'],
        [0.16862745098039217, 'rgb(224,205,113)'],
        [0.17254901960784313, 'rgb(223,204,110)'],
        [0.17647058823529413, 'rgb(222,203,108)'],
        [0.1803921568627451, 'rgb(221,202,106)'],
        [0.1843137254901961, 'rgb(220,201,104)'],
        [0.18823529411764706, 'rgb(219,200,102)'],
        [0.19215686274509805, 'rgb(218,199,100)'],
        [0.19607843137254902, 'rgb(217,198,97)'],
        [0.2, 'rgb(216,197,95)'],
        [0.20392156862745098, 'rgb(215,196,93)'],
        [0.20784313725490197, 'rgb(214,195,91)'],
        [0.21176470588235294, 'rgb(213,194,89)'],
        [0.21568627450980393, 'rgb(212,193,87)'],
        [0.2196078431372549, 'rgb(211,193,85)'],
        [0.2235294117647059, 'rgb(210,192,83)'],
        [0.22745098039215686, 'rgb(209,191,81)'],
        [0.23137254901960785, 'rgb(208,190,79)'],
        [0.23529411764705882, 'rgb(206,189,76)'],
        [0.23921568627450981, 'rgb(205,189,74)'],
        [0.24313725490196078, 'rgb(204,188,72)'],
        [0.24705882352941178, 'rgb(203,187,70)'],
        [0.25098039215686274, 'rgb(201,186,69)'],
        [0.2549019607843137, 'rgb(200,185,67)'],
        [0.25882352941176473, 'rgb(199,185,65)'],
        [0.2627450980392157, 'rgb(197,184,63)'],
        [0.26666666666666666, 'rgb(196,183,61)'],
        [0.27058823529411763, 'rgb(195,183,59)'],
        [0.27450980392156865, 'rgb(193,182,57)'],
        [0.2784313725490196, 'rgb(192,181,55)'],
        [0.2823529411764706, 'rgb(190,180,54)'],
        [0.28627450980392155, 'rgb(189,180,52)'],
        [0.2901960784313726, 'rgb(187,179,50)'],
        [0.29411764705882354, 'rgb(186,178,48)'],
        [0.2980392156862745, 'rgb(184,178,47)'],
        [0.30196078431372547, 'rgb(183,177,45)'],
        [0.3058823529411765, 'rgb(181,176,43)'],
        [0.30980392156862746, 'rgb(180,176,42)'],
        [0.3137254901960784, 'rgb(178,175,40)'],
        [0.3176470588235294, 'rgb(177,174,39)'],
        [0.3215686274509804, 'rgb(175,174,37)'],
        [0.3254901960784314, 'rgb(173,173,35)'],
        [0.32941176470588235, 'rgb(172,173,34)'],
        [0.3333333333333333, 'rgb(170,172,32)'],
        [0.33725490196078434, 'rgb(169,171,31)'],
        [0.3411764705882353, 'rgb(167,171,30)'],
        [0.34509803921568627, 'rgb(165,170,28)'],
        [0.34901960784313724, 'rgb(164,169,27)'],
        [0.35294117647058826, 'rgb(162,169,25)'],
        [0.3568627450980392, 'rgb(160,168,24)'],
        [0.3607843137254902, 'rgb(159,168,23)'],
        [0.36470588235294116, 'rgb(157,167,21)'],
        [0.3686274509803922, 'rgb(155,166,20)'],
        [0.37254901960784315, 'rgb(154,166,19)'],
        [0.3764705882352941, 'rgb(152,165,18)'],
        [0.3803921568627451, 'rgb(150,165,16)'],
        [0.3843137254901961, 'rgb(149,164,15)'],
        [0.38823529411764707, 'rgb(147,163,14)'],
        [0.39215686274509803, 'rgb(145,163,13)'],
        [0.396078431372549, 'rgb(143,162,12)'],
        [0.4, 'rgb(142,162,11)'],
        [0.403921568627451, 'rgb(140,161,10)'],
        [0.40784313725490196, 'rgb(138,160,9)'],
        [0.4117647058823529, 'rgb(136,160,8)'],
        [0.41568627450980394, 'rgb(135,159,8)'],
        [0.4196078431372549, 'rgb(133,159,7)'],
        [0.4235294117647059, 'rgb(131,158,7)'],
        [0.42745098039215684, 'rgb(129,157,6)'],
        [0.43137254901960786, 'rgb(128,157,6)'],
        [0.43529411764705883, 'rgb(126,156,6)'],
        [0.4392156862745098, 'rgb(124,156,6)'],
        [0.44313725490196076, 'rgb(122,155,6)'],
        [0.4470588235294118, 'rgb(121,154,6)'],
        [0.45098039215686275, 'rgb(119,154,6)'],
        [0.4549019607843137, 'rgb(117,153,6)'],
        [0.4588235294117647, 'rgb(115,153,6)'],
        [0.4627450980392157, 'rgb(113,152,6)'],
        [0.4666666666666667, 'rgb(112,151,7)'],
        [0.47058823529411764, 'rgb(110,151,7)'],
        [0.4745098039215686, 'rgb(108,150,7)'],
        [0.47843137254901963, 'rgb(106,149,8)'],
        [0.4823529411764706, 'rgb(104,149,9)'],
        [0.48627450980392156, 'rgb(102,148,9)'],
        [0.49019607843137253, 'rgb(101,148,10)'],
        [0.49411764705882355, 'rgb(99,147,11)'],
        [0.4980392156862745, 'rgb(97,146,11)'],
        [0.5019607843137255, 'rgb(95,146,12)'],
        [0.5058823529411764, 'rgb(93,145,13)'],
        [0.5098039215686274, 'rgb(92,144,14)'],
        [0.5137254901960784, 'rgb(90,144,15)'],
        [0.5176470588235295, 'rgb(88,143,15)'],
        [0.5215686274509804, 'rgb(86,142,16)'],
        [0.5254901960784314, 'rgb(84,142,17)'],
        [0.5294117647058824, 'rgb(82,141,18)'],
        [0.5333333333333333, 'rgb(81,140,18)'],
        [0.5372549019607843, 'rgb(79,140,19)'],
        [0.5411764705882353, 'rgb(77,139,20)'],
        [0.5450980392156862, 'rgb(75,138,21)'],
        [0.5490196078431373, 'rgb(73,138,22)'],
        [0.5529411764705883, 'rgb(72,137,22)'],
        [0.5568627450980392, 'rgb(70,136,23)'],
        [0.5607843137254902, 'rgb(68,136,24)'],
        [0.5647058823529412, 'rgb(66,135,25)'],
        [0.5686274509803921, 'rgb(64,134,25)'],
        [0.5725490196078431, 'rgb(63,133,26)'],
        [0.5764705882352941, 'rgb(61,133,27)'],
        [0.5803921568627451, 'rgb(59,132,28)'],
        [0.5843137254901961, 'rgb(57,131,28)'],
        [0.5882352941176471, 'rgb(56,131,29)'],
        [0.592156862745098, 'rgb(54,130,30)'],
        [0.596078431372549, 'rgb(52,129,30)'],
        [0.6, 'rgb(50,128,31)'],
        [0.6039215686274509, 'rgb(49,127,32)'],
        [0.6078431372549019, 'rgb(47,127,32)'],
        [0.611764705882353, 'rgb(45,126,33)'],
        [0.615686274509804, 'rgb(44,125,33)'],
        [0.6196078431372549, 'rgb(42,124,34)'],
        [0.6235294117647059, 'rgb(40,124,35)'],
        [0.6274509803921569, 'rgb(39,123,35)'],
        [0.6313725490196078, 'rgb(37,122,36)'],
        [0.6352941176470588, 'rgb(36,121,36)'],
        [0.6392156862745098, 'rgb(34,120,37)'],
        [0.6431372549019608, 'rgb(33,120,37)'],
        [0.6470588235294118, 'rgb(31,119,38)'],
        [0.6509803921568628, 'rgb(30,118,38)'],
        [0.6549019607843137, 'rgb(28,117,39)'],
        [0.6588235294117647, 'rgb(27,116,39)'],
        [0.6627450980392157, 'rgb(26,115,39)'],
        [0.6666666666666666, 'rgb(24,115,40)'],
        [0.6705882352941176, 'rgb(23,114,40)'],
        [0.6745098039215687, 'rgb(22,113,41)'],
        [0.6784313725490196, 'rgb(21,112,41)'],
        [0.6823529411764706, 'rgb(19,111,41)'],
        [0.6862745098039216, 'rgb(18,110,42)'],
        [0.6901960784313725, 'rgb(17,109,42)'],
        [0.6941176470588235, 'rgb(16,108,42)'],
        [0.6980392156862745, 'rgb(15,108,43)'],
        [0.7019607843137254, 'rgb(15,107,43)'],
        [0.7058823529411765, 'rgb(14,106,43)'],
        [0.7098039215686275, 'rgb(13,105,43)'],
        [0.7137254901960784, 'rgb(13,104,43)'],
        [0.7176470588235294, 'rgb(12,103,44)'],
        [0.7215686274509804, 'rgb(12,102,44)'],
        [0.7254901960784313, 'rgb(11,101,44)'],
        [0.7294117647058823, 'rgb(11,100,44)'],
        [0.7333333333333333, 'rgb(11,99,44)'],
        [0.7372549019607844, 'rgb(11,99,44)'],
        [0.7411764705882353, 'rgb(11,98,45)'],
        [0.7450980392156863, 'rgb(11,97,45)'],
        [0.7490196078431373, 'rgb(11,96,45)'],
        [0.7529411764705882, 'rgb(11,95,45)'],
        [0.7568627450980392, 'rgb(11,94,45)'],
        [0.7607843137254902, 'rgb(12,93,45)'],
        [0.7647058823529411, 'rgb(12,92,45)'],
        [0.7686274509803922, 'rgb(12,91,45)'],
        [0.7725490196078432, 'rgb(13,90,45)'],
        [0.7764705882352941, 'rgb(13,89,45)'],
        [0.7803921568627451, 'rgb(14,88,45)'],
        [0.7843137254901961, 'rgb(14,87,45)'],
        [0.788235294117647, 'rgb(15,86,44)'],
        [0.792156862745098, 'rgb(15,85,44)'],
        [0.796078431372549, 'rgb(16,84,44)'],
        [0.8, 'rgb(16,84,44)'],
        [0.803921568627451, 'rgb(16,83,44)'],
        [0.807843137254902, 'rgb(17,82,44)'],
        [0.8117647058823529, 'rgb(17,81,44)'],
        [0.8156862745098039, 'rgb(18,80,43)'],
        [0.8196078431372549, 'rgb(18,79,43)'],
        [0.8235294117647058, 'rgb(19,78,43)'],
        [0.8274509803921568, 'rgb(19,77,43)'],
        [0.8313725490196079, 'rgb(20,76,42)'],
        [0.8352941176470589, 'rgb(20,75,42)'],
        [0.8392156862745098, 'rgb(20,74,42)'],
        [0.8431372549019608, 'rgb(21,73,42)'],
        [0.8470588235294118, 'rgb(21,72,41)'],
        [0.8509803921568627, 'rgb(22,71,41)'],
        [0.8549019607843137, 'rgb(22,70,41)'],
        [0.8588235294117647, 'rgb(22,69,40)'],
        [0.8627450980392157, 'rgb(23,68,40)'],
        [0.8666666666666667, 'rgb(23,67,39)'],
        [0.8705882352941177, 'rgb(23,66,39)'],
        [0.8745098039215686, 'rgb(23,65,39)'],
        [0.8784313725490196, 'rgb(24,64,38)'],
        [0.8823529411764706, 'rgb(24,63,38)'],
        [0.8862745098039215, 'rgb(24,63,37)'],
        [0.8901960784313725, 'rgb(24,62,37)'],
        [0.8941176470588236, 'rgb(25,61,36)'],
        [0.8980392156862745, 'rgb(25,60,36)'],
        [0.9019607843137255, 'rgb(25,59,35)'],
        [0.9058823529411765, 'rgb(25,58,35)'],
        [0.9098039215686274, 'rgb(25,57,34)'],
        [0.9137254901960784, 'rgb(25,56,34)'],
        [0.9176470588235294, 'rgb(25,55,33)'],
        [0.9215686274509803, 'rgb(25,54,33)'],
        [0.9254901960784314, 'rgb(25,53,32)'],
        [0.9294117647058824, 'rgb(25,52,31)'],
        [0.9333333333333333, 'rgb(25,51,31)'],
        [0.9372549019607843, 'rgb(25,50,30)'],
        [0.9411764705882353, 'rgb(25,49,30)'],
        [0.9450980392156862, 'rgb(25,48,29)'],
        [0.9490196078431372, 'rgb(25,47,28)'],
        [0.9529411764705882, 'rgb(25,46,28)'],
        [0.9568627450980393, 'rgb(25,45,27)'],
        [0.9607843137254902, 'rgb(25,44,26)'],
        [0.9647058823529412, 'rgb(25,44,25)'],
        [0.9686274509803922, 'rgb(25,43,25)'],
        [0.9725490196078431, 'rgb(25,42,24)'],
        [0.9764705882352941, 'rgb(24,41,23)'],
        [0.9803921568627451, 'rgb(24,40,23)'],
        [0.984313725490196, 'rgb(24,39,22)'],
        [0.9882352941176471, 'rgb(24,38,21)'],
        [0.9921568627450981, 'rgb(24,37,20)'],
        [0.996078431372549, 'rgb(23,36,19)'],
        [1.0, 'rgb(23,35,19)'],
    ],
    'cmo.tarn': [
        [0.0, 'rgb(23,35,14)'],
        [0.00392156862745098, 'rgb(24,37,14)'],
        [0.00784313725490196, 'rgb(25,39,14)'],
        [0.011764705882352941, 'rgb(27,41,15)'],
        [0.01568627450980392, 'rgb(28,42,15)'],
        [0.0196078431372549, 'rgb(29,44,15)'],
        [0.023529411764705882, 'rgb(31,46,16)'],
        [0.027450980392156862, 'rgb(32,48,16)'],
        [0.03137254901960784, 'rgb(33,49,16)'],
        [0.03529411764705882, 'rgb(34,51,16)'],
        [0.0392156862745098, 'rgb(35,53,16)'],
        [0.043137254901960784, 'rgb(37,55,16)'],
        [0.047058823529411764, 'rgb(38,56,16)'],
        [0.050980392156862744, 'rgb(39,58,16)'],
        [0.054901960784313725, 'rgb(40,60,16)'],
        [0.058823529411764705, 'rgb(42,61,16)'],
        [0.06274509803921569, 'rgb(43,63,15)'],
        [0.06666666666666667, 'rgb(44,65,15)'],
        [0.07058823529411765, 'rgb(46,66,15)'],
        [0.07450980392156863, 'rgb(47,68,14)'],
        [0.0784313725490196, 'rgb(48,70,14)'],
        [0.08235294117647059, 'rgb(50,71,13)'],
        [0.08627450980392157, 'rgb(52,73,12)'],
        [0.09019607843137255, 'rgb(54,74,12)'],
        [0.09411764705882353, 'rgb(57,75,12)'],
        [0.09803921568627451, 'rgb(60,77,13)'],
        [0.10196078431372549, 'rgb(63,78,14)'],
        [0.10588235294117647, 'rgb(66,79,15)'],
        [0.10980392156862745, 'rgb(68,80,16)'],
        [0.11372549019607843, 'rgb(71,81,17)'],
        [0.11764705882352941, 'rgb(74,83,18)'],
        [0.12156862745098039, 'rgb(77,84,19)'],
        [0.12549019607843137, 'rgb(79,85,20)'],
        [0.12941176470588237, 'rgb(82,86,21)'],
        [0.13333333333333333, 'rgb(85,87,22)'],
        [0.13725490196078433, 'rgb(87,88,23)'],
        [0.1411764705882353, 'rgb(90,89,24)'],
        [0.1450980392156863, 'rgb(93,91,25)'],
        [0.14901960784313725, 'rgb(96,92,26)'],
        [0.15294117647058825, 'rgb(98,93,26)'],
        [0.1568627450980392, 'rgb(101,94,27)'],
        [0.1607843137254902, 'rgb(104,95,28)'],
        [0.16470588235294117, 'rgb(107,96,29)'],
        [0.16862745098039217, 'rgb(109,97,30)'],
        [0.17254901960784313, 'rgb(112,98,31)'],
        [0.17647058823529413, 'rgb(115,99,32)'],
        [0.1803921568627451, 'rgb(118,100,33)'],
        [0.1843137254901961, 'rgb(120,102,33)'],
        [0.18823529411764706, 'rgb(123,103,34)'],
        [0.19215686274509805, 'rgb(126,104,35)'],
        [0.19607843137254902, 'rgb(129,105,36)'],
        [0.2, 'rgb(132,106,37)'],
        [0.20392156862745098, 'rgb(134,107,38)'],
        [0.20784313725490197, 'rgb(137,108,39)'],
        [0.21176470588235294, 'rgb(140,109,39)'],
        [0.21568627450980393, 'rgb(143,110,40)'],
        [0.2196078431372549, 'rgb(146,111,41)'],
        [0.2235294117647059, 'rgb(149,112,42)'],
        [0.22745098039215686, 'rgb(152,113,43)'],
        [0.23137254901960785, 'rgb(155,114,44)'],
        [0.23529411764705882, 'rgb(158,115,45)'],
        [0.23921568627450981, 'rgb(160,116,46)'],
        [0.24313725490196078, 'rgb(163,117,47)'],
        [0.24705882352941178, 'rgb(166,118,48)'],
        [0.25098039215686274, 'rgb(169,119,49)'],
        [0.2549019607843137, 'rgb(172,120,50)'],
        [0.25882352941176473, 'rgb(175,121,51)'],
        [0.2627450980392157, 'rgb(178,122,53)'],
        [0.26666666666666666, 'rgb(181,123,54)'],
        [0.27058823529411763, 'rgb(184,124,55)'],
        [0.27450980392156865, 'rgb(187,125,57)'],
        [0.2784313725490196, 'rgb(190,126,58)'],
        [0.2823529411764706, 'rgb(193,127,60)'],
        [0.28627450980392155, 'rgb(196,128,62)'],
        [0.2901960784313726, 'rgb(198,129,65)'],
        [0.29411764705882354, 'rgb(201,130,68)'],
        [0.2980392156862745, 'rgb(203,132,72)'],
        [0.30196078431372547, 'rgb(204,134,76)'],
        [0.3058823529411765, 'rgb(205,136,79)'],
        [0.30980392156862746, 'rgb(206,138,83)'],
        [0.3137254901960784, 'rgb(207,140,87)'],
        [0.3176470588235294, 'rgb(208,143,90)'],
        [0.3215686274509804, 'rgb(209,145,93)'],
        [0.3254901960784314, 'rgb(210,147,97)'],
        [0.32941176470588235, 'rgb(210,150,100)'],
        [0.3333333333333333, 'rgb(211,152,104)'],
        [0.33725490196078434, 'rgb(212,154,107)'],
        [0.3411764705882353, 'rgb(213,156,111)'],
        [0.34509803921568627, 'rgb(214,159,114)'],
        [0.34901960784313724, 'rgb(215,161,117)'],
        [0.35294117647058826, 'rgb(216,163,121)'],
        [0.3568627450980392, 'rgb(217,166,124)'],
        [0.3607843137254902, 'rgb(218,168,128)'],
        [0.36470588235294116, 'rgb(219,170,131)'],
        [0.3686274509803922, 'rgb(219,173,135)'],
        [0.37254901960784315, 'rgb(220,175,138)'],
        [0.3764705882352941, 'rgb(221,177,142)'],
        [0.3803921568627451, 'rgb(222,179,145)'],
        [0.3843137254901961, 'rgb(223,182,149)'],
        [0.38823529411764707, 'rgb(224,184,152)'],
        [0.39215686274509803, 'rgb(225,186,156)'],
        [0.396078431372549, 'rgb(226,189,159)'],
        [0.4, 'rgb(227,191,163)'],
        [0.403921568627451, 'rgb(228,193,166)'],
        [0.40784313725490196, 'rgb(229,196,170)'],
        [0.4117647058823529, 'rgb(230,198,173)'],
        [0.41568627450980394, 'rgb(231,200,177)'],
        [0.4196078431372549, 'rgb(232,203,180)'],
        [0.4235294117647059, 'rgb(233,205,184)'],
        [0.42745098039215684, 'rgb(234,208,187)'],
        [0.43137254901960786, 'rgb(235,210,191)'],
        [0.43529411764705883, 'rgb(236,212,194)'],
        [0.4392156862745098, 'rgb(237,215,198)'],
        [0.44313725490196076, 'rgb(239,217,201)'],
        [0.4470588235294118, 'rgb(240,219,205)'],
        [0.45098039215686275, 'rgb(241,222,209)'],
        [0.4549019607843137, 'rgb(242,224,212)'],
        [0.4588235294117647, 'rgb(243,227,216)'],
        [0.4627450980392157, 'rgb(244,229,219)'],
        [0.4666666666666667, 'rgb(246,232,223)'],
        [0.47058823529411764, 'rgb(247,234,226)'],
        [0.4745098039215686, 'rgb(248,236,229)'],
        [0.47843137254901963, 'rgb(249,239,233)'],
        [0.4823529411764706, 'rgb(250,241,236)'],
        [0.48627450980392156, 'rgb(251,243,239)'],
        [0.49019607843137253, 'rgb(252,245,242)'],
        [0.49411764705882355, 'rgb(252,246,244)'],
        [0.4980392156862745, 'rgb(252,247,246)'],
        [0.5019607843137255, 'rgb(252,247,246)'],
        [0.5058823529411764, 'rgb(252,247,245)'],
        [0.5098039215686274, 'rgb(251,246,243)'],
        [0.5137254901960784, 'rgb(251,245,240)'],
        [0.5176470588235295, 'rgb(249,244,237)'],
        [0.5215686274509804, 'rgb(248,242,234)'],
        [0.5254901960784314, 'rgb(246,240,231)'],
        [0.5294117647058824, 'rgb(244,238,227)'],
        [0.5333333333333333, 'rgb(242,236,224)'],
        [0.5372549019607843, 'rgb(240,234,220)'],
        [0.5411764705882353, 'rgb(239,232,216)'],
        [0.5450980392156862, 'rgb(237,230,213)'],
        [0.5490196078431373, 'rgb(235,228,209)'],
        [0.5529411764705883, 'rgb(233,226,205)'],
        [0.5568627450980392, 'rgb(231,223,202)'],
        [0.5607843137254902, 'rgb(229,221,198)'],
        [0.5647058823529412, 'rgb(227,219,194)'],
        [0.5686274509803921, 'rgb(225,217,191)'],
        [0.5725490196078431, 'rgb(223,215,187)'],
        [0.5764705882352941, 'rgb(221,214,184)'],
        [0.5803921568627451, 'rgb(218,212,180)'],
        [0.5843137254901961, 'rgb(215,210,178)'],
        [0.5882352941176471, 'rgb(212,209,175)'],
        [0.592156862745098, 'rgb(209,207,173)'],
        [0.596078431372549, 'rgb(206,206,171)'],
        [0.6, 'rgb(203,204,170)'],
        [0.6039215686274509, 'rgb(199,203,168)'],
        [0.6078431372549019, 'rgb(196,201,167)'],
        [0.611764705882353, 'rgb(193,200,166)'],
        [0.615686274509804, 'rgb(190,198,165)'],
        [0.6196078431372549, 'rgb(186,196,164)'],
        [0.6235294117647059, 'rgb(183,195,163)'],
        [0.6274509803921569, 'rgb(180,193,162)'],
        [0.6313725490196078, 'rgb(177,192,161)'],
        [0.6352941176470588, 'rgb(174,190,160)'],
        [0.6392156862745098, 'rgb(171,189,159)'],
        [0.6431372549019608, 'rgb(168,187,158)'],
        [0.6470588235294118, 'rgb(165,185,157)'],
        [0.6509803921568628, 'rgb(162,184,156)'],
        [0.6549019607843137, 'rgb(159,182,155)'],
        [0.6588235294117647, 'rgb(156,181,154)'],
        [0.6627450980392157, 'rgb(153,179,153)'],
        [0.6666666666666666, 'rgb(151,178,152)'],
        [0.6705882352941176, 'rgb(148,176,151)'],
        [0.6745098039215687, 'rgb(145,174,150)'],
        [0.6784313725490196, 'rgb(142,173,149)'],
        [0.6823529411764706, 'rgb(139,171,148)'],
        [0.6862745098039216, 'rgb(136,170,147)'],
        [0.6901960784313725, 'rgb(133,168,146)'],
        [0.6941176470588235, 'rgb(130,167,146)'],
        [0.6980392156862745, 'rgb(127,165,145)'],
        [0.7019607843137254, 'rgb(124,164,144)'],
        [0.7058823529411765, 'rgb(121,162,143)'],
        [0.7098039215686275, 'rgb(118,161,142)'],
        [0.7137254901960784, 'rgb(115,159,141)'],
        [0.7176470588235294, 'rgb(112,158,140)'],
        [0.7215686274509804, 'rgb(109,156,139)'],
        [0.7254901960784313, 'rgb(106,155,138)'],
        [0.7294117647058823, 'rgb(103,154,137)'],
        [0.7333333333333333, 'rgb(100,152,137)'],
        [0.7372549019607844, 'rgb(97,151,136)'],
        [0.7411764705882353, 'rgb(94,149,135)'],
        [0.7450980392156863, 'rgb(90,148,134)'],
        [0.7490196078431373, 'rgb(87,146,133)'],
        [0.7529411764705882, 'rgb(84,145,133)'],
        [0.7568627450980392, 'rgb(81,143,132)'],
        [0.7607843137254902, 'rgb(78,142,131)'],
        [0.7647058823529411, 'rgb(74,140,131)'],
        [0.7686274509803922, 'rgb(71,139,130)'],
        [0.7725490196078432, 'rgb(68,137,130)'],
        [0.7764705882352941, 'rgb(65,136,129)'],
        [0.7803921568627451, 'rgb(61,134,128)'],
        [0.7843137254901961, 'rgb(58,133,128)'],
        [0.788235294117647, 'rgb(55,131,127)'],
        [0.792156862745098, 'rgb(52,129,127)'],
        [0.796078431372549, 'rgb(49,128,126)'],
        [0.8, 'rgb(46,126,126)'],
        [0.803921568627451, 'rgb(44,124,125)'],
        [0.807843137254902, 'rgb(42,123,125)'],
        [0.8117647058823529, 'rgb(39,121,124)'],
        [0.8156862745098039, 'rgb(37,119,124)'],
        [0.8196078431372549, 'rgb(36,117,123)'],
        [0.8235294117647058, 'rgb(34,116,122)'],
        [0.8274509803921568, 'rgb(33,114,122)'],
        [0.8313725490196079, 'rgb(32,112,121)'],
        [0.8352941176470589, 'rgb(32,110,120)'],
        [0.8392156862745098, 'rgb(31,108,119)'],
        [0.8431372549019608, 'rgb(31,106,118)'],
        [0.8470588235294118, 'rgb(30,105,118)'],
        [0.8509803921568627, 'rgb(30,103,117)'],
        [0.8549019607843137, 'rgb(29,101,116)'],
        [0.8588235294117647, 'rgb(29,99,115)'],
        [0.8627450980392157, 'rgb(28,97,114)'],
        [0.8666666666666667, 'rgb(28,95,113)'],
        [0.8705882352941177, 'rgb(27,93,112)'],
        [0.8745098039215686, 'rgb(26,92,111)'],
        [0.8784313725490196, 'rgb(26,90,111)'],
        [0.8823529411764706, 'rgb(25,88,110)'],
        [0.8862745098039215, 'rgb(24,86,109)'],
        [0.8901960784313725, 'rgb(24,84,108)'],
        [0.8941176470588236, 'rgb(23,83,107)'],
        [0.8980392156862745, 'rgb(22,81,107)'],
        [0.9019607843137255, 'rgb(21,79,106)'],
        [0.9058823529411765, 'rgb(20,77,105)'],
        [0.9098039215686274, 'rgb(19,75,104)'],
        [0.9137254901960784, 'rgb(18,73,104)'],
        [0.9176470588235294, 'rgb(17,72,103)'],
        [0.9215686274509803, 'rgb(16,70,102)'],
        [0.9254901960784314, 'rgb(16,68,101)'],
        [0.9294117647058824, 'rgb(15,66,101)'],
        [0.9333333333333333, 'rgb(14,64,100)'],
        [0.9372549019607843, 'rgb(13,62,99)'],
        [0.9411764705882353, 'rgb(12,60,99)'],
        [0.9450980392156862, 'rgb(11,59,98)'],
        [0.9490196078431372, 'rgb(10,57,98)'],
        [0.9529411764705882, 'rgb(9,55,97)'],
        [0.9568627450980393, 'rgb(9,53,96)'],
        [0.9607843137254902, 'rgb(9,51,96)'],
        [0.9647058823529412, 'rgb(9,49,95)'],
        [0.9686274509803922, 'rgb(10,47,94)'],
        [0.9725490196078431, 'rgb(11,45,93)'],
        [0.9764705882352941, 'rgb(12,42,91)'],
        [0.9803921568627451, 'rgb(13,40,89)'],
        [0.984313725490196, 'rgb(14,38,88)'],
        [0.9882352941176471, 'rgb(14,36,86)'],
        [0.9921568627450981, 'rgb(15,34,84)'],
        [0.996078431372549, 'rgb(15,32,82)'],
        [1.0, 'rgb(16,30,79)'],
    ],
    'cmo.tempo': [
        [0.0, 'rgb(255,246,244)'],
        [0.00392156862745098, 'rgb(253,245,243)'],
        [0.00784313725490196, 'rgb(252,244,241)'],
        [0.011764705882352941, 'rgb(251,243,240)'],
        [0.01568627450980392, 'rgb(249,242,238)'],
        [0.0196078431372549, 'rgb(248,241,237)'],
        [0.023529411764705882, 'rgb(247,240,235)'],
        [0.027450980392156862, 'rgb(245,239,234)'],
        [0.03137254901960784, 'rgb(244,238,232)'],
        [0.03529411764705882, 'rgb(242,237,231)'],
        [0.0392156862745098, 'rgb(241,236,229)'],
        [0.043137254901960784, 'rgb(240,235,228)'],
        [0.047058823529411764, 'rgb(238,234,226)'],
        [0.050980392156862744, 'rgb(237,234,225)'],
        [0.054901960784313725, 'rgb(235,233,223)'],
        [0.058823529411764705, 'rgb(234,232,222)'],
        [0.06274509803921569, 'rgb(233,231,221)'],
        [0.06666666666666667, 'rgb(231,230,219)'],
        [0.07058823529411765, 'rgb(230,229,218)'],
        [0.07450980392156863, 'rgb(228,228,216)'],
        [0.0784313725490196, 'rgb(227,227,215)'],
        [0.08235294117647059, 'rgb(226,226,214)'],
        [0.08627450980392157, 'rgb(224,226,212)'],
        [0.09019607843137255, 'rgb(223,225,211)'],
        [0.09411764705882353, 'rgb(221,224,209)'],
        [0.09803921568627451, 'rgb(220,223,208)'],
        [0.10196078431372549, 'rgb(219,222,207)'],
        [0.10588235294117647, 'rgb(217,221,205)'],
        [0.10980392156862745, 'rgb(216,221,204)'],
        [0.11372549019607843, 'rgb(214,220,203)'],
        [0.11764705882352941, 'rgb(213,219,201)'],
        [0.12156862745098039, 'rgb(211,218,200)'],
        [0.12549019607843137, 'rgb(210,217,199)'],
        [0.12941176470588237, 'rgb(209,216,197)'],
        [0.13333333333333333, 'rgb(207,216,196)'],
        [0.13725490196078433, 'rgb(206,215,195)'],
        [0.1411764705882353, 'rgb(204,214,193)'],
        [0.1450980392156863, 'rgb(203,213,192)'],
        [0.14901960784313725, 'rgb(201,212,191)'],
        [0.15294117647058825, 'rgb(200,212,190)'],
        [0.1568627450980392, 'rgb(198,211,188)'],
        [0.1607843137254902, 'rgb(197,210,187)'],
        [0.16470588235294117, 'rgb(195,209,186)'],
        [0.16862745098039217, 'rgb(194,209,185)'],
        [0.17254901960784313, 'rgb(192,208,183)'],
        [0.17647058823529413, 'rgb(191,207,182)'],
        [0.1803921568627451, 'rgb(189,206,181)'],
        [0.1843137254901961, 'rgb(188,206,180)'],
        [0.18823529411764706, 'rgb(186,205,179)'],
        [0.19215686274509805, 'rgb(185,204,178)'],
        [0.19607843137254902, 'rgb(183,203,176)'],
        [0.2, 'rgb(182,203,175)'],
        [0.20392156862745098, 'rgb(180,202,174)'],
        [0.20784313725490197, 'rgb(179,201,173)'],
        [0.21176470588235294, 'rgb(177,200,172)'],
        [0.21568627450980393, 'rgb(176,200,171)'],
        [0.2196078431372549, 'rgb(174,199,170)'],
        [0.2235294117647059, 'rgb(172,198,169)'],
        [0.22745098039215686, 'rgb(171,197,168)'],
        [0.23137254901960785, 'rgb(169,197,166)'],
        [0.23529411764705882, 'rgb(168,196,165)'],
        [0.23921568627450981, 'rgb(166,195,164)'],
        [0.24313725490196078, 'rgb(164,195,163)'],
        [0.24705882352941178, 'rgb(163,194,162)'],
        [0.25098039215686274, 'rgb(161,193,161)'],
        [0.2549019607843137, 'rgb(160,192,160)'],
        [0.25882352941176473, 'rgb(158,192,159)'],
        [0.2627450980392157, 'rgb(156,191,159)'],
        [0.26666666666666666, 'rgb(155,190,158)'],
        [0.27058823529411763, 'rgb(153,190,157)'],
        [0.27450980392156865, 'rgb(151,189,156)'],
        [0.2784313725490196, 'rgb(150,188,155)'],
        [0.2823529411764706, 'rgb(148,188,154)'],
        [0.28627450980392155, 'rgb(146,187,153)'],
        [0.2901960784313726, 'rgb(145,186,152)'],
        [0.29411764705882354, 'rgb(143,186,151)'],
        [0.2980392156862745, 'rgb(141,185,151)'],
        [0.30196078431372547, 'rgb(139,184,150)'],
        [0.3058823529411765, 'rgb(138,183,149)'],
        [0.30980392156862746, 'rgb(136,183,148)'],
        [0.3137254901960784, 'rgb(134,182,147)'],
        [0.3176470588235294, 'rgb(133,181,147)'],
        [0.3215686274509804, 'rgb(131,181,146)'],
        [0.3254901960784314, 'rgb(129,180,145)'],
        [0.32941176470588235, 'rgb(127,179,144)'],
        [0.3333333333333333, 'rgb(125,179,144)'],
        [0.33725490196078434, 'rgb(124,178,143)'],
        [0.3411764705882353, 'rgb(122,177,142)'],
        [0.34509803921568627, 'rgb(120,177,142)'],
        [0.34901960784313724, 'rgb(118,176,141)'],
        [0.35294117647058826, 'rgb(116,175,141)'],
        [0.3568627450980392, 'rgb(114,175,140)'],
        [0.3607843137254902, 'rgb(113,174,139)'],
        [0.36470588235294116, 'rgb(111,173,139)'],
        [0.3686274509803922, 'rgb(109,173,138)'],
        [0.37254901960784315, 'rgb(107,172,138)'],
        [0.3764705882352941, 'rgb(105,171,137)'],
        [0.3803921568627451, 'rgb(103,171,137)'],
        [0.3843137254901961, 'rgb(101,170,136)'],
        [0.38823529411764707, 'rgb(99,169,136)'],
        [0.39215686274509803, 'rgb(97,169,135)'],
        [0.396078431372549, 'rgb(95,168,135)'],
        [0.4, 'rgb(93,167,134)'],
        [0.403921568627451, 'rgb(91,166,134)'],
        [0.40784313725490196, 'rgb(89,166,133)'],
        [0.4117647058823529, 'rgb(87,165,133)'],
        [0.41568627450980394, 'rgb(86,164,133)'],
        [0.4196078431372549, 'rgb(84,164,132)'],
        [0.4235294117647059, 'rgb(82,163,132)'],
        [0.42745098039215684, 'rgb(80,162,132)'],
        [0.43137254901960786, 'rgb(78,161,131)'],
        [0.43529411764705883, 'rgb(75,161,131)'],
        [0.4392156862745098, 'rgb(73,160,131)'],
        [0.44313725490196076, 'rgb(71,159,130)'],
        [0.4470588235294118, 'rgb(69,159,130)'],
        [0.45098039215686275, 'rgb(67,158,130)'],
        [0.4549019607843137, 'rgb(65,157,130)'],
        [0.4588235294117647, 'rgb(63,156,129)'],
        [0.4627450980392157, 'rgb(61,156,129)'],
        [0.4666666666666667, 'rgb(59,155,129)'],
        [0.47058823529411764, 'rgb(58,154,129)'],
        [0.4745098039215686, 'rgb(56,153,129)'],
        [0.47843137254901963, 'rgb(54,152,128)'],
        [0.4823529411764706, 'rgb(52,152,128)'],
        [0.48627450980392156, 'rgb(50,151,128)'],
        [0.49019607843137253, 'rgb(48,150,128)'],
        [0.49411764705882355, 'rgb(46,149,128)'],
        [0.4980392156862745, 'rgb(44,148,127)'],
        [0.5019607843137255, 'rgb(42,147,127)'],
        [0.5058823529411764, 'rgb(41,147,127)'],
        [0.5098039215686274, 'rgb(39,146,127)'],
        [0.5137254901960784, 'rgb(37,145,127)'],
        [0.5176470588235295, 'rgb(36,144,127)'],
        [0.5215686274509804, 'rgb(34,143,126)'],
        [0.5254901960784314, 'rgb(33,142,126)'],
        [0.5294117647058824, 'rgb(31,141,126)'],
        [0.5333333333333333, 'rgb(30,141,126)'],
        [0.5372549019607843, 'rgb(28,140,126)'],
        [0.5411764705882353, 'rgb(27,139,125)'],
        [0.5450980392156862, 'rgb(26,138,125)'],
        [0.5490196078431373, 'rgb(25,137,125)'],
        [0.5529411764705883, 'rgb(23,136,125)'],
        [0.5568627450980392, 'rgb(22,135,124)'],
        [0.5607843137254902, 'rgb(22,134,124)'],
        [0.5647058823529412, 'rgb(21,133,124)'],
        [0.5686274509803921, 'rgb(20,132,124)'],
        [0.5725490196078431, 'rgb(19,132,123)'],
        [0.5764705882352941, 'rgb(19,131,123)'],
        [0.5803921568627451, 'rgb(18,130,123)'],
        [0.5843137254901961, 'rgb(18,129,123)'],
        [0.5882352941176471, 'rgb(17,128,122)'],
        [0.592156862745098, 'rgb(17,127,122)'],
        [0.596078431372549, 'rgb(17,126,122)'],
        [0.6, 'rgb(17,125,121)'],
        [0.6039215686274509, 'rgb(17,124,121)'],
        [0.6078431372549019, 'rgb(17,123,121)'],
        [0.611764705882353, 'rgb(17,122,120)'],
        [0.615686274509804, 'rgb(17,121,120)'],
        [0.6196078431372549, 'rgb(17,120,120)'],
        [0.6235294117647059, 'rgb(17,119,119)'],
        [0.6274509803921569, 'rgb(17,118,119)'],
        [0.6313725490196078, 'rgb(18,118,118)'],
        [0.6352941176470588, 'rgb(18,117,118)'],
        [0.6392156862745098, 'rgb(18,116,118)'],
        [0.6431372549019608, 'rgb(19,115,117)'],
        [0.6470588235294118, 'rgb(19,114,117)'],
        [0.6509803921568628, 'rgb(19,113,116)'],
        [0.6549019607843137, 'rgb(20,112,116)'],
        [0.6588235294117647, 'rgb(20,111,115)'],
        [0.6627450980392157, 'rgb(20,110,115)'],
        [0.6666666666666666, 'rgb(21,109,115)'],
        [0.6705882352941176, 'rgb(21,108,114)'],
        [0.6745098039215687, 'rgb(22,107,114)'],
        [0.6784313725490196, 'rgb(22,106,113)'],
        [0.6823529411764706, 'rgb(22,105,113)'],
        [0.6862745098039216, 'rgb(23,104,112)'],
        [0.6901960784313725, 'rgb(23,103,112)'],
        [0.6941176470588235, 'rgb(23,102,111)'],
        [0.6980392156862745, 'rgb(24,101,111)'],
        [0.7019607843137254, 'rgb(24,101,110)'],
        [0.7058823529411765, 'rgb(24,100,110)'],
        [0.7098039215686275, 'rgb(25,99,109)'],
        [0.7137254901960784, 'rgb(25,98,109)'],
        [0.7176470588235294, 'rgb(25,97,108)'],
        [0.7215686274509804, 'rgb(25,96,108)'],
        [0.7254901960784313, 'rgb(26,95,107)'],
        [0.7294117647058823, 'rgb(26,94,107)'],
        [0.7333333333333333, 'rgb(26,93,106)'],
        [0.7372549019607844, 'rgb(26,92,106)'],
        [0.7411764705882353, 'rgb(26,91,105)'],
        [0.7450980392156863, 'rgb(27,90,104)'],
        [0.7490196078431373, 'rgb(27,89,104)'],
        [0.7529411764705882, 'rgb(27,88,103)'],
        [0.7568627450980392, 'rgb(27,88,103)'],
        [0.7607843137254902, 'rgb(27,87,102)'],
        [0.7647058823529411, 'rgb(27,86,102)'],
        [0.7686274509803922, 'rgb(28,85,101)'],
        [0.7725490196078432, 'rgb(28,84,101)'],
        [0.7764705882352941, 'rgb(28,83,100)'],
        [0.7803921568627451, 'rgb(28,82,99)'],
        [0.7843137254901961, 'rgb(28,81,99)'],
        [0.788235294117647, 'rgb(28,80,98)'],
        [0.792156862745098, 'rgb(28,79,98)'],
        [0.796078431372549, 'rgb(28,78,97)'],
        [0.8, 'rgb(28,77,97)'],
        [0.803921568627451, 'rgb(28,76,96)'],
        [0.807843137254902, 'rgb(28,76,95)'],
        [0.8117647058823529, 'rgb(28,75,95)'],
        [0.8156862745098039, 'rgb(28,74,94)'],
        [0.8196078431372549, 'rgb(28,73,94)'],
        [0.8235294117647058, 'rgb(28,72,93)'],
        [0.8274509803921568, 'rgb(28,71,93)'],
        [0.8313725490196079, 'rgb(28,70,92)'],
        [0.8352941176470589, 'rgb(28,69,91)'],
        [0.8392156862745098, 'rgb(28,68,91)'],
        [0.8431372549019608, 'rgb(28,67,90)'],
        [0.8470588235294118, 'rgb(28,66,90)'],
        [0.8509803921568627, 'rgb(28,66,89)'],
        [0.8549019607843137, 'rgb(28,65,88)'],
        [0.8588235294117647, 'rgb(28,64,88)'],
        [0.8627450980392157, 'rgb(27,63,87)'],
        [0.8666666666666667, 'rgb(27,62,87)'],
        [0.8705882352941177, 'rgb(27,61,86)'],
        [0.8745098039215686, 'rgb(27,60,86)'],
        [0.8784313725490196, 'rgb(27,59,85)'],
        [0.8823529411764706, 'rgb(27,58,84)'],
        [0.8862745098039215, 'rgb(27,57,84)'],
        [0.8901960784313725, 'rgb(27,56,83)'],
        [0.8941176470588236, 'rgb(26,55,83)'],
        [0.8980392156862745, 'rgb(26,54,82)'],
        [0.9019607843137255, 'rgb(26,54,81)'],
        [0.9058823529411765, 'rgb(26,53,81)'],
        [0.9098039215686274, 'rgb(26,52,80)'],
        [0.9137254901960784, 'rgb(26,51,80)'],
        [0.9176470588235294, 'rgb(25,50,79)'],
        [0.9215686274509803, 'rgb(25,49,79)'],
        [0.9254901960784314, 'rgb(25,48,78)'],
        [0.9294117647058824, 'rgb(25,47,77)'],
        [0.9333333333333333, 'rgb(25,46,77)'],
        [0.9372549019607843, 'rgb(24,45,76)'],
        [0.9411764705882353, 'rgb(24,44,76)'],
        [0.9450980392156862, 'rgb(24,43,75)'],
        [0.9490196078431372, 'rgb(24,42,75)'],
        [0.9529411764705882, 'rgb(24,41,74)'],
        [0.9568627450980393, 'rgb(23,40,74)'],
        [0.9607843137254902, 'rgb(23,39,73)'],
        [0.9647058823529412, 'rgb(23,38,72)'],
        [0.9686274509803922, 'rgb(23,37,72)'],
        [0.9725490196078431, 'rgb(23,36,71)'],
        [0.9764705882352941, 'rgb(22,35,71)'],
        [0.9803921568627451, 'rgb(22,34,70)'],
        [0.984313725490196, 'rgb(22,33,70)'],
        [0.9882352941176471, 'rgb(22,32,69)'],
        [0.9921568627450981, 'rgb(21,31,69)'],
        [0.996078431372549, 'rgb(21,30,68)'],
        [1.0, 'rgb(21,29,68)'],
    ],
    'cmo.thermal': [
        [0.0, 'rgb(4,35,51)'],
        [0.00392156862745098, 'rgb(4,36,53)'],
        [0.00784313725490196, 'rgb(4,37,55)'],
        [0.011764705882352941, 'rgb(4,37,57)'],
        [0.01568627450980392, 'rgb(5,38,59)'],
        [0.0196078431372549, 'rgb(5,39,61)'],
        [0.023529411764705882, 'rgb(5,39,63)'],
        [0.027450980392156862, 'rgb(5,40,65)'],
        [0.03137254901960784, 'rgb(5,41,67)'],
        [0.03529411764705882, 'rgb(6,41,69)'],
        [0.0392156862745098, 'rgb(6,42,71)'],
        [0.043137254901960784, 'rgb(6,43,73)'],
        [0.047058823529411764, 'rgb(7,43,75)'],
        [0.050980392156862744, 'rgb(7,44,77)'],
        [0.054901960784313725, 'rgb(7,44,80)'],
        [0.058823529411764705, 'rgb(8,45,82)'],
        [0.06274509803921569, 'rgb(8,46,84)'],
        [0.06666666666666667, 'rgb(9,46,86)'],
        [0.07058823529411765, 'rgb(9,47,89)'],
        [0.07450980392156863, 'rgb(10,47,91)'],
        [0.0784313725490196, 'rgb(11,48,93)'],
        [0.08235294117647059, 'rgb(12,48,96)'],
        [0.08627450980392157, 'rgb(12,48,98)'],
        [0.09019607843137255, 'rgb(13,49,101)'],
        [0.09411764705882353, 'rgb(14,49,103)'],
        [0.09803921568627451, 'rgb(15,50,106)'],
        [0.10196078431372549, 'rgb(16,50,108)'],
        [0.10588235294117647, 'rgb(18,50,111)'],
        [0.10980392156862745, 'rgb(19,51,114)'],
        [0.11372549019607843, 'rgb(20,51,116)'],
        [0.11764705882352941, 'rgb(22,51,119)'],
        [0.12156862745098039, 'rgb(23,51,122)'],
        [0.12549019607843137, 'rgb(25,51,124)'],
        [0.12941176470588237, 'rgb(26,52,127)'],
        [0.13333333333333333, 'rgb(28,52,130)'],
        [0.13725490196078433, 'rgb(30,52,132)'],
        [0.1411764705882353, 'rgb(31,52,135)'],
        [0.1450980392156863, 'rgb(33,52,138)'],
        [0.14901960784313725, 'rgb(35,52,140)'],
        [0.15294117647058825, 'rgb(37,52,143)'],
        [0.1568627450980392, 'rgb(39,52,145)'],
        [0.1607843137254902, 'rgb(42,51,147)'],
        [0.16470588235294117, 'rgb(44,51,149)'],
        [0.16862745098039217, 'rgb(46,51,151)'],
        [0.17254901960784313, 'rgb(48,51,153)'],
        [0.17647058823529413, 'rgb(51,51,155)'],
        [0.1803921568627451, 'rgb(53,51,156)'],
        [0.1843137254901961, 'rgb(55,51,157)'],
        [0.18823529411764706, 'rgb(57,51,158)'],
        [0.19215686274509805, 'rgb(60,51,159)'],
        [0.19607843137254902, 'rgb(62,52,159)'],
        [0.2, 'rgb(64,52,159)'],
        [0.20392156862745098, 'rgb(66,52,160)'],
        [0.20784313725490197, 'rgb(68,53,160)'],
        [0.21176470588235294, 'rgb(70,53,160)'],
        [0.21568627450980393, 'rgb(71,54,160)'],
        [0.2196078431372549, 'rgb(73,54,159)'],
        [0.2235294117647059, 'rgb(75,55,159)'],
        [0.22745098039215686, 'rgb(77,55,159)'],
        [0.23137254901960785, 'rgb(78,56,158)'],
        [0.23529411764705882, 'rgb(80,57,158)'],
        [0.23921568627450981, 'rgb(82,57,157)'],
        [0.24313725490196078, 'rgb(83,58,157)'],
        [0.24705882352941178, 'rgb(85,59,157)'],
        [0.25098039215686274, 'rgb(86,59,156)'],
        [0.2549019607843137, 'rgb(88,60,156)'],
        [0.25882352941176473, 'rgb(89,61,155)'],
        [0.2627450980392157, 'rgb(91,61,155)'],
        [0.26666666666666666, 'rgb(92,62,154)'],
        [0.27058823529411763, 'rgb(94,63,154)'],
        [0.27450980392156865, 'rgb(95,63,153)'],
        [0.2784313725490196, 'rgb(96,64,153)'],
        [0.2823529411764706, 'rgb(98,65,152)'],
        [0.28627450980392155, 'rgb(99,65,152)'],
        [0.2901960784313726, 'rgb(101,66,151)'],
        [0.29411764705882354, 'rgb(102,67,151)'],
        [0.2980392156862745, 'rgb(103,67,150)'],
        [0.30196078431372547, 'rgb(105,68,150)'],
        [0.3058823529411765, 'rgb(106,69,149)'],
        [0.30980392156862746, 'rgb(108,69,149)'],
        [0.3137254901960784, 'rgb(109,70,148)'],
        [0.3176470588235294, 'rgb(110,71,148)'],
        [0.3215686274509804, 'rgb(112,71,148)'],
        [0.3254901960784314, 'rgb(113,72,147)'],
        [0.32941176470588235, 'rgb(114,72,147)'],
        [0.3333333333333333, 'rgb(116,73,146)'],
        [0.33725490196078434, 'rgb(117,74,146)'],
        [0.3411764705882353, 'rgb(118,74,146)'],
        [0.34509803921568627, 'rgb(120,75,145)'],
        [0.34901960784313724, 'rgb(121,75,145)'],
        [0.35294117647058826, 'rgb(122,76,145)'],
        [0.3568627450980392, 'rgb(124,77,144)'],
        [0.3607843137254902, 'rgb(125,77,144)'],
        [0.36470588235294116, 'rgb(126,78,144)'],
        [0.3686274509803922, 'rgb(128,78,143)'],
        [0.37254901960784315, 'rgb(129,79,143)'],
        [0.3764705882352941, 'rgb(131,80,143)'],
        [0.3803921568627451, 'rgb(132,80,142)'],
        [0.3843137254901961, 'rgb(133,81,142)'],
        [0.38823529411764707, 'rgb(135,81,142)'],
        [0.39215686274509803, 'rgb(136,82,141)'],
        [0.396078431372549, 'rgb(137,82,141)'],
        [0.4, 'rgb(139,83,141)'],
        [0.403921568627451, 'rgb(140,83,140)'],
        [0.40784313725490196, 'rgb(142,84,140)'],
        [0.4117647058823529, 'rgb(143,84,140)'],
        [0.41568627450980394, 'rgb(144,85,139)'],
        [0.4196078431372549, 'rgb(146,85,139)'],
        [0.4235294117647059, 'rgb(147,86,139)'],
        [0.42745098039215684, 'rgb(149,86,138)'],
        [0.43137254901960786, 'rgb(150,87,138)'],
        [0.43529411764705883, 'rgb(151,87,138)'],
        [0.4392156862745098, 'rgb(153,88,137)'],
        [0.44313725490196076, 'rgb(154,88,137)'],
        [0.4470588235294118, 'rgb(156,89,137)'],
        [0.45098039215686275, 'rgb(157,89,136)'],
        [0.4549019607843137, 'rgb(159,90,136)'],
        [0.4588235294117647, 'rgb(160,90,135)'],
        [0.4627450980392157, 'rgb(162,91,135)'],
        [0.4666666666666667, 'rgb(163,91,134)'],
        [0.47058823529411764, 'rgb(165,92,134)'],
        [0.4745098039215686, 'rgb(166,92,134)'],
        [0.47843137254901963, 'rgb(168,93,133)'],
        [0.4823529411764706, 'rgb(169,93,132)'],
        [0.48627450980392156, 'rgb(171,93,132)'],
        [0.49019607843137253, 'rgb(172,94,131)'],
        [0.49411764705882355, 'rgb(174,94,131)'],
        [0.4980392156862745, 'rgb(175,95,130)'],
        [0.5019607843137255, 'rgb(177,95,130)'],
        [0.5058823529411764, 'rgb(178,96,129)'],
        [0.5098039215686274, 'rgb(180,96,128)'],
        [0.5137254901960784, 'rgb(181,97,128)'],
        [0.5176470588235295, 'rgb(183,97,127)'],
        [0.5215686274509804, 'rgb(184,98,126)'],
        [0.5254901960784314, 'rgb(186,98,126)'],
        [0.5294117647058824, 'rgb(187,98,125)'],
        [0.5333333333333333, 'rgb(189,99,124)'],
        [0.5372549019607843, 'rgb(190,99,123)'],
        [0.5411764705882353, 'rgb(192,100,123)'],
        [0.5450980392156862, 'rgb(193,100,122)'],
        [0.5490196078431373, 'rgb(195,101,121)'],
        [0.5529411764705883, 'rgb(196,101,120)'],
        [0.5568627450980392, 'rgb(198,102,119)'],
        [0.5607843137254902, 'rgb(199,102,118)'],
        [0.5647058823529412, 'rgb(201,103,117)'],
        [0.5686274509803921, 'rgb(202,103,116)'],
        [0.5725490196078431, 'rgb(204,104,115)'],
        [0.5764705882352941, 'rgb(205,104,114)'],
        [0.5803921568627451, 'rgb(206,105,113)'],
        [0.5843137254901961, 'rgb(208,105,112)'],
        [0.5882352941176471, 'rgb(209,106,111)'],
        [0.592156862745098, 'rgb(211,106,110)'],
        [0.596078431372549, 'rgb(212,107,109)'],
        [0.6, 'rgb(214,108,108)'],
        [0.6039215686274509, 'rgb(215,108,107)'],
        [0.6078431372549019, 'rgb(216,109,106)'],
        [0.611764705882353, 'rgb(218,110,105)'],
        [0.615686274509804, 'rgb(219,110,104)'],
        [0.6196078431372549, 'rgb(220,111,102)'],
        [0.6235294117647059, 'rgb(222,112,101)'],
        [0.6274509803921569, 'rgb(223,112,100)'],
        [0.6313725490196078, 'rgb(224,113,99)'],
        [0.6352941176470588, 'rgb(225,114,98)'],
        [0.6392156862745098, 'rgb(227,114,96)'],
        [0.6431372549019608, 'rgb(228,115,95)'],
        [0.6470588235294118, 'rgb(229,116,94)'],
        [0.6509803921568628, 'rgb(230,117,93)'],
        [0.6549019607843137, 'rgb(231,118,91)'],
        [0.6588235294117647, 'rgb(232,119,90)'],
        [0.6627450980392157, 'rgb(234,120,89)'],
        [0.6666666666666666, 'rgb(235,121,88)'],
        [0.6705882352941176, 'rgb(236,121,86)'],
        [0.6745098039215687, 'rgb(237,122,85)'],
        [0.6784313725490196, 'rgb(238,123,84)'],
        [0.6823529411764706, 'rgb(238,125,83)'],
        [0.6862745098039216, 'rgb(239,126,82)'],
        [0.6901960784313725, 'rgb(240,127,80)'],
        [0.6941176470588235, 'rgb(241,128,79)'],
        [0.6980392156862745, 'rgb(242,129,78)'],
        [0.7019607843137254, 'rgb(243,130,77)'],
        [0.7058823529411765, 'rgb(243,131,76)'],
        [0.7098039215686275, 'rgb(244,133,75)'],
        [0.7137254901960784, 'rgb(245,134,74)'],
        [0.7176470588235294, 'rgb(245,135,73)'],
        [0.7215686274509804, 'rgb(246,136,72)'],
        [0.7254901960784313, 'rgb(246,138,71)'],
        [0.7294117647058823, 'rgb(247,139,70)'],
        [0.7333333333333333, 'rgb(247,140,69)'],
        [0.7372549019607844, 'rgb(248,142,68)'],
        [0.7411764705882353, 'rgb(248,143,67)'],
        [0.7450980392156863, 'rgb(249,145,67)'],
        [0.7490196078431373, 'rgb(249,146,66)'],
        [0.7529411764705882, 'rgb(249,147,65)'],
        [0.7568627450980392, 'rgb(250,149,65)'],
        [0.7607843137254902, 'rgb(250,150,64)'],
        [0.7647058823529411, 'rgb(250,152,63)'],
        [0.7686274509803922, 'rgb(251,153,63)'],
        [0.7725490196078432, 'rgb(251,155,62)'],
        [0.7764705882352941, 'rgb(251,156,62)'],
        [0.7803921568627451, 'rgb(251,158,62)'],
        [0.7843137254901961, 'rgb(251,159,61)'],
        [0.788235294117647, 'rgb(251,161,61)'],
        [0.792156862745098, 'rgb(252,163,61)'],
        [0.796078431372549, 'rgb(252,164,61)'],
        [0.8, 'rgb(252,166,60)'],
        [0.803921568627451, 'rgb(252,167,60)'],
        [0.807843137254902, 'rgb(252,169,60)'],
        [0.8117647058823529, 'rgb(252,170,60)'],
        [0.8156862745098039, 'rgb(252,172,60)'],
        [0.8196078431372549, 'rgb(252,174,60)'],
        [0.8235294117647058, 'rgb(252,175,60)'],
        [0.8274509803921568, 'rgb(252,177,60)'],
        [0.8313725490196079, 'rgb(251,178,61)'],
        [0.8352941176470589, 'rgb(251,180,61)'],
        [0.8392156862745098, 'rgb(251,182,61)'],
        [0.8431372549019608, 'rgb(251,183,61)'],
        [0.8470588235294118, 'rgb(251,185,62)'],
        [0.8509803921568627, 'rgb(251,187,62)'],
        [0.8549019607843137, 'rgb(251,188,62)'],
        [0.8588235294117647, 'rgb(250,190,63)'],
        [0.8627450980392157, 'rgb(250,191,63)'],
        [0.8666666666666667, 'rgb(250,193,64)'],
        [0.8705882352941177, 'rgb(250,195,64)'],
        [0.8745098039215686, 'rgb(249,196,65)'],
        [0.8784313725490196, 'rgb(249,198,65)'],
        [0.8823529411764706, 'rgb(249,200,66)'],
        [0.8862745098039215, 'rgb(248,201,67)'],
        [0.8901960784313725, 'rgb(248,203,67)'],
        [0.8941176470588236, 'rgb(248,205,68)'],
        [0.8980392156862745, 'rgb(247,206,69)'],
        [0.9019607843137255, 'rgb(247,208,69)'],
        [0.9058823529411765, 'rgb(247,210,70)'],
        [0.9098039215686274, 'rgb(246,211,71)'],
        [0.9137254901960784, 'rgb(246,213,71)'],
        [0.9176470588235294, 'rgb(245,215,72)'],
        [0.9215686274509803, 'rgb(245,216,73)'],
        [0.9254901960784314, 'rgb(244,218,74)'],
        [0.9294117647058824, 'rgb(244,220,75)'],
        [0.9333333333333333, 'rgb(243,221,75)'],
        [0.9372549019607843, 'rgb(243,223,76)'],
        [0.9411764705882353, 'rgb(242,225,77)'],
        [0.9450980392156862, 'rgb(242,226,78)'],
        [0.9490196078431372, 'rgb(241,228,79)'],
        [0.9529411764705882, 'rgb(241,230,80)'],
        [0.9568627450980393, 'rgb(240,232,81)'],
        [0.9607843137254902, 'rgb(239,233,81)'],
        [0.9647058823529412, 'rgb(239,235,82)'],
        [0.9686274509803922, 'rgb(238,237,83)'],
        [0.9725490196078431, 'rgb(237,238,84)'],
        [0.9764705882352941, 'rgb(237,240,85)'],
        [0.9803921568627451, 'rgb(236,242,86)'],
        [0.984313725490196, 'rgb(235,244,87)'],
        [0.9882352941176471, 'rgb(234,245,88)'],
        [0.9921568627450981, 'rgb(234,247,89)'],
        [0.996078431372549, 'rgb(233,249,90)'],
        [1.0, 'rgb(232,250,91)'],
    ],
    'cmo.topo': [
        [0.0, 'rgb(40,26,44)'],
        [0.00392156862745098, 'rgb(41,28,47)'],
        [0.00784313725490196, 'rgb(43,29,50)'],
        [0.011764705882352941, 'rgb(44,31,52)'],
        [0.01568627450980392, 'rgb(45,32,55)'],
        [0.0196078431372549, 'rgb(47,34,58)'],
        [0.023529411764705882, 'rgb(48,35,61)'],
        [0.027450980392156862, 'rgb(49,37,64)'],
        [0.03137254901960784, 'rgb(50,38,67)'],
        [0.03529411764705882, 'rgb(52,40,70)'],
        [0.0392156862745098, 'rgb(53,41,73)'],
        [0.043137254901960784, 'rgb(54,42,76)'],
        [0.047058823529411764, 'rgb(55,44,79)'],
        [0.050980392156862744, 'rgb(56,45,82)'],
        [0.054901960784313725, 'rgb(57,47,85)'],
        [0.058823529411764705, 'rgb(58,48,88)'],
        [0.06274509803921569, 'rgb(59,50,92)'],
        [0.06666666666666667, 'rgb(60,51,95)'],
        [0.07058823529411765, 'rgb(61,53,98)'],
        [0.07450980392156863, 'rgb(62,54,102)'],
        [0.0784313725490196, 'rgb(63,56,105)'],
        [0.08235294117647059, 'rgb(63,57,108)'],
        [0.08627450980392157, 'rgb(64,59,112)'],
        [0.09019607843137255, 'rgb(64,60,115)'],
        [0.09411764705882353, 'rgb(65,62,118)'],
        [0.09803921568627451, 'rgb(65,64,122)'],
        [0.10196078431372549, 'rgb(65,65,125)'],
        [0.10588235294117647, 'rgb(66,67,128)'],
        [0.10980392156862745, 'rgb(65,69,131)'],
        [0.11372549019607843, 'rgb(65,71,133)'],
        [0.11764705882352941, 'rgb(65,73,136)'],
        [0.12156862745098039, 'rgb(65,75,138)'],
        [0.12549019607843137, 'rgb(64,77,140)'],
        [0.12941176470588237, 'rgb(64,79,141)'],
        [0.13333333333333333, 'rgb(63,82,143)'],
        [0.13725490196078433, 'rgb(63,84,144)'],
        [0.1411764705882353, 'rgb(62,86,145)'],
        [0.1450980392156863, 'rgb(62,88,146)'],
        [0.14901960784313725, 'rgb(62,90,146)'],
        [0.15294117647058825, 'rgb(62,92,147)'],
        [0.1568627450980392, 'rgb(62,95,147)'],
        [0.1607843137254902, 'rgb(62,97,148)'],
        [0.16470588235294117, 'rgb(62,99,148)'],
        [0.16862745098039217, 'rgb(62,101,149)'],
        [0.17254901960784313, 'rgb(62,103,149)'],
        [0.17647058823529413, 'rgb(62,105,150)'],
        [0.1803921568627451, 'rgb(62,107,150)'],
        [0.1843137254901961, 'rgb(63,109,151)'],
        [0.18823529411764706, 'rgb(63,111,151)'],
        [0.19215686274509805, 'rgb(64,113,151)'],
        [0.19607843137254902, 'rgb(64,115,152)'],
        [0.2, 'rgb(64,117,152)'],
        [0.20392156862745098, 'rgb(65,119,153)'],
        [0.20784313725490197, 'rgb(66,121,153)'],
        [0.21176470588235294, 'rgb(66,123,153)'],
        [0.21568627450980393, 'rgb(67,125,154)'],
        [0.2196078431372549, 'rgb(67,127,154)'],
        [0.2235294117647059, 'rgb(68,129,155)'],
        [0.22745098039215686, 'rgb(68,131,155)'],
        [0.23137254901960785, 'rgb(69,133,156)'],
        [0.23529411764705882, 'rgb(70,135,156)'],
        [0.23921568627450981, 'rgb(70,137,157)'],
        [0.24313725490196078, 'rgb(71,139,157)'],
        [0.24705882352941178, 'rgb(72,141,157)'],
        [0.25098039215686274, 'rgb(72,143,158)'],
        [0.2549019607843137, 'rgb(73,145,158)'],
        [0.25882352941176473, 'rgb(74,147,159)'],
        [0.2627450980392157, 'rgb(74,149,159)'],
        [0.26666666666666666, 'rgb(75,151,160)'],
        [0.27058823529411763, 'rgb(76,153,160)'],
        [0.27450980392156865, 'rgb(77,155,161)'],
        [0.2784313725490196, 'rgb(77,157,161)'],
        [0.2823529411764706, 'rgb(78,159,161)'],
        [0.28627450980392155, 'rgb(79,161,162)'],
        [0.2901960784313726, 'rgb(80,163,162)'],
        [0.29411764705882354, 'rgb(81,165,162)'],
        [0.2980392156862745, 'rgb(81,167,163)'],
        [0.30196078431372547, 'rgb(82,169,163)'],
        [0.3058823529411765, 'rgb(83,171,163)'],
        [0.30980392156862746, 'rgb(85,173,163)'],
        [0.3137254901960784, 'rgb(86,175,164)'],
        [0.3176470588235294, 'rgb(87,177,164)'],
        [0.3215686274509804, 'rgb(88,179,164)'],
        [0.3254901960784314, 'rgb(90,182,164)'],
        [0.32941176470588235, 'rgb(91,184,164)'],
        [0.3333333333333333, 'rgb(93,186,164)'],
        [0.33725490196078434, 'rgb(95,188,164)'],
        [0.3411764705882353, 'rgb(97,190,164)'],
        [0.34509803921568627, 'rgb(99,192,164)'],
        [0.34901960784313724, 'rgb(101,194,164)'],
        [0.35294117647058826, 'rgb(103,195,164)'],
        [0.3568627450980392, 'rgb(106,197,164)'],
        [0.3607843137254902, 'rgb(109,199,163)'],
        [0.36470588235294116, 'rgb(112,201,163)'],
        [0.3686274509803922, 'rgb(115,203,163)'],
        [0.37254901960784315, 'rgb(118,205,163)'],
        [0.3764705882352941, 'rgb(122,206,163)'],
        [0.3803921568627451, 'rgb(125,208,163)'],
        [0.3843137254901961, 'rgb(129,210,163)'],
        [0.38823529411764707, 'rgb(133,211,163)'],
        [0.39215686274509803, 'rgb(137,213,163)'],
        [0.396078431372549, 'rgb(141,215,163)'],
        [0.4, 'rgb(146,216,164)'],
        [0.403921568627451, 'rgb(150,218,164)'],
        [0.40784313725490196, 'rgb(154,219,165)'],
        [0.4117647058823529, 'rgb(159,221,165)'],
        [0.41568627450980394, 'rgb(163,222,166)'],
        [0.4196078431372549, 'rgb(167,224,167)'],
        [0.4235294117647059, 'rgb(172,225,168)'],
        [0.42745098039215684, 'rgb(176,226,169)'],
        [0.43137254901960786, 'rgb(181,228,170)'],
        [0.43529411764705883, 'rgb(185,229,172)'],
        [0.4392156862745098, 'rgb(189,231,173)'],
        [0.44313725490196076, 'rgb(193,232,175)'],
        [0.4470588235294118, 'rgb(198,234,176)'],
        [0.45098039215686275, 'rgb(202,235,178)'],
        [0.4549019607843137, 'rgb(206,236,179)'],
        [0.4588235294117647, 'rgb(210,238,181)'],
        [0.4627450980392157, 'rgb(215,239,183)'],
        [0.4666666666666667, 'rgb(219,241,185)'],
        [0.47058823529411764, 'rgb(223,242,187)'],
        [0.4745098039215686, 'rgb(227,244,189)'],
        [0.47843137254901963, 'rgb(231,245,191)'],
        [0.4823529411764706, 'rgb(235,247,193)'],
        [0.48627450980392156, 'rgb(239,248,196)'],
        [0.49019607843137253, 'rgb(243,250,198)'],
        [0.49411764705882355, 'rgb(247,251,200)'],
        [0.4980392156862745, 'rgb(251,253,203)'],
        [0.5019607843137255, 'rgb(13,37,20)'],
        [0.5058823529411764, 'rgb(14,39,21)'],
        [0.5098039215686274, 'rgb(15,41,21)'],
        [0.5137254901960784, 'rgb(16,42,22)'],
        [0.5176470588235295, 'rgb(17,44,23)'],
        [0.5215686274509804, 'rgb(18,46,23)'],
        [0.5254901960784314, 'rgb(19,48,24)'],
        [0.5294117647058824, 'rgb(20,50,24)'],
        [0.5333333333333333, 'rgb(21,51,25)'],
        [0.5372549019607843, 'rgb(22,53,26)'],
        [0.5411764705882353, 'rgb(23,55,26)'],
        [0.5450980392156862, 'rgb(23,57,27)'],
        [0.5490196078431373, 'rgb(24,58,27)'],
        [0.5529411764705883, 'rgb(25,60,28)'],
        [0.5568627450980392, 'rgb(26,62,28)'],
        [0.5607843137254902, 'rgb(27,64,28)'],
        [0.5647058823529412, 'rgb(27,65,29)'],
        [0.5686274509803921, 'rgb(28,67,29)'],
        [0.5725490196078431, 'rgb(29,69,29)'],
        [0.5764705882352941, 'rgb(30,71,30)'],
        [0.5803921568627451, 'rgb(31,72,30)'],
        [0.5843137254901961, 'rgb(32,74,30)'],
        [0.5882352941176471, 'rgb(33,76,30)'],
        [0.592156862745098, 'rgb(35,78,30)'],
        [0.596078431372549, 'rgb(37,79,30)'],
        [0.6, 'rgb(39,81,30)'],
        [0.6039215686274509, 'rgb(42,82,30)'],
        [0.6078431372549019, 'rgb(45,83,31)'],
        [0.611764705882353, 'rgb(48,85,32)'],
        [0.615686274509804, 'rgb(51,86,34)'],
        [0.6196078431372549, 'rgb(54,87,35)'],
        [0.6235294117647059, 'rgb(57,88,37)'],
        [0.6274509803921569, 'rgb(60,90,38)'],
        [0.6313725490196078, 'rgb(63,91,40)'],
        [0.6352941176470588, 'rgb(65,92,42)'],
        [0.6392156862745098, 'rgb(68,93,43)'],
        [0.6431372549019608, 'rgb(71,95,45)'],
        [0.6470588235294118, 'rgb(73,96,47)'],
        [0.6509803921568628, 'rgb(76,97,48)'],
        [0.6549019607843137, 'rgb(78,98,49)'],
        [0.6588235294117647, 'rgb(81,99,51)'],
        [0.6627450980392157, 'rgb(84,101,52)'],
        [0.6666666666666666, 'rgb(86,102,53)'],
        [0.6705882352941176, 'rgb(89,103,54)'],
        [0.6745098039215687, 'rgb(92,104,55)'],
        [0.6784313725490196, 'rgb(94,106,56)'],
        [0.6823529411764706, 'rgb(97,107,57)'],
        [0.6862745098039216, 'rgb(100,108,58)'],
        [0.6901960784313725, 'rgb(102,109,58)'],
        [0.6941176470588235, 'rgb(105,111,59)'],
        [0.6980392156862745, 'rgb(107,112,60)'],
        [0.7019607843137254, 'rgb(110,113,60)'],
        [0.7058823529411765, 'rgb(113,114,61)'],
        [0.7098039215686275, 'rgb(115,116,61)'],
        [0.7137254901960784, 'rgb(118,117,62)'],
        [0.7176470588235294, 'rgb(121,118,62)'],
        [0.7215686274509804, 'rgb(123,119,62)'],
        [0.7254901960784313, 'rgb(126,121,63)'],
        [0.7294117647058823, 'rgb(129,122,63)'],
        [0.7333333333333333, 'rgb(131,123,63)'],
        [0.7372549019607844, 'rgb(134,124,63)'],
        [0.7411764705882353, 'rgb(137,126,64)'],
        [0.7450980392156863, 'rgb(140,127,64)'],
        [0.7490196078431373, 'rgb(142,128,64)'],
        [0.7529411764705882, 'rgb(145,129,64)'],
        [0.7568627450980392, 'rgb(148,131,64)'],
        [0.7607843137254902, 'rgb(150,132,64)'],
        [0.7647058823529411, 'rgb(153,133,64)'],
        [0.7686274509803922, 'rgb(156,134,64)'],
        [0.7725490196078432, 'rgb(159,136,64)'],
        [0.7764705882352941, 'rgb(161,137,64)'],
        [0.7803921568627451, 'rgb(164,138,63)'],
        [0.7843137254901961, 'rgb(167,140,63)'],
        [0.788235294117647, 'rgb(170,141,63)'],
        [0.792156862745098, 'rgb(173,142,63)'],
        [0.796078431372549, 'rgb(176,143,63)'],
        [0.8, 'rgb(179,145,63)'],
        [0.803921568627451, 'rgb(182,146,63)'],
        [0.807843137254902, 'rgb(185,147,62)'],
        [0.8117647058823529, 'rgb(188,148,62)'],
        [0.8156862745098039, 'rgb(191,149,63)'],
        [0.8196078431372549, 'rgb(193,151,65)'],
        [0.8235294117647058, 'rgb(195,153,69)'],
        [0.8274509803921568, 'rgb(196,155,72)'],
        [0.8313725490196079, 'rgb(197,157,76)'],
        [0.8352941176470589, 'rgb(198,159,80)'],
        [0.8392156862745098, 'rgb(199,161,83)'],
        [0.8431372549019608, 'rgb(200,163,87)'],
        [0.8470588235294118, 'rgb(202,165,90)'],
        [0.8509803921568627, 'rgb(203,167,94)'],
        [0.8549019607843137, 'rgb(204,169,97)'],
        [0.8588235294117647, 'rgb(205,171,101)'],
        [0.8627450980392157, 'rgb(206,173,104)'],
        [0.8666666666666667, 'rgb(207,176,108)'],
        [0.8705882352941177, 'rgb(208,178,111)'],
        [0.8745098039215686, 'rgb(209,180,115)'],
        [0.8784313725490196, 'rgb(210,182,118)'],
        [0.8823529411764706, 'rgb(211,184,122)'],
        [0.8862745098039215, 'rgb(212,187,125)'],
        [0.8901960784313725, 'rgb(213,189,129)'],
        [0.8941176470588236, 'rgb(214,191,132)'],
        [0.8980392156862745, 'rgb(215,193,136)'],
        [0.9019607843137255, 'rgb(216,195,139)'],
        [0.9058823529411765, 'rgb(218,198,143)'],
        [0.9098039215686274, 'rgb(219,200,146)'],
        [0.9137254901960784, 'rgb(220,202,150)'],
        [0.9176470588235294, 'rgb(221,204,153)'],
        [0.9215686274509803, 'rgb(222,207,157)'],
        [0.9254901960784314, 'rgb(223,209,160)'],
        [0.9294117647058824, 'rgb(224,211,164)'],
        [0.9333333333333333, 'rgb(226,213,167)'],
        [0.9372549019607843, 'rgb(227,216,171)'],
        [0.9411764705882353, 'rgb(228,218,174)'],
        [0.9450980392156862, 'rgb(229,220,178)'],
        [0.9490196078431372, 'rgb(230,223,182)'],
        [0.9529411764705882, 'rgb(232,225,185)'],
        [0.9568627450980393, 'rgb(233,227,189)'],
        [0.9607843137254902, 'rgb(234,230,192)'],
        [0.9647058823529412, 'rgb(236,232,196)'],
        [0.9686274509803922, 'rgb(237,234,199)'],
        [0.9725490196078431, 'rgb(238,237,203)'],
        [0.9764705882352941, 'rgb(240,239,207)'],
        [0.9803921568627451, 'rgb(241,241,210)'],
        [0.984313725490196, 'rgb(242,244,214)'],
        [0.9882352941176471, 'rgb(244,246,217)'],
        [0.9921568627450981, 'rgb(245,249,221)'],
        [0.996078431372549, 'rgb(247,251,225)'],
        [1.0, 'rgb(249,253,228)'],
    ],
    'cmo.turbid': [
        [0.0, 'rgb(233,246,171)'],
        [0.00392156862745098, 'rgb(232,245,170)'],
        [0.00784313725490196, 'rgb(232,243,168)'],
        [0.011764705882352941, 'rgb(231,242,167)'],
        [0.01568627450980392, 'rgb(230,241,165)'],
        [0.0196078431372549, 'rgb(230,240,164)'],
        [0.023529411764705882, 'rgb(229,239,162)'],
        [0.027450980392156862, 'rgb(229,238,161)'],
        [0.03137254901960784, 'rgb(228,236,159)'],
        [0.03529411764705882, 'rgb(228,235,158)'],
        [0.0392156862745098, 'rgb(227,234,156)'],
        [0.043137254901960784, 'rgb(227,233,155)'],
        [0.047058823529411764, 'rgb(226,232,154)'],
        [0.050980392156862744, 'rgb(226,231,152)'],
        [0.054901960784313725, 'rgb(225,229,151)'],
        [0.058823529411764705, 'rgb(224,228,149)'],
        [0.06274509803921569, 'rgb(224,227,148)'],
        [0.06666666666666667, 'rgb(223,226,146)'],
        [0.07058823529411765, 'rgb(223,225,145)'],
        [0.07450980392156863, 'rgb(222,224,143)'],
        [0.0784313725490196, 'rgb(222,223,142)'],
        [0.08235294117647059, 'rgb(221,221,141)'],
        [0.08627450980392157, 'rgb(221,220,139)'],
        [0.09019607843137255, 'rgb(220,219,138)'],
        [0.09411764705882353, 'rgb(220,218,136)'],
        [0.09803921568627451, 'rgb(219,217,135)'],
        [0.10196078431372549, 'rgb(219,216,134)'],
        [0.10588235294117647, 'rgb(218,215,132)'],
        [0.10980392156862745, 'rgb(218,213,131)'],
        [0.11372549019607843, 'rgb(217,212,130)'],
        [0.11764705882352941, 'rgb(217,211,128)'],
        [0.12156862745098039, 'rgb(217,210,127)'],
        [0.12549019607843137, 'rgb(216,209,126)'],
        [0.12941176470588237, 'rgb(216,208,124)'],
        [0.13333333333333333, 'rgb(215,207,123)'],
        [0.13725490196078433, 'rgb(215,206,122)'],
        [0.1411764705882353, 'rgb(214,204,120)'],
        [0.1450980392156863, 'rgb(214,203,119)'],
        [0.14901960784313725, 'rgb(213,202,118)'],
        [0.15294117647058825, 'rgb(213,201,116)'],
        [0.1568627450980392, 'rgb(212,200,115)'],
        [0.1607843137254902, 'rgb(212,199,114)'],
        [0.16470588235294117, 'rgb(211,198,113)'],
        [0.16862745098039217, 'rgb(211,197,111)'],
        [0.17254901960784313, 'rgb(211,195,110)'],
        [0.17647058823529413, 'rgb(210,194,109)'],
        [0.1803921568627451, 'rgb(210,193,108)'],
        [0.1843137254901961, 'rgb(209,192,107)'],
        [0.18823529411764706, 'rgb(209,191,105)'],
        [0.19215686274509805, 'rgb(208,190,104)'],
        [0.19607843137254902, 'rgb(208,189,103)'],
        [0.2, 'rgb(207,188,102)'],
        [0.20392156862745098, 'rgb(207,187,101)'],
        [0.20784313725490197, 'rgb(207,186,100)'],
        [0.21176470588235294, 'rgb(206,184,98)'],
        [0.21568627450980393, 'rgb(206,183,97)'],
        [0.2196078431372549, 'rgb(205,182,96)'],
        [0.2235294117647059, 'rgb(205,181,95)'],
        [0.22745098039215686, 'rgb(204,180,94)'],
        [0.23137254901960785, 'rgb(204,179,93)'],
        [0.23529411764705882, 'rgb(203,178,92)'],
        [0.23921568627450981, 'rgb(203,177,91)'],
        [0.24313725490196078, 'rgb(202,176,90)'],
        [0.24705882352941178, 'rgb(202,175,89)'],
        [0.25098039215686274, 'rgb(202,174,88)'],
        [0.2549019607843137, 'rgb(201,172,87)'],
        [0.25882352941176473, 'rgb(201,171,86)'],
        [0.2627450980392157, 'rgb(200,170,85)'],
        [0.26666666666666666, 'rgb(200,169,84)'],
        [0.27058823529411763, 'rgb(199,168,83)'],
        [0.27450980392156865, 'rgb(199,167,82)'],
        [0.2784313725490196, 'rgb(198,166,81)'],
        [0.2823529411764706, 'rgb(198,165,81)'],
        [0.28627450980392155, 'rgb(197,164,80)'],
        [0.2901960784313726, 'rgb(197,163,79)'],
        [0.29411764705882354, 'rgb(196,162,78)'],
        [0.2980392156862745, 'rgb(196,161,77)'],
        [0.30196078431372547, 'rgb(195,160,77)'],
        [0.3058823529411765, 'rgb(195,159,76)'],
        [0.30980392156862746, 'rgb(194,158,75)'],
        [0.3137254901960784, 'rgb(194,156,74)'],
        [0.3176470588235294, 'rgb(193,155,74)'],
        [0.3215686274509804, 'rgb(193,154,73)'],
        [0.3254901960784314, 'rgb(192,153,72)'],
        [0.32941176470588235, 'rgb(192,152,72)'],
        [0.3333333333333333, 'rgb(191,151,71)'],
        [0.33725490196078434, 'rgb(191,150,71)'],
        [0.3411764705882353, 'rgb(190,149,70)'],
        [0.34509803921568627, 'rgb(189,148,69)'],
        [0.34901960784313724, 'rgb(189,147,69)'],
        [0.35294117647058826, 'rgb(188,146,68)'],
        [0.3568627450980392, 'rgb(188,145,68)'],
        [0.3607843137254902, 'rgb(187,144,67)'],
        [0.36470588235294116, 'rgb(187,143,67)'],
        [0.3686274509803922, 'rgb(186,142,66)'],
        [0.37254901960784315, 'rgb(185,141,66)'],
        [0.3764705882352941, 'rgb(185,140,66)'],
        [0.3803921568627451, 'rgb(184,139,65)'],
        [0.3843137254901961, 'rgb(183,138,65)'],
        [0.38823529411764707, 'rgb(183,137,64)'],
        [0.39215686274509803, 'rgb(182,137,64)'],
        [0.396078431372549, 'rgb(182,136,64)'],
        [0.4, 'rgb(181,135,64)'],
        [0.403921568627451, 'rgb(180,134,63)'],
        [0.40784313725490196, 'rgb(179,133,63)'],
        [0.4117647058823529, 'rgb(179,132,63)'],
        [0.41568627450980394, 'rgb(178,131,62)'],
        [0.4196078431372549, 'rgb(177,130,62)'],
        [0.4235294117647059, 'rgb(177,129,62)'],
        [0.42745098039215684, 'rgb(176,128,62)'],
        [0.43137254901960786, 'rgb(175,127,61)'],
        [0.43529411764705883, 'rgb(175,126,61)'],
        [0.4392156862745098, 'rgb(174,125,61)'],
        [0.44313725490196076, 'rgb(173,125,61)'],
        [0.4470588235294118, 'rgb(172,124,61)'],
        [0.45098039215686275, 'rgb(172,123,61)'],
        [0.4549019607843137, 'rgb(171,122,60)'],
        [0.4588235294117647, 'rgb(170,121,60)'],
        [0.4627450980392157, 'rgb(169,120,60)'],
        [0.4666666666666667, 'rgb(168,119,60)'],
        [0.47058823529411764, 'rgb(168,119,60)'],
        [0.4745098039215686, 'rgb(167,118,60)'],
        [0.47843137254901963, 'rgb(166,117,60)'],
        [0.4823529411764706, 'rgb(165,116,60)'],
        [0.48627450980392156, 'rgb(164,115,59)'],
        [0.49019607843137253, 'rgb(164,114,59)'],
        [0.49411764705882355, 'rgb(163,114,59)'],
        [0.4980392156862745, 'rgb(162,113,59)'],
        [0.5019607843137255, 'rgb(161,112,59)'],
        [0.5058823529411764, 'rgb(160,111,59)'],
        [0.5098039215686274, 'rgb(159,110,59)'],
        [0.5137254901960784, 'rgb(158,110,59)'],
        [0.5176470588235295, 'rgb(158,109,59)'],
        [0.5215686274509804, 'rgb(157,108,59)'],
        [0.5254901960784314, 'rgb(156,107,59)'],
        [0.5294117647058824, 'rgb(155,107,59)'],
        [0.5333333333333333, 'rgb(154,106,59)'],
        [0.5372549019607843, 'rgb(153,105,59)'],
        [0.5411764705882353, 'rgb(152,104,59)'],
        [0.5450980392156862, 'rgb(151,104,58)'],
        [0.5490196078431373, 'rgb(150,103,58)'],
        [0.5529411764705883, 'rgb(150,102,58)'],
        [0.5568627450980392, 'rgb(149,101,58)'],
        [0.5607843137254902, 'rgb(148,101,58)'],
        [0.5647058823529412, 'rgb(147,100,58)'],
        [0.5686274509803921, 'rgb(146,99,58)'],
        [0.5725490196078431, 'rgb(145,98,58)'],
        [0.5764705882352941, 'rgb(144,98,58)'],
        [0.5803921568627451, 'rgb(143,97,58)'],
        [0.5843137254901961, 'rgb(142,96,58)'],
        [0.5882352941176471, 'rgb(141,96,58)'],
        [0.592156862745098, 'rgb(140,95,58)'],
        [0.596078431372549, 'rgb(139,94,58)'],
        [0.6, 'rgb(138,94,58)'],
        [0.6039215686274509, 'rgb(137,93,58)'],
        [0.6078431372549019, 'rgb(136,92,58)'],
        [0.611764705882353, 'rgb(135,92,57)'],
        [0.615686274509804, 'rgb(134,91,57)'],
        [0.6196078431372549, 'rgb(133,90,57)'],
        [0.6235294117647059, 'rgb(132,90,57)'],
        [0.6274509803921569, 'rgb(131,89,57)'],
        [0.6313725490196078, 'rgb(130,88,57)'],
        [0.6352941176470588, 'rgb(129,88,57)'],
        [0.6392156862745098, 'rgb(128,87,57)'],
        [0.6431372549019608, 'rgb(127,86,57)'],
        [0.6470588235294118, 'rgb(126,86,57)'],
        [0.6509803921568628, 'rgb(125,85,56)'],
        [0.6549019607843137, 'rgb(124,84,56)'],
        [0.6588235294117647, 'rgb(123,84,56)'],
        [0.6627450980392157, 'rgb(122,83,56)'],
        [0.6666666666666666, 'rgb(121,83,56)'],
        [0.6705882352941176, 'rgb(120,82,56)'],
        [0.6745098039215687, 'rgb(119,81,56)'],
        [0.6784313725490196, 'rgb(118,81,56)'],
        [0.6823529411764706, 'rgb(117,80,55)'],
        [0.6862745098039216, 'rgb(116,79,55)'],
        [0.6901960784313725, 'rgb(115,79,55)'],
        [0.6941176470588235, 'rgb(114,78,55)'],
        [0.6980392156862745, 'rgb(113,78,55)'],
        [0.7019607843137254, 'rgb(112,77,55)'],
        [0.7058823529411765, 'rgb(111,76,54)'],
        [0.7098039215686275, 'rgb(110,76,54)'],
        [0.7137254901960784, 'rgb(109,75,54)'],
        [0.7176470588235294, 'rgb(108,75,54)'],
        [0.7215686274509804, 'rgb(107,74,53)'],
        [0.7254901960784313, 'rgb(106,73,53)'],
        [0.7294117647058823, 'rgb(105,73,53)'],
        [0.7333333333333333, 'rgb(103,72,53)'],
        [0.7372549019607844, 'rgb(102,72,53)'],
        [0.7411764705882353, 'rgb(101,71,52)'],
        [0.7450980392156863, 'rgb(100,70,52)'],
        [0.7490196078431373, 'rgb(99,70,52)'],
        [0.7529411764705882, 'rgb(98,69,52)'],
        [0.7568627450980392, 'rgb(97,69,51)'],
        [0.7607843137254902, 'rgb(96,68,51)'],
        [0.7647058823529411, 'rgb(95,67,51)'],
        [0.7686274509803922, 'rgb(94,67,51)'],
        [0.7725490196078432, 'rgb(93,66,50)'],
        [0.7764705882352941, 'rgb(92,66,50)'],
        [0.7803921568627451, 'rgb(91,65,50)'],
        [0.7843137254901961, 'rgb(90,65,49)'],
        [0.788235294117647, 'rgb(89,64,49)'],
        [0.792156862745098, 'rgb(88,63,49)'],
        [0.796078431372549, 'rgb(87,63,48)'],
        [0.8, 'rgb(86,62,48)'],
        [0.803921568627451, 'rgb(85,62,48)'],
        [0.807843137254902, 'rgb(84,61,48)'],
        [0.8117647058823529, 'rgb(83,60,47)'],
        [0.8156862745098039, 'rgb(82,60,47)'],
        [0.8196078431372549, 'rgb(81,59,47)'],
        [0.8235294117647058, 'rgb(80,59,46)'],
        [0.8274509803921568, 'rgb(79,58,46)'],
        [0.8313725490196079, 'rgb(78,57,46)'],
        [0.8352941176470589, 'rgb(77,57,45)'],
        [0.8392156862745098, 'rgb(75,56,45)'],
        [0.8431372549019608, 'rgb(74,56,44)'],
        [0.8470588235294118, 'rgb(73,55,44)'],
        [0.8509803921568627, 'rgb(72,54,44)'],
        [0.8549019607843137, 'rgb(71,54,43)'],
        [0.8588235294117647, 'rgb(70,53,43)'],
        [0.8627450980392157, 'rgb(69,53,43)'],
        [0.8666666666666667, 'rgb(68,52,42)'],
        [0.8705882352941177, 'rgb(67,51,42)'],
        [0.8745098039215686, 'rgb(66,51,41)'],
        [0.8784313725490196, 'rgb(65,50,41)'],
        [0.8823529411764706, 'rgb(64,50,41)'],
        [0.8862745098039215, 'rgb(63,49,40)'],
        [0.8901960784313725, 'rgb(62,48,40)'],
        [0.8941176470588236, 'rgb(61,48,39)'],
        [0.8980392156862745, 'rgb(60,47,39)'],
        [0.9019607843137255, 'rgb(59,47,39)'],
        [0.9058823529411765, 'rgb(58,46,38)'],
        [0.9098039215686274, 'rgb(57,45,38)'],
        [0.9137254901960784, 'rgb(56,45,37)'],
        [0.9176470588235294, 'rgb(55,44,37)'],
        [0.9215686274509803, 'rgb(54,43,36)'],
        [0.9254901960784314, 'rgb(53,43,36)'],
        [0.9294117647058824, 'rgb(52,42,36)'],
        [0.9333333333333333, 'rgb(51,42,35)'],
        [0.9372549019607843, 'rgb(50,41,35)'],
        [0.9411764705882353, 'rgb(49,40,34)'],
        [0.9450980392156862, 'rgb(48,40,34)'],
        [0.9490196078431372, 'rgb(47,39,33)'],
        [0.9529411764705882, 'rgb(46,38,33)'],
        [0.9568627450980393, 'rgb(45,38,32)'],
        [0.9607843137254902, 'rgb(44,37,32)'],
        [0.9647058823529412, 'rgb(43,36,31)'],
        [0.9686274509803922, 'rgb(42,36,31)'],
        [0.9725490196078431, 'rgb(41,35,31)'],
        [0.9764705882352941, 'rgb(40,35,30)'],
        [0.9803921568627451, 'rgb(39,34,30)'],
        [0.984313725490196, 'rgb(38,33,29)'],
        [0.9882352941176471, 'rgb(37,33,29)'],
        [0.9921568627450981, 'rgb(36,32,28)'],
        [0.996078431372549, 'rgb(35,31,28)'],
        [1.0, 'rgb(34,31,27)'],
    ],
    # colorcet colormaps converted for Plotly
    'cet.cyclic_grey_15_85_c0': [
        [0.0, 'rgb(120,120,120)'],
        [0.00392156862745098, 'rgb(121,121,121)'],
        [0.00784313725490196, 'rgb(122,122,122)'],
        [0.011764705882352941, 'rgb(123,123,123)'],
        [0.01568627450980392, 'rgb(125,125,125)'],
        [0.0196078431372549, 'rgb(126,126,126)'],
        [0.023529411764705882, 'rgb(127,127,127)'],
        [0.027450980392156862, 'rgb(129,129,129)'],
        [0.03137254901960784, 'rgb(130,130,130)'],
        [0.03529411764705882, 'rgb(131,131,131)'],
        [0.0392156862745098, 'rgb(133,133,133)'],
        [0.043137254901960784, 'rgb(134,134,134)'],
        [0.047058823529411764, 'rgb(135,135,135)'],
        [0.050980392156862744, 'rgb(137,137,137)'],
        [0.054901960784313725, 'rgb(138,138,138)'],
        [0.058823529411764705, 'rgb(140,140,140)'],
        [0.06274509803921569, 'rgb(141,141,141)'],
        [0.06666666666666667, 'rgb(142,142,142)'],
        [0.07058823529411765, 'rgb(144,144,144)'],
        [0.07450980392156863, 'rgb(145,145,145)'],
        [0.0784313725490196, 'rgb(147,147,147)'],
        [0.08235294117647059, 'rgb(148,148,148)'],
        [0.08627450980392157, 'rgb(149,149,149)'],
        [0.09019607843137255, 'rgb(151,151,151)'],
        [0.09411764705882353, 'rgb(152,152,152)'],
        [0.09803921568627451, 'rgb(154,154,154)'],
        [0.10196078431372549, 'rgb(155,155,155)'],
        [0.10588235294117647, 'rgb(157,157,157)'],
        [0.10980392156862745, 'rgb(158,158,158)'],
        [0.11372549019607843, 'rgb(159,159,159)'],
        [0.11764705882352941, 'rgb(161,161,161)'],
        [0.12156862745098039, 'rgb(162,162,162)'],
        [0.12549019607843137, 'rgb(164,164,164)'],
        [0.12941176470588237, 'rgb(165,165,165)'],
        [0.13333333333333333, 'rgb(167,167,167)'],
        [0.13725490196078433, 'rgb(168,168,168)'],
        [0.1411764705882353, 'rgb(170,170,170)'],
        [0.1450980392156863, 'rgb(171,171,171)'],
        [0.14901960784313725, 'rgb(172,172,172)'],
        [0.15294117647058825, 'rgb(174,174,174)'],
        [0.1568627450980392, 'rgb(175,175,175)'],
        [0.1607843137254902, 'rgb(177,177,177)'],
        [0.16470588235294117, 'rgb(178,178,178)'],
        [0.16862745098039217, 'rgb(180,180,180)'],
        [0.17254901960784313, 'rgb(181,181,181)'],
        [0.17647058823529413, 'rgb(183,183,183)'],
        [0.1803921568627451, 'rgb(184,184,184)'],
        [0.1843137254901961, 'rgb(186,186,186)'],
        [0.18823529411764706, 'rgb(187,187,187)'],
        [0.19215686274509805, 'rgb(188,189,189)'],
        [0.19607843137254902, 'rgb(190,190,190)'],
        [0.2, 'rgb(191,191,191)'],
        [0.20392156862745098, 'rgb(193,193,193)'],
        [0.20784313725490197, 'rgb(194,194,194)'],
        [0.21176470588235294, 'rgb(195,195,195)'],
        [0.21568627450980393, 'rgb(196,196,196)'],
        [0.2196078431372549, 'rgb(198,198,198)'],
        [0.2235294117647059, 'rgb(199,199,199)'],
        [0.22745098039215686, 'rgb(200,200,200)'],
        [0.23137254901960785, 'rgb(200,200,200)'],
        [0.23529411764705882, 'rgb(201,201,201)'],
        [0.23921568627450981, 'rgb(202,202,202)'],
        [0.24313725490196078, 'rgb(202,202,202)'],
        [0.24705882352941178, 'rgb(202,202,202)'],
        [0.25098039215686274, 'rgb(202,202,202)'],
        [0.2549019607843137, 'rgb(202,202,202)'],
        [0.25882352941176473, 'rgb(202,202,202)'],
        [0.2627450980392157, 'rgb(201,201,201)'],
        [0.26666666666666666, 'rgb(201,201,201)'],
        [0.27058823529411763, 'rgb(200,200,200)'],
        [0.27450980392156865, 'rgb(199,199,199)'],
        [0.2784313725490196, 'rgb(198,198,198)'],
        [0.2823529411764706, 'rgb(197,197,197)'],
        [0.28627450980392155, 'rgb(196,196,196)'],
        [0.2901960784313726, 'rgb(194,194,194)'],
        [0.29411764705882354, 'rgb(193,193,193)'],
        [0.2980392156862745, 'rgb(192,192,192)'],
        [0.30196078431372547, 'rgb(190,190,190)'],
        [0.3058823529411765, 'rgb(189,189,189)'],
        [0.30980392156862746, 'rgb(187,187,187)'],
        [0.3137254901960784, 'rgb(186,186,186)'],
        [0.3176470588235294, 'rgb(184,185,185)'],
        [0.3215686274509804, 'rgb(183,183,183)'],
        [0.3254901960784314, 'rgb(182,182,182)'],
        [0.32941176470588235, 'rgb(180,180,180)'],
        [0.3333333333333333, 'rgb(179,179,179)'],
        [0.33725490196078434, 'rgb(177,177,177)'],
        [0.3411764705882353, 'rgb(176,176,176)'],
        [0.34509803921568627, 'rgb(174,174,174)'],
        [0.34901960784313724, 'rgb(173,173,173)'],
        [0.35294117647058826, 'rgb(171,171,171)'],
        [0.3568627450980392, 'rgb(170,170,170)'],
        [0.3607843137254902, 'rgb(168,168,168)'],
        [0.36470588235294116, 'rgb(167,167,167)'],
        [0.3686274509803922, 'rgb(166,166,166)'],
        [0.37254901960784315, 'rgb(164,164,164)'],
        [0.3764705882352941, 'rgb(163,163,163)'],
        [0.3803921568627451, 'rgb(161,161,161)'],
        [0.3843137254901961, 'rgb(160,160,160)'],
        [0.38823529411764707, 'rgb(158,158,158)'],
        [0.39215686274509803, 'rgb(157,157,157)'],
        [0.396078431372549, 'rgb(155,156,156)'],
        [0.4, 'rgb(154,154,154)'],
        [0.403921568627451, 'rgb(153,153,153)'],
        [0.40784313725490196, 'rgb(151,151,151)'],
        [0.4117647058823529, 'rgb(150,150,150)'],
        [0.41568627450980394, 'rgb(148,148,148)'],
        [0.4196078431372549, 'rgb(147,147,147)'],
        [0.4235294117647059, 'rgb(146,146,146)'],
        [0.42745098039215684, 'rgb(144,144,144)'],
        [0.43137254901960786, 'rgb(143,143,143)'],
        [0.43529411764705883, 'rgb(141,141,141)'],
        [0.4392156862745098, 'rgb(140,140,140)'],
        [0.44313725490196076, 'rgb(139,139,139)'],
        [0.4470588235294118, 'rgb(137,137,137)'],
        [0.45098039215686275, 'rgb(136,136,136)'],
        [0.4549019607843137, 'rgb(134,134,134)'],
        [0.4588235294117647, 'rgb(133,133,133)'],
        [0.4627450980392157, 'rgb(132,132,132)'],
        [0.4666666666666667, 'rgb(130,130,130)'],
        [0.47058823529411764, 'rgb(129,129,129)'],
        [0.4745098039215686, 'rgb(127,127,127)'],
        [0.47843137254901963, 'rgb(126,126,126)'],
        [0.4823529411764706, 'rgb(125,125,125)'],
        [0.48627450980392156, 'rgb(123,123,123)'],
        [0.49019607843137253, 'rgb(122,122,122)'],
        [0.49411764705882355, 'rgb(121,121,121)'],
        [0.4980392156862745, 'rgb(119,119,119)'],
        [0.5019607843137255, 'rgb(118,118,118)'],
        [0.5058823529411764, 'rgb(117,117,117)'],
        [0.5098039215686274, 'rgb(115,115,115)'],
        [0.5137254901960784, 'rgb(114,114,114)'],
        [0.5176470588235295, 'rgb(112,112,112)'],
        [0.5215686274509804, 'rgb(111,111,111)'],
        [0.5254901960784314, 'rgb(110,110,110)'],
        [0.5294117647058824, 'rgb(108,108,108)'],
        [0.5333333333333333, 'rgb(107,107,107)'],
        [0.5372549019607843, 'rgb(106,106,106)'],
        [0.5411764705882353, 'rgb(104,104,104)'],
        [0.5450980392156862, 'rgb(103,103,103)'],
        [0.5490196078431373, 'rgb(102,102,102)'],
        [0.5529411764705883, 'rgb(100,100,100)'],
        [0.5568627450980392, 'rgb(99,99,99)'],
        [0.5607843137254902, 'rgb(98,98,98)'],
        [0.5647058823529412, 'rgb(97,97,97)'],
        [0.5686274509803921, 'rgb(95,95,95)'],
        [0.5725490196078431, 'rgb(94,94,94)'],
        [0.5764705882352941, 'rgb(93,93,93)'],
        [0.5803921568627451, 'rgb(91,91,91)'],
        [0.5843137254901961, 'rgb(90,90,90)'],
        [0.5882352941176471, 'rgb(89,89,89)'],
        [0.592156862745098, 'rgb(87,87,87)'],
        [0.596078431372549, 'rgb(86,86,86)'],
        [0.6, 'rgb(85,85,85)'],
        [0.6039215686274509, 'rgb(84,84,84)'],
        [0.6078431372549019, 'rgb(82,82,82)'],
        [0.611764705882353, 'rgb(81,81,81)'],
        [0.615686274509804, 'rgb(80,80,80)'],
        [0.6196078431372549, 'rgb(78,78,78)'],
        [0.6235294117647059, 'rgb(77,77,77)'],
        [0.6274509803921569, 'rgb(76,76,76)'],
        [0.6313725490196078, 'rgb(75,75,75)'],
        [0.6352941176470588, 'rgb(73,73,73)'],
        [0.6392156862745098, 'rgb(72,72,72)'],
        [0.6431372549019608, 'rgb(71,71,71)'],
        [0.6470588235294118, 'rgb(70,70,70)'],
        [0.6509803921568628, 'rgb(68,68,68)'],
        [0.6549019607843137, 'rgb(67,67,67)'],
        [0.6588235294117647, 'rgb(66,66,66)'],
        [0.6627450980392157, 'rgb(65,65,65)'],
        [0.6666666666666666, 'rgb(64,64,64)'],
        [0.6705882352941176, 'rgb(62,62,62)'],
        [0.6745098039215687, 'rgb(61,61,61)'],
        [0.6784313725490196, 'rgb(60,60,60)'],
        [0.6823529411764706, 'rgb(59,59,59)'],
        [0.6862745098039216, 'rgb(58,58,58)'],
        [0.6901960784313725, 'rgb(56,56,56)'],
        [0.6941176470588235, 'rgb(55,55,55)'],
        [0.6980392156862745, 'rgb(54,54,54)'],
        [0.7019607843137254, 'rgb(53,53,53)'],
        [0.7058823529411765, 'rgb(52,52,52)'],
        [0.7098039215686275, 'rgb(51,51,51)'],
        [0.7137254901960784, 'rgb(50,50,50)'],
        [0.7176470588235294, 'rgb(49,49,49)'],
        [0.7215686274509804, 'rgb(48,48,48)'],
        [0.7254901960784313, 'rgb(47,47,47)'],
        [0.7294117647058823, 'rgb(47,47,47)'],
        [0.7333333333333333, 'rgb(46,46,46)'],
        [0.7372549019607844, 'rgb(46,46,46)'],
        [0.7411764705882353, 'rgb(45,45,45)'],
        [0.7450980392156863, 'rgb(45,45,45)'],
        [0.7490196078431373, 'rgb(45,45,45)'],
        [0.7529411764705882, 'rgb(45,45,45)'],
        [0.7568627450980392, 'rgb(45,45,45)'],
        [0.7607843137254902, 'rgb(46,46,46)'],
        [0.7647058823529411, 'rgb(46,46,46)'],
        [0.7686274509803922, 'rgb(47,47,47)'],
        [0.7725490196078432, 'rgb(47,47,47)'],
        [0.7764705882352941, 'rgb(48,48,48)'],
        [0.7803921568627451, 'rgb(49,49,49)'],
        [0.7843137254901961, 'rgb(50,50,50)'],
        [0.788235294117647, 'rgb(51,51,51)'],
        [0.792156862745098, 'rgb(52,52,52)'],
        [0.796078431372549, 'rgb(53,53,53)'],
        [0.8, 'rgb(54,54,54)'],
        [0.803921568627451, 'rgb(55,55,55)'],
        [0.807843137254902, 'rgb(56,56,56)'],
        [0.8117647058823529, 'rgb(57,57,57)'],
        [0.8156862745098039, 'rgb(58,58,58)'],
        [0.8196078431372549, 'rgb(60,60,60)'],
        [0.8235294117647058, 'rgb(61,61,61)'],
        [0.8274509803921568, 'rgb(62,62,62)'],
        [0.8313725490196079, 'rgb(63,63,63)'],
        [0.8352941176470589, 'rgb(64,65,64)'],
        [0.8392156862745098, 'rgb(66,66,66)'],
        [0.8431372549019608, 'rgb(67,67,67)'],
        [0.8470588235294118, 'rgb(68,68,68)'],
        [0.8509803921568627, 'rgb(69,69,69)'],
        [0.8549019607843137, 'rgb(71,71,71)'],
        [0.8588235294117647, 'rgb(72,72,72)'],
        [0.8627450980392157, 'rgb(73,73,73)'],
        [0.8666666666666667, 'rgb(74,74,74)'],
        [0.8705882352941177, 'rgb(76,76,76)'],
        [0.8745098039215686, 'rgb(77,77,77)'],
        [0.8784313725490196, 'rgb(78,78,78)'],
        [0.8823529411764706, 'rgb(79,79,79)'],
        [0.8862745098039215, 'rgb(81,81,81)'],
        [0.8901960784313725, 'rgb(82,82,82)'],
        [0.8941176470588236, 'rgb(83,83,83)'],
        [0.8980392156862745, 'rgb(85,85,85)'],
        [0.9019607843137255, 'rgb(86,86,86)'],
        [0.9058823529411765, 'rgb(87,87,87)'],
        [0.9098039215686274, 'rgb(88,88,88)'],
        [0.9137254901960784, 'rgb(90,90,90)'],
        [0.9176470588235294, 'rgb(91,91,91)'],
        [0.9215686274509803, 'rgb(92,92,92)'],
        [0.9254901960784314, 'rgb(94,94,94)'],
        [0.9294117647058824, 'rgb(95,95,95)'],
        [0.9333333333333333, 'rgb(96,96,96)'],
        [0.9372549019607843, 'rgb(97,98,98)'],
        [0.9411764705882353, 'rgb(99,99,99)'],
        [0.9450980392156862, 'rgb(100,100,100)'],
        [0.9490196078431372, 'rgb(101,101,101)'],
        [0.9529411764705882, 'rgb(103,103,103)'],
        [0.9568627450980393, 'rgb(104,104,104)'],
        [0.9607843137254902, 'rgb(105,105,105)'],
        [0.9647058823529412, 'rgb(107,107,107)'],
        [0.9686274509803922, 'rgb(108,108,108)'],
        [0.9725490196078431, 'rgb(109,109,109)'],
        [0.9764705882352941, 'rgb(111,111,111)'],
        [0.9803921568627451, 'rgb(112,112,112)'],
        [0.984313725490196, 'rgb(113,113,113)'],
        [0.9882352941176471, 'rgb(114,114,114)'],
        [0.9921568627450981, 'rgb(116,116,116)'],
        [0.996078431372549, 'rgb(117,117,117)'],
        [1.0, 'rgb(118,118,118)'],
    ],
    'cet.cyclic_grey_15_85_c0_s25': [
        [0.0, 'rgb(45,45,45)'],
        [0.00392156862745098, 'rgb(45,45,45)'],
        [0.00784313725490196, 'rgb(46,46,46)'],
        [0.011764705882352941, 'rgb(46,46,46)'],
        [0.01568627450980392, 'rgb(47,47,47)'],
        [0.0196078431372549, 'rgb(47,47,47)'],
        [0.023529411764705882, 'rgb(48,48,48)'],
        [0.027450980392156862, 'rgb(49,49,49)'],
        [0.03137254901960784, 'rgb(50,50,50)'],
        [0.03529411764705882, 'rgb(51,51,51)'],
        [0.0392156862745098, 'rgb(52,52,52)'],
        [0.043137254901960784, 'rgb(53,53,53)'],
        [0.047058823529411764, 'rgb(54,54,54)'],
        [0.050980392156862744, 'rgb(55,55,55)'],
        [0.054901960784313725, 'rgb(56,56,56)'],
        [0.058823529411764705, 'rgb(57,57,57)'],
        [0.06274509803921569, 'rgb(58,58,58)'],
        [0.06666666666666667, 'rgb(60,60,60)'],
        [0.07058823529411765, 'rgb(61,61,61)'],
        [0.07450980392156863, 'rgb(62,62,62)'],
        [0.0784313725490196, 'rgb(63,63,63)'],
        [0.08235294117647059, 'rgb(64,65,64)'],
        [0.08627450980392157, 'rgb(66,66,66)'],
        [0.09019607843137255, 'rgb(67,67,67)'],
        [0.09411764705882353, 'rgb(68,68,68)'],
        [0.09803921568627451, 'rgb(69,69,69)'],
        [0.10196078431372549, 'rgb(71,71,71)'],
        [0.10588235294117647, 'rgb(72,72,72)'],
        [0.10980392156862745, 'rgb(73,73,73)'],
        [0.11372549019607843, 'rgb(74,74,74)'],
        [0.11764705882352941, 'rgb(76,76,76)'],
        [0.12156862745098039, 'rgb(77,77,77)'],
        [0.12549019607843137, 'rgb(78,78,78)'],
        [0.12941176470588237, 'rgb(79,79,79)'],
        [0.13333333333333333, 'rgb(81,81,81)'],
        [0.13725490196078433, 'rgb(82,82,82)'],
        [0.1411764705882353, 'rgb(83,83,83)'],
        [0.1450980392156863, 'rgb(85,85,85)'],
        [0.14901960784313725, 'rgb(86,86,86)'],
        [0.15294117647058825, 'rgb(87,87,87)'],
        [0.1568627450980392, 'rgb(88,88,88)'],
        [0.1607843137254902, 'rgb(90,90,90)'],
        [0.16470588235294117, 'rgb(91,91,91)'],
        [0.16862745098039217, 'rgb(92,92,92)'],
        [0.17254901960784313, 'rgb(94,94,94)'],
        [0.17647058823529413, 'rgb(95,95,95)'],
        [0.1803921568627451, 'rgb(96,96,96)'],
        [0.1843137254901961, 'rgb(97,98,98)'],
        [0.18823529411764706, 'rgb(99,99,99)'],
        [0.19215686274509805, 'rgb(100,100,100)'],
        [0.19607843137254902, 'rgb(101,101,101)'],
        [0.2, 'rgb(103,103,103)'],
        [0.20392156862745098, 'rgb(104,104,104)'],
        [0.20784313725490197, 'rgb(105,105,105)'],
        [0.21176470588235294, 'rgb(107,107,107)'],
        [0.21568627450980393, 'rgb(108,108,108)'],
        [0.2196078431372549, 'rgb(109,109,109)'],
        [0.2235294117647059, 'rgb(111,111,111)'],
        [0.22745098039215686, 'rgb(112,112,112)'],
        [0.23137254901960785, 'rgb(113,113,113)'],
        [0.23529411764705882, 'rgb(114,114,114)'],
        [0.23921568627450981, 'rgb(116,116,116)'],
        [0.24313725490196078, 'rgb(117,117,117)'],
        [0.24705882352941178, 'rgb(118,118,118)'],
        [0.25098039215686274, 'rgb(120,120,120)'],
        [0.2549019607843137, 'rgb(121,121,121)'],
        [0.25882352941176473, 'rgb(122,122,122)'],
        [0.2627450980392157, 'rgb(123,123,123)'],
        [0.26666666666666666, 'rgb(125,125,125)'],
        [0.27058823529411763, 'rgb(126,126,126)'],
        [0.27450980392156865, 'rgb(127,127,127)'],
        [0.2784313725490196, 'rgb(129,129,129)'],
        [0.2823529411764706, 'rgb(130,130,130)'],
        [0.28627450980392155, 'rgb(131,131,131)'],
        [0.2901960784313726, 'rgb(133,133,133)'],
        [0.29411764705882354, 'rgb(134,134,134)'],
        [0.2980392156862745, 'rgb(135,135,135)'],
        [0.30196078431372547, 'rgb(137,137,137)'],
        [0.3058823529411765, 'rgb(138,138,138)'],
        [0.30980392156862746, 'rgb(140,140,140)'],
        [0.3137254901960784, 'rgb(141,141,141)'],
        [0.3176470588235294, 'rgb(142,142,142)'],
        [0.3215686274509804, 'rgb(144,144,144)'],
        [0.3254901960784314, 'rgb(145,145,145)'],
        [0.32941176470588235, 'rgb(147,147,147)'],
        [0.3333333333333333, 'rgb(148,148,148)'],
        [0.33725490196078434, 'rgb(149,149,149)'],
        [0.3411764705882353, 'rgb(151,151,151)'],
        [0.34509803921568627, 'rgb(152,152,152)'],
        [0.34901960784313724, 'rgb(154,154,154)'],
        [0.35294117647058826, 'rgb(155,155,155)'],
        [0.3568627450980392, 'rgb(157,157,157)'],
        [0.3607843137254902, 'rgb(158,158,158)'],
        [0.36470588235294116, 'rgb(159,159,159)'],
        [0.3686274509803922, 'rgb(161,161,161)'],
        [0.37254901960784315, 'rgb(162,162,162)'],
        [0.3764705882352941, 'rgb(164,164,164)'],
        [0.3803921568627451, 'rgb(165,165,165)'],
        [0.3843137254901961, 'rgb(167,167,167)'],
        [0.38823529411764707, 'rgb(168,168,168)'],
        [0.39215686274509803, 'rgb(170,170,170)'],
        [0.396078431372549, 'rgb(171,171,171)'],
        [0.4, 'rgb(172,172,172)'],
        [0.403921568627451, 'rgb(174,174,174)'],
        [0.40784313725490196, 'rgb(175,175,175)'],
        [0.4117647058823529, 'rgb(177,177,177)'],
        [0.41568627450980394, 'rgb(178,178,178)'],
        [0.4196078431372549, 'rgb(180,180,180)'],
        [0.4235294117647059, 'rgb(181,181,181)'],
        [0.42745098039215684, 'rgb(183,183,183)'],
        [0.43137254901960786, 'rgb(184,184,184)'],
        [0.43529411764705883, 'rgb(186,186,186)'],
        [0.4392156862745098, 'rgb(187,187,187)'],
        [0.44313725490196076, 'rgb(188,189,189)'],
        [0.4470588235294118, 'rgb(190,190,190)'],
        [0.45098039215686275, 'rgb(191,191,191)'],
        [0.4549019607843137, 'rgb(193,193,193)'],
        [0.4588235294117647, 'rgb(194,194,194)'],
        [0.4627450980392157, 'rgb(195,195,195)'],
        [0.4666666666666667, 'rgb(196,196,196)'],
        [0.47058823529411764, 'rgb(198,198,198)'],
        [0.4745098039215686, 'rgb(199,199,199)'],
        [0.47843137254901963, 'rgb(200,200,200)'],
        [0.4823529411764706, 'rgb(200,200,200)'],
        [0.48627450980392156, 'rgb(201,201,201)'],
        [0.49019607843137253, 'rgb(202,202,202)'],
        [0.49411764705882355, 'rgb(202,202,202)'],
        [0.4980392156862745, 'rgb(202,202,202)'],
        [0.5019607843137255, 'rgb(202,202,202)'],
        [0.5058823529411764, 'rgb(202,202,202)'],
        [0.5098039215686274, 'rgb(202,202,202)'],
        [0.5137254901960784, 'rgb(201,201,201)'],
        [0.5176470588235295, 'rgb(201,201,201)'],
        [0.5215686274509804, 'rgb(200,200,200)'],
        [0.5254901960784314, 'rgb(199,199,199)'],
        [0.5294117647058824, 'rgb(198,198,198)'],
        [0.5333333333333333, 'rgb(197,197,197)'],
        [0.5372549019607843, 'rgb(196,196,196)'],
        [0.5411764705882353, 'rgb(194,194,194)'],
        [0.5450980392156862, 'rgb(193,193,193)'],
        [0.5490196078431373, 'rgb(192,192,192)'],
        [0.5529411764705883, 'rgb(190,190,190)'],
        [0.5568627450980392, 'rgb(189,189,189)'],
        [0.5607843137254902, 'rgb(187,187,187)'],
        [0.5647058823529412, 'rgb(186,186,186)'],
        [0.5686274509803921, 'rgb(184,185,185)'],
        [0.5725490196078431, 'rgb(183,183,183)'],
        [0.5764705882352941, 'rgb(182,182,182)'],
        [0.5803921568627451, 'rgb(180,180,180)'],
        [0.5843137254901961, 'rgb(179,179,179)'],
        [0.5882352941176471, 'rgb(177,177,177)'],
        [0.592156862745098, 'rgb(176,176,176)'],
        [0.596078431372549, 'rgb(174,174,174)'],
        [0.6, 'rgb(173,173,173)'],
        [0.6039215686274509, 'rgb(171,171,171)'],
        [0.6078431372549019, 'rgb(170,170,170)'],
        [0.611764705882353, 'rgb(168,168,168)'],
        [0.615686274509804, 'rgb(167,167,167)'],
        [0.6196078431372549, 'rgb(166,166,166)'],
        [0.6235294117647059, 'rgb(164,164,164)'],
        [0.6274509803921569, 'rgb(163,163,163)'],
        [0.6313725490196078, 'rgb(161,161,161)'],
        [0.6352941176470588, 'rgb(160,160,160)'],
        [0.6392156862745098, 'rgb(158,158,158)'],
        [0.6431372549019608, 'rgb(157,157,157)'],
        [0.6470588235294118, 'rgb(155,156,156)'],
        [0.6509803921568628, 'rgb(154,154,154)'],
        [0.6549019607843137, 'rgb(153,153,153)'],
        [0.6588235294117647, 'rgb(151,151,151)'],
        [0.6627450980392157, 'rgb(150,150,150)'],
        [0.6666666666666666, 'rgb(148,148,148)'],
        [0.6705882352941176, 'rgb(147,147,147)'],
        [0.6745098039215687, 'rgb(146,146,146)'],
        [0.6784313725490196, 'rgb(144,144,144)'],
        [0.6823529411764706, 'rgb(143,143,143)'],
        [0.6862745098039216, 'rgb(141,141,141)'],
        [0.6901960784313725, 'rgb(140,140,140)'],
        [0.6941176470588235, 'rgb(139,139,139)'],
        [0.6980392156862745, 'rgb(137,137,137)'],
        [0.7019607843137254, 'rgb(136,136,136)'],
        [0.7058823529411765, 'rgb(134,134,134)'],
        [0.7098039215686275, 'rgb(133,133,133)'],
        [0.7137254901960784, 'rgb(132,132,132)'],
        [0.7176470588235294, 'rgb(130,130,130)'],
        [0.7215686274509804, 'rgb(129,129,129)'],
        [0.7254901960784313, 'rgb(127,127,127)'],
        [0.7294117647058823, 'rgb(126,126,126)'],
        [0.7333333333333333, 'rgb(125,125,125)'],
        [0.7372549019607844, 'rgb(123,123,123)'],
        [0.7411764705882353, 'rgb(122,122,122)'],
        [0.7450980392156863, 'rgb(121,121,121)'],
        [0.7490196078431373, 'rgb(119,119,119)'],
        [0.7529411764705882, 'rgb(118,118,118)'],
        [0.7568627450980392, 'rgb(117,117,117)'],
        [0.7607843137254902, 'rgb(115,115,115)'],
        [0.7647058823529411, 'rgb(114,114,114)'],
        [0.7686274509803922, 'rgb(112,112,112)'],
        [0.7725490196078432, 'rgb(111,111,111)'],
        [0.7764705882352941, 'rgb(110,110,110)'],
        [0.7803921568627451, 'rgb(108,108,108)'],
        [0.7843137254901961, 'rgb(107,107,107)'],
        [0.788235294117647, 'rgb(106,106,106)'],
        [0.792156862745098, 'rgb(104,104,104)'],
        [0.796078431372549, 'rgb(103,103,103)'],
        [0.8, 'rgb(102,102,102)'],
        [0.803921568627451, 'rgb(100,100,100)'],
        [0.807843137254902, 'rgb(99,99,99)'],
        [0.8117647058823529, 'rgb(98,98,98)'],
        [0.8156862745098039, 'rgb(97,97,97)'],
        [0.8196078431372549, 'rgb(95,95,95)'],
        [0.8235294117647058, 'rgb(94,94,94)'],
        [0.8274509803921568, 'rgb(93,93,93)'],
        [0.8313725490196079, 'rgb(91,91,91)'],
        [0.8352941176470589, 'rgb(90,90,90)'],
        [0.8392156862745098, 'rgb(89,89,89)'],
        [0.8431372549019608, 'rgb(87,87,87)'],
        [0.8470588235294118, 'rgb(86,86,86)'],
        [0.8509803921568627, 'rgb(85,85,85)'],
        [0.8549019607843137, 'rgb(84,84,84)'],
        [0.8588235294117647, 'rgb(82,82,82)'],
        [0.8627450980392157, 'rgb(81,81,81)'],
        [0.8666666666666667, 'rgb(80,80,80)'],
        [0.8705882352941177, 'rgb(78,78,78)'],
        [0.8745098039215686, 'rgb(77,77,77)'],
        [0.8784313725490196, 'rgb(76,76,76)'],
        [0.8823529411764706, 'rgb(75,75,75)'],
        [0.8862745098039215, 'rgb(73,73,73)'],
        [0.8901960784313725, 'rgb(72,72,72)'],
        [0.8941176470588236, 'rgb(71,71,71)'],
        [0.8980392156862745, 'rgb(70,70,70)'],
        [0.9019607843137255, 'rgb(68,68,68)'],
        [0.9058823529411765, 'rgb(67,67,67)'],
        [0.9098039215686274, 'rgb(66,66,66)'],
        [0.9137254901960784, 'rgb(65,65,65)'],
        [0.9176470588235294, 'rgb(64,64,64)'],
        [0.9215686274509803, 'rgb(62,62,62)'],
        [0.9254901960784314, 'rgb(61,61,61)'],
        [0.9294117647058824, 'rgb(60,60,60)'],
        [0.9333333333333333, 'rgb(59,59,59)'],
        [0.9372549019607843, 'rgb(58,58,58)'],
        [0.9411764705882353, 'rgb(56,56,56)'],
        [0.9450980392156862, 'rgb(55,55,55)'],
        [0.9490196078431372, 'rgb(54,54,54)'],
        [0.9529411764705882, 'rgb(53,53,53)'],
        [0.9568627450980393, 'rgb(52,52,52)'],
        [0.9607843137254902, 'rgb(51,51,51)'],
        [0.9647058823529412, 'rgb(50,50,50)'],
        [0.9686274509803922, 'rgb(49,49,49)'],
        [0.9725490196078431, 'rgb(48,48,48)'],
        [0.9764705882352941, 'rgb(47,47,47)'],
        [0.9803921568627451, 'rgb(47,47,47)'],
        [0.984313725490196, 'rgb(46,46,46)'],
        [0.9882352941176471, 'rgb(46,46,46)'],
        [0.9921568627450981, 'rgb(45,45,45)'],
        [0.996078431372549, 'rgb(45,45,45)'],
        [1.0, 'rgb(45,45,45)'],
    ],
    'cet.cyclic_mrybm_35_75_c68': [
        [0.0, 'rgb(249,133,248)'],
        [0.00392156862745098, 'rgb(250,132,246)'],
        [0.00784313725490196, 'rgb(251,131,243)'],
        [0.011764705882352941, 'rgb(252,130,241)'],
        [0.01568627450980392, 'rgb(252,129,238)'],
        [0.0196078431372549, 'rgb(253,127,235)'],
        [0.023529411764705882, 'rgb(253,126,232)'],
        [0.027450980392156862, 'rgb(253,124,229)'],
        [0.03137254901960784, 'rgb(253,122,226)'],
        [0.03529411764705882, 'rgb(253,120,222)'],
        [0.0392156862745098, 'rgb(253,118,219)'],
        [0.043137254901960784, 'rgb(252,116,215)'],
        [0.047058823529411764, 'rgb(252,114,212)'],
        [0.050980392156862744, 'rgb(251,112,208)'],
        [0.054901960784313725, 'rgb(251,109,204)'],
        [0.058823529411764705, 'rgb(250,107,200)'],
        [0.06274509803921569, 'rgb(250,105,197)'],
        [0.06666666666666667, 'rgb(249,103,193)'],
        [0.07058823529411765, 'rgb(248,100,189)'],
        [0.07450980392156863, 'rgb(247,98,185)'],
        [0.0784313725490196, 'rgb(247,95,181)'],
        [0.08235294117647059, 'rgb(246,93,178)'],
        [0.08627450980392157, 'rgb(245,91,174)'],
        [0.09019607843137255, 'rgb(244,88,170)'],
        [0.09411764705882353, 'rgb(243,86,166)'],
        [0.09803921568627451, 'rgb(242,84,163)'],
        [0.10196078431372549, 'rgb(241,81,159)'],
        [0.10588235294117647, 'rgb(240,79,155)'],
        [0.10980392156862745, 'rgb(239,76,151)'],
        [0.11372549019607843, 'rgb(238,74,148)'],
        [0.11764705882352941, 'rgb(237,72,144)'],
        [0.12156862745098039, 'rgb(236,70,140)'],
        [0.12549019607843137, 'rgb(234,67,136)'],
        [0.12941176470588237, 'rgb(233,65,132)'],
        [0.13333333333333333, 'rgb(232,63,129)'],
        [0.13725490196078433, 'rgb(230,61,125)'],
        [0.1411764705882353, 'rgb(229,59,121)'],
        [0.1450980392156863, 'rgb(227,57,117)'],
        [0.14901960784313725, 'rgb(225,55,113)'],
        [0.15294117647058825, 'rgb(224,53,109)'],
        [0.1568627450980392, 'rgb(222,51,106)'],
        [0.1607843137254902, 'rgb(220,49,102)'],
        [0.16470588235294117, 'rgb(218,47,98)'],
        [0.16862745098039217, 'rgb(217,45,94)'],
        [0.17254901960784313, 'rgb(215,44,90)'],
        [0.17647058823529413, 'rgb(213,42,86)'],
        [0.1803921568627451, 'rgb(211,40,83)'],
        [0.1843137254901961, 'rgb(209,38,79)'],
        [0.18823529411764706, 'rgb(207,36,75)'],
        [0.19215686274509805, 'rgb(205,35,71)'],
        [0.19607843137254902, 'rgb(203,33,68)'],
        [0.2, 'rgb(201,31,64)'],
        [0.20392156862745098, 'rgb(199,30,60)'],
        [0.20784313725490197, 'rgb(198,28,57)'],
        [0.21176470588235294, 'rgb(196,27,53)'],
        [0.21568627450980393, 'rgb(194,25,50)'],
        [0.2196078431372549, 'rgb(192,24,46)'],
        [0.2235294117647059, 'rgb(190,23,43)'],
        [0.22745098039215686, 'rgb(189,23,39)'],
        [0.23137254901960785, 'rgb(187,23,36)'],
        [0.23529411764705882, 'rgb(186,23,33)'],
        [0.23921568627450981, 'rgb(185,23,30)'],
        [0.24313725490196078, 'rgb(184,24,27)'],
        [0.24705882352941178, 'rgb(183,25,25)'],
        [0.25098039215686274, 'rgb(182,27,22)'],
        [0.2549019607843137, 'rgb(181,29,20)'],
        [0.25882352941176473, 'rgb(181,31,17)'],
        [0.2627450980392157, 'rgb(181,33,15)'],
        [0.26666666666666666, 'rgb(181,35,13)'],
        [0.27058823529411763, 'rgb(181,38,12)'],
        [0.27450980392156865, 'rgb(181,41,10)'],
        [0.2784313725490196, 'rgb(182,43,8)'],
        [0.2823529411764706, 'rgb(182,46,7)'],
        [0.28627450980392155, 'rgb(183,49,6)'],
        [0.2901960784313726, 'rgb(184,51,6)'],
        [0.29411764705882354, 'rgb(184,54,5)'],
        [0.2980392156862745, 'rgb(185,57,5)'],
        [0.30196078431372547, 'rgb(186,59,5)'],
        [0.3058823529411765, 'rgb(187,62,4)'],
        [0.30980392156862746, 'rgb(188,65,4)'],
        [0.3137254901960784, 'rgb(189,67,4)'],
        [0.3176470588235294, 'rgb(190,70,4)'],
        [0.3215686274509804, 'rgb(191,72,4)'],
        [0.3254901960784314, 'rgb(192,75,4)'],
        [0.32941176470588235, 'rgb(193,77,4)'],
        [0.3333333333333333, 'rgb(194,80,4)'],
        [0.33725490196078434, 'rgb(195,82,4)'],
        [0.3411764705882353, 'rgb(196,84,4)'],
        [0.34509803921568627, 'rgb(197,87,4)'],
        [0.34901960784313724, 'rgb(198,89,5)'],
        [0.35294117647058826, 'rgb(199,92,5)'],
        [0.3568627450980392, 'rgb(200,94,5)'],
        [0.3607843137254902, 'rgb(201,96,5)'],
        [0.36470588235294116, 'rgb(202,99,5)'],
        [0.3686274509803922, 'rgb(202,101,5)'],
        [0.37254901960784315, 'rgb(203,103,5)'],
        [0.3764705882352941, 'rgb(204,106,5)'],
        [0.3803921568627451, 'rgb(205,108,5)'],
        [0.3843137254901961, 'rgb(206,111,5)'],
        [0.38823529411764707, 'rgb(206,113,5)'],
        [0.39215686274509803, 'rgb(207,115,5)'],
        [0.396078431372549, 'rgb(208,118,5)'],
        [0.4, 'rgb(208,120,5)'],
        [0.403921568627451, 'rgb(209,122,5)'],
        [0.40784313725490196, 'rgb(209,125,5)'],
        [0.4117647058823529, 'rgb(210,127,4)'],
        [0.41568627450980394, 'rgb(210,129,4)'],
        [0.4196078431372549, 'rgb(211,132,4)'],
        [0.4235294117647059, 'rgb(211,134,4)'],
        [0.42745098039215684, 'rgb(212,137,4)'],
        [0.43137254901960786, 'rgb(212,139,4)'],
        [0.43529411764705883, 'rgb(213,141,4)'],
        [0.4392156862745098, 'rgb(213,143,4)'],
        [0.44313725490196076, 'rgb(214,146,4)'],
        [0.4470588235294118, 'rgb(214,148,5)'],
        [0.45098039215686275, 'rgb(214,150,5)'],
        [0.4549019607843137, 'rgb(214,152,6)'],
        [0.4588235294117647, 'rgb(215,155,7)'],
        [0.4627450980392157, 'rgb(215,157,8)'],
        [0.4666666666666667, 'rgb(215,159,10)'],
        [0.47058823529411764, 'rgb(215,160,13)'],
        [0.4745098039215686, 'rgb(214,162,15)'],
        [0.47843137254901963, 'rgb(214,164,18)'],
        [0.4823529411764706, 'rgb(213,165,21)'],
        [0.48627450980392156, 'rgb(213,167,24)'],
        [0.49019607843137253, 'rgb(212,168,28)'],
        [0.49411764705882355, 'rgb(210,169,31)'],
        [0.4980392156862745, 'rgb(209,170,35)'],
        [0.5019607843137255, 'rgb(208,170,39)'],
        [0.5058823529411764, 'rgb(206,170,43)'],
        [0.5098039215686274, 'rgb(204,171,47)'],
        [0.5137254901960784, 'rgb(202,171,51)'],
        [0.5176470588235295, 'rgb(199,170,55)'],
        [0.5215686274509804, 'rgb(197,170,59)'],
        [0.5254901960784314, 'rgb(194,169,63)'],
        [0.5294117647058824, 'rgb(191,169,67)'],
        [0.5333333333333333, 'rgb(188,168,70)'],
        [0.5372549019607843, 'rgb(185,167,74)'],
        [0.5411764705882353, 'rgb(182,166,78)'],
        [0.5450980392156862, 'rgb(179,165,82)'],
        [0.5490196078431373, 'rgb(175,164,85)'],
        [0.5529411764705883, 'rgb(172,163,89)'],
        [0.5568627450980392, 'rgb(169,161,92)'],
        [0.5607843137254902, 'rgb(165,160,96)'],
        [0.5647058823529412, 'rgb(161,159,99)'],
        [0.5686274509803921, 'rgb(157,158,102)'],
        [0.5725490196078431, 'rgb(154,157,105)'],
        [0.5764705882352941, 'rgb(150,155,109)'],
        [0.5803921568627451, 'rgb(146,154,112)'],
        [0.5843137254901961, 'rgb(142,153,115)'],
        [0.5882352941176471, 'rgb(137,152,118)'],
        [0.592156862745098, 'rgb(133,150,121)'],
        [0.596078431372549, 'rgb(129,149,124)'],
        [0.6, 'rgb(124,148,127)'],
        [0.6039215686274509, 'rgb(119,147,130)'],
        [0.6078431372549019, 'rgb(115,145,133)'],
        [0.611764705882353, 'rgb(110,144,136)'],
        [0.615686274509804, 'rgb(105,143,139)'],
        [0.6196078431372549, 'rgb(99,141,142)'],
        [0.6235294117647059, 'rgb(94,140,145)'],
        [0.6274509803921569, 'rgb(89,139,148)'],
        [0.6313725490196078, 'rgb(83,137,151)'],
        [0.6352941176470588, 'rgb(78,136,154)'],
        [0.6392156862745098, 'rgb(72,134,157)'],
        [0.6431372549019608, 'rgb(67,132,160)'],
        [0.6470588235294118, 'rgb(62,131,163)'],
        [0.6509803921568628, 'rgb(57,129,166)'],
        [0.6549019607843137, 'rgb(52,127,169)'],
        [0.6588235294117647, 'rgb(47,125,172)'],
        [0.6627450980392157, 'rgb(43,123,175)'],
        [0.6666666666666666, 'rgb(40,121,178)'],
        [0.6705882352941176, 'rgb(37,118,181)'],
        [0.6745098039215687, 'rgb(35,116,184)'],
        [0.6784313725490196, 'rgb(34,113,187)'],
        [0.6823529411764706, 'rgb(34,111,190)'],
        [0.6862745098039216, 'rgb(34,108,193)'],
        [0.6901960784313725, 'rgb(34,105,197)'],
        [0.6941176470588235, 'rgb(36,102,200)'],
        [0.6980392156862745, 'rgb(37,99,203)'],
        [0.7019607843137254, 'rgb(38,96,206)'],
        [0.7058823529411765, 'rgb(40,93,209)'],
        [0.7098039215686275, 'rgb(41,90,212)'],
        [0.7137254901960784, 'rgb(43,87,215)'],
        [0.7176470588235294, 'rgb(45,84,218)'],
        [0.7215686274509804, 'rgb(46,81,221)'],
        [0.7254901960784313, 'rgb(48,78,224)'],
        [0.7294117647058823, 'rgb(49,75,227)'],
        [0.7333333333333333, 'rgb(51,73,229)'],
        [0.7372549019607844, 'rgb(53,70,232)'],
        [0.7411764705882353, 'rgb(55,68,234)'],
        [0.7450980392156863, 'rgb(57,66,236)'],
        [0.7490196078431373, 'rgb(60,64,238)'],
        [0.7529411764705882, 'rgb(62,63,240)'],
        [0.7568627450980392, 'rgb(65,62,242)'],
        [0.7607843137254902, 'rgb(68,61,243)'],
        [0.7647058823529411, 'rgb(71,61,244)'],
        [0.7686274509803922, 'rgb(73,61,245)'],
        [0.7725490196078432, 'rgb(76,61,246)'],
        [0.7764705882352941, 'rgb(79,62,247)'],
        [0.7803921568627451, 'rgb(82,63,247)'],
        [0.7843137254901961, 'rgb(85,64,248)'],
        [0.788235294117647, 'rgb(88,65,248)'],
        [0.792156862745098, 'rgb(91,67,249)'],
        [0.796078431372549, 'rgb(94,69,249)'],
        [0.8, 'rgb(97,71,249)'],
        [0.803921568627451, 'rgb(99,73,249)'],
        [0.807843137254902, 'rgb(102,75,249)'],
        [0.8117647058823529, 'rgb(105,77,249)'],
        [0.8156862745098039, 'rgb(107,79,249)'],
        [0.8196078431372549, 'rgb(110,81,249)'],
        [0.8235294117647058, 'rgb(112,83,249)'],
        [0.8274509803921568, 'rgb(115,85,249)'],
        [0.8313725490196079, 'rgb(117,87,249)'],
        [0.8352941176470589, 'rgb(119,89,249)'],
        [0.8392156862745098, 'rgb(122,91,250)'],
        [0.8431372549019608, 'rgb(124,93,250)'],
        [0.8470588235294118, 'rgb(127,94,250)'],
        [0.8509803921568627, 'rgb(130,96,250)'],
        [0.8549019607843137, 'rgb(132,98,250)'],
        [0.8588235294117647, 'rgb(135,100,250)'],
        [0.8627450980392157, 'rgb(138,101,250)'],
        [0.8666666666666667, 'rgb(141,103,250)'],
        [0.8705882352941177, 'rgb(144,105,250)'],
        [0.8745098039215686, 'rgb(147,106,250)'],
        [0.8784313725490196, 'rgb(150,107,251)'],
        [0.8823529411764706, 'rgb(153,109,251)'],
        [0.8862745098039215, 'rgb(156,110,251)'],
        [0.8901960784313725, 'rgb(160,111,251)'],
        [0.8941176470588236, 'rgb(163,113,251)'],
        [0.8980392156862745, 'rgb(167,114,252)'],
        [0.9019607843137255, 'rgb(170,115,252)'],
        [0.9058823529411765, 'rgb(174,116,252)'],
        [0.9098039215686274, 'rgb(177,117,252)'],
        [0.9137254901960784, 'rgb(181,118,253)'],
        [0.9176470588235294, 'rgb(185,119,253)'],
        [0.9215686274509803, 'rgb(188,120,253)'],
        [0.9254901960784314, 'rgb(192,121,254)'],
        [0.9294117647058824, 'rgb(195,122,254)'],
        [0.9333333333333333, 'rgb(199,123,254)'],
        [0.9372549019607843, 'rgb(202,124,255)'],
        [0.9411764705882353, 'rgb(206,125,255)'],
        [0.9450980392156862, 'rgb(209,126,255)'],
        [0.9490196078431372, 'rgb(213,127,255)'],
        [0.9529411764705882, 'rgb(216,128,255)'],
        [0.9568627450980393, 'rgb(219,129,255)'],
        [0.9607843137254902, 'rgb(223,130,255)'],
        [0.9647058823529412, 'rgb(226,131,255)'],
        [0.9686274509803922, 'rgb(229,132,255)'],
        [0.9725490196078431, 'rgb(232,132,255)'],
        [0.9764705882352941, 'rgb(234,133,255)'],
        [0.9803921568627451, 'rgb(237,133,255)'],
        [0.984313725490196, 'rgb(240,134,254)'],
        [0.9882352941176471, 'rgb(242,134,253)'],
        [0.9921568627450981, 'rgb(244,134,252)'],
        [0.996078431372549, 'rgb(246,134,251)'],
        [1.0, 'rgb(247,133,249)'],
    ],
    'cet.cyclic_mrybm_35_75_c68_s25': [
        [0.0, 'rgb(62,63,240)'],
        [0.00392156862745098, 'rgb(65,62,242)'],
        [0.00784313725490196, 'rgb(68,61,243)'],
        [0.011764705882352941, 'rgb(71,61,244)'],
        [0.01568627450980392, 'rgb(73,61,245)'],
        [0.0196078431372549, 'rgb(76,61,246)'],
        [0.023529411764705882, 'rgb(79,62,247)'],
        [0.027450980392156862, 'rgb(82,63,247)'],
        [0.03137254901960784, 'rgb(85,64,248)'],
        [0.03529411764705882, 'rgb(88,65,248)'],
        [0.0392156862745098, 'rgb(91,67,249)'],
        [0.043137254901960784, 'rgb(94,69,249)'],
        [0.047058823529411764, 'rgb(97,71,249)'],
        [0.050980392156862744, 'rgb(99,73,249)'],
        [0.054901960784313725, 'rgb(102,75,249)'],
        [0.058823529411764705, 'rgb(105,77,249)'],
        [0.06274509803921569, 'rgb(107,79,249)'],
        [0.06666666666666667, 'rgb(110,81,249)'],
        [0.07058823529411765, 'rgb(112,83,249)'],
        [0.07450980392156863, 'rgb(115,85,249)'],
        [0.0784313725490196, 'rgb(117,87,249)'],
        [0.08235294117647059, 'rgb(119,89,249)'],
        [0.08627450980392157, 'rgb(122,91,250)'],
        [0.09019607843137255, 'rgb(124,93,250)'],
        [0.09411764705882353, 'rgb(127,94,250)'],
        [0.09803921568627451, 'rgb(130,96,250)'],
        [0.10196078431372549, 'rgb(132,98,250)'],
        [0.10588235294117647, 'rgb(135,100,250)'],
        [0.10980392156862745, 'rgb(138,101,250)'],
        [0.11372549019607843, 'rgb(141,103,250)'],
        [0.11764705882352941, 'rgb(144,105,250)'],
        [0.12156862745098039, 'rgb(147,106,250)'],
        [0.12549019607843137, 'rgb(150,107,251)'],
        [0.12941176470588237, 'rgb(153,109,251)'],
        [0.13333333333333333, 'rgb(156,110,251)'],
        [0.13725490196078433, 'rgb(160,111,251)'],
        [0.1411764705882353, 'rgb(163,113,251)'],
        [0.1450980392156863, 'rgb(167,114,252)'],
        [0.14901960784313725, 'rgb(170,115,252)'],
        [0.15294117647058825, 'rgb(174,116,252)'],
        [0.1568627450980392, 'rgb(177,117,252)'],
        [0.1607843137254902, 'rgb(181,118,253)'],
        [0.16470588235294117, 'rgb(185,119,253)'],
        [0.16862745098039217, 'rgb(188,120,253)'],
        [0.17254901960784313, 'rgb(192,121,254)'],
        [0.17647058823529413, 'rgb(195,122,254)'],
        [0.1803921568627451, 'rgb(199,123,254)'],
        [0.1843137254901961, 'rgb(202,124,255)'],
        [0.18823529411764706, 'rgb(206,125,255)'],
        [0.19215686274509805, 'rgb(209,126,255)'],
        [0.19607843137254902, 'rgb(213,127,255)'],
        [0.2, 'rgb(216,128,255)'],
        [0.20392156862745098, 'rgb(219,129,255)'],
        [0.20784313725490197, 'rgb(223,130,255)'],
        [0.21176470588235294, 'rgb(226,131,255)'],
        [0.21568627450980393, 'rgb(229,132,255)'],
        [0.2196078431372549, 'rgb(232,132,255)'],
        [0.2235294117647059, 'rgb(234,133,255)'],
        [0.22745098039215686, 'rgb(237,133,255)'],
        [0.23137254901960785, 'rgb(240,134,254)'],
        [0.23529411764705882, 'rgb(242,134,253)'],
        [0.23921568627450981, 'rgb(244,134,252)'],
        [0.24313725490196078, 'rgb(246,134,251)'],
        [0.24705882352941178, 'rgb(247,133,249)'],
        [0.25098039215686274, 'rgb(249,133,248)'],
        [0.2549019607843137, 'rgb(250,132,246)'],
        [0.25882352941176473, 'rgb(251,131,243)'],
        [0.2627450980392157, 'rgb(252,130,241)'],
        [0.26666666666666666, 'rgb(252,129,238)'],
        [0.27058823529411763, 'rgb(253,127,235)'],
        [0.27450980392156865, 'rgb(253,126,232)'],
        [0.2784313725490196, 'rgb(253,124,229)'],
        [0.2823529411764706, 'rgb(253,122,226)'],
        [0.28627450980392155, 'rgb(253,120,222)'],
        [0.2901960784313726, 'rgb(253,118,219)'],
        [0.29411764705882354, 'rgb(252,116,215)'],
        [0.2980392156862745, 'rgb(252,114,212)'],
        [0.30196078431372547, 'rgb(251,112,208)'],
        [0.3058823529411765, 'rgb(251,109,204)'],
        [0.30980392156862746, 'rgb(250,107,200)'],
        [0.3137254901960784, 'rgb(250,105,197)'],
        [0.3176470588235294, 'rgb(249,103,193)'],
        [0.3215686274509804, 'rgb(248,100,189)'],
        [0.3254901960784314, 'rgb(247,98,185)'],
        [0.32941176470588235, 'rgb(247,95,181)'],
        [0.3333333333333333, 'rgb(246,93,178)'],
        [0.33725490196078434, 'rgb(245,91,174)'],
        [0.3411764705882353, 'rgb(244,88,170)'],
        [0.34509803921568627, 'rgb(243,86,166)'],
        [0.34901960784313724, 'rgb(242,84,163)'],
        [0.35294117647058826, 'rgb(241,81,159)'],
        [0.3568627450980392, 'rgb(240,79,155)'],
        [0.3607843137254902, 'rgb(239,76,151)'],
        [0.36470588235294116, 'rgb(238,74,148)'],
        [0.3686274509803922, 'rgb(237,72,144)'],
        [0.37254901960784315, 'rgb(236,70,140)'],
        [0.3764705882352941, 'rgb(234,67,136)'],
        [0.3803921568627451, 'rgb(233,65,132)'],
        [0.3843137254901961, 'rgb(232,63,129)'],
        [0.38823529411764707, 'rgb(230,61,125)'],
        [0.39215686274509803, 'rgb(229,59,121)'],
        [0.396078431372549, 'rgb(227,57,117)'],
        [0.4, 'rgb(225,55,113)'],
        [0.403921568627451, 'rgb(224,53,109)'],
        [0.40784313725490196, 'rgb(222,51,106)'],
        [0.4117647058823529, 'rgb(220,49,102)'],
        [0.41568627450980394, 'rgb(218,47,98)'],
        [0.4196078431372549, 'rgb(217,45,94)'],
        [0.4235294117647059, 'rgb(215,44,90)'],
        [0.42745098039215684, 'rgb(213,42,86)'],
        [0.43137254901960786, 'rgb(211,40,83)'],
        [0.43529411764705883, 'rgb(209,38,79)'],
        [0.4392156862745098, 'rgb(207,36,75)'],
        [0.44313725490196076, 'rgb(205,35,71)'],
        [0.4470588235294118, 'rgb(203,33,68)'],
        [0.45098039215686275, 'rgb(201,31,64)'],
        [0.4549019607843137, 'rgb(199,30,60)'],
        [0.4588235294117647, 'rgb(198,28,57)'],
        [0.4627450980392157, 'rgb(196,27,53)'],
        [0.4666666666666667, 'rgb(194,25,50)'],
        [0.47058823529411764, 'rgb(192,24,46)'],
        [0.4745098039215686, 'rgb(190,23,43)'],
        [0.47843137254901963, 'rgb(189,23,39)'],
        [0.4823529411764706, 'rgb(187,23,36)'],
        [0.48627450980392156, 'rgb(186,23,33)'],
        [0.49019607843137253, 'rgb(185,23,30)'],
        [0.49411764705882355, 'rgb(184,24,27)'],
        [0.4980392156862745, 'rgb(183,25,25)'],
        [0.5019607843137255, 'rgb(182,27,22)'],
        [0.5058823529411764, 'rgb(181,29,20)'],
        [0.5098039215686274, 'rgb(181,31,17)'],
        [0.5137254901960784, 'rgb(181,33,15)'],
        [0.5176470588235295, 'rgb(181,35,13)'],
        [0.5215686274509804, 'rgb(181,38,12)'],
        [0.5254901960784314, 'rgb(181,41,10)'],
        [0.5294117647058824, 'rgb(182,43,8)'],
        [0.5333333333333333, 'rgb(182,46,7)'],
        [0.5372549019607843, 'rgb(183,49,6)'],
        [0.5411764705882353, 'rgb(184,51,6)'],
        [0.5450980392156862, 'rgb(184,54,5)'],
        [0.5490196078431373, 'rgb(185,57,5)'],
        [0.5529411764705883, 'rgb(186,59,5)'],
        [0.5568627450980392, 'rgb(187,62,4)'],
        [0.5607843137254902, 'rgb(188,65,4)'],
        [0.5647058823529412, 'rgb(189,67,4)'],
        [0.5686274509803921, 'rgb(190,70,4)'],
        [0.5725490196078431, 'rgb(191,72,4)'],
        [0.5764705882352941, 'rgb(192,75,4)'],
        [0.5803921568627451, 'rgb(193,77,4)'],
        [0.5843137254901961, 'rgb(194,80,4)'],
        [0.5882352941176471, 'rgb(195,82,4)'],
        [0.592156862745098, 'rgb(196,84,4)'],
        [0.596078431372549, 'rgb(197,87,4)'],
        [0.6, 'rgb(198,89,5)'],
        [0.6039215686274509, 'rgb(199,92,5)'],
        [0.6078431372549019, 'rgb(200,94,5)'],
        [0.611764705882353, 'rgb(201,96,5)'],
        [0.615686274509804, 'rgb(202,99,5)'],
        [0.6196078431372549, 'rgb(202,101,5)'],
        [0.6235294117647059, 'rgb(203,103,5)'],
        [0.6274509803921569, 'rgb(204,106,5)'],
        [0.6313725490196078, 'rgb(205,108,5)'],
        [0.6352941176470588, 'rgb(206,111,5)'],
        [0.6392156862745098, 'rgb(206,113,5)'],
        [0.6431372549019608, 'rgb(207,115,5)'],
        [0.6470588235294118, 'rgb(208,118,5)'],
        [0.6509803921568628, 'rgb(208,120,5)'],
        [0.6549019607843137, 'rgb(209,122,5)'],
        [0.6588235294117647, 'rgb(209,125,5)'],
        [0.6627450980392157, 'rgb(210,127,4)'],
        [0.6666666666666666, 'rgb(210,129,4)'],
        [0.6705882352941176, 'rgb(211,132,4)'],
        [0.6745098039215687, 'rgb(211,134,4)'],
        [0.6784313725490196, 'rgb(212,137,4)'],
        [0.6823529411764706, 'rgb(212,139,4)'],
        [0.6862745098039216, 'rgb(213,141,4)'],
        [0.6901960784313725, 'rgb(213,143,4)'],
        [0.6941176470588235, 'rgb(214,146,4)'],
        [0.6980392156862745, 'rgb(214,148,5)'],
        [0.7019607843137254, 'rgb(214,150,5)'],
        [0.7058823529411765, 'rgb(214,152,6)'],
        [0.7098039215686275, 'rgb(215,155,7)'],
        [0.7137254901960784, 'rgb(215,157,8)'],
        [0.7176470588235294, 'rgb(215,159,10)'],
        [0.7215686274509804, 'rgb(215,160,13)'],
        [0.7254901960784313, 'rgb(214,162,15)'],
        [0.7294117647058823, 'rgb(214,164,18)'],
        [0.7333333333333333, 'rgb(213,165,21)'],
        [0.7372549019607844, 'rgb(213,167,24)'],
        [0.7411764705882353, 'rgb(212,168,28)'],
        [0.7450980392156863, 'rgb(210,169,31)'],
        [0.7490196078431373, 'rgb(209,170,35)'],
        [0.7529411764705882, 'rgb(208,170,39)'],
        [0.7568627450980392, 'rgb(206,170,43)'],
        [0.7607843137254902, 'rgb(204,171,47)'],
        [0.7647058823529411, 'rgb(202,171,51)'],
        [0.7686274509803922, 'rgb(199,170,55)'],
        [0.7725490196078432, 'rgb(197,170,59)'],
        [0.7764705882352941, 'rgb(194,169,63)'],
        [0.7803921568627451, 'rgb(191,169,67)'],
        [0.7843137254901961, 'rgb(188,168,70)'],
        [0.788235294117647, 'rgb(185,167,74)'],
        [0.792156862745098, 'rgb(182,166,78)'],
        [0.796078431372549, 'rgb(179,165,82)'],
        [0.8, 'rgb(175,164,85)'],
        [0.803921568627451, 'rgb(172,163,89)'],
        [0.807843137254902, 'rgb(169,161,92)'],
        [0.8117647058823529, 'rgb(165,160,96)'],
        [0.8156862745098039, 'rgb(161,159,99)'],
        [0.8196078431372549, 'rgb(157,158,102)'],
        [0.8235294117647058, 'rgb(154,157,105)'],
        [0.8274509803921568, 'rgb(150,155,109)'],
        [0.8313725490196079, 'rgb(146,154,112)'],
        [0.8352941176470589, 'rgb(142,153,115)'],
        [0.8392156862745098, 'rgb(137,152,118)'],
        [0.8431372549019608, 'rgb(133,150,121)'],
        [0.8470588235294118, 'rgb(129,149,124)'],
        [0.8509803921568627, 'rgb(124,148,127)'],
        [0.8549019607843137, 'rgb(119,147,130)'],
        [0.8588235294117647, 'rgb(115,145,133)'],
        [0.8627450980392157, 'rgb(110,144,136)'],
        [0.8666666666666667, 'rgb(105,143,139)'],
        [0.8705882352941177, 'rgb(99,141,142)'],
        [0.8745098039215686, 'rgb(94,140,145)'],
        [0.8784313725490196, 'rgb(89,139,148)'],
        [0.8823529411764706, 'rgb(83,137,151)'],
        [0.8862745098039215, 'rgb(78,136,154)'],
        [0.8901960784313725, 'rgb(72,134,157)'],
        [0.8941176470588236, 'rgb(67,132,160)'],
        [0.8980392156862745, 'rgb(62,131,163)'],
        [0.9019607843137255, 'rgb(57,129,166)'],
        [0.9058823529411765, 'rgb(52,127,169)'],
        [0.9098039215686274, 'rgb(47,125,172)'],
        [0.9137254901960784, 'rgb(43,123,175)'],
        [0.9176470588235294, 'rgb(40,121,178)'],
        [0.9215686274509803, 'rgb(37,118,181)'],
        [0.9254901960784314, 'rgb(35,116,184)'],
        [0.9294117647058824, 'rgb(34,113,187)'],
        [0.9333333333333333, 'rgb(34,111,190)'],
        [0.9372549019607843, 'rgb(34,108,193)'],
        [0.9411764705882353, 'rgb(34,105,197)'],
        [0.9450980392156862, 'rgb(36,102,200)'],
        [0.9490196078431372, 'rgb(37,99,203)'],
        [0.9529411764705882, 'rgb(38,96,206)'],
        [0.9568627450980393, 'rgb(40,93,209)'],
        [0.9607843137254902, 'rgb(41,90,212)'],
        [0.9647058823529412, 'rgb(43,87,215)'],
        [0.9686274509803922, 'rgb(45,84,218)'],
        [0.9725490196078431, 'rgb(46,81,221)'],
        [0.9764705882352941, 'rgb(48,78,224)'],
        [0.9803921568627451, 'rgb(49,75,227)'],
        [0.984313725490196, 'rgb(51,73,229)'],
        [0.9882352941176471, 'rgb(53,70,232)'],
        [0.9921568627450981, 'rgb(55,68,234)'],
        [0.996078431372549, 'rgb(57,66,236)'],
        [1.0, 'rgb(60,64,238)'],
    ],
    'cet.cyclic_mygbm_30_95_c78': [
        [0.0, 'rgb(239,85,242)'],
        [0.00392156862745098, 'rgb(241,87,240)'],
        [0.00784313725490196, 'rgb(242,90,239)'],
        [0.011764705882352941, 'rgb(243,93,237)'],
        [0.01568627450980392, 'rgb(245,95,235)'],
        [0.0196078431372549, 'rgb(246,98,233)'],
        [0.023529411764705882, 'rgb(246,101,231)'],
        [0.027450980392156862, 'rgb(247,104,229)'],
        [0.03137254901960784, 'rgb(248,107,226)'],
        [0.03529411764705882, 'rgb(249,111,224)'],
        [0.0392156862745098, 'rgb(249,114,222)'],
        [0.043137254901960784, 'rgb(250,117,219)'],
        [0.047058823529411764, 'rgb(250,120,217)'],
        [0.050980392156862744, 'rgb(250,123,214)'],
        [0.054901960784313725, 'rgb(251,126,211)'],
        [0.058823529411764705, 'rgb(251,129,209)'],
        [0.06274509803921569, 'rgb(251,132,206)'],
        [0.06666666666666667, 'rgb(251,135,203)'],
        [0.07058823529411765, 'rgb(251,138,201)'],
        [0.07450980392156863, 'rgb(252,141,198)'],
        [0.0784313725490196, 'rgb(252,144,195)'],
        [0.08235294117647059, 'rgb(252,147,192)'],
        [0.08627450980392157, 'rgb(252,149,190)'],
        [0.09019607843137255, 'rgb(252,152,187)'],
        [0.09411764705882353, 'rgb(252,155,184)'],
        [0.09803921568627451, 'rgb(252,158,181)'],
        [0.10196078431372549, 'rgb(252,160,179)'],
        [0.10588235294117647, 'rgb(252,163,176)'],
        [0.10980392156862745, 'rgb(252,166,173)'],
        [0.11372549019607843, 'rgb(252,168,170)'],
        [0.11764705882352941, 'rgb(252,171,167)'],
        [0.12156862745098039, 'rgb(252,173,165)'],
        [0.12549019607843137, 'rgb(252,176,162)'],
        [0.12941176470588237, 'rgb(251,178,159)'],
        [0.13333333333333333, 'rgb(251,181,156)'],
        [0.13725490196078433, 'rgb(251,183,153)'],
        [0.1411764705882353, 'rgb(251,185,150)'],
        [0.1450980392156863, 'rgb(252,188,147)'],
        [0.14901960784313725, 'rgb(252,190,144)'],
        [0.15294117647058825, 'rgb(252,192,141)'],
        [0.1568627450980392, 'rgb(252,195,138)'],
        [0.1607843137254902, 'rgb(252,197,135)'],
        [0.16470588235294117, 'rgb(252,199,132)'],
        [0.16862745098039217, 'rgb(252,201,129)'],
        [0.17254901960784313, 'rgb(252,204,126)'],
        [0.17647058823529413, 'rgb(252,206,123)'],
        [0.1803921568627451, 'rgb(252,208,120)'],
        [0.1843137254901961, 'rgb(252,210,117)'],
        [0.18823529411764706, 'rgb(252,212,113)'],
        [0.19215686274509805, 'rgb(252,214,110)'],
        [0.19607843137254902, 'rgb(252,216,107)'],
        [0.2, 'rgb(252,218,103)'],
        [0.20392156862745098, 'rgb(252,221,100)'],
        [0.20784313725490197, 'rgb(251,223,96)'],
        [0.21176470588235294, 'rgb(251,224,92)'],
        [0.21568627450980393, 'rgb(251,226,88)'],
        [0.2196078431372549, 'rgb(250,228,85)'],
        [0.2235294117647059, 'rgb(250,230,81)'],
        [0.22745098039215686, 'rgb(249,231,77)'],
        [0.23137254901960785, 'rgb(248,233,73)'],
        [0.23529411764705882, 'rgb(247,234,69)'],
        [0.23921568627450981, 'rgb(245,235,65)'],
        [0.24313725490196078, 'rgb(244,236,61)'],
        [0.24705882352941178, 'rgb(242,237,57)'],
        [0.25098039215686274, 'rgb(241,238,53)'],
        [0.2549019607843137, 'rgb(239,238,50)'],
        [0.25882352941176473, 'rgb(237,238,46)'],
        [0.2627450980392157, 'rgb(234,239,43)'],
        [0.26666666666666666, 'rgb(232,238,40)'],
        [0.27058823529411763, 'rgb(230,238,37)'],
        [0.27450980392156865, 'rgb(227,238,35)'],
        [0.2784313725490196, 'rgb(225,237,33)'],
        [0.2823529411764706, 'rgb(222,237,31)'],
        [0.28627450980392155, 'rgb(219,236,29)'],
        [0.2901960784313726, 'rgb(216,235,27)'],
        [0.29411764705882354, 'rgb(214,234,26)'],
        [0.2980392156862745, 'rgb(211,233,25)'],
        [0.30196078431372547, 'rgb(208,232,24)'],
        [0.3058823529411765, 'rgb(205,231,24)'],
        [0.30980392156862746, 'rgb(202,230,23)'],
        [0.3137254901960784, 'rgb(199,229,22)'],
        [0.3176470588235294, 'rgb(196,228,22)'],
        [0.3215686274509804, 'rgb(193,227,21)'],
        [0.3254901960784314, 'rgb(190,226,21)'],
        [0.32941176470588235, 'rgb(187,225,21)'],
        [0.3333333333333333, 'rgb(184,224,20)'],
        [0.33725490196078434, 'rgb(181,223,20)'],
        [0.3411764705882353, 'rgb(178,222,19)'],
        [0.34509803921568627, 'rgb(175,221,19)'],
        [0.34901960784313724, 'rgb(172,220,19)'],
        [0.35294117647058826, 'rgb(169,218,18)'],
        [0.3568627450980392, 'rgb(166,217,18)'],
        [0.3607843137254902, 'rgb(163,216,18)'],
        [0.36470588235294116, 'rgb(160,215,17)'],
        [0.3686274509803922, 'rgb(157,214,17)'],
        [0.37254901960784315, 'rgb(154,213,17)'],
        [0.3764705882352941, 'rgb(151,212,16)'],
        [0.3803921568627451, 'rgb(148,211,16)'],
        [0.3843137254901961, 'rgb(145,210,16)'],
        [0.38823529411764707, 'rgb(141,208,15)'],
        [0.39215686274509803, 'rgb(138,207,15)'],
        [0.396078431372549, 'rgb(135,206,15)'],
        [0.4, 'rgb(132,205,14)'],
        [0.403921568627451, 'rgb(129,204,14)'],
        [0.40784313725490196, 'rgb(125,203,14)'],
        [0.4117647058823529, 'rgb(122,202,13)'],
        [0.41568627450980394, 'rgb(119,200,13)'],
        [0.4196078431372549, 'rgb(115,199,13)'],
        [0.4235294117647059, 'rgb(112,198,13)'],
        [0.42745098039215684, 'rgb(108,197,12)'],
        [0.43137254901960786, 'rgb(105,196,12)'],
        [0.43529411764705883, 'rgb(101,195,12)'],
        [0.4392156862745098, 'rgb(98,194,12)'],
        [0.44313725490196076, 'rgb(94,192,12)'],
        [0.4470588235294118, 'rgb(90,191,12)'],
        [0.45098039215686275, 'rgb(86,190,12)'],
        [0.4549019607843137, 'rgb(83,189,13)'],
        [0.4588235294117647, 'rgb(79,188,14)'],
        [0.4627450980392157, 'rgb(75,186,15)'],
        [0.4666666666666667, 'rgb(72,185,16)'],
        [0.47058823529411764, 'rgb(68,184,18)'],
        [0.4745098039215686, 'rgb(65,183,20)'],
        [0.47843137254901963, 'rgb(62,181,22)'],
        [0.4823529411764706, 'rgb(59,180,25)'],
        [0.48627450980392156, 'rgb(56,179,27)'],
        [0.49019607843137253, 'rgb(54,177,30)'],
        [0.49411764705882355, 'rgb(52,176,33)'],
        [0.4980392156862745, 'rgb(51,174,37)'],
        [0.5019607843137255, 'rgb(50,173,40)'],
        [0.5058823529411764, 'rgb(50,171,44)'],
        [0.5098039215686274, 'rgb(50,169,47)'],
        [0.5137254901960784, 'rgb(50,168,51)'],
        [0.5176470588235295, 'rgb(51,166,55)'],
        [0.5215686274509804, 'rgb(53,164,59)'],
        [0.5254901960784314, 'rgb(54,163,63)'],
        [0.5294117647058824, 'rgb(56,161,66)'],
        [0.5333333333333333, 'rgb(57,159,70)'],
        [0.5372549019607843, 'rgb(59,157,74)'],
        [0.5411764705882353, 'rgb(60,155,78)'],
        [0.5450980392156862, 'rgb(62,153,82)'],
        [0.5490196078431373, 'rgb(63,152,86)'],
        [0.5529411764705883, 'rgb(64,150,89)'],
        [0.5568627450980392, 'rgb(65,148,93)'],
        [0.5607843137254902, 'rgb(66,146,97)'],
        [0.5647058823529412, 'rgb(67,144,100)'],
        [0.5686274509803921, 'rgb(68,142,104)'],
        [0.5725490196078431, 'rgb(68,140,107)'],
        [0.5764705882352941, 'rgb(69,138,111)'],
        [0.5803921568627451, 'rgb(69,137,114)'],
        [0.5843137254901961, 'rgb(69,135,118)'],
        [0.5882352941176471, 'rgb(69,133,121)'],
        [0.592156862745098, 'rgb(69,131,125)'],
        [0.596078431372549, 'rgb(69,129,128)'],
        [0.6, 'rgb(68,127,132)'],
        [0.6039215686274509, 'rgb(68,125,135)'],
        [0.6078431372549019, 'rgb(67,123,138)'],
        [0.611764705882353, 'rgb(66,121,142)'],
        [0.615686274509804, 'rgb(65,120,145)'],
        [0.6196078431372549, 'rgb(64,118,148)'],
        [0.6235294117647059, 'rgb(63,116,151)'],
        [0.6274509803921569, 'rgb(62,114,155)'],
        [0.6313725490196078, 'rgb(60,112,158)'],
        [0.6352941176470588, 'rgb(59,110,161)'],
        [0.6392156862745098, 'rgb(57,108,164)'],
        [0.6431372549019608, 'rgb(56,106,167)'],
        [0.6470588235294118, 'rgb(54,104,170)'],
        [0.6509803921568628, 'rgb(52,102,173)'],
        [0.6549019607843137, 'rgb(51,100,176)'],
        [0.6588235294117647, 'rgb(49,97,179)'],
        [0.6627450980392157, 'rgb(48,95,182)'],
        [0.6666666666666666, 'rgb(47,93,185)'],
        [0.6705882352941176, 'rgb(45,91,187)'],
        [0.6745098039215687, 'rgb(44,88,190)'],
        [0.6784313725490196, 'rgb(43,86,193)'],
        [0.6823529411764706, 'rgb(42,83,195)'],
        [0.6862745098039216, 'rgb(42,81,198)'],
        [0.6901960784313725, 'rgb(41,78,200)'],
        [0.6941176470588235, 'rgb(40,76,203)'],
        [0.6980392156862745, 'rgb(39,73,205)'],
        [0.7019607843137254, 'rgb(39,70,208)'],
        [0.7058823529411765, 'rgb(38,67,210)'],
        [0.7098039215686275, 'rgb(38,64,213)'],
        [0.7137254901960784, 'rgb(37,62,215)'],
        [0.7176470588235294, 'rgb(37,59,217)'],
        [0.7215686274509804, 'rgb(36,56,219)'],
        [0.7254901960784313, 'rgb(36,53,222)'],
        [0.7294117647058823, 'rgb(37,50,224)'],
        [0.7333333333333333, 'rgb(37,47,226)'],
        [0.7372549019607844, 'rgb(38,44,228)'],
        [0.7411764705882353, 'rgb(40,41,229)'],
        [0.7450980392156863, 'rgb(41,39,231)'],
        [0.7490196078431373, 'rgb(44,36,233)'],
        [0.7529411764705882, 'rgb(46,34,234)'],
        [0.7568627450980392, 'rgb(49,32,236)'],
        [0.7607843137254902, 'rgb(52,30,237)'],
        [0.7647058823529411, 'rgb(55,29,238)'],
        [0.7686274509803922, 'rgb(59,28,239)'],
        [0.7725490196078432, 'rgb(62,27,240)'],
        [0.7764705882352941, 'rgb(66,27,241)'],
        [0.7803921568627451, 'rgb(69,27,242)'],
        [0.7843137254901961, 'rgb(73,27,242)'],
        [0.788235294117647, 'rgb(77,28,243)'],
        [0.792156862745098, 'rgb(80,28,243)'],
        [0.796078431372549, 'rgb(84,29,244)'],
        [0.8, 'rgb(87,31,244)'],
        [0.803921568627451, 'rgb(90,32,245)'],
        [0.807843137254902, 'rgb(94,33,245)'],
        [0.8117647058823529, 'rgb(97,35,246)'],
        [0.8156862745098039, 'rgb(100,36,246)'],
        [0.8196078431372549, 'rgb(103,38,246)'],
        [0.8235294117647058, 'rgb(106,39,247)'],
        [0.8274509803921568, 'rgb(109,41,247)'],
        [0.8313725490196079, 'rgb(112,42,247)'],
        [0.8352941176470589, 'rgb(115,44,248)'],
        [0.8392156862745098, 'rgb(117,45,248)'],
        [0.8431372549019608, 'rgb(120,46,248)'],
        [0.8470588235294118, 'rgb(123,48,249)'],
        [0.8509803921568627, 'rgb(126,49,249)'],
        [0.8549019607843137, 'rgb(128,50,249)'],
        [0.8588235294117647, 'rgb(131,52,250)'],
        [0.8627450980392157, 'rgb(134,53,250)'],
        [0.8666666666666667, 'rgb(137,54,250)'],
        [0.8705882352941177, 'rgb(140,55,250)'],
        [0.8745098039215686, 'rgb(143,56,251)'],
        [0.8784313725490196, 'rgb(145,57,251)'],
        [0.8823529411764706, 'rgb(148,58,251)'],
        [0.8862745098039215, 'rgb(152,59,251)'],
        [0.8901960784313725, 'rgb(155,60,251)'],
        [0.8941176470588236, 'rgb(158,61,251)'],
        [0.8980392156862745, 'rgb(161,62,251)'],
        [0.9019607843137255, 'rgb(164,62,251)'],
        [0.9058823529411765, 'rgb(167,63,251)'],
        [0.9098039215686274, 'rgb(171,64,251)'],
        [0.9137254901960784, 'rgb(174,64,251)'],
        [0.9176470588235294, 'rgb(177,65,251)'],
        [0.9215686274509803, 'rgb(181,65,251)'],
        [0.9254901960784314, 'rgb(184,66,251)'],
        [0.9294117647058824, 'rgb(187,66,251)'],
        [0.9333333333333333, 'rgb(191,67,251)'],
        [0.9372549019607843, 'rgb(194,67,251)'],
        [0.9411764705882353, 'rgb(197,68,251)'],
        [0.9450980392156862, 'rgb(200,68,250)'],
        [0.9490196078431372, 'rgb(203,69,250)'],
        [0.9529411764705882, 'rgb(207,69,250)'],
        [0.9568627450980393, 'rgb(210,70,250)'],
        [0.9607843137254902, 'rgb(213,70,250)'],
        [0.9647058823529412, 'rgb(216,71,249)'],
        [0.9686274509803922, 'rgb(219,72,249)'],
        [0.9725490196078431, 'rgb(221,72,249)'],
        [0.9764705882352941, 'rgb(224,73,248)'],
        [0.9803921568627451, 'rgb(227,75,248)'],
        [0.984313725490196, 'rgb(229,76,247)'],
        [0.9882352941176471, 'rgb(231,77,246)'],
        [0.9921568627450981, 'rgb(233,79,245)'],
        [0.996078431372549, 'rgb(236,81,244)'],
        [1.0, 'rgb(237,83,243)'],
    ],
    'cet.cyclic_mygbm_30_95_c78_s25': [
        [0.0, 'rgb(46,34,234)'],
        [0.00392156862745098, 'rgb(49,32,236)'],
        [0.00784313725490196, 'rgb(52,30,237)'],
        [0.011764705882352941, 'rgb(55,29,238)'],
        [0.01568627450980392, 'rgb(59,28,239)'],
        [0.0196078431372549, 'rgb(62,27,240)'],
        [0.023529411764705882, 'rgb(66,27,241)'],
        [0.027450980392156862, 'rgb(69,27,242)'],
        [0.03137254901960784, 'rgb(73,27,242)'],
        [0.03529411764705882, 'rgb(77,28,243)'],
        [0.0392156862745098, 'rgb(80,28,243)'],
        [0.043137254901960784, 'rgb(84,29,244)'],
        [0.047058823529411764, 'rgb(87,31,244)'],
        [0.050980392156862744, 'rgb(90,32,245)'],
        [0.054901960784313725, 'rgb(94,33,245)'],
        [0.058823529411764705, 'rgb(97,35,246)'],
        [0.06274509803921569, 'rgb(100,36,246)'],
        [0.06666666666666667, 'rgb(103,38,246)'],
        [0.07058823529411765, 'rgb(106,39,247)'],
        [0.07450980392156863, 'rgb(109,41,247)'],
        [0.0784313725490196, 'rgb(112,42,247)'],
        [0.08235294117647059, 'rgb(115,44,248)'],
        [0.08627450980392157, 'rgb(117,45,248)'],
        [0.09019607843137255, 'rgb(120,46,248)'],
        [0.09411764705882353, 'rgb(123,48,249)'],
        [0.09803921568627451, 'rgb(126,49,249)'],
        [0.10196078431372549, 'rgb(128,50,249)'],
        [0.10588235294117647, 'rgb(131,52,250)'],
        [0.10980392156862745, 'rgb(134,53,250)'],
        [0.11372549019607843, 'rgb(137,54,250)'],
        [0.11764705882352941, 'rgb(140,55,250)'],
        [0.12156862745098039, 'rgb(143,56,251)'],
        [0.12549019607843137, 'rgb(145,57,251)'],
        [0.12941176470588237, 'rgb(148,58,251)'],
        [0.13333333333333333, 'rgb(152,59,251)'],
        [0.13725490196078433, 'rgb(155,60,251)'],
        [0.1411764705882353, 'rgb(158,61,251)'],
        [0.1450980392156863, 'rgb(161,62,251)'],
        [0.14901960784313725, 'rgb(164,62,251)'],
        [0.15294117647058825, 'rgb(167,63,251)'],
        [0.1568627450980392, 'rgb(171,64,251)'],
        [0.1607843137254902, 'rgb(174,64,251)'],
        [0.16470588235294117, 'rgb(177,65,251)'],
        [0.16862745098039217, 'rgb(181,65,251)'],
        [0.17254901960784313, 'rgb(184,66,251)'],
        [0.17647058823529413, 'rgb(187,66,251)'],
        [0.1803921568627451, 'rgb(191,67,251)'],
        [0.1843137254901961, 'rgb(194,67,251)'],
        [0.18823529411764706, 'rgb(197,68,251)'],
        [0.19215686274509805, 'rgb(200,68,250)'],
        [0.19607843137254902, 'rgb(203,69,250)'],
        [0.2, 'rgb(207,69,250)'],
        [0.20392156862745098, 'rgb(210,70,250)'],
        [0.20784313725490197, 'rgb(213,70,250)'],
        [0.21176470588235294, 'rgb(216,71,249)'],
        [0.21568627450980393, 'rgb(219,72,249)'],
        [0.2196078431372549, 'rgb(221,72,249)'],
        [0.2235294117647059, 'rgb(224,73,248)'],
        [0.22745098039215686, 'rgb(227,75,248)'],
        [0.23137254901960785, 'rgb(229,76,247)'],
        [0.23529411764705882, 'rgb(231,77,246)'],
        [0.23921568627450981, 'rgb(233,79,245)'],
        [0.24313725490196078, 'rgb(236,81,244)'],
        [0.24705882352941178, 'rgb(237,83,243)'],
        [0.25098039215686274, 'rgb(239,85,242)'],
        [0.2549019607843137, 'rgb(241,87,240)'],
        [0.25882352941176473, 'rgb(242,90,239)'],
        [0.2627450980392157, 'rgb(243,93,237)'],
        [0.26666666666666666, 'rgb(245,95,235)'],
        [0.27058823529411763, 'rgb(246,98,233)'],
        [0.27450980392156865, 'rgb(246,101,231)'],
        [0.2784313725490196, 'rgb(247,104,229)'],
        [0.2823529411764706, 'rgb(248,107,226)'],
        [0.28627450980392155, 'rgb(249,111,224)'],
        [0.2901960784313726, 'rgb(249,114,222)'],
        [0.29411764705882354, 'rgb(250,117,219)'],
        [0.2980392156862745, 'rgb(250,120,217)'],
        [0.30196078431372547, 'rgb(250,123,214)'],
        [0.3058823529411765, 'rgb(251,126,211)'],
        [0.30980392156862746, 'rgb(251,129,209)'],
        [0.3137254901960784, 'rgb(251,132,206)'],
        [0.3176470588235294, 'rgb(251,135,203)'],
        [0.3215686274509804, 'rgb(251,138,201)'],
        [0.3254901960784314, 'rgb(252,141,198)'],
        [0.32941176470588235, 'rgb(252,144,195)'],
        [0.3333333333333333, 'rgb(252,147,192)'],
        [0.33725490196078434, 'rgb(252,149,190)'],
        [0.3411764705882353, 'rgb(252,152,187)'],
        [0.34509803921568627, 'rgb(252,155,184)'],
        [0.34901960784313724, 'rgb(252,158,181)'],
        [0.35294117647058826, 'rgb(252,160,179)'],
        [0.3568627450980392, 'rgb(252,163,176)'],
        [0.3607843137254902, 'rgb(252,166,173)'],
        [0.36470588235294116, 'rgb(252,168,170)'],
        [0.3686274509803922, 'rgb(252,171,167)'],
        [0.37254901960784315, 'rgb(252,173,165)'],
        [0.3764705882352941, 'rgb(252,176,162)'],
        [0.3803921568627451, 'rgb(251,178,159)'],
        [0.3843137254901961, 'rgb(251,181,156)'],
        [0.38823529411764707, 'rgb(251,183,153)'],
        [0.39215686274509803, 'rgb(251,185,150)'],
        [0.396078431372549, 'rgb(252,188,147)'],
        [0.4, 'rgb(252,190,144)'],
        [0.403921568627451, 'rgb(252,192,141)'],
        [0.40784313725490196, 'rgb(252,195,138)'],
        [0.4117647058823529, 'rgb(252,197,135)'],
        [0.41568627450980394, 'rgb(252,199,132)'],
        [0.4196078431372549, 'rgb(252,201,129)'],
        [0.4235294117647059, 'rgb(252,204,126)'],
        [0.42745098039215684, 'rgb(252,206,123)'],
        [0.43137254901960786, 'rgb(252,208,120)'],
        [0.43529411764705883, 'rgb(252,210,117)'],
        [0.4392156862745098, 'rgb(252,212,113)'],
        [0.44313725490196076, 'rgb(252,214,110)'],
        [0.4470588235294118, 'rgb(252,216,107)'],
        [0.45098039215686275, 'rgb(252,218,103)'],
        [0.4549019607843137, 'rgb(252,221,100)'],
        [0.4588235294117647, 'rgb(251,223,96)'],
        [0.4627450980392157, 'rgb(251,224,92)'],
        [0.4666666666666667, 'rgb(251,226,88)'],
        [0.47058823529411764, 'rgb(250,228,85)'],
        [0.4745098039215686, 'rgb(250,230,81)'],
        [0.47843137254901963, 'rgb(249,231,77)'],
        [0.4823529411764706, 'rgb(248,233,73)'],
        [0.48627450980392156, 'rgb(247,234,69)'],
        [0.49019607843137253, 'rgb(245,235,65)'],
        [0.49411764705882355, 'rgb(244,236,61)'],
        [0.4980392156862745, 'rgb(242,237,57)'],
        [0.5019607843137255, 'rgb(241,238,53)'],
        [0.5058823529411764, 'rgb(239,238,50)'],
        [0.5098039215686274, 'rgb(237,238,46)'],
        [0.5137254901960784, 'rgb(234,239,43)'],
        [0.5176470588235295, 'rgb(232,238,40)'],
        [0.5215686274509804, 'rgb(230,238,37)'],
        [0.5254901960784314, 'rgb(227,238,35)'],
        [0.5294117647058824, 'rgb(225,237,33)'],
        [0.5333333333333333, 'rgb(222,237,31)'],
        [0.5372549019607843, 'rgb(219,236,29)'],
        [0.5411764705882353, 'rgb(216,235,27)'],
        [0.5450980392156862, 'rgb(214,234,26)'],
        [0.5490196078431373, 'rgb(211,233,25)'],
        [0.5529411764705883, 'rgb(208,232,24)'],
        [0.5568627450980392, 'rgb(205,231,24)'],
        [0.5607843137254902, 'rgb(202,230,23)'],
        [0.5647058823529412, 'rgb(199,229,22)'],
        [0.5686274509803921, 'rgb(196,228,22)'],
        [0.5725490196078431, 'rgb(193,227,21)'],
        [0.5764705882352941, 'rgb(190,226,21)'],
        [0.5803921568627451, 'rgb(187,225,21)'],
        [0.5843137254901961, 'rgb(184,224,20)'],
        [0.5882352941176471, 'rgb(181,223,20)'],
        [0.592156862745098, 'rgb(178,222,19)'],
        [0.596078431372549, 'rgb(175,221,19)'],
        [0.6, 'rgb(172,220,19)'],
        [0.6039215686274509, 'rgb(169,218,18)'],
        [0.6078431372549019, 'rgb(166,217,18)'],
        [0.611764705882353, 'rgb(163,216,18)'],
        [0.615686274509804, 'rgb(160,215,17)'],
        [0.6196078431372549, 'rgb(157,214,17)'],
        [0.6235294117647059, 'rgb(154,213,17)'],
        [0.6274509803921569, 'rgb(151,212,16)'],
        [0.6313725490196078, 'rgb(148,211,16)'],
        [0.6352941176470588, 'rgb(145,210,16)'],
        [0.6392156862745098, 'rgb(141,208,15)'],
        [0.6431372549019608, 'rgb(138,207,15)'],
        [0.6470588235294118, 'rgb(135,206,15)'],
        [0.6509803921568628, 'rgb(132,205,14)'],
        [0.6549019607843137, 'rgb(129,204,14)'],
        [0.6588235294117647, 'rgb(125,203,14)'],
        [0.6627450980392157, 'rgb(122,202,13)'],
        [0.6666666666666666, 'rgb(119,200,13)'],
        [0.6705882352941176, 'rgb(115,199,13)'],
        [0.6745098039215687, 'rgb(112,198,13)'],
        [0.6784313725490196, 'rgb(108,197,12)'],
        [0.6823529411764706, 'rgb(105,196,12)'],
        [0.6862745098039216, 'rgb(101,195,12)'],
        [0.6901960784313725, 'rgb(98,194,12)'],
        [0.6941176470588235, 'rgb(94,192,12)'],
        [0.6980392156862745, 'rgb(90,191,12)'],
        [0.7019607843137254, 'rgb(86,190,12)'],
        [0.7058823529411765, 'rgb(83,189,13)'],
        [0.7098039215686275, 'rgb(79,188,14)'],
        [0.7137254901960784, 'rgb(75,186,15)'],
        [0.7176470588235294, 'rgb(72,185,16)'],
        [0.7215686274509804, 'rgb(68,184,18)'],
        [0.7254901960784313, 'rgb(65,183,20)'],
        [0.7294117647058823, 'rgb(62,181,22)'],
        [0.7333333333333333, 'rgb(59,180,25)'],
        [0.7372549019607844, 'rgb(56,179,27)'],
        [0.7411764705882353, 'rgb(54,177,30)'],
        [0.7450980392156863, 'rgb(52,176,33)'],
        [0.7490196078431373, 'rgb(51,174,37)'],
        [0.7529411764705882, 'rgb(50,173,40)'],
        [0.7568627450980392, 'rgb(50,171,44)'],
        [0.7607843137254902, 'rgb(50,169,47)'],
        [0.7647058823529411, 'rgb(50,168,51)'],
        [0.7686274509803922, 'rgb(51,166,55)'],
        [0.7725490196078432, 'rgb(53,164,59)'],
        [0.7764705882352941, 'rgb(54,163,63)'],
        [0.7803921568627451, 'rgb(56,161,66)'],
        [0.7843137254901961, 'rgb(57,159,70)'],
        [0.788235294117647, 'rgb(59,157,74)'],
        [0.792156862745098, 'rgb(60,155,78)'],
        [0.796078431372549, 'rgb(62,153,82)'],
        [0.8, 'rgb(63,152,86)'],
        [0.803921568627451, 'rgb(64,150,89)'],
        [0.807843137254902, 'rgb(65,148,93)'],
        [0.8117647058823529, 'rgb(66,146,97)'],
        [0.8156862745098039, 'rgb(67,144,100)'],
        [0.8196078431372549, 'rgb(68,142,104)'],
        [0.8235294117647058, 'rgb(68,140,107)'],
        [0.8274509803921568, 'rgb(69,138,111)'],
        [0.8313725490196079, 'rgb(69,137,114)'],
        [0.8352941176470589, 'rgb(69,135,118)'],
        [0.8392156862745098, 'rgb(69,133,121)'],
        [0.8431372549019608, 'rgb(69,131,125)'],
        [0.8470588235294118, 'rgb(69,129,128)'],
        [0.8509803921568627, 'rgb(68,127,132)'],
        [0.8549019607843137, 'rgb(68,125,135)'],
        [0.8588235294117647, 'rgb(67,123,138)'],
        [0.8627450980392157, 'rgb(66,121,142)'],
        [0.8666666666666667, 'rgb(65,120,145)'],
        [0.8705882352941177, 'rgb(64,118,148)'],
        [0.8745098039215686, 'rgb(63,116,151)'],
        [0.8784313725490196, 'rgb(62,114,155)'],
        [0.8823529411764706, 'rgb(60,112,158)'],
        [0.8862745098039215, 'rgb(59,110,161)'],
        [0.8901960784313725, 'rgb(57,108,164)'],
        [0.8941176470588236, 'rgb(56,106,167)'],
        [0.8980392156862745, 'rgb(54,104,170)'],
        [0.9019607843137255, 'rgb(52,102,173)'],
        [0.9058823529411765, 'rgb(51,100,176)'],
        [0.9098039215686274, 'rgb(49,97,179)'],
        [0.9137254901960784, 'rgb(48,95,182)'],
        [0.9176470588235294, 'rgb(47,93,185)'],
        [0.9215686274509803, 'rgb(45,91,187)'],
        [0.9254901960784314, 'rgb(44,88,190)'],
        [0.9294117647058824, 'rgb(43,86,193)'],
        [0.9333333333333333, 'rgb(42,83,195)'],
        [0.9372549019607843, 'rgb(42,81,198)'],
        [0.9411764705882353, 'rgb(41,78,200)'],
        [0.9450980392156862, 'rgb(40,76,203)'],
        [0.9490196078431372, 'rgb(39,73,205)'],
        [0.9529411764705882, 'rgb(39,70,208)'],
        [0.9568627450980393, 'rgb(38,67,210)'],
        [0.9607843137254902, 'rgb(38,64,213)'],
        [0.9647058823529412, 'rgb(37,62,215)'],
        [0.9686274509803922, 'rgb(37,59,217)'],
        [0.9725490196078431, 'rgb(36,56,219)'],
        [0.9764705882352941, 'rgb(36,53,222)'],
        [0.9803921568627451, 'rgb(37,50,224)'],
        [0.984313725490196, 'rgb(37,47,226)'],
        [0.9882352941176471, 'rgb(38,44,228)'],
        [0.9921568627450981, 'rgb(40,41,229)'],
        [0.996078431372549, 'rgb(41,39,231)'],
        [1.0, 'rgb(44,36,233)'],
    ],
    'cet.cyclic_protanopic_deuteranopic_bwyk_16_96_c31': [
        [0.0, 'rgb(62,135,234)'],
        [0.00392156862745098, 'rgb(65,136,235)'],
        [0.00784313725490196, 'rgb(68,138,237)'],
        [0.011764705882352941, 'rgb(71,139,237)'],
        [0.01568627450980392, 'rgb(75,140,238)'],
        [0.0196078431372549, 'rgb(79,142,239)'],
        [0.023529411764705882, 'rgb(83,143,239)'],
        [0.027450980392156862, 'rgb(87,145,240)'],
        [0.03137254901960784, 'rgb(90,147,240)'],
        [0.03529411764705882, 'rgb(94,148,240)'],
        [0.0392156862745098, 'rgb(98,150,240)'],
        [0.043137254901960784, 'rgb(102,151,240)'],
        [0.047058823529411764, 'rgb(105,153,240)'],
        [0.050980392156862744, 'rgb(109,154,241)'],
        [0.054901960784313725, 'rgb(112,156,241)'],
        [0.058823529411764705, 'rgb(116,158,241)'],
        [0.06274509803921569, 'rgb(119,159,241)'],
        [0.06666666666666667, 'rgb(122,161,241)'],
        [0.07058823529411765, 'rgb(125,162,241)'],
        [0.07450980392156863, 'rgb(128,164,241)'],
        [0.0784313725490196, 'rgb(131,166,241)'],
        [0.08235294117647059, 'rgb(134,167,241)'],
        [0.08627450980392157, 'rgb(137,169,241)'],
        [0.09019607843137255, 'rgb(140,171,242)'],
        [0.09411764705882353, 'rgb(143,172,242)'],
        [0.09803921568627451, 'rgb(146,174,242)'],
        [0.10196078431372549, 'rgb(149,176,242)'],
        [0.10588235294117647, 'rgb(151,177,242)'],
        [0.10980392156862745, 'rgb(154,179,242)'],
        [0.11372549019607843, 'rgb(157,181,242)'],
        [0.11764705882352941, 'rgb(159,182,242)'],
        [0.12156862745098039, 'rgb(162,184,242)'],
        [0.12549019607843137, 'rgb(165,186,242)'],
        [0.12941176470588237, 'rgb(167,187,242)'],
        [0.13333333333333333, 'rgb(170,189,242)'],
        [0.13725490196078433, 'rgb(172,191,243)'],
        [0.1411764705882353, 'rgb(175,193,243)'],
        [0.1450980392156863, 'rgb(178,194,243)'],
        [0.14901960784313725, 'rgb(180,196,243)'],
        [0.15294117647058825, 'rgb(183,198,243)'],
        [0.1568627450980392, 'rgb(185,199,243)'],
        [0.1607843137254902, 'rgb(187,201,243)'],
        [0.16470588235294117, 'rgb(190,203,243)'],
        [0.16862745098039217, 'rgb(192,205,243)'],
        [0.17254901960784313, 'rgb(195,206,243)'],
        [0.17647058823529413, 'rgb(197,208,243)'],
        [0.1803921568627451, 'rgb(200,210,243)'],
        [0.1843137254901961, 'rgb(202,211,243)'],
        [0.18823529411764706, 'rgb(204,213,243)'],
        [0.19215686274509805, 'rgb(207,215,243)'],
        [0.19607843137254902, 'rgb(209,217,243)'],
        [0.2, 'rgb(211,218,243)'],
        [0.20392156862745098, 'rgb(214,220,243)'],
        [0.20784313725490197, 'rgb(216,222,243)'],
        [0.21176470588235294, 'rgb(218,224,243)'],
        [0.21568627450980393, 'rgb(221,225,243)'],
        [0.2196078431372549, 'rgb(223,227,243)'],
        [0.2235294117647059, 'rgb(225,228,242)'],
        [0.22745098039215686, 'rgb(227,230,242)'],
        [0.23137254901960785, 'rgb(229,231,241)'],
        [0.23529411764705882, 'rgb(230,232,240)'],
        [0.23921568627450981, 'rgb(232,233,239)'],
        [0.24313725490196078, 'rgb(233,234,237)'],
        [0.24705882352941178, 'rgb(234,234,235)'],
        [0.25098039215686274, 'rgb(235,234,233)'],
        [0.2549019607843137, 'rgb(236,234,231)'],
        [0.25882352941176473, 'rgb(236,233,228)'],
        [0.2627450980392157, 'rgb(236,232,225)'],
        [0.26666666666666666, 'rgb(236,231,222)'],
        [0.27058823529411763, 'rgb(235,230,219)'],
        [0.27450980392156865, 'rgb(235,229,216)'],
        [0.2784313725490196, 'rgb(234,227,213)'],
        [0.2823529411764706, 'rgb(233,226,209)'],
        [0.28627450980392155, 'rgb(232,224,206)'],
        [0.2901960784313726, 'rgb(231,222,202)'],
        [0.29411764705882354, 'rgb(230,221,199)'],
        [0.2980392156862745, 'rgb(229,219,195)'],
        [0.30196078431372547, 'rgb(227,217,192)'],
        [0.3058823529411765, 'rgb(226,216,188)'],
        [0.30980392156862746, 'rgb(225,214,185)'],
        [0.3137254901960784, 'rgb(224,212,182)'],
        [0.3176470588235294, 'rgb(223,210,178)'],
        [0.3215686274509804, 'rgb(222,208,175)'],
        [0.3254901960784314, 'rgb(220,207,171)'],
        [0.32941176470588235, 'rgb(219,205,168)'],
        [0.3333333333333333, 'rgb(218,203,164)'],
        [0.33725490196078434, 'rgb(217,202,161)'],
        [0.3411764705882353, 'rgb(215,200,158)'],
        [0.34509803921568627, 'rgb(214,198,154)'],
        [0.34901960784313724, 'rgb(213,196,151)'],
        [0.35294117647058826, 'rgb(211,195,147)'],
        [0.3568627450980392, 'rgb(210,193,144)'],
        [0.3607843137254902, 'rgb(209,191,141)'],
        [0.36470588235294116, 'rgb(207,190,137)'],
        [0.3686274509803922, 'rgb(206,188,134)'],
        [0.37254901960784315, 'rgb(205,186,131)'],
        [0.3764705882352941, 'rgb(203,184,127)'],
        [0.3803921568627451, 'rgb(202,183,124)'],
        [0.3843137254901961, 'rgb(201,181,120)'],
        [0.38823529411764707, 'rgb(199,179,117)'],
        [0.39215686274509803, 'rgb(198,178,114)'],
        [0.396078431372549, 'rgb(197,176,110)'],
        [0.4, 'rgb(195,174,107)'],
        [0.403921568627451, 'rgb(194,173,104)'],
        [0.40784313725490196, 'rgb(192,171,100)'],
        [0.4117647058823529, 'rgb(191,169,97)'],
        [0.41568627450980394, 'rgb(189,168,93)'],
        [0.4196078431372549, 'rgb(188,166,90)'],
        [0.4235294117647059, 'rgb(186,164,87)'],
        [0.42745098039215684, 'rgb(185,163,83)'],
        [0.43137254901960786, 'rgb(183,161,80)'],
        [0.43529411764705883, 'rgb(182,159,76)'],
        [0.4392156862745098, 'rgb(180,158,73)'],
        [0.44313725490196076, 'rgb(179,156,69)'],
        [0.4470588235294118, 'rgb(177,155,66)'],
        [0.45098039215686275, 'rgb(176,153,62)'],
        [0.4549019607843137, 'rgb(174,151,59)'],
        [0.4588235294117647, 'rgb(173,150,55)'],
        [0.4627450980392157, 'rgb(171,148,51)'],
        [0.4666666666666667, 'rgb(169,146,48)'],
        [0.47058823529411764, 'rgb(168,145,44)'],
        [0.4745098039215686, 'rgb(166,143,40)'],
        [0.47843137254901963, 'rgb(165,142,36)'],
        [0.4823529411764706, 'rgb(163,140,33)'],
        [0.48627450980392156, 'rgb(161,139,29)'],
        [0.49019607843137253, 'rgb(160,137,26)'],
        [0.49411764705882355, 'rgb(158,135,23)'],
        [0.4980392156862745, 'rgb(156,134,20)'],
        [0.5019607843137255, 'rgb(154,132,18)'],
        [0.5058823529411764, 'rgb(153,131,16)'],
        [0.5098039215686274, 'rgb(151,129,15)'],
        [0.5137254901960784, 'rgb(149,128,15)'],
        [0.5176470588235295, 'rgb(147,126,15)'],
        [0.5215686274509804, 'rgb(145,124,15)'],
        [0.5254901960784314, 'rgb(144,123,16)'],
        [0.5294117647058824, 'rgb(142,121,16)'],
        [0.5333333333333333, 'rgb(140,120,17)'],
        [0.5372549019607843, 'rgb(138,118,19)'],
        [0.5411764705882353, 'rgb(136,117,20)'],
        [0.5450980392156862, 'rgb(134,115,21)'],
        [0.5490196078431373, 'rgb(133,114,22)'],
        [0.5529411764705883, 'rgb(131,112,23)'],
        [0.5568627450980392, 'rgb(129,111,24)'],
        [0.5607843137254902, 'rgb(127,109,24)'],
        [0.5647058823529412, 'rgb(125,108,25)'],
        [0.5686274509803921, 'rgb(124,106,26)'],
        [0.5725490196078431, 'rgb(122,105,27)'],
        [0.5764705882352941, 'rgb(120,103,28)'],
        [0.5803921568627451, 'rgb(118,101,28)'],
        [0.5843137254901961, 'rgb(116,100,29)'],
        [0.5882352941176471, 'rgb(115,99,29)'],
        [0.592156862745098, 'rgb(113,97,30)'],
        [0.596078431372549, 'rgb(111,96,31)'],
        [0.6, 'rgb(109,94,31)'],
        [0.6039215686274509, 'rgb(107,93,32)'],
        [0.6078431372549019, 'rgb(106,91,32)'],
        [0.611764705882353, 'rgb(104,90,33)'],
        [0.615686274509804, 'rgb(102,88,33)'],
        [0.6196078431372549, 'rgb(100,87,33)'],
        [0.6235294117647059, 'rgb(99,85,34)'],
        [0.6274509803921569, 'rgb(97,84,34)'],
        [0.6313725490196078, 'rgb(95,82,35)'],
        [0.6352941176470588, 'rgb(93,81,35)'],
        [0.6392156862745098, 'rgb(92,79,35)'],
        [0.6431372549019608, 'rgb(90,78,36)'],
        [0.6470588235294118, 'rgb(88,77,36)'],
        [0.6509803921568628, 'rgb(86,75,36)'],
        [0.6549019607843137, 'rgb(84,74,36)'],
        [0.6588235294117647, 'rgb(83,72,37)'],
        [0.6627450980392157, 'rgb(81,71,37)'],
        [0.6666666666666666, 'rgb(79,70,37)'],
        [0.6705882352941176, 'rgb(78,68,37)'],
        [0.6745098039215687, 'rgb(76,67,38)'],
        [0.6784313725490196, 'rgb(74,65,38)'],
        [0.6823529411764706, 'rgb(72,64,38)'],
        [0.6862745098039216, 'rgb(71,63,38)'],
        [0.6901960784313725, 'rgb(69,61,38)'],
        [0.6941176470588235, 'rgb(67,60,38)'],
        [0.6980392156862745, 'rgb(65,59,39)'],
        [0.7019607843137254, 'rgb(64,57,39)'],
        [0.7058823529411765, 'rgb(62,56,39)'],
        [0.7098039215686275, 'rgb(60,55,39)'],
        [0.7137254901960784, 'rgb(58,53,39)'],
        [0.7176470588235294, 'rgb(57,52,40)'],
        [0.7215686274509804, 'rgb(55,51,40)'],
        [0.7254901960784313, 'rgb(54,50,40)'],
        [0.7294117647058823, 'rgb(52,49,41)'],
        [0.7333333333333333, 'rgb(51,48,42)'],
        [0.7372549019607844, 'rgb(50,47,43)'],
        [0.7411764705882353, 'rgb(49,47,44)'],
        [0.7450980392156863, 'rgb(48,46,45)'],
        [0.7490196078431373, 'rgb(47,46,46)'],
        [0.7529411764705882, 'rgb(47,46,48)'],
        [0.7568627450980392, 'rgb(46,47,50)'],
        [0.7607843137254902, 'rgb(46,47,52)'],
        [0.7647058823529411, 'rgb(46,48,54)'],
        [0.7686274509803922, 'rgb(46,49,56)'],
        [0.7725490196078432, 'rgb(47,50,59)'],
        [0.7764705882352941, 'rgb(47,51,61)'],
        [0.7803921568627451, 'rgb(48,52,64)'],
        [0.7843137254901961, 'rgb(48,53,67)'],
        [0.788235294117647, 'rgb(49,54,69)'],
        [0.792156862745098, 'rgb(50,55,72)'],
        [0.796078431372549, 'rgb(50,57,75)'],
        [0.8, 'rgb(51,58,78)'],
        [0.803921568627451, 'rgb(52,60,81)'],
        [0.807843137254902, 'rgb(52,61,83)'],
        [0.8117647058823529, 'rgb(53,62,86)'],
        [0.8156862745098039, 'rgb(53,64,89)'],
        [0.8196078431372549, 'rgb(54,65,92)'],
        [0.8235294117647058, 'rgb(55,66,95)'],
        [0.8274509803921568, 'rgb(55,68,98)'],
        [0.8313725490196079, 'rgb(56,69,101)'],
        [0.8352941176470589, 'rgb(56,71,104)'],
        [0.8392156862745098, 'rgb(57,72,107)'],
        [0.8431372549019608, 'rgb(57,73,110)'],
        [0.8470588235294118, 'rgb(57,75,113)'],
        [0.8509803921568627, 'rgb(58,76,116)'],
        [0.8549019607843137, 'rgb(58,78,119)'],
        [0.8588235294117647, 'rgb(58,79,122)'],
        [0.8627450980392157, 'rgb(59,81,125)'],
        [0.8666666666666667, 'rgb(59,82,128)'],
        [0.8705882352941177, 'rgb(59,84,131)'],
        [0.8745098039215686, 'rgb(60,85,134)'],
        [0.8784313725490196, 'rgb(60,86,137)'],
        [0.8823529411764706, 'rgb(60,88,140)'],
        [0.8862745098039215, 'rgb(60,89,143)'],
        [0.8901960784313725, 'rgb(60,91,147)'],
        [0.8941176470588236, 'rgb(60,92,150)'],
        [0.8980392156862745, 'rgb(60,94,153)'],
        [0.9019607843137255, 'rgb(60,95,156)'],
        [0.9058823529411765, 'rgb(60,97,159)'],
        [0.9098039215686274, 'rgb(60,98,163)'],
        [0.9137254901960784, 'rgb(60,100,166)'],
        [0.9176470588235294, 'rgb(60,101,169)'],
        [0.9215686274509803, 'rgb(60,103,172)'],
        [0.9254901960784314, 'rgb(60,104,175)'],
        [0.9294117647058824, 'rgb(60,106,179)'],
        [0.9333333333333333, 'rgb(60,107,182)'],
        [0.9372549019607843, 'rgb(59,109,185)'],
        [0.9411764705882353, 'rgb(59,111,188)'],
        [0.9450980392156862, 'rgb(59,112,192)'],
        [0.9490196078431372, 'rgb(58,114,195)'],
        [0.9529411764705882, 'rgb(58,115,198)'],
        [0.9568627450980393, 'rgb(57,117,202)'],
        [0.9607843137254902, 'rgb(57,118,205)'],
        [0.9647058823529412, 'rgb(56,120,208)'],
        [0.9686274509803922, 'rgb(56,121,211)'],
        [0.9725490196078431, 'rgb(56,123,215)'],
        [0.9764705882352941, 'rgb(55,124,218)'],
        [0.9803921568627451, 'rgb(55,126,221)'],
        [0.984313725490196, 'rgb(55,127,223)'],
        [0.9882352941176471, 'rgb(56,129,226)'],
        [0.9921568627450981, 'rgb(57,130,228)'],
        [0.996078431372549, 'rgb(58,132,230)'],
        [1.0, 'rgb(60,133,232)'],
    ],
    'cet.cyclic_protanopic_deuteranopic_wywb_55_96_c33': [
        [0.0, 'rgb(238,237,236)'],
        [0.00392156862745098, 'rgb(238,237,234)'],
        [0.00784313725490196, 'rgb(238,236,232)'],
        [0.011764705882352941, 'rgb(238,235,229)'],
        [0.01568627450980392, 'rgb(238,234,226)'],
        [0.0196078431372549, 'rgb(237,233,223)'],
        [0.023529411764705882, 'rgb(237,232,220)'],
        [0.027450980392156862, 'rgb(236,230,217)'],
        [0.03137254901960784, 'rgb(235,229,213)'],
        [0.03529411764705882, 'rgb(234,227,210)'],
        [0.0392156862745098, 'rgb(233,225,206)'],
        [0.043137254901960784, 'rgb(232,223,202)'],
        [0.047058823529411764, 'rgb(231,222,199)'],
        [0.050980392156862744, 'rgb(230,220,195)'],
        [0.054901960784313725, 'rgb(229,218,191)'],
        [0.058823529411764705, 'rgb(228,216,188)'],
        [0.06274509803921569, 'rgb(226,214,184)'],
        [0.06666666666666667, 'rgb(225,213,180)'],
        [0.07058823529411765, 'rgb(224,211,177)'],
        [0.07450980392156863, 'rgb(223,209,173)'],
        [0.0784313725490196, 'rgb(222,207,169)'],
        [0.08235294117647059, 'rgb(220,206,166)'],
        [0.08627450980392157, 'rgb(219,204,162)'],
        [0.09019607843137255, 'rgb(218,202,158)'],
        [0.09411764705882353, 'rgb(217,200,155)'],
        [0.09803921568627451, 'rgb(215,199,151)'],
        [0.10196078431372549, 'rgb(214,197,148)'],
        [0.10588235294117647, 'rgb(213,195,144)'],
        [0.10980392156862745, 'rgb(212,193,140)'],
        [0.11372549019607843, 'rgb(210,192,137)'],
        [0.11764705882352941, 'rgb(209,190,133)'],
        [0.12156862745098039, 'rgb(208,188,130)'],
        [0.12549019607843137, 'rgb(206,186,126)'],
        [0.12941176470588237, 'rgb(205,185,123)'],
        [0.13333333333333333, 'rgb(203,183,119)'],
        [0.13725490196078433, 'rgb(202,181,115)'],
        [0.1411764705882353, 'rgb(201,180,112)'],
        [0.1450980392156863, 'rgb(199,178,108)'],
        [0.14901960784313725, 'rgb(198,176,105)'],
        [0.15294117647058825, 'rgb(196,174,101)'],
        [0.1568627450980392, 'rgb(195,173,97)'],
        [0.1607843137254902, 'rgb(193,171,94)'],
        [0.16470588235294117, 'rgb(192,169,90)'],
        [0.16862745098039217, 'rgb(190,168,86)'],
        [0.17254901960784313, 'rgb(189,166,83)'],
        [0.17647058823529413, 'rgb(187,164,79)'],
        [0.1803921568627451, 'rgb(186,163,75)'],
        [0.1843137254901961, 'rgb(184,161,72)'],
        [0.18823529411764706, 'rgb(183,159,68)'],
        [0.19215686274509805, 'rgb(181,158,64)'],
        [0.19607843137254902, 'rgb(180,156,60)'],
        [0.2, 'rgb(178,154,56)'],
        [0.20392156862745098, 'rgb(176,153,52)'],
        [0.20784313725490197, 'rgb(175,151,48)'],
        [0.21176470588235294, 'rgb(173,150,44)'],
        [0.21568627450980393, 'rgb(172,148,39)'],
        [0.2196078431372549, 'rgb(170,147,35)'],
        [0.2235294117647059, 'rgb(169,145,30)'],
        [0.22745098039215686, 'rgb(167,144,25)'],
        [0.23137254901960785, 'rgb(166,142,20)'],
        [0.23529411764705882, 'rgb(165,141,15)'],
        [0.23921568627450981, 'rgb(164,140,10)'],
        [0.24313725490196078, 'rgb(163,140,6)'],
        [0.24705882352941178, 'rgb(163,139,3)'],
        [0.25098039215686274, 'rgb(163,139,2)'],
        [0.2549019607843137, 'rgb(163,139,2)'],
        [0.25882352941176473, 'rgb(163,139,4)'],
        [0.2627450980392157, 'rgb(164,140,7)'],
        [0.26666666666666666, 'rgb(164,141,12)'],
        [0.27058823529411763, 'rgb(165,142,17)'],
        [0.27450980392156865, 'rgb(166,143,22)'],
        [0.2784313725490196, 'rgb(168,144,27)'],
        [0.2823529411764706, 'rgb(169,145,31)'],
        [0.28627450980392155, 'rgb(171,147,36)'],
        [0.2901960784313726, 'rgb(172,148,40)'],
        [0.29411764705882354, 'rgb(174,150,45)'],
        [0.2980392156862745, 'rgb(175,152,49)'],
        [0.30196078431372547, 'rgb(177,153,53)'],
        [0.3058823529411765, 'rgb(178,155,57)'],
        [0.30980392156862746, 'rgb(180,156,61)'],
        [0.3137254901960784, 'rgb(182,158,65)'],
        [0.3176470588235294, 'rgb(183,160,69)'],
        [0.3215686274509804, 'rgb(185,161,73)'],
        [0.3254901960784314, 'rgb(186,163,76)'],
        [0.32941176470588235, 'rgb(188,165,80)'],
        [0.3333333333333333, 'rgb(189,166,84)'],
        [0.33725490196078434, 'rgb(191,168,87)'],
        [0.3411764705882353, 'rgb(192,170,91)'],
        [0.34509803921568627, 'rgb(194,171,95)'],
        [0.34901960784313724, 'rgb(195,173,98)'],
        [0.35294117647058826, 'rgb(197,175,102)'],
        [0.3568627450980392, 'rgb(198,177,106)'],
        [0.3607843137254902, 'rgb(200,178,109)'],
        [0.36470588235294116, 'rgb(201,180,113)'],
        [0.3686274509803922, 'rgb(202,182,116)'],
        [0.37254901960784315, 'rgb(204,183,120)'],
        [0.3764705882352941, 'rgb(205,185,124)'],
        [0.3803921568627451, 'rgb(207,187,127)'],
        [0.3843137254901961, 'rgb(208,189,131)'],
        [0.38823529411764707, 'rgb(209,190,134)'],
        [0.39215686274509803, 'rgb(211,192,138)'],
        [0.396078431372549, 'rgb(212,194,141)'],
        [0.4, 'rgb(213,195,145)'],
        [0.403921568627451, 'rgb(214,197,149)'],
        [0.40784313725490196, 'rgb(216,199,152)'],
        [0.4117647058823529, 'rgb(217,201,156)'],
        [0.41568627450980394, 'rgb(218,203,159)'],
        [0.4196078431372549, 'rgb(220,204,163)'],
        [0.4235294117647059, 'rgb(221,206,167)'],
        [0.42745098039215684, 'rgb(222,208,170)'],
        [0.43137254901960786, 'rgb(223,210,174)'],
        [0.43529411764705883, 'rgb(224,211,178)'],
        [0.4392156862745098, 'rgb(226,213,181)'],
        [0.44313725490196076, 'rgb(227,215,185)'],
        [0.4470588235294118, 'rgb(228,217,189)'],
        [0.45098039215686275, 'rgb(229,218,192)'],
        [0.4549019607843137, 'rgb(230,220,196)'],
        [0.4588235294117647, 'rgb(231,222,200)'],
        [0.4627450980392157, 'rgb(232,224,203)'],
        [0.4666666666666667, 'rgb(233,225,207)'],
        [0.47058823529411764, 'rgb(234,227,211)'],
        [0.4745098039215686, 'rgb(235,229,214)'],
        [0.47843137254901963, 'rgb(236,230,218)'],
        [0.4823529411764706, 'rgb(236,231,221)'],
        [0.48627450980392156, 'rgb(236,232,224)'],
        [0.49019607843137253, 'rgb(236,233,227)'],
        [0.49411764705882355, 'rgb(236,234,230)'],
        [0.4980392156862745, 'rgb(236,234,233)'],
        [0.5019607843137255, 'rgb(235,234,235)'],
        [0.5058823529411764, 'rgb(234,234,237)'],
        [0.5098039215686274, 'rgb(233,234,239)'],
        [0.5137254901960784, 'rgb(231,233,240)'],
        [0.5176470588235295, 'rgb(230,232,242)'],
        [0.5215686274509804, 'rgb(228,231,243)'],
        [0.5254901960784314, 'rgb(226,229,243)'],
        [0.5294117647058824, 'rgb(224,228,244)'],
        [0.5333333333333333, 'rgb(221,226,244)'],
        [0.5372549019607843, 'rgb(219,225,245)'],
        [0.5411764705882353, 'rgb(217,223,245)'],
        [0.5450980392156862, 'rgb(214,221,245)'],
        [0.5490196078431373, 'rgb(212,219,245)'],
        [0.5529411764705883, 'rgb(210,218,245)'],
        [0.5568627450980392, 'rgb(207,216,246)'],
        [0.5607843137254902, 'rgb(205,214,246)'],
        [0.5647058823529412, 'rgb(202,212,246)'],
        [0.5686274509803921, 'rgb(200,211,246)'],
        [0.5725490196078431, 'rgb(197,209,246)'],
        [0.5764705882352941, 'rgb(195,207,246)'],
        [0.5803921568627451, 'rgb(192,205,246)'],
        [0.5843137254901961, 'rgb(190,204,246)'],
        [0.5882352941176471, 'rgb(187,202,246)'],
        [0.592156862745098, 'rgb(184,200,247)'],
        [0.596078431372549, 'rgb(182,198,247)'],
        [0.6, 'rgb(179,197,247)'],
        [0.6039215686274509, 'rgb(177,195,247)'],
        [0.6078431372549019, 'rgb(174,193,247)'],
        [0.611764705882353, 'rgb(171,191,247)'],
        [0.615686274509804, 'rgb(168,190,247)'],
        [0.6196078431372549, 'rgb(166,188,247)'],
        [0.6235294117647059, 'rgb(163,186,247)'],
        [0.6274509803921569, 'rgb(160,185,247)'],
        [0.6313725490196078, 'rgb(157,183,247)'],
        [0.6352941176470588, 'rgb(154,181,247)'],
        [0.6392156862745098, 'rgb(151,179,247)'],
        [0.6431372549019608, 'rgb(148,178,248)'],
        [0.6470588235294118, 'rgb(145,176,248)'],
        [0.6509803921568628, 'rgb(142,174,248)'],
        [0.6549019607843137, 'rgb(139,173,248)'],
        [0.6588235294117647, 'rgb(136,171,248)'],
        [0.6627450980392157, 'rgb(133,169,248)'],
        [0.6666666666666666, 'rgb(130,168,248)'],
        [0.6705882352941176, 'rgb(126,166,248)'],
        [0.6745098039215687, 'rgb(123,164,248)'],
        [0.6784313725490196, 'rgb(120,163,248)'],
        [0.6823529411764706, 'rgb(116,161,248)'],
        [0.6862745098039216, 'rgb(112,159,248)'],
        [0.6901960784313725, 'rgb(109,158,248)'],
        [0.6941176470588235, 'rgb(105,156,248)'],
        [0.6980392156862745, 'rgb(101,155,248)'],
        [0.7019607843137254, 'rgb(97,153,248)'],
        [0.7058823529411765, 'rgb(93,151,248)'],
        [0.7098039215686275, 'rgb(88,150,248)'],
        [0.7137254901960784, 'rgb(84,148,248)'],
        [0.7176470588235294, 'rgb(79,147,248)'],
        [0.7215686274509804, 'rgb(75,146,248)'],
        [0.7254901960784313, 'rgb(70,144,248)'],
        [0.7294117647058823, 'rgb(66,143,248)'],
        [0.7333333333333333, 'rgb(62,142,248)'],
        [0.7372549019607844, 'rgb(59,141,248)'],
        [0.7411764705882353, 'rgb(56,141,248)'],
        [0.7450980392156863, 'rgb(55,140,248)'],
        [0.7490196078431373, 'rgb(54,140,248)'],
        [0.7529411764705882, 'rgb(55,140,248)'],
        [0.7568627450980392, 'rgb(57,141,248)'],
        [0.7607843137254902, 'rgb(59,141,248)'],
        [0.7647058823529411, 'rgb(63,142,248)'],
        [0.7686274509803922, 'rgb(67,143,248)'],
        [0.7725490196078432, 'rgb(71,145,248)'],
        [0.7764705882352941, 'rgb(76,146,248)'],
        [0.7803921568627451, 'rgb(80,147,248)'],
        [0.7843137254901961, 'rgb(85,149,248)'],
        [0.788235294117647, 'rgb(89,150,248)'],
        [0.792156862745098, 'rgb(94,152,248)'],
        [0.796078431372549, 'rgb(98,153,248)'],
        [0.8, 'rgb(102,155,248)'],
        [0.803921568627451, 'rgb(106,157,248)'],
        [0.807843137254902, 'rgb(110,158,248)'],
        [0.8117647058823529, 'rgb(113,160,248)'],
        [0.8156862745098039, 'rgb(117,161,248)'],
        [0.8196078431372549, 'rgb(120,163,248)'],
        [0.8235294117647058, 'rgb(124,165,248)'],
        [0.8274509803921568, 'rgb(127,166,248)'],
        [0.8313725490196079, 'rgb(130,168,248)'],
        [0.8352941176470589, 'rgb(134,170,248)'],
        [0.8392156862745098, 'rgb(137,171,248)'],
        [0.8431372549019608, 'rgb(140,173,248)'],
        [0.8470588235294118, 'rgb(143,175,248)'],
        [0.8509803921568627, 'rgb(146,176,248)'],
        [0.8549019607843137, 'rgb(149,178,248)'],
        [0.8588235294117647, 'rgb(152,180,247)'],
        [0.8627450980392157, 'rgb(155,181,247)'],
        [0.8666666666666667, 'rgb(158,183,247)'],
        [0.8705882352941177, 'rgb(161,185,247)'],
        [0.8745098039215686, 'rgb(163,187,247)'],
        [0.8784313725490196, 'rgb(166,188,247)'],
        [0.8823529411764706, 'rgb(169,190,247)'],
        [0.8862745098039215, 'rgb(172,192,247)'],
        [0.8901960784313725, 'rgb(174,193,247)'],
        [0.8941176470588236, 'rgb(177,195,247)'],
        [0.8980392156862745, 'rgb(180,197,247)'],
        [0.9019607843137255, 'rgb(182,199,247)'],
        [0.9058823529411765, 'rgb(185,200,247)'],
        [0.9098039215686274, 'rgb(188,202,246)'],
        [0.9137254901960784, 'rgb(190,204,246)'],
        [0.9176470588235294, 'rgb(193,206,246)'],
        [0.9215686274509803, 'rgb(195,207,246)'],
        [0.9254901960784314, 'rgb(198,209,246)'],
        [0.9294117647058824, 'rgb(200,211,246)'],
        [0.9333333333333333, 'rgb(203,213,246)'],
        [0.9372549019607843, 'rgb(205,215,246)'],
        [0.9411764705882353, 'rgb(208,216,246)'],
        [0.9450980392156862, 'rgb(210,218,245)'],
        [0.9490196078431372, 'rgb(213,220,245)'],
        [0.9529411764705882, 'rgb(215,222,245)'],
        [0.9568627450980393, 'rgb(217,223,245)'],
        [0.9607843137254902, 'rgb(220,225,245)'],
        [0.9647058823529412, 'rgb(222,227,245)'],
        [0.9686274509803922, 'rgb(224,229,244)'],
        [0.9725490196078431, 'rgb(227,230,244)'],
        [0.9764705882352941, 'rgb(229,232,244)'],
        [0.9803921568627451, 'rgb(231,233,243)'],
        [0.984313725490196, 'rgb(232,234,243)'],
        [0.9882352941176471, 'rgb(234,235,242)'],
        [0.9921568627450981, 'rgb(235,236,241)'],
        [0.996078431372549, 'rgb(237,237,240)'],
        [1.0, 'rgb(237,237,238)'],
    ],
    'cet.cyclic_tritanopic_cwrk_40_100_c20': [
        [0.0, 'rgb(38,187,215)'],
        [0.00392156862745098, 'rgb(42,189,216)'],
        [0.00784313725490196, 'rgb(46,190,217)'],
        [0.011764705882352941, 'rgb(50,191,218)'],
        [0.01568627450980392, 'rgb(55,192,219)'],
        [0.0196078431372549, 'rgb(60,193,219)'],
        [0.023529411764705882, 'rgb(65,194,220)'],
        [0.027450980392156862, 'rgb(71,195,221)'],
        [0.03137254901960784, 'rgb(75,196,221)'],
        [0.03529411764705882, 'rgb(80,197,222)'],
        [0.0392156862745098, 'rgb(85,198,223)'],
        [0.043137254901960784, 'rgb(89,199,223)'],
        [0.047058823529411764, 'rgb(94,200,224)'],
        [0.050980392156862744, 'rgb(98,201,224)'],
        [0.054901960784313725, 'rgb(102,202,225)'],
        [0.058823529411764705, 'rgb(106,203,226)'],
        [0.06274509803921569, 'rgb(110,204,226)'],
        [0.06666666666666667, 'rgb(114,205,227)'],
        [0.07058823529411765, 'rgb(118,206,227)'],
        [0.07450980392156863, 'rgb(121,207,228)'],
        [0.0784313725490196, 'rgb(125,209,229)'],
        [0.08235294117647059, 'rgb(128,210,229)'],
        [0.08627450980392157, 'rgb(132,211,230)'],
        [0.09019607843137255, 'rgb(135,212,230)'],
        [0.09411764705882353, 'rgb(138,213,231)'],
        [0.09803921568627451, 'rgb(142,214,231)'],
        [0.10196078431372549, 'rgb(145,215,232)'],
        [0.10588235294117647, 'rgb(148,216,233)'],
        [0.10980392156862745, 'rgb(151,217,233)'],
        [0.11372549019607843, 'rgb(154,218,234)'],
        [0.11764705882352941, 'rgb(157,219,234)'],
        [0.12156862745098039, 'rgb(160,220,235)'],
        [0.12549019607843137, 'rgb(163,221,236)'],
        [0.12941176470588237, 'rgb(166,222,236)'],
        [0.13333333333333333, 'rgb(169,223,237)'],
        [0.13725490196078433, 'rgb(172,224,237)'],
        [0.1411764705882353, 'rgb(175,225,238)'],
        [0.1450980392156863, 'rgb(178,226,239)'],
        [0.14901960784313725, 'rgb(181,227,239)'],
        [0.15294117647058825, 'rgb(184,228,240)'],
        [0.1568627450980392, 'rgb(187,229,240)'],
        [0.1607843137254902, 'rgb(190,230,241)'],
        [0.16470588235294117, 'rgb(193,231,241)'],
        [0.16862745098039217, 'rgb(195,232,242)'],
        [0.17254901960784313, 'rgb(198,233,243)'],
        [0.17647058823529413, 'rgb(201,234,243)'],
        [0.1803921568627451, 'rgb(204,235,244)'],
        [0.1843137254901961, 'rgb(207,236,244)'],
        [0.18823529411764706, 'rgb(209,238,245)'],
        [0.19215686274509805, 'rgb(212,239,246)'],
        [0.19607843137254902, 'rgb(215,240,246)'],
        [0.2, 'rgb(218,241,247)'],
        [0.20392156862745098, 'rgb(220,242,247)'],
        [0.20784313725490197, 'rgb(223,243,248)'],
        [0.21176470588235294, 'rgb(226,244,248)'],
        [0.21568627450980393, 'rgb(228,244,249)'],
        [0.2196078431372549, 'rgb(231,245,249)'],
        [0.2235294117647059, 'rgb(234,246,250)'],
        [0.22745098039215686, 'rgb(236,247,250)'],
        [0.23137254901960785, 'rgb(239,247,250)'],
        [0.23529411764705882, 'rgb(241,248,250)'],
        [0.23921568627450981, 'rgb(243,248,250)'],
        [0.24313725490196078, 'rgb(245,248,249)'],
        [0.24705882352941178, 'rgb(247,248,249)'],
        [0.25098039215686274, 'rgb(249,248,248)'],
        [0.2549019607843137, 'rgb(250,247,247)'],
        [0.25882352941176473, 'rgb(251,246,246)'],
        [0.2627450980392157, 'rgb(252,245,245)'],
        [0.26666666666666666, 'rgb(253,244,243)'],
        [0.27058823529411763, 'rgb(253,243,242)'],
        [0.27450980392156865, 'rgb(254,242,240)'],
        [0.2784313725490196, 'rgb(254,240,238)'],
        [0.2823529411764706, 'rgb(254,239,236)'],
        [0.28627450980392155, 'rgb(254,237,234)'],
        [0.2901960784313726, 'rgb(254,235,233)'],
        [0.29411764705882354, 'rgb(254,234,231)'],
        [0.2980392156862745, 'rgb(254,232,229)'],
        [0.30196078431372547, 'rgb(254,231,227)'],
        [0.3058823529411765, 'rgb(254,229,225)'],
        [0.30980392156862746, 'rgb(254,227,223)'],
        [0.3137254901960784, 'rgb(254,226,221)'],
        [0.3176470588235294, 'rgb(253,224,219)'],
        [0.3215686274509804, 'rgb(253,222,217)'],
        [0.3254901960784314, 'rgb(253,221,215)'],
        [0.32941176470588235, 'rgb(253,219,214)'],
        [0.3333333333333333, 'rgb(253,217,212)'],
        [0.33725490196078434, 'rgb(253,216,210)'],
        [0.3411764705882353, 'rgb(252,214,208)'],
        [0.34509803921568627, 'rgb(252,212,206)'],
        [0.34901960784313724, 'rgb(252,211,204)'],
        [0.35294117647058826, 'rgb(252,209,202)'],
        [0.3568627450980392, 'rgb(251,207,201)'],
        [0.3607843137254902, 'rgb(251,206,199)'],
        [0.36470588235294116, 'rgb(251,204,197)'],
        [0.3686274509803922, 'rgb(251,202,195)'],
        [0.37254901960784315, 'rgb(250,201,193)'],
        [0.3764705882352941, 'rgb(250,199,191)'],
        [0.3803921568627451, 'rgb(250,197,189)'],
        [0.3843137254901961, 'rgb(250,196,188)'],
        [0.38823529411764707, 'rgb(249,194,186)'],
        [0.39215686274509803, 'rgb(249,192,184)'],
        [0.396078431372549, 'rgb(249,191,182)'],
        [0.4, 'rgb(248,189,180)'],
        [0.403921568627451, 'rgb(248,187,178)'],
        [0.40784313725490196, 'rgb(248,186,177)'],
        [0.4117647058823529, 'rgb(247,184,175)'],
        [0.41568627450980394, 'rgb(247,182,173)'],
        [0.4196078431372549, 'rgb(247,181,171)'],
        [0.4235294117647059, 'rgb(246,179,169)'],
        [0.42745098039215684, 'rgb(246,177,168)'],
        [0.43137254901960786, 'rgb(246,176,166)'],
        [0.43529411764705883, 'rgb(245,174,164)'],
        [0.4392156862745098, 'rgb(245,172,162)'],
        [0.44313725490196076, 'rgb(244,171,160)'],
        [0.4470588235294118, 'rgb(244,169,159)'],
        [0.45098039215686275, 'rgb(243,168,157)'],
        [0.4549019607843137, 'rgb(243,166,155)'],
        [0.4588235294117647, 'rgb(243,164,153)'],
        [0.4627450980392157, 'rgb(242,163,151)'],
        [0.4666666666666667, 'rgb(242,161,150)'],
        [0.47058823529411764, 'rgb(241,159,148)'],
        [0.4745098039215686, 'rgb(240,158,146)'],
        [0.47843137254901963, 'rgb(240,156,145)'],
        [0.4823529411764706, 'rgb(239,155,143)'],
        [0.48627450980392156, 'rgb(238,153,142)'],
        [0.49019607843137253, 'rgb(237,152,140)'],
        [0.49411764705882355, 'rgb(236,150,139)'],
        [0.4980392156862745, 'rgb(235,149,138)'],
        [0.5019607843137255, 'rgb(233,148,136)'],
        [0.5058823529411764, 'rgb(232,147,135)'],
        [0.5098039215686274, 'rgb(230,146,134)'],
        [0.5137254901960784, 'rgb(228,145,133)'],
        [0.5176470588235295, 'rgb(226,144,133)'],
        [0.5215686274509804, 'rgb(225,143,132)'],
        [0.5254901960784314, 'rgb(222,142,131)'],
        [0.5294117647058824, 'rgb(220,141,130)'],
        [0.5333333333333333, 'rgb(218,140,130)'],
        [0.5372549019607843, 'rgb(216,139,129)'],
        [0.5411764705882353, 'rgb(214,138,128)'],
        [0.5450980392156862, 'rgb(212,138,128)'],
        [0.5490196078431373, 'rgb(209,137,127)'],
        [0.5529411764705883, 'rgb(207,136,126)'],
        [0.5568627450980392, 'rgb(205,135,126)'],
        [0.5607843137254902, 'rgb(203,134,125)'],
        [0.5647058823529412, 'rgb(200,134,124)'],
        [0.5686274509803921, 'rgb(198,133,124)'],
        [0.5725490196078431, 'rgb(196,132,123)'],
        [0.5764705882352941, 'rgb(194,131,122)'],
        [0.5803921568627451, 'rgb(192,130,122)'],
        [0.5843137254901961, 'rgb(189,130,121)'],
        [0.5882352941176471, 'rgb(187,129,121)'],
        [0.592156862745098, 'rgb(185,128,120)'],
        [0.596078431372549, 'rgb(183,127,119)'],
        [0.6, 'rgb(181,126,119)'],
        [0.6039215686274509, 'rgb(178,126,118)'],
        [0.6078431372549019, 'rgb(176,125,117)'],
        [0.611764705882353, 'rgb(174,124,117)'],
        [0.615686274509804, 'rgb(172,123,116)'],
        [0.6196078431372549, 'rgb(170,122,116)'],
        [0.6235294117647059, 'rgb(167,122,115)'],
        [0.6274509803921569, 'rgb(165,121,114)'],
        [0.6313725490196078, 'rgb(163,120,114)'],
        [0.6352941176470588, 'rgb(161,119,113)'],
        [0.6392156862745098, 'rgb(159,118,112)'],
        [0.6431372549019608, 'rgb(156,118,112)'],
        [0.6470588235294118, 'rgb(154,117,111)'],
        [0.6509803921568628, 'rgb(152,116,111)'],
        [0.6549019607843137, 'rgb(150,115,110)'],
        [0.6588235294117647, 'rgb(148,114,109)'],
        [0.6627450980392157, 'rgb(145,113,109)'],
        [0.6666666666666666, 'rgb(143,113,108)'],
        [0.6705882352941176, 'rgb(141,112,107)'],
        [0.6745098039215687, 'rgb(139,111,107)'],
        [0.6784313725490196, 'rgb(137,110,106)'],
        [0.6823529411764706, 'rgb(135,109,106)'],
        [0.6862745098039216, 'rgb(132,109,105)'],
        [0.6901960784313725, 'rgb(130,108,104)'],
        [0.6941176470588235, 'rgb(128,107,104)'],
        [0.6980392156862745, 'rgb(126,106,103)'],
        [0.7019607843137254, 'rgb(124,105,102)'],
        [0.7058823529411765, 'rgb(121,105,102)'],
        [0.7098039215686275, 'rgb(119,104,101)'],
        [0.7137254901960784, 'rgb(117,103,101)'],
        [0.7176470588235294, 'rgb(115,102,100)'],
        [0.7215686274509804, 'rgb(113,102,100)'],
        [0.7254901960784313, 'rgb(111,101,99)'],
        [0.7294117647058823, 'rgb(109,100,99)'],
        [0.7333333333333333, 'rgb(107,100,99)'],
        [0.7372549019607844, 'rgb(105,100,99)'],
        [0.7411764705882353, 'rgb(103,100,99)'],
        [0.7450980392156863, 'rgb(102,100,100)'],
        [0.7490196078431373, 'rgb(100,100,100)'],
        [0.7529411764705882, 'rgb(99,100,101)'],
        [0.7568627450980392, 'rgb(98,101,102)'],
        [0.7607843137254902, 'rgb(97,102,103)'],
        [0.7647058823529411, 'rgb(96,102,104)'],
        [0.7686274509803922, 'rgb(95,103,106)'],
        [0.7725490196078432, 'rgb(95,104,107)'],
        [0.7764705882352941, 'rgb(95,106,109)'],
        [0.7803921568627451, 'rgb(94,107,110)'],
        [0.7843137254901961, 'rgb(94,108,112)'],
        [0.788235294117647, 'rgb(94,110,114)'],
        [0.792156862745098, 'rgb(93,111,116)'],
        [0.796078431372549, 'rgb(93,112,117)'],
        [0.8, 'rgb(93,114,119)'],
        [0.803921568627451, 'rgb(93,115,121)'],
        [0.807843137254902, 'rgb(92,116,123)'],
        [0.8117647058823529, 'rgb(92,118,125)'],
        [0.8156862745098039, 'rgb(92,119,126)'],
        [0.8196078431372549, 'rgb(91,121,128)'],
        [0.8235294117647058, 'rgb(91,122,130)'],
        [0.8274509803921568, 'rgb(91,123,132)'],
        [0.8313725490196079, 'rgb(90,125,134)'],
        [0.8352941176470589, 'rgb(90,126,136)'],
        [0.8392156862745098, 'rgb(89,128,137)'],
        [0.8431372549019608, 'rgb(89,129,139)'],
        [0.8470588235294118, 'rgb(88,131,141)'],
        [0.8509803921568627, 'rgb(88,132,143)'],
        [0.8549019607843137, 'rgb(87,133,145)'],
        [0.8588235294117647, 'rgb(87,135,147)'],
        [0.8627450980392157, 'rgb(86,136,149)'],
        [0.8666666666666667, 'rgb(85,138,150)'],
        [0.8705882352941177, 'rgb(85,139,152)'],
        [0.8745098039215686, 'rgb(84,141,154)'],
        [0.8784313725490196, 'rgb(83,142,156)'],
        [0.8823529411764706, 'rgb(82,144,158)'],
        [0.8862745098039215, 'rgb(81,145,160)'],
        [0.8901960784313725, 'rgb(80,146,162)'],
        [0.8941176470588236, 'rgb(79,148,164)'],
        [0.8980392156862745, 'rgb(78,149,166)'],
        [0.9019607843137255, 'rgb(77,151,168)'],
        [0.9058823529411765, 'rgb(76,152,169)'],
        [0.9098039215686274, 'rgb(75,154,171)'],
        [0.9137254901960784, 'rgb(74,155,173)'],
        [0.9176470588235294, 'rgb(72,157,175)'],
        [0.9215686274509803, 'rgb(71,158,177)'],
        [0.9254901960784314, 'rgb(69,160,179)'],
        [0.9294117647058824, 'rgb(68,161,181)'],
        [0.9333333333333333, 'rgb(66,162,183)'],
        [0.9372549019607843, 'rgb(65,164,185)'],
        [0.9411764705882353, 'rgb(63,165,187)'],
        [0.9450980392156862, 'rgb(61,167,189)'],
        [0.9490196078431372, 'rgb(59,168,191)'],
        [0.9529411764705882, 'rgb(57,170,193)'],
        [0.9568627450980393, 'rgb(54,171,195)'],
        [0.9607843137254902, 'rgb(52,173,197)'],
        [0.9647058823529412, 'rgb(49,174,199)'],
        [0.9686274509803922, 'rgb(46,176,201)'],
        [0.9725490196078431, 'rgb(44,177,202)'],
        [0.9764705882352941, 'rgb(41,178,204)'],
        [0.9803921568627451, 'rgb(38,180,206)'],
        [0.984313725490196, 'rgb(36,181,208)'],
        [0.9882352941176471, 'rgb(35,183,209)'],
        [0.9921568627450981, 'rgb(34,184,211)'],
        [0.996078431372549, 'rgb(34,185,212)'],
        [1.0, 'rgb(36,186,214)'],
    ],
    'cet.cyclic_tritanopic_wrwc_70_100_c20': [
        [0.0, 'rgb(251,250,250)'],
        [0.00392156862745098, 'rgb(252,250,249)'],
        [0.00784313725490196, 'rgb(253,249,248)'],
        [0.011764705882352941, 'rgb(254,248,247)'],
        [0.01568627450980392, 'rgb(254,247,246)'],
        [0.0196078431372549, 'rgb(255,246,244)'],
        [0.023529411764705882, 'rgb(255,244,243)'],
        [0.027450980392156862, 'rgb(255,243,241)'],
        [0.03137254901960784, 'rgb(255,241,239)'],
        [0.03529411764705882, 'rgb(255,240,237)'],
        [0.0392156862745098, 'rgb(255,238,236)'],
        [0.043137254901960784, 'rgb(255,237,234)'],
        [0.047058823529411764, 'rgb(255,235,232)'],
        [0.050980392156862744, 'rgb(255,233,230)'],
        [0.054901960784313725, 'rgb(255,232,228)'],
        [0.058823529411764705, 'rgb(255,230,226)'],
        [0.06274509803921569, 'rgb(255,228,224)'],
        [0.06666666666666667, 'rgb(255,227,222)'],
        [0.07058823529411765, 'rgb(255,225,220)'],
        [0.07450980392156863, 'rgb(255,223,218)'],
        [0.0784313725490196, 'rgb(254,222,217)'],
        [0.08235294117647059, 'rgb(254,220,215)'],
        [0.08627450980392157, 'rgb(254,218,213)'],
        [0.09019607843137255, 'rgb(254,217,211)'],
        [0.09411764705882353, 'rgb(254,215,209)'],
        [0.09803921568627451, 'rgb(254,213,207)'],
        [0.10196078431372549, 'rgb(254,212,205)'],
        [0.10588235294117647, 'rgb(253,210,203)'],
        [0.10980392156862745, 'rgb(253,208,201)'],
        [0.11372549019607843, 'rgb(253,207,200)'],
        [0.11764705882352941, 'rgb(253,205,198)'],
        [0.12156862745098039, 'rgb(253,203,196)'],
        [0.12549019607843137, 'rgb(252,202,194)'],
        [0.12941176470588237, 'rgb(252,200,192)'],
        [0.13333333333333333, 'rgb(252,198,190)'],
        [0.13725490196078433, 'rgb(252,197,188)'],
        [0.1411764705882353, 'rgb(252,195,187)'],
        [0.1450980392156863, 'rgb(251,193,185)'],
        [0.14901960784313725, 'rgb(251,192,183)'],
        [0.15294117647058825, 'rgb(251,190,181)'],
        [0.1568627450980392, 'rgb(250,188,179)'],
        [0.1607843137254902, 'rgb(250,187,177)'],
        [0.16470588235294117, 'rgb(250,185,176)'],
        [0.16862745098039217, 'rgb(250,183,174)'],
        [0.17254901960784313, 'rgb(249,182,172)'],
        [0.17647058823529413, 'rgb(249,180,170)'],
        [0.1803921568627451, 'rgb(249,178,168)'],
        [0.1843137254901961, 'rgb(248,177,166)'],
        [0.18823529411764706, 'rgb(248,175,165)'],
        [0.19215686274509805, 'rgb(248,173,163)'],
        [0.19607843137254902, 'rgb(247,172,161)'],
        [0.2, 'rgb(247,170,159)'],
        [0.20392156862745098, 'rgb(247,168,157)'],
        [0.20784313725490197, 'rgb(246,167,156)'],
        [0.21176470588235294, 'rgb(246,165,154)'],
        [0.21568627450980393, 'rgb(245,164,152)'],
        [0.2196078431372549, 'rgb(245,162,151)'],
        [0.2235294117647059, 'rgb(245,161,149)'],
        [0.22745098039215686, 'rgb(244,159,147)'],
        [0.23137254901960785, 'rgb(244,158,146)'],
        [0.23529411764705882, 'rgb(244,157,145)'],
        [0.23921568627450981, 'rgb(243,156,144)'],
        [0.24313725490196078, 'rgb(243,155,143)'],
        [0.24705882352941178, 'rgb(243,155,143)'],
        [0.25098039215686274, 'rgb(243,154,142)'],
        [0.2549019607843137, 'rgb(243,154,142)'],
        [0.25882352941176473, 'rgb(243,155,143)'],
        [0.2627450980392157, 'rgb(243,155,143)'],
        [0.26666666666666666, 'rgb(244,156,144)'],
        [0.27058823529411763, 'rgb(244,157,145)'],
        [0.27450980392156865, 'rgb(244,158,146)'],
        [0.2784313725490196, 'rgb(244,159,148)'],
        [0.2823529411764706, 'rgb(245,161,149)'],
        [0.28627450980392155, 'rgb(245,162,151)'],
        [0.2901960784313726, 'rgb(245,164,153)'],
        [0.29411764705882354, 'rgb(246,166,154)'],
        [0.2980392156862745, 'rgb(246,167,156)'],
        [0.30196078431372547, 'rgb(247,169,158)'],
        [0.3058823529411765, 'rgb(247,171,160)'],
        [0.30980392156862746, 'rgb(247,172,161)'],
        [0.3137254901960784, 'rgb(248,174,163)'],
        [0.3176470588235294, 'rgb(248,176,165)'],
        [0.3215686274509804, 'rgb(248,177,167)'],
        [0.3254901960784314, 'rgb(249,179,169)'],
        [0.32941176470588235, 'rgb(249,181,171)'],
        [0.3333333333333333, 'rgb(249,182,172)'],
        [0.33725490196078434, 'rgb(250,184,174)'],
        [0.3411764705882353, 'rgb(250,185,176)'],
        [0.34509803921568627, 'rgb(250,187,178)'],
        [0.34901960784313724, 'rgb(251,189,180)'],
        [0.35294117647058826, 'rgb(251,190,182)'],
        [0.3568627450980392, 'rgb(251,192,183)'],
        [0.3607843137254902, 'rgb(251,194,185)'],
        [0.36470588235294116, 'rgb(252,195,187)'],
        [0.3686274509803922, 'rgb(252,197,189)'],
        [0.37254901960784315, 'rgb(252,199,191)'],
        [0.3764705882352941, 'rgb(252,200,193)'],
        [0.3803921568627451, 'rgb(253,202,194)'],
        [0.3843137254901961, 'rgb(253,204,196)'],
        [0.38823529411764707, 'rgb(253,205,198)'],
        [0.39215686274509803, 'rgb(253,207,200)'],
        [0.396078431372549, 'rgb(253,209,202)'],
        [0.4, 'rgb(253,210,204)'],
        [0.403921568627451, 'rgb(254,212,206)'],
        [0.40784313725490196, 'rgb(254,214,208)'],
        [0.4117647058823529, 'rgb(254,215,209)'],
        [0.41568627450980394, 'rgb(254,217,211)'],
        [0.4196078431372549, 'rgb(254,219,213)'],
        [0.4235294117647059, 'rgb(254,220,215)'],
        [0.42745098039215684, 'rgb(255,222,217)'],
        [0.43137254901960786, 'rgb(255,224,219)'],
        [0.43529411764705883, 'rgb(255,225,221)'],
        [0.4392156862745098, 'rgb(255,227,223)'],
        [0.44313725490196076, 'rgb(255,229,225)'],
        [0.4470588235294118, 'rgb(255,230,227)'],
        [0.45098039215686275, 'rgb(255,232,228)'],
        [0.4549019607843137, 'rgb(255,234,230)'],
        [0.4588235294117647, 'rgb(255,235,232)'],
        [0.4627450980392157, 'rgb(255,237,234)'],
        [0.4666666666666667, 'rgb(255,239,236)'],
        [0.47058823529411764, 'rgb(255,240,238)'],
        [0.4745098039215686, 'rgb(254,242,240)'],
        [0.47843137254901963, 'rgb(254,243,241)'],
        [0.4823529411764706, 'rgb(254,244,243)'],
        [0.48627450980392156, 'rgb(253,246,245)'],
        [0.49019607843137253, 'rgb(252,247,246)'],
        [0.49411764705882355, 'rgb(251,247,247)'],
        [0.4980392156862745, 'rgb(250,248,248)'],
        [0.5019607843137255, 'rgb(248,249,249)'],
        [0.5058823529411764, 'rgb(246,249,250)'],
        [0.5098039215686274, 'rgb(244,249,250)'],
        [0.5137254901960784, 'rgb(242,249,250)'],
        [0.5176470588235295, 'rgb(240,248,251)'],
        [0.5215686274509804, 'rgb(238,248,251)'],
        [0.5254901960784314, 'rgb(235,247,250)'],
        [0.5294117647058824, 'rgb(233,246,250)'],
        [0.5333333333333333, 'rgb(230,245,250)'],
        [0.5372549019607843, 'rgb(227,245,249)'],
        [0.5411764705882353, 'rgb(225,244,249)'],
        [0.5450980392156862, 'rgb(222,243,248)'],
        [0.5490196078431373, 'rgb(219,242,248)'],
        [0.5529411764705883, 'rgb(216,241,247)'],
        [0.5568627450980392, 'rgb(214,240,247)'],
        [0.5607843137254902, 'rgb(211,239,246)'],
        [0.5647058823529412, 'rgb(208,238,246)'],
        [0.5686274509803921, 'rgb(205,237,245)'],
        [0.5725490196078431, 'rgb(202,236,245)'],
        [0.5764705882352941, 'rgb(199,235,244)'],
        [0.5803921568627451, 'rgb(197,234,243)'],
        [0.5843137254901961, 'rgb(194,233,243)'],
        [0.5882352941176471, 'rgb(191,232,242)'],
        [0.592156862745098, 'rgb(188,231,242)'],
        [0.596078431372549, 'rgb(185,230,241)'],
        [0.6, 'rgb(182,229,241)'],
        [0.6039215686274509, 'rgb(179,228,240)'],
        [0.6078431372549019, 'rgb(176,227,240)'],
        [0.611764705882353, 'rgb(173,226,239)'],
        [0.615686274509804, 'rgb(170,225,239)'],
        [0.6196078431372549, 'rgb(167,224,238)'],
        [0.6235294117647059, 'rgb(164,223,237)'],
        [0.6274509803921569, 'rgb(161,222,237)'],
        [0.6313725490196078, 'rgb(158,221,236)'],
        [0.6352941176470588, 'rgb(155,220,236)'],
        [0.6392156862745098, 'rgb(151,219,235)'],
        [0.6431372549019608, 'rgb(148,217,235)'],
        [0.6470588235294118, 'rgb(145,216,234)'],
        [0.6509803921568628, 'rgb(141,215,234)'],
        [0.6549019607843137, 'rgb(138,214,233)'],
        [0.6588235294117647, 'rgb(135,213,233)'],
        [0.6627450980392157, 'rgb(131,212,232)'],
        [0.6666666666666666, 'rgb(128,211,231)'],
        [0.6705882352941176, 'rgb(124,210,231)'],
        [0.6745098039215687, 'rgb(120,209,230)'],
        [0.6784313725490196, 'rgb(117,208,230)'],
        [0.6823529411764706, 'rgb(113,207,229)'],
        [0.6862745098039216, 'rgb(109,206,229)'],
        [0.6901960784313725, 'rgb(105,205,228)'],
        [0.6941176470588235, 'rgb(101,204,228)'],
        [0.6980392156862745, 'rgb(96,203,227)'],
        [0.7019607843137254, 'rgb(92,202,226)'],
        [0.7058823529411765, 'rgb(87,201,226)'],
        [0.7098039215686275, 'rgb(83,200,225)'],
        [0.7137254901960784, 'rgb(78,199,225)'],
        [0.7176470588235294, 'rgb(73,198,224)'],
        [0.7215686274509804, 'rgb(68,197,224)'],
        [0.7254901960784313, 'rgb(63,197,223)'],
        [0.7294117647058823, 'rgb(58,196,223)'],
        [0.7333333333333333, 'rgb(53,195,223)'],
        [0.7372549019607844, 'rgb(49,195,222)'],
        [0.7411764705882353, 'rgb(46,194,222)'],
        [0.7450980392156863, 'rgb(44,194,222)'],
        [0.7490196078431373, 'rgb(44,194,222)'],
        [0.7529411764705882, 'rgb(45,194,222)'],
        [0.7568627450980392, 'rgb(47,194,222)'],
        [0.7607843137254902, 'rgb(50,195,223)'],
        [0.7647058823529411, 'rgb(54,195,223)'],
        [0.7686274509803922, 'rgb(59,196,223)'],
        [0.7725490196078432, 'rgb(64,197,224)'],
        [0.7764705882352941, 'rgb(69,198,224)'],
        [0.7803921568627451, 'rgb(74,199,225)'],
        [0.7843137254901961, 'rgb(79,200,225)'],
        [0.788235294117647, 'rgb(84,200,226)'],
        [0.792156862745098, 'rgb(88,201,226)'],
        [0.796078431372549, 'rgb(93,202,227)'],
        [0.8, 'rgb(97,203,227)'],
        [0.803921568627451, 'rgb(102,204,228)'],
        [0.807843137254902, 'rgb(106,206,228)'],
        [0.8117647058823529, 'rgb(110,207,229)'],
        [0.8156862745098039, 'rgb(114,208,229)'],
        [0.8196078431372549, 'rgb(117,209,230)'],
        [0.8235294117647058, 'rgb(121,210,230)'],
        [0.8274509803921568, 'rgb(125,211,231)'],
        [0.8313725490196079, 'rgb(128,212,232)'],
        [0.8352941176470589, 'rgb(132,213,232)'],
        [0.8392156862745098, 'rgb(135,214,233)'],
        [0.8431372549019608, 'rgb(139,215,233)'],
        [0.8470588235294118, 'rgb(142,216,234)'],
        [0.8509803921568627, 'rgb(146,217,234)'],
        [0.8549019607843137, 'rgb(149,218,235)'],
        [0.8588235294117647, 'rgb(152,219,235)'],
        [0.8627450980392157, 'rgb(155,220,236)'],
        [0.8666666666666667, 'rgb(158,221,236)'],
        [0.8705882352941177, 'rgb(162,222,237)'],
        [0.8745098039215686, 'rgb(165,223,238)'],
        [0.8784313725490196, 'rgb(168,224,238)'],
        [0.8823529411764706, 'rgb(171,225,239)'],
        [0.8862745098039215, 'rgb(174,226,239)'],
        [0.8901960784313725, 'rgb(177,227,240)'],
        [0.8941176470588236, 'rgb(180,228,240)'],
        [0.8980392156862745, 'rgb(183,229,241)'],
        [0.9019607843137255, 'rgb(186,230,241)'],
        [0.9058823529411765, 'rgb(189,231,242)'],
        [0.9098039215686274, 'rgb(191,232,242)'],
        [0.9137254901960784, 'rgb(194,233,243)'],
        [0.9176470588235294, 'rgb(197,234,244)'],
        [0.9215686274509803, 'rgb(200,235,244)'],
        [0.9254901960784314, 'rgb(203,236,245)'],
        [0.9294117647058824, 'rgb(206,237,245)'],
        [0.9333333333333333, 'rgb(209,238,246)'],
        [0.9372549019607843, 'rgb(211,239,246)'],
        [0.9411764705882353, 'rgb(214,240,247)'],
        [0.9450980392156862, 'rgb(217,241,247)'],
        [0.9490196078431372, 'rgb(220,242,248)'],
        [0.9529411764705882, 'rgb(222,243,248)'],
        [0.9568627450980393, 'rgb(225,244,249)'],
        [0.9607843137254902, 'rgb(228,245,250)'],
        [0.9647058823529412, 'rgb(231,246,250)'],
        [0.9686274509803922, 'rgb(233,247,250)'],
        [0.9725490196078431, 'rgb(236,248,251)'],
        [0.9764705882352941, 'rgb(238,248,251)'],
        [0.9803921568627451, 'rgb(240,249,252)'],
        [0.984313725490196, 'rgb(243,250,252)'],
        [0.9882352941176471, 'rgb(245,250,252)'],
        [0.9921568627450981, 'rgb(247,250,252)'],
        [0.996078431372549, 'rgb(248,251,251)'],
        [1.0, 'rgb(250,251,251)'],
    ],
    'cet.cyclic_wrwbw_40_90_c42': [
        [0.0, 'rgb(223,213,216)'],
        [0.00392156862745098, 'rgb(224,213,214)'],
        [0.00784313725490196, 'rgb(225,212,212)'],
        [0.011764705882352941, 'rgb(226,211,210)'],
        [0.01568627450980392, 'rgb(227,209,207)'],
        [0.0196078431372549, 'rgb(227,208,204)'],
        [0.023529411764705882, 'rgb(228,206,201)'],
        [0.027450980392156862, 'rgb(229,204,198)'],
        [0.03137254901960784, 'rgb(229,202,195)'],
        [0.03529411764705882, 'rgb(229,200,192)'],
        [0.0392156862745098, 'rgb(230,197,189)'],
        [0.043137254901960784, 'rgb(230,195,185)'],
        [0.047058823529411764, 'rgb(230,192,182)'],
        [0.050980392156862744, 'rgb(230,189,178)'],
        [0.054901960784313725, 'rgb(230,187,175)'],
        [0.058823529411764705, 'rgb(230,184,171)'],
        [0.06274509803921569, 'rgb(230,181,168)'],
        [0.06666666666666667, 'rgb(230,178,164)'],
        [0.07058823529411765, 'rgb(230,176,161)'],
        [0.07450980392156863, 'rgb(230,173,157)'],
        [0.0784313725490196, 'rgb(230,170,154)'],
        [0.08235294117647059, 'rgb(230,167,150)'],
        [0.08627450980392157, 'rgb(229,164,147)'],
        [0.09019607843137255, 'rgb(229,162,143)'],
        [0.09411764705882353, 'rgb(229,159,140)'],
        [0.09803921568627451, 'rgb(229,156,136)'],
        [0.10196078431372549, 'rgb(228,153,133)'],
        [0.10588235294117647, 'rgb(228,150,129)'],
        [0.10980392156862745, 'rgb(227,147,126)'],
        [0.11372549019607843, 'rgb(227,145,123)'],
        [0.11764705882352941, 'rgb(226,142,119)'],
        [0.12156862745098039, 'rgb(226,139,116)'],
        [0.12549019607843137, 'rgb(225,136,112)'],
        [0.12941176470588237, 'rgb(225,133,109)'],
        [0.13333333333333333, 'rgb(224,130,106)'],
        [0.13725490196078433, 'rgb(224,127,102)'],
        [0.1411764705882353, 'rgb(223,124,99)'],
        [0.1450980392156863, 'rgb(222,122,96)'],
        [0.14901960784313725, 'rgb(221,119,92)'],
        [0.15294117647058825, 'rgb(221,116,89)'],
        [0.1568627450980392, 'rgb(220,113,86)'],
        [0.1607843137254902, 'rgb(219,110,82)'],
        [0.16470588235294117, 'rgb(218,107,79)'],
        [0.16862745098039217, 'rgb(218,104,76)'],
        [0.17254901960784313, 'rgb(217,101,72)'],
        [0.17647058823529413, 'rgb(216,98,69)'],
        [0.1803921568627451, 'rgb(215,94,66)'],
        [0.1843137254901961, 'rgb(214,91,63)'],
        [0.18823529411764706, 'rgb(213,88,60)'],
        [0.19215686274509805, 'rgb(212,85,56)'],
        [0.19607843137254902, 'rgb(211,82,53)'],
        [0.2, 'rgb(210,79,50)'],
        [0.20392156862745098, 'rgb(209,76,47)'],
        [0.20784313725490197, 'rgb(208,72,44)'],
        [0.21176470588235294, 'rgb(207,69,41)'],
        [0.21568627450980393, 'rgb(206,66,38)'],
        [0.2196078431372549, 'rgb(205,63,36)'],
        [0.2235294117647059, 'rgb(205,60,33)'],
        [0.22745098039215686, 'rgb(204,58,31)'],
        [0.23137254901960785, 'rgb(203,55,29)'],
        [0.23529411764705882, 'rgb(202,53,27)'],
        [0.23921568627450981, 'rgb(202,51,25)'],
        [0.24313725490196078, 'rgb(202,50,24)'],
        [0.24705882352941178, 'rgb(201,49,23)'],
        [0.25098039215686274, 'rgb(201,49,23)'],
        [0.2549019607843137, 'rgb(201,49,23)'],
        [0.25882352941176473, 'rgb(201,49,24)'],
        [0.2627450980392157, 'rgb(202,50,24)'],
        [0.26666666666666666, 'rgb(202,52,26)'],
        [0.27058823529411763, 'rgb(203,54,27)'],
        [0.27450980392156865, 'rgb(203,56,29)'],
        [0.2784313725490196, 'rgb(204,58,31)'],
        [0.2823529411764706, 'rgb(205,61,34)'],
        [0.28627450980392155, 'rgb(206,64,36)'],
        [0.2901960784313726, 'rgb(207,67,39)'],
        [0.29411764705882354, 'rgb(207,70,42)'],
        [0.2980392156862745, 'rgb(208,73,45)'],
        [0.30196078431372547, 'rgb(209,76,48)'],
        [0.3058823529411765, 'rgb(210,80,51)'],
        [0.30980392156862746, 'rgb(211,83,54)'],
        [0.3137254901960784, 'rgb(212,86,57)'],
        [0.3176470588235294, 'rgb(213,89,60)'],
        [0.3215686274509804, 'rgb(214,92,64)'],
        [0.3254901960784314, 'rgb(215,95,67)'],
        [0.32941176470588235, 'rgb(216,98,70)'],
        [0.3333333333333333, 'rgb(217,101,73)'],
        [0.33725490196078434, 'rgb(218,105,77)'],
        [0.3411764705882353, 'rgb(219,108,80)'],
        [0.34509803921568627, 'rgb(219,111,83)'],
        [0.34901960784313724, 'rgb(220,114,86)'],
        [0.35294117647058826, 'rgb(221,116,90)'],
        [0.3568627450980392, 'rgb(222,119,93)'],
        [0.3607843137254902, 'rgb(222,122,96)'],
        [0.36470588235294116, 'rgb(223,125,100)'],
        [0.3686274509803922, 'rgb(224,128,103)'],
        [0.37254901960784315, 'rgb(224,131,106)'],
        [0.3764705882352941, 'rgb(225,134,110)'],
        [0.3803921568627451, 'rgb(225,137,113)'],
        [0.3843137254901961, 'rgb(226,140,117)'],
        [0.38823529411764707, 'rgb(227,143,120)'],
        [0.39215686274509803, 'rgb(227,145,123)'],
        [0.396078431372549, 'rgb(227,148,127)'],
        [0.4, 'rgb(228,151,130)'],
        [0.403921568627451, 'rgb(228,154,134)'],
        [0.40784313725490196, 'rgb(229,157,137)'],
        [0.4117647058823529, 'rgb(229,160,141)'],
        [0.41568627450980394, 'rgb(229,162,144)'],
        [0.4196078431372549, 'rgb(230,165,148)'],
        [0.4235294117647059, 'rgb(230,168,151)'],
        [0.42745098039215684, 'rgb(230,171,155)'],
        [0.43137254901960786, 'rgb(230,174,158)'],
        [0.43529411764705883, 'rgb(230,176,162)'],
        [0.4392156862745098, 'rgb(230,179,165)'],
        [0.44313725490196076, 'rgb(230,182,169)'],
        [0.4470588235294118, 'rgb(230,185,172)'],
        [0.45098039215686275, 'rgb(230,187,176)'],
        [0.4549019607843137, 'rgb(230,190,179)'],
        [0.4588235294117647, 'rgb(230,192,183)'],
        [0.4627450980392157, 'rgb(230,195,186)'],
        [0.4666666666666667, 'rgb(229,197,190)'],
        [0.47058823529411764, 'rgb(229,199,193)'],
        [0.4745098039215686, 'rgb(228,202,196)'],
        [0.47843137254901963, 'rgb(227,203,199)'],
        [0.4823529411764706, 'rgb(226,205,203)'],
        [0.48627450980392156, 'rgb(225,207,205)'],
        [0.49019607843137253, 'rgb(224,208,208)'],
        [0.49411764705882355, 'rgb(223,209,211)'],
        [0.4980392156862745, 'rgb(222,209,213)'],
        [0.5019607843137255, 'rgb(220,210,215)'],
        [0.5058823529411764, 'rgb(219,210,217)'],
        [0.5098039215686274, 'rgb(217,209,219)'],
        [0.5137254901960784, 'rgb(215,209,221)'],
        [0.5176470588235295, 'rgb(213,208,222)'],
        [0.5215686274509804, 'rgb(211,207,223)'],
        [0.5254901960784314, 'rgb(209,206,224)'],
        [0.5294117647058824, 'rgb(207,204,225)'],
        [0.5333333333333333, 'rgb(205,203,226)'],
        [0.5372549019607843, 'rgb(202,201,226)'],
        [0.5411764705882353, 'rgb(200,199,227)'],
        [0.5450980392156862, 'rgb(198,197,227)'],
        [0.5490196078431373, 'rgb(195,195,228)'],
        [0.5529411764705883, 'rgb(193,193,228)'],
        [0.5568627450980392, 'rgb(190,191,228)'],
        [0.5607843137254902, 'rgb(188,189,228)'],
        [0.5647058823529412, 'rgb(185,187,228)'],
        [0.5686274509803921, 'rgb(183,184,228)'],
        [0.5725490196078431, 'rgb(180,182,229)'],
        [0.5764705882352941, 'rgb(178,180,229)'],
        [0.5803921568627451, 'rgb(175,178,229)'],
        [0.5843137254901961, 'rgb(173,175,229)'],
        [0.5882352941176471, 'rgb(170,173,229)'],
        [0.592156862745098, 'rgb(167,171,229)'],
        [0.596078431372549, 'rgb(165,169,229)'],
        [0.6, 'rgb(162,167,229)'],
        [0.6039215686274509, 'rgb(159,164,229)'],
        [0.6078431372549019, 'rgb(157,162,229)'],
        [0.611764705882353, 'rgb(154,160,229)'],
        [0.615686274509804, 'rgb(151,158,229)'],
        [0.6196078431372549, 'rgb(148,156,229)'],
        [0.6235294117647059, 'rgb(146,153,229)'],
        [0.6274509803921569, 'rgb(143,151,229)'],
        [0.6313725490196078, 'rgb(140,149,229)'],
        [0.6352941176470588, 'rgb(137,147,229)'],
        [0.6392156862745098, 'rgb(134,145,229)'],
        [0.6431372549019608, 'rgb(131,143,229)'],
        [0.6470588235294118, 'rgb(127,141,229)'],
        [0.6509803921568628, 'rgb(124,138,229)'],
        [0.6549019607843137, 'rgb(121,136,229)'],
        [0.6588235294117647, 'rgb(118,134,229)'],
        [0.6627450980392157, 'rgb(114,132,229)'],
        [0.6666666666666666, 'rgb(111,130,229)'],
        [0.6705882352941176, 'rgb(107,128,229)'],
        [0.6745098039215687, 'rgb(104,126,229)'],
        [0.6784313725490196, 'rgb(100,124,229)'],
        [0.6823529411764706, 'rgb(96,122,229)'],
        [0.6862745098039216, 'rgb(92,120,229)'],
        [0.6901960784313725, 'rgb(88,118,229)'],
        [0.6941176470588235, 'rgb(84,116,229)'],
        [0.6980392156862745, 'rgb(79,114,229)'],
        [0.7019607843137254, 'rgb(75,112,229)'],
        [0.7058823529411765, 'rgb(70,110,229)'],
        [0.7098039215686275, 'rgb(65,109,229)'],
        [0.7137254901960784, 'rgb(60,107,229)'],
        [0.7176470588235294, 'rgb(55,106,229)'],
        [0.7215686274509804, 'rgb(50,104,229)'],
        [0.7254901960784313, 'rgb(45,103,229)'],
        [0.7294117647058823, 'rgb(40,102,229)'],
        [0.7333333333333333, 'rgb(35,101,229)'],
        [0.7372549019607844, 'rgb(31,100,229)'],
        [0.7411764705882353, 'rgb(28,100,229)'],
        [0.7450980392156863, 'rgb(26,99,229)'],
        [0.7490196078431373, 'rgb(25,99,229)'],
        [0.7529411764705882, 'rgb(26,99,229)'],
        [0.7568627450980392, 'rgb(29,100,229)'],
        [0.7607843137254902, 'rgb(32,100,229)'],
        [0.7647058823529411, 'rgb(36,101,229)'],
        [0.7686274509803922, 'rgb(41,102,229)'],
        [0.7725490196078432, 'rgb(46,103,229)'],
        [0.7764705882352941, 'rgb(51,104,229)'],
        [0.7803921568627451, 'rgb(56,106,229)'],
        [0.7843137254901961, 'rgb(61,107,229)'],
        [0.788235294117647, 'rgb(66,109,229)'],
        [0.792156862745098, 'rgb(71,111,229)'],
        [0.796078431372549, 'rgb(76,113,229)'],
        [0.8, 'rgb(80,114,229)'],
        [0.803921568627451, 'rgb(85,116,229)'],
        [0.807843137254902, 'rgb(89,118,229)'],
        [0.8117647058823529, 'rgb(93,120,229)'],
        [0.8156862745098039, 'rgb(97,122,229)'],
        [0.8196078431372549, 'rgb(101,124,229)'],
        [0.8235294117647058, 'rgb(104,126,229)'],
        [0.8274509803921568, 'rgb(108,128,229)'],
        [0.8313725490196079, 'rgb(112,131,229)'],
        [0.8352941176470589, 'rgb(115,133,229)'],
        [0.8392156862745098, 'rgb(118,135,229)'],
        [0.8431372549019608, 'rgb(122,137,229)'],
        [0.8470588235294118, 'rgb(125,139,229)'],
        [0.8509803921568627, 'rgb(128,141,229)'],
        [0.8549019607843137, 'rgb(131,143,229)'],
        [0.8588235294117647, 'rgb(134,145,229)'],
        [0.8627450980392157, 'rgb(137,147,229)'],
        [0.8666666666666667, 'rgb(140,150,229)'],
        [0.8705882352941177, 'rgb(143,152,229)'],
        [0.8745098039215686, 'rgb(146,154,229)'],
        [0.8784313725490196, 'rgb(149,156,229)'],
        [0.8823529411764706, 'rgb(152,158,229)'],
        [0.8862745098039215, 'rgb(155,160,229)'],
        [0.8901960784313725, 'rgb(157,163,229)'],
        [0.8941176470588236, 'rgb(160,165,229)'],
        [0.8980392156862745, 'rgb(163,167,229)'],
        [0.9019607843137255, 'rgb(165,169,229)'],
        [0.9058823529411765, 'rgb(168,171,229)'],
        [0.9098039215686274, 'rgb(171,174,229)'],
        [0.9137254901960784, 'rgb(173,176,229)'],
        [0.9176470588235294, 'rgb(176,178,229)'],
        [0.9215686274509803, 'rgb(178,180,229)'],
        [0.9254901960784314, 'rgb(181,183,229)'],
        [0.9294117647058824, 'rgb(183,185,228)'],
        [0.9333333333333333, 'rgb(186,187,228)'],
        [0.9372549019607843, 'rgb(188,189,228)'],
        [0.9411764705882353, 'rgb(191,192,228)'],
        [0.9450980392156862, 'rgb(193,194,228)'],
        [0.9490196078431372, 'rgb(196,196,228)'],
        [0.9529411764705882, 'rgb(198,198,228)'],
        [0.9568627450980393, 'rgb(200,200,227)'],
        [0.9607843137254902, 'rgb(203,202,227)'],
        [0.9647058823529412, 'rgb(205,204,227)'],
        [0.9686274509803922, 'rgb(207,206,226)'],
        [0.9725490196078431, 'rgb(209,208,226)'],
        [0.9764705882352941, 'rgb(211,209,225)'],
        [0.9803921568627451, 'rgb(213,210,224)'],
        [0.984313725490196, 'rgb(215,211,224)'],
        [0.9882352941176471, 'rgb(217,212,223)'],
        [0.9921568627450981, 'rgb(218,213,221)'],
        [0.996078431372549, 'rgb(220,213,220)'],
        [1.0, 'rgb(221,213,218)'],
    ],
    'cet.cyclic_wrwbw_40_90_c42_s25': [
        [0.0, 'rgb(26,99,229)'],
        [0.00392156862745098, 'rgb(29,100,229)'],
        [0.00784313725490196, 'rgb(32,100,229)'],
        [0.011764705882352941, 'rgb(36,101,229)'],
        [0.01568627450980392, 'rgb(41,102,229)'],
        [0.0196078431372549, 'rgb(46,103,229)'],
        [0.023529411764705882, 'rgb(51,104,229)'],
        [0.027450980392156862, 'rgb(56,106,229)'],
        [0.03137254901960784, 'rgb(61,107,229)'],
        [0.03529411764705882, 'rgb(66,109,229)'],
        [0.0392156862745098, 'rgb(71,111,229)'],
        [0.043137254901960784, 'rgb(76,113,229)'],
        [0.047058823529411764, 'rgb(80,114,229)'],
        [0.050980392156862744, 'rgb(85,116,229)'],
        [0.054901960784313725, 'rgb(89,118,229)'],
        [0.058823529411764705, 'rgb(93,120,229)'],
        [0.06274509803921569, 'rgb(97,122,229)'],
        [0.06666666666666667, 'rgb(101,124,229)'],
        [0.07058823529411765, 'rgb(104,126,229)'],
        [0.07450980392156863, 'rgb(108,128,229)'],
        [0.0784313725490196, 'rgb(112,131,229)'],
        [0.08235294117647059, 'rgb(115,133,229)'],
        [0.08627450980392157, 'rgb(118,135,229)'],
        [0.09019607843137255, 'rgb(122,137,229)'],
        [0.09411764705882353, 'rgb(125,139,229)'],
        [0.09803921568627451, 'rgb(128,141,229)'],
        [0.10196078431372549, 'rgb(131,143,229)'],
        [0.10588235294117647, 'rgb(134,145,229)'],
        [0.10980392156862745, 'rgb(137,147,229)'],
        [0.11372549019607843, 'rgb(140,150,229)'],
        [0.11764705882352941, 'rgb(143,152,229)'],
        [0.12156862745098039, 'rgb(146,154,229)'],
        [0.12549019607843137, 'rgb(149,156,229)'],
        [0.12941176470588237, 'rgb(152,158,229)'],
        [0.13333333333333333, 'rgb(155,160,229)'],
        [0.13725490196078433, 'rgb(157,163,229)'],
        [0.1411764705882353, 'rgb(160,165,229)'],
        [0.1450980392156863, 'rgb(163,167,229)'],
        [0.14901960784313725, 'rgb(165,169,229)'],
        [0.15294117647058825, 'rgb(168,171,229)'],
        [0.1568627450980392, 'rgb(171,174,229)'],
        [0.1607843137254902, 'rgb(173,176,229)'],
        [0.16470588235294117, 'rgb(176,178,229)'],
        [0.16862745098039217, 'rgb(178,180,229)'],
        [0.17254901960784313, 'rgb(181,183,229)'],
        [0.17647058823529413, 'rgb(183,185,228)'],
        [0.1803921568627451, 'rgb(186,187,228)'],
        [0.1843137254901961, 'rgb(188,189,228)'],
        [0.18823529411764706, 'rgb(191,192,228)'],
        [0.19215686274509805, 'rgb(193,194,228)'],
        [0.19607843137254902, 'rgb(196,196,228)'],
        [0.2, 'rgb(198,198,228)'],
        [0.20392156862745098, 'rgb(200,200,227)'],
        [0.20784313725490197, 'rgb(203,202,227)'],
        [0.21176470588235294, 'rgb(205,204,227)'],
        [0.21568627450980393, 'rgb(207,206,226)'],
        [0.2196078431372549, 'rgb(209,208,226)'],
        [0.2235294117647059, 'rgb(211,209,225)'],
        [0.22745098039215686, 'rgb(213,210,224)'],
        [0.23137254901960785, 'rgb(215,211,224)'],
        [0.23529411764705882, 'rgb(217,212,223)'],
        [0.23921568627450981, 'rgb(218,213,221)'],
        [0.24313725490196078, 'rgb(220,213,220)'],
        [0.24705882352941178, 'rgb(221,213,218)'],
        [0.25098039215686274, 'rgb(223,213,216)'],
        [0.2549019607843137, 'rgb(224,213,214)'],
        [0.25882352941176473, 'rgb(225,212,212)'],
        [0.2627450980392157, 'rgb(226,211,210)'],
        [0.26666666666666666, 'rgb(227,209,207)'],
        [0.27058823529411763, 'rgb(227,208,204)'],
        [0.27450980392156865, 'rgb(228,206,201)'],
        [0.2784313725490196, 'rgb(229,204,198)'],
        [0.2823529411764706, 'rgb(229,202,195)'],
        [0.28627450980392155, 'rgb(229,200,192)'],
        [0.2901960784313726, 'rgb(230,197,189)'],
        [0.29411764705882354, 'rgb(230,195,185)'],
        [0.2980392156862745, 'rgb(230,192,182)'],
        [0.30196078431372547, 'rgb(230,189,178)'],
        [0.3058823529411765, 'rgb(230,187,175)'],
        [0.30980392156862746, 'rgb(230,184,171)'],
        [0.3137254901960784, 'rgb(230,181,168)'],
        [0.3176470588235294, 'rgb(230,178,164)'],
        [0.3215686274509804, 'rgb(230,176,161)'],
        [0.3254901960784314, 'rgb(230,173,157)'],
        [0.32941176470588235, 'rgb(230,170,154)'],
        [0.3333333333333333, 'rgb(230,167,150)'],
        [0.33725490196078434, 'rgb(229,164,147)'],
        [0.3411764705882353, 'rgb(229,162,143)'],
        [0.34509803921568627, 'rgb(229,159,140)'],
        [0.34901960784313724, 'rgb(229,156,136)'],
        [0.35294117647058826, 'rgb(228,153,133)'],
        [0.3568627450980392, 'rgb(228,150,129)'],
        [0.3607843137254902, 'rgb(227,147,126)'],
        [0.36470588235294116, 'rgb(227,145,123)'],
        [0.3686274509803922, 'rgb(226,142,119)'],
        [0.37254901960784315, 'rgb(226,139,116)'],
        [0.3764705882352941, 'rgb(225,136,112)'],
        [0.3803921568627451, 'rgb(225,133,109)'],
        [0.3843137254901961, 'rgb(224,130,106)'],
        [0.38823529411764707, 'rgb(224,127,102)'],
        [0.39215686274509803, 'rgb(223,124,99)'],
        [0.396078431372549, 'rgb(222,122,96)'],
        [0.4, 'rgb(221,119,92)'],
        [0.403921568627451, 'rgb(221,116,89)'],
        [0.40784313725490196, 'rgb(220,113,86)'],
        [0.4117647058823529, 'rgb(219,110,82)'],
        [0.41568627450980394, 'rgb(218,107,79)'],
        [0.4196078431372549, 'rgb(218,104,76)'],
        [0.4235294117647059, 'rgb(217,101,72)'],
        [0.42745098039215684, 'rgb(216,98,69)'],
        [0.43137254901960786, 'rgb(215,94,66)'],
        [0.43529411764705883, 'rgb(214,91,63)'],
        [0.4392156862745098, 'rgb(213,88,60)'],
        [0.44313725490196076, 'rgb(212,85,56)'],
        [0.4470588235294118, 'rgb(211,82,53)'],
        [0.45098039215686275, 'rgb(210,79,50)'],
        [0.4549019607843137, 'rgb(209,76,47)'],
        [0.4588235294117647, 'rgb(208,72,44)'],
        [0.4627450980392157, 'rgb(207,69,41)'],
        [0.4666666666666667, 'rgb(206,66,38)'],
        [0.47058823529411764, 'rgb(205,63,36)'],
        [0.4745098039215686, 'rgb(205,60,33)'],
        [0.47843137254901963, 'rgb(204,58,31)'],
        [0.4823529411764706, 'rgb(203,55,29)'],
        [0.48627450980392156, 'rgb(202,53,27)'],
        [0.49019607843137253, 'rgb(202,51,25)'],
        [0.49411764705882355, 'rgb(202,50,24)'],
        [0.4980392156862745, 'rgb(201,49,23)'],
        [0.5019607843137255, 'rgb(201,49,23)'],
        [0.5058823529411764, 'rgb(201,49,23)'],
        [0.5098039215686274, 'rgb(201,49,24)'],
        [0.5137254901960784, 'rgb(202,50,24)'],
        [0.5176470588235295, 'rgb(202,52,26)'],
        [0.5215686274509804, 'rgb(203,54,27)'],
        [0.5254901960784314, 'rgb(203,56,29)'],
        [0.5294117647058824, 'rgb(204,58,31)'],
        [0.5333333333333333, 'rgb(205,61,34)'],
        [0.5372549019607843, 'rgb(206,64,36)'],
        [0.5411764705882353, 'rgb(207,67,39)'],
        [0.5450980392156862, 'rgb(207,70,42)'],
        [0.5490196078431373, 'rgb(208,73,45)'],
        [0.5529411764705883, 'rgb(209,76,48)'],
        [0.5568627450980392, 'rgb(210,80,51)'],
        [0.5607843137254902, 'rgb(211,83,54)'],
        [0.5647058823529412, 'rgb(212,86,57)'],
        [0.5686274509803921, 'rgb(213,89,60)'],
        [0.5725490196078431, 'rgb(214,92,64)'],
        [0.5764705882352941, 'rgb(215,95,67)'],
        [0.5803921568627451, 'rgb(216,98,70)'],
        [0.5843137254901961, 'rgb(217,101,73)'],
        [0.5882352941176471, 'rgb(218,105,77)'],
        [0.592156862745098, 'rgb(219,108,80)'],
        [0.596078431372549, 'rgb(219,111,83)'],
        [0.6, 'rgb(220,114,86)'],
        [0.6039215686274509, 'rgb(221,116,90)'],
        [0.6078431372549019, 'rgb(222,119,93)'],
        [0.611764705882353, 'rgb(222,122,96)'],
        [0.615686274509804, 'rgb(223,125,100)'],
        [0.6196078431372549, 'rgb(224,128,103)'],
        [0.6235294117647059, 'rgb(224,131,106)'],
        [0.6274509803921569, 'rgb(225,134,110)'],
        [0.6313725490196078, 'rgb(225,137,113)'],
        [0.6352941176470588, 'rgb(226,140,117)'],
        [0.6392156862745098, 'rgb(227,143,120)'],
        [0.6431372549019608, 'rgb(227,145,123)'],
        [0.6470588235294118, 'rgb(227,148,127)'],
        [0.6509803921568628, 'rgb(228,151,130)'],
        [0.6549019607843137, 'rgb(228,154,134)'],
        [0.6588235294117647, 'rgb(229,157,137)'],
        [0.6627450980392157, 'rgb(229,160,141)'],
        [0.6666666666666666, 'rgb(229,162,144)'],
        [0.6705882352941176, 'rgb(230,165,148)'],
        [0.6745098039215687, 'rgb(230,168,151)'],
        [0.6784313725490196, 'rgb(230,171,155)'],
        [0.6823529411764706, 'rgb(230,174,158)'],
        [0.6862745098039216, 'rgb(230,176,162)'],
        [0.6901960784313725, 'rgb(230,179,165)'],
        [0.6941176470588235, 'rgb(230,182,169)'],
        [0.6980392156862745, 'rgb(230,185,172)'],
        [0.7019607843137254, 'rgb(230,187,176)'],
        [0.7058823529411765, 'rgb(230,190,179)'],
        [0.7098039215686275, 'rgb(230,192,183)'],
        [0.7137254901960784, 'rgb(230,195,186)'],
        [0.7176470588235294, 'rgb(229,197,190)'],
        [0.7215686274509804, 'rgb(229,199,193)'],
        [0.7254901960784313, 'rgb(228,202,196)'],
        [0.7294117647058823, 'rgb(227,203,199)'],
        [0.7333333333333333, 'rgb(226,205,203)'],
        [0.7372549019607844, 'rgb(225,207,205)'],
        [0.7411764705882353, 'rgb(224,208,208)'],
        [0.7450980392156863, 'rgb(223,209,211)'],
        [0.7490196078431373, 'rgb(222,209,213)'],
        [0.7529411764705882, 'rgb(220,210,215)'],
        [0.7568627450980392, 'rgb(219,210,217)'],
        [0.7607843137254902, 'rgb(217,209,219)'],
        [0.7647058823529411, 'rgb(215,209,221)'],
        [0.7686274509803922, 'rgb(213,208,222)'],
        [0.7725490196078432, 'rgb(211,207,223)'],
        [0.7764705882352941, 'rgb(209,206,224)'],
        [0.7803921568627451, 'rgb(207,204,225)'],
        [0.7843137254901961, 'rgb(205,203,226)'],
        [0.788235294117647, 'rgb(202,201,226)'],
        [0.792156862745098, 'rgb(200,199,227)'],
        [0.796078431372549, 'rgb(198,197,227)'],
        [0.8, 'rgb(195,195,228)'],
        [0.803921568627451, 'rgb(193,193,228)'],
        [0.807843137254902, 'rgb(190,191,228)'],
        [0.8117647058823529, 'rgb(188,189,228)'],
        [0.8156862745098039, 'rgb(185,187,228)'],
        [0.8196078431372549, 'rgb(183,184,228)'],
        [0.8235294117647058, 'rgb(180,182,229)'],
        [0.8274509803921568, 'rgb(178,180,229)'],
        [0.8313725490196079, 'rgb(175,178,229)'],
        [0.8352941176470589, 'rgb(173,175,229)'],
        [0.8392156862745098, 'rgb(170,173,229)'],
        [0.8431372549019608, 'rgb(167,171,229)'],
        [0.8470588235294118, 'rgb(165,169,229)'],
        [0.8509803921568627, 'rgb(162,167,229)'],
        [0.8549019607843137, 'rgb(159,164,229)'],
        [0.8588235294117647, 'rgb(157,162,229)'],
        [0.8627450980392157, 'rgb(154,160,229)'],
        [0.8666666666666667, 'rgb(151,158,229)'],
        [0.8705882352941177, 'rgb(148,156,229)'],
        [0.8745098039215686, 'rgb(146,153,229)'],
        [0.8784313725490196, 'rgb(143,151,229)'],
        [0.8823529411764706, 'rgb(140,149,229)'],
        [0.8862745098039215, 'rgb(137,147,229)'],
        [0.8901960784313725, 'rgb(134,145,229)'],
        [0.8941176470588236, 'rgb(131,143,229)'],
        [0.8980392156862745, 'rgb(127,141,229)'],
        [0.9019607843137255, 'rgb(124,138,229)'],
        [0.9058823529411765, 'rgb(121,136,229)'],
        [0.9098039215686274, 'rgb(118,134,229)'],
        [0.9137254901960784, 'rgb(114,132,229)'],
        [0.9176470588235294, 'rgb(111,130,229)'],
        [0.9215686274509803, 'rgb(107,128,229)'],
        [0.9254901960784314, 'rgb(104,126,229)'],
        [0.9294117647058824, 'rgb(100,124,229)'],
        [0.9333333333333333, 'rgb(96,122,229)'],
        [0.9372549019607843, 'rgb(92,120,229)'],
        [0.9411764705882353, 'rgb(88,118,229)'],
        [0.9450980392156862, 'rgb(84,116,229)'],
        [0.9490196078431372, 'rgb(79,114,229)'],
        [0.9529411764705882, 'rgb(75,112,229)'],
        [0.9568627450980393, 'rgb(70,110,229)'],
        [0.9607843137254902, 'rgb(65,109,229)'],
        [0.9647058823529412, 'rgb(60,107,229)'],
        [0.9686274509803922, 'rgb(55,106,229)'],
        [0.9725490196078431, 'rgb(50,104,229)'],
        [0.9764705882352941, 'rgb(45,103,229)'],
        [0.9803921568627451, 'rgb(40,102,229)'],
        [0.984313725490196, 'rgb(35,101,229)'],
        [0.9882352941176471, 'rgb(31,100,229)'],
        [0.9921568627450981, 'rgb(28,100,229)'],
        [0.996078431372549, 'rgb(26,99,229)'],
        [1.0, 'rgb(25,99,229)'],
    ],
    'cet.diverging_bkr_55_10_c35': [
        [0.0, 'rgb(25,129,250)'],
        [0.00392156862745098, 'rgb(26,128,248)'],
        [0.00784313725490196, 'rgb(28,128,246)'],
        [0.011764705882352941, 'rgb(29,127,244)'],
        [0.01568627450980392, 'rgb(30,126,243)'],
        [0.0196078431372549, 'rgb(31,125,241)'],
        [0.023529411764705882, 'rgb(32,124,239)'],
        [0.027450980392156862, 'rgb(33,123,237)'],
        [0.03137254901960784, 'rgb(34,122,235)'],
        [0.03529411764705882, 'rgb(35,121,233)'],
        [0.0392156862745098, 'rgb(36,121,231)'],
        [0.043137254901960784, 'rgb(37,120,229)'],
        [0.047058823529411764, 'rgb(38,119,227)'],
        [0.050980392156862744, 'rgb(38,118,225)'],
        [0.054901960784313725, 'rgb(39,117,223)'],
        [0.058823529411764705, 'rgb(40,116,221)'],
        [0.06274509803921569, 'rgb(40,115,219)'],
        [0.06666666666666667, 'rgb(41,114,217)'],
        [0.07058823529411765, 'rgb(42,114,215)'],
        [0.07450980392156863, 'rgb(42,113,213)'],
        [0.0784313725490196, 'rgb(43,112,211)'],
        [0.08235294117647059, 'rgb(43,111,210)'],
        [0.08627450980392157, 'rgb(44,110,208)'],
        [0.09019607843137255, 'rgb(44,109,206)'],
        [0.09411764705882353, 'rgb(44,108,204)'],
        [0.09803921568627451, 'rgb(45,108,202)'],
        [0.10196078431372549, 'rgb(45,107,200)'],
        [0.10588235294117647, 'rgb(46,106,198)'],
        [0.10980392156862745, 'rgb(46,105,196)'],
        [0.11372549019607843, 'rgb(46,104,194)'],
        [0.11764705882352941, 'rgb(47,103,192)'],
        [0.12156862745098039, 'rgb(47,102,191)'],
        [0.12549019607843137, 'rgb(47,102,189)'],
        [0.12941176470588237, 'rgb(47,101,187)'],
        [0.13333333333333333, 'rgb(48,100,185)'],
        [0.13725490196078433, 'rgb(48,99,183)'],
        [0.1411764705882353, 'rgb(48,98,181)'],
        [0.1450980392156863, 'rgb(48,97,179)'],
        [0.14901960784313725, 'rgb(48,97,177)'],
        [0.15294117647058825, 'rgb(49,96,176)'],
        [0.1568627450980392, 'rgb(49,95,174)'],
        [0.1607843137254902, 'rgb(49,94,172)'],
        [0.16470588235294117, 'rgb(49,93,170)'],
        [0.16862745098039217, 'rgb(49,92,168)'],
        [0.17254901960784313, 'rgb(49,92,166)'],
        [0.17647058823529413, 'rgb(49,91,164)'],
        [0.1803921568627451, 'rgb(49,90,163)'],
        [0.1843137254901961, 'rgb(50,89,161)'],
        [0.18823529411764706, 'rgb(50,88,159)'],
        [0.19215686274509805, 'rgb(50,87,157)'],
        [0.19607843137254902, 'rgb(50,87,155)'],
        [0.2, 'rgb(50,86,154)'],
        [0.20392156862745098, 'rgb(50,85,152)'],
        [0.20784313725490197, 'rgb(50,84,150)'],
        [0.21176470588235294, 'rgb(50,83,148)'],
        [0.21568627450980393, 'rgb(50,82,146)'],
        [0.2196078431372549, 'rgb(50,82,145)'],
        [0.2235294117647059, 'rgb(50,81,143)'],
        [0.22745098039215686, 'rgb(50,80,141)'],
        [0.23137254901960785, 'rgb(50,79,139)'],
        [0.23529411764705882, 'rgb(50,78,137)'],
        [0.23921568627450981, 'rgb(49,78,136)'],
        [0.24313725490196078, 'rgb(49,77,134)'],
        [0.24705882352941178, 'rgb(49,76,132)'],
        [0.25098039215686274, 'rgb(49,75,130)'],
        [0.2549019607843137, 'rgb(49,74,129)'],
        [0.25882352941176473, 'rgb(49,74,127)'],
        [0.2627450980392157, 'rgb(49,73,125)'],
        [0.26666666666666666, 'rgb(49,72,123)'],
        [0.27058823529411763, 'rgb(49,71,122)'],
        [0.27450980392156865, 'rgb(48,70,120)'],
        [0.2784313725490196, 'rgb(48,70,118)'],
        [0.2823529411764706, 'rgb(48,69,116)'],
        [0.28627450980392155, 'rgb(48,68,115)'],
        [0.2901960784313726, 'rgb(48,67,113)'],
        [0.29411764705882354, 'rgb(48,66,111)'],
        [0.2980392156862745, 'rgb(47,66,110)'],
        [0.30196078431372547, 'rgb(47,65,108)'],
        [0.3058823529411765, 'rgb(47,64,106)'],
        [0.30980392156862746, 'rgb(47,63,104)'],
        [0.3137254901960784, 'rgb(47,63,103)'],
        [0.3176470588235294, 'rgb(46,62,101)'],
        [0.3215686274509804, 'rgb(46,61,99)'],
        [0.3254901960784314, 'rgb(46,60,98)'],
        [0.32941176470588235, 'rgb(46,60,96)'],
        [0.3333333333333333, 'rgb(45,59,94)'],
        [0.33725490196078434, 'rgb(45,58,93)'],
        [0.3411764705882353, 'rgb(45,57,91)'],
        [0.34509803921568627, 'rgb(44,56,89)'],
        [0.34901960784313724, 'rgb(44,56,88)'],
        [0.35294117647058826, 'rgb(44,55,86)'],
        [0.3568627450980392, 'rgb(44,54,85)'],
        [0.3607843137254902, 'rgb(43,53,83)'],
        [0.36470588235294116, 'rgb(43,53,81)'],
        [0.3686274509803922, 'rgb(43,52,80)'],
        [0.37254901960784315, 'rgb(42,51,78)'],
        [0.3764705882352941, 'rgb(42,50,76)'],
        [0.3803921568627451, 'rgb(42,50,75)'],
        [0.3843137254901961, 'rgb(41,49,73)'],
        [0.38823529411764707, 'rgb(41,48,72)'],
        [0.39215686274509803, 'rgb(41,47,70)'],
        [0.396078431372549, 'rgb(40,47,68)'],
        [0.4, 'rgb(40,46,67)'],
        [0.403921568627451, 'rgb(39,45,65)'],
        [0.40784313725490196, 'rgb(39,45,64)'],
        [0.4117647058823529, 'rgb(39,44,62)'],
        [0.41568627450980394, 'rgb(38,43,61)'],
        [0.4196078431372549, 'rgb(38,42,59)'],
        [0.4235294117647059, 'rgb(37,42,58)'],
        [0.42745098039215684, 'rgb(37,41,56)'],
        [0.43137254901960786, 'rgb(37,40,54)'],
        [0.43529411764705883, 'rgb(36,40,53)'],
        [0.4392156862745098, 'rgb(36,39,51)'],
        [0.44313725490196076, 'rgb(35,38,50)'],
        [0.4470588235294118, 'rgb(35,37,48)'],
        [0.45098039215686275, 'rgb(35,37,47)'],
        [0.4549019607843137, 'rgb(34,36,46)'],
        [0.4588235294117647, 'rgb(34,35,44)'],
        [0.4627450980392157, 'rgb(34,35,43)'],
        [0.4666666666666667, 'rgb(33,34,41)'],
        [0.47058823529411764, 'rgb(33,34,40)'],
        [0.4745098039215686, 'rgb(33,33,39)'],
        [0.47843137254901963, 'rgb(33,33,38)'],
        [0.4823529411764706, 'rgb(33,32,37)'],
        [0.48627450980392156, 'rgb(33,32,36)'],
        [0.49019607843137253, 'rgb(33,32,35)'],
        [0.49411764705882355, 'rgb(34,31,34)'],
        [0.4980392156862745, 'rgb(34,31,33)'],
        [0.5019607843137255, 'rgb(34,31,33)'],
        [0.5058823529411764, 'rgb(35,31,32)'],
        [0.5098039215686274, 'rgb(36,31,32)'],
        [0.5137254901960784, 'rgb(37,31,31)'],
        [0.5176470588235295, 'rgb(38,31,31)'],
        [0.5215686274509804, 'rgb(39,32,31)'],
        [0.5254901960784314, 'rgb(40,32,31)'],
        [0.5294117647058824, 'rgb(41,32,31)'],
        [0.5333333333333333, 'rgb(42,32,31)'],
        [0.5372549019607843, 'rgb(43,33,31)'],
        [0.5411764705882353, 'rgb(45,33,31)'],
        [0.5450980392156862, 'rgb(46,34,31)'],
        [0.5490196078431373, 'rgb(48,34,32)'],
        [0.5529411764705883, 'rgb(49,34,32)'],
        [0.5568627450980392, 'rgb(50,35,32)'],
        [0.5607843137254902, 'rgb(52,35,32)'],
        [0.5647058823529412, 'rgb(53,36,33)'],
        [0.5686274509803921, 'rgb(55,36,33)'],
        [0.5725490196078431, 'rgb(56,37,33)'],
        [0.5764705882352941, 'rgb(58,37,33)'],
        [0.5803921568627451, 'rgb(59,38,34)'],
        [0.5843137254901961, 'rgb(61,38,34)'],
        [0.5882352941176471, 'rgb(62,39,34)'],
        [0.592156862745098, 'rgb(63,39,35)'],
        [0.596078431372549, 'rgb(65,39,35)'],
        [0.6, 'rgb(66,40,35)'],
        [0.6039215686274509, 'rgb(68,40,35)'],
        [0.6078431372549019, 'rgb(69,41,36)'],
        [0.611764705882353, 'rgb(71,41,36)'],
        [0.615686274509804, 'rgb(72,42,36)'],
        [0.6196078431372549, 'rgb(74,42,37)'],
        [0.6235294117647059, 'rgb(75,43,37)'],
        [0.6274509803921569, 'rgb(77,43,37)'],
        [0.6313725490196078, 'rgb(78,43,38)'],
        [0.6352941176470588, 'rgb(80,44,38)'],
        [0.6392156862745098, 'rgb(81,44,38)'],
        [0.6431372549019608, 'rgb(83,45,38)'],
        [0.6470588235294118, 'rgb(84,45,39)'],
        [0.6509803921568628, 'rgb(86,46,39)'],
        [0.6549019607843137, 'rgb(87,46,39)'],
        [0.6588235294117647, 'rgb(89,46,40)'],
        [0.6627450980392157, 'rgb(90,47,40)'],
        [0.6666666666666666, 'rgb(92,47,40)'],
        [0.6705882352941176, 'rgb(93,48,41)'],
        [0.6745098039215687, 'rgb(95,48,41)'],
        [0.6784313725490196, 'rgb(96,49,41)'],
        [0.6823529411764706, 'rgb(98,49,41)'],
        [0.6862745098039216, 'rgb(99,49,42)'],
        [0.6901960784313725, 'rgb(101,50,42)'],
        [0.6941176470588235, 'rgb(102,50,42)'],
        [0.6980392156862745, 'rgb(104,51,43)'],
        [0.7019607843137254, 'rgb(106,51,43)'],
        [0.7058823529411765, 'rgb(107,52,43)'],
        [0.7098039215686275, 'rgb(109,52,43)'],
        [0.7137254901960784, 'rgb(110,52,44)'],
        [0.7176470588235294, 'rgb(112,53,44)'],
        [0.7215686274509804, 'rgb(113,53,44)'],
        [0.7254901960784313, 'rgb(115,54,45)'],
        [0.7294117647058823, 'rgb(116,54,45)'],
        [0.7333333333333333, 'rgb(118,54,45)'],
        [0.7372549019607844, 'rgb(120,55,46)'],
        [0.7411764705882353, 'rgb(121,55,46)'],
        [0.7450980392156863, 'rgb(123,56,46)'],
        [0.7490196078431373, 'rgb(124,56,46)'],
        [0.7529411764705882, 'rgb(126,56,47)'],
        [0.7568627450980392, 'rgb(127,57,47)'],
        [0.7607843137254902, 'rgb(129,57,47)'],
        [0.7647058823529411, 'rgb(131,58,48)'],
        [0.7686274509803922, 'rgb(132,58,48)'],
        [0.7725490196078432, 'rgb(134,58,48)'],
        [0.7764705882352941, 'rgb(135,59,48)'],
        [0.7803921568627451, 'rgb(137,59,49)'],
        [0.7843137254901961, 'rgb(138,60,49)'],
        [0.788235294117647, 'rgb(140,60,49)'],
        [0.792156862745098, 'rgb(142,60,50)'],
        [0.796078431372549, 'rgb(143,61,50)'],
        [0.8, 'rgb(145,61,50)'],
        [0.803921568627451, 'rgb(146,62,51)'],
        [0.807843137254902, 'rgb(148,62,51)'],
        [0.8117647058823529, 'rgb(150,62,51)'],
        [0.8156862745098039, 'rgb(151,63,51)'],
        [0.8196078431372549, 'rgb(153,63,52)'],
        [0.8235294117647058, 'rgb(155,64,52)'],
        [0.8274509803921568, 'rgb(156,64,52)'],
        [0.8313725490196079, 'rgb(158,64,53)'],
        [0.8352941176470589, 'rgb(159,65,53)'],
        [0.8392156862745098, 'rgb(161,65,53)'],
        [0.8431372549019608, 'rgb(163,65,54)'],
        [0.8470588235294118, 'rgb(164,66,54)'],
        [0.8509803921568627, 'rgb(166,66,54)'],
        [0.8549019607843137, 'rgb(168,67,54)'],
        [0.8588235294117647, 'rgb(169,67,55)'],
        [0.8627450980392157, 'rgb(171,67,55)'],
        [0.8666666666666667, 'rgb(173,68,55)'],
        [0.8705882352941177, 'rgb(174,68,56)'],
        [0.8745098039215686, 'rgb(176,68,56)'],
        [0.8784313725490196, 'rgb(178,69,56)'],
        [0.8823529411764706, 'rgb(179,69,56)'],
        [0.8862745098039215, 'rgb(181,70,57)'],
        [0.8901960784313725, 'rgb(183,70,57)'],
        [0.8941176470588236, 'rgb(184,70,57)'],
        [0.8980392156862745, 'rgb(186,71,58)'],
        [0.9019607843137255, 'rgb(188,71,58)'],
        [0.9058823529411765, 'rgb(189,71,58)'],
        [0.9098039215686274, 'rgb(191,72,59)'],
        [0.9137254901960784, 'rgb(193,72,59)'],
        [0.9176470588235294, 'rgb(194,72,59)'],
        [0.9215686274509803, 'rgb(196,73,59)'],
        [0.9254901960784314, 'rgb(198,73,60)'],
        [0.9294117647058824, 'rgb(199,74,60)'],
        [0.9333333333333333, 'rgb(201,74,60)'],
        [0.9372549019607843, 'rgb(203,74,61)'],
        [0.9411764705882353, 'rgb(204,75,61)'],
        [0.9450980392156862, 'rgb(206,75,61)'],
        [0.9490196078431372, 'rgb(208,75,62)'],
        [0.9529411764705882, 'rgb(209,76,62)'],
        [0.9568627450980393, 'rgb(211,76,62)'],
        [0.9607843137254902, 'rgb(213,76,62)'],
        [0.9647058823529412, 'rgb(215,77,63)'],
        [0.9686274509803922, 'rgb(216,77,63)'],
        [0.9725490196078431, 'rgb(218,77,63)'],
        [0.9764705882352941, 'rgb(220,78,64)'],
        [0.9803921568627451, 'rgb(221,78,64)'],
        [0.984313725490196, 'rgb(223,78,64)'],
        [0.9882352941176471, 'rgb(225,79,65)'],
        [0.9921568627450981, 'rgb(227,79,65)'],
        [0.996078431372549, 'rgb(228,79,65)'],
        [1.0, 'rgb(230,80,65)'],
    ],
    'cet.diverging_bky_60_10_c30': [
        [0.0, 'rgb(14,148,250)'],
        [0.00392156862745098, 'rgb(17,147,248)'],
        [0.00784313725490196, 'rgb(19,146,246)'],
        [0.011764705882352941, 'rgb(21,145,244)'],
        [0.01568627450980392, 'rgb(23,144,242)'],
        [0.0196078431372549, 'rgb(24,143,240)'],
        [0.023529411764705882, 'rgb(26,142,238)'],
        [0.027450980392156862, 'rgb(27,140,236)'],
        [0.03137254901960784, 'rgb(28,139,234)'],
        [0.03529411764705882, 'rgb(29,138,233)'],
        [0.0392156862745098, 'rgb(31,137,231)'],
        [0.043137254901960784, 'rgb(32,136,229)'],
        [0.047058823529411764, 'rgb(33,135,227)'],
        [0.050980392156862744, 'rgb(34,134,225)'],
        [0.054901960784313725, 'rgb(34,133,223)'],
        [0.058823529411764705, 'rgb(35,132,221)'],
        [0.06274509803921569, 'rgb(36,131,219)'],
        [0.06666666666666667, 'rgb(37,130,217)'],
        [0.07058823529411765, 'rgb(38,129,215)'],
        [0.07450980392156863, 'rgb(38,128,213)'],
        [0.0784313725490196, 'rgb(39,127,211)'],
        [0.08235294117647059, 'rgb(39,126,209)'],
        [0.08627450980392157, 'rgb(40,125,207)'],
        [0.09019607843137255, 'rgb(41,124,205)'],
        [0.09411764705882353, 'rgb(41,123,204)'],
        [0.09803921568627451, 'rgb(42,122,202)'],
        [0.10196078431372549, 'rgb(42,121,200)'],
        [0.10588235294117647, 'rgb(43,120,198)'],
        [0.10980392156862745, 'rgb(43,119,196)'],
        [0.11372549019607843, 'rgb(43,118,194)'],
        [0.11764705882352941, 'rgb(44,117,192)'],
        [0.12156862745098039, 'rgb(44,116,190)'],
        [0.12549019607843137, 'rgb(44,115,188)'],
        [0.12941176470588237, 'rgb(45,114,187)'],
        [0.13333333333333333, 'rgb(45,113,185)'],
        [0.13725490196078433, 'rgb(45,112,183)'],
        [0.1411764705882353, 'rgb(46,111,181)'],
        [0.1450980392156863, 'rgb(46,110,179)'],
        [0.14901960784313725, 'rgb(46,109,177)'],
        [0.15294117647058825, 'rgb(46,108,175)'],
        [0.1568627450980392, 'rgb(47,107,173)'],
        [0.1607843137254902, 'rgb(47,106,172)'],
        [0.16470588235294117, 'rgb(47,105,170)'],
        [0.16862745098039217, 'rgb(47,104,168)'],
        [0.17254901960784313, 'rgb(47,103,166)'],
        [0.17647058823529413, 'rgb(47,102,164)'],
        [0.1803921568627451, 'rgb(48,101,162)'],
        [0.1843137254901961, 'rgb(48,100,161)'],
        [0.18823529411764706, 'rgb(48,99,159)'],
        [0.19215686274509805, 'rgb(48,98,157)'],
        [0.19607843137254902, 'rgb(48,97,155)'],
        [0.2, 'rgb(48,96,153)'],
        [0.20392156862745098, 'rgb(48,95,152)'],
        [0.20784313725490197, 'rgb(48,94,150)'],
        [0.21176470588235294, 'rgb(48,93,148)'],
        [0.21568627450980393, 'rgb(48,92,146)'],
        [0.2196078431372549, 'rgb(48,91,144)'],
        [0.2235294117647059, 'rgb(48,90,143)'],
        [0.22745098039215686, 'rgb(48,89,141)'],
        [0.23137254901960785, 'rgb(48,88,139)'],
        [0.23529411764705882, 'rgb(48,87,137)'],
        [0.23921568627450981, 'rgb(48,87,135)'],
        [0.24313725490196078, 'rgb(48,86,134)'],
        [0.24705882352941178, 'rgb(48,85,132)'],
        [0.25098039215686274, 'rgb(48,84,130)'],
        [0.2549019607843137, 'rgb(48,83,128)'],
        [0.25882352941176473, 'rgb(48,82,127)'],
        [0.2627450980392157, 'rgb(48,81,125)'],
        [0.26666666666666666, 'rgb(48,80,123)'],
        [0.27058823529411763, 'rgb(48,79,121)'],
        [0.27450980392156865, 'rgb(47,78,120)'],
        [0.2784313725490196, 'rgb(47,77,118)'],
        [0.2823529411764706, 'rgb(47,76,116)'],
        [0.28627450980392155, 'rgb(47,75,115)'],
        [0.2901960784313726, 'rgb(47,74,113)'],
        [0.29411764705882354, 'rgb(47,73,111)'],
        [0.2980392156862745, 'rgb(47,72,109)'],
        [0.30196078431372547, 'rgb(46,72,108)'],
        [0.3058823529411765, 'rgb(46,71,106)'],
        [0.30980392156862746, 'rgb(46,70,104)'],
        [0.3137254901960784, 'rgb(46,69,103)'],
        [0.3176470588235294, 'rgb(46,68,101)'],
        [0.3215686274509804, 'rgb(45,67,99)'],
        [0.3254901960784314, 'rgb(45,66,98)'],
        [0.32941176470588235, 'rgb(45,65,96)'],
        [0.3333333333333333, 'rgb(45,64,94)'],
        [0.33725490196078434, 'rgb(44,63,93)'],
        [0.3411764705882353, 'rgb(44,62,91)'],
        [0.34509803921568627, 'rgb(44,62,89)'],
        [0.34901960784313724, 'rgb(44,61,88)'],
        [0.35294117647058826, 'rgb(43,60,86)'],
        [0.3568627450980392, 'rgb(43,59,84)'],
        [0.3607843137254902, 'rgb(43,58,83)'],
        [0.36470588235294116, 'rgb(42,57,81)'],
        [0.3686274509803922, 'rgb(42,56,79)'],
        [0.37254901960784315, 'rgb(42,55,78)'],
        [0.3764705882352941, 'rgb(42,54,76)'],
        [0.3803921568627451, 'rgb(41,54,75)'],
        [0.3843137254901961, 'rgb(41,53,73)'],
        [0.38823529411764707, 'rgb(41,52,71)'],
        [0.39215686274509803, 'rgb(40,51,70)'],
        [0.396078431372549, 'rgb(40,50,68)'],
        [0.4, 'rgb(39,49,67)'],
        [0.403921568627451, 'rgb(39,48,65)'],
        [0.40784313725490196, 'rgb(39,48,64)'],
        [0.4117647058823529, 'rgb(38,47,62)'],
        [0.41568627450980394, 'rgb(38,46,60)'],
        [0.4196078431372549, 'rgb(38,45,59)'],
        [0.4235294117647059, 'rgb(37,44,57)'],
        [0.42745098039215684, 'rgb(37,43,56)'],
        [0.43137254901960786, 'rgb(36,42,54)'],
        [0.43529411764705883, 'rgb(36,42,53)'],
        [0.4392156862745098, 'rgb(35,41,51)'],
        [0.44313725490196076, 'rgb(35,40,50)'],
        [0.4470588235294118, 'rgb(35,39,48)'],
        [0.45098039215686275, 'rgb(34,38,47)'],
        [0.4549019607843137, 'rgb(34,38,45)'],
        [0.4588235294117647, 'rgb(34,37,44)'],
        [0.4627450980392157, 'rgb(33,36,43)'],
        [0.4666666666666667, 'rgb(33,36,41)'],
        [0.47058823529411764, 'rgb(33,35,40)'],
        [0.4745098039215686, 'rgb(32,34,39)'],
        [0.47843137254901963, 'rgb(32,34,38)'],
        [0.4823529411764706, 'rgb(32,33,37)'],
        [0.48627450980392156, 'rgb(32,33,35)'],
        [0.49019607843137253, 'rgb(32,33,35)'],
        [0.49411764705882355, 'rgb(32,33,34)'],
        [0.4980392156862745, 'rgb(33,32,33)'],
        [0.5019607843137255, 'rgb(33,32,32)'],
        [0.5058823529411764, 'rgb(33,32,32)'],
        [0.5098039215686274, 'rgb(34,33,31)'],
        [0.5137254901960784, 'rgb(35,33,31)'],
        [0.5176470588235295, 'rgb(35,33,30)'],
        [0.5215686274509804, 'rgb(36,34,30)'],
        [0.5254901960784314, 'rgb(37,34,30)'],
        [0.5294117647058824, 'rgb(38,34,30)'],
        [0.5333333333333333, 'rgb(38,35,30)'],
        [0.5372549019607843, 'rgb(39,36,30)'],
        [0.5411764705882353, 'rgb(40,36,30)'],
        [0.5450980392156862, 'rgb(41,37,30)'],
        [0.5490196078431373, 'rgb(42,38,30)'],
        [0.5529411764705883, 'rgb(44,38,30)'],
        [0.5568627450980392, 'rgb(45,39,30)'],
        [0.5607843137254902, 'rgb(46,40,30)'],
        [0.5647058823529412, 'rgb(47,41,30)'],
        [0.5686274509803921, 'rgb(48,41,30)'],
        [0.5725490196078431, 'rgb(49,42,30)'],
        [0.5764705882352941, 'rgb(50,43,30)'],
        [0.5803921568627451, 'rgb(51,44,30)'],
        [0.5843137254901961, 'rgb(52,45,31)'],
        [0.5882352941176471, 'rgb(53,45,31)'],
        [0.592156862745098, 'rgb(54,46,31)'],
        [0.596078431372549, 'rgb(56,47,31)'],
        [0.6, 'rgb(57,48,31)'],
        [0.6039215686274509, 'rgb(58,49,31)'],
        [0.6078431372549019, 'rgb(59,49,31)'],
        [0.611764705882353, 'rgb(60,50,31)'],
        [0.615686274509804, 'rgb(61,51,31)'],
        [0.6196078431372549, 'rgb(62,52,31)'],
        [0.6235294117647059, 'rgb(63,53,32)'],
        [0.6274509803921569, 'rgb(65,53,32)'],
        [0.6313725490196078, 'rgb(66,54,32)'],
        [0.6352941176470588, 'rgb(67,55,32)'],
        [0.6392156862745098, 'rgb(68,56,32)'],
        [0.6431372549019608, 'rgb(69,57,32)'],
        [0.6470588235294118, 'rgb(70,58,32)'],
        [0.6509803921568628, 'rgb(71,58,32)'],
        [0.6549019607843137, 'rgb(72,59,32)'],
        [0.6588235294117647, 'rgb(74,60,32)'],
        [0.6627450980392157, 'rgb(75,61,32)'],
        [0.6666666666666666, 'rgb(76,62,32)'],
        [0.6705882352941176, 'rgb(77,63,33)'],
        [0.6745098039215687, 'rgb(78,63,33)'],
        [0.6784313725490196, 'rgb(79,64,33)'],
        [0.6823529411764706, 'rgb(80,65,33)'],
        [0.6862745098039216, 'rgb(82,66,33)'],
        [0.6901960784313725, 'rgb(83,67,33)'],
        [0.6941176470588235, 'rgb(84,68,33)'],
        [0.6980392156862745, 'rgb(85,69,33)'],
        [0.7019607843137254, 'rgb(86,69,33)'],
        [0.7058823529411765, 'rgb(87,70,33)'],
        [0.7098039215686275, 'rgb(88,71,33)'],
        [0.7137254901960784, 'rgb(90,72,33)'],
        [0.7176470588235294, 'rgb(91,73,33)'],
        [0.7215686274509804, 'rgb(92,74,33)'],
        [0.7254901960784313, 'rgb(93,75,33)'],
        [0.7294117647058823, 'rgb(94,75,33)'],
        [0.7333333333333333, 'rgb(95,76,33)'],
        [0.7372549019607844, 'rgb(97,77,33)'],
        [0.7411764705882353, 'rgb(98,78,33)'],
        [0.7450980392156863, 'rgb(99,79,33)'],
        [0.7490196078431373, 'rgb(100,80,33)'],
        [0.7529411764705882, 'rgb(101,81,33)'],
        [0.7568627450980392, 'rgb(103,82,33)'],
        [0.7607843137254902, 'rgb(104,82,33)'],
        [0.7647058823529411, 'rgb(105,83,33)'],
        [0.7686274509803922, 'rgb(106,84,33)'],
        [0.7725490196078432, 'rgb(107,85,33)'],
        [0.7764705882352941, 'rgb(108,86,33)'],
        [0.7803921568627451, 'rgb(110,87,33)'],
        [0.7843137254901961, 'rgb(111,88,33)'],
        [0.788235294117647, 'rgb(112,89,33)'],
        [0.792156862745098, 'rgb(113,90,33)'],
        [0.796078431372549, 'rgb(114,90,33)'],
        [0.8, 'rgb(116,91,33)'],
        [0.803921568627451, 'rgb(117,92,33)'],
        [0.807843137254902, 'rgb(118,93,33)'],
        [0.8117647058823529, 'rgb(119,94,33)'],
        [0.8156862745098039, 'rgb(120,95,33)'],
        [0.8196078431372549, 'rgb(122,96,33)'],
        [0.8235294117647058, 'rgb(123,97,33)'],
        [0.8274509803921568, 'rgb(124,98,33)'],
        [0.8313725490196079, 'rgb(125,99,33)'],
        [0.8352941176470589, 'rgb(127,99,33)'],
        [0.8392156862745098, 'rgb(128,100,33)'],
        [0.8431372549019608, 'rgb(129,101,33)'],
        [0.8470588235294118, 'rgb(130,102,33)'],
        [0.8509803921568627, 'rgb(131,103,33)'],
        [0.8549019607843137, 'rgb(133,104,32)'],
        [0.8588235294117647, 'rgb(134,105,32)'],
        [0.8627450980392157, 'rgb(135,106,32)'],
        [0.8666666666666667, 'rgb(136,107,32)'],
        [0.8705882352941177, 'rgb(138,108,32)'],
        [0.8745098039215686, 'rgb(139,109,32)'],
        [0.8784313725490196, 'rgb(140,110,32)'],
        [0.8823529411764706, 'rgb(141,110,32)'],
        [0.8862745098039215, 'rgb(142,111,32)'],
        [0.8901960784313725, 'rgb(144,112,32)'],
        [0.8941176470588236, 'rgb(145,113,31)'],
        [0.8980392156862745, 'rgb(146,114,31)'],
        [0.9019607843137255, 'rgb(147,115,31)'],
        [0.9058823529411765, 'rgb(149,116,31)'],
        [0.9098039215686274, 'rgb(150,117,31)'],
        [0.9137254901960784, 'rgb(151,118,31)'],
        [0.9176470588235294, 'rgb(152,119,31)'],
        [0.9215686274509803, 'rgb(154,120,30)'],
        [0.9254901960784314, 'rgb(155,121,30)'],
        [0.9294117647058824, 'rgb(156,122,30)'],
        [0.9333333333333333, 'rgb(157,123,30)'],
        [0.9372549019607843, 'rgb(159,124,30)'],
        [0.9411764705882353, 'rgb(160,125,30)'],
        [0.9450980392156862, 'rgb(161,126,29)'],
        [0.9490196078431372, 'rgb(163,126,29)'],
        [0.9529411764705882, 'rgb(164,127,29)'],
        [0.9568627450980393, 'rgb(165,128,29)'],
        [0.9607843137254902, 'rgb(166,129,29)'],
        [0.9647058823529412, 'rgb(168,130,28)'],
        [0.9686274509803922, 'rgb(169,131,28)'],
        [0.9725490196078431, 'rgb(170,132,28)'],
        [0.9764705882352941, 'rgb(171,133,28)'],
        [0.9803921568627451, 'rgb(173,134,27)'],
        [0.984313725490196, 'rgb(174,135,27)'],
        [0.9882352941176471, 'rgb(175,136,27)'],
        [0.9921568627450981, 'rgb(177,137,27)'],
        [0.996078431372549, 'rgb(178,138,26)'],
        [1.0, 'rgb(179,139,26)'],
    ],
    'cet.diverging_bwg_20_95_c41': [
        [0.0, 'rgb(17,45,104)'],
        [0.00392156862745098, 'rgb(18,46,106)'],
        [0.00784313725490196, 'rgb(19,47,108)'],
        [0.011764705882352941, 'rgb(20,49,110)'],
        [0.01568627450980392, 'rgb(21,50,112)'],
        [0.0196078431372549, 'rgb(22,51,115)'],
        [0.023529411764705882, 'rgb(23,52,117)'],
        [0.027450980392156862, 'rgb(24,54,119)'],
        [0.03137254901960784, 'rgb(25,55,121)'],
        [0.03529411764705882, 'rgb(26,56,123)'],
        [0.0392156862745098, 'rgb(27,57,125)'],
        [0.043137254901960784, 'rgb(28,59,127)'],
        [0.047058823529411764, 'rgb(29,60,130)'],
        [0.050980392156862744, 'rgb(30,61,132)'],
        [0.054901960784313725, 'rgb(31,63,134)'],
        [0.058823529411764705, 'rgb(32,64,136)'],
        [0.06274509803921569, 'rgb(33,65,138)'],
        [0.06666666666666667, 'rgb(34,67,140)'],
        [0.07058823529411765, 'rgb(35,68,142)'],
        [0.07450980392156863, 'rgb(36,69,144)'],
        [0.0784313725490196, 'rgb(37,71,147)'],
        [0.08235294117647059, 'rgb(37,72,149)'],
        [0.08627450980392157, 'rgb(38,73,151)'],
        [0.09019607843137255, 'rgb(39,75,153)'],
        [0.09411764705882353, 'rgb(40,76,155)'],
        [0.09803921568627451, 'rgb(41,78,157)'],
        [0.10196078431372549, 'rgb(42,79,159)'],
        [0.10588235294117647, 'rgb(42,81,161)'],
        [0.10980392156862745, 'rgb(43,82,163)'],
        [0.11372549019607843, 'rgb(44,83,165)'],
        [0.11764705882352941, 'rgb(45,85,168)'],
        [0.12156862745098039, 'rgb(45,86,170)'],
        [0.12549019607843137, 'rgb(46,88,172)'],
        [0.12941176470588237, 'rgb(47,89,174)'],
        [0.13333333333333333, 'rgb(47,91,176)'],
        [0.13725490196078433, 'rgb(48,92,178)'],
        [0.1411764705882353, 'rgb(49,94,180)'],
        [0.1450980392156863, 'rgb(49,95,182)'],
        [0.14901960784313725, 'rgb(50,97,184)'],
        [0.15294117647058825, 'rgb(50,98,186)'],
        [0.1568627450980392, 'rgb(51,100,188)'],
        [0.1607843137254902, 'rgb(51,101,190)'],
        [0.16470588235294117, 'rgb(52,103,192)'],
        [0.16862745098039217, 'rgb(52,105,194)'],
        [0.17254901960784313, 'rgb(53,106,195)'],
        [0.17647058823529413, 'rgb(53,108,197)'],
        [0.1803921568627451, 'rgb(54,109,199)'],
        [0.1843137254901961, 'rgb(54,111,201)'],
        [0.18823529411764706, 'rgb(54,113,203)'],
        [0.19215686274509805, 'rgb(54,114,205)'],
        [0.19607843137254902, 'rgb(54,116,207)'],
        [0.2, 'rgb(54,118,208)'],
        [0.20392156862745098, 'rgb(55,119,210)'],
        [0.20784313725490197, 'rgb(55,121,212)'],
        [0.21176470588235294, 'rgb(54,123,214)'],
        [0.21568627450980393, 'rgb(54,125,215)'],
        [0.2196078431372549, 'rgb(54,126,217)'],
        [0.2235294117647059, 'rgb(54,128,219)'],
        [0.22745098039215686, 'rgb(53,130,220)'],
        [0.23137254901960785, 'rgb(53,132,222)'],
        [0.23529411764705882, 'rgb(53,134,223)'],
        [0.23921568627450981, 'rgb(52,135,225)'],
        [0.24313725490196078, 'rgb(52,137,226)'],
        [0.24705882352941178, 'rgb(51,139,228)'],
        [0.25098039215686274, 'rgb(51,141,229)'],
        [0.2549019607843137, 'rgb(50,143,230)'],
        [0.25882352941176473, 'rgb(50,145,231)'],
        [0.2627450980392157, 'rgb(50,146,233)'],
        [0.26666666666666666, 'rgb(50,148,234)'],
        [0.27058823529411763, 'rgb(50,150,235)'],
        [0.27450980392156865, 'rgb(50,152,236)'],
        [0.2784313725490196, 'rgb(51,154,237)'],
        [0.2823529411764706, 'rgb(51,155,238)'],
        [0.28627450980392155, 'rgb(52,157,239)'],
        [0.2901960784313726, 'rgb(54,159,240)'],
        [0.29411764705882354, 'rgb(55,161,241)'],
        [0.2980392156862745, 'rgb(57,163,242)'],
        [0.30196078431372547, 'rgb(59,164,243)'],
        [0.3058823529411765, 'rgb(61,166,244)'],
        [0.30980392156862746, 'rgb(64,168,245)'],
        [0.3137254901960784, 'rgb(66,169,245)'],
        [0.3176470588235294, 'rgb(69,171,246)'],
        [0.3215686274509804, 'rgb(72,173,247)'],
        [0.3254901960784314, 'rgb(75,175,247)'],
        [0.32941176470588235, 'rgb(78,176,248)'],
        [0.3333333333333333, 'rgb(81,178,248)'],
        [0.33725490196078434, 'rgb(84,179,249)'],
        [0.3411764705882353, 'rgb(87,181,249)'],
        [0.34509803921568627, 'rgb(91,183,250)'],
        [0.34901960784313724, 'rgb(94,184,250)'],
        [0.35294117647058826, 'rgb(98,186,250)'],
        [0.3568627450980392, 'rgb(101,187,251)'],
        [0.3607843137254902, 'rgb(105,189,251)'],
        [0.36470588235294116, 'rgb(109,191,251)'],
        [0.3686274509803922, 'rgb(113,192,251)'],
        [0.37254901960784315, 'rgb(116,194,251)'],
        [0.3764705882352941, 'rgb(120,195,251)'],
        [0.3803921568627451, 'rgb(124,197,252)'],
        [0.3843137254901961, 'rgb(128,198,251)'],
        [0.38823529411764707, 'rgb(132,200,251)'],
        [0.39215686274509803, 'rgb(136,201,251)'],
        [0.396078431372549, 'rgb(140,202,251)'],
        [0.4, 'rgb(144,204,251)'],
        [0.403921568627451, 'rgb(148,205,251)'],
        [0.40784313725490196, 'rgb(152,207,251)'],
        [0.4117647058823529, 'rgb(156,208,250)'],
        [0.41568627450980394, 'rgb(160,210,250)'],
        [0.4196078431372549, 'rgb(164,211,250)'],
        [0.4235294117647059, 'rgb(167,212,249)'],
        [0.42745098039215684, 'rgb(171,214,249)'],
        [0.43137254901960786, 'rgb(175,215,249)'],
        [0.43529411764705883, 'rgb(179,217,248)'],
        [0.4392156862745098, 'rgb(183,218,248)'],
        [0.44313725490196076, 'rgb(187,219,247)'],
        [0.4470588235294118, 'rgb(190,221,247)'],
        [0.45098039215686275, 'rgb(194,222,247)'],
        [0.4549019607843137, 'rgb(198,223,246)'],
        [0.4588235294117647, 'rgb(201,225,246)'],
        [0.4627450980392157, 'rgb(205,226,245)'],
        [0.4666666666666667, 'rgb(208,227,245)'],
        [0.47058823529411764, 'rgb(211,229,244)'],
        [0.4745098039215686, 'rgb(214,230,243)'],
        [0.47843137254901963, 'rgb(217,231,243)'],
        [0.4823529411764706, 'rgb(219,232,242)'],
        [0.48627450980392156, 'rgb(221,233,241)'],
        [0.49019607843137253, 'rgb(222,234,240)'],
        [0.49411764705882355, 'rgb(223,234,239)'],
        [0.4980392156862745, 'rgb(223,235,238)'],
        [0.5019607843137255, 'rgb(223,235,236)'],
        [0.5058823529411764, 'rgb(222,235,235)'],
        [0.5098039215686274, 'rgb(221,235,233)'],
        [0.5137254901960784, 'rgb(219,235,231)'],
        [0.5176470588235295, 'rgb(216,234,230)'],
        [0.5215686274509804, 'rgb(213,234,228)'],
        [0.5254901960784314, 'rgb(210,233,226)'],
        [0.5294117647058824, 'rgb(207,232,224)'],
        [0.5333333333333333, 'rgb(203,231,222)'],
        [0.5372549019607843, 'rgb(199,230,220)'],
        [0.5411764705882353, 'rgb(195,229,218)'],
        [0.5450980392156862, 'rgb(191,228,216)'],
        [0.5490196078431373, 'rgb(187,227,214)'],
        [0.5529411764705883, 'rgb(183,226,212)'],
        [0.5568627450980392, 'rgb(179,225,210)'],
        [0.5607843137254902, 'rgb(175,224,209)'],
        [0.5647058823529412, 'rgb(171,223,207)'],
        [0.5686274509803921, 'rgb(166,222,205)'],
        [0.5725490196078431, 'rgb(162,221,203)'],
        [0.5764705882352941, 'rgb(158,220,201)'],
        [0.5803921568627451, 'rgb(154,218,199)'],
        [0.5843137254901961, 'rgb(150,217,197)'],
        [0.5882352941176471, 'rgb(145,216,195)'],
        [0.592156862745098, 'rgb(141,215,193)'],
        [0.596078431372549, 'rgb(137,214,191)'],
        [0.6, 'rgb(133,213,189)'],
        [0.6039215686274509, 'rgb(129,211,187)'],
        [0.6078431372549019, 'rgb(125,210,185)'],
        [0.611764705882353, 'rgb(121,209,182)'],
        [0.615686274509804, 'rgb(117,208,180)'],
        [0.6196078431372549, 'rgb(113,206,178)'],
        [0.6235294117647059, 'rgb(109,205,176)'],
        [0.6274509803921569, 'rgb(105,204,174)'],
        [0.6313725490196078, 'rgb(101,202,172)'],
        [0.6352941176470588, 'rgb(98,201,169)'],
        [0.6392156862745098, 'rgb(94,200,167)'],
        [0.6431372549019608, 'rgb(90,198,165)'],
        [0.6470588235294118, 'rgb(87,197,163)'],
        [0.6509803921568628, 'rgb(83,196,160)'],
        [0.6549019607843137, 'rgb(80,194,158)'],
        [0.6588235294117647, 'rgb(77,193,156)'],
        [0.6627450980392157, 'rgb(73,191,153)'],
        [0.6666666666666666, 'rgb(70,190,151)'],
        [0.6705882352941176, 'rgb(67,188,148)'],
        [0.6745098039215687, 'rgb(64,187,146)'],
        [0.6784313725490196, 'rgb(62,185,143)'],
        [0.6823529411764706, 'rgb(59,184,141)'],
        [0.6862745098039216, 'rgb(56,182,138)'],
        [0.6901960784313725, 'rgb(54,181,136)'],
        [0.6941176470588235, 'rgb(51,179,133)'],
        [0.6980392156862745, 'rgb(49,178,131)'],
        [0.7019607843137254, 'rgb(47,176,128)'],
        [0.7058823529411765, 'rgb(45,175,125)'],
        [0.7098039215686275, 'rgb(44,173,123)'],
        [0.7137254901960784, 'rgb(42,172,120)'],
        [0.7176470588235294, 'rgb(41,170,117)'],
        [0.7215686274509804, 'rgb(40,168,115)'],
        [0.7254901960784313, 'rgb(39,167,112)'],
        [0.7294117647058823, 'rgb(38,165,109)'],
        [0.7333333333333333, 'rgb(37,164,107)'],
        [0.7372549019607844, 'rgb(37,162,104)'],
        [0.7411764705882353, 'rgb(37,160,101)'],
        [0.7450980392156863, 'rgb(36,159,98)'],
        [0.7490196078431373, 'rgb(36,157,96)'],
        [0.7529411764705882, 'rgb(36,155,93)'],
        [0.7568627450980392, 'rgb(36,154,90)'],
        [0.7607843137254902, 'rgb(36,152,88)'],
        [0.7647058823529411, 'rgb(36,150,85)'],
        [0.7686274509803922, 'rgb(36,149,83)'],
        [0.7725490196078432, 'rgb(35,147,80)'],
        [0.7764705882352941, 'rgb(35,146,78)'],
        [0.7803921568627451, 'rgb(35,144,76)'],
        [0.7843137254901961, 'rgb(35,142,73)'],
        [0.788235294117647, 'rgb(34,141,71)'],
        [0.792156862745098, 'rgb(34,139,69)'],
        [0.796078431372549, 'rgb(34,137,67)'],
        [0.8, 'rgb(33,136,65)'],
        [0.803921568627451, 'rgb(33,134,63)'],
        [0.807843137254902, 'rgb(32,133,61)'],
        [0.8117647058823529, 'rgb(32,131,59)'],
        [0.8156862745098039, 'rgb(31,129,57)'],
        [0.8196078431372549, 'rgb(31,128,55)'],
        [0.8235294117647058, 'rgb(30,126,54)'],
        [0.8274509803921568, 'rgb(30,125,52)'],
        [0.8313725490196079, 'rgb(29,123,50)'],
        [0.8352941176470589, 'rgb(28,121,49)'],
        [0.8392156862745098, 'rgb(28,120,47)'],
        [0.8431372549019608, 'rgb(27,118,45)'],
        [0.8470588235294118, 'rgb(26,117,44)'],
        [0.8509803921568627, 'rgb(26,115,42)'],
        [0.8549019607843137, 'rgb(25,113,41)'],
        [0.8588235294117647, 'rgb(24,112,39)'],
        [0.8627450980392157, 'rgb(24,110,38)'],
        [0.8666666666666667, 'rgb(23,109,37)'],
        [0.8705882352941177, 'rgb(22,107,35)'],
        [0.8745098039215686, 'rgb(22,106,34)'],
        [0.8784313725490196, 'rgb(21,104,32)'],
        [0.8823529411764706, 'rgb(20,102,31)'],
        [0.8862745098039215, 'rgb(19,101,30)'],
        [0.8901960784313725, 'rgb(18,99,29)'],
        [0.8941176470588236, 'rgb(18,98,27)'],
        [0.8980392156862745, 'rgb(17,96,26)'],
        [0.9019607843137255, 'rgb(16,95,25)'],
        [0.9058823529411765, 'rgb(15,93,24)'],
        [0.9098039215686274, 'rgb(14,92,23)'],
        [0.9137254901960784, 'rgb(14,90,22)'],
        [0.9176470588235294, 'rgb(13,89,21)'],
        [0.9215686274509803, 'rgb(12,87,19)'],
        [0.9254901960784314, 'rgb(11,86,18)'],
        [0.9294117647058824, 'rgb(10,84,17)'],
        [0.9333333333333333, 'rgb(9,83,16)'],
        [0.9372549019607843, 'rgb(8,81,15)'],
        [0.9411764705882353, 'rgb(8,80,14)'],
        [0.9450980392156862, 'rgb(7,78,13)'],
        [0.9490196078431372, 'rgb(6,77,13)'],
        [0.9529411764705882, 'rgb(5,75,12)'],
        [0.9568627450980393, 'rgb(5,74,11)'],
        [0.9607843137254902, 'rgb(4,72,10)'],
        [0.9647058823529412, 'rgb(3,71,9)'],
        [0.9686274509803922, 'rgb(3,69,8)'],
        [0.9725490196078431, 'rgb(2,68,7)'],
        [0.9764705882352941, 'rgb(2,66,7)'],
        [0.9803921568627451, 'rgb(1,65,6)'],
        [0.984313725490196, 'rgb(1,63,5)'],
        [0.9882352941176471, 'rgb(1,62,4)'],
        [0.9921568627450981, 'rgb(0,60,3)'],
        [0.996078431372549, 'rgb(0,59,2)'],
        [1.0, 'rgb(0,58,2)'],
    ],
    'cet.diverging_bwr_20_95_c54': [
        [0.0, 'rgb(23,41,114)'],
        [0.00392156862745098, 'rgb(24,42,117)'],
        [0.00784313725490196, 'rgb(24,43,120)'],
        [0.011764705882352941, 'rgb(25,44,123)'],
        [0.01568627450980392, 'rgb(25,45,126)'],
        [0.0196078431372549, 'rgb(25,47,128)'],
        [0.023529411764705882, 'rgb(26,48,131)'],
        [0.027450980392156862, 'rgb(26,49,134)'],
        [0.03137254901960784, 'rgb(26,50,137)'],
        [0.03529411764705882, 'rgb(27,51,140)'],
        [0.0392156862745098, 'rgb(27,52,143)'],
        [0.043137254901960784, 'rgb(27,53,146)'],
        [0.047058823529411764, 'rgb(28,54,149)'],
        [0.050980392156862744, 'rgb(28,56,152)'],
        [0.054901960784313725, 'rgb(28,57,155)'],
        [0.058823529411764705, 'rgb(28,58,158)'],
        [0.06274509803921569, 'rgb(29,59,161)'],
        [0.06666666666666667, 'rgb(29,60,164)'],
        [0.07058823529411765, 'rgb(29,61,167)'],
        [0.07450980392156863, 'rgb(30,62,171)'],
        [0.0784313725490196, 'rgb(30,64,174)'],
        [0.08235294117647059, 'rgb(30,65,177)'],
        [0.08627450980392157, 'rgb(31,66,180)'],
        [0.09019607843137255, 'rgb(31,67,183)'],
        [0.09411764705882353, 'rgb(32,68,186)'],
        [0.09803921568627451, 'rgb(32,70,189)'],
        [0.10196078431372549, 'rgb(33,71,191)'],
        [0.10588235294117647, 'rgb(34,72,194)'],
        [0.10980392156862745, 'rgb(35,73,197)'],
        [0.11372549019607843, 'rgb(36,74,200)'],
        [0.11764705882352941, 'rgb(37,76,202)'],
        [0.12156862745098039, 'rgb(39,77,205)'],
        [0.12549019607843137, 'rgb(41,78,207)'],
        [0.12941176470588237, 'rgb(43,80,210)'],
        [0.13333333333333333, 'rgb(45,81,212)'],
        [0.13725490196078433, 'rgb(47,82,214)'],
        [0.1411764705882353, 'rgb(49,84,216)'],
        [0.1450980392156863, 'rgb(52,85,217)'],
        [0.14901960784313725, 'rgb(55,86,219)'],
        [0.15294117647058825, 'rgb(57,88,220)'],
        [0.1568627450980392, 'rgb(60,89,222)'],
        [0.1607843137254902, 'rgb(63,91,223)'],
        [0.16470588235294117, 'rgb(66,92,224)'],
        [0.16862745098039217, 'rgb(68,93,225)'],
        [0.17254901960784313, 'rgb(71,95,226)'],
        [0.17647058823529413, 'rgb(74,96,227)'],
        [0.1803921568627451, 'rgb(77,98,228)'],
        [0.1843137254901961, 'rgb(79,99,229)'],
        [0.18823529411764706, 'rgb(82,101,230)'],
        [0.19215686274509805, 'rgb(85,102,231)'],
        [0.19607843137254902, 'rgb(87,104,232)'],
        [0.2, 'rgb(90,105,233)'],
        [0.20392156862745098, 'rgb(92,107,234)'],
        [0.20784313725490197, 'rgb(95,108,235)'],
        [0.21176470588235294, 'rgb(97,110,235)'],
        [0.21568627450980393, 'rgb(99,111,236)'],
        [0.2196078431372549, 'rgb(102,113,237)'],
        [0.2235294117647059, 'rgb(104,115,238)'],
        [0.22745098039215686, 'rgb(106,116,239)'],
        [0.23137254901960785, 'rgb(109,118,240)'],
        [0.23529411764705882, 'rgb(111,119,240)'],
        [0.23921568627450981, 'rgb(113,121,241)'],
        [0.24313725490196078, 'rgb(115,122,242)'],
        [0.24705882352941178, 'rgb(117,124,243)'],
        [0.25098039215686274, 'rgb(119,126,244)'],
        [0.2549019607843137, 'rgb(122,127,244)'],
        [0.25882352941176473, 'rgb(124,129,245)'],
        [0.2627450980392157, 'rgb(126,130,246)'],
        [0.26666666666666666, 'rgb(128,132,247)'],
        [0.27058823529411763, 'rgb(130,133,247)'],
        [0.27450980392156865, 'rgb(132,135,248)'],
        [0.2784313725490196, 'rgb(134,137,249)'],
        [0.2823529411764706, 'rgb(136,138,249)'],
        [0.28627450980392155, 'rgb(138,140,250)'],
        [0.2901960784313726, 'rgb(141,142,251)'],
        [0.29411764705882354, 'rgb(143,143,251)'],
        [0.2980392156862745, 'rgb(145,145,251)'],
        [0.30196078431372547, 'rgb(147,147,252)'],
        [0.3058823529411765, 'rgb(149,148,252)'],
        [0.30980392156862746, 'rgb(151,150,252)'],
        [0.3137254901960784, 'rgb(153,152,252)'],
        [0.3176470588235294, 'rgb(155,153,253)'],
        [0.3215686274509804, 'rgb(157,155,253)'],
        [0.3254901960784314, 'rgb(159,157,253)'],
        [0.32941176470588235, 'rgb(161,159,253)'],
        [0.3333333333333333, 'rgb(163,160,252)'],
        [0.33725490196078434, 'rgb(165,162,252)'],
        [0.3411764705882353, 'rgb(167,164,252)'],
        [0.34509803921568627, 'rgb(169,166,252)'],
        [0.34901960784313724, 'rgb(171,167,252)'],
        [0.35294117647058826, 'rgb(173,169,252)'],
        [0.3568627450980392, 'rgb(175,171,252)'],
        [0.3607843137254902, 'rgb(177,173,251)'],
        [0.36470588235294116, 'rgb(179,175,251)'],
        [0.3686274509803922, 'rgb(181,176,251)'],
        [0.37254901960784315, 'rgb(183,178,251)'],
        [0.3764705882352941, 'rgb(185,180,250)'],
        [0.3803921568627451, 'rgb(187,182,250)'],
        [0.3843137254901961, 'rgb(189,184,250)'],
        [0.38823529411764707, 'rgb(191,185,250)'],
        [0.39215686274509803, 'rgb(192,187,249)'],
        [0.396078431372549, 'rgb(194,189,249)'],
        [0.4, 'rgb(196,191,249)'],
        [0.403921568627451, 'rgb(198,193,249)'],
        [0.40784313725490196, 'rgb(200,195,248)'],
        [0.4117647058823529, 'rgb(201,196,248)'],
        [0.41568627450980394, 'rgb(203,198,248)'],
        [0.4196078431372549, 'rgb(205,200,247)'],
        [0.4235294117647059, 'rgb(207,202,247)'],
        [0.42745098039215684, 'rgb(208,204,247)'],
        [0.43137254901960786, 'rgb(210,206,247)'],
        [0.43529411764705883, 'rgb(212,207,246)'],
        [0.4392156862745098, 'rgb(214,209,246)'],
        [0.44313725490196076, 'rgb(215,211,245)'],
        [0.4470588235294118, 'rgb(217,213,245)'],
        [0.45098039215686275, 'rgb(219,215,245)'],
        [0.4549019607843137, 'rgb(220,216,244)'],
        [0.4588235294117647, 'rgb(222,218,244)'],
        [0.4627450980392157, 'rgb(224,219,243)'],
        [0.4666666666666667, 'rgb(225,221,242)'],
        [0.47058823529411764, 'rgb(227,222,242)'],
        [0.4745098039215686, 'rgb(229,223,241)'],
        [0.47843137254901963, 'rgb(230,225,240)'],
        [0.4823529411764706, 'rgb(232,225,239)'],
        [0.48627450980392156, 'rgb(233,226,237)'],
        [0.49019607843137253, 'rgb(235,227,236)'],
        [0.49411764705882355, 'rgb(236,227,234)'],
        [0.4980392156862745, 'rgb(237,227,233)'],
        [0.5019607843137255, 'rgb(239,227,231)'],
        [0.5058823529411764, 'rgb(240,226,229)'],
        [0.5098039215686274, 'rgb(241,225,227)'],
        [0.5137254901960784, 'rgb(242,225,225)'],
        [0.5176470588235295, 'rgb(243,223,222)'],
        [0.5215686274509804, 'rgb(244,222,220)'],
        [0.5254901960784314, 'rgb(245,221,217)'],
        [0.5294117647058824, 'rgb(246,219,214)'],
        [0.5333333333333333, 'rgb(247,217,212)'],
        [0.5372549019607843, 'rgb(247,215,209)'],
        [0.5411764705882353, 'rgb(248,213,206)'],
        [0.5450980392156862, 'rgb(249,211,203)'],
        [0.5490196078431373, 'rgb(249,209,201)'],
        [0.5529411764705883, 'rgb(250,207,198)'],
        [0.5568627450980392, 'rgb(250,205,195)'],
        [0.5607843137254902, 'rgb(250,202,192)'],
        [0.5647058823529412, 'rgb(251,200,189)'],
        [0.5686274509803921, 'rgb(251,198,186)'],
        [0.5725490196078431, 'rgb(251,195,183)'],
        [0.5764705882352941, 'rgb(252,193,181)'],
        [0.5803921568627451, 'rgb(252,191,178)'],
        [0.5843137254901961, 'rgb(252,189,175)'],
        [0.5882352941176471, 'rgb(252,186,172)'],
        [0.592156862745098, 'rgb(252,184,169)'],
        [0.596078431372549, 'rgb(252,182,166)'],
        [0.6, 'rgb(253,179,164)'],
        [0.6039215686274509, 'rgb(253,177,161)'],
        [0.6078431372549019, 'rgb(253,175,158)'],
        [0.611764705882353, 'rgb(253,172,155)'],
        [0.615686274509804, 'rgb(253,170,152)'],
        [0.6196078431372549, 'rgb(253,167,150)'],
        [0.6235294117647059, 'rgb(253,165,147)'],
        [0.6274509803921569, 'rgb(253,163,144)'],
        [0.6313725490196078, 'rgb(253,160,141)'],
        [0.6352941176470588, 'rgb(253,158,139)'],
        [0.6392156862745098, 'rgb(252,156,136)'],
        [0.6431372549019608, 'rgb(252,153,133)'],
        [0.6470588235294118, 'rgb(252,151,130)'],
        [0.6509803921568628, 'rgb(252,148,128)'],
        [0.6549019607843137, 'rgb(252,146,125)'],
        [0.6588235294117647, 'rgb(251,144,122)'],
        [0.6627450980392157, 'rgb(251,141,120)'],
        [0.6666666666666666, 'rgb(251,139,117)'],
        [0.6705882352941176, 'rgb(250,136,115)'],
        [0.6745098039215687, 'rgb(250,134,112)'],
        [0.6784313725490196, 'rgb(249,132,109)'],
        [0.6823529411764706, 'rgb(249,129,107)'],
        [0.6862745098039216, 'rgb(248,127,105)'],
        [0.6901960784313725, 'rgb(248,125,102)'],
        [0.6941176470588235, 'rgb(247,122,100)'],
        [0.6980392156862745, 'rgb(246,120,97)'],
        [0.7019607843137254, 'rgb(245,118,95)'],
        [0.7058823529411765, 'rgb(245,115,93)'],
        [0.7098039215686275, 'rgb(244,113,91)'],
        [0.7137254901960784, 'rgb(243,111,88)'],
        [0.7176470588235294, 'rgb(242,109,86)'],
        [0.7215686274509804, 'rgb(241,107,84)'],
        [0.7254901960784313, 'rgb(240,104,82)'],
        [0.7294117647058823, 'rgb(239,102,80)'],
        [0.7333333333333333, 'rgb(237,100,78)'],
        [0.7372549019607844, 'rgb(236,98,76)'],
        [0.7411764705882353, 'rgb(235,96,74)'],
        [0.7450980392156863, 'rgb(234,94,72)'],
        [0.7490196078431373, 'rgb(233,91,70)'],
        [0.7529411764705882, 'rgb(231,89,68)'],
        [0.7568627450980392, 'rgb(230,87,66)'],
        [0.7607843137254902, 'rgb(229,85,64)'],
        [0.7647058823529411, 'rgb(228,83,63)'],
        [0.7686274509803922, 'rgb(226,80,61)'],
        [0.7725490196078432, 'rgb(225,78,59)'],
        [0.7764705882352941, 'rgb(224,76,57)'],
        [0.7803921568627451, 'rgb(223,73,55)'],
        [0.7843137254901961, 'rgb(221,71,53)'],
        [0.788235294117647, 'rgb(220,69,51)'],
        [0.792156862745098, 'rgb(219,66,49)'],
        [0.796078431372549, 'rgb(217,64,47)'],
        [0.8, 'rgb(216,61,45)'],
        [0.803921568627451, 'rgb(215,59,44)'],
        [0.807843137254902, 'rgb(214,56,42)'],
        [0.8117647058823529, 'rgb(212,54,40)'],
        [0.8156862745098039, 'rgb(211,51,38)'],
        [0.8196078431372549, 'rgb(209,48,36)'],
        [0.8235294117647058, 'rgb(208,46,34)'],
        [0.8274509803921568, 'rgb(207,43,33)'],
        [0.8313725490196079, 'rgb(205,40,31)'],
        [0.8352941176470589, 'rgb(204,37,29)'],
        [0.8392156862745098, 'rgb(202,34,27)'],
        [0.8431372549019608, 'rgb(200,31,26)'],
        [0.8470588235294118, 'rgb(199,28,24)'],
        [0.8509803921568627, 'rgb(197,25,23)'],
        [0.8549019607843137, 'rgb(195,22,21)'],
        [0.8588235294117647, 'rgb(193,19,20)'],
        [0.8627450980392157, 'rgb(191,16,19)'],
        [0.8666666666666667, 'rgb(189,13,18)'],
        [0.8705882352941177, 'rgb(187,10,17)'],
        [0.8745098039215686, 'rgb(185,7,16)'],
        [0.8784313725490196, 'rgb(182,5,15)'],
        [0.8823529411764706, 'rgb(180,3,14)'],
        [0.8862745098039215, 'rgb(178,2,13)'],
        [0.8901960784313725, 'rgb(175,1,13)'],
        [0.8941176470588236, 'rgb(173,0,12)'],
        [0.8980392156862745, 'rgb(170,0,12)'],
        [0.9019607843137255, 'rgb(167,0,12)'],
        [0.9058823529411765, 'rgb(165,0,11)'],
        [0.9098039215686274, 'rgb(162,0,11)'],
        [0.9137254901960784, 'rgb(159,1,11)'],
        [0.9176470588235294, 'rgb(157,1,10)'],
        [0.9215686274509803, 'rgb(154,2,10)'],
        [0.9254901960784314, 'rgb(151,2,10)'],
        [0.9294117647058824, 'rgb(149,2,10)'],
        [0.9333333333333333, 'rgb(146,3,9)'],
        [0.9372549019607843, 'rgb(143,3,9)'],
        [0.9411764705882353, 'rgb(141,4,9)'],
        [0.9450980392156862, 'rgb(138,4,8)'],
        [0.9490196078431372, 'rgb(135,4,8)'],
        [0.9529411764705882, 'rgb(133,5,8)'],
        [0.9568627450980393, 'rgb(130,5,7)'],
        [0.9607843137254902, 'rgb(128,5,7)'],
        [0.9647058823529412, 'rgb(125,6,7)'],
        [0.9686274509803922, 'rgb(122,6,6)'],
        [0.9725490196078431, 'rgb(120,6,6)'],
        [0.9764705882352941, 'rgb(117,6,5)'],
        [0.9803921568627451, 'rgb(115,7,5)'],
        [0.984313725490196, 'rgb(112,7,4)'],
        [0.9882352941176471, 'rgb(110,7,4)'],
        [0.9921568627450981, 'rgb(107,7,3)'],
        [0.996078431372549, 'rgb(105,7,3)'],
        [1.0, 'rgb(102,7,2)'],
    ],
    'cet.diverging_bwr_40_95_c42': [
        [0.0, 'rgb(33,81,219)'],
        [0.00392156862745098, 'rgb(37,82,219)'],
        [0.00784313725490196, 'rgb(42,83,219)'],
        [0.011764705882352941, 'rgb(46,84,220)'],
        [0.01568627450980392, 'rgb(49,85,220)'],
        [0.0196078431372549, 'rgb(53,86,220)'],
        [0.023529411764705882, 'rgb(56,87,220)'],
        [0.027450980392156862, 'rgb(59,88,220)'],
        [0.03137254901960784, 'rgb(62,89,221)'],
        [0.03529411764705882, 'rgb(65,91,221)'],
        [0.0392156862745098, 'rgb(67,92,221)'],
        [0.043137254901960784, 'rgb(70,93,221)'],
        [0.047058823529411764, 'rgb(72,94,221)'],
        [0.050980392156862744, 'rgb(75,95,222)'],
        [0.054901960784313725, 'rgb(77,96,222)'],
        [0.058823529411764705, 'rgb(80,97,222)'],
        [0.06274509803921569, 'rgb(82,99,222)'],
        [0.06666666666666667, 'rgb(84,100,223)'],
        [0.07058823529411765, 'rgb(86,101,223)'],
        [0.07450980392156863, 'rgb(88,102,223)'],
        [0.0784313725490196, 'rgb(90,103,223)'],
        [0.08235294117647059, 'rgb(92,104,223)'],
        [0.08627450980392157, 'rgb(94,105,224)'],
        [0.09019607843137255, 'rgb(96,107,224)'],
        [0.09411764705882353, 'rgb(98,108,224)'],
        [0.09803921568627451, 'rgb(100,109,224)'],
        [0.10196078431372549, 'rgb(102,110,224)'],
        [0.10588235294117647, 'rgb(104,111,225)'],
        [0.10980392156862745, 'rgb(105,112,225)'],
        [0.11372549019607843, 'rgb(107,114,225)'],
        [0.11764705882352941, 'rgb(109,115,225)'],
        [0.12156862745098039, 'rgb(111,116,225)'],
        [0.12549019607843137, 'rgb(112,117,226)'],
        [0.12941176470588237, 'rgb(114,118,226)'],
        [0.13333333333333333, 'rgb(116,120,226)'],
        [0.13725490196078433, 'rgb(117,121,226)'],
        [0.1411764705882353, 'rgb(119,122,226)'],
        [0.1450980392156863, 'rgb(121,123,227)'],
        [0.14901960784313725, 'rgb(122,124,227)'],
        [0.15294117647058825, 'rgb(124,126,227)'],
        [0.1568627450980392, 'rgb(125,127,227)'],
        [0.1607843137254902, 'rgb(127,128,227)'],
        [0.16470588235294117, 'rgb(129,129,228)'],
        [0.16862745098039217, 'rgb(130,130,228)'],
        [0.17254901960784313, 'rgb(132,132,228)'],
        [0.17647058823529413, 'rgb(133,133,228)'],
        [0.1803921568627451, 'rgb(135,134,228)'],
        [0.1843137254901961, 'rgb(136,135,229)'],
        [0.18823529411764706, 'rgb(138,136,229)'],
        [0.19215686274509805, 'rgb(139,138,229)'],
        [0.19607843137254902, 'rgb(141,139,229)'],
        [0.2, 'rgb(142,140,229)'],
        [0.20392156862745098, 'rgb(143,141,229)'],
        [0.20784313725490197, 'rgb(145,143,230)'],
        [0.21176470588235294, 'rgb(146,144,230)'],
        [0.21568627450980393, 'rgb(148,145,230)'],
        [0.2196078431372549, 'rgb(149,146,230)'],
        [0.2235294117647059, 'rgb(151,148,230)'],
        [0.22745098039215686, 'rgb(152,149,231)'],
        [0.23137254901960785, 'rgb(153,150,231)'],
        [0.23529411764705882, 'rgb(155,151,231)'],
        [0.23921568627450981, 'rgb(156,153,231)'],
        [0.24313725490196078, 'rgb(158,154,231)'],
        [0.24705882352941178, 'rgb(159,155,231)'],
        [0.25098039215686274, 'rgb(160,156,232)'],
        [0.2549019607843137, 'rgb(162,158,232)'],
        [0.25882352941176473, 'rgb(163,159,232)'],
        [0.2627450980392157, 'rgb(164,160,232)'],
        [0.26666666666666666, 'rgb(166,161,232)'],
        [0.27058823529411763, 'rgb(167,163,232)'],
        [0.27450980392156865, 'rgb(168,164,233)'],
        [0.2784313725490196, 'rgb(170,165,233)'],
        [0.2823529411764706, 'rgb(171,166,233)'],
        [0.28627450980392155, 'rgb(172,168,233)'],
        [0.2901960784313726, 'rgb(174,169,233)'],
        [0.29411764705882354, 'rgb(175,170,233)'],
        [0.2980392156862745, 'rgb(176,172,234)'],
        [0.30196078431372547, 'rgb(178,173,234)'],
        [0.3058823529411765, 'rgb(179,174,234)'],
        [0.30980392156862746, 'rgb(180,175,234)'],
        [0.3137254901960784, 'rgb(181,177,234)'],
        [0.3176470588235294, 'rgb(183,178,234)'],
        [0.3215686274509804, 'rgb(184,179,235)'],
        [0.3254901960784314, 'rgb(185,180,235)'],
        [0.32941176470588235, 'rgb(187,182,235)'],
        [0.3333333333333333, 'rgb(188,183,235)'],
        [0.33725490196078434, 'rgb(189,184,235)'],
        [0.3411764705882353, 'rgb(190,186,235)'],
        [0.34509803921568627, 'rgb(192,187,235)'],
        [0.34901960784313724, 'rgb(193,188,236)'],
        [0.35294117647058826, 'rgb(194,190,236)'],
        [0.3568627450980392, 'rgb(195,191,236)'],
        [0.3607843137254902, 'rgb(197,192,236)'],
        [0.36470588235294116, 'rgb(198,193,236)'],
        [0.3686274509803922, 'rgb(199,195,236)'],
        [0.37254901960784315, 'rgb(200,196,236)'],
        [0.3764705882352941, 'rgb(202,197,237)'],
        [0.3803921568627451, 'rgb(203,199,237)'],
        [0.3843137254901961, 'rgb(204,200,237)'],
        [0.38823529411764707, 'rgb(205,201,237)'],
        [0.39215686274509803, 'rgb(207,203,237)'],
        [0.396078431372549, 'rgb(208,204,237)'],
        [0.4, 'rgb(209,205,237)'],
        [0.403921568627451, 'rgb(210,207,238)'],
        [0.40784313725490196, 'rgb(211,208,238)'],
        [0.4117647058823529, 'rgb(213,209,238)'],
        [0.41568627450980394, 'rgb(214,211,238)'],
        [0.4196078431372549, 'rgb(215,212,238)'],
        [0.4235294117647059, 'rgb(216,213,238)'],
        [0.42745098039215684, 'rgb(218,215,238)'],
        [0.43137254901960786, 'rgb(219,216,238)'],
        [0.43529411764705883, 'rgb(220,217,239)'],
        [0.4392156862745098, 'rgb(221,218,239)'],
        [0.44313725490196076, 'rgb(222,220,239)'],
        [0.4470588235294118, 'rgb(224,221,239)'],
        [0.45098039215686275, 'rgb(225,222,239)'],
        [0.4549019607843137, 'rgb(226,224,239)'],
        [0.4588235294117647, 'rgb(227,225,239)'],
        [0.4627450980392157, 'rgb(228,226,239)'],
        [0.4666666666666667, 'rgb(229,227,239)'],
        [0.47058823529411764, 'rgb(230,228,238)'],
        [0.4745098039215686, 'rgb(231,229,238)'],
        [0.47843137254901963, 'rgb(232,229,238)'],
        [0.4823529411764706, 'rgb(233,230,237)'],
        [0.48627450980392156, 'rgb(234,231,237)'],
        [0.49019607843137253, 'rgb(235,231,236)'],
        [0.49411764705882355, 'rgb(236,231,235)'],
        [0.4980392156862745, 'rgb(237,231,234)'],
        [0.5019607843137255, 'rgb(238,231,233)'],
        [0.5058823529411764, 'rgb(238,231,232)'],
        [0.5098039215686274, 'rgb(239,230,231)'],
        [0.5137254901960784, 'rgb(239,230,230)'],
        [0.5176470588235295, 'rgb(240,229,228)'],
        [0.5215686274509804, 'rgb(240,228,227)'],
        [0.5254901960784314, 'rgb(241,227,225)'],
        [0.5294117647058824, 'rgb(241,226,223)'],
        [0.5333333333333333, 'rgb(241,225,221)'],
        [0.5372549019607843, 'rgb(241,224,220)'],
        [0.5411764705882353, 'rgb(241,222,218)'],
        [0.5450980392156862, 'rgb(242,221,216)'],
        [0.5490196078431373, 'rgb(242,219,214)'],
        [0.5529411764705883, 'rgb(242,218,212)'],
        [0.5568627450980392, 'rgb(242,216,210)'],
        [0.5607843137254902, 'rgb(242,215,208)'],
        [0.5647058823529412, 'rgb(242,213,206)'],
        [0.5686274509803921, 'rgb(242,212,204)'],
        [0.5725490196078431, 'rgb(242,210,203)'],
        [0.5764705882352941, 'rgb(242,209,201)'],
        [0.5803921568627451, 'rgb(242,207,199)'],
        [0.5843137254901961, 'rgb(242,206,197)'],
        [0.5882352941176471, 'rgb(242,204,195)'],
        [0.592156862745098, 'rgb(241,203,193)'],
        [0.596078431372549, 'rgb(241,201,191)'],
        [0.6, 'rgb(241,199,189)'],
        [0.6039215686274509, 'rgb(241,198,187)'],
        [0.6078431372549019, 'rgb(241,196,185)'],
        [0.611764705882353, 'rgb(241,195,183)'],
        [0.615686274509804, 'rgb(241,193,181)'],
        [0.6196078431372549, 'rgb(241,192,180)'],
        [0.6235294117647059, 'rgb(240,190,178)'],
        [0.6274509803921569, 'rgb(240,189,176)'],
        [0.6313725490196078, 'rgb(240,187,174)'],
        [0.6352941176470588, 'rgb(240,185,172)'],
        [0.6392156862745098, 'rgb(240,184,170)'],
        [0.6431372549019608, 'rgb(240,182,168)'],
        [0.6470588235294118, 'rgb(239,181,166)'],
        [0.6509803921568628, 'rgb(239,179,165)'],
        [0.6549019607843137, 'rgb(239,178,163)'],
        [0.6588235294117647, 'rgb(239,176,161)'],
        [0.6627450980392157, 'rgb(238,175,159)'],
        [0.6666666666666666, 'rgb(238,173,157)'],
        [0.6705882352941176, 'rgb(238,172,155)'],
        [0.6745098039215687, 'rgb(238,170,153)'],
        [0.6784313725490196, 'rgb(237,168,152)'],
        [0.6823529411764706, 'rgb(237,167,150)'],
        [0.6862745098039216, 'rgb(237,165,148)'],
        [0.6901960784313725, 'rgb(237,164,146)'],
        [0.6941176470588235, 'rgb(236,162,144)'],
        [0.6980392156862745, 'rgb(236,161,142)'],
        [0.7019607843137254, 'rgb(236,159,140)'],
        [0.7058823529411765, 'rgb(235,157,139)'],
        [0.7098039215686275, 'rgb(235,156,137)'],
        [0.7137254901960784, 'rgb(235,154,135)'],
        [0.7176470588235294, 'rgb(234,153,133)'],
        [0.7215686274509804, 'rgb(234,151,131)'],
        [0.7254901960784313, 'rgb(234,150,130)'],
        [0.7294117647058823, 'rgb(233,148,128)'],
        [0.7333333333333333, 'rgb(233,147,126)'],
        [0.7372549019607844, 'rgb(232,145,124)'],
        [0.7411764705882353, 'rgb(232,143,122)'],
        [0.7450980392156863, 'rgb(232,142,121)'],
        [0.7490196078431373, 'rgb(231,140,119)'],
        [0.7529411764705882, 'rgb(231,139,117)'],
        [0.7568627450980392, 'rgb(230,137,115)'],
        [0.7607843137254902, 'rgb(230,136,113)'],
        [0.7647058823529411, 'rgb(230,134,112)'],
        [0.7686274509803922, 'rgb(229,132,110)'],
        [0.7725490196078432, 'rgb(229,131,108)'],
        [0.7764705882352941, 'rgb(228,129,106)'],
        [0.7803921568627451, 'rgb(228,128,105)'],
        [0.7843137254901961, 'rgb(227,126,103)'],
        [0.788235294117647, 'rgb(227,124,101)'],
        [0.792156862745098, 'rgb(226,123,99)'],
        [0.796078431372549, 'rgb(226,121,98)'],
        [0.8, 'rgb(225,120,96)'],
        [0.803921568627451, 'rgb(225,118,94)'],
        [0.807843137254902, 'rgb(224,116,92)'],
        [0.8117647058823529, 'rgb(224,115,91)'],
        [0.8156862745098039, 'rgb(223,113,89)'],
        [0.8196078431372549, 'rgb(223,111,87)'],
        [0.8235294117647058, 'rgb(222,110,85)'],
        [0.8274509803921568, 'rgb(222,108,84)'],
        [0.8313725490196079, 'rgb(221,106,82)'],
        [0.8352941176470589, 'rgb(221,105,80)'],
        [0.8392156862745098, 'rgb(220,103,79)'],
        [0.8431372549019608, 'rgb(219,102,77)'],
        [0.8470588235294118, 'rgb(219,100,75)'],
        [0.8509803921568627, 'rgb(218,98,73)'],
        [0.8549019607843137, 'rgb(218,96,72)'],
        [0.8588235294117647, 'rgb(217,95,70)'],
        [0.8627450980392157, 'rgb(216,93,68)'],
        [0.8666666666666667, 'rgb(216,91,67)'],
        [0.8705882352941177, 'rgb(215,90,65)'],
        [0.8745098039215686, 'rgb(215,88,63)'],
        [0.8784313725490196, 'rgb(214,86,62)'],
        [0.8823529411764706, 'rgb(213,84,60)'],
        [0.8862745098039215, 'rgb(213,82,58)'],
        [0.8901960784313725, 'rgb(212,81,56)'],
        [0.8941176470588236, 'rgb(211,79,55)'],
        [0.8980392156862745, 'rgb(211,77,53)'],
        [0.9019607843137255, 'rgb(210,75,51)'],
        [0.9058823529411765, 'rgb(209,73,50)'],
        [0.9098039215686274, 'rgb(209,71,48)'],
        [0.9137254901960784, 'rgb(208,69,46)'],
        [0.9176470588235294, 'rgb(207,68,45)'],
        [0.9215686274509803, 'rgb(207,66,43)'],
        [0.9254901960784314, 'rgb(206,64,41)'],
        [0.9294117647058824, 'rgb(205,61,40)'],
        [0.9333333333333333, 'rgb(205,59,38)'],
        [0.9372549019607843, 'rgb(204,57,36)'],
        [0.9411764705882353, 'rgb(203,55,34)'],
        [0.9450980392156862, 'rgb(202,53,33)'],
        [0.9490196078431372, 'rgb(202,51,31)'],
        [0.9529411764705882, 'rgb(201,48,29)'],
        [0.9568627450980393, 'rgb(200,46,27)'],
        [0.9607843137254902, 'rgb(200,43,26)'],
        [0.9647058823529412, 'rgb(199,41,24)'],
        [0.9686274509803922, 'rgb(198,38,22)'],
        [0.9725490196078431, 'rgb(197,35,20)'],
        [0.9764705882352941, 'rgb(197,32,18)'],
        [0.9803921568627451, 'rgb(196,28,16)'],
        [0.984313725490196, 'rgb(195,25,14)'],
        [0.9882352941176471, 'rgb(194,20,12)'],
        [0.9921568627450981, 'rgb(193,15,10)'],
        [0.996078431372549, 'rgb(193,9,8)'],
        [1.0, 'rgb(192,2,6)'],
    ],
    'cet.diverging_bwr_55_98_c37': [
        [0.0, 'rgb(36,128,255)'],
        [0.00392156862745098, 'rgb(41,129,255)'],
        [0.00784313725490196, 'rgb(46,129,255)'],
        [0.011764705882352941, 'rgb(50,130,255)'],
        [0.01568627450980392, 'rgb(54,131,255)'],
        [0.0196078431372549, 'rgb(58,132,255)'],
        [0.023529411764705882, 'rgb(62,133,255)'],
        [0.027450980392156862, 'rgb(65,134,255)'],
        [0.03137254901960784, 'rgb(68,135,255)'],
        [0.03529411764705882, 'rgb(71,135,255)'],
        [0.0392156862745098, 'rgb(74,136,254)'],
        [0.043137254901960784, 'rgb(77,137,254)'],
        [0.047058823529411764, 'rgb(79,138,254)'],
        [0.050980392156862744, 'rgb(82,139,254)'],
        [0.054901960784313725, 'rgb(84,140,254)'],
        [0.058823529411764705, 'rgb(87,141,254)'],
        [0.06274509803921569, 'rgb(89,142,254)'],
        [0.06666666666666667, 'rgb(91,142,254)'],
        [0.07058823529411765, 'rgb(94,143,254)'],
        [0.07450980392156863, 'rgb(96,144,254)'],
        [0.0784313725490196, 'rgb(98,145,254)'],
        [0.08235294117647059, 'rgb(100,146,254)'],
        [0.08627450980392157, 'rgb(102,147,254)'],
        [0.09019607843137255, 'rgb(104,148,254)'],
        [0.09411764705882353, 'rgb(106,149,254)'],
        [0.09803921568627451, 'rgb(108,150,254)'],
        [0.10196078431372549, 'rgb(110,150,254)'],
        [0.10588235294117647, 'rgb(112,151,254)'],
        [0.10980392156862745, 'rgb(114,152,254)'],
        [0.11372549019607843, 'rgb(116,153,254)'],
        [0.11764705882352941, 'rgb(118,154,254)'],
        [0.12156862745098039, 'rgb(119,155,254)'],
        [0.12549019607843137, 'rgb(121,156,254)'],
        [0.12941176470588237, 'rgb(123,157,254)'],
        [0.13333333333333333, 'rgb(125,158,254)'],
        [0.13725490196078433, 'rgb(126,159,254)'],
        [0.1411764705882353, 'rgb(128,159,254)'],
        [0.1450980392156863, 'rgb(130,160,254)'],
        [0.14901960784313725, 'rgb(131,161,254)'],
        [0.15294117647058825, 'rgb(133,162,254)'],
        [0.1568627450980392, 'rgb(135,163,254)'],
        [0.1607843137254902, 'rgb(136,164,254)'],
        [0.16470588235294117, 'rgb(138,165,254)'],
        [0.16862745098039217, 'rgb(139,166,254)'],
        [0.17254901960784313, 'rgb(141,167,254)'],
        [0.17647058823529413, 'rgb(143,168,254)'],
        [0.1803921568627451, 'rgb(144,169,254)'],
        [0.1843137254901961, 'rgb(146,170,254)'],
        [0.18823529411764706, 'rgb(147,171,254)'],
        [0.19215686274509805, 'rgb(149,171,254)'],
        [0.19607843137254902, 'rgb(150,172,254)'],
        [0.2, 'rgb(152,173,254)'],
        [0.20392156862745098, 'rgb(153,174,254)'],
        [0.20784313725490197, 'rgb(155,175,254)'],
        [0.21176470588235294, 'rgb(156,176,254)'],
        [0.21568627450980393, 'rgb(157,177,254)'],
        [0.2196078431372549, 'rgb(159,178,254)'],
        [0.2235294117647059, 'rgb(160,179,254)'],
        [0.22745098039215686, 'rgb(162,180,254)'],
        [0.23137254901960785, 'rgb(163,181,254)'],
        [0.23529411764705882, 'rgb(165,182,254)'],
        [0.23921568627450981, 'rgb(166,183,253)'],
        [0.24313725490196078, 'rgb(167,184,253)'],
        [0.24705882352941178, 'rgb(169,185,253)'],
        [0.25098039215686274, 'rgb(170,186,253)'],
        [0.2549019607843137, 'rgb(171,187,253)'],
        [0.25882352941176473, 'rgb(173,187,253)'],
        [0.2627450980392157, 'rgb(174,188,253)'],
        [0.26666666666666666, 'rgb(175,189,253)'],
        [0.27058823529411763, 'rgb(177,190,253)'],
        [0.27450980392156865, 'rgb(178,191,253)'],
        [0.2784313725490196, 'rgb(179,192,253)'],
        [0.2823529411764706, 'rgb(181,193,253)'],
        [0.28627450980392155, 'rgb(182,194,253)'],
        [0.2901960784313726, 'rgb(183,195,253)'],
        [0.29411764705882354, 'rgb(185,196,253)'],
        [0.2980392156862745, 'rgb(186,197,253)'],
        [0.30196078431372547, 'rgb(187,198,253)'],
        [0.3058823529411765, 'rgb(189,199,253)'],
        [0.30980392156862746, 'rgb(190,200,253)'],
        [0.3137254901960784, 'rgb(191,201,253)'],
        [0.3176470588235294, 'rgb(192,202,253)'],
        [0.3215686274509804, 'rgb(194,203,253)'],
        [0.3254901960784314, 'rgb(195,204,252)'],
        [0.32941176470588235, 'rgb(196,205,252)'],
        [0.3333333333333333, 'rgb(198,206,252)'],
        [0.33725490196078434, 'rgb(199,207,252)'],
        [0.3411764705882353, 'rgb(200,208,252)'],
        [0.34509803921568627, 'rgb(201,209,252)'],
        [0.34901960784313724, 'rgb(203,210,252)'],
        [0.35294117647058826, 'rgb(204,211,252)'],
        [0.3568627450980392, 'rgb(205,212,252)'],
        [0.3607843137254902, 'rgb(206,213,252)'],
        [0.36470588235294116, 'rgb(207,214,252)'],
        [0.3686274509803922, 'rgb(209,215,252)'],
        [0.37254901960784315, 'rgb(210,216,252)'],
        [0.3764705882352941, 'rgb(211,217,252)'],
        [0.3803921568627451, 'rgb(212,218,252)'],
        [0.3843137254901961, 'rgb(214,219,252)'],
        [0.38823529411764707, 'rgb(215,220,252)'],
        [0.39215686274509803, 'rgb(216,221,251)'],
        [0.396078431372549, 'rgb(217,222,251)'],
        [0.4, 'rgb(218,223,251)'],
        [0.403921568627451, 'rgb(220,224,251)'],
        [0.40784313725490196, 'rgb(221,225,251)'],
        [0.4117647058823529, 'rgb(222,226,251)'],
        [0.41568627450980394, 'rgb(223,227,251)'],
        [0.4196078431372549, 'rgb(224,228,251)'],
        [0.4235294117647059, 'rgb(226,229,251)'],
        [0.42745098039215684, 'rgb(227,230,251)'],
        [0.43137254901960786, 'rgb(228,231,251)'],
        [0.43529411764705883, 'rgb(229,232,251)'],
        [0.4392156862745098, 'rgb(230,233,251)'],
        [0.44313725490196076, 'rgb(231,234,251)'],
        [0.4470588235294118, 'rgb(233,235,250)'],
        [0.45098039215686275, 'rgb(234,236,250)'],
        [0.4549019607843137, 'rgb(235,237,250)'],
        [0.4588235294117647, 'rgb(236,238,250)'],
        [0.4627450980392157, 'rgb(237,239,250)'],
        [0.4666666666666667, 'rgb(238,240,250)'],
        [0.47058823529411764, 'rgb(240,241,250)'],
        [0.4745098039215686, 'rgb(241,242,250)'],
        [0.47843137254901963, 'rgb(242,243,250)'],
        [0.4823529411764706, 'rgb(243,244,250)'],
        [0.48627450980392156, 'rgb(244,245,249)'],
        [0.49019607843137253, 'rgb(245,246,249)'],
        [0.49411764705882355, 'rgb(247,246,249)'],
        [0.4980392156862745, 'rgb(248,247,248)'],
        [0.5019607843137255, 'rgb(249,246,247)'],
        [0.5058823529411764, 'rgb(249,246,245)'],
        [0.5098039215686274, 'rgb(250,245,244)'],
        [0.5137254901960784, 'rgb(250,244,242)'],
        [0.5176470588235295, 'rgb(250,242,240)'],
        [0.5215686274509804, 'rgb(251,241,239)'],
        [0.5254901960784314, 'rgb(251,240,237)'],
        [0.5294117647058824, 'rgb(251,239,236)'],
        [0.5333333333333333, 'rgb(251,237,234)'],
        [0.5372549019607843, 'rgb(252,236,232)'],
        [0.5411764705882353, 'rgb(252,235,231)'],
        [0.5450980392156862, 'rgb(252,234,229)'],
        [0.5490196078431373, 'rgb(252,232,227)'],
        [0.5529411764705883, 'rgb(252,231,226)'],
        [0.5568627450980392, 'rgb(252,230,224)'],
        [0.5607843137254902, 'rgb(252,229,223)'],
        [0.5647058823529412, 'rgb(253,227,221)'],
        [0.5686274509803921, 'rgb(253,226,219)'],
        [0.5725490196078431, 'rgb(253,225,218)'],
        [0.5764705882352941, 'rgb(253,223,216)'],
        [0.5803921568627451, 'rgb(253,222,215)'],
        [0.5843137254901961, 'rgb(253,221,213)'],
        [0.5882352941176471, 'rgb(253,220,211)'],
        [0.592156862745098, 'rgb(253,218,210)'],
        [0.596078431372549, 'rgb(253,217,208)'],
        [0.6, 'rgb(253,216,207)'],
        [0.6039215686274509, 'rgb(254,215,205)'],
        [0.6078431372549019, 'rgb(254,213,203)'],
        [0.611764705882353, 'rgb(254,212,202)'],
        [0.615686274509804, 'rgb(254,211,200)'],
        [0.6196078431372549, 'rgb(254,210,199)'],
        [0.6235294117647059, 'rgb(254,208,197)'],
        [0.6274509803921569, 'rgb(254,207,195)'],
        [0.6313725490196078, 'rgb(254,206,194)'],
        [0.6352941176470588, 'rgb(254,205,192)'],
        [0.6392156862745098, 'rgb(254,203,191)'],
        [0.6431372549019608, 'rgb(254,202,189)'],
        [0.6470588235294118, 'rgb(254,201,188)'],
        [0.6509803921568628, 'rgb(254,199,186)'],
        [0.6549019607843137, 'rgb(254,198,185)'],
        [0.6588235294117647, 'rgb(254,197,183)'],
        [0.6627450980392157, 'rgb(254,196,181)'],
        [0.6666666666666666, 'rgb(254,194,180)'],
        [0.6705882352941176, 'rgb(254,193,178)'],
        [0.6745098039215687, 'rgb(253,192,177)'],
        [0.6784313725490196, 'rgb(253,191,175)'],
        [0.6823529411764706, 'rgb(253,189,174)'],
        [0.6862745098039216, 'rgb(253,188,172)'],
        [0.6901960784313725, 'rgb(253,187,171)'],
        [0.6941176470588235, 'rgb(253,186,169)'],
        [0.6980392156862745, 'rgb(253,184,167)'],
        [0.7019607843137254, 'rgb(253,183,166)'],
        [0.7058823529411765, 'rgb(253,182,164)'],
        [0.7098039215686275, 'rgb(253,180,163)'],
        [0.7137254901960784, 'rgb(253,179,161)'],
        [0.7176470588235294, 'rgb(252,178,160)'],
        [0.7215686274509804, 'rgb(252,177,158)'],
        [0.7254901960784313, 'rgb(252,175,157)'],
        [0.7294117647058823, 'rgb(252,174,155)'],
        [0.7333333333333333, 'rgb(252,173,154)'],
        [0.7372549019607844, 'rgb(252,172,152)'],
        [0.7411764705882353, 'rgb(252,170,151)'],
        [0.7450980392156863, 'rgb(251,169,149)'],
        [0.7490196078431373, 'rgb(251,168,148)'],
        [0.7529411764705882, 'rgb(251,166,146)'],
        [0.7568627450980392, 'rgb(251,165,145)'],
        [0.7607843137254902, 'rgb(251,164,143)'],
        [0.7647058823529411, 'rgb(251,163,142)'],
        [0.7686274509803922, 'rgb(250,161,140)'],
        [0.7725490196078432, 'rgb(250,160,139)'],
        [0.7764705882352941, 'rgb(250,159,137)'],
        [0.7803921568627451, 'rgb(250,158,136)'],
        [0.7843137254901961, 'rgb(249,156,134)'],
        [0.788235294117647, 'rgb(249,155,133)'],
        [0.792156862745098, 'rgb(249,154,131)'],
        [0.796078431372549, 'rgb(249,152,130)'],
        [0.8, 'rgb(249,151,128)'],
        [0.803921568627451, 'rgb(248,150,127)'],
        [0.807843137254902, 'rgb(248,148,125)'],
        [0.8117647058823529, 'rgb(248,147,124)'],
        [0.8156862745098039, 'rgb(248,146,122)'],
        [0.8196078431372549, 'rgb(247,145,121)'],
        [0.8235294117647058, 'rgb(247,143,119)'],
        [0.8274509803921568, 'rgb(247,142,118)'],
        [0.8313725490196079, 'rgb(246,141,116)'],
        [0.8352941176470589, 'rgb(246,139,115)'],
        [0.8392156862745098, 'rgb(246,138,113)'],
        [0.8431372549019608, 'rgb(246,137,112)'],
        [0.8470588235294118, 'rgb(245,135,110)'],
        [0.8509803921568627, 'rgb(245,134,109)'],
        [0.8549019607843137, 'rgb(245,133,107)'],
        [0.8588235294117647, 'rgb(244,131,106)'],
        [0.8627450980392157, 'rgb(244,130,105)'],
        [0.8666666666666667, 'rgb(244,129,103)'],
        [0.8705882352941177, 'rgb(243,127,102)'],
        [0.8745098039215686, 'rgb(243,126,100)'],
        [0.8784313725490196, 'rgb(243,125,99)'],
        [0.8823529411764706, 'rgb(242,123,97)'],
        [0.8862745098039215, 'rgb(242,122,96)'],
        [0.8901960784313725, 'rgb(242,121,94)'],
        [0.8941176470588236, 'rgb(241,119,93)'],
        [0.8980392156862745, 'rgb(241,118,92)'],
        [0.9019607843137255, 'rgb(241,117,90)'],
        [0.9058823529411765, 'rgb(240,115,89)'],
        [0.9098039215686274, 'rgb(240,114,87)'],
        [0.9137254901960784, 'rgb(240,113,86)'],
        [0.9176470588235294, 'rgb(239,111,84)'],
        [0.9215686274509803, 'rgb(239,110,83)'],
        [0.9254901960784314, 'rgb(238,108,82)'],
        [0.9294117647058824, 'rgb(238,107,80)'],
        [0.9333333333333333, 'rgb(238,106,79)'],
        [0.9372549019607843, 'rgb(237,104,77)'],
        [0.9411764705882353, 'rgb(237,103,76)'],
        [0.9450980392156862, 'rgb(236,101,74)'],
        [0.9490196078431372, 'rgb(236,100,73)'],
        [0.9529411764705882, 'rgb(236,98,72)'],
        [0.9568627450980393, 'rgb(235,97,70)'],
        [0.9607843137254902, 'rgb(235,96,69)'],
        [0.9647058823529412, 'rgb(234,94,67)'],
        [0.9686274509803922, 'rgb(234,93,66)'],
        [0.9725490196078431, 'rgb(233,91,65)'],
        [0.9764705882352941, 'rgb(233,90,63)'],
        [0.9803921568627451, 'rgb(233,88,62)'],
        [0.984313725490196, 'rgb(232,87,60)'],
        [0.9882352941176471, 'rgb(232,85,59)'],
        [0.9921568627450981, 'rgb(231,83,58)'],
        [0.996078431372549, 'rgb(231,82,56)'],
        [1.0, 'rgb(230,80,55)'],
    ],
    'cet.diverging_cwm_80_100_c22': [
        [0.0, 'rgb(0,217,255)'],
        [0.00392156862745098, 'rgb(0,217,255)'],
        [0.00784313725490196, 'rgb(14,218,255)'],
        [0.011764705882352941, 'rgb(26,218,255)'],
        [0.01568627450980392, 'rgb(34,218,255)'],
        [0.0196078431372549, 'rgb(40,218,255)'],
        [0.023529411764705882, 'rgb(46,219,255)'],
        [0.027450980392156862, 'rgb(51,219,255)'],
        [0.03137254901960784, 'rgb(55,219,255)'],
        [0.03529411764705882, 'rgb(59,220,255)'],
        [0.0392156862745098, 'rgb(63,220,255)'],
        [0.043137254901960784, 'rgb(67,220,255)'],
        [0.047058823529411764, 'rgb(70,221,255)'],
        [0.050980392156862744, 'rgb(73,221,255)'],
        [0.054901960784313725, 'rgb(77,221,255)'],
        [0.058823529411764705, 'rgb(80,222,255)'],
        [0.06274509803921569, 'rgb(82,222,255)'],
        [0.06666666666666667, 'rgb(85,222,255)'],
        [0.07058823529411765, 'rgb(88,223,255)'],
        [0.07450980392156863, 'rgb(91,223,255)'],
        [0.0784313725490196, 'rgb(93,223,255)'],
        [0.08235294117647059, 'rgb(96,223,255)'],
        [0.08627450980392157, 'rgb(98,224,255)'],
        [0.09019607843137255, 'rgb(100,224,255)'],
        [0.09411764705882353, 'rgb(103,224,255)'],
        [0.09803921568627451, 'rgb(105,225,255)'],
        [0.10196078431372549, 'rgb(107,225,255)'],
        [0.10588235294117647, 'rgb(109,225,255)'],
        [0.10980392156862745, 'rgb(111,226,255)'],
        [0.11372549019607843, 'rgb(114,226,255)'],
        [0.11764705882352941, 'rgb(116,226,255)'],
        [0.12156862745098039, 'rgb(118,226,255)'],
        [0.12549019607843137, 'rgb(120,227,255)'],
        [0.12941176470588237, 'rgb(122,227,255)'],
        [0.13333333333333333, 'rgb(123,227,255)'],
        [0.13725490196078433, 'rgb(125,228,255)'],
        [0.1411764705882353, 'rgb(127,228,255)'],
        [0.1450980392156863, 'rgb(129,228,255)'],
        [0.14901960784313725, 'rgb(131,229,255)'],
        [0.15294117647058825, 'rgb(133,229,255)'],
        [0.1568627450980392, 'rgb(134,229,255)'],
        [0.1607843137254902, 'rgb(136,230,255)'],
        [0.16470588235294117, 'rgb(138,230,255)'],
        [0.16862745098039217, 'rgb(140,230,255)'],
        [0.17254901960784313, 'rgb(141,230,255)'],
        [0.17647058823529413, 'rgb(143,231,255)'],
        [0.1803921568627451, 'rgb(145,231,255)'],
        [0.1843137254901961, 'rgb(146,231,255)'],
        [0.18823529411764706, 'rgb(148,232,255)'],
        [0.19215686274509805, 'rgb(150,232,255)'],
        [0.19607843137254902, 'rgb(151,232,255)'],
        [0.2, 'rgb(153,233,255)'],
        [0.20392156862745098, 'rgb(155,233,255)'],
        [0.20784313725490197, 'rgb(156,233,255)'],
        [0.21176470588235294, 'rgb(158,233,255)'],
        [0.21568627450980393, 'rgb(159,234,255)'],
        [0.2196078431372549, 'rgb(161,234,255)'],
        [0.2235294117647059, 'rgb(162,234,255)'],
        [0.22745098039215686, 'rgb(164,235,255)'],
        [0.23137254901960785, 'rgb(165,235,255)'],
        [0.23529411764705882, 'rgb(167,235,255)'],
        [0.23921568627450981, 'rgb(168,236,255)'],
        [0.24313725490196078, 'rgb(170,236,255)'],
        [0.24705882352941178, 'rgb(171,236,255)'],
        [0.25098039215686274, 'rgb(173,236,255)'],
        [0.2549019607843137, 'rgb(174,237,255)'],
        [0.25882352941176473, 'rgb(176,237,255)'],
        [0.2627450980392157, 'rgb(177,237,255)'],
        [0.26666666666666666, 'rgb(179,238,255)'],
        [0.27058823529411763, 'rgb(180,238,255)'],
        [0.27450980392156865, 'rgb(181,238,255)'],
        [0.2784313725490196, 'rgb(183,239,255)'],
        [0.2823529411764706, 'rgb(184,239,255)'],
        [0.28627450980392155, 'rgb(186,239,255)'],
        [0.2901960784313726, 'rgb(187,239,255)'],
        [0.29411764705882354, 'rgb(188,240,255)'],
        [0.2980392156862745, 'rgb(190,240,255)'],
        [0.30196078431372547, 'rgb(191,240,255)'],
        [0.3058823529411765, 'rgb(192,241,255)'],
        [0.30980392156862746, 'rgb(194,241,255)'],
        [0.3137254901960784, 'rgb(195,241,255)'],
        [0.3176470588235294, 'rgb(197,241,255)'],
        [0.3215686274509804, 'rgb(198,242,255)'],
        [0.3254901960784314, 'rgb(199,242,255)'],
        [0.32941176470588235, 'rgb(201,242,255)'],
        [0.3333333333333333, 'rgb(202,243,255)'],
        [0.33725490196078434, 'rgb(203,243,255)'],
        [0.3411764705882353, 'rgb(205,243,255)'],
        [0.34509803921568627, 'rgb(206,244,255)'],
        [0.34901960784313724, 'rgb(207,244,255)'],
        [0.35294117647058826, 'rgb(208,244,255)'],
        [0.3568627450980392, 'rgb(210,244,255)'],
        [0.3607843137254902, 'rgb(211,245,255)'],
        [0.36470588235294116, 'rgb(212,245,255)'],
        [0.3686274509803922, 'rgb(214,245,255)'],
        [0.37254901960784315, 'rgb(215,246,255)'],
        [0.3764705882352941, 'rgb(216,246,255)'],
        [0.3803921568627451, 'rgb(217,246,255)'],
        [0.3843137254901961, 'rgb(219,246,255)'],
        [0.38823529411764707, 'rgb(220,247,255)'],
        [0.39215686274509803, 'rgb(221,247,255)'],
        [0.396078431372549, 'rgb(222,247,255)'],
        [0.4, 'rgb(224,248,255)'],
        [0.403921568627451, 'rgb(225,248,255)'],
        [0.40784313725490196, 'rgb(226,248,255)'],
        [0.4117647058823529, 'rgb(227,248,255)'],
        [0.41568627450980394, 'rgb(229,249,255)'],
        [0.4196078431372549, 'rgb(230,249,255)'],
        [0.4235294117647059, 'rgb(231,249,255)'],
        [0.42745098039215684, 'rgb(232,250,255)'],
        [0.43137254901960786, 'rgb(234,250,255)'],
        [0.43529411764705883, 'rgb(235,250,255)'],
        [0.4392156862745098, 'rgb(236,251,255)'],
        [0.44313725490196076, 'rgb(237,251,255)'],
        [0.4470588235294118, 'rgb(238,251,255)'],
        [0.45098039215686275, 'rgb(240,251,255)'],
        [0.4549019607843137, 'rgb(241,252,255)'],
        [0.4588235294117647, 'rgb(242,252,255)'],
        [0.4627450980392157, 'rgb(243,252,255)'],
        [0.4666666666666667, 'rgb(245,253,255)'],
        [0.47058823529411764, 'rgb(246,253,255)'],
        [0.4745098039215686, 'rgb(247,253,255)'],
        [0.47843137254901963, 'rgb(248,253,255)'],
        [0.4823529411764706, 'rgb(249,254,255)'],
        [0.48627450980392156, 'rgb(251,254,255)'],
        [0.49019607843137253, 'rgb(252,254,255)'],
        [0.49411764705882355, 'rgb(253,254,255)'],
        [0.4980392156862745, 'rgb(254,255,255)'],
        [0.5019607843137255, 'rgb(255,255,255)'],
        [0.5058823529411764, 'rgb(255,254,255)'],
        [0.5098039215686274, 'rgb(255,253,255)'],
        [0.5137254901960784, 'rgb(255,253,255)'],
        [0.5176470588235295, 'rgb(255,252,254)'],
        [0.5215686274509804, 'rgb(255,251,254)'],
        [0.5254901960784314, 'rgb(255,251,254)'],
        [0.5294117647058824, 'rgb(255,250,254)'],
        [0.5333333333333333, 'rgb(255,250,254)'],
        [0.5372549019607843, 'rgb(255,249,254)'],
        [0.5411764705882353, 'rgb(255,248,254)'],
        [0.5450980392156862, 'rgb(255,248,254)'],
        [0.5490196078431373, 'rgb(255,247,254)'],
        [0.5529411764705883, 'rgb(255,246,253)'],
        [0.5568627450980392, 'rgb(255,246,253)'],
        [0.5607843137254902, 'rgb(255,245,253)'],
        [0.5647058823529412, 'rgb(255,245,253)'],
        [0.5686274509803921, 'rgb(255,244,253)'],
        [0.5725490196078431, 'rgb(255,243,253)'],
        [0.5764705882352941, 'rgb(255,243,253)'],
        [0.5803921568627451, 'rgb(255,242,253)'],
        [0.5843137254901961, 'rgb(255,241,253)'],
        [0.5882352941176471, 'rgb(255,241,252)'],
        [0.592156862745098, 'rgb(255,240,252)'],
        [0.596078431372549, 'rgb(255,239,252)'],
        [0.6, 'rgb(255,239,252)'],
        [0.6039215686274509, 'rgb(255,238,252)'],
        [0.6078431372549019, 'rgb(255,238,252)'],
        [0.611764705882353, 'rgb(255,237,252)'],
        [0.615686274509804, 'rgb(255,236,252)'],
        [0.6196078431372549, 'rgb(255,236,252)'],
        [0.6235294117647059, 'rgb(255,235,251)'],
        [0.6274509803921569, 'rgb(255,234,251)'],
        [0.6313725490196078, 'rgb(255,234,251)'],
        [0.6352941176470588, 'rgb(255,233,251)'],
        [0.6392156862745098, 'rgb(255,233,251)'],
        [0.6431372549019608, 'rgb(255,232,251)'],
        [0.6470588235294118, 'rgb(255,231,251)'],
        [0.6509803921568628, 'rgb(255,231,251)'],
        [0.6549019607843137, 'rgb(255,230,251)'],
        [0.6588235294117647, 'rgb(255,229,250)'],
        [0.6627450980392157, 'rgb(255,229,250)'],
        [0.6666666666666666, 'rgb(255,228,250)'],
        [0.6705882352941176, 'rgb(255,228,250)'],
        [0.6745098039215687, 'rgb(255,227,250)'],
        [0.6784313725490196, 'rgb(254,226,250)'],
        [0.6823529411764706, 'rgb(254,226,250)'],
        [0.6862745098039216, 'rgb(254,225,250)'],
        [0.6901960784313725, 'rgb(254,224,250)'],
        [0.6941176470588235, 'rgb(254,224,249)'],
        [0.6980392156862745, 'rgb(254,223,249)'],
        [0.7019607843137254, 'rgb(254,222,249)'],
        [0.7058823529411765, 'rgb(254,222,249)'],
        [0.7098039215686275, 'rgb(254,221,249)'],
        [0.7137254901960784, 'rgb(254,221,249)'],
        [0.7176470588235294, 'rgb(254,220,249)'],
        [0.7215686274509804, 'rgb(254,219,249)'],
        [0.7254901960784313, 'rgb(254,219,248)'],
        [0.7294117647058823, 'rgb(254,218,248)'],
        [0.7333333333333333, 'rgb(254,217,248)'],
        [0.7372549019607844, 'rgb(254,217,248)'],
        [0.7411764705882353, 'rgb(254,216,248)'],
        [0.7450980392156863, 'rgb(254,216,248)'],
        [0.7490196078431373, 'rgb(254,215,248)'],
        [0.7529411764705882, 'rgb(254,214,248)'],
        [0.7568627450980392, 'rgb(254,214,248)'],
        [0.7607843137254902, 'rgb(254,213,247)'],
        [0.7647058823529411, 'rgb(254,212,247)'],
        [0.7686274509803922, 'rgb(254,212,247)'],
        [0.7725490196078432, 'rgb(254,211,247)'],
        [0.7764705882352941, 'rgb(254,210,247)'],
        [0.7803921568627451, 'rgb(254,210,247)'],
        [0.7843137254901961, 'rgb(253,209,247)'],
        [0.788235294117647, 'rgb(253,209,247)'],
        [0.792156862745098, 'rgb(253,208,246)'],
        [0.796078431372549, 'rgb(253,207,246)'],
        [0.8, 'rgb(253,207,246)'],
        [0.803921568627451, 'rgb(253,206,246)'],
        [0.807843137254902, 'rgb(253,205,246)'],
        [0.8117647058823529, 'rgb(253,205,246)'],
        [0.8156862745098039, 'rgb(253,204,246)'],
        [0.8196078431372549, 'rgb(253,203,246)'],
        [0.8235294117647058, 'rgb(253,203,246)'],
        [0.8274509803921568, 'rgb(253,202,245)'],
        [0.8313725490196079, 'rgb(253,201,245)'],
        [0.8352941176470589, 'rgb(253,201,245)'],
        [0.8392156862745098, 'rgb(253,200,245)'],
        [0.8431372549019608, 'rgb(253,200,245)'],
        [0.8470588235294118, 'rgb(253,199,245)'],
        [0.8509803921568627, 'rgb(253,198,245)'],
        [0.8549019607843137, 'rgb(253,198,245)'],
        [0.8588235294117647, 'rgb(252,197,244)'],
        [0.8627450980392157, 'rgb(252,196,244)'],
        [0.8666666666666667, 'rgb(252,196,244)'],
        [0.8705882352941177, 'rgb(252,195,244)'],
        [0.8745098039215686, 'rgb(252,194,244)'],
        [0.8784313725490196, 'rgb(252,194,244)'],
        [0.8823529411764706, 'rgb(252,193,244)'],
        [0.8862745098039215, 'rgb(252,192,244)'],
        [0.8901960784313725, 'rgb(252,192,244)'],
        [0.8941176470588236, 'rgb(252,191,243)'],
        [0.8980392156862745, 'rgb(252,191,243)'],
        [0.9019607843137255, 'rgb(252,190,243)'],
        [0.9058823529411765, 'rgb(252,189,243)'],
        [0.9098039215686274, 'rgb(252,189,243)'],
        [0.9137254901960784, 'rgb(252,188,243)'],
        [0.9176470588235294, 'rgb(251,187,243)'],
        [0.9215686274509803, 'rgb(251,187,243)'],
        [0.9254901960784314, 'rgb(251,186,242)'],
        [0.9294117647058824, 'rgb(251,185,242)'],
        [0.9333333333333333, 'rgb(251,185,242)'],
        [0.9372549019607843, 'rgb(251,184,242)'],
        [0.9411764705882353, 'rgb(251,183,242)'],
        [0.9450980392156862, 'rgb(251,183,242)'],
        [0.9490196078431372, 'rgb(251,182,242)'],
        [0.9529411764705882, 'rgb(251,181,242)'],
        [0.9568627450980393, 'rgb(251,181,241)'],
        [0.9607843137254902, 'rgb(251,180,241)'],
        [0.9647058823529412, 'rgb(251,179,241)'],
        [0.9686274509803922, 'rgb(251,179,241)'],
        [0.9725490196078431, 'rgb(250,178,241)'],
        [0.9764705882352941, 'rgb(250,177,241)'],
        [0.9803921568627451, 'rgb(250,177,241)'],
        [0.984313725490196, 'rgb(250,176,241)'],
        [0.9882352941176471, 'rgb(250,175,240)'],
        [0.9921568627450981, 'rgb(250,175,240)'],
        [0.996078431372549, 'rgb(250,174,240)'],
        [1.0, 'rgb(250,174,240)'],
    ],
    'cet.diverging_gkr_60_10_c40': [
        [0.0, 'rgb(54,166,22)'],
        [0.00392156862745098, 'rgb(54,165,23)'],
        [0.00784313725490196, 'rgb(54,164,23)'],
        [0.011764705882352941, 'rgb(54,162,24)'],
        [0.01568627450980392, 'rgb(54,161,24)'],
        [0.0196078431372549, 'rgb(54,160,24)'],
        [0.023529411764705882, 'rgb(54,159,25)'],
        [0.027450980392156862, 'rgb(54,158,25)'],
        [0.03137254901960784, 'rgb(54,157,26)'],
        [0.03529411764705882, 'rgb(54,155,26)'],
        [0.0392156862745098, 'rgb(54,154,26)'],
        [0.043137254901960784, 'rgb(54,153,27)'],
        [0.047058823529411764, 'rgb(54,152,27)'],
        [0.050980392156862744, 'rgb(54,151,27)'],
        [0.054901960784313725, 'rgb(54,149,27)'],
        [0.058823529411764705, 'rgb(54,148,28)'],
        [0.06274509803921569, 'rgb(54,147,28)'],
        [0.06666666666666667, 'rgb(54,146,28)'],
        [0.07058823529411765, 'rgb(54,145,28)'],
        [0.07450980392156863, 'rgb(54,144,29)'],
        [0.0784313725490196, 'rgb(54,142,29)'],
        [0.08235294117647059, 'rgb(54,141,29)'],
        [0.08627450980392157, 'rgb(54,140,29)'],
        [0.09019607843137255, 'rgb(54,139,30)'],
        [0.09411764705882353, 'rgb(54,138,30)'],
        [0.09803921568627451, 'rgb(54,137,30)'],
        [0.10196078431372549, 'rgb(54,135,30)'],
        [0.10588235294117647, 'rgb(54,134,30)'],
        [0.10980392156862745, 'rgb(53,133,30)'],
        [0.11372549019607843, 'rgb(53,132,31)'],
        [0.11764705882352941, 'rgb(53,131,31)'],
        [0.12156862745098039, 'rgb(53,130,31)'],
        [0.12549019607843137, 'rgb(53,129,31)'],
        [0.12941176470588237, 'rgb(53,127,31)'],
        [0.13333333333333333, 'rgb(53,126,31)'],
        [0.13725490196078433, 'rgb(53,125,32)'],
        [0.1411764705882353, 'rgb(53,124,32)'],
        [0.1450980392156863, 'rgb(53,123,32)'],
        [0.14901960784313725, 'rgb(53,122,32)'],
        [0.15294117647058825, 'rgb(52,121,32)'],
        [0.1568627450980392, 'rgb(52,119,32)'],
        [0.1607843137254902, 'rgb(52,118,32)'],
        [0.16470588235294117, 'rgb(52,117,32)'],
        [0.16862745098039217, 'rgb(52,116,32)'],
        [0.17254901960784313, 'rgb(52,115,32)'],
        [0.17647058823529413, 'rgb(52,114,33)'],
        [0.1803921568627451, 'rgb(51,113,33)'],
        [0.1843137254901961, 'rgb(51,112,33)'],
        [0.18823529411764706, 'rgb(51,110,33)'],
        [0.19215686274509805, 'rgb(51,109,33)'],
        [0.19607843137254902, 'rgb(51,108,33)'],
        [0.2, 'rgb(51,107,33)'],
        [0.20392156862745098, 'rgb(51,106,33)'],
        [0.20784313725490197, 'rgb(50,105,33)'],
        [0.21176470588235294, 'rgb(50,104,33)'],
        [0.21568627450980393, 'rgb(50,103,33)'],
        [0.2196078431372549, 'rgb(50,102,33)'],
        [0.2235294117647059, 'rgb(50,100,33)'],
        [0.22745098039215686, 'rgb(49,99,33)'],
        [0.23137254901960785, 'rgb(49,98,33)'],
        [0.23529411764705882, 'rgb(49,97,33)'],
        [0.23921568627450981, 'rgb(49,96,33)'],
        [0.24313725490196078, 'rgb(49,95,33)'],
        [0.24705882352941178, 'rgb(48,94,33)'],
        [0.25098039215686274, 'rgb(48,93,33)'],
        [0.2549019607843137, 'rgb(48,92,33)'],
        [0.25882352941176473, 'rgb(48,91,33)'],
        [0.2627450980392157, 'rgb(48,90,33)'],
        [0.26666666666666666, 'rgb(47,88,33)'],
        [0.27058823529411763, 'rgb(47,87,33)'],
        [0.27450980392156865, 'rgb(47,86,33)'],
        [0.2784313725490196, 'rgb(47,85,33)'],
        [0.2823529411764706, 'rgb(46,84,33)'],
        [0.28627450980392155, 'rgb(46,83,33)'],
        [0.2901960784313726, 'rgb(46,82,33)'],
        [0.29411764705882354, 'rgb(46,81,33)'],
        [0.2980392156862745, 'rgb(45,80,33)'],
        [0.30196078431372547, 'rgb(45,79,33)'],
        [0.3058823529411765, 'rgb(45,78,33)'],
        [0.30980392156862746, 'rgb(45,77,33)'],
        [0.3137254901960784, 'rgb(44,76,33)'],
        [0.3176470588235294, 'rgb(44,75,33)'],
        [0.3215686274509804, 'rgb(44,74,33)'],
        [0.3254901960784314, 'rgb(44,73,33)'],
        [0.32941176470588235, 'rgb(43,71,33)'],
        [0.3333333333333333, 'rgb(43,70,33)'],
        [0.33725490196078434, 'rgb(43,69,33)'],
        [0.3411764705882353, 'rgb(42,68,33)'],
        [0.34509803921568627, 'rgb(42,67,32)'],
        [0.34901960784313724, 'rgb(42,66,32)'],
        [0.35294117647058826, 'rgb(42,65,32)'],
        [0.3568627450980392, 'rgb(41,64,32)'],
        [0.3607843137254902, 'rgb(41,63,32)'],
        [0.36470588235294116, 'rgb(41,62,32)'],
        [0.3686274509803922, 'rgb(40,61,32)'],
        [0.37254901960784315, 'rgb(40,60,32)'],
        [0.3764705882352941, 'rgb(40,59,32)'],
        [0.3803921568627451, 'rgb(39,58,32)'],
        [0.3843137254901961, 'rgb(39,57,32)'],
        [0.38823529411764707, 'rgb(39,56,31)'],
        [0.39215686274509803, 'rgb(38,55,31)'],
        [0.396078431372549, 'rgb(38,54,31)'],
        [0.4, 'rgb(38,53,31)'],
        [0.403921568627451, 'rgb(37,52,31)'],
        [0.40784313725490196, 'rgb(37,51,31)'],
        [0.4117647058823529, 'rgb(37,50,31)'],
        [0.41568627450980394, 'rgb(36,49,31)'],
        [0.4196078431372549, 'rgb(36,48,31)'],
        [0.4235294117647059, 'rgb(36,47,30)'],
        [0.42745098039215684, 'rgb(35,46,30)'],
        [0.43137254901960786, 'rgb(35,45,30)'],
        [0.43529411764705883, 'rgb(35,44,30)'],
        [0.4392156862745098, 'rgb(34,43,30)'],
        [0.44313725490196076, 'rgb(34,42,30)'],
        [0.4470588235294118, 'rgb(34,41,30)'],
        [0.45098039215686275, 'rgb(33,40,30)'],
        [0.4549019607843137, 'rgb(33,39,29)'],
        [0.4588235294117647, 'rgb(33,39,29)'],
        [0.4627450980392157, 'rgb(32,38,29)'],
        [0.4666666666666667, 'rgb(32,37,29)'],
        [0.47058823529411764, 'rgb(32,36,29)'],
        [0.4745098039215686, 'rgb(32,35,29)'],
        [0.47843137254901963, 'rgb(32,35,29)'],
        [0.4823529411764706, 'rgb(32,34,29)'],
        [0.48627450980392156, 'rgb(33,34,29)'],
        [0.49019607843137253, 'rgb(33,33,29)'],
        [0.49411764705882355, 'rgb(33,33,29)'],
        [0.4980392156862745, 'rgb(34,32,29)'],
        [0.5019607843137255, 'rgb(35,32,29)'],
        [0.5058823529411764, 'rgb(35,32,29)'],
        [0.5098039215686274, 'rgb(36,32,29)'],
        [0.5137254901960784, 'rgb(37,32,29)'],
        [0.5176470588235295, 'rgb(38,32,29)'],
        [0.5215686274509804, 'rgb(40,32,29)'],
        [0.5254901960784314, 'rgb(41,33,30)'],
        [0.5294117647058824, 'rgb(42,33,30)'],
        [0.5333333333333333, 'rgb(44,33,30)'],
        [0.5372549019607843, 'rgb(45,34,30)'],
        [0.5411764705882353, 'rgb(47,34,30)'],
        [0.5450980392156862, 'rgb(48,34,31)'],
        [0.5490196078431373, 'rgb(50,35,31)'],
        [0.5529411764705883, 'rgb(51,35,31)'],
        [0.5568627450980392, 'rgb(53,36,31)'],
        [0.5607843137254902, 'rgb(54,36,32)'],
        [0.5647058823529412, 'rgb(56,37,32)'],
        [0.5686274509803921, 'rgb(58,37,32)'],
        [0.5725490196078431, 'rgb(59,38,32)'],
        [0.5764705882352941, 'rgb(61,38,33)'],
        [0.5803921568627451, 'rgb(62,39,33)'],
        [0.5843137254901961, 'rgb(64,39,33)'],
        [0.5882352941176471, 'rgb(66,40,33)'],
        [0.592156862745098, 'rgb(67,40,34)'],
        [0.596078431372549, 'rgb(69,41,34)'],
        [0.6, 'rgb(71,41,34)'],
        [0.6039215686274509, 'rgb(72,42,34)'],
        [0.6078431372549019, 'rgb(74,42,34)'],
        [0.611764705882353, 'rgb(75,43,35)'],
        [0.615686274509804, 'rgb(77,43,35)'],
        [0.6196078431372549, 'rgb(79,44,35)'],
        [0.6235294117647059, 'rgb(80,45,35)'],
        [0.6274509803921569, 'rgb(82,45,36)'],
        [0.6313725490196078, 'rgb(84,46,36)'],
        [0.6352941176470588, 'rgb(85,46,36)'],
        [0.6392156862745098, 'rgb(87,46,36)'],
        [0.6431372549019608, 'rgb(89,47,37)'],
        [0.6470588235294118, 'rgb(90,47,37)'],
        [0.6509803921568628, 'rgb(92,48,37)'],
        [0.6549019607843137, 'rgb(94,48,37)'],
        [0.6588235294117647, 'rgb(95,49,38)'],
        [0.6627450980392157, 'rgb(97,49,38)'],
        [0.6666666666666666, 'rgb(99,50,38)'],
        [0.6705882352941176, 'rgb(100,50,38)'],
        [0.6745098039215687, 'rgb(102,51,39)'],
        [0.6784313725490196, 'rgb(104,51,39)'],
        [0.6823529411764706, 'rgb(106,52,39)'],
        [0.6862745098039216, 'rgb(107,52,39)'],
        [0.6901960784313725, 'rgb(109,53,39)'],
        [0.6941176470588235, 'rgb(111,53,40)'],
        [0.6980392156862745, 'rgb(112,54,40)'],
        [0.7019607843137254, 'rgb(114,54,40)'],
        [0.7058823529411765, 'rgb(116,55,40)'],
        [0.7098039215686275, 'rgb(117,55,41)'],
        [0.7137254901960784, 'rgb(119,56,41)'],
        [0.7176470588235294, 'rgb(121,56,41)'],
        [0.7215686274509804, 'rgb(123,57,41)'],
        [0.7254901960784313, 'rgb(124,57,42)'],
        [0.7294117647058823, 'rgb(126,58,42)'],
        [0.7333333333333333, 'rgb(128,58,42)'],
        [0.7372549019607844, 'rgb(130,59,42)'],
        [0.7411764705882353, 'rgb(131,59,42)'],
        [0.7450980392156863, 'rgb(133,59,43)'],
        [0.7490196078431373, 'rgb(135,60,43)'],
        [0.7529411764705882, 'rgb(137,60,43)'],
        [0.7568627450980392, 'rgb(138,61,43)'],
        [0.7607843137254902, 'rgb(140,61,44)'],
        [0.7647058823529411, 'rgb(142,62,44)'],
        [0.7686274509803922, 'rgb(144,62,44)'],
        [0.7725490196078432, 'rgb(145,63,44)'],
        [0.7764705882352941, 'rgb(147,63,44)'],
        [0.7803921568627451, 'rgb(149,64,45)'],
        [0.7843137254901961, 'rgb(151,64,45)'],
        [0.788235294117647, 'rgb(152,65,45)'],
        [0.792156862745098, 'rgb(154,65,45)'],
        [0.796078431372549, 'rgb(156,65,46)'],
        [0.8, 'rgb(158,66,46)'],
        [0.803921568627451, 'rgb(160,66,46)'],
        [0.807843137254902, 'rgb(161,67,46)'],
        [0.8117647058823529, 'rgb(163,67,46)'],
        [0.8156862745098039, 'rgb(165,68,47)'],
        [0.8196078431372549, 'rgb(167,68,47)'],
        [0.8235294117647058, 'rgb(169,69,47)'],
        [0.8274509803921568, 'rgb(170,69,47)'],
        [0.8313725490196079, 'rgb(172,70,47)'],
        [0.8352941176470589, 'rgb(174,70,48)'],
        [0.8392156862745098, 'rgb(176,70,48)'],
        [0.8431372549019608, 'rgb(178,71,48)'],
        [0.8470588235294118, 'rgb(180,71,48)'],
        [0.8509803921568627, 'rgb(181,72,49)'],
        [0.8549019607843137, 'rgb(183,72,49)'],
        [0.8588235294117647, 'rgb(185,73,49)'],
        [0.8627450980392157, 'rgb(187,73,49)'],
        [0.8666666666666667, 'rgb(189,73,49)'],
        [0.8705882352941177, 'rgb(191,74,50)'],
        [0.8745098039215686, 'rgb(192,74,50)'],
        [0.8784313725490196, 'rgb(194,75,50)'],
        [0.8823529411764706, 'rgb(196,75,50)'],
        [0.8862745098039215, 'rgb(198,76,50)'],
        [0.8901960784313725, 'rgb(200,76,51)'],
        [0.8941176470588236, 'rgb(202,76,51)'],
        [0.8980392156862745, 'rgb(204,77,51)'],
        [0.9019607843137255, 'rgb(205,77,51)'],
        [0.9058823529411765, 'rgb(207,78,52)'],
        [0.9098039215686274, 'rgb(209,78,52)'],
        [0.9137254901960784, 'rgb(211,79,52)'],
        [0.9176470588235294, 'rgb(213,79,52)'],
        [0.9215686274509803, 'rgb(215,79,52)'],
        [0.9254901960784314, 'rgb(217,80,53)'],
        [0.9294117647058824, 'rgb(219,80,53)'],
        [0.9333333333333333, 'rgb(220,81,53)'],
        [0.9372549019607843, 'rgb(222,81,53)'],
        [0.9411764705882353, 'rgb(224,82,53)'],
        [0.9450980392156862, 'rgb(226,82,54)'],
        [0.9490196078431372, 'rgb(228,82,54)'],
        [0.9529411764705882, 'rgb(230,83,54)'],
        [0.9568627450980393, 'rgb(232,83,54)'],
        [0.9607843137254902, 'rgb(234,84,54)'],
        [0.9647058823529412, 'rgb(236,84,55)'],
        [0.9686274509803922, 'rgb(238,85,55)'],
        [0.9725490196078431, 'rgb(240,85,55)'],
        [0.9764705882352941, 'rgb(241,85,55)'],
        [0.9803921568627451, 'rgb(243,86,55)'],
        [0.984313725490196, 'rgb(245,86,56)'],
        [0.9882352941176471, 'rgb(247,87,56)'],
        [0.9921568627450981, 'rgb(249,87,56)'],
        [0.996078431372549, 'rgb(251,87,56)'],
        [1.0, 'rgb(253,88,56)'],
    ],
    'cet.diverging_gwr_55_95_c38': [
        [0.0, 'rgb(57,151,14)'],
        [0.00392156862745098, 'rgb(59,151,18)'],
        [0.00784313725490196, 'rgb(61,152,21)'],
        [0.011764705882352941, 'rgb(63,153,24)'],
        [0.01568627450980392, 'rgb(64,154,26)'],
        [0.0196078431372549, 'rgb(66,154,29)'],
        [0.023529411764705882, 'rgb(68,155,31)'],
        [0.027450980392156862, 'rgb(70,156,34)'],
        [0.03137254901960784, 'rgb(72,156,36)'],
        [0.03529411764705882, 'rgb(74,157,38)'],
        [0.0392156862745098, 'rgb(75,158,40)'],
        [0.043137254901960784, 'rgb(77,159,42)'],
        [0.047058823529411764, 'rgb(79,159,44)'],
        [0.050980392156862744, 'rgb(81,160,46)'],
        [0.054901960784313725, 'rgb(82,161,48)'],
        [0.058823529411764705, 'rgb(84,161,50)'],
        [0.06274509803921569, 'rgb(86,162,52)'],
        [0.06666666666666667, 'rgb(87,163,54)'],
        [0.07058823529411765, 'rgb(89,164,56)'],
        [0.07450980392156863, 'rgb(90,164,57)'],
        [0.0784313725490196, 'rgb(92,165,59)'],
        [0.08235294117647059, 'rgb(94,166,61)'],
        [0.08627450980392157, 'rgb(95,166,63)'],
        [0.09019607843137255, 'rgb(97,167,65)'],
        [0.09411764705882353, 'rgb(98,168,66)'],
        [0.09803921568627451, 'rgb(100,169,68)'],
        [0.10196078431372549, 'rgb(101,169,70)'],
        [0.10588235294117647, 'rgb(103,170,71)'],
        [0.10980392156862745, 'rgb(104,171,73)'],
        [0.11372549019607843, 'rgb(106,171,75)'],
        [0.11764705882352941, 'rgb(107,172,77)'],
        [0.12156862745098039, 'rgb(109,173,78)'],
        [0.12549019607843137, 'rgb(110,174,80)'],
        [0.12941176470588237, 'rgb(112,174,82)'],
        [0.13333333333333333, 'rgb(113,175,83)'],
        [0.13725490196078433, 'rgb(115,176,85)'],
        [0.1411764705882353, 'rgb(116,176,87)'],
        [0.1450980392156863, 'rgb(118,177,88)'],
        [0.14901960784313725, 'rgb(119,178,90)'],
        [0.15294117647058825, 'rgb(121,178,92)'],
        [0.1568627450980392, 'rgb(122,179,93)'],
        [0.1607843137254902, 'rgb(124,180,95)'],
        [0.16470588235294117, 'rgb(125,181,97)'],
        [0.16862745098039217, 'rgb(126,181,98)'],
        [0.17254901960784313, 'rgb(128,182,100)'],
        [0.17647058823529413, 'rgb(129,183,102)'],
        [0.1803921568627451, 'rgb(131,183,103)'],
        [0.1843137254901961, 'rgb(132,184,105)'],
        [0.18823529411764706, 'rgb(133,185,106)'],
        [0.19215686274509805, 'rgb(135,186,108)'],
        [0.19607843137254902, 'rgb(136,186,110)'],
        [0.2, 'rgb(138,187,111)'],
        [0.20392156862745098, 'rgb(139,188,113)'],
        [0.20784313725490197, 'rgb(140,188,115)'],
        [0.21176470588235294, 'rgb(142,189,116)'],
        [0.21568627450980393, 'rgb(143,190,118)'],
        [0.2196078431372549, 'rgb(145,190,120)'],
        [0.2235294117647059, 'rgb(146,191,121)'],
        [0.22745098039215686, 'rgb(147,192,123)'],
        [0.23137254901960785, 'rgb(149,193,124)'],
        [0.23529411764705882, 'rgb(150,193,126)'],
        [0.23921568627450981, 'rgb(151,194,128)'],
        [0.24313725490196078, 'rgb(153,195,129)'],
        [0.24705882352941178, 'rgb(154,195,131)'],
        [0.25098039215686274, 'rgb(155,196,133)'],
        [0.2549019607843137, 'rgb(157,197,134)'],
        [0.25882352941176473, 'rgb(158,197,136)'],
        [0.2627450980392157, 'rgb(160,198,138)'],
        [0.26666666666666666, 'rgb(161,199,139)'],
        [0.27058823529411763, 'rgb(162,200,141)'],
        [0.27450980392156865, 'rgb(164,200,142)'],
        [0.2784313725490196, 'rgb(165,201,144)'],
        [0.2823529411764706, 'rgb(166,202,146)'],
        [0.28627450980392155, 'rgb(168,202,147)'],
        [0.2901960784313726, 'rgb(169,203,149)'],
        [0.29411764705882354, 'rgb(170,204,151)'],
        [0.2980392156862745, 'rgb(172,204,152)'],
        [0.30196078431372547, 'rgb(173,205,154)'],
        [0.3058823529411765, 'rgb(174,206,156)'],
        [0.30980392156862746, 'rgb(176,206,157)'],
        [0.3137254901960784, 'rgb(177,207,159)'],
        [0.3176470588235294, 'rgb(178,208,161)'],
        [0.3215686274509804, 'rgb(180,209,162)'],
        [0.3254901960784314, 'rgb(181,209,164)'],
        [0.32941176470588235, 'rgb(182,210,166)'],
        [0.3333333333333333, 'rgb(184,211,167)'],
        [0.33725490196078434, 'rgb(185,211,169)'],
        [0.3411764705882353, 'rgb(186,212,171)'],
        [0.34509803921568627, 'rgb(188,213,172)'],
        [0.34901960784313724, 'rgb(189,213,174)'],
        [0.35294117647058826, 'rgb(190,214,176)'],
        [0.3568627450980392, 'rgb(192,215,177)'],
        [0.3607843137254902, 'rgb(193,216,179)'],
        [0.36470588235294116, 'rgb(194,216,181)'],
        [0.3686274509803922, 'rgb(196,217,182)'],
        [0.37254901960784315, 'rgb(197,218,184)'],
        [0.3764705882352941, 'rgb(198,218,186)'],
        [0.3803921568627451, 'rgb(199,219,187)'],
        [0.3843137254901961, 'rgb(201,220,189)'],
        [0.38823529411764707, 'rgb(202,220,191)'],
        [0.39215686274509803, 'rgb(203,221,192)'],
        [0.396078431372549, 'rgb(205,222,194)'],
        [0.4, 'rgb(206,222,196)'],
        [0.403921568627451, 'rgb(207,223,197)'],
        [0.40784313725490196, 'rgb(209,224,199)'],
        [0.4117647058823529, 'rgb(210,224,201)'],
        [0.41568627450980394, 'rgb(211,225,202)'],
        [0.4196078431372549, 'rgb(213,226,204)'],
        [0.4235294117647059, 'rgb(214,227,206)'],
        [0.42745098039215684, 'rgb(215,227,207)'],
        [0.43137254901960786, 'rgb(217,228,209)'],
        [0.43529411764705883, 'rgb(218,229,211)'],
        [0.4392156862745098, 'rgb(219,229,212)'],
        [0.44313725490196076, 'rgb(220,230,214)'],
        [0.4470588235294118, 'rgb(222,231,216)'],
        [0.45098039215686275, 'rgb(223,231,217)'],
        [0.4549019607843137, 'rgb(224,232,219)'],
        [0.4588235294117647, 'rgb(226,232,220)'],
        [0.4627450980392157, 'rgb(227,233,222)'],
        [0.4666666666666667, 'rgb(228,233,223)'],
        [0.47058823529411764, 'rgb(229,234,225)'],
        [0.4745098039215686, 'rgb(231,234,226)'],
        [0.47843137254901963, 'rgb(232,235,227)'],
        [0.4823529411764706, 'rgb(233,235,228)'],
        [0.48627450980392156, 'rgb(234,235,229)'],
        [0.49019607843137253, 'rgb(235,235,230)'],
        [0.49411764705882355, 'rgb(236,235,230)'],
        [0.4980392156862745, 'rgb(237,235,230)'],
        [0.5019607843137255, 'rgb(238,234,230)'],
        [0.5058823529411764, 'rgb(239,234,230)'],
        [0.5098039215686274, 'rgb(240,233,230)'],
        [0.5137254901960784, 'rgb(240,233,230)'],
        [0.5176470588235295, 'rgb(241,232,229)'],
        [0.5215686274509804, 'rgb(242,231,229)'],
        [0.5254901960784314, 'rgb(242,230,228)'],
        [0.5294117647058824, 'rgb(243,230,227)'],
        [0.5333333333333333, 'rgb(243,229,226)'],
        [0.5372549019607843, 'rgb(244,228,225)'],
        [0.5411764705882353, 'rgb(244,226,223)'],
        [0.5450980392156862, 'rgb(244,225,222)'],
        [0.5490196078431373, 'rgb(245,224,221)'],
        [0.5529411764705883, 'rgb(245,223,220)'],
        [0.5568627450980392, 'rgb(245,222,218)'],
        [0.5607843137254902, 'rgb(246,221,217)'],
        [0.5647058823529412, 'rgb(246,219,215)'],
        [0.5686274509803921, 'rgb(246,218,214)'],
        [0.5725490196078431, 'rgb(246,217,213)'],
        [0.5764705882352941, 'rgb(247,216,211)'],
        [0.5803921568627451, 'rgb(247,215,210)'],
        [0.5843137254901961, 'rgb(247,213,208)'],
        [0.5882352941176471, 'rgb(247,212,207)'],
        [0.592156862745098, 'rgb(248,211,206)'],
        [0.596078431372549, 'rgb(248,210,204)'],
        [0.6, 'rgb(248,208,203)'],
        [0.6039215686274509, 'rgb(248,207,201)'],
        [0.6078431372549019, 'rgb(248,206,200)'],
        [0.611764705882353, 'rgb(248,205,198)'],
        [0.615686274509804, 'rgb(249,204,197)'],
        [0.6196078431372549, 'rgb(249,202,196)'],
        [0.6235294117647059, 'rgb(249,201,194)'],
        [0.6274509803921569, 'rgb(249,200,193)'],
        [0.6313725490196078, 'rgb(249,199,191)'],
        [0.6352941176470588, 'rgb(249,197,190)'],
        [0.6392156862745098, 'rgb(249,196,189)'],
        [0.6431372549019608, 'rgb(249,195,187)'],
        [0.6470588235294118, 'rgb(250,194,186)'],
        [0.6509803921568628, 'rgb(250,193,184)'],
        [0.6549019607843137, 'rgb(250,191,183)'],
        [0.6588235294117647, 'rgb(250,190,182)'],
        [0.6627450980392157, 'rgb(250,189,180)'],
        [0.6666666666666666, 'rgb(250,188,179)'],
        [0.6705882352941176, 'rgb(250,186,177)'],
        [0.6745098039215687, 'rgb(250,185,176)'],
        [0.6784313725490196, 'rgb(250,184,175)'],
        [0.6823529411764706, 'rgb(250,183,173)'],
        [0.6862745098039216, 'rgb(250,181,172)'],
        [0.6901960784313725, 'rgb(250,180,171)'],
        [0.6941176470588235, 'rgb(250,179,169)'],
        [0.6980392156862745, 'rgb(250,178,168)'],
        [0.7019607843137254, 'rgb(250,176,166)'],
        [0.7058823529411765, 'rgb(250,175,165)'],
        [0.7098039215686275, 'rgb(250,174,164)'],
        [0.7137254901960784, 'rgb(250,173,162)'],
        [0.7176470588235294, 'rgb(250,171,161)'],
        [0.7215686274509804, 'rgb(250,170,160)'],
        [0.7254901960784313, 'rgb(250,169,158)'],
        [0.7294117647058823, 'rgb(250,168,157)'],
        [0.7333333333333333, 'rgb(250,166,156)'],
        [0.7372549019607844, 'rgb(250,165,154)'],
        [0.7411764705882353, 'rgb(250,164,153)'],
        [0.7450980392156863, 'rgb(250,163,152)'],
        [0.7490196078431373, 'rgb(250,161,150)'],
        [0.7529411764705882, 'rgb(250,160,149)'],
        [0.7568627450980392, 'rgb(250,159,147)'],
        [0.7607843137254902, 'rgb(250,158,146)'],
        [0.7647058823529411, 'rgb(250,156,145)'],
        [0.7686274509803922, 'rgb(250,155,143)'],
        [0.7725490196078432, 'rgb(250,154,142)'],
        [0.7764705882352941, 'rgb(250,153,141)'],
        [0.7803921568627451, 'rgb(249,151,139)'],
        [0.7843137254901961, 'rgb(249,150,138)'],
        [0.788235294117647, 'rgb(249,149,137)'],
        [0.792156862745098, 'rgb(249,147,135)'],
        [0.796078431372549, 'rgb(249,146,134)'],
        [0.8, 'rgb(249,145,133)'],
        [0.803921568627451, 'rgb(249,144,132)'],
        [0.807843137254902, 'rgb(249,142,130)'],
        [0.8117647058823529, 'rgb(249,141,129)'],
        [0.8156862745098039, 'rgb(248,140,128)'],
        [0.8196078431372549, 'rgb(248,138,126)'],
        [0.8235294117647058, 'rgb(248,137,125)'],
        [0.8274509803921568, 'rgb(248,136,124)'],
        [0.8313725490196079, 'rgb(248,134,122)'],
        [0.8352941176470589, 'rgb(248,133,121)'],
        [0.8392156862745098, 'rgb(247,132,120)'],
        [0.8431372549019608, 'rgb(247,130,118)'],
        [0.8470588235294118, 'rgb(247,129,117)'],
        [0.8509803921568627, 'rgb(247,128,116)'],
        [0.8549019607843137, 'rgb(247,126,115)'],
        [0.8588235294117647, 'rgb(247,125,113)'],
        [0.8627450980392157, 'rgb(246,124,112)'],
        [0.8666666666666667, 'rgb(246,122,111)'],
        [0.8705882352941177, 'rgb(246,121,109)'],
        [0.8745098039215686, 'rgb(246,120,108)'],
        [0.8784313725490196, 'rgb(246,118,107)'],
        [0.8823529411764706, 'rgb(245,117,106)'],
        [0.8862745098039215, 'rgb(245,116,104)'],
        [0.8901960784313725, 'rgb(245,114,103)'],
        [0.8941176470588236, 'rgb(245,113,102)'],
        [0.8980392156862745, 'rgb(244,111,100)'],
        [0.9019607843137255, 'rgb(244,110,99)'],
        [0.9058823529411765, 'rgb(244,109,98)'],
        [0.9098039215686274, 'rgb(244,107,97)'],
        [0.9137254901960784, 'rgb(243,106,95)'],
        [0.9176470588235294, 'rgb(243,104,94)'],
        [0.9215686274509803, 'rgb(243,103,93)'],
        [0.9254901960784314, 'rgb(243,101,92)'],
        [0.9294117647058824, 'rgb(242,100,90)'],
        [0.9333333333333333, 'rgb(242,98,89)'],
        [0.9372549019607843, 'rgb(242,97,88)'],
        [0.9411764705882353, 'rgb(242,95,87)'],
        [0.9450980392156862, 'rgb(241,94,85)'],
        [0.9490196078431372, 'rgb(241,92,84)'],
        [0.9529411764705882, 'rgb(241,91,83)'],
        [0.9568627450980393, 'rgb(240,89,82)'],
        [0.9607843137254902, 'rgb(240,88,80)'],
        [0.9647058823529412, 'rgb(240,86,79)'],
        [0.9686274509803922, 'rgb(240,85,78)'],
        [0.9725490196078431, 'rgb(239,83,77)'],
        [0.9764705882352941, 'rgb(239,81,75)'],
        [0.9803921568627451, 'rgb(239,80,74)'],
        [0.984313725490196, 'rgb(238,78,73)'],
        [0.9882352941176471, 'rgb(238,76,72)'],
        [0.9921568627450981, 'rgb(238,75,71)'],
        [0.996078431372549, 'rgb(237,73,69)'],
        [1.0, 'rgb(237,71,68)'],
    ],
    'cet.diverging_gwv_55_95_c39': [
        [0.0, 'rgb(57,151,14)'],
        [0.00392156862745098, 'rgb(59,151,18)'],
        [0.00784313725490196, 'rgb(61,152,21)'],
        [0.011764705882352941, 'rgb(63,153,24)'],
        [0.01568627450980392, 'rgb(64,154,26)'],
        [0.0196078431372549, 'rgb(66,154,29)'],
        [0.023529411764705882, 'rgb(68,155,31)'],
        [0.027450980392156862, 'rgb(70,156,34)'],
        [0.03137254901960784, 'rgb(72,156,36)'],
        [0.03529411764705882, 'rgb(74,157,38)'],
        [0.0392156862745098, 'rgb(75,158,40)'],
        [0.043137254901960784, 'rgb(77,159,42)'],
        [0.047058823529411764, 'rgb(79,159,44)'],
        [0.050980392156862744, 'rgb(81,160,46)'],
        [0.054901960784313725, 'rgb(82,161,48)'],
        [0.058823529411764705, 'rgb(84,161,50)'],
        [0.06274509803921569, 'rgb(86,162,52)'],
        [0.06666666666666667, 'rgb(87,163,54)'],
        [0.07058823529411765, 'rgb(89,164,56)'],
        [0.07450980392156863, 'rgb(90,164,57)'],
        [0.0784313725490196, 'rgb(92,165,59)'],
        [0.08235294117647059, 'rgb(94,166,61)'],
        [0.08627450980392157, 'rgb(95,166,63)'],
        [0.09019607843137255, 'rgb(97,167,65)'],
        [0.09411764705882353, 'rgb(98,168,66)'],
        [0.09803921568627451, 'rgb(100,169,68)'],
        [0.10196078431372549, 'rgb(101,169,70)'],
        [0.10588235294117647, 'rgb(103,170,71)'],
        [0.10980392156862745, 'rgb(104,171,73)'],
        [0.11372549019607843, 'rgb(106,171,75)'],
        [0.11764705882352941, 'rgb(107,172,77)'],
        [0.12156862745098039, 'rgb(109,173,78)'],
        [0.12549019607843137, 'rgb(110,174,80)'],
        [0.12941176470588237, 'rgb(112,174,82)'],
        [0.13333333333333333, 'rgb(113,175,83)'],
        [0.13725490196078433, 'rgb(115,176,85)'],
        [0.1411764705882353, 'rgb(116,176,87)'],
        [0.1450980392156863, 'rgb(118,177,88)'],
        [0.14901960784313725, 'rgb(119,178,90)'],
        [0.15294117647058825, 'rgb(121,178,92)'],
        [0.1568627450980392, 'rgb(122,179,93)'],
        [0.1607843137254902, 'rgb(124,180,95)'],
        [0.16470588235294117, 'rgb(125,181,97)'],
        [0.16862745098039217, 'rgb(126,181,98)'],
        [0.17254901960784313, 'rgb(128,182,100)'],
        [0.17647058823529413, 'rgb(129,183,102)'],
        [0.1803921568627451, 'rgb(131,183,103)'],
        [0.1843137254901961, 'rgb(132,184,105)'],
        [0.18823529411764706, 'rgb(133,185,106)'],
        [0.19215686274509805, 'rgb(135,186,108)'],
        [0.19607843137254902, 'rgb(136,186,110)'],
        [0.2, 'rgb(138,187,111)'],
        [0.20392156862745098, 'rgb(139,188,113)'],
        [0.20784313725490197, 'rgb(140,188,115)'],
        [0.21176470588235294, 'rgb(142,189,116)'],
        [0.21568627450980393, 'rgb(143,190,118)'],
        [0.2196078431372549, 'rgb(145,190,120)'],
        [0.2235294117647059, 'rgb(146,191,121)'],
        [0.22745098039215686, 'rgb(147,192,123)'],
        [0.23137254901960785, 'rgb(149,193,124)'],
        [0.23529411764705882, 'rgb(150,193,126)'],
        [0.23921568627450981, 'rgb(151,194,128)'],
        [0.24313725490196078, 'rgb(153,195,129)'],
        [0.24705882352941178, 'rgb(154,195,131)'],
        [0.25098039215686274, 'rgb(155,196,133)'],
        [0.2549019607843137, 'rgb(157,197,134)'],
        [0.25882352941176473, 'rgb(158,197,136)'],
        [0.2627450980392157, 'rgb(160,198,138)'],
        [0.26666666666666666, 'rgb(161,199,139)'],
        [0.27058823529411763, 'rgb(162,200,141)'],
        [0.27450980392156865, 'rgb(164,200,142)'],
        [0.2784313725490196, 'rgb(165,201,144)'],
        [0.2823529411764706, 'rgb(166,202,146)'],
        [0.28627450980392155, 'rgb(168,202,147)'],
        [0.2901960784313726, 'rgb(169,203,149)'],
        [0.29411764705882354, 'rgb(170,204,151)'],
        [0.2980392156862745, 'rgb(172,204,152)'],
        [0.30196078431372547, 'rgb(173,205,154)'],
        [0.3058823529411765, 'rgb(174,206,156)'],
        [0.30980392156862746, 'rgb(176,206,157)'],
        [0.3137254901960784, 'rgb(177,207,159)'],
        [0.3176470588235294, 'rgb(178,208,161)'],
        [0.3215686274509804, 'rgb(180,209,162)'],
        [0.3254901960784314, 'rgb(181,209,164)'],
        [0.32941176470588235, 'rgb(182,210,166)'],
        [0.3333333333333333, 'rgb(184,211,167)'],
        [0.33725490196078434, 'rgb(185,211,169)'],
        [0.3411764705882353, 'rgb(186,212,171)'],
        [0.34509803921568627, 'rgb(188,213,172)'],
        [0.34901960784313724, 'rgb(189,213,174)'],
        [0.35294117647058826, 'rgb(190,214,176)'],
        [0.3568627450980392, 'rgb(192,215,177)'],
        [0.3607843137254902, 'rgb(193,216,179)'],
        [0.36470588235294116, 'rgb(194,216,181)'],
        [0.3686274509803922, 'rgb(196,217,182)'],
        [0.37254901960784315, 'rgb(197,218,184)'],
        [0.3764705882352941, 'rgb(198,218,186)'],
        [0.3803921568627451, 'rgb(199,219,187)'],
        [0.3843137254901961, 'rgb(201,220,189)'],
        [0.38823529411764707, 'rgb(202,220,191)'],
        [0.39215686274509803, 'rgb(203,221,192)'],
        [0.396078431372549, 'rgb(205,222,194)'],
        [0.4, 'rgb(206,222,196)'],
        [0.403921568627451, 'rgb(207,223,197)'],
        [0.40784313725490196, 'rgb(209,224,199)'],
        [0.4117647058823529, 'rgb(210,224,201)'],
        [0.41568627450980394, 'rgb(211,225,202)'],
        [0.4196078431372549, 'rgb(213,226,204)'],
        [0.4235294117647059, 'rgb(214,227,206)'],
        [0.42745098039215684, 'rgb(215,227,207)'],
        [0.43137254901960786, 'rgb(217,228,209)'],
        [0.43529411764705883, 'rgb(218,229,211)'],
        [0.4392156862745098, 'rgb(219,229,212)'],
        [0.44313725490196076, 'rgb(220,230,214)'],
        [0.4470588235294118, 'rgb(222,231,216)'],
        [0.45098039215686275, 'rgb(223,231,218)'],
        [0.4549019607843137, 'rgb(224,232,219)'],
        [0.4588235294117647, 'rgb(225,232,221)'],
        [0.4627450980392157, 'rgb(227,233,222)'],
        [0.4666666666666667, 'rgb(228,233,224)'],
        [0.47058823529411764, 'rgb(229,234,226)'],
        [0.4745098039215686, 'rgb(230,234,227)'],
        [0.47843137254901963, 'rgb(231,235,228)'],
        [0.4823529411764706, 'rgb(232,235,230)'],
        [0.48627450980392156, 'rgb(233,235,231)'],
        [0.49019607843137253, 'rgb(234,235,232)'],
        [0.49411764705882355, 'rgb(234,235,233)'],
        [0.4980392156862745, 'rgb(235,235,234)'],
        [0.5019607843137255, 'rgb(236,235,235)'],
        [0.5058823529411764, 'rgb(236,234,236)'],
        [0.5098039215686274, 'rgb(236,234,237)'],
        [0.5137254901960784, 'rgb(237,233,237)'],
        [0.5176470588235295, 'rgb(237,233,238)'],
        [0.5215686274509804, 'rgb(237,232,238)'],
        [0.5254901960784314, 'rgb(237,231,239)'],
        [0.5294117647058824, 'rgb(237,230,239)'],
        [0.5333333333333333, 'rgb(237,229,239)'],
        [0.5372549019607843, 'rgb(237,228,239)'],
        [0.5411764705882353, 'rgb(236,227,239)'],
        [0.5450980392156862, 'rgb(236,226,240)'],
        [0.5490196078431373, 'rgb(236,225,240)'],
        [0.5529411764705883, 'rgb(236,224,240)'],
        [0.5568627450980392, 'rgb(235,223,240)'],
        [0.5607843137254902, 'rgb(235,222,240)'],
        [0.5647058823529412, 'rgb(235,221,239)'],
        [0.5686274509803921, 'rgb(234,220,239)'],
        [0.5725490196078431, 'rgb(234,218,239)'],
        [0.5764705882352941, 'rgb(234,217,239)'],
        [0.5803921568627451, 'rgb(233,216,239)'],
        [0.5843137254901961, 'rgb(233,215,239)'],
        [0.5882352941176471, 'rgb(233,214,239)'],
        [0.592156862745098, 'rgb(232,213,239)'],
        [0.596078431372549, 'rgb(232,212,239)'],
        [0.6, 'rgb(231,210,239)'],
        [0.6039215686274509, 'rgb(231,209,239)'],
        [0.6078431372549019, 'rgb(231,208,239)'],
        [0.611764705882353, 'rgb(230,207,239)'],
        [0.615686274509804, 'rgb(230,206,239)'],
        [0.6196078431372549, 'rgb(230,205,238)'],
        [0.6235294117647059, 'rgb(229,204,238)'],
        [0.6274509803921569, 'rgb(229,202,238)'],
        [0.6313725490196078, 'rgb(228,201,238)'],
        [0.6352941176470588, 'rgb(228,200,238)'],
        [0.6392156862745098, 'rgb(228,199,238)'],
        [0.6431372549019608, 'rgb(227,198,238)'],
        [0.6470588235294118, 'rgb(227,197,238)'],
        [0.6509803921568628, 'rgb(226,196,238)'],
        [0.6549019607843137, 'rgb(226,194,238)'],
        [0.6588235294117647, 'rgb(226,193,238)'],
        [0.6627450980392157, 'rgb(225,192,238)'],
        [0.6666666666666666, 'rgb(225,191,237)'],
        [0.6705882352941176, 'rgb(224,190,237)'],
        [0.6745098039215687, 'rgb(224,189,237)'],
        [0.6784313725490196, 'rgb(224,187,237)'],
        [0.6823529411764706, 'rgb(223,186,237)'],
        [0.6862745098039216, 'rgb(223,185,237)'],
        [0.6901960784313725, 'rgb(222,184,237)'],
        [0.6941176470588235, 'rgb(222,183,237)'],
        [0.6980392156862745, 'rgb(222,182,237)'],
        [0.7019607843137254, 'rgb(221,181,237)'],
        [0.7058823529411765, 'rgb(221,179,237)'],
        [0.7098039215686275, 'rgb(220,178,237)'],
        [0.7137254901960784, 'rgb(220,177,236)'],
        [0.7176470588235294, 'rgb(219,176,236)'],
        [0.7215686274509804, 'rgb(219,175,236)'],
        [0.7254901960784313, 'rgb(219,174,236)'],
        [0.7294117647058823, 'rgb(218,173,236)'],
        [0.7333333333333333, 'rgb(218,171,236)'],
        [0.7372549019607844, 'rgb(217,170,236)'],
        [0.7411764705882353, 'rgb(217,169,236)'],
        [0.7450980392156863, 'rgb(216,168,236)'],
        [0.7490196078431373, 'rgb(216,167,236)'],
        [0.7529411764705882, 'rgb(216,166,235)'],
        [0.7568627450980392, 'rgb(215,164,235)'],
        [0.7607843137254902, 'rgb(215,163,235)'],
        [0.7647058823529411, 'rgb(214,162,235)'],
        [0.7686274509803922, 'rgb(214,161,235)'],
        [0.7725490196078432, 'rgb(213,160,235)'],
        [0.7764705882352941, 'rgb(213,159,235)'],
        [0.7803921568627451, 'rgb(212,158,235)'],
        [0.7843137254901961, 'rgb(212,156,235)'],
        [0.788235294117647, 'rgb(211,155,235)'],
        [0.792156862745098, 'rgb(211,154,234)'],
        [0.796078431372549, 'rgb(211,153,234)'],
        [0.8, 'rgb(210,152,234)'],
        [0.803921568627451, 'rgb(210,151,234)'],
        [0.807843137254902, 'rgb(209,149,234)'],
        [0.8117647058823529, 'rgb(209,148,234)'],
        [0.8156862745098039, 'rgb(208,147,234)'],
        [0.8196078431372549, 'rgb(208,146,234)'],
        [0.8235294117647058, 'rgb(207,145,234)'],
        [0.8274509803921568, 'rgb(207,144,234)'],
        [0.8313725490196079, 'rgb(206,142,233)'],
        [0.8352941176470589, 'rgb(206,141,233)'],
        [0.8392156862745098, 'rgb(205,140,233)'],
        [0.8431372549019608, 'rgb(205,139,233)'],
        [0.8470588235294118, 'rgb(204,138,233)'],
        [0.8509803921568627, 'rgb(204,136,233)'],
        [0.8549019607843137, 'rgb(203,135,233)'],
        [0.8588235294117647, 'rgb(203,134,233)'],
        [0.8627450980392157, 'rgb(202,133,233)'],
        [0.8666666666666667, 'rgb(202,132,232)'],
        [0.8705882352941177, 'rgb(201,130,232)'],
        [0.8745098039215686, 'rgb(201,129,232)'],
        [0.8784313725490196, 'rgb(200,128,232)'],
        [0.8823529411764706, 'rgb(200,127,232)'],
        [0.8862745098039215, 'rgb(199,126,232)'],
        [0.8901960784313725, 'rgb(199,124,232)'],
        [0.8941176470588236, 'rgb(198,123,232)'],
        [0.8980392156862745, 'rgb(198,122,231)'],
        [0.9019607843137255, 'rgb(197,121,231)'],
        [0.9058823529411765, 'rgb(197,120,231)'],
        [0.9098039215686274, 'rgb(196,118,231)'],
        [0.9137254901960784, 'rgb(196,117,231)'],
        [0.9176470588235294, 'rgb(195,116,231)'],
        [0.9215686274509803, 'rgb(195,115,231)'],
        [0.9254901960784314, 'rgb(194,114,231)'],
        [0.9294117647058824, 'rgb(194,112,231)'],
        [0.9333333333333333, 'rgb(193,111,230)'],
        [0.9372549019607843, 'rgb(193,110,230)'],
        [0.9411764705882353, 'rgb(192,109,230)'],
        [0.9450980392156862, 'rgb(191,107,230)'],
        [0.9490196078431372, 'rgb(191,106,230)'],
        [0.9529411764705882, 'rgb(190,105,230)'],
        [0.9568627450980393, 'rgb(190,104,230)'],
        [0.9607843137254902, 'rgb(189,102,230)'],
        [0.9647058823529412, 'rgb(189,101,229)'],
        [0.9686274509803922, 'rgb(188,100,229)'],
        [0.9725490196078431, 'rgb(188,98,229)'],
        [0.9764705882352941, 'rgb(187,97,229)'],
        [0.9803921568627451, 'rgb(186,96,229)'],
        [0.984313725490196, 'rgb(186,94,229)'],
        [0.9882352941176471, 'rgb(185,93,229)'],
        [0.9921568627450981, 'rgb(185,92,228)'],
        [0.996078431372549, 'rgb(184,91,228)'],
        [1.0, 'rgb(184,89,228)'],
    ],
    'cet.diverging_isoluminant_cjm_75_c23': [
        [0.0, 'rgb(0,201,255)'],
        [0.00392156862745098, 'rgb(0,200,255)'],
        [0.00784313725490196, 'rgb(0,200,254)'],
        [0.011764705882352941, 'rgb(0,200,254)'],
        [0.01568627450980392, 'rgb(0,200,253)'],
        [0.0196078431372549, 'rgb(0,200,253)'],
        [0.023529411764705882, 'rgb(0,200,252)'],
        [0.027450980392156862, 'rgb(13,200,252)'],
        [0.03137254901960784, 'rgb(23,200,251)'],
        [0.03529411764705882, 'rgb(29,200,250)'],
        [0.0392156862745098, 'rgb(35,199,250)'],
        [0.043137254901960784, 'rgb(40,199,249)'],
        [0.047058823529411764, 'rgb(44,199,249)'],
        [0.050980392156862744, 'rgb(48,199,248)'],
        [0.054901960784313725, 'rgb(51,199,248)'],
        [0.058823529411764705, 'rgb(55,199,247)'],
        [0.06274509803921569, 'rgb(58,199,247)'],
        [0.06666666666666667, 'rgb(61,199,246)'],
        [0.07058823529411765, 'rgb(64,198,245)'],
        [0.07450980392156863, 'rgb(66,198,245)'],
        [0.0784313725490196, 'rgb(69,198,244)'],
        [0.08235294117647059, 'rgb(71,198,244)'],
        [0.08627450980392157, 'rgb(73,198,243)'],
        [0.09019607843137255, 'rgb(76,198,243)'],
        [0.09411764705882353, 'rgb(78,198,242)'],
        [0.09803921568627451, 'rgb(80,198,241)'],
        [0.10196078431372549, 'rgb(82,197,241)'],
        [0.10588235294117647, 'rgb(84,197,240)'],
        [0.10980392156862745, 'rgb(86,197,240)'],
        [0.11372549019607843, 'rgb(87,197,239)'],
        [0.11764705882352941, 'rgb(89,197,239)'],
        [0.12156862745098039, 'rgb(91,197,238)'],
        [0.12549019607843137, 'rgb(93,197,238)'],
        [0.12941176470588237, 'rgb(94,197,237)'],
        [0.13333333333333333, 'rgb(96,197,236)'],
        [0.13725490196078433, 'rgb(98,196,236)'],
        [0.1411764705882353, 'rgb(99,196,235)'],
        [0.1450980392156863, 'rgb(101,196,235)'],
        [0.14901960784313725, 'rgb(102,196,234)'],
        [0.15294117647058825, 'rgb(104,196,234)'],
        [0.1568627450980392, 'rgb(105,196,233)'],
        [0.1607843137254902, 'rgb(107,196,233)'],
        [0.16470588235294117, 'rgb(108,196,232)'],
        [0.16862745098039217, 'rgb(109,195,231)'],
        [0.17254901960784313, 'rgb(111,195,231)'],
        [0.17647058823529413, 'rgb(112,195,230)'],
        [0.1803921568627451, 'rgb(113,195,230)'],
        [0.1843137254901961, 'rgb(115,195,229)'],
        [0.18823529411764706, 'rgb(116,195,229)'],
        [0.19215686274509805, 'rgb(117,195,228)'],
        [0.19607843137254902, 'rgb(118,195,228)'],
        [0.2, 'rgb(120,194,227)'],
        [0.20392156862745098, 'rgb(121,194,226)'],
        [0.20784313725490197, 'rgb(122,194,226)'],
        [0.21176470588235294, 'rgb(123,194,225)'],
        [0.21568627450980393, 'rgb(124,194,225)'],
        [0.2196078431372549, 'rgb(125,194,224)'],
        [0.2235294117647059, 'rgb(126,194,224)'],
        [0.22745098039215686, 'rgb(128,194,223)'],
        [0.23137254901960785, 'rgb(129,193,223)'],
        [0.23529411764705882, 'rgb(130,193,222)'],
        [0.23921568627450981, 'rgb(131,193,221)'],
        [0.24313725490196078, 'rgb(132,193,221)'],
        [0.24705882352941178, 'rgb(133,193,220)'],
        [0.25098039215686274, 'rgb(134,193,220)'],
        [0.2549019607843137, 'rgb(135,193,219)'],
        [0.25882352941176473, 'rgb(136,193,219)'],
        [0.2627450980392157, 'rgb(137,192,218)'],
        [0.26666666666666666, 'rgb(138,192,218)'],
        [0.27058823529411763, 'rgb(139,192,217)'],
        [0.27450980392156865, 'rgb(140,192,216)'],
        [0.2784313725490196, 'rgb(141,192,216)'],
        [0.2823529411764706, 'rgb(142,192,215)'],
        [0.28627450980392155, 'rgb(143,192,215)'],
        [0.2901960784313726, 'rgb(144,192,214)'],
        [0.29411764705882354, 'rgb(145,191,214)'],
        [0.2980392156862745, 'rgb(146,191,213)'],
        [0.30196078431372547, 'rgb(146,191,213)'],
        [0.3058823529411765, 'rgb(147,191,212)'],
        [0.30980392156862746, 'rgb(148,191,211)'],
        [0.3137254901960784, 'rgb(149,191,211)'],
        [0.3176470588235294, 'rgb(150,191,210)'],
        [0.3215686274509804, 'rgb(151,191,210)'],
        [0.3254901960784314, 'rgb(152,190,209)'],
        [0.32941176470588235, 'rgb(153,190,209)'],
        [0.3333333333333333, 'rgb(153,190,208)'],
        [0.33725490196078434, 'rgb(154,190,208)'],
        [0.3411764705882353, 'rgb(155,190,207)'],
        [0.34509803921568627, 'rgb(156,190,207)'],
        [0.34901960784313724, 'rgb(157,190,206)'],
        [0.35294117647058826, 'rgb(158,190,205)'],
        [0.3568627450980392, 'rgb(158,189,205)'],
        [0.3607843137254902, 'rgb(159,189,204)'],
        [0.36470588235294116, 'rgb(160,189,204)'],
        [0.3686274509803922, 'rgb(161,189,203)'],
        [0.37254901960784315, 'rgb(162,189,203)'],
        [0.3764705882352941, 'rgb(162,189,202)'],
        [0.3803921568627451, 'rgb(163,189,202)'],
        [0.3843137254901961, 'rgb(164,189,201)'],
        [0.38823529411764707, 'rgb(165,188,200)'],
        [0.39215686274509803, 'rgb(165,188,200)'],
        [0.396078431372549, 'rgb(166,188,199)'],
        [0.4, 'rgb(167,188,199)'],
        [0.403921568627451, 'rgb(168,188,198)'],
        [0.40784313725490196, 'rgb(168,188,198)'],
        [0.4117647058823529, 'rgb(169,188,197)'],
        [0.41568627450980394, 'rgb(170,187,197)'],
        [0.4196078431372549, 'rgb(171,187,196)'],
        [0.4235294117647059, 'rgb(171,187,195)'],
        [0.42745098039215684, 'rgb(172,187,195)'],
        [0.43137254901960786, 'rgb(173,187,194)'],
        [0.43529411764705883, 'rgb(173,187,194)'],
        [0.4392156862745098, 'rgb(174,187,193)'],
        [0.44313725490196076, 'rgb(175,187,193)'],
        [0.4470588235294118, 'rgb(175,186,192)'],
        [0.45098039215686275, 'rgb(176,186,192)'],
        [0.4549019607843137, 'rgb(177,186,191)'],
        [0.4588235294117647, 'rgb(178,186,191)'],
        [0.4627450980392157, 'rgb(178,186,190)'],
        [0.4666666666666667, 'rgb(179,186,190)'],
        [0.47058823529411764, 'rgb(179,186,189)'],
        [0.4745098039215686, 'rgb(180,185,189)'],
        [0.47843137254901963, 'rgb(181,185,189)'],
        [0.4823529411764706, 'rgb(181,185,188)'],
        [0.48627450980392156, 'rgb(182,185,188)'],
        [0.49019607843137253, 'rgb(183,185,188)'],
        [0.49411764705882355, 'rgb(183,185,187)'],
        [0.4980392156862745, 'rgb(184,185,187)'],
        [0.5019607843137255, 'rgb(184,184,187)'],
        [0.5058823529411764, 'rgb(185,184,187)'],
        [0.5098039215686274, 'rgb(185,184,187)'],
        [0.5137254901960784, 'rgb(186,184,187)'],
        [0.5176470588235295, 'rgb(186,184,187)'],
        [0.5215686274509804, 'rgb(187,184,187)'],
        [0.5254901960784314, 'rgb(187,183,187)'],
        [0.5294117647058824, 'rgb(188,183,188)'],
        [0.5333333333333333, 'rgb(188,183,188)'],
        [0.5372549019607843, 'rgb(189,183,188)'],
        [0.5411764705882353, 'rgb(189,183,188)'],
        [0.5450980392156862, 'rgb(190,183,189)'],
        [0.5490196078431373, 'rgb(190,182,189)'],
        [0.5529411764705883, 'rgb(191,182,189)'],
        [0.5568627450980392, 'rgb(191,182,190)'],
        [0.5607843137254902, 'rgb(192,182,190)'],
        [0.5647058823529412, 'rgb(192,182,190)'],
        [0.5686274509803921, 'rgb(192,182,191)'],
        [0.5725490196078431, 'rgb(193,181,191)'],
        [0.5764705882352941, 'rgb(193,181,191)'],
        [0.5803921568627451, 'rgb(194,181,192)'],
        [0.5843137254901961, 'rgb(194,181,192)'],
        [0.5882352941176471, 'rgb(195,181,192)'],
        [0.592156862745098, 'rgb(195,180,193)'],
        [0.596078431372549, 'rgb(196,180,193)'],
        [0.6, 'rgb(196,180,193)'],
        [0.6039215686274509, 'rgb(196,180,194)'],
        [0.6078431372549019, 'rgb(197,180,194)'],
        [0.611764705882353, 'rgb(197,180,194)'],
        [0.615686274509804, 'rgb(198,179,195)'],
        [0.6196078431372549, 'rgb(198,179,195)'],
        [0.6235294117647059, 'rgb(199,179,195)'],
        [0.6274509803921569, 'rgb(199,179,196)'],
        [0.6313725490196078, 'rgb(199,179,196)'],
        [0.6352941176470588, 'rgb(200,178,196)'],
        [0.6392156862745098, 'rgb(200,178,197)'],
        [0.6431372549019608, 'rgb(201,178,197)'],
        [0.6470588235294118, 'rgb(201,178,197)'],
        [0.6509803921568628, 'rgb(202,178,198)'],
        [0.6549019607843137, 'rgb(202,178,198)'],
        [0.6588235294117647, 'rgb(202,177,198)'],
        [0.6627450980392157, 'rgb(203,177,199)'],
        [0.6666666666666666, 'rgb(203,177,199)'],
        [0.6705882352941176, 'rgb(204,177,199)'],
        [0.6745098039215687, 'rgb(204,177,200)'],
        [0.6784313725490196, 'rgb(205,176,200)'],
        [0.6823529411764706, 'rgb(205,176,200)'],
        [0.6862745098039216, 'rgb(205,176,201)'],
        [0.6901960784313725, 'rgb(206,176,201)'],
        [0.6941176470588235, 'rgb(206,176,201)'],
        [0.6980392156862745, 'rgb(207,175,202)'],
        [0.7019607843137254, 'rgb(207,175,202)'],
        [0.7058823529411765, 'rgb(207,175,202)'],
        [0.7098039215686275, 'rgb(208,175,203)'],
        [0.7137254901960784, 'rgb(208,175,203)'],
        [0.7176470588235294, 'rgb(209,174,203)'],
        [0.7215686274509804, 'rgb(209,174,204)'],
        [0.7254901960784313, 'rgb(210,174,204)'],
        [0.7294117647058823, 'rgb(210,174,204)'],
        [0.7333333333333333, 'rgb(210,174,205)'],
        [0.7372549019607844, 'rgb(211,173,205)'],
        [0.7411764705882353, 'rgb(211,173,205)'],
        [0.7450980392156863, 'rgb(212,173,206)'],
        [0.7490196078431373, 'rgb(212,173,206)'],
        [0.7529411764705882, 'rgb(212,173,206)'],
        [0.7568627450980392, 'rgb(213,172,207)'],
        [0.7607843137254902, 'rgb(213,172,207)'],
        [0.7647058823529411, 'rgb(214,172,207)'],
        [0.7686274509803922, 'rgb(214,172,208)'],
        [0.7725490196078432, 'rgb(214,172,208)'],
        [0.7764705882352941, 'rgb(215,171,208)'],
        [0.7803921568627451, 'rgb(215,171,209)'],
        [0.7843137254901961, 'rgb(216,171,209)'],
        [0.788235294117647, 'rgb(216,171,209)'],
        [0.792156862745098, 'rgb(217,171,210)'],
        [0.796078431372549, 'rgb(217,170,210)'],
        [0.8, 'rgb(217,170,210)'],
        [0.803921568627451, 'rgb(218,170,211)'],
        [0.807843137254902, 'rgb(218,170,211)'],
        [0.8117647058823529, 'rgb(219,169,212)'],
        [0.8156862745098039, 'rgb(219,169,212)'],
        [0.8196078431372549, 'rgb(219,169,212)'],
        [0.8235294117647058, 'rgb(220,169,213)'],
        [0.8274509803921568, 'rgb(220,169,213)'],
        [0.8313725490196079, 'rgb(221,168,213)'],
        [0.8352941176470589, 'rgb(221,168,214)'],
        [0.8392156862745098, 'rgb(221,168,214)'],
        [0.8431372549019608, 'rgb(222,168,214)'],
        [0.8470588235294118, 'rgb(222,168,215)'],
        [0.8509803921568627, 'rgb(223,167,215)'],
        [0.8549019607843137, 'rgb(223,167,215)'],
        [0.8588235294117647, 'rgb(223,167,216)'],
        [0.8627450980392157, 'rgb(224,167,216)'],
        [0.8666666666666667, 'rgb(224,166,216)'],
        [0.8705882352941177, 'rgb(225,166,217)'],
        [0.8745098039215686, 'rgb(225,166,217)'],
        [0.8784313725490196, 'rgb(225,166,217)'],
        [0.8823529411764706, 'rgb(226,166,218)'],
        [0.8862745098039215, 'rgb(226,165,218)'],
        [0.8901960784313725, 'rgb(227,165,218)'],
        [0.8941176470588236, 'rgb(227,165,219)'],
        [0.8980392156862745, 'rgb(227,165,219)'],
        [0.9019607843137255, 'rgb(228,164,219)'],
        [0.9058823529411765, 'rgb(228,164,220)'],
        [0.9098039215686274, 'rgb(228,164,220)'],
        [0.9137254901960784, 'rgb(229,164,220)'],
        [0.9176470588235294, 'rgb(229,164,221)'],
        [0.9215686274509803, 'rgb(230,163,221)'],
        [0.9254901960784314, 'rgb(230,163,221)'],
        [0.9294117647058824, 'rgb(230,163,222)'],
        [0.9333333333333333, 'rgb(231,163,222)'],
        [0.9372549019607843, 'rgb(231,162,222)'],
        [0.9411764705882353, 'rgb(232,162,223)'],
        [0.9450980392156862, 'rgb(232,162,223)'],
        [0.9490196078431372, 'rgb(232,162,223)'],
        [0.9529411764705882, 'rgb(233,161,224)'],
        [0.9568627450980393, 'rgb(233,161,224)'],
        [0.9607843137254902, 'rgb(234,161,224)'],
        [0.9647058823529412, 'rgb(234,161,225)'],
        [0.9686274509803922, 'rgb(234,160,225)'],
        [0.9725490196078431, 'rgb(235,160,225)'],
        [0.9764705882352941, 'rgb(235,160,226)'],
        [0.9803921568627451, 'rgb(235,160,226)'],
        [0.984313725490196, 'rgb(236,159,226)'],
        [0.9882352941176471, 'rgb(236,159,227)'],
        [0.9921568627450981, 'rgb(237,159,227)'],
        [0.996078431372549, 'rgb(237,159,227)'],
        [1.0, 'rgb(237,158,228)'],
    ],
    'cet.diverging_isoluminant_cjm_75_c24': [
        [0.0, 'rgb(0,203,254)'],
        [0.00392156862745098, 'rgb(0,202,254)'],
        [0.00784313725490196, 'rgb(0,202,253)'],
        [0.011764705882352941, 'rgb(0,202,253)'],
        [0.01568627450980392, 'rgb(0,202,252)'],
        [0.0196078431372549, 'rgb(0,202,251)'],
        [0.023529411764705882, 'rgb(0,202,251)'],
        [0.027450980392156862, 'rgb(0,202,250)'],
        [0.03137254901960784, 'rgb(0,202,250)'],
        [0.03529411764705882, 'rgb(0,201,249)'],
        [0.0392156862745098, 'rgb(0,201,249)'],
        [0.043137254901960784, 'rgb(0,201,248)'],
        [0.047058823529411764, 'rgb(0,201,248)'],
        [0.050980392156862744, 'rgb(0,201,247)'],
        [0.054901960784313725, 'rgb(0,201,246)'],
        [0.058823529411764705, 'rgb(8,201,246)'],
        [0.06274509803921569, 'rgb(20,200,245)'],
        [0.06666666666666667, 'rgb(28,200,245)'],
        [0.07058823529411765, 'rgb(34,200,244)'],
        [0.07450980392156863, 'rgb(39,200,244)'],
        [0.0784313725490196, 'rgb(44,200,243)'],
        [0.08235294117647059, 'rgb(48,200,243)'],
        [0.08627450980392157, 'rgb(51,200,242)'],
        [0.09019607843137255, 'rgb(55,200,242)'],
        [0.09411764705882353, 'rgb(58,199,241)'],
        [0.09803921568627451, 'rgb(61,199,240)'],
        [0.10196078431372549, 'rgb(64,199,240)'],
        [0.10588235294117647, 'rgb(67,199,239)'],
        [0.10980392156862745, 'rgb(69,199,239)'],
        [0.11372549019607843, 'rgb(72,199,238)'],
        [0.11764705882352941, 'rgb(74,199,238)'],
        [0.12156862745098039, 'rgb(77,198,237)'],
        [0.12549019607843137, 'rgb(79,198,237)'],
        [0.12941176470588237, 'rgb(81,198,236)'],
        [0.13333333333333333, 'rgb(83,198,235)'],
        [0.13725490196078433, 'rgb(85,198,235)'],
        [0.1411764705882353, 'rgb(87,198,234)'],
        [0.1450980392156863, 'rgb(89,198,234)'],
        [0.14901960784313725, 'rgb(91,198,233)'],
        [0.15294117647058825, 'rgb(93,197,233)'],
        [0.1568627450980392, 'rgb(94,197,232)'],
        [0.1607843137254902, 'rgb(96,197,232)'],
        [0.16470588235294117, 'rgb(98,197,231)'],
        [0.16862745098039217, 'rgb(99,197,231)'],
        [0.17254901960784313, 'rgb(101,197,230)'],
        [0.17647058823529413, 'rgb(103,197,229)'],
        [0.1803921568627451, 'rgb(104,196,229)'],
        [0.1843137254901961, 'rgb(106,196,228)'],
        [0.18823529411764706, 'rgb(107,196,228)'],
        [0.19215686274509805, 'rgb(109,196,227)'],
        [0.19607843137254902, 'rgb(110,196,227)'],
        [0.2, 'rgb(112,196,226)'],
        [0.20392156862745098, 'rgb(113,196,226)'],
        [0.20784313725490197, 'rgb(114,195,225)'],
        [0.21176470588235294, 'rgb(116,195,225)'],
        [0.21568627450980393, 'rgb(117,195,224)'],
        [0.2196078431372549, 'rgb(118,195,223)'],
        [0.2235294117647059, 'rgb(120,195,223)'],
        [0.22745098039215686, 'rgb(121,195,222)'],
        [0.23137254901960785, 'rgb(122,195,222)'],
        [0.23529411764705882, 'rgb(123,194,221)'],
        [0.23921568627450981, 'rgb(125,194,221)'],
        [0.24313725490196078, 'rgb(126,194,220)'],
        [0.24705882352941178, 'rgb(127,194,220)'],
        [0.25098039215686274, 'rgb(128,194,219)'],
        [0.2549019607843137, 'rgb(129,194,219)'],
        [0.25882352941176473, 'rgb(131,194,218)'],
        [0.2627450980392157, 'rgb(132,194,217)'],
        [0.26666666666666666, 'rgb(133,193,217)'],
        [0.27058823529411763, 'rgb(134,193,216)'],
        [0.27450980392156865, 'rgb(135,193,216)'],
        [0.2784313725490196, 'rgb(136,193,215)'],
        [0.2823529411764706, 'rgb(137,193,215)'],
        [0.28627450980392155, 'rgb(138,193,214)'],
        [0.2901960784313726, 'rgb(139,193,214)'],
        [0.29411764705882354, 'rgb(140,192,213)'],
        [0.2980392156862745, 'rgb(141,192,213)'],
        [0.30196078431372547, 'rgb(142,192,212)'],
        [0.3058823529411765, 'rgb(143,192,211)'],
        [0.30980392156862746, 'rgb(144,192,211)'],
        [0.3137254901960784, 'rgb(145,192,210)'],
        [0.3176470588235294, 'rgb(146,192,210)'],
        [0.3215686274509804, 'rgb(147,191,209)'],
        [0.3254901960784314, 'rgb(148,191,209)'],
        [0.32941176470588235, 'rgb(149,191,208)'],
        [0.3333333333333333, 'rgb(150,191,208)'],
        [0.33725490196078434, 'rgb(151,191,207)'],
        [0.3411764705882353, 'rgb(152,191,207)'],
        [0.34509803921568627, 'rgb(153,191,206)'],
        [0.34901960784313724, 'rgb(154,190,206)'],
        [0.35294117647058826, 'rgb(155,190,205)'],
        [0.3568627450980392, 'rgb(156,190,204)'],
        [0.3607843137254902, 'rgb(157,190,204)'],
        [0.36470588235294116, 'rgb(157,190,203)'],
        [0.3686274509803922, 'rgb(158,190,203)'],
        [0.37254901960784315, 'rgb(159,190,202)'],
        [0.3764705882352941, 'rgb(160,189,202)'],
        [0.3803921568627451, 'rgb(161,189,201)'],
        [0.3843137254901961, 'rgb(162,189,201)'],
        [0.38823529411764707, 'rgb(163,189,200)'],
        [0.39215686274509803, 'rgb(163,189,200)'],
        [0.396078431372549, 'rgb(164,189,199)'],
        [0.4, 'rgb(165,188,198)'],
        [0.403921568627451, 'rgb(166,188,198)'],
        [0.40784313725490196, 'rgb(167,188,197)'],
        [0.4117647058823529, 'rgb(168,188,197)'],
        [0.41568627450980394, 'rgb(168,188,196)'],
        [0.4196078431372549, 'rgb(169,188,196)'],
        [0.4235294117647059, 'rgb(170,188,195)'],
        [0.42745098039215684, 'rgb(171,187,195)'],
        [0.43137254901960786, 'rgb(172,187,194)'],
        [0.43529411764705883, 'rgb(172,187,194)'],
        [0.4392156862745098, 'rgb(173,187,193)'],
        [0.44313725490196076, 'rgb(174,187,193)'],
        [0.4470588235294118, 'rgb(175,187,192)'],
        [0.45098039215686275, 'rgb(175,187,192)'],
        [0.4549019607843137, 'rgb(176,186,191)'],
        [0.4588235294117647, 'rgb(177,186,191)'],
        [0.4627450980392157, 'rgb(178,186,190)'],
        [0.4666666666666667, 'rgb(178,186,190)'],
        [0.47058823529411764, 'rgb(179,186,189)'],
        [0.4745098039215686, 'rgb(180,186,189)'],
        [0.47843137254901963, 'rgb(180,185,188)'],
        [0.4823529411764706, 'rgb(181,185,188)'],
        [0.48627450980392156, 'rgb(182,185,188)'],
        [0.49019607843137253, 'rgb(182,185,188)'],
        [0.49411764705882355, 'rgb(183,185,187)'],
        [0.4980392156862745, 'rgb(184,185,187)'],
        [0.5019607843137255, 'rgb(184,184,187)'],
        [0.5058823529411764, 'rgb(185,184,187)'],
        [0.5098039215686274, 'rgb(185,184,187)'],
        [0.5137254901960784, 'rgb(186,184,187)'],
        [0.5176470588235295, 'rgb(186,184,187)'],
        [0.5215686274509804, 'rgb(187,184,187)'],
        [0.5254901960784314, 'rgb(188,183,188)'],
        [0.5294117647058824, 'rgb(188,183,188)'],
        [0.5333333333333333, 'rgb(189,183,188)'],
        [0.5372549019607843, 'rgb(189,183,188)'],
        [0.5411764705882353, 'rgb(190,183,189)'],
        [0.5450980392156862, 'rgb(190,183,189)'],
        [0.5490196078431373, 'rgb(190,182,189)'],
        [0.5529411764705883, 'rgb(191,182,189)'],
        [0.5568627450980392, 'rgb(191,182,190)'],
        [0.5607843137254902, 'rgb(192,182,190)'],
        [0.5647058823529412, 'rgb(192,182,191)'],
        [0.5686274509803921, 'rgb(193,181,191)'],
        [0.5725490196078431, 'rgb(193,181,191)'],
        [0.5764705882352941, 'rgb(194,181,192)'],
        [0.5803921568627451, 'rgb(194,181,192)'],
        [0.5843137254901961, 'rgb(195,181,192)'],
        [0.5882352941176471, 'rgb(195,180,193)'],
        [0.592156862745098, 'rgb(196,180,193)'],
        [0.596078431372549, 'rgb(196,180,193)'],
        [0.6, 'rgb(196,180,194)'],
        [0.6039215686274509, 'rgb(197,180,194)'],
        [0.6078431372549019, 'rgb(197,180,194)'],
        [0.611764705882353, 'rgb(198,179,195)'],
        [0.615686274509804, 'rgb(198,179,195)'],
        [0.6196078431372549, 'rgb(199,179,195)'],
        [0.6235294117647059, 'rgb(199,179,196)'],
        [0.6274509803921569, 'rgb(200,179,196)'],
        [0.6313725490196078, 'rgb(200,178,196)'],
        [0.6352941176470588, 'rgb(201,178,197)'],
        [0.6392156862745098, 'rgb(201,178,197)'],
        [0.6431372549019608, 'rgb(201,178,198)'],
        [0.6470588235294118, 'rgb(202,178,198)'],
        [0.6509803921568628, 'rgb(202,177,198)'],
        [0.6549019607843137, 'rgb(203,177,199)'],
        [0.6588235294117647, 'rgb(203,177,199)'],
        [0.6627450980392157, 'rgb(204,177,199)'],
        [0.6666666666666666, 'rgb(204,177,200)'],
        [0.6705882352941176, 'rgb(204,176,200)'],
        [0.6745098039215687, 'rgb(205,176,200)'],
        [0.6784313725490196, 'rgb(205,176,201)'],
        [0.6823529411764706, 'rgb(206,176,201)'],
        [0.6862745098039216, 'rgb(206,176,201)'],
        [0.6901960784313725, 'rgb(207,175,202)'],
        [0.6941176470588235, 'rgb(207,175,202)'],
        [0.6980392156862745, 'rgb(208,175,202)'],
        [0.7019607843137254, 'rgb(208,175,203)'],
        [0.7058823529411765, 'rgb(208,175,203)'],
        [0.7098039215686275, 'rgb(209,174,204)'],
        [0.7137254901960784, 'rgb(209,174,204)'],
        [0.7176470588235294, 'rgb(210,174,204)'],
        [0.7215686274509804, 'rgb(210,174,205)'],
        [0.7254901960784313, 'rgb(211,174,205)'],
        [0.7294117647058823, 'rgb(211,173,205)'],
        [0.7333333333333333, 'rgb(211,173,206)'],
        [0.7372549019607844, 'rgb(212,173,206)'],
        [0.7411764705882353, 'rgb(212,173,206)'],
        [0.7450980392156863, 'rgb(213,172,207)'],
        [0.7490196078431373, 'rgb(213,172,207)'],
        [0.7529411764705882, 'rgb(214,172,207)'],
        [0.7568627450980392, 'rgb(214,172,208)'],
        [0.7607843137254902, 'rgb(214,172,208)'],
        [0.7647058823529411, 'rgb(215,171,208)'],
        [0.7686274509803922, 'rgb(215,171,209)'],
        [0.7725490196078432, 'rgb(216,171,209)'],
        [0.7764705882352941, 'rgb(216,171,210)'],
        [0.7803921568627451, 'rgb(217,171,210)'],
        [0.7843137254901961, 'rgb(217,170,210)'],
        [0.788235294117647, 'rgb(217,170,211)'],
        [0.792156862745098, 'rgb(218,170,211)'],
        [0.796078431372549, 'rgb(218,170,211)'],
        [0.8, 'rgb(219,169,212)'],
        [0.803921568627451, 'rgb(219,169,212)'],
        [0.807843137254902, 'rgb(220,169,212)'],
        [0.8117647058823529, 'rgb(220,169,213)'],
        [0.8156862745098039, 'rgb(220,169,213)'],
        [0.8196078431372549, 'rgb(221,168,213)'],
        [0.8235294117647058, 'rgb(221,168,214)'],
        [0.8274509803921568, 'rgb(222,168,214)'],
        [0.8313725490196079, 'rgb(222,168,214)'],
        [0.8352941176470589, 'rgb(222,167,215)'],
        [0.8392156862745098, 'rgb(223,167,215)'],
        [0.8431372549019608, 'rgb(223,167,215)'],
        [0.8470588235294118, 'rgb(224,167,216)'],
        [0.8509803921568627, 'rgb(224,166,216)'],
        [0.8549019607843137, 'rgb(225,166,217)'],
        [0.8588235294117647, 'rgb(225,166,217)'],
        [0.8627450980392157, 'rgb(225,166,217)'],
        [0.8666666666666667, 'rgb(226,166,218)'],
        [0.8705882352941177, 'rgb(226,165,218)'],
        [0.8745098039215686, 'rgb(227,165,218)'],
        [0.8784313725490196, 'rgb(227,165,219)'],
        [0.8823529411764706, 'rgb(227,165,219)'],
        [0.8862745098039215, 'rgb(228,164,219)'],
        [0.8901960784313725, 'rgb(228,164,220)'],
        [0.8941176470588236, 'rgb(229,164,220)'],
        [0.8980392156862745, 'rgb(229,164,220)'],
        [0.9019607843137255, 'rgb(229,163,221)'],
        [0.9058823529411765, 'rgb(230,163,221)'],
        [0.9098039215686274, 'rgb(230,163,221)'],
        [0.9137254901960784, 'rgb(231,163,222)'],
        [0.9176470588235294, 'rgb(231,162,222)'],
        [0.9215686274509803, 'rgb(231,162,223)'],
        [0.9254901960784314, 'rgb(232,162,223)'],
        [0.9294117647058824, 'rgb(232,162,223)'],
        [0.9333333333333333, 'rgb(233,161,224)'],
        [0.9372549019607843, 'rgb(233,161,224)'],
        [0.9411764705882353, 'rgb(234,161,224)'],
        [0.9450980392156862, 'rgb(234,161,225)'],
        [0.9490196078431372, 'rgb(234,160,225)'],
        [0.9529411764705882, 'rgb(235,160,225)'],
        [0.9568627450980393, 'rgb(235,160,226)'],
        [0.9607843137254902, 'rgb(236,160,226)'],
        [0.9647058823529412, 'rgb(236,159,226)'],
        [0.9686274509803922, 'rgb(236,159,227)'],
        [0.9725490196078431, 'rgb(237,159,227)'],
        [0.9764705882352941, 'rgb(237,159,227)'],
        [0.9803921568627451, 'rgb(238,158,228)'],
        [0.984313725490196, 'rgb(238,158,228)'],
        [0.9882352941176471, 'rgb(238,158,228)'],
        [0.9921568627450981, 'rgb(239,158,229)'],
        [0.996078431372549, 'rgb(239,157,229)'],
        [1.0, 'rgb(240,157,230)'],
    ],
    'cet.diverging_isoluminant_cjo_70_c25': [
        [0.0, 'rgb(0,182,255)'],
        [0.00392156862745098, 'rgb(0,182,255)'],
        [0.00784313725490196, 'rgb(0,182,255)'],
        [0.011764705882352941, 'rgb(0,182,255)'],
        [0.01568627450980392, 'rgb(6,182,255)'],
        [0.0196078431372549, 'rgb(17,182,255)'],
        [0.023529411764705882, 'rgb(25,182,254)'],
        [0.027450980392156862, 'rgb(31,182,253)'],
        [0.03137254901960784, 'rgb(36,182,253)'],
        [0.03529411764705882, 'rgb(40,182,252)'],
        [0.0392156862745098, 'rgb(44,181,251)'],
        [0.043137254901960784, 'rgb(47,181,251)'],
        [0.047058823529411764, 'rgb(51,181,250)'],
        [0.050980392156862744, 'rgb(54,181,249)'],
        [0.054901960784313725, 'rgb(57,181,249)'],
        [0.058823529411764705, 'rgb(59,181,248)'],
        [0.06274509803921569, 'rgb(62,181,247)'],
        [0.06666666666666667, 'rgb(64,181,246)'],
        [0.07058823529411765, 'rgb(67,181,246)'],
        [0.07450980392156863, 'rgb(69,181,245)'],
        [0.0784313725490196, 'rgb(71,181,244)'],
        [0.08235294117647059, 'rgb(73,180,244)'],
        [0.08627450980392157, 'rgb(75,180,243)'],
        [0.09019607843137255, 'rgb(77,180,242)'],
        [0.09411764705882353, 'rgb(79,180,242)'],
        [0.09803921568627451, 'rgb(81,180,241)'],
        [0.10196078431372549, 'rgb(82,180,240)'],
        [0.10588235294117647, 'rgb(84,180,240)'],
        [0.10980392156862745, 'rgb(86,180,239)'],
        [0.11372549019607843, 'rgb(87,180,238)'],
        [0.11764705882352941, 'rgb(89,180,237)'],
        [0.12156862745098039, 'rgb(90,180,237)'],
        [0.12549019607843137, 'rgb(92,179,236)'],
        [0.12941176470588237, 'rgb(93,179,235)'],
        [0.13333333333333333, 'rgb(95,179,235)'],
        [0.13725490196078433, 'rgb(96,179,234)'],
        [0.1411764705882353, 'rgb(98,179,233)'],
        [0.1450980392156863, 'rgb(99,179,233)'],
        [0.14901960784313725, 'rgb(100,179,232)'],
        [0.15294117647058825, 'rgb(102,179,231)'],
        [0.1568627450980392, 'rgb(103,179,231)'],
        [0.1607843137254902, 'rgb(104,179,230)'],
        [0.16470588235294117, 'rgb(105,179,229)'],
        [0.16862745098039217, 'rgb(107,178,229)'],
        [0.17254901960784313, 'rgb(108,178,228)'],
        [0.17647058823529413, 'rgb(109,178,227)'],
        [0.1803921568627451, 'rgb(110,178,227)'],
        [0.1843137254901961, 'rgb(111,178,226)'],
        [0.18823529411764706, 'rgb(112,178,225)'],
        [0.19215686274509805, 'rgb(113,178,224)'],
        [0.19607843137254902, 'rgb(115,178,224)'],
        [0.2, 'rgb(116,178,223)'],
        [0.20392156862745098, 'rgb(117,178,222)'],
        [0.20784313725490197, 'rgb(118,178,222)'],
        [0.21176470588235294, 'rgb(119,177,221)'],
        [0.21568627450980393, 'rgb(120,177,220)'],
        [0.2196078431372549, 'rgb(121,177,220)'],
        [0.2235294117647059, 'rgb(122,177,219)'],
        [0.22745098039215686, 'rgb(123,177,218)'],
        [0.23137254901960785, 'rgb(124,177,218)'],
        [0.23529411764705882, 'rgb(125,177,217)'],
        [0.23921568627450981, 'rgb(126,177,216)'],
        [0.24313725490196078, 'rgb(126,177,216)'],
        [0.24705882352941178, 'rgb(127,177,215)'],
        [0.25098039215686274, 'rgb(128,177,214)'],
        [0.2549019607843137, 'rgb(129,176,214)'],
        [0.25882352941176473, 'rgb(130,176,213)'],
        [0.2627450980392157, 'rgb(131,176,212)'],
        [0.26666666666666666, 'rgb(132,176,211)'],
        [0.27058823529411763, 'rgb(133,176,211)'],
        [0.27450980392156865, 'rgb(133,176,210)'],
        [0.2784313725490196, 'rgb(134,176,209)'],
        [0.2823529411764706, 'rgb(135,176,209)'],
        [0.28627450980392155, 'rgb(136,176,208)'],
        [0.2901960784313726, 'rgb(137,176,207)'],
        [0.29411764705882354, 'rgb(138,176,207)'],
        [0.2980392156862745, 'rgb(138,176,206)'],
        [0.30196078431372547, 'rgb(139,175,205)'],
        [0.3058823529411765, 'rgb(140,175,205)'],
        [0.30980392156862746, 'rgb(141,175,204)'],
        [0.3137254901960784, 'rgb(141,175,203)'],
        [0.3176470588235294, 'rgb(142,175,203)'],
        [0.3215686274509804, 'rgb(143,175,202)'],
        [0.3254901960784314, 'rgb(144,175,201)'],
        [0.32941176470588235, 'rgb(144,175,201)'],
        [0.3333333333333333, 'rgb(145,175,200)'],
        [0.33725490196078434, 'rgb(146,175,199)'],
        [0.3411764705882353, 'rgb(147,175,199)'],
        [0.34509803921568627, 'rgb(147,174,198)'],
        [0.34901960784313724, 'rgb(148,174,197)'],
        [0.35294117647058826, 'rgb(149,174,196)'],
        [0.3568627450980392, 'rgb(149,174,196)'],
        [0.3607843137254902, 'rgb(150,174,195)'],
        [0.36470588235294116, 'rgb(151,174,194)'],
        [0.3686274509803922, 'rgb(151,174,194)'],
        [0.37254901960784315, 'rgb(152,174,193)'],
        [0.3764705882352941, 'rgb(153,174,192)'],
        [0.3803921568627451, 'rgb(153,174,192)'],
        [0.3843137254901961, 'rgb(154,174,191)'],
        [0.38823529411764707, 'rgb(155,174,190)'],
        [0.39215686274509803, 'rgb(155,173,190)'],
        [0.396078431372549, 'rgb(156,173,189)'],
        [0.4, 'rgb(157,173,188)'],
        [0.403921568627451, 'rgb(157,173,188)'],
        [0.40784313725490196, 'rgb(158,173,187)'],
        [0.4117647058823529, 'rgb(158,173,186)'],
        [0.41568627450980394, 'rgb(159,173,186)'],
        [0.4196078431372549, 'rgb(160,173,185)'],
        [0.4235294117647059, 'rgb(160,173,184)'],
        [0.42745098039215684, 'rgb(161,173,184)'],
        [0.43137254901960786, 'rgb(161,173,183)'],
        [0.43529411764705883, 'rgb(162,172,182)'],
        [0.4392156862745098, 'rgb(163,172,182)'],
        [0.44313725490196076, 'rgb(163,172,181)'],
        [0.4470588235294118, 'rgb(164,172,180)'],
        [0.45098039215686275, 'rgb(164,172,180)'],
        [0.4549019607843137, 'rgb(165,172,179)'],
        [0.4588235294117647, 'rgb(165,172,178)'],
        [0.4627450980392157, 'rgb(166,172,178)'],
        [0.4666666666666667, 'rgb(167,172,177)'],
        [0.47058823529411764, 'rgb(167,172,176)'],
        [0.4745098039215686, 'rgb(168,172,176)'],
        [0.47843137254901963, 'rgb(168,171,175)'],
        [0.4823529411764706, 'rgb(169,171,174)'],
        [0.48627450980392156, 'rgb(170,171,174)'],
        [0.49019607843137253, 'rgb(170,171,173)'],
        [0.49411764705882355, 'rgb(171,171,172)'],
        [0.4980392156862745, 'rgb(171,171,172)'],
        [0.5019607843137255, 'rgb(172,171,171)'],
        [0.5058823529411764, 'rgb(173,171,171)'],
        [0.5098039215686274, 'rgb(173,170,170)'],
        [0.5137254901960784, 'rgb(174,170,170)'],
        [0.5176470588235295, 'rgb(175,170,169)'],
        [0.5215686274509804, 'rgb(175,170,169)'],
        [0.5254901960784314, 'rgb(176,170,168)'],
        [0.5294117647058824, 'rgb(177,170,167)'],
        [0.5333333333333333, 'rgb(178,169,167)'],
        [0.5372549019607843, 'rgb(178,169,166)'],
        [0.5411764705882353, 'rgb(179,169,166)'],
        [0.5450980392156862, 'rgb(180,169,165)'],
        [0.5490196078431373, 'rgb(180,169,165)'],
        [0.5529411764705883, 'rgb(181,169,164)'],
        [0.5568627450980392, 'rgb(182,168,164)'],
        [0.5607843137254902, 'rgb(182,168,163)'],
        [0.5647058823529412, 'rgb(183,168,163)'],
        [0.5686274509803921, 'rgb(184,168,162)'],
        [0.5725490196078431, 'rgb(185,168,162)'],
        [0.5764705882352941, 'rgb(185,167,162)'],
        [0.5803921568627451, 'rgb(186,167,161)'],
        [0.5843137254901961, 'rgb(187,167,161)'],
        [0.5882352941176471, 'rgb(187,167,160)'],
        [0.592156862745098, 'rgb(188,167,160)'],
        [0.596078431372549, 'rgb(189,167,159)'],
        [0.6, 'rgb(189,166,159)'],
        [0.6039215686274509, 'rgb(190,166,158)'],
        [0.6078431372549019, 'rgb(191,166,158)'],
        [0.611764705882353, 'rgb(191,166,157)'],
        [0.615686274509804, 'rgb(192,166,157)'],
        [0.6196078431372549, 'rgb(193,165,156)'],
        [0.6235294117647059, 'rgb(193,165,156)'],
        [0.6274509803921569, 'rgb(194,165,155)'],
        [0.6313725490196078, 'rgb(195,165,155)'],
        [0.6352941176470588, 'rgb(195,165,154)'],
        [0.6392156862745098, 'rgb(196,164,154)'],
        [0.6431372549019608, 'rgb(197,164,153)'],
        [0.6470588235294118, 'rgb(197,164,153)'],
        [0.6509803921568628, 'rgb(198,164,152)'],
        [0.6549019607843137, 'rgb(198,164,152)'],
        [0.6588235294117647, 'rgb(199,163,151)'],
        [0.6627450980392157, 'rgb(200,163,151)'],
        [0.6666666666666666, 'rgb(200,163,150)'],
        [0.6705882352941176, 'rgb(201,163,150)'],
        [0.6745098039215687, 'rgb(202,163,149)'],
        [0.6784313725490196, 'rgb(202,162,149)'],
        [0.6823529411764706, 'rgb(203,162,148)'],
        [0.6862745098039216, 'rgb(203,162,148)'],
        [0.6901960784313725, 'rgb(204,162,147)'],
        [0.6941176470588235, 'rgb(205,162,147)'],
        [0.6980392156862745, 'rgb(205,161,146)'],
        [0.7019607843137254, 'rgb(206,161,146)'],
        [0.7058823529411765, 'rgb(206,161,145)'],
        [0.7098039215686275, 'rgb(207,161,145)'],
        [0.7137254901960784, 'rgb(208,161,144)'],
        [0.7176470588235294, 'rgb(208,160,144)'],
        [0.7215686274509804, 'rgb(209,160,144)'],
        [0.7254901960784313, 'rgb(209,160,143)'],
        [0.7294117647058823, 'rgb(210,160,143)'],
        [0.7333333333333333, 'rgb(211,160,142)'],
        [0.7372549019607844, 'rgb(211,159,142)'],
        [0.7411764705882353, 'rgb(212,159,141)'],
        [0.7450980392156863, 'rgb(212,159,141)'],
        [0.7490196078431373, 'rgb(213,159,140)'],
        [0.7529411764705882, 'rgb(213,159,140)'],
        [0.7568627450980392, 'rgb(214,158,139)'],
        [0.7607843137254902, 'rgb(215,158,139)'],
        [0.7647058823529411, 'rgb(215,158,138)'],
        [0.7686274509803922, 'rgb(216,158,138)'],
        [0.7725490196078432, 'rgb(216,158,137)'],
        [0.7764705882352941, 'rgb(217,157,137)'],
        [0.7803921568627451, 'rgb(217,157,136)'],
        [0.7843137254901961, 'rgb(218,157,136)'],
        [0.788235294117647, 'rgb(219,157,135)'],
        [0.792156862745098, 'rgb(219,156,135)'],
        [0.796078431372549, 'rgb(220,156,134)'],
        [0.8, 'rgb(220,156,134)'],
        [0.803921568627451, 'rgb(221,156,133)'],
        [0.807843137254902, 'rgb(221,156,133)'],
        [0.8117647058823529, 'rgb(222,155,132)'],
        [0.8156862745098039, 'rgb(222,155,132)'],
        [0.8196078431372549, 'rgb(223,155,131)'],
        [0.8235294117647058, 'rgb(224,155,131)'],
        [0.8274509803921568, 'rgb(224,154,130)'],
        [0.8313725490196079, 'rgb(225,154,130)'],
        [0.8352941176470589, 'rgb(225,154,129)'],
        [0.8392156862745098, 'rgb(226,154,129)'],
        [0.8431372549019608, 'rgb(226,154,128)'],
        [0.8470588235294118, 'rgb(227,153,128)'],
        [0.8509803921568627, 'rgb(227,153,127)'],
        [0.8549019607843137, 'rgb(228,153,127)'],
        [0.8588235294117647, 'rgb(228,153,126)'],
        [0.8627450980392157, 'rgb(229,152,126)'],
        [0.8666666666666667, 'rgb(229,152,125)'],
        [0.8705882352941177, 'rgb(230,152,125)'],
        [0.8745098039215686, 'rgb(230,152,125)'],
        [0.8784313725490196, 'rgb(231,152,124)'],
        [0.8823529411764706, 'rgb(231,151,124)'],
        [0.8862745098039215, 'rgb(232,151,123)'],
        [0.8901960784313725, 'rgb(233,151,123)'],
        [0.8941176470588236, 'rgb(233,151,122)'],
        [0.8980392156862745, 'rgb(234,150,122)'],
        [0.9019607843137255, 'rgb(234,150,121)'],
        [0.9058823529411765, 'rgb(235,150,121)'],
        [0.9098039215686274, 'rgb(235,150,120)'],
        [0.9137254901960784, 'rgb(236,149,120)'],
        [0.9176470588235294, 'rgb(236,149,119)'],
        [0.9215686274509803, 'rgb(237,149,119)'],
        [0.9254901960784314, 'rgb(237,149,118)'],
        [0.9294117647058824, 'rgb(238,149,118)'],
        [0.9333333333333333, 'rgb(238,148,117)'],
        [0.9372549019607843, 'rgb(239,148,117)'],
        [0.9411764705882353, 'rgb(239,148,116)'],
        [0.9450980392156862, 'rgb(240,148,116)'],
        [0.9490196078431372, 'rgb(240,147,115)'],
        [0.9529411764705882, 'rgb(241,147,115)'],
        [0.9568627450980393, 'rgb(241,147,114)'],
        [0.9607843137254902, 'rgb(242,147,114)'],
        [0.9647058823529412, 'rgb(242,146,113)'],
        [0.9686274509803922, 'rgb(243,146,113)'],
        [0.9725490196078431, 'rgb(243,146,112)'],
        [0.9764705882352941, 'rgb(244,146,112)'],
        [0.9803921568627451, 'rgb(244,145,111)'],
        [0.984313725490196, 'rgb(245,145,111)'],
        [0.9882352941176471, 'rgb(245,145,110)'],
        [0.9921568627450981, 'rgb(245,145,110)'],
        [0.996078431372549, 'rgb(246,144,109)'],
        [1.0, 'rgb(246,144,109)'],
    ],
    'cet.diverging_linear_bjr_30_55_c53': [
        [0.0, 'rgb(0,42,215)'],
        [0.00392156862745098, 'rgb(0,43,214)'],
        [0.00784313725490196, 'rgb(0,43,213)'],
        [0.011764705882352941, 'rgb(0,44,212)'],
        [0.01568627450980392, 'rgb(0,44,212)'],
        [0.0196078431372549, 'rgb(0,45,211)'],
        [0.023529411764705882, 'rgb(0,45,210)'],
        [0.027450980392156862, 'rgb(0,46,209)'],
        [0.03137254901960784, 'rgb(7,46,208)'],
        [0.03529411764705882, 'rgb(13,47,207)'],
        [0.0392156862745098, 'rgb(19,47,206)'],
        [0.043137254901960784, 'rgb(23,48,205)'],
        [0.047058823529411764, 'rgb(27,48,204)'],
        [0.050980392156862744, 'rgb(30,49,203)'],
        [0.054901960784313725, 'rgb(33,49,202)'],
        [0.058823529411764705, 'rgb(35,50,201)'],
        [0.06274509803921569, 'rgb(38,50,201)'],
        [0.06666666666666667, 'rgb(40,51,200)'],
        [0.07058823529411765, 'rgb(42,51,199)'],
        [0.07450980392156863, 'rgb(44,52,198)'],
        [0.0784313725490196, 'rgb(46,52,197)'],
        [0.08235294117647059, 'rgb(47,53,196)'],
        [0.08627450980392157, 'rgb(49,53,195)'],
        [0.09019607843137255, 'rgb(51,54,194)'],
        [0.09411764705882353, 'rgb(52,54,193)'],
        [0.09803921568627451, 'rgb(54,55,192)'],
        [0.10196078431372549, 'rgb(55,55,191)'],
        [0.10588235294117647, 'rgb(56,56,191)'],
        [0.10980392156862745, 'rgb(58,56,190)'],
        [0.11372549019607843, 'rgb(59,57,189)'],
        [0.11764705882352941, 'rgb(60,57,188)'],
        [0.12156862745098039, 'rgb(61,57,187)'],
        [0.12549019607843137, 'rgb(62,58,186)'],
        [0.12941176470588237, 'rgb(64,58,185)'],
        [0.13333333333333333, 'rgb(65,59,184)'],
        [0.13725490196078433, 'rgb(66,59,183)'],
        [0.1411764705882353, 'rgb(67,60,182)'],
        [0.1450980392156863, 'rgb(68,60,181)'],
        [0.14901960784313725, 'rgb(69,61,181)'],
        [0.15294117647058825, 'rgb(69,61,180)'],
        [0.1568627450980392, 'rgb(70,62,179)'],
        [0.1607843137254902, 'rgb(71,62,178)'],
        [0.16470588235294117, 'rgb(72,63,177)'],
        [0.16862745098039217, 'rgb(73,63,176)'],
        [0.17254901960784313, 'rgb(74,64,175)'],
        [0.17647058823529413, 'rgb(74,64,174)'],
        [0.1803921568627451, 'rgb(75,64,173)'],
        [0.1843137254901961, 'rgb(76,65,172)'],
        [0.18823529411764706, 'rgb(77,65,172)'],
        [0.19215686274509805, 'rgb(77,66,171)'],
        [0.19607843137254902, 'rgb(78,66,170)'],
        [0.2, 'rgb(79,67,169)'],
        [0.20392156862745098, 'rgb(79,67,168)'],
        [0.20784313725490197, 'rgb(80,68,167)'],
        [0.21176470588235294, 'rgb(81,68,166)'],
        [0.21568627450980393, 'rgb(81,69,165)'],
        [0.2196078431372549, 'rgb(82,69,164)'],
        [0.2235294117647059, 'rgb(82,70,163)'],
        [0.22745098039215686, 'rgb(83,70,163)'],
        [0.23137254901960785, 'rgb(84,70,162)'],
        [0.23529411764705882, 'rgb(84,71,161)'],
        [0.23921568627450981, 'rgb(85,71,160)'],
        [0.24313725490196078, 'rgb(85,72,159)'],
        [0.24705882352941178, 'rgb(86,72,158)'],
        [0.25098039215686274, 'rgb(86,73,157)'],
        [0.2549019607843137, 'rgb(87,73,156)'],
        [0.25882352941176473, 'rgb(87,74,155)'],
        [0.2627450980392157, 'rgb(88,74,155)'],
        [0.26666666666666666, 'rgb(88,74,154)'],
        [0.27058823529411763, 'rgb(88,75,153)'],
        [0.27450980392156865, 'rgb(89,75,152)'],
        [0.2784313725490196, 'rgb(89,76,151)'],
        [0.2823529411764706, 'rgb(90,76,150)'],
        [0.28627450980392155, 'rgb(90,77,149)'],
        [0.2901960784313726, 'rgb(91,77,148)'],
        [0.29411764705882354, 'rgb(91,78,147)'],
        [0.2980392156862745, 'rgb(91,78,146)'],
        [0.30196078431372547, 'rgb(92,78,146)'],
        [0.3058823529411765, 'rgb(92,79,145)'],
        [0.30980392156862746, 'rgb(92,79,144)'],
        [0.3137254901960784, 'rgb(93,80,143)'],
        [0.3176470588235294, 'rgb(93,80,142)'],
        [0.3215686274509804, 'rgb(93,81,141)'],
        [0.3254901960784314, 'rgb(94,81,140)'],
        [0.32941176470588235, 'rgb(94,82,139)'],
        [0.3333333333333333, 'rgb(94,82,138)'],
        [0.33725490196078434, 'rgb(94,82,138)'],
        [0.3411764705882353, 'rgb(95,83,137)'],
        [0.34509803921568627, 'rgb(95,83,136)'],
        [0.34901960784313724, 'rgb(95,84,135)'],
        [0.35294117647058826, 'rgb(96,84,134)'],
        [0.3568627450980392, 'rgb(96,85,133)'],
        [0.3607843137254902, 'rgb(96,85,132)'],
        [0.36470588235294116, 'rgb(96,86,131)'],
        [0.3686274509803922, 'rgb(96,86,130)'],
        [0.37254901960784315, 'rgb(97,86,130)'],
        [0.3764705882352941, 'rgb(97,87,129)'],
        [0.3803921568627451, 'rgb(97,87,128)'],
        [0.3843137254901961, 'rgb(97,88,127)'],
        [0.38823529411764707, 'rgb(98,88,126)'],
        [0.39215686274509803, 'rgb(98,89,125)'],
        [0.396078431372549, 'rgb(98,89,124)'],
        [0.4, 'rgb(98,89,123)'],
        [0.403921568627451, 'rgb(98,90,122)'],
        [0.40784313725490196, 'rgb(98,90,121)'],
        [0.4117647058823529, 'rgb(99,91,121)'],
        [0.41568627450980394, 'rgb(99,91,120)'],
        [0.4196078431372549, 'rgb(99,92,119)'],
        [0.4235294117647059, 'rgb(99,92,118)'],
        [0.42745098039215684, 'rgb(99,92,117)'],
        [0.43137254901960786, 'rgb(99,93,116)'],
        [0.43529411764705883, 'rgb(99,93,115)'],
        [0.4392156862745098, 'rgb(99,94,114)'],
        [0.44313725490196076, 'rgb(99,94,113)'],
        [0.4470588235294118, 'rgb(100,95,113)'],
        [0.45098039215686275, 'rgb(100,95,112)'],
        [0.4549019607843137, 'rgb(100,95,111)'],
        [0.4588235294117647, 'rgb(100,96,110)'],
        [0.4627450980392157, 'rgb(100,96,109)'],
        [0.4666666666666667, 'rgb(100,97,108)'],
        [0.47058823529411764, 'rgb(100,97,107)'],
        [0.4745098039215686, 'rgb(100,98,106)'],
        [0.47843137254901963, 'rgb(100,98,105)'],
        [0.4823529411764706, 'rgb(100,98,104)'],
        [0.48627450980392156, 'rgb(100,99,103)'],
        [0.49019607843137253, 'rgb(100,99,103)'],
        [0.49411764705882355, 'rgb(100,100,102)'],
        [0.4980392156862745, 'rgb(100,100,101)'],
        [0.5019607843137255, 'rgb(101,100,100)'],
        [0.5058823529411764, 'rgb(103,100,99)'],
        [0.5098039215686274, 'rgb(105,100,99)'],
        [0.5137254901960784, 'rgb(106,100,98)'],
        [0.5176470588235295, 'rgb(108,100,97)'],
        [0.5215686274509804, 'rgb(110,100,97)'],
        [0.5254901960784314, 'rgb(111,99,96)'],
        [0.5294117647058824, 'rgb(113,99,96)'],
        [0.5333333333333333, 'rgb(114,99,95)'],
        [0.5372549019607843, 'rgb(116,99,94)'],
        [0.5411764705882353, 'rgb(117,99,94)'],
        [0.5450980392156862, 'rgb(119,99,93)'],
        [0.5490196078431373, 'rgb(120,99,92)'],
        [0.5529411764705883, 'rgb(122,98,92)'],
        [0.5568627450980392, 'rgb(123,98,91)'],
        [0.5607843137254902, 'rgb(125,98,91)'],
        [0.5647058823529412, 'rgb(126,98,90)'],
        [0.5686274509803921, 'rgb(128,98,89)'],
        [0.5725490196078431, 'rgb(129,98,89)'],
        [0.5764705882352941, 'rgb(131,97,88)'],
        [0.5803921568627451, 'rgb(132,97,87)'],
        [0.5843137254901961, 'rgb(134,97,87)'],
        [0.5882352941176471, 'rgb(135,97,86)'],
        [0.592156862745098, 'rgb(136,97,86)'],
        [0.596078431372549, 'rgb(138,96,85)'],
        [0.6, 'rgb(139,96,84)'],
        [0.6039215686274509, 'rgb(140,96,84)'],
        [0.6078431372549019, 'rgb(142,96,83)'],
        [0.611764705882353, 'rgb(143,96,82)'],
        [0.615686274509804, 'rgb(144,95,82)'],
        [0.6196078431372549, 'rgb(146,95,81)'],
        [0.6235294117647059, 'rgb(147,95,81)'],
        [0.6274509803921569, 'rgb(148,95,80)'],
        [0.6313725490196078, 'rgb(150,94,79)'],
        [0.6352941176470588, 'rgb(151,94,79)'],
        [0.6392156862745098, 'rgb(152,94,78)'],
        [0.6431372549019608, 'rgb(154,94,77)'],
        [0.6470588235294118, 'rgb(155,93,77)'],
        [0.6509803921568628, 'rgb(156,93,76)'],
        [0.6549019607843137, 'rgb(158,93,75)'],
        [0.6588235294117647, 'rgb(159,93,75)'],
        [0.6627450980392157, 'rgb(160,92,74)'],
        [0.6666666666666666, 'rgb(161,92,73)'],
        [0.6705882352941176, 'rgb(163,92,73)'],
        [0.6745098039215687, 'rgb(164,91,72)'],
        [0.6784313725490196, 'rgb(165,91,72)'],
        [0.6823529411764706, 'rgb(166,91,71)'],
        [0.6862745098039216, 'rgb(168,91,70)'],
        [0.6901960784313725, 'rgb(169,90,70)'],
        [0.6941176470588235, 'rgb(170,90,69)'],
        [0.6980392156862745, 'rgb(171,90,68)'],
        [0.7019607843137254, 'rgb(173,89,68)'],
        [0.7058823529411765, 'rgb(174,89,67)'],
        [0.7098039215686275, 'rgb(175,89,66)'],
        [0.7137254901960784, 'rgb(176,88,66)'],
        [0.7176470588235294, 'rgb(177,88,65)'],
        [0.7215686274509804, 'rgb(179,88,64)'],
        [0.7254901960784313, 'rgb(180,87,64)'],
        [0.7294117647058823, 'rgb(181,87,63)'],
        [0.7333333333333333, 'rgb(182,86,62)'],
        [0.7372549019607844, 'rgb(183,86,62)'],
        [0.7411764705882353, 'rgb(185,86,61)'],
        [0.7450980392156863, 'rgb(186,85,60)'],
        [0.7490196078431373, 'rgb(187,85,60)'],
        [0.7529411764705882, 'rgb(188,84,59)'],
        [0.7568627450980392, 'rgb(189,84,58)'],
        [0.7607843137254902, 'rgb(191,84,58)'],
        [0.7647058823529411, 'rgb(192,83,57)'],
        [0.7686274509803922, 'rgb(193,83,56)'],
        [0.7725490196078432, 'rgb(194,82,56)'],
        [0.7764705882352941, 'rgb(195,82,55)'],
        [0.7803921568627451, 'rgb(197,81,54)'],
        [0.7843137254901961, 'rgb(198,81,53)'],
        [0.788235294117647, 'rgb(199,80,53)'],
        [0.792156862745098, 'rgb(200,80,52)'],
        [0.796078431372549, 'rgb(201,79,51)'],
        [0.8, 'rgb(202,79,51)'],
        [0.803921568627451, 'rgb(204,78,50)'],
        [0.807843137254902, 'rgb(205,78,49)'],
        [0.8117647058823529, 'rgb(206,77,48)'],
        [0.8156862745098039, 'rgb(207,77,48)'],
        [0.8196078431372549, 'rgb(208,76,47)'],
        [0.8235294117647058, 'rgb(209,76,46)'],
        [0.8274509803921568, 'rgb(210,75,46)'],
        [0.8313725490196079, 'rgb(212,74,45)'],
        [0.8352941176470589, 'rgb(213,74,44)'],
        [0.8392156862745098, 'rgb(214,73,43)'],
        [0.8431372549019608, 'rgb(215,73,43)'],
        [0.8470588235294118, 'rgb(216,72,42)'],
        [0.8509803921568627, 'rgb(217,71,41)'],
        [0.8549019607843137, 'rgb(218,71,40)'],
        [0.8588235294117647, 'rgb(220,70,39)'],
        [0.8627450980392157, 'rgb(221,69,39)'],
        [0.8666666666666667, 'rgb(222,69,38)'],
        [0.8705882352941177, 'rgb(223,68,37)'],
        [0.8745098039215686, 'rgb(224,67,36)'],
        [0.8784313725490196, 'rgb(225,66,35)'],
        [0.8823529411764706, 'rgb(226,65,35)'],
        [0.8862745098039215, 'rgb(228,65,34)'],
        [0.8901960784313725, 'rgb(229,64,33)'],
        [0.8941176470588236, 'rgb(230,63,32)'],
        [0.8980392156862745, 'rgb(231,62,31)'],
        [0.9019607843137255, 'rgb(232,61,30)'],
        [0.9058823529411765, 'rgb(233,60,29)'],
        [0.9098039215686274, 'rgb(234,59,28)'],
        [0.9137254901960784, 'rgb(235,58,27)'],
        [0.9176470588235294, 'rgb(237,57,27)'],
        [0.9215686274509803, 'rgb(238,56,26)'],
        [0.9254901960784314, 'rgb(239,55,25)'],
        [0.9294117647058824, 'rgb(240,54,24)'],
        [0.9333333333333333, 'rgb(241,53,22)'],
        [0.9372549019607843, 'rgb(242,52,21)'],
        [0.9411764705882353, 'rgb(243,51,20)'],
        [0.9450980392156862, 'rgb(244,50,19)'],
        [0.9490196078431372, 'rgb(246,48,18)'],
        [0.9529411764705882, 'rgb(247,47,17)'],
        [0.9568627450980393, 'rgb(248,46,15)'],
        [0.9607843137254902, 'rgb(249,44,14)'],
        [0.9647058823529412, 'rgb(250,43,13)'],
        [0.9686274509803922, 'rgb(251,41,11)'],
        [0.9725490196078431, 'rgb(252,40,9)'],
        [0.9764705882352941, 'rgb(253,38,8)'],
        [0.9803921568627451, 'rgb(255,36,6)'],
        [0.984313725490196, 'rgb(255,34,5)'],
        [0.9882352941176471, 'rgb(255,32,3)'],
        [0.9921568627450981, 'rgb(255,30,1)'],
        [0.996078431372549, 'rgb(255,27,0)'],
        [1.0, 'rgb(255,25,0)'],
    ],
    'cet.diverging_linear_bjy_30_90_c45': [
        [0.0, 'rgb(20,49,193)'],
        [0.00392156862745098, 'rgb(24,50,193)'],
        [0.00784313725490196, 'rgb(28,51,193)'],
        [0.011764705882352941, 'rgb(31,51,192)'],
        [0.01568627450980392, 'rgb(34,52,192)'],
        [0.0196078431372549, 'rgb(37,53,192)'],
        [0.023529411764705882, 'rgb(40,54,191)'],
        [0.027450980392156862, 'rgb(42,54,191)'],
        [0.03137254901960784, 'rgb(45,55,191)'],
        [0.03529411764705882, 'rgb(47,56,190)'],
        [0.0392156862745098, 'rgb(49,57,190)'],
        [0.043137254901960784, 'rgb(51,57,190)'],
        [0.047058823529411764, 'rgb(53,58,189)'],
        [0.050980392156862744, 'rgb(54,59,189)'],
        [0.054901960784313725, 'rgb(56,59,188)'],
        [0.058823529411764705, 'rgb(58,60,188)'],
        [0.06274509803921569, 'rgb(59,61,188)'],
        [0.06666666666666667, 'rgb(61,62,187)'],
        [0.07058823529411765, 'rgb(63,62,187)'],
        [0.07450980392156863, 'rgb(64,63,187)'],
        [0.0784313725490196, 'rgb(66,64,186)'],
        [0.08235294117647059, 'rgb(67,65,186)'],
        [0.08627450980392157, 'rgb(68,65,186)'],
        [0.09019607843137255, 'rgb(70,66,185)'],
        [0.09411764705882353, 'rgb(71,67,185)'],
        [0.09803921568627451, 'rgb(72,68,185)'],
        [0.10196078431372549, 'rgb(74,68,184)'],
        [0.10588235294117647, 'rgb(75,69,184)'],
        [0.10980392156862745, 'rgb(76,70,183)'],
        [0.11372549019607843, 'rgb(77,70,183)'],
        [0.11764705882352941, 'rgb(78,71,183)'],
        [0.12156862745098039, 'rgb(79,72,182)'],
        [0.12549019607843137, 'rgb(81,73,182)'],
        [0.12941176470588237, 'rgb(82,73,182)'],
        [0.13333333333333333, 'rgb(83,74,181)'],
        [0.13725490196078433, 'rgb(84,75,181)'],
        [0.1411764705882353, 'rgb(85,76,181)'],
        [0.1450980392156863, 'rgb(86,76,180)'],
        [0.14901960784313725, 'rgb(87,77,180)'],
        [0.15294117647058825, 'rgb(88,78,180)'],
        [0.1568627450980392, 'rgb(89,79,179)'],
        [0.1607843137254902, 'rgb(90,79,179)'],
        [0.16470588235294117, 'rgb(91,80,178)'],
        [0.16862745098039217, 'rgb(92,81,178)'],
        [0.17254901960784313, 'rgb(93,81,178)'],
        [0.17647058823529413, 'rgb(94,82,177)'],
        [0.1803921568627451, 'rgb(94,83,177)'],
        [0.1843137254901961, 'rgb(95,84,177)'],
        [0.18823529411764706, 'rgb(96,84,176)'],
        [0.19215686274509805, 'rgb(97,85,176)'],
        [0.19607843137254902, 'rgb(98,86,175)'],
        [0.2, 'rgb(99,87,175)'],
        [0.20392156862745098, 'rgb(100,87,175)'],
        [0.20784313725490197, 'rgb(100,88,174)'],
        [0.21176470588235294, 'rgb(101,89,174)'],
        [0.21568627450980393, 'rgb(102,90,174)'],
        [0.2196078431372549, 'rgb(103,90,173)'],
        [0.2235294117647059, 'rgb(104,91,173)'],
        [0.22745098039215686, 'rgb(104,92,173)'],
        [0.23137254901960785, 'rgb(105,93,172)'],
        [0.23529411764705882, 'rgb(106,93,172)'],
        [0.23921568627450981, 'rgb(107,94,171)'],
        [0.24313725490196078, 'rgb(107,95,171)'],
        [0.24705882352941178, 'rgb(108,96,171)'],
        [0.25098039215686274, 'rgb(109,96,170)'],
        [0.2549019607843137, 'rgb(110,97,170)'],
        [0.25882352941176473, 'rgb(110,98,169)'],
        [0.2627450980392157, 'rgb(111,99,169)'],
        [0.26666666666666666, 'rgb(112,99,169)'],
        [0.27058823529411763, 'rgb(112,100,168)'],
        [0.27450980392156865, 'rgb(113,101,168)'],
        [0.2784313725490196, 'rgb(114,102,168)'],
        [0.2823529411764706, 'rgb(115,102,167)'],
        [0.28627450980392155, 'rgb(115,103,167)'],
        [0.2901960784313726, 'rgb(116,104,166)'],
        [0.29411764705882354, 'rgb(117,105,166)'],
        [0.2980392156862745, 'rgb(117,105,166)'],
        [0.30196078431372547, 'rgb(118,106,165)'],
        [0.3058823529411765, 'rgb(118,107,165)'],
        [0.30980392156862746, 'rgb(119,108,165)'],
        [0.3137254901960784, 'rgb(120,108,164)'],
        [0.3176470588235294, 'rgb(120,109,164)'],
        [0.3215686274509804, 'rgb(121,110,163)'],
        [0.3254901960784314, 'rgb(122,111,163)'],
        [0.32941176470588235, 'rgb(122,111,163)'],
        [0.3333333333333333, 'rgb(123,112,162)'],
        [0.33725490196078434, 'rgb(123,113,162)'],
        [0.3411764705882353, 'rgb(124,114,161)'],
        [0.34509803921568627, 'rgb(125,114,161)'],
        [0.34901960784313724, 'rgb(125,115,161)'],
        [0.35294117647058826, 'rgb(126,116,160)'],
        [0.3568627450980392, 'rgb(126,117,160)'],
        [0.3607843137254902, 'rgb(127,117,159)'],
        [0.36470588235294116, 'rgb(127,118,159)'],
        [0.3686274509803922, 'rgb(128,119,159)'],
        [0.37254901960784315, 'rgb(129,120,158)'],
        [0.3764705882352941, 'rgb(129,120,158)'],
        [0.3803921568627451, 'rgb(130,121,157)'],
        [0.3843137254901961, 'rgb(130,122,157)'],
        [0.38823529411764707, 'rgb(131,123,157)'],
        [0.39215686274509803, 'rgb(131,123,156)'],
        [0.396078431372549, 'rgb(132,124,156)'],
        [0.4, 'rgb(132,125,155)'],
        [0.403921568627451, 'rgb(133,126,155)'],
        [0.40784313725490196, 'rgb(133,127,155)'],
        [0.4117647058823529, 'rgb(134,127,154)'],
        [0.41568627450980394, 'rgb(134,128,154)'],
        [0.4196078431372549, 'rgb(135,129,153)'],
        [0.4235294117647059, 'rgb(135,130,153)'],
        [0.42745098039215684, 'rgb(136,130,152)'],
        [0.43137254901960786, 'rgb(136,131,152)'],
        [0.43529411764705883, 'rgb(137,132,152)'],
        [0.4392156862745098, 'rgb(137,133,151)'],
        [0.44313725490196076, 'rgb(138,133,151)'],
        [0.4470588235294118, 'rgb(138,134,150)'],
        [0.45098039215686275, 'rgb(139,135,150)'],
        [0.4549019607843137, 'rgb(139,136,150)'],
        [0.4588235294117647, 'rgb(140,136,149)'],
        [0.4627450980392157, 'rgb(140,137,149)'],
        [0.4666666666666667, 'rgb(141,138,148)'],
        [0.47058823529411764, 'rgb(141,139,148)'],
        [0.4745098039215686, 'rgb(142,140,147)'],
        [0.47843137254901963, 'rgb(142,140,147)'],
        [0.4823529411764706, 'rgb(143,141,147)'],
        [0.48627450980392156, 'rgb(143,142,146)'],
        [0.49019607843137253, 'rgb(143,143,146)'],
        [0.49411764705882355, 'rgb(144,143,145)'],
        [0.4980392156862745, 'rgb(144,144,145)'],
        [0.5019607843137255, 'rgb(145,145,144)'],
        [0.5058823529411764, 'rgb(146,145,144)'],
        [0.5098039215686274, 'rgb(147,146,143)'],
        [0.5137254901960784, 'rgb(148,147,142)'],
        [0.5176470588235295, 'rgb(149,147,142)'],
        [0.5215686274509804, 'rgb(150,148,141)'],
        [0.5254901960784314, 'rgb(151,149,141)'],
        [0.5294117647058824, 'rgb(152,149,140)'],
        [0.5333333333333333, 'rgb(153,150,139)'],
        [0.5372549019607843, 'rgb(154,150,139)'],
        [0.5411764705882353, 'rgb(155,151,138)'],
        [0.5450980392156862, 'rgb(156,152,138)'],
        [0.5490196078431373, 'rgb(157,152,137)'],
        [0.5529411764705883, 'rgb(158,153,136)'],
        [0.5568627450980392, 'rgb(159,153,136)'],
        [0.5607843137254902, 'rgb(160,154,135)'],
        [0.5647058823529412, 'rgb(161,155,134)'],
        [0.5686274509803921, 'rgb(162,155,134)'],
        [0.5725490196078431, 'rgb(163,156,133)'],
        [0.5764705882352941, 'rgb(164,157,133)'],
        [0.5803921568627451, 'rgb(165,157,132)'],
        [0.5843137254901961, 'rgb(166,158,131)'],
        [0.5882352941176471, 'rgb(167,158,131)'],
        [0.592156862745098, 'rgb(168,159,130)'],
        [0.596078431372549, 'rgb(169,160,129)'],
        [0.6, 'rgb(170,160,129)'],
        [0.6039215686274509, 'rgb(170,161,128)'],
        [0.6078431372549019, 'rgb(171,162,127)'],
        [0.611764705882353, 'rgb(172,162,127)'],
        [0.615686274509804, 'rgb(173,163,126)'],
        [0.6196078431372549, 'rgb(174,163,125)'],
        [0.6235294117647059, 'rgb(175,164,125)'],
        [0.6274509803921569, 'rgb(176,165,124)'],
        [0.6313725490196078, 'rgb(177,165,123)'],
        [0.6352941176470588, 'rgb(178,166,123)'],
        [0.6392156862745098, 'rgb(179,167,122)'],
        [0.6431372549019608, 'rgb(179,167,121)'],
        [0.6470588235294118, 'rgb(180,168,121)'],
        [0.6509803921568628, 'rgb(181,169,120)'],
        [0.6549019607843137, 'rgb(182,169,119)'],
        [0.6588235294117647, 'rgb(183,170,119)'],
        [0.6627450980392157, 'rgb(184,170,118)'],
        [0.6666666666666666, 'rgb(185,171,117)'],
        [0.6705882352941176, 'rgb(186,172,117)'],
        [0.6745098039215687, 'rgb(186,172,116)'],
        [0.6784313725490196, 'rgb(187,173,115)'],
        [0.6823529411764706, 'rgb(188,174,115)'],
        [0.6862745098039216, 'rgb(189,174,114)'],
        [0.6901960784313725, 'rgb(190,175,113)'],
        [0.6941176470588235, 'rgb(191,176,112)'],
        [0.6980392156862745, 'rgb(192,176,112)'],
        [0.7019607843137254, 'rgb(192,177,111)'],
        [0.7058823529411765, 'rgb(193,178,110)'],
        [0.7098039215686275, 'rgb(194,178,109)'],
        [0.7137254901960784, 'rgb(195,179,109)'],
        [0.7176470588235294, 'rgb(196,180,108)'],
        [0.7215686274509804, 'rgb(197,180,107)'],
        [0.7254901960784313, 'rgb(198,181,106)'],
        [0.7294117647058823, 'rgb(198,181,106)'],
        [0.7333333333333333, 'rgb(199,182,105)'],
        [0.7372549019607844, 'rgb(200,183,104)'],
        [0.7411764705882353, 'rgb(201,183,103)'],
        [0.7450980392156863, 'rgb(202,184,103)'],
        [0.7490196078431373, 'rgb(203,185,102)'],
        [0.7529411764705882, 'rgb(203,185,101)'],
        [0.7568627450980392, 'rgb(204,186,100)'],
        [0.7607843137254902, 'rgb(205,187,99)'],
        [0.7647058823529411, 'rgb(206,187,99)'],
        [0.7686274509803922, 'rgb(207,188,98)'],
        [0.7725490196078432, 'rgb(207,189,97)'],
        [0.7764705882352941, 'rgb(208,189,96)'],
        [0.7803921568627451, 'rgb(209,190,95)'],
        [0.7843137254901961, 'rgb(210,191,94)'],
        [0.788235294117647, 'rgb(211,191,94)'],
        [0.792156862745098, 'rgb(212,192,93)'],
        [0.796078431372549, 'rgb(212,193,92)'],
        [0.8, 'rgb(213,193,91)'],
        [0.803921568627451, 'rgb(214,194,90)'],
        [0.807843137254902, 'rgb(215,195,89)'],
        [0.8117647058823529, 'rgb(216,195,88)'],
        [0.8156862745098039, 'rgb(216,196,87)'],
        [0.8196078431372549, 'rgb(217,197,86)'],
        [0.8235294117647058, 'rgb(218,197,86)'],
        [0.8274509803921568, 'rgb(219,198,85)'],
        [0.8313725490196079, 'rgb(220,199,84)'],
        [0.8352941176470589, 'rgb(220,199,83)'],
        [0.8392156862745098, 'rgb(221,200,82)'],
        [0.8431372549019608, 'rgb(222,201,81)'],
        [0.8470588235294118, 'rgb(223,201,80)'],
        [0.8509803921568627, 'rgb(223,202,79)'],
        [0.8549019607843137, 'rgb(224,203,78)'],
        [0.8588235294117647, 'rgb(225,203,77)'],
        [0.8627450980392157, 'rgb(226,204,76)'],
        [0.8666666666666667, 'rgb(227,205,75)'],
        [0.8705882352941177, 'rgb(227,205,73)'],
        [0.8745098039215686, 'rgb(228,206,72)'],
        [0.8784313725490196, 'rgb(229,207,71)'],
        [0.8823529411764706, 'rgb(230,207,70)'],
        [0.8862745098039215, 'rgb(231,208,69)'],
        [0.8901960784313725, 'rgb(231,209,68)'],
        [0.8941176470588236, 'rgb(232,209,67)'],
        [0.8980392156862745, 'rgb(233,210,65)'],
        [0.9019607843137255, 'rgb(234,211,64)'],
        [0.9058823529411765, 'rgb(234,211,63)'],
        [0.9098039215686274, 'rgb(235,212,62)'],
        [0.9137254901960784, 'rgb(236,213,60)'],
        [0.9176470588235294, 'rgb(237,214,59)'],
        [0.9215686274509803, 'rgb(237,214,57)'],
        [0.9254901960784314, 'rgb(238,215,56)'],
        [0.9294117647058824, 'rgb(239,216,55)'],
        [0.9333333333333333, 'rgb(240,216,53)'],
        [0.9372549019607843, 'rgb(241,217,51)'],
        [0.9411764705882353, 'rgb(241,218,50)'],
        [0.9450980392156862, 'rgb(242,218,48)'],
        [0.9490196078431372, 'rgb(243,219,46)'],
        [0.9529411764705882, 'rgb(244,220,45)'],
        [0.9568627450980393, 'rgb(244,220,43)'],
        [0.9607843137254902, 'rgb(245,221,41)'],
        [0.9647058823529412, 'rgb(246,222,39)'],
        [0.9686274509803922, 'rgb(247,222,37)'],
        [0.9725490196078431, 'rgb(247,223,34)'],
        [0.9764705882352941, 'rgb(248,224,32)'],
        [0.9803921568627451, 'rgb(249,224,29)'],
        [0.984313725490196, 'rgb(250,225,26)'],
        [0.9882352941176471, 'rgb(250,226,23)'],
        [0.9921568627450981, 'rgb(251,227,19)'],
        [0.996078431372549, 'rgb(252,227,15)'],
        [1.0, 'rgb(253,228,9)'],
    ],
    'cet.diverging_protanopic_deuteranopic_bwy_60_95_c32': [
        [0.0, 'rgb(58,144,254)'],
        [0.00392156862745098, 'rgb(62,145,254)'],
        [0.00784313725490196, 'rgb(65,146,254)'],
        [0.011764705882352941, 'rgb(68,146,254)'],
        [0.01568627450980392, 'rgb(70,147,254)'],
        [0.0196078431372549, 'rgb(73,148,254)'],
        [0.023529411764705882, 'rgb(76,148,254)'],
        [0.027450980392156862, 'rgb(78,149,254)'],
        [0.03137254901960784, 'rgb(80,150,254)'],
        [0.03529411764705882, 'rgb(83,151,253)'],
        [0.0392156862745098, 'rgb(85,151,253)'],
        [0.043137254901960784, 'rgb(87,152,253)'],
        [0.047058823529411764, 'rgb(89,153,253)'],
        [0.050980392156862744, 'rgb(91,153,253)'],
        [0.054901960784313725, 'rgb(94,154,253)'],
        [0.058823529411764705, 'rgb(96,155,253)'],
        [0.06274509803921569, 'rgb(97,155,253)'],
        [0.06666666666666667, 'rgb(99,156,253)'],
        [0.07058823529411765, 'rgb(101,157,253)'],
        [0.07450980392156863, 'rgb(103,158,253)'],
        [0.0784313725490196, 'rgb(105,158,253)'],
        [0.08235294117647059, 'rgb(107,159,253)'],
        [0.08627450980392157, 'rgb(109,160,252)'],
        [0.09019607843137255, 'rgb(110,160,252)'],
        [0.09411764705882353, 'rgb(112,161,252)'],
        [0.09803921568627451, 'rgb(114,162,252)'],
        [0.10196078431372549, 'rgb(115,163,252)'],
        [0.10588235294117647, 'rgb(117,163,252)'],
        [0.10980392156862745, 'rgb(119,164,252)'],
        [0.11372549019607843, 'rgb(120,165,252)'],
        [0.11764705882352941, 'rgb(122,165,252)'],
        [0.12156862745098039, 'rgb(124,166,252)'],
        [0.12549019607843137, 'rgb(125,167,252)'],
        [0.12941176470588237, 'rgb(127,168,251)'],
        [0.13333333333333333, 'rgb(128,168,251)'],
        [0.13725490196078433, 'rgb(130,169,251)'],
        [0.1411764705882353, 'rgb(131,170,251)'],
        [0.1450980392156863, 'rgb(133,171,251)'],
        [0.14901960784313725, 'rgb(134,171,251)'],
        [0.15294117647058825, 'rgb(136,172,251)'],
        [0.1568627450980392, 'rgb(137,173,251)'],
        [0.1607843137254902, 'rgb(139,173,251)'],
        [0.16470588235294117, 'rgb(140,174,251)'],
        [0.16862745098039217, 'rgb(141,175,251)'],
        [0.17254901960784313, 'rgb(143,176,250)'],
        [0.17647058823529413, 'rgb(144,176,250)'],
        [0.1803921568627451, 'rgb(146,177,250)'],
        [0.1843137254901961, 'rgb(147,178,250)'],
        [0.18823529411764706, 'rgb(148,179,250)'],
        [0.19215686274509805, 'rgb(150,179,250)'],
        [0.19607843137254902, 'rgb(151,180,250)'],
        [0.2, 'rgb(152,181,250)'],
        [0.20392156862745098, 'rgb(154,182,250)'],
        [0.20784313725490197, 'rgb(155,182,250)'],
        [0.21176470588235294, 'rgb(156,183,250)'],
        [0.21568627450980393, 'rgb(158,184,249)'],
        [0.2196078431372549, 'rgb(159,185,249)'],
        [0.2235294117647059, 'rgb(160,185,249)'],
        [0.22745098039215686, 'rgb(161,186,249)'],
        [0.23137254901960785, 'rgb(163,187,249)'],
        [0.23529411764705882, 'rgb(164,187,249)'],
        [0.23921568627450981, 'rgb(165,188,249)'],
        [0.24313725490196078, 'rgb(166,189,249)'],
        [0.24705882352941178, 'rgb(168,190,249)'],
        [0.25098039215686274, 'rgb(169,191,249)'],
        [0.2549019607843137, 'rgb(170,191,248)'],
        [0.25882352941176473, 'rgb(171,192,248)'],
        [0.2627450980392157, 'rgb(173,193,248)'],
        [0.26666666666666666, 'rgb(174,194,248)'],
        [0.27058823529411763, 'rgb(175,194,248)'],
        [0.27450980392156865, 'rgb(176,195,248)'],
        [0.2784313725490196, 'rgb(177,196,248)'],
        [0.2823529411764706, 'rgb(179,197,248)'],
        [0.28627450980392155, 'rgb(180,197,248)'],
        [0.2901960784313726, 'rgb(181,198,247)'],
        [0.29411764705882354, 'rgb(182,199,247)'],
        [0.2980392156862745, 'rgb(183,200,247)'],
        [0.30196078431372547, 'rgb(185,200,247)'],
        [0.3058823529411765, 'rgb(186,201,247)'],
        [0.30980392156862746, 'rgb(187,202,247)'],
        [0.3137254901960784, 'rgb(188,203,247)'],
        [0.3176470588235294, 'rgb(189,203,247)'],
        [0.3215686274509804, 'rgb(190,204,247)'],
        [0.3254901960784314, 'rgb(192,205,246)'],
        [0.32941176470588235, 'rgb(193,206,246)'],
        [0.3333333333333333, 'rgb(194,206,246)'],
        [0.33725490196078434, 'rgb(195,207,246)'],
        [0.3411764705882353, 'rgb(196,208,246)'],
        [0.34509803921568627, 'rgb(197,209,246)'],
        [0.34901960784313724, 'rgb(198,210,246)'],
        [0.35294117647058826, 'rgb(199,210,246)'],
        [0.3568627450980392, 'rgb(201,211,246)'],
        [0.3607843137254902, 'rgb(202,212,245)'],
        [0.36470588235294116, 'rgb(203,213,245)'],
        [0.3686274509803922, 'rgb(204,213,245)'],
        [0.37254901960784315, 'rgb(205,214,245)'],
        [0.3764705882352941, 'rgb(206,215,245)'],
        [0.3803921568627451, 'rgb(207,216,245)'],
        [0.3843137254901961, 'rgb(208,217,245)'],
        [0.38823529411764707, 'rgb(209,217,245)'],
        [0.39215686274509803, 'rgb(211,218,244)'],
        [0.396078431372549, 'rgb(212,219,244)'],
        [0.4, 'rgb(213,220,244)'],
        [0.403921568627451, 'rgb(214,220,244)'],
        [0.40784313725490196, 'rgb(215,221,244)'],
        [0.4117647058823529, 'rgb(216,222,244)'],
        [0.41568627450980394, 'rgb(217,223,244)'],
        [0.4196078431372549, 'rgb(218,224,244)'],
        [0.4235294117647059, 'rgb(219,224,243)'],
        [0.42745098039215684, 'rgb(220,225,243)'],
        [0.43137254901960786, 'rgb(221,226,243)'],
        [0.43529411764705883, 'rgb(222,227,243)'],
        [0.4392156862745098, 'rgb(223,228,243)'],
        [0.44313725490196076, 'rgb(224,228,243)'],
        [0.4470588235294118, 'rgb(226,229,243)'],
        [0.45098039215686275, 'rgb(227,230,242)'],
        [0.4549019607843137, 'rgb(228,231,242)'],
        [0.4588235294117647, 'rgb(229,231,242)'],
        [0.4627450980392157, 'rgb(230,232,242)'],
        [0.4666666666666667, 'rgb(231,233,242)'],
        [0.47058823529411764, 'rgb(232,234,241)'],
        [0.4745098039215686, 'rgb(233,234,241)'],
        [0.47843137254901963, 'rgb(234,235,241)'],
        [0.4823529411764706, 'rgb(234,236,240)'],
        [0.48627450980392156, 'rgb(235,236,240)'],
        [0.49019607843137253, 'rgb(236,236,239)'],
        [0.49411764705882355, 'rgb(236,237,238)'],
        [0.4980392156862745, 'rgb(237,237,237)'],
        [0.5019607843137255, 'rgb(237,237,236)'],
        [0.5058823529411764, 'rgb(238,237,235)'],
        [0.5098039215686274, 'rgb(238,236,234)'],
        [0.5137254901960784, 'rgb(238,236,232)'],
        [0.5176470588235295, 'rgb(238,236,231)'],
        [0.5215686274509804, 'rgb(238,235,229)'],
        [0.5254901960784314, 'rgb(237,234,228)'],
        [0.5294117647058824, 'rgb(237,234,226)'],
        [0.5333333333333333, 'rgb(237,233,224)'],
        [0.5372549019607843, 'rgb(236,232,223)'],
        [0.5411764705882353, 'rgb(236,231,221)'],
        [0.5450980392156862, 'rgb(236,231,219)'],
        [0.5490196078431373, 'rgb(235,230,218)'],
        [0.5529411764705883, 'rgb(235,229,216)'],
        [0.5568627450980392, 'rgb(234,228,214)'],
        [0.5607843137254902, 'rgb(234,228,213)'],
        [0.5647058823529412, 'rgb(233,227,211)'],
        [0.5686274509803921, 'rgb(233,226,209)'],
        [0.5725490196078431, 'rgb(233,225,208)'],
        [0.5764705882352941, 'rgb(232,224,206)'],
        [0.5803921568627451, 'rgb(232,224,204)'],
        [0.5843137254901961, 'rgb(231,223,202)'],
        [0.5882352941176471, 'rgb(231,222,201)'],
        [0.592156862745098, 'rgb(230,221,199)'],
        [0.596078431372549, 'rgb(230,220,197)'],
        [0.6, 'rgb(229,220,196)'],
        [0.6039215686274509, 'rgb(229,219,194)'],
        [0.6078431372549019, 'rgb(228,218,192)'],
        [0.611764705882353, 'rgb(228,217,191)'],
        [0.615686274509804, 'rgb(227,216,189)'],
        [0.6196078431372549, 'rgb(227,216,187)'],
        [0.6235294117647059, 'rgb(226,215,186)'],
        [0.6274509803921569, 'rgb(226,214,184)'],
        [0.6313725490196078, 'rgb(226,213,182)'],
        [0.6352941176470588, 'rgb(225,213,181)'],
        [0.6392156862745098, 'rgb(225,212,179)'],
        [0.6431372549019608, 'rgb(224,211,177)'],
        [0.6470588235294118, 'rgb(224,210,176)'],
        [0.6509803921568628, 'rgb(223,209,174)'],
        [0.6549019607843137, 'rgb(223,209,172)'],
        [0.6588235294117647, 'rgb(222,208,171)'],
        [0.6627450980392157, 'rgb(222,207,169)'],
        [0.6666666666666666, 'rgb(221,206,167)'],
        [0.6705882352941176, 'rgb(220,206,166)'],
        [0.6745098039215687, 'rgb(220,205,164)'],
        [0.6784313725490196, 'rgb(219,204,162)'],
        [0.6823529411764706, 'rgb(219,203,161)'],
        [0.6862745098039216, 'rgb(218,203,159)'],
        [0.6901960784313725, 'rgb(218,202,157)'],
        [0.6941176470588235, 'rgb(217,201,156)'],
        [0.6980392156862745, 'rgb(217,200,154)'],
        [0.7019607843137254, 'rgb(216,199,152)'],
        [0.7058823529411765, 'rgb(216,199,151)'],
        [0.7098039215686275, 'rgb(215,198,149)'],
        [0.7137254901960784, 'rgb(215,197,148)'],
        [0.7176470588235294, 'rgb(214,196,146)'],
        [0.7215686274509804, 'rgb(214,196,144)'],
        [0.7254901960784313, 'rgb(213,195,143)'],
        [0.7294117647058823, 'rgb(212,194,141)'],
        [0.7333333333333333, 'rgb(212,193,139)'],
        [0.7372549019607844, 'rgb(211,193,138)'],
        [0.7411764705882353, 'rgb(211,192,136)'],
        [0.7450980392156863, 'rgb(210,191,134)'],
        [0.7490196078431373, 'rgb(210,190,133)'],
        [0.7529411764705882, 'rgb(209,190,131)'],
        [0.7568627450980392, 'rgb(208,189,129)'],
        [0.7607843137254902, 'rgb(208,188,128)'],
        [0.7647058823529411, 'rgb(207,187,126)'],
        [0.7686274509803922, 'rgb(207,187,125)'],
        [0.7725490196078432, 'rgb(206,186,123)'],
        [0.7764705882352941, 'rgb(206,185,121)'],
        [0.7803921568627451, 'rgb(205,184,120)'],
        [0.7843137254901961, 'rgb(204,184,118)'],
        [0.788235294117647, 'rgb(204,183,116)'],
        [0.792156862745098, 'rgb(203,182,115)'],
        [0.796078431372549, 'rgb(203,181,113)'],
        [0.8, 'rgb(202,181,111)'],
        [0.803921568627451, 'rgb(201,180,110)'],
        [0.807843137254902, 'rgb(201,179,108)'],
        [0.8117647058823529, 'rgb(200,178,106)'],
        [0.8156862745098039, 'rgb(199,178,105)'],
        [0.8196078431372549, 'rgb(199,177,103)'],
        [0.8235294117647058, 'rgb(198,176,102)'],
        [0.8274509803921568, 'rgb(198,175,100)'],
        [0.8313725490196079, 'rgb(197,175,98)'],
        [0.8352941176470589, 'rgb(196,174,97)'],
        [0.8392156862745098, 'rgb(196,173,95)'],
        [0.8431372549019608, 'rgb(195,172,93)'],
        [0.8470588235294118, 'rgb(194,172,92)'],
        [0.8509803921568627, 'rgb(194,171,90)'],
        [0.8549019607843137, 'rgb(193,170,88)'],
        [0.8588235294117647, 'rgb(193,169,87)'],
        [0.8627450980392157, 'rgb(192,169,85)'],
        [0.8666666666666667, 'rgb(191,168,83)'],
        [0.8705882352941177, 'rgb(191,167,81)'],
        [0.8745098039215686, 'rgb(190,166,80)'],
        [0.8784313725490196, 'rgb(189,166,78)'],
        [0.8823529411764706, 'rgb(189,165,76)'],
        [0.8862745098039215, 'rgb(188,164,75)'],
        [0.8901960784313725, 'rgb(187,164,73)'],
        [0.8941176470588236, 'rgb(187,163,71)'],
        [0.8980392156862745, 'rgb(186,162,69)'],
        [0.9019607843137255, 'rgb(185,161,68)'],
        [0.9058823529411765, 'rgb(185,161,66)'],
        [0.9098039215686274, 'rgb(184,160,64)'],
        [0.9137254901960784, 'rgb(183,159,62)'],
        [0.9176470588235294, 'rgb(183,159,60)'],
        [0.9215686274509803, 'rgb(182,158,59)'],
        [0.9254901960784314, 'rgb(181,157,57)'],
        [0.9294117647058824, 'rgb(180,156,55)'],
        [0.9333333333333333, 'rgb(180,156,53)'],
        [0.9372549019607843, 'rgb(179,155,51)'],
        [0.9411764705882353, 'rgb(178,154,49)'],
        [0.9450980392156862, 'rgb(178,153,47)'],
        [0.9490196078431372, 'rgb(177,153,45)'],
        [0.9529411764705882, 'rgb(176,152,43)'],
        [0.9568627450980393, 'rgb(176,151,41)'],
        [0.9607843137254902, 'rgb(175,151,39)'],
        [0.9647058823529412, 'rgb(174,150,36)'],
        [0.9686274509803922, 'rgb(173,149,34)'],
        [0.9725490196078431, 'rgb(173,149,32)'],
        [0.9764705882352941, 'rgb(172,148,29)'],
        [0.9803921568627451, 'rgb(171,147,26)'],
        [0.984313725490196, 'rgb(171,146,23)'],
        [0.9882352941176471, 'rgb(170,146,20)'],
        [0.9921568627450981, 'rgb(169,145,17)'],
        [0.996078431372549, 'rgb(168,144,13)'],
        [1.0, 'rgb(168,144,8)'],
    ],
    'cet.diverging_rainbow_bgymr_45_85_c67': [
        [0.0, 'rgb(8,92,248)'],
        [0.00392156862745098, 'rgb(15,95,244)'],
        [0.00784313725490196, 'rgb(19,97,241)'],
        [0.011764705882352941, 'rgb(23,99,237)'],
        [0.01568627450980392, 'rgb(25,101,233)'],
        [0.0196078431372549, 'rgb(27,103,229)'],
        [0.023529411764705882, 'rgb(28,106,225)'],
        [0.027450980392156862, 'rgb(29,108,222)'],
        [0.03137254901960784, 'rgb(29,110,218)'],
        [0.03529411764705882, 'rgb(30,112,214)'],
        [0.0392156862745098, 'rgb(29,114,210)'],
        [0.043137254901960784, 'rgb(29,116,206)'],
        [0.047058823529411764, 'rgb(28,117,203)'],
        [0.050980392156862744, 'rgb(27,119,199)'],
        [0.054901960784313725, 'rgb(25,121,195)'],
        [0.058823529411764705, 'rgb(24,123,191)'],
        [0.06274509803921569, 'rgb(22,125,187)'],
        [0.06666666666666667, 'rgb(20,126,184)'],
        [0.07058823529411765, 'rgb(19,128,180)'],
        [0.07450980392156863, 'rgb(18,130,176)'],
        [0.0784313725490196, 'rgb(18,131,172)'],
        [0.08235294117647059, 'rgb(19,133,168)'],
        [0.08627450980392157, 'rgb(20,134,164)'],
        [0.09019607843137255, 'rgb(23,136,160)'],
        [0.09411764705882353, 'rgb(26,137,156)'],
        [0.09803921568627451, 'rgb(29,138,152)'],
        [0.10196078431372549, 'rgb(32,140,147)'],
        [0.10588235294117647, 'rgb(35,141,143)'],
        [0.10980392156862745, 'rgb(39,142,139)'],
        [0.11372549019607843, 'rgb(42,143,134)'],
        [0.11764705882352941, 'rgb(45,144,130)'],
        [0.12156862745098039, 'rgb(47,146,126)'],
        [0.12549019607843137, 'rgb(50,147,121)'],
        [0.12941176470588237, 'rgb(52,148,117)'],
        [0.13333333333333333, 'rgb(53,149,112)'],
        [0.13725490196078433, 'rgb(55,150,108)'],
        [0.1411764705882353, 'rgb(56,151,103)'],
        [0.1450980392156863, 'rgb(57,152,98)'],
        [0.14901960784313725, 'rgb(58,154,94)'],
        [0.15294117647058825, 'rgb(59,155,89)'],
        [0.1568627450980392, 'rgb(59,156,84)'],
        [0.1607843137254902, 'rgb(59,157,80)'],
        [0.16470588235294117, 'rgb(60,158,75)'],
        [0.16862745098039217, 'rgb(60,159,70)'],
        [0.17254901960784313, 'rgb(60,160,66)'],
        [0.17647058823529413, 'rgb(61,161,61)'],
        [0.1803921568627451, 'rgb(61,162,57)'],
        [0.1843137254901961, 'rgb(62,163,53)'],
        [0.18823529411764706, 'rgb(63,164,49)'],
        [0.19215686274509805, 'rgb(65,165,46)'],
        [0.19607843137254902, 'rgb(66,166,43)'],
        [0.2, 'rgb(68,167,40)'],
        [0.20392156862745098, 'rgb(71,168,38)'],
        [0.20784313725490197, 'rgb(73,168,36)'],
        [0.21176470588235294, 'rgb(76,169,34)'],
        [0.21568627450980393, 'rgb(78,170,33)'],
        [0.2196078431372549, 'rgb(81,170,32)'],
        [0.2235294117647059, 'rgb(84,171,32)'],
        [0.22745098039215686, 'rgb(87,172,31)'],
        [0.23137254901960785, 'rgb(90,172,31)'],
        [0.23529411764705882, 'rgb(92,173,30)'],
        [0.23921568627450981, 'rgb(95,174,30)'],
        [0.24313725490196078, 'rgb(98,174,30)'],
        [0.24705882352941178, 'rgb(101,175,30)'],
        [0.25098039215686274, 'rgb(103,175,29)'],
        [0.2549019607843137, 'rgb(106,176,29)'],
        [0.25882352941176473, 'rgb(108,177,29)'],
        [0.2627450980392157, 'rgb(111,177,29)'],
        [0.26666666666666666, 'rgb(114,178,29)'],
        [0.27058823529411763, 'rgb(116,178,29)'],
        [0.27450980392156865, 'rgb(119,179,28)'],
        [0.2784313725490196, 'rgb(121,180,28)'],
        [0.2823529411764706, 'rgb(123,180,28)'],
        [0.28627450980392155, 'rgb(126,181,28)'],
        [0.2901960784313726, 'rgb(128,181,27)'],
        [0.29411764705882354, 'rgb(131,182,27)'],
        [0.2980392156862745, 'rgb(133,182,27)'],
        [0.30196078431372547, 'rgb(135,183,27)'],
        [0.3058823529411765, 'rgb(138,184,27)'],
        [0.30980392156862746, 'rgb(140,184,26)'],
        [0.3137254901960784, 'rgb(142,185,26)'],
        [0.3176470588235294, 'rgb(145,185,26)'],
        [0.3215686274509804, 'rgb(147,186,26)'],
        [0.3254901960784314, 'rgb(149,186,25)'],
        [0.32941176470588235, 'rgb(151,187,25)'],
        [0.3333333333333333, 'rgb(154,187,25)'],
        [0.33725490196078434, 'rgb(156,188,25)'],
        [0.3411764705882353, 'rgb(158,189,24)'],
        [0.34509803921568627, 'rgb(160,189,24)'],
        [0.34901960784313724, 'rgb(163,190,24)'],
        [0.35294117647058826, 'rgb(165,190,24)'],
        [0.3568627450980392, 'rgb(167,191,23)'],
        [0.3607843137254902, 'rgb(169,191,23)'],
        [0.36470588235294116, 'rgb(171,192,23)'],
        [0.3686274509803922, 'rgb(174,192,22)'],
        [0.37254901960784315, 'rgb(176,193,22)'],
        [0.3764705882352941, 'rgb(178,193,22)'],
        [0.3803921568627451, 'rgb(180,194,21)'],
        [0.3843137254901961, 'rgb(182,194,21)'],
        [0.38823529411764707, 'rgb(184,195,21)'],
        [0.39215686274509803, 'rgb(187,195,20)'],
        [0.396078431372549, 'rgb(189,196,20)'],
        [0.4, 'rgb(191,197,20)'],
        [0.403921568627451, 'rgb(193,197,19)'],
        [0.40784313725490196, 'rgb(195,198,19)'],
        [0.4117647058823529, 'rgb(197,198,19)'],
        [0.41568627450980394, 'rgb(199,199,18)'],
        [0.4196078431372549, 'rgb(202,199,18)'],
        [0.4235294117647059, 'rgb(204,200,18)'],
        [0.42745098039215684, 'rgb(206,200,17)'],
        [0.43137254901960786, 'rgb(208,201,17)'],
        [0.43529411764705883, 'rgb(210,201,16)'],
        [0.4392156862745098, 'rgb(212,202,16)'],
        [0.44313725490196076, 'rgb(214,202,15)'],
        [0.4470588235294118, 'rgb(216,203,15)'],
        [0.45098039215686275, 'rgb(219,203,14)'],
        [0.4549019607843137, 'rgb(221,203,14)'],
        [0.4588235294117647, 'rgb(223,204,14)'],
        [0.4627450980392157, 'rgb(225,204,14)'],
        [0.4666666666666667, 'rgb(227,205,14)'],
        [0.47058823529411764, 'rgb(229,205,14)'],
        [0.4745098039215686, 'rgb(231,205,15)'],
        [0.47843137254901963, 'rgb(233,206,16)'],
        [0.4823529411764706, 'rgb(235,206,18)'],
        [0.48627450980392156, 'rgb(237,206,20)'],
        [0.49019607843137253, 'rgb(239,205,22)'],
        [0.49411764705882355, 'rgb(241,205,25)'],
        [0.4980392156862745, 'rgb(243,205,28)'],
        [0.5019607843137255, 'rgb(244,204,31)'],
        [0.5058823529411764, 'rgb(246,203,35)'],
        [0.5098039215686274, 'rgb(247,202,38)'],
        [0.5137254901960784, 'rgb(248,201,41)'],
        [0.5176470588235295, 'rgb(249,200,45)'],
        [0.5215686274509804, 'rgb(249,199,48)'],
        [0.5254901960784314, 'rgb(250,198,51)'],
        [0.5294117647058824, 'rgb(250,197,54)'],
        [0.5333333333333333, 'rgb(251,195,57)'],
        [0.5372549019607843, 'rgb(251,194,60)'],
        [0.5411764705882353, 'rgb(252,192,63)'],
        [0.5450980392156862, 'rgb(252,191,65)'],
        [0.5490196078431373, 'rgb(252,190,68)'],
        [0.5529411764705883, 'rgb(252,188,70)'],
        [0.5568627450980392, 'rgb(252,187,72)'],
        [0.5607843137254902, 'rgb(253,185,75)'],
        [0.5647058823529412, 'rgb(253,184,77)'],
        [0.5686274509803921, 'rgb(253,182,79)'],
        [0.5725490196078431, 'rgb(253,181,81)'],
        [0.5764705882352941, 'rgb(253,179,83)'],
        [0.5803921568627451, 'rgb(253,178,85)'],
        [0.5843137254901961, 'rgb(254,176,87)'],
        [0.5882352941176471, 'rgb(254,175,89)'],
        [0.592156862745098, 'rgb(254,173,91)'],
        [0.596078431372549, 'rgb(254,172,93)'],
        [0.6, 'rgb(254,170,95)'],
        [0.6039215686274509, 'rgb(254,169,97)'],
        [0.6078431372549019, 'rgb(254,167,99)'],
        [0.611764705882353, 'rgb(254,166,101)'],
        [0.615686274509804, 'rgb(254,164,102)'],
        [0.6196078431372549, 'rgb(254,163,104)'],
        [0.6235294117647059, 'rgb(254,161,106)'],
        [0.6274509803921569, 'rgb(254,160,108)'],
        [0.6313725490196078, 'rgb(255,158,109)'],
        [0.6352941176470588, 'rgb(255,157,111)'],
        [0.6392156862745098, 'rgb(255,155,113)'],
        [0.6431372549019608, 'rgb(255,154,114)'],
        [0.6470588235294118, 'rgb(255,152,116)'],
        [0.6509803921568628, 'rgb(255,151,117)'],
        [0.6549019607843137, 'rgb(255,149,119)'],
        [0.6588235294117647, 'rgb(255,147,121)'],
        [0.6627450980392157, 'rgb(255,146,122)'],
        [0.6666666666666666, 'rgb(255,144,124)'],
        [0.6705882352941176, 'rgb(255,143,125)'],
        [0.6745098039215687, 'rgb(255,141,127)'],
        [0.6784313725490196, 'rgb(254,139,128)'],
        [0.6823529411764706, 'rgb(254,138,130)'],
        [0.6862745098039216, 'rgb(254,136,132)'],
        [0.6901960784313725, 'rgb(254,134,133)'],
        [0.6941176470588235, 'rgb(254,133,135)'],
        [0.6980392156862745, 'rgb(254,131,136)'],
        [0.7019607843137254, 'rgb(254,129,138)'],
        [0.7058823529411765, 'rgb(254,128,139)'],
        [0.7098039215686275, 'rgb(254,126,140)'],
        [0.7137254901960784, 'rgb(254,124,142)'],
        [0.7176470588235294, 'rgb(254,122,143)'],
        [0.7215686274509804, 'rgb(253,121,145)'],
        [0.7254901960784313, 'rgb(253,119,146)'],
        [0.7294117647058823, 'rgb(253,117,148)'],
        [0.7333333333333333, 'rgb(253,115,149)'],
        [0.7372549019607844, 'rgb(253,113,151)'],
        [0.7411764705882353, 'rgb(253,112,152)'],
        [0.7450980392156863, 'rgb(253,110,153)'],
        [0.7490196078431373, 'rgb(252,108,155)'],
        [0.7529411764705882, 'rgb(252,106,156)'],
        [0.7568627450980392, 'rgb(252,104,158)'],
        [0.7607843137254902, 'rgb(252,102,159)'],
        [0.7647058823529411, 'rgb(252,100,160)'],
        [0.7686274509803922, 'rgb(251,98,162)'],
        [0.7725490196078432, 'rgb(251,96,163)'],
        [0.7764705882352941, 'rgb(251,94,164)'],
        [0.7803921568627451, 'rgb(251,92,165)'],
        [0.7843137254901961, 'rgb(250,90,166)'],
        [0.788235294117647, 'rgb(250,88,167)'],
        [0.792156862745098, 'rgb(250,86,168)'],
        [0.796078431372549, 'rgb(250,84,168)'],
        [0.8, 'rgb(249,82,168)'],
        [0.803921568627451, 'rgb(249,80,168)'],
        [0.807843137254902, 'rgb(249,78,167)'],
        [0.8117647058823529, 'rgb(248,76,166)'],
        [0.8156862745098039, 'rgb(248,74,165)'],
        [0.8196078431372549, 'rgb(248,73,163)'],
        [0.8235294117647058, 'rgb(247,71,161)'],
        [0.8274509803921568, 'rgb(247,70,158)'],
        [0.8313725490196079, 'rgb(247,68,156)'],
        [0.8352941176470589, 'rgb(246,67,153)'],
        [0.8392156862745098, 'rgb(246,66,150)'],
        [0.8431372549019608, 'rgb(246,64,146)'],
        [0.8470588235294118, 'rgb(245,63,143)'],
        [0.8509803921568627, 'rgb(245,62,140)'],
        [0.8549019607843137, 'rgb(244,61,136)'],
        [0.8588235294117647, 'rgb(244,60,133)'],
        [0.8627450980392157, 'rgb(243,58,130)'],
        [0.8666666666666667, 'rgb(243,57,126)'],
        [0.8705882352941177, 'rgb(242,56,123)'],
        [0.8745098039215686, 'rgb(241,55,120)'],
        [0.8784313725490196, 'rgb(241,54,116)'],
        [0.8823529411764706, 'rgb(240,52,113)'],
        [0.8862745098039215, 'rgb(240,51,109)'],
        [0.8901960784313725, 'rgb(239,50,106)'],
        [0.8941176470588236, 'rgb(238,49,103)'],
        [0.8980392156862745, 'rgb(238,47,99)'],
        [0.9019607843137255, 'rgb(237,46,96)'],
        [0.9058823529411765, 'rgb(236,45,93)'],
        [0.9098039215686274, 'rgb(235,44,89)'],
        [0.9137254901960784, 'rgb(235,42,86)'],
        [0.9176470588235294, 'rgb(234,41,83)'],
        [0.9215686274509803, 'rgb(233,40,79)'],
        [0.9254901960784314, 'rgb(232,38,76)'],
        [0.9294117647058824, 'rgb(232,37,73)'],
        [0.9333333333333333, 'rgb(231,36,69)'],
        [0.9372549019607843, 'rgb(230,34,66)'],
        [0.9411764705882353, 'rgb(229,33,63)'],
        [0.9450980392156862, 'rgb(228,32,59)'],
        [0.9490196078431372, 'rgb(227,30,56)'],
        [0.9529411764705882, 'rgb(226,29,53)'],
        [0.9568627450980393, 'rgb(226,27,49)'],
        [0.9607843137254902, 'rgb(225,26,46)'],
        [0.9647058823529412, 'rgb(224,24,42)'],
        [0.9686274509803922, 'rgb(223,22,38)'],
        [0.9725490196078431, 'rgb(222,20,35)'],
        [0.9764705882352941, 'rgb(221,19,31)'],
        [0.9803921568627451, 'rgb(220,17,27)'],
        [0.984313725490196, 'rgb(219,15,23)'],
        [0.9882352941176471, 'rgb(218,12,18)'],
        [0.9921568627450981, 'rgb(217,10,12)'],
        [0.996078431372549, 'rgb(216,7,6)'],
        [1.0, 'rgb(215,5,0)'],
    ],
    'cet.diverging_tritanopic_cwr_75_98_c20': [
        [0.0, 'rgb(41,202,231)'],
        [0.00392156862745098, 'rgb(46,202,231)'],
        [0.00784313725490196, 'rgb(50,202,231)'],
        [0.011764705882352941, 'rgb(54,203,231)'],
        [0.01568627450980392, 'rgb(57,203,231)'],
        [0.0196078431372549, 'rgb(60,203,232)'],
        [0.023529411764705882, 'rgb(64,204,232)'],
        [0.027450980392156862, 'rgb(67,204,232)'],
        [0.03137254901960784, 'rgb(70,205,232)'],
        [0.03529411764705882, 'rgb(72,205,232)'],
        [0.0392156862745098, 'rgb(75,205,232)'],
        [0.043137254901960784, 'rgb(78,206,232)'],
        [0.047058823529411764, 'rgb(80,206,233)'],
        [0.050980392156862744, 'rgb(83,207,233)'],
        [0.054901960784313725, 'rgb(85,207,233)'],
        [0.058823529411764705, 'rgb(87,207,233)'],
        [0.06274509803921569, 'rgb(89,208,233)'],
        [0.06666666666666667, 'rgb(92,208,233)'],
        [0.07058823529411765, 'rgb(94,208,234)'],
        [0.07450980392156863, 'rgb(96,209,234)'],
        [0.0784313725490196, 'rgb(98,209,234)'],
        [0.08235294117647059, 'rgb(100,210,234)'],
        [0.08627450980392157, 'rgb(102,210,234)'],
        [0.09019607843137255, 'rgb(104,210,234)'],
        [0.09411764705882353, 'rgb(106,211,234)'],
        [0.09803921568627451, 'rgb(108,211,235)'],
        [0.10196078431372549, 'rgb(110,211,235)'],
        [0.10588235294117647, 'rgb(111,212,235)'],
        [0.10980392156862745, 'rgb(113,212,235)'],
        [0.11372549019607843, 'rgb(115,213,235)'],
        [0.11764705882352941, 'rgb(117,213,235)'],
        [0.12156862745098039, 'rgb(119,213,235)'],
        [0.12549019607843137, 'rgb(120,214,236)'],
        [0.12941176470588237, 'rgb(122,214,236)'],
        [0.13333333333333333, 'rgb(124,214,236)'],
        [0.13725490196078433, 'rgb(125,215,236)'],
        [0.1411764705882353, 'rgb(127,215,236)'],
        [0.1450980392156863, 'rgb(129,216,236)'],
        [0.14901960784313725, 'rgb(130,216,236)'],
        [0.15294117647058825, 'rgb(132,216,237)'],
        [0.1568627450980392, 'rgb(134,217,237)'],
        [0.1607843137254902, 'rgb(135,217,237)'],
        [0.16470588235294117, 'rgb(137,217,237)'],
        [0.16862745098039217, 'rgb(138,218,237)'],
        [0.17254901960784313, 'rgb(140,218,237)'],
        [0.17647058823529413, 'rgb(141,219,237)'],
        [0.1803921568627451, 'rgb(143,219,238)'],
        [0.1843137254901961, 'rgb(144,219,238)'],
        [0.18823529411764706, 'rgb(146,220,238)'],
        [0.19215686274509805, 'rgb(147,220,238)'],
        [0.19607843137254902, 'rgb(149,220,238)'],
        [0.2, 'rgb(150,221,238)'],
        [0.20392156862745098, 'rgb(152,221,238)'],
        [0.20784313725490197, 'rgb(153,222,239)'],
        [0.21176470588235294, 'rgb(155,222,239)'],
        [0.21568627450980393, 'rgb(156,222,239)'],
        [0.2196078431372549, 'rgb(158,223,239)'],
        [0.2235294117647059, 'rgb(159,223,239)'],
        [0.22745098039215686, 'rgb(160,223,239)'],
        [0.23137254901960785, 'rgb(162,224,239)'],
        [0.23529411764705882, 'rgb(163,224,240)'],
        [0.23921568627450981, 'rgb(165,225,240)'],
        [0.24313725490196078, 'rgb(166,225,240)'],
        [0.24705882352941178, 'rgb(167,225,240)'],
        [0.25098039215686274, 'rgb(169,226,240)'],
        [0.2549019607843137, 'rgb(170,226,240)'],
        [0.25882352941176473, 'rgb(172,226,240)'],
        [0.2627450980392157, 'rgb(173,227,241)'],
        [0.26666666666666666, 'rgb(174,227,241)'],
        [0.27058823529411763, 'rgb(176,228,241)'],
        [0.27450980392156865, 'rgb(177,228,241)'],
        [0.2784313725490196, 'rgb(178,228,241)'],
        [0.2823529411764706, 'rgb(180,229,241)'],
        [0.28627450980392155, 'rgb(181,229,241)'],
        [0.2901960784313726, 'rgb(182,229,242)'],
        [0.29411764705882354, 'rgb(184,230,242)'],
        [0.2980392156862745, 'rgb(185,230,242)'],
        [0.30196078431372547, 'rgb(186,230,242)'],
        [0.3058823529411765, 'rgb(188,231,242)'],
        [0.30980392156862746, 'rgb(189,231,242)'],
        [0.3137254901960784, 'rgb(190,232,242)'],
        [0.3176470588235294, 'rgb(191,232,243)'],
        [0.3215686274509804, 'rgb(193,232,243)'],
        [0.3254901960784314, 'rgb(194,233,243)'],
        [0.32941176470588235, 'rgb(195,233,243)'],
        [0.3333333333333333, 'rgb(197,233,243)'],
        [0.33725490196078434, 'rgb(198,234,243)'],
        [0.3411764705882353, 'rgb(199,234,243)'],
        [0.34509803921568627, 'rgb(200,235,244)'],
        [0.34901960784313724, 'rgb(202,235,244)'],
        [0.35294117647058826, 'rgb(203,235,244)'],
        [0.3568627450980392, 'rgb(204,236,244)'],
        [0.3607843137254902, 'rgb(205,236,244)'],
        [0.36470588235294116, 'rgb(207,236,244)'],
        [0.3686274509803922, 'rgb(208,237,244)'],
        [0.37254901960784315, 'rgb(209,237,245)'],
        [0.3764705882352941, 'rgb(210,237,245)'],
        [0.3803921568627451, 'rgb(212,238,245)'],
        [0.3843137254901961, 'rgb(213,238,245)'],
        [0.38823529411764707, 'rgb(214,239,245)'],
        [0.39215686274509803, 'rgb(215,239,245)'],
        [0.396078431372549, 'rgb(216,239,245)'],
        [0.4, 'rgb(218,240,246)'],
        [0.403921568627451, 'rgb(219,240,246)'],
        [0.40784313725490196, 'rgb(220,240,246)'],
        [0.4117647058823529, 'rgb(221,241,246)'],
        [0.41568627450980394, 'rgb(223,241,246)'],
        [0.4196078431372549, 'rgb(224,241,246)'],
        [0.4235294117647059, 'rgb(225,242,246)'],
        [0.42745098039215684, 'rgb(226,242,247)'],
        [0.43137254901960786, 'rgb(227,243,247)'],
        [0.43529411764705883, 'rgb(229,243,247)'],
        [0.4392156862745098, 'rgb(230,243,247)'],
        [0.44313725490196076, 'rgb(231,244,247)'],
        [0.4470588235294118, 'rgb(232,244,247)'],
        [0.45098039215686275, 'rgb(233,244,247)'],
        [0.4549019607843137, 'rgb(235,245,247)'],
        [0.4588235294117647, 'rgb(236,245,248)'],
        [0.4627450980392157, 'rgb(237,245,248)'],
        [0.4666666666666667, 'rgb(238,246,248)'],
        [0.47058823529411764, 'rgb(239,246,248)'],
        [0.4745098039215686, 'rgb(240,246,248)'],
        [0.47843137254901963, 'rgb(242,247,248)'],
        [0.4823529411764706, 'rgb(243,247,248)'],
        [0.48627450980392156, 'rgb(244,247,248)'],
        [0.49019607843137253, 'rgb(245,247,248)'],
        [0.49411764705882355, 'rgb(246,247,247)'],
        [0.4980392156862745, 'rgb(246,247,247)'],
        [0.5019607843137255, 'rgb(247,247,247)'],
        [0.5058823529411764, 'rgb(248,246,246)'],
        [0.5098039215686274, 'rgb(248,246,246)'],
        [0.5137254901960784, 'rgb(249,246,245)'],
        [0.5176470588235295, 'rgb(249,245,244)'],
        [0.5215686274509804, 'rgb(250,245,244)'],
        [0.5254901960784314, 'rgb(250,244,243)'],
        [0.5294117647058824, 'rgb(250,243,242)'],
        [0.5333333333333333, 'rgb(250,243,241)'],
        [0.5372549019607843, 'rgb(251,242,241)'],
        [0.5411764705882353, 'rgb(251,241,240)'],
        [0.5450980392156862, 'rgb(251,241,239)'],
        [0.5490196078431373, 'rgb(251,240,238)'],
        [0.5529411764705883, 'rgb(251,239,237)'],
        [0.5568627450980392, 'rgb(251,239,237)'],
        [0.5607843137254902, 'rgb(251,238,236)'],
        [0.5647058823529412, 'rgb(252,237,235)'],
        [0.5686274509803921, 'rgb(252,237,234)'],
        [0.5725490196078431, 'rgb(252,236,233)'],
        [0.5764705882352941, 'rgb(252,235,233)'],
        [0.5803921568627451, 'rgb(252,235,232)'],
        [0.5843137254901961, 'rgb(252,234,231)'],
        [0.5882352941176471, 'rgb(252,233,230)'],
        [0.592156862745098, 'rgb(252,232,229)'],
        [0.596078431372549, 'rgb(252,232,229)'],
        [0.6, 'rgb(253,231,228)'],
        [0.6039215686274509, 'rgb(253,230,227)'],
        [0.6078431372549019, 'rgb(253,230,226)'],
        [0.611764705882353, 'rgb(253,229,225)'],
        [0.615686274509804, 'rgb(253,228,224)'],
        [0.6196078431372549, 'rgb(253,228,224)'],
        [0.6235294117647059, 'rgb(253,227,223)'],
        [0.6274509803921569, 'rgb(253,226,222)'],
        [0.6313725490196078, 'rgb(253,226,221)'],
        [0.6352941176470588, 'rgb(253,225,220)'],
        [0.6392156862745098, 'rgb(253,224,220)'],
        [0.6431372549019608, 'rgb(254,224,219)'],
        [0.6470588235294118, 'rgb(254,223,218)'],
        [0.6509803921568628, 'rgb(254,222,217)'],
        [0.6549019607843137, 'rgb(254,221,216)'],
        [0.6588235294117647, 'rgb(254,221,216)'],
        [0.6627450980392157, 'rgb(254,220,215)'],
        [0.6666666666666666, 'rgb(254,219,214)'],
        [0.6705882352941176, 'rgb(254,219,213)'],
        [0.6745098039215687, 'rgb(254,218,212)'],
        [0.6784313725490196, 'rgb(254,217,212)'],
        [0.6823529411764706, 'rgb(254,217,211)'],
        [0.6862745098039216, 'rgb(254,216,210)'],
        [0.6901960784313725, 'rgb(254,215,209)'],
        [0.6941176470588235, 'rgb(254,215,208)'],
        [0.6980392156862745, 'rgb(254,214,208)'],
        [0.7019607843137254, 'rgb(254,213,207)'],
        [0.7058823529411765, 'rgb(255,213,206)'],
        [0.7098039215686275, 'rgb(255,212,205)'],
        [0.7137254901960784, 'rgb(255,211,204)'],
        [0.7176470588235294, 'rgb(255,210,204)'],
        [0.7215686274509804, 'rgb(255,210,203)'],
        [0.7254901960784313, 'rgb(255,209,202)'],
        [0.7294117647058823, 'rgb(255,208,201)'],
        [0.7333333333333333, 'rgb(255,208,201)'],
        [0.7372549019607844, 'rgb(255,207,200)'],
        [0.7411764705882353, 'rgb(255,206,199)'],
        [0.7450980392156863, 'rgb(255,206,198)'],
        [0.7490196078431373, 'rgb(255,205,197)'],
        [0.7529411764705882, 'rgb(255,204,197)'],
        [0.7568627450980392, 'rgb(255,204,196)'],
        [0.7607843137254902, 'rgb(255,203,195)'],
        [0.7647058823529411, 'rgb(255,202,194)'],
        [0.7686274509803922, 'rgb(255,202,193)'],
        [0.7725490196078432, 'rgb(255,201,193)'],
        [0.7764705882352941, 'rgb(255,200,192)'],
        [0.7803921568627451, 'rgb(255,199,191)'],
        [0.7843137254901961, 'rgb(255,199,190)'],
        [0.788235294117647, 'rgb(255,198,190)'],
        [0.792156862745098, 'rgb(255,197,189)'],
        [0.796078431372549, 'rgb(255,197,188)'],
        [0.8, 'rgb(255,196,187)'],
        [0.803921568627451, 'rgb(255,195,186)'],
        [0.807843137254902, 'rgb(255,195,186)'],
        [0.8117647058823529, 'rgb(255,194,185)'],
        [0.8156862745098039, 'rgb(255,193,184)'],
        [0.8196078431372549, 'rgb(255,193,183)'],
        [0.8235294117647058, 'rgb(255,192,182)'],
        [0.8274509803921568, 'rgb(255,191,182)'],
        [0.8313725490196079, 'rgb(255,190,181)'],
        [0.8352941176470589, 'rgb(255,190,180)'],
        [0.8392156862745098, 'rgb(255,189,179)'],
        [0.8431372549019608, 'rgb(255,188,179)'],
        [0.8470588235294118, 'rgb(255,188,178)'],
        [0.8509803921568627, 'rgb(255,187,177)'],
        [0.8549019607843137, 'rgb(255,186,176)'],
        [0.8588235294117647, 'rgb(255,186,175)'],
        [0.8627450980392157, 'rgb(255,185,175)'],
        [0.8666666666666667, 'rgb(255,184,174)'],
        [0.8705882352941177, 'rgb(255,184,173)'],
        [0.8745098039215686, 'rgb(255,183,172)'],
        [0.8784313725490196, 'rgb(255,182,172)'],
        [0.8823529411764706, 'rgb(255,181,171)'],
        [0.8862745098039215, 'rgb(255,181,170)'],
        [0.8901960784313725, 'rgb(255,180,169)'],
        [0.8941176470588236, 'rgb(255,179,169)'],
        [0.8980392156862745, 'rgb(254,179,168)'],
        [0.9019607843137255, 'rgb(254,178,167)'],
        [0.9058823529411765, 'rgb(254,177,166)'],
        [0.9098039215686274, 'rgb(254,177,165)'],
        [0.9137254901960784, 'rgb(254,176,165)'],
        [0.9176470588235294, 'rgb(254,175,164)'],
        [0.9215686274509803, 'rgb(254,174,163)'],
        [0.9254901960784314, 'rgb(254,174,162)'],
        [0.9294117647058824, 'rgb(254,173,162)'],
        [0.9333333333333333, 'rgb(254,172,161)'],
        [0.9372549019607843, 'rgb(254,172,160)'],
        [0.9411764705882353, 'rgb(254,171,159)'],
        [0.9450980392156862, 'rgb(254,170,159)'],
        [0.9490196078431372, 'rgb(254,170,158)'],
        [0.9529411764705882, 'rgb(254,169,157)'],
        [0.9568627450980393, 'rgb(254,168,156)'],
        [0.9607843137254902, 'rgb(254,167,156)'],
        [0.9647058823529412, 'rgb(254,167,155)'],
        [0.9686274509803922, 'rgb(253,166,154)'],
        [0.9725490196078431, 'rgb(253,165,153)'],
        [0.9764705882352941, 'rgb(253,165,153)'],
        [0.9803921568627451, 'rgb(253,164,152)'],
        [0.984313725490196, 'rgb(253,163,151)'],
        [0.9882352941176471, 'rgb(253,163,150)'],
        [0.9921568627450981, 'rgb(253,162,150)'],
        [0.996078431372549, 'rgb(253,161,149)'],
        [1.0, 'rgb(253,160,148)'],
    ],
    'cet.glasbey_bw': [
        [0.0, 'rgb(215,0,0)'],
        [0.00392156862745098, 'rgb(140,60,255)'],
        [0.00784313725490196, 'rgb(2,136,0)'],
        [0.011764705882352941, 'rgb(0,172,199)'],
        [0.01568627450980392, 'rgb(152,255,0)'],
        [0.0196078431372549, 'rgb(255,127,209)'],
        [0.023529411764705882, 'rgb(108,0,79)'],
        [0.027450980392156862, 'rgb(255,165,48)'],
        [0.03137254901960784, 'rgb(0,0,157)'],
        [0.03529411764705882, 'rgb(134,112,104)'],
        [0.0392156862745098, 'rgb(0,73,66)'],
        [0.043137254901960784, 'rgb(79,42,0)'],
        [0.047058823529411764, 'rgb(0,253,207)'],
        [0.050980392156862744, 'rgb(188,183,255)'],
        [0.054901960784313725, 'rgb(149,180,122)'],
        [0.058823529411764705, 'rgb(192,4,185)'],
        [0.06274509803921569, 'rgb(37,102,162)'],
        [0.06666666666666667, 'rgb(40,0,65)'],
        [0.07058823529411765, 'rgb(220,179,175)'],
        [0.07450980392156863, 'rgb(254,245,144)'],
        [0.0784313725490196, 'rgb(80,69,91)'],
        [0.08235294117647059, 'rgb(164,124,0)'],
        [0.08627450980392157, 'rgb(255,113,102)'],
        [0.09019607843137255, 'rgb(63,129,110)'],
        [0.09411764705882353, 'rgb(130,0,13)'],
        [0.09803921568627451, 'rgb(163,123,179)'],
        [0.10196078431372549, 'rgb(52,78,0)'],
        [0.10588235294117647, 'rgb(155,228,255)'],
        [0.10980392156862745, 'rgb(235,0,119)'],
        [0.11372549019607843, 'rgb(45,0,10)'],
        [0.11764705882352941, 'rgb(94,144,255)'],
        [0.12156862745098039, 'rgb(0,199,32)'],
        [0.12549019607843137, 'rgb(88,1,170)'],
        [0.12941176470588237, 'rgb(0,30,0)'],
        [0.13333333333333333, 'rgb(154,71,0)'],
        [0.13725490196078433, 'rgb(150,159,166)'],
        [0.1411764705882353, 'rgb(155,66,92)'],
        [0.1450980392156863, 'rgb(0,31,50)'],
        [0.14901960784313725, 'rgb(200,196,0)'],
        [0.15294117647058825, 'rgb(255,208,255)'],
        [0.1568627450980392, 'rgb(0,190,154)'],
        [0.1607843137254902, 'rgb(55,21,255)'],
        [0.16470588235294117, 'rgb(45,37,37)'],
        [0.16862745098039217, 'rgb(223,88,255)'],
        [0.17254901960784313, 'rgb(190,231,192)'],
        [0.17647058823529413, 'rgb(127,69,152)'],
        [0.1803921568627451, 'rgb(82,79,60)'],
        [0.1843137254901961, 'rgb(216,102,0)'],
        [0.18823529411764706, 'rgb(100,116,56)'],
        [0.19215686274509805, 'rgb(193,115,136)'],
        [0.19607843137254902, 'rgb(110,116,138)'],
        [0.2, 'rgb(128,157,3)'],
        [0.20392156862745098, 'rgb(190,139,101)'],
        [0.20784313725490197, 'rgb(99,51,57)'],
        [0.21176470588235294, 'rgb(202,205,218)'],
        [0.21568627450980393, 'rgb(108,235,131)'],
        [0.2196078431372549, 'rgb(34,64,105)'],
        [0.2235294117647059, 'rgb(162,127,255)'],
        [0.22745098039215686, 'rgb(254,3,203)'],
        [0.23137254901960785, 'rgb(118,188,253)'],
        [0.23529411764705882, 'rgb(217,195,130)'],
        [0.23921568627450981, 'rgb(206,163,206)'],
        [0.24313725490196078, 'rgb(109,80,0)'],
        [0.24705882352941178, 'rgb(0,105,116)'],
        [0.25098039215686274, 'rgb(71,159,94)'],
        [0.2549019607843137, 'rgb(148,198,191)'],
        [0.25882352941176473, 'rgb(249,255,0)'],
        [0.2627450980392157, 'rgb(192,84,69)'],
        [0.26666666666666666, 'rgb(0,101,60)'],
        [0.27058823529411763, 'rgb(91,80,168)'],
        [0.27450980392156865, 'rgb(83,32,100)'],
        [0.2784313725490196, 'rgb(79,95,255)'],
        [0.2823529411764706, 'rgb(126,143,119)'],
        [0.28627450980392155, 'rgb(185,8,250)'],
        [0.2901960784313726, 'rgb(139,146,195)'],
        [0.29411764705882354, 'rgb(179,0,53)'],
        [0.2980392156862745, 'rgb(136,96,126)'],
        [0.30196078431372547, 'rgb(159,0,117)'],
        [0.3058823529411765, 'rgb(255,222,196)'],
        [0.30980392156862746, 'rgb(81,8,0)'],
        [0.3137254901960784, 'rgb(26,8,0)'],
        [0.3176470588235294, 'rgb(76,137,182)'],
        [0.3215686274509804, 'rgb(0,223,223)'],
        [0.3254901960784314, 'rgb(200,255,250)'],
        [0.32941176470588235, 'rgb(48,53,21)'],
        [0.3333333333333333, 'rgb(255,39,71)'],
        [0.33725490196078434, 'rgb(255,151,170)'],
        [0.3411764705882353, 'rgb(4,0,26)'],
        [0.34509803921568627, 'rgb(201,96,177)'],
        [0.34901960784313724, 'rgb(195,162,55)'],
        [0.35294117647058826, 'rgb(124,79,58)'],
        [0.3568627450980392, 'rgb(249,158,119)'],
        [0.3607843137254902, 'rgb(86,101,100)'],
        [0.36470588235294116, 'rgb(209,147,255)'],
        [0.3686274509803922, 'rgb(45,31,105)'],
        [0.37254901960784315, 'rgb(65,27,52)'],
        [0.3764705882352941, 'rgb(175,147,152)'],
        [0.3803921568627451, 'rgb(98,158,153)'],
        [0.3843137254901961, 'rgb(189,222,123)'],
        [0.38823529411764707, 'rgb(255,94,148)'],
        [0.39215686274509803, 'rgb(15,41,35)'],
        [0.396078431372549, 'rgb(184,190,172)'],
        [0.4, 'rgb(116,59,101)'],
        [0.403921568627451, 'rgb(16,0,13)'],
        [0.40784313725490196, 'rgb(127,110,189)'],
        [0.4117647058823529, 'rgb(158,107,59)'],
        [0.41568627450980394, 'rgb(255,70,0)'],
        [0.4196078431372549, 'rgb(127,0,135)'],
        [0.4235294117647059, 'rgb(255,206,62)'],
        [0.42745098039215684, 'rgb(48,59,67)'],
        [0.43137254901960786, 'rgb(254,165,255)'],
        [0.43529411764705883, 'rgb(138,2,62)'],
        [0.4392156862745098, 'rgb(118,44,1)'],
        [0.44313725490196076, 'rgb(10,138,150)'],
        [0.4470588235294118, 'rgb(5,0,82)'],
        [0.45098039215686275, 'rgb(142,214,50)'],
        [0.4549019607843137, 'rgb(83,196,115)'],
        [0.4588235294117647, 'rgb(71,89,113)'],
        [0.4627450980392157, 'rgb(88,2,34)'],
        [0.4666666666666667, 'rgb(166,34,1)'],
        [0.47058823529411764, 'rgb(144,147,76)'],
        [0.4745098039215686, 'rgb(0,67,30)'],
        [0.47843137254901963, 'rgb(129,0,209)'],
        [0.4823529411764706, 'rgb(47,38,63)'],
        [0.48627450980392156, 'rgb(191,57,132)'],
        [0.49019607843137253, 'rgb(245,255,213)'],
        [0.49411764705882355, 'rgb(0,211,255)'],
        [0.4980392156862745, 'rgb(106,0,248)'],
        [0.5019607843137255, 'rgb(156,187,210)'],
        [0.5058823529411764, 'rgb(122,217,171)'],
        [0.5098039215686274, 'rgb(105,87,93)'],
        [0.5137254901960784, 'rgb(0,105,5)'],
        [0.5176470588235295, 'rgb(54,54,156)'],
        [0.5215686274509804, 'rgb(1,131,71)'],
        [0.5254901960784314, 'rgb(68,30,24)'],
        [0.5294117647058824, 'rgb(7,165,239)'],
        [0.5333333333333333, 'rgb(255,129,48)'],
        [0.5372549019607843, 'rgb(167,85,184)'],
        [0.5411764705882353, 'rgb(104,90,131)'],
        [0.5450980392156862, 'rgb(115,255,255)'],
        [0.5490196078431373, 'rgb(217,135,2)'],
        [0.5529411764705883, 'rgb(187,211,255)'],
        [0.5568627450980392, 'rgb(142,55,47)'],
        [0.5607843137254902, 'rgb(167,160,128)'],
        [0.5647058823529412, 'rgb(0,125,227)'],
        [0.5686274509803921, 'rgb(142,126,143)'],
        [0.5725490196078431, 'rgb(153,68,136)'],
        [0.5764705882352941, 'rgb(0,241,53)'],
        [0.5803921568627451, 'rgb(174,170,201)'],
        [0.5843137254901961, 'rgb(160,97,98)'],
        [0.5882352941176471, 'rgb(76,58,119)'],
        [0.592156862745098, 'rgb(108,130,131)'],
        [0.596078431372549, 'rgb(241,221,231)'],
        [0.6, 'rgb(255,187,211)'],
        [0.6039215686274509, 'rgb(56,165,35)'],
        [0.6078431372549019, 'rgb(180,255,168)'],
        [0.611764705882353, 'rgb(12,18,7)'],
        [0.615686274509804, 'rgb(215,82,110)'],
        [0.6196078431372549, 'rgb(149,159,254)'],
        [0.6235294117647059, 'rgb(125,127,0)'],
        [0.6274509803921569, 'rgb(118,159,185)'],
        [0.6313725490196078, 'rgb(219,135,127)'],
        [0.6352941176470588, 'rgb(17,19,25)'],
        [0.6392156862745098, 'rgb(212,130,212)'],
        [0.6431372549019608, 'rgb(159,0,191)'],
        [0.6470588235294118, 'rgb(220,239,255)'],
        [0.6509803921568628, 'rgb(142,171,154)'],
        [0.6549019607843137, 'rgb(113,100,66)'],
        [0.6588235294117647, 'rgb(74,60,62)'],
        [0.6627450980392157, 'rgb(8,78,95)'],
        [0.6666666666666666, 'rgb(156,184,68)'],
        [0.6705882352941176, 'rgb(216,222,213)'],
        [0.6745098039215687, 'rgb(203,255,108)'],
        [0.6784313725490196, 'rgb(179,100,235)'],
        [0.6823529411764706, 'rgb(70,93,51)'],
        [0.6862745098039216, 'rgb(0,158,125)'],
        [0.6901960784313725, 'rgb(194,65,0)'],
        [0.6941176470588235, 'rgb(79,188,187)'],
        [0.6980392156862745, 'rgb(217,139,177)'],
        [0.7019607843137254, 'rgb(91,115,182)'],
        [0.7058823529411765, 'rgb(75,65,1)'],
        [0.7098039215686275, 'rgb(149,131,94)'],
        [0.7137254901960784, 'rgb(73,116,139)'],
        [0.7176470588235294, 'rgb(255,115,255)'],
        [0.7215686274509804, 'rgb(131,106,29)'],
        [0.7254901960784313, 'rgb(220,207,255)'],
        [0.7294117647058823, 'rgb(126,107,254)'],
        [0.7333333333333333, 'rgb(99,118,96)'],
        [0.7372549019607844, 'rgb(255,193,146)'],
        [0.7411764705882353, 'rgb(89,94,0)'],
        [0.7450980392156863, 'rgb(228,9,230)'],
        [0.7490196078431373, 'rgb(185,177,183)'],
        [0.7529411764705882, 'rgb(211,45,65)'],
        [0.7568627450980392, 'rgb(50,66,55)'],
        [0.7607843137254902, 'rgb(217,163,99)'],
        [0.7647058823529411, 'rgb(91,139,51)'],
        [0.7686274509803922, 'rgb(47,31,0)'],
        [0.7725490196078432, 'rgb(152,231,215)'],
        [0.7764705882352941, 'rgb(42,98,87)'],
        [0.7803921568627451, 'rgb(206,114,77)'],
        [0.7843137254901961, 'rgb(93,61,40)'],
        [0.788235294117647, 'rgb(0,89,217)'],
        [0.792156862745098, 'rgb(173,148,214)'],
        [0.796078431372549, 'rgb(107,30,148)'],
        [0.8, 'rgb(180,1,94)'],
        [0.803921568627451, 'rgb(65,0,70)'],
        [0.807843137254902, 'rgb(157,255,207)'],
        [0.8117647058823529, 'rgb(228,72,157)'],
        [0.8156862745098039, 'rgb(227,227,71)'],
        [0.8196078431372549, 'rgb(220,226,165)'],
        [0.8235294117647058, 'rgb(0,40,90)'],
        [0.8274509803921568, 'rgb(170,91,130)'],
        [0.8313725490196079, 'rgb(0,0,220)'],
        [0.8352941176470589, 'rgb(75,78,81)'],
        [0.8392156862745098, 'rgb(218,191,213)'],
        [0.8431372549019608, 'rgb(0,77,153)'],
        [0.8470588235294118, 'rgb(136,100,158)'],
        [0.8509803921568627, 'rgb(106,30,29)'],
        [0.8549019607843137, 'rgb(142,82,197)'],
        [0.8588235294117647, 'rgb(184,218,223)'],
        [0.8627450980392157, 'rgb(221,179,253)'],
        [0.8666666666666667, 'rgb(123,72,84)'],
        [0.8705882352941177, 'rgb(76,115,0)'],
        [0.8745098039215686, 'rgb(69,0,119)'],
        [0.8784313725490196, 'rgb(178,95,0)'],
        [0.8823529411764706, 'rgb(146,209,134)'],
        [0.8862745098039215, 'rgb(85,51,76)'],
        [0.8901960784313725, 'rgb(105,176,133)'],
        [0.8941176470588236, 'rgb(171,147,176)'],
        [0.8980392156862745, 'rgb(231,84,66)'],
        [0.9019607843137255, 'rgb(143,140,138)'],
        [0.9058823529411765, 'rgb(112,173,81)'],
        [0.9098039215686274, 'rgb(171,124,116)'],
        [0.9137254901960784, 'rgb(0,52,60)'],
        [0.9176470588235294, 'rgb(37,15,19)'],
        [0.9215686274509803, 'rgb(231,176,0)'],
        [0.9254901960784314, 'rgb(122,204,220)'],
        [0.9294117647058824, 'rgb(24,20,58)'],
        [0.9333333333333333, 'rgb(157,82,57)'],
        [0.9372549019607843, 'rgb(187,123,49)'],
        [0.9411764705882353, 'rgb(183,202,148)'],
        [0.9450980392156862, 'rgb(49,8,0)'],
        [0.9490196078431372, 'rgb(163,149,6)'],
        [0.9529411764705882, 'rgb(0,218,186)'],
        [0.9568627450980393, 'rgb(116,160,222)'],
        [0.9607843137254902, 'rgb(99,60,115)'],
        [0.9647058823529412, 'rgb(255,218,143)'],
        [0.9686274509803922, 'rgb(119,184,0)'],
        [0.9725490196078431, 'rgb(64,47,29)'],
        [0.9764705882352941, 'rgb(88,135,89)'],
        [0.9803921568627451, 'rgb(45,0,33)'],
        [0.984313725490196, 'rgb(245,161,212)'],
        [0.9882352941176471, 'rgb(218,0,170)'],
        [0.9921568627450981, 'rgb(118,41,73)'],
        [0.996078431372549, 'rgb(189,229,0)'],
        [1.0, 'rgb(195,194,93)'],
    ],
    'cet.glasbey_bw_minc_20': [
        [0.0, 'rgb(215,0,0)'],
        [0.00392156862745098, 'rgb(140,60,255)'],
        [0.00784313725490196, 'rgb(2,136,0)'],
        [0.011764705882352941, 'rgb(0,172,199)'],
        [0.01568627450980392, 'rgb(152,255,0)'],
        [0.0196078431372549, 'rgb(255,127,209)'],
        [0.023529411764705882, 'rgb(108,0,79)'],
        [0.027450980392156862, 'rgb(255,165,48)'],
        [0.03137254901960784, 'rgb(88,59,0)'],
        [0.03529411764705882, 'rgb(0,87,89)'],
        [0.0392156862745098, 'rgb(0,0,221)'],
        [0.043137254901960784, 'rgb(0,253,207)'],
        [0.047058823529411764, 'rgb(161,117,106)'],
        [0.050980392156862744, 'rgb(188,183,255)'],
        [0.054901960784313725, 'rgb(149,181,120)'],
        [0.058823529411764705, 'rgb(192,4,185)'],
        [0.06274509803921569, 'rgb(100,84,116)'],
        [0.06666666666666667, 'rgb(121,0,0)'],
        [0.07058823529411765, 'rgb(7,116,216)'],
        [0.07450980392156863, 'rgb(254,245,144)'],
        [0.0784313725490196, 'rgb(0,75,0)'],
        [0.08235294117647059, 'rgb(143,122,0)'],
        [0.08627450980392157, 'rgb(255,114,102)'],
        [0.09019607843137255, 'rgb(238,185,185)'],
        [0.09411764705882353, 'rgb(94,126,102)'],
        [0.09803921568627451, 'rgb(155,228,255)'],
        [0.10196078431372549, 'rgb(236,0,119)'],
        [0.10588235294117647, 'rgb(166,123,185)'],
        [0.10980392156862745, 'rgb(90,0,164)'],
        [0.11372549019607843, 'rgb(4,198,0)'],
        [0.11764705882352941, 'rgb(158,75,0)'],
        [0.12156862745098039, 'rgb(156,59,80)'],
        [0.12549019607843137, 'rgb(203,196,0)'],
        [0.12941176470588237, 'rgb(113,130,152)'],
        [0.13333333333333333, 'rgb(0,175,138)'],
        [0.13725490196078433, 'rgb(131,136,255)'],
        [0.1411764705882353, 'rgb(93,55,59)'],
        [0.1450980392156863, 'rgb(57,0,0)'],
        [0.14901960784313725, 'rgb(253,192,255)'],
        [0.15294117647058825, 'rgb(190,231,192)'],
        [0.1568627450980392, 'rgb(219,109,1)'],
        [0.1607843137254902, 'rgb(147,184,182)'],
        [0.16470588235294117, 'rgb(228,82,255)'],
        [0.16862745098039217, 'rgb(47,83,130)'],
        [0.17254901960784313, 'rgb(196,102,144)'],
        [0.17647058823529413, 'rgb(85,98,32)'],
        [0.1803921568627451, 'rgb(197,159,114)'],
        [0.1843137254901961, 'rgb(4,130,135)'],
        [0.18823529411764706, 'rgb(105,231,128)'],
        [0.19215686274509805, 'rgb(128,39,144)'],
        [0.19607843137254902, 'rgb(109,180,255)'],
        [0.2, 'rgb(78,51,255)'],
        [0.20392156862745098, 'rgb(134,163,2)'],
        [0.20784313725490197, 'rgb(254,3,203)'],
        [0.21176470588235294, 'rgb(194,166,197)'],
        [0.21568627450980393, 'rgb(197,87,70)'],
        [0.2196078431372549, 'rgb(118,88,61)'],
        [0.2235294117647059, 'rgb(1,104,66)'],
        [0.22745098039215686, 'rgb(0,214,213)'],
        [0.23137254901960785, 'rgb(218,224,255)'],
        [0.23529411764705882, 'rgb(249,255,0)'],
        [0.23921568627450981, 'rgb(106,104,176)'],
        [0.24313725490196078, 'rgb(195,152,0)'],
        [0.24705882352941178, 'rgb(225,205,156)'],
        [0.25098039215686274, 'rgb(218,150,255)'],
        [0.2549019607843137, 'rgb(187,3,253)'],
        [0.25882352941176473, 'rgb(146,82,130)'],
        [0.2627450980392157, 'rgb(160,0,115)'],
        [0.26666666666666666, 'rgb(87,155,85)'],
        [0.27058823529411763, 'rgb(211,140,143)'],
        [0.27450980392156865, 'rgb(55,69,39)'],
        [0.2784313725490196, 'rgb(151,165,195)'],
        [0.2823529411764706, 'rgb(142,141,95)'],
        [0.28627450980392155, 'rgb(255,70,0)'],
        [0.2901960784313726, 'rgb(200,255,250)'],
        [0.29411764705882354, 'rgb(174,109,255)'],
        [0.2980392156862745, 'rgb(110,208,167)'],
        [0.30196078431372547, 'rgb(191,255,140)'],
        [0.3058823529411765, 'rgb(140,84,177)'],
        [0.30980392156862746, 'rgb(120,54,25)'],
        [0.3137254901960784, 'rgb(255,160,121)'],
        [0.3176470588235294, 'rgb(169,0,31)'],
        [0.3215686274509804, 'rgb(255,28,69)'],
        [0.3254901960784314, 'rgb(95,17,35)'],
        [0.32941176470588235, 'rgb(103,151,148)'],
        [0.3333333333333333, 'rgb(255,95,148)'],
        [0.33725490196078434, 'rgb(76,103,116)'],
        [0.3411764705882353, 'rgb(83,146,204)'],
        [0.34509803921568627, 'rgb(170,113,49)'],
        [0.34901960784313724, 'rgb(2,207,254)'],
        [0.35294117647058826, 'rgb(0,196,108)'],
        [0.3568627450980392, 'rgb(97,53,93)'],
        [0.3607843137254902, 'rgb(144,212,47)'],
        [0.36470588235294116, 'rgb(191,213,124)'],
        [0.3686274509803922, 'rgb(81,69,162)'],
        [0.37254901960784315, 'rgb(78,35,12)'],
        [0.3764705882352941, 'rgb(124,90,0)'],
        [0.3803921568627451, 'rgb(255,206,68)'],
        [0.3843137254901961, 'rgb(131,2,207)'],
        [0.38823529411764707, 'rgb(77,253,255)'],
        [0.39215686274509803, 'rgb(137,0,61)'],
        [0.396078431372549, 'rgb(123,82,92)'],
        [0.4, 'rgb(0,116,157)'],
        [0.403921568627451, 'rgb(170,131,152)'],
        [0.40784313725490196, 'rgb(129,113,143)'],
        [0.4117647058823529, 'rgb(98,101,254)'],
        [0.41568627450980394, 'rgb(195,52,137)'],
        [0.4196078431372549, 'rgb(205,41,71)'],
        [0.4235294117647059, 'rgb(255,154,181)'],
        [0.42745098039215684, 'rgb(195,93,187)'],
        [0.43137254901960786, 'rgb(33,104,2)'],
        [0.43529411764705883, 'rgb(0,142,101)'],
        [0.4392156862745098, 'rgb(99,128,35)'],
        [0.44313725490196076, 'rgb(137,135,191)'],
        [0.4470588235294118, 'rgb(152,221,213)'],
        [0.45098039215686275, 'rgb(206,127,88)'],
        [0.4549019607843137, 'rgb(210,183,91)'],
        [0.4588235294117647, 'rgb(97,0,110)'],
        [0.4627450980392157, 'rgb(153,84,68)'],
        [0.4666666666666667, 'rgb(176,199,219)'],
        [0.47058823529411764, 'rgb(242,255,210)'],
        [0.4745098039215686, 'rgb(0,236,2)'],
        [0.47843137254901963, 'rgb(205,134,189)'],
        [0.4823529411764706, 'rgb(69,0,197)'],
        [0.48627450980392156, 'rgb(122,157,127)'],
        [0.49019607843137253, 'rgb(114,113,71)'],
        [0.49411764705882355, 'rgb(147,255,186)'],
        [0.4980392156862745, 'rgb(0,84,193)'],
        [0.5019607843137255, 'rgb(173,148,236)'],
        [0.5058823529411764, 'rgb(63,164,22)'],
        [0.5098039215686274, 'rgb(95,58,128)'],
        [0.5137254901960784, 'rgb(0,76,51)'],
        [0.5176470588235295, 'rgb(124,184,211)'],
        [0.5215686274509804, 'rgb(152,42,0)'],
        [0.5254901960784314, 'rgb(57,110,100)'],
        [0.5294117647058824, 'rgb(184,0,91)'],
        [0.5333333333333333, 'rgb(255,128,61)'],
        [0.5372549019607843, 'rgb(255,210,233)'],
        [0.5411764705882353, 'rgb(128,48,90)'],
        [0.5450980392156862, 'rgb(33,52,0)'],
        [0.5490196078431373, 'rgb(161,94,111)'],
        [0.5529411764705883, 'rgb(79,181,176)'],
        [0.5568627450980392, 'rgb(159,159,70)'],
        [0.5607843137254902, 'rgb(51,124,61)'],
        [0.5647058823529412, 'rgb(194,65,0)'],
        [0.5686274509803921, 'rgb(199,232,62)'],
        [0.5725490196078431, 'rgb(108,5,232)'],
        [0.5764705882352941, 'rgb(118,188,80)'],
        [0.5803921568627451, 'rgb(165,197,169)'],
        [0.5843137254901961, 'rgb(218,84,110)'],
        [0.5882352941176471, 'rgb(216,143,56)'],
        [0.592156862745098, 'rgb(251,124,255)'],
        [0.596078431372549, 'rgb(75,100,73)'],
        [0.6, 'rgb(214,195,235)'],
        [0.6039215686274509, 'rgb(122,46,54)'],
        [0.6078431372549019, 'rgb(76,143,165)'],
        [0.611764705882353, 'rgb(70,136,255)'],
        [0.615686274509804, 'rgb(163,0,196)'],
        [0.6196078431372549, 'rgb(234,163,213)'],
        [0.6235294117647059, 'rgb(255,188,120)'],
        [0.6274509803921569, 'rgb(71,72,0)'],
        [0.6313725490196078, 'rgb(162,199,255)'],
        [0.6352941176470588, 'rgb(145,162,234)'],
        [0.6392156862745098, 'rgb(79,105,147)'],
        [0.6431372549019608, 'rgb(231,94,178)'],
        [0.6470588235294118, 'rgb(159,145,176)'],
        [0.6509803921568628, 'rgb(88,81,43)'],
        [0.6549019607843137, 'rgb(176,94,212)'],
        [0.6588235294117647, 'rgb(134,109,225)'],
        [0.6627450980392157, 'rgb(193,110,114)'],
        [0.6666666666666666, 'rgb(228,0,227)'],
        [0.6705882352941176, 'rgb(185,183,139)'],
        [0.6745098039215687, 'rgb(57,46,0)'],
        [0.6784313725490196, 'rgb(227,126,164)'],
        [0.6823529411764706, 'rgb(173,59,48)'],
        [0.6862745098039216, 'rgb(169,187,76)'],
        [0.6901960784313725, 'rgb(105,181,131)'],
        [0.6941176470588235, 'rgb(148,210,144)'],
        [0.6980392156862745, 'rgb(176,141,70)'],
        [0.7019607843137254, 'rgb(7,95,120)'],
        [0.7058823529411765, 'rgb(0,152,137)'],
        [0.7098039215686275, 'rgb(90,15,2)'],
        [0.7137254901960784, 'rgb(91,125,128)'],
        [0.7176470588235294, 'rgb(48,88,38)'],
        [0.7215686274509804, 'rgb(229,101,59)'],
        [0.7254901960784313, 'rgb(95,64,41)'],
        [0.7294117647058823, 'rgb(115,74,188)'],
        [0.7333333333333333, 'rgb(75,83,107)'],
        [0.7372549019607844, 'rgb(201,122,221)'],
        [0.7411764705882353, 'rgb(156,50,145)'],
        [0.7450980392156863, 'rgb(200,230,242)'],
        [0.7490196078431373, 'rgb(5,171,235)'],
        [0.7529411764705882, 'rgb(167,107,154)'],
        [0.7568627450980392, 'rgb(231,176,0)'],
        [0.7607843137254902, 'rgb(96,255,99)'],
        [0.7647058823529411, 'rgb(242,222,0)'],
        [0.7686274509803922, 'rgb(119,68,1)'],
        [0.7725490196078432, 'rgb(96,37,65)'],
        [0.7764705882352941, 'rgb(104,127,203)'],
        [0.7803921568627451, 'rgb(121,159,176)'],
        [0.7843137254901961, 'rgb(13,233,162)'],
        [0.788235294117647, 'rgb(157,248,219)'],
        [0.792156862745098, 'rgb(132,0,118)'],
        [0.796078431372549, 'rgb(142,109,73)'],
        [0.8, 'rgb(227,65,48)'],
        [0.803921568627451, 'rgb(185,73,108)'],
        [0.807843137254902, 'rgb(122,74,134)'],
        [0.8117647058823529, 'rgb(255,208,182)'],
        [0.8156862745098039, 'rgb(76,93,199)'],
        [0.8196078431372549, 'rgb(226,179,146)'],
        [0.8235294117647058, 'rgb(255,76,238)'],
        [0.8274509803921568, 'rgb(214,240,165)'],
        [0.8313725490196079, 'rgb(191,96,38)'],
        [0.8352941176470589, 'rgb(215,163,181)'],
        [0.8392156862745098, 'rgb(189,125,0)'],
        [0.8431372549019608, 'rgb(136,111,178)'],
        [0.8470588235294118, 'rgb(255,48,161)'],
        [0.8509803921568627, 'rgb(255,233,176)'],
        [0.8549019607843137, 'rgb(51,88,76)'],
        [0.8588235294117647, 'rgb(184,140,122)'],
        [0.8627450980392157, 'rgb(108,135,82)'],
        [0.8666666666666667, 'rgb(188,148,210)'],
        [0.8705882352941177, 'rgb(27,230,254)'],
        [0.8745098039215686, 'rgb(161,60,114)'],
        [0.8784313725490196, 'rgb(163,81,168)'],
        [0.8823529411764706, 'rgb(109,0,152)'],
        [0.8862745098039215, 'rgb(137,101,123)'],
        [0.8901960784313725, 'rgb(90,88,139)'],
        [0.8941176470588236, 'rgb(249,143,139)'],
        [0.8980392156862745, 'rgb(231,215,124)'],
        [0.9019607843137255, 'rgb(112,108,1)'],
        [0.9058823529411765, 'rgb(25,89,255)'],
        [0.9098039215686274, 'rgb(23,38,255)'],
        [0.9137254901960784, 'rgb(0,216,86)'],
        [0.9176470588235294, 'rgb(248,161,253)'],
        [0.9215686274509803, 'rgb(122,150,60)'],
        [0.9254901960784314, 'rgb(177,167,213)'],
        [0.9294117647058824, 'rgb(126,208,221)'],
        [0.9333333333333333, 'rgb(0,203,176)'],
        [0.9372549019607843, 'rgb(122,71,60)'],
        [0.9411764705882353, 'rgb(218,255,230)'],
        [0.9450980392156862, 'rgb(219,5,177)'],
        [0.9490196078431372, 'rgb(243,221,255)'],
        [0.9529411764705882, 'rgb(163,228,111)'],
        [0.9568627450980393, 'rgb(138,19,35)'],
        [0.9607843137254902, 'rgb(102,104,131)'],
        [0.9647058823529412, 'rgb(232,253,112)'],
        [0.9686274509803922, 'rgb(216,171,232)'],
        [0.9725490196078431, 'rgb(224,186,213)'],
        [0.9764705882352941, 'rgb(254,83,105)'],
        [0.9803921568627451, 'rgb(117,174,155)'],
        [0.984313725490196, 'rgb(152,51,224)'],
        [0.9882352941176471, 'rgb(228,115,126)'],
        [0.9921568627450981, 'rgb(140,89,38)'],
        [0.996078431372549, 'rgb(119,71,105)'],
        [1.0, 'rgb(47,62,168)'],
    ],
    'cet.glasbey_bw_minc_20_hue_150_280': [
        [0.0, 'rgb(13,106,255)'],
        [0.00392156862745098, 'rgb(9,149,77)'],
        [0.00784313725490196, 'rgb(0,202,229)'],
        [0.011764705882352941, 'rgb(74,255,145)'],
        [0.01568627450980392, 'rgb(0,88,96)'],
        [0.0196078431372549, 'rgb(173,164,255)'],
        [0.023529411764705882, 'rgb(117,114,143)'],
        [0.027450980392156862, 'rgb(76,0,190)'],
        [0.03137254901960784, 'rgb(155,187,159)'],
        [0.03529411764705882, 'rgb(149,255,242)'],
        [0.0392156862745098, 'rgb(66,143,145)'],
        [0.043137254901960784, 'rgb(0,69,32)'],
        [0.047058823529411764, 'rgb(188,219,255)'],
        [0.050980392156862744, 'rgb(65,164,255)'],
        [0.054901960784313725, 'rgb(78,107,83)'],
        [0.058823529411764705, 'rgb(146,166,186)'],
        [0.06274509803921569, 'rgb(7,80,150)'],
        [0.06666666666666667, 'rgb(0,200,126)'],
        [0.07058823529411765, 'rgb(134,111,250)'],
        [0.07450980392156863, 'rgb(1,122,170)'],
        [0.0784313725490196, 'rgb(97,84,174)'],
        [0.08235294117647059, 'rgb(113,146,118)'],
        [0.08627450980392157, 'rgb(199,233,202)'],
        [0.09019607843137255, 'rgb(75,83,107)'],
        [0.09411764705882353, 'rgb(0,219,194)'],
        [0.09803921568627451, 'rgb(29,0,255)'],
        [0.10196078431372549, 'rgb(154,205,208)'],
        [0.10588235294117647, 'rgb(122,140,198)'],
        [0.10980392156862745, 'rgb(84,176,154)'],
        [0.11372549019607843, 'rgb(0,163,200)'],
        [0.11764705882352941, 'rgb(80,110,119)'],
        [0.12156862745098039, 'rgb(190,186,220)'],
        [0.12549019607843137, 'rgb(123,196,254)'],
        [0.12941176470588237, 'rgb(0,130,102)'],
        [0.13333333333333333, 'rgb(131,222,169)'],
        [0.13725490196078433, 'rgb(91,36,255)'],
        [0.1411764705882353, 'rgb(2,101,50)'],
        [0.1450980392156863, 'rgb(0,241,255)'],
        [0.14901960784313725, 'rgb(210,246,254)'],
        [0.15294117647058825, 'rgb(0,255,201)'],
        [0.1568627450980392, 'rgb(112,137,156)'],
        [0.1607843137254902, 'rgb(84,113,185)'],
        [0.16470588235294117, 'rgb(46,82,69)'],
        [0.16862745098039217, 'rgb(91,132,253)'],
        [0.17254901960784313, 'rgb(104,175,185)'],
        [0.17647058823529413, 'rgb(169,255,188)'],
        [0.1803921568627451, 'rgb(90,169,112)'],
        [0.1843137254901961, 'rgb(227,223,255)'],
        [0.18823529411764706, 'rgb(44,97,128)'],
        [0.19215686274509805, 'rgb(145,142,171)'],
        [0.19607843137254902, 'rgb(142,169,226)'],
        [0.2, 'rgb(135,221,252)'],
        [0.20392156862745098, 'rgb(4,139,221)'],
        [0.20784313725490197, 'rgb(0,114,112)'],
        [0.21176470588235294, 'rgb(57,87,196)'],
        [0.21568627450980393, 'rgb(97,92,242)'],
        [0.2196078431372549, 'rgb(118,155,151)'],
        [0.2235294117647059, 'rgb(0,158,120)'],
        [0.22745098039215686, 'rgb(89,126,116)'],
        [0.23137254901960785, 'rgb(65,67,152)'],
        [0.23529411764705882, 'rgb(175,194,255)'],
        [0.23921568627450981, 'rgb(122,114,187)'],
        [0.24313725490196078, 'rgb(159,193,220)'],
        [0.24705882352941178, 'rgb(138,144,250)'],
        [0.25098039215686274, 'rgb(73,92,145)'],
        [0.2549019607843137, 'rgb(125,200,178)'],
        [0.25882352941176473, 'rgb(3,185,244)'],
        [0.2627450980392157, 'rgb(89,116,148)'],
        [0.26666666666666666, 'rgb(108,157,196)'],
        [0.27058823529411763, 'rgb(160,227,207)'],
        [0.27450980392156865, 'rgb(4,103,81)'],
        [0.2784313725490196, 'rgb(0,193,187)'],
        [0.2823529411764706, 'rgb(79,130,91)'],
        [0.28627450980392155, 'rgb(0,226,119)'],
        [0.2901960784313726, 'rgb(0,127,145)'],
        [0.29411764705882354, 'rgb(121,194,139)'],
        [0.2980392156862745, 'rgb(165,161,207)'],
        [0.30196078431372547, 'rgb(0,125,67)'],
        [0.3058823529411765, 'rgb(203,255,238)'],
        [0.30980392156862746, 'rgb(141,179,175)'],
        [0.3137254901960784, 'rgb(69,139,170)'],
        [0.3176470588235294, 'rgb(0,247,228)'],
        [0.3215686274509804, 'rgb(0,167,169)'],
        [0.3254901960784314, 'rgb(0,103,177)'],
        [0.32941176470588235, 'rgb(96,215,218)'],
        [0.3333333333333333, 'rgb(165,232,239)'],
        [0.33725490196078434, 'rgb(1,221,163)'],
        [0.3411764705882353, 'rgb(58,97,95)'],
        [0.34509803921568627, 'rgb(97,94,132)'],
        [0.34901960784313724, 'rgb(123,169,140)'],
        [0.35294117647058826, 'rgb(116,181,214)'],
        [0.3568627450980392, 'rgb(0,69,255)'],
        [0.3607843137254902, 'rgb(80,75,126)'],
        [0.36470588235294116, 'rgb(61,49,205)'],
        [0.3686274509803922, 'rgb(0,198,159)'],
        [0.37254901960784315, 'rgb(168,212,179)'],
        [0.3764705882352941, 'rgb(85,147,129)'],
        [0.3803921568627451, 'rgb(147,251,211)'],
        [0.3843137254901961, 'rgb(87,133,187)'],
        [0.38823529411764707, 'rgb(59,87,100)'],
        [0.39215686274509803, 'rgb(97,153,168)'],
        [0.396078431372549, 'rgb(206,204,255)'],
        [0.4, 'rgb(150,143,213)'],
        [0.403921568627451, 'rgb(0,180,94)'],
        [0.40784313725490196, 'rgb(186,215,228)'],
        [0.4117647058823529, 'rgb(88,58,192)'],
        [0.41568627450980394, 'rgb(0,180,128)'],
        [0.4196078431372549, 'rgb(0,61,180)'],
        [0.4235294117647059, 'rgb(0,86,55)'],
        [0.42745098039215684, 'rgb(121,162,255)'],
        [0.43137254901960786, 'rgb(106,116,219)'],
        [0.43529411764705883, 'rgb(106,231,196)'],
        [0.4392156862745098, 'rgb(126,200,220)'],
        [0.44313725490196076, 'rgb(114,127,165)'],
        [0.4470588235294118, 'rgb(0,107,124)'],
        [0.45098039215686275, 'rgb(87,101,122)'],
        [0.4549019607843137, 'rgb(110,246,176)'],
        [0.4588235294117647, 'rgb(29,118,208)'],
        [0.4627450980392157, 'rgb(93,129,136)'],
        [0.4666666666666667, 'rgb(60,113,99)'],
        [0.47058823529411764, 'rgb(0,181,201)'],
        [0.4745098039215686, 'rgb(94,146,224)'],
        [0.47843137254901963, 'rgb(102,109,158)'],
        [0.4823529411764706, 'rgb(58,156,216)'],
        [0.48627450980392156, 'rgb(54,94,64)'],
        [0.49019607843137253, 'rgb(81,209,255)'],
        [0.49411764705882355, 'rgb(113,194,192)'],
        [0.4980392156862745, 'rgb(0,144,128)'],
        [0.5019607843137255, 'rgb(107,175,236)'],
        [0.5058823529411764, 'rgb(79,150,106)'],
        [0.5098039215686274, 'rgb(192,231,226)'],
        [0.5137254901960784, 'rgb(163,177,212)'],
        [0.5176470588235295, 'rgb(105,71,223)'],
        [0.5215686274509804, 'rgb(0,150,169)'],
        [0.5254901960784314, 'rgb(113,97,205)'],
        [0.5294117647058824, 'rgb(214,233,255)'],
        [0.5333333333333333, 'rgb(140,154,193)'],
        [0.5372549019607843, 'rgb(186,180,242)'],
        [0.5411764705882353, 'rgb(191,203,228)'],
        [0.5450980392156862, 'rgb(47,113,78)'],
        [0.5490196078431373, 'rgb(142,182,195)'],
        [0.5529411764705883, 'rgb(127,232,223)'],
        [0.5568627450980392, 'rgb(58,114,140)'],
        [0.5607843137254902, 'rgb(135,130,182)'],
        [0.5647058823529412, 'rgb(103,213,136)'],
        [0.5686274509803921, 'rgb(11,129,255)'],
        [0.5725490196078431, 'rgb(131,128,218)'],
        [0.5764705882352941, 'rgb(38,162,145)'],
        [0.5803921568627451, 'rgb(161,200,187)'],
        [0.5843137254901961, 'rgb(70,75,255)'],
        [0.5882352941176471, 'rgb(62,107,154)'],
        [0.592156862745098, 'rgb(199,255,214)'],
        [0.596078431372549, 'rgb(57,127,123)'],
        [0.6, 'rgb(168,235,191)'],
        [0.6039215686274509, 'rgb(1,88,80)'],
        [0.6078431372549019, 'rgb(47,1,211)'],
        [0.611764705882353, 'rgb(128,248,255)'],
        [0.615686274509804, 'rgb(155,210,254)'],
        [0.6196078431372549, 'rgb(187,233,255)'],
        [0.6235294117647059, 'rgb(50,84,127)'],
        [0.6274509803921569, 'rgb(0,223,253)'],
        [0.6313725490196078, 'rgb(128,163,172)'],
        [0.6352941176470588, 'rgb(16,142,96)'],
        [0.6392156862745098, 'rgb(87,97,196)'],
        [0.6431372549019608, 'rgb(0,165,102)'],
        [0.6470588235294118, 'rgb(81,111,255)'],
        [0.6509803921568628, 'rgb(78,128,215)'],
        [0.6549019607843137, 'rgb(92,165,161)'],
        [0.6588235294117647, 'rgb(145,186,255)'],
        [0.6627450980392157, 'rgb(96,182,140)'],
        [0.6666666666666666, 'rgb(8,236,154)'],
        [0.6705882352941176, 'rgb(97,204,159)'],
        [0.6745098039215687, 'rgb(85,164,130)'],
        [0.6784313725490196, 'rgb(39,74,48)'],
        [0.6823529411764706, 'rgb(187,255,255)'],
        [0.6862745098039216, 'rgb(92,167,194)'],
        [0.6901960784313725, 'rgb(0,139,192)'],
        [0.6941176470588235, 'rgb(152,170,255)'],
        [0.6980392156862745, 'rgb(124,153,175)'],
        [0.7019607843137254, 'rgb(108,124,190)'],
        [0.7058823529411765, 'rgb(40,147,254)'],
        [0.7098039215686275, 'rgb(0,100,214)'],
        [0.7137254901960784, 'rgb(2,88,112)'],
        [0.7176470588235294, 'rgb(111,141,178)'],
        [0.7215686274509804, 'rgb(0,77,200)'],
        [0.7254901960784313, 'rgb(55,82,159)'],
        [0.7294117647058823, 'rgb(134,153,225)'],
        [0.7333333333333333, 'rgb(141,183,227)'],
        [0.7372549019607844, 'rgb(0,94,147)'],
        [0.7411764705882353, 'rgb(102,139,135)'],
        [0.7450980392156863, 'rgb(87,0,227)'],
        [0.7490196078431373, 'rgb(129,212,202)'],
        [0.7529411764705882, 'rgb(122,228,241)'],
        [0.7568627450980392, 'rgb(131,183,162)'],
        [0.7607843137254902, 'rgb(84,193,174)'],
        [0.7647058823529411, 'rgb(160,210,232)'],
        [0.7686274509803922, 'rgb(63,39,255)'],
        [0.7725490196078432, 'rgb(123,90,251)'],
        [0.7764705882352941, 'rgb(82,126,148)'],
        [0.7803921568627451, 'rgb(64,100,174)'],
        [0.7843137254901961, 'rgb(103,255,224)'],
        [0.788235294117647, 'rgb(121,127,255)'],
        [0.792156862745098, 'rgb(69,108,216)'],
        [0.796078431372549, 'rgb(70,134,110)'],
        [0.8, 'rgb(141,200,164)'],
        [0.803921568627451, 'rgb(62,98,83)'],
        [0.807843137254902, 'rgb(100,131,107)'],
        [0.8117647058823529, 'rgb(88,187,118)'],
        [0.8156862745098039, 'rgb(53,116,125)'],
        [0.8196078431372549, 'rgb(82,192,204)'],
        [0.8235294117647058, 'rgb(115,159,220)'],
        [0.8274509803921568, 'rgb(77,78,179)'],
        [0.8313725490196079, 'rgb(63,120,178)'],
        [0.8352941176470589, 'rgb(108,100,172)'],
        [0.8392156862745098, 'rgb(8,178,165)'],
        [0.8431372549019608, 'rgb(111,134,220)'],
        [0.8470588235294118, 'rgb(134,167,203)'],
        [0.8509803921568627, 'rgb(56,101,111)'],
        [0.8549019607843137, 'rgb(70,94,126)'],
        [0.8588235294117647, 'rgb(117,231,150)'],
        [0.8627450980392157, 'rgb(107,122,143)'],
        [0.8666666666666667, 'rgb(79,170,218)'],
        [0.8705882352941177, 'rgb(68,186,220)'],
        [0.8745098039215686, 'rgb(90,88,147)'],
        [0.8784313725490196, 'rgb(113,145,152)'],
        [0.8823529411764706, 'rgb(164,170,231)'],
        [0.8862745098039215, 'rgb(174,201,241)'],
        [0.8901960784313725, 'rgb(0,229,221)'],
        [0.8941176470588236, 'rgb(130,128,159)'],
        [0.8980392156862745, 'rgb(0,108,150)'],
        [0.9019607843137255, 'rgb(169,198,210)'],
        [0.9058823529411765, 'rgb(111,179,171)'],
        [0.9098039215686274, 'rgb(128,140,167)'],
        [0.9137254901960784, 'rgb(174,214,208)'],
        [0.9176470588235294, 'rgb(75,50,163)'],
        [0.9215686274509803, 'rgb(206,216,251)'],
        [0.9254901960784314, 'rgb(184,240,215)'],
        [0.9294117647058824, 'rgb(111,156,137)'],
        [0.9333333333333333, 'rgb(84,73,152)'],
        [0.9372549019607843, 'rgb(14,99,98)'],
        [0.9411764705882353, 'rgb(65,78,133)'],
        [0.9450980392156862, 'rgb(58,163,180)'],
        [0.9490196078431372, 'rgb(136,216,185)'],
        [0.9529411764705882, 'rgb(78,120,97)'],
        [0.9568627450980393, 'rgb(146,128,255)'],
        [0.9607843137254902, 'rgb(155,157,185)'],
        [0.9647058823529412, 'rgb(37,255,254)'],
        [0.9686274509803922, 'rgb(2,210,203)'],
        [0.9725490196078431, 'rgb(88,100,166)'],
        [0.9764705882352941, 'rgb(174,171,201)'],
        [0.9803921568627451, 'rgb(169,239,230)'],
        [0.984313725490196, 'rgb(108,159,119)'],
        [0.9882352941176471, 'rgb(83,80,216)'],
        [0.9921568627450981, 'rgb(0,135,139)'],
        [0.996078431372549, 'rgb(111,146,255)'],
        [1.0, 'rgb(64,135,150)'],
    ],
    'cet.glasbey_bw_minc_20_hue_330_100': [
        [0.0, 'rgb(215,0,0)'],
        [0.00392156862745098, 'rgb(255,98,248)'],
        [0.00784313725490196, 'rgb(172,157,0)'],
        [0.011764705882352941, 'rgb(116,0,113)'],
        [0.01568627450980392, 'rgb(81,73,0)'],
        [0.0196078431372549, 'rgb(255,154,137)'],
        [0.023529411764705882, 'rgb(145,113,138)'],
        [0.027450980392156862, 'rgb(255,241,112)'],
        [0.03137254901960784, 'rgb(208,0,129)'],
        [0.03529411764705882, 'rgb(130,58,50)'],
        [0.0392156862745098, 'rgb(255,194,244)'],
        [0.043137254901960784, 'rgb(186,108,48)'],
        [0.047058823529411764, 'rgb(198,191,146)'],
        [0.050980392156862744, 'rgb(255,155,0)'],
        [0.054901960784313725, 'rgb(255,77,107)'],
        [0.058823529411764705, 'rgb(120,115,76)'],
        [0.06274509803921569, 'rgb(213,139,179)'],
        [0.06666666666666667, 'rgb(100,70,94)'],
        [0.07058823529411765, 'rgb(255,90,0)'],
        [0.07450980392156863, 'rgb(160,64,155)'],
        [0.0784313725490196, 'rgb(182,88,99)'],
        [0.08235294117647059, 'rgb(147,0,77)'],
        [0.08627450980392157, 'rgb(134,79,1)'],
        [0.09019607843137255, 'rgb(186,140,127)'],
        [0.09411764705882353, 'rgb(154,0,0)'],
        [0.09803921568627451, 'rgb(255,204,186)'],
        [0.10196078431372549, 'rgb(223,0,207)'],
        [0.10588235294117647, 'rgb(228,192,0)'],
        [0.10980392156862745, 'rgb(255,70,175)'],
        [0.11372549019607843, 'rgb(158,152,99)'],
        [0.11764705882352941, 'rgb(151,117,0)'],
        [0.12156862745098039, 'rgb(249,242,193)'],
        [0.12549019607843137, 'rgb(255,198,113)'],
        [0.12941176470588237, 'rgb(191,3,64)'],
        [0.13333333333333333, 'rgb(174,64,4)'],
        [0.13725490196078433, 'rgb(138,96,87)'],
        [0.1411764705882353, 'rgb(196,93,155)'],
        [0.1450980392156863, 'rgb(213,157,94)'],
        [0.14901960784313725, 'rgb(221,114,97)'],
        [0.15294117647058825, 'rgb(144,68,102)'],
        [0.1568627450980392, 'rgb(103,79,49)'],
        [0.1607843137254902, 'rgb(225,176,190)'],
        [0.16470588235294117, 'rgb(199,133,0)'],
        [0.16862745098039217, 'rgb(255,126,157)'],
        [0.17254901960784313, 'rgb(255,150,230)'],
        [0.17647058823529413, 'rgb(248,134,69)'],
        [0.1803921568627451, 'rgb(110,99,1)'],
        [0.1843137254901961, 'rgb(215,71,66)'],
        [0.18823529411764706, 'rgb(155,0,125)'],
        [0.19215686274509805, 'rgb(233,0,97)'],
        [0.19607843137254902, 'rgb(255,0,49)'],
        [0.2, 'rgb(193,182,86)'],
        [0.20392156862745098, 'rgb(183,119,137)'],
        [0.20784313725490197, 'rgb(158,120,87)'],
        [0.21176470588235294, 'rgb(210,115,201)'],
        [0.21568627450980393, 'rgb(220,174,150)'],
        [0.2196078431372549, 'rgb(169,59,56)'],
        [0.2235294117647059, 'rgb(124,58,118)'],
        [0.22745098039215686, 'rgb(135,53,0)'],
        [0.23137254901960785, 'rgb(219,101,132)'],
        [0.23529411764705882, 'rgb(211,83,0)'],
        [0.23921568627450981, 'rgb(136,21,40)'],
        [0.24313725490196078, 'rgb(156,87,50)'],
        [0.24705882352941178, 'rgb(174,140,166)'],
        [0.25098039215686274, 'rgb(228,219,138)'],
        [0.2549019607843137, 'rgb(178,55,99)'],
        [0.25882352941176473, 'rgb(219,138,144)'],
        [0.2627450980392157, 'rgb(191,0,160)'],
        [0.26666666666666666, 'rgb(222,114,0)'],
        [0.27058823529411763, 'rgb(255,169,109)'],
        [0.27450980392156865, 'rgb(255,159,195)'],
        [0.2784313725490196, 'rgb(114,74,76)'],
        [0.2823529411764706, 'rgb(216,162,10)'],
        [0.28627450980392155, 'rgb(128,87,122)'],
        [0.2901960784313726, 'rgb(246,119,193)'],
        [0.29411764705882354, 'rgb(182,112,98)'],
        [0.2980392156862745, 'rgb(255,205,221)'],
        [0.30196078431372547, 'rgb(163,94,127)'],
        [0.3058823529411765, 'rgb(122,34,89)'],
        [0.30980392156862746, 'rgb(222,166,212)'],
        [0.3137254901960784, 'rgb(255,96,76)'],
        [0.3176470588235294, 'rgb(143,104,45)'],
        [0.3215686274509804, 'rgb(181,136,73)'],
        [0.3254901960784314, 'rgb(175,115,167)'],
        [0.32941176470588235, 'rgb(244,223,0)'],
        [0.3333333333333333, 'rgb(190,80,184)'],
        [0.33725490196078434, 'rgb(255,47,218)'],
        [0.3411764705882353, 'rgb(210,130,81)'],
        [0.34509803921568627, 'rgb(189,88,58)'],
        [0.34901960784313724, 'rgb(241,52,1)'],
        [0.35294117647058826, 'rgb(150,77,81)'],
        [0.3568627450980392, 'rgb(234,6,171)'],
        [0.3607843137254902, 'rgb(139,131,64)'],
        [0.36470588235294116, 'rgb(227,63,135)'],
        [0.3686274509803922, 'rgb(131,46,70)'],
        [0.37254901960784315, 'rgb(176,66,134)'],
        [0.3764705882352941, 'rgb(234,209,165)'],
        [0.3803921568627451, 'rgb(184,19,27)'],
        [0.3843137254901961, 'rgb(255,184,44)'],
        [0.38823529411764707, 'rgb(221,3,55)'],
        [0.39215686274509803, 'rgb(165,90,0)'],
        [0.396078431372549, 'rgb(187,164,124)'],
        [0.4, 'rgb(100,95,48)'],
        [0.403921568627451, 'rgb(124,70,36)'],
        [0.40784313725490196, 'rgb(175,1,109)'],
        [0.4117647058823529, 'rgb(187,156,65)'],
        [0.41568627450980394, 'rgb(206,65,96)'],
        [0.4196078431372549, 'rgb(105,70,0)'],
        [0.4235294117647059, 'rgb(255,124,119)'],
        [0.42745098039215684, 'rgb(248,211,85)'],
        [0.43137254901960786, 'rgb(255,179,176)'],
        [0.43529411764705883, 'rgb(220,149,123)'],
        [0.4392156862745098, 'rgb(200,153,167)'],
        [0.44313725490196076, 'rgb(160,36,67)'],
        [0.4470588235294118, 'rgb(219,183,111)'],
        [0.45098039215686275, 'rgb(155,108,116)'],
        [0.4549019607843137, 'rgb(227,141,46)'],
        [0.4588235294117647, 'rgb(228,106,54)'],
        [0.4627450980392157, 'rgb(226,89,186)'],
        [0.4666666666666667, 'rgb(253,92,147)'],
        [0.47058823529411764, 'rgb(124,97,66)'],
        [0.4745098039215686, 'rgb(135,88,103)'],
        [0.47843137254901963, 'rgb(157,93,150)'],
        [0.4823529411764706, 'rgb(148,45,27)'],
        [0.48627450980392156, 'rgb(150,137,1)'],
        [0.49019607843137253, 'rgb(177,113,2)'],
        [0.49411764705882355, 'rgb(202,61,24)'],
        [0.4980392156862745, 'rgb(117,59,89)'],
        [0.5019607843137255, 'rgb(194,178,18)'],
        [0.5058823529411764, 'rgb(162,0,161)'],
        [0.5098039215686274, 'rgb(226,78,220)'],
        [0.5137254901960784, 'rgb(252,192,145)'],
        [0.5176470588235295, 'rgb(193,80,123)'],
        [0.5215686274509804, 'rgb(217,113,165)'],
        [0.5254901960784314, 'rgb(222,141,211)'],
        [0.5294117647058824, 'rgb(238,169,76)'],
        [0.5333333333333333, 'rgb(204,61,165)'],
        [0.5372549019607843, 'rgb(228,191,219)'],
        [0.5411764705882353, 'rgb(148,41,101)'],
        [0.5450980392156862, 'rgb(169,141,106)'],
        [0.5490196078431373, 'rgb(162,0,36)'],
        [0.5529411764705883, 'rgb(255,44,124)'],
        [0.5568627450980392, 'rgb(170,135,38)'],
        [0.5607843137254902, 'rgb(226,92,100)'],
        [0.5647058823529412, 'rgb(228,161,158)'],
        [0.5686274509803921, 'rgb(125,112,43)'],
        [0.5725490196078431, 'rgb(203,22,97)'],
        [0.5764705882352941, 'rgb(120,91,27)'],
        [0.5803921568627451, 'rgb(166,92,80)'],
        [0.5843137254901961, 'rgb(255,116,0)'],
        [0.5882352941176471, 'rgb(205,116,122)'],
        [0.592156862745098, 'rgb(255,241,156)'],
        [0.596078431372549, 'rgb(214,202,89)'],
        [0.6, 'rgb(152,72,7)'],
        [0.6039215686274509, 'rgb(237,52,80)'],
        [0.6078431372549019, 'rgb(144,73,127)'],
        [0.611764705882353, 'rgb(193,32,191)'],
        [0.615686274509804, 'rgb(136,28,132)'],
        [0.6196078431372549, 'rgb(252,183,214)'],
        [0.6235294117647059, 'rgb(196,49,58)'],
        [0.6274509803921569, 'rgb(151,68,45)'],
        [0.6313725490196078, 'rgb(178,170,105)'],
        [0.6352941176470588, 'rgb(169,38,0)'],
        [0.6392156862745098, 'rgb(249,150,162)'],
        [0.6431372549019608, 'rgb(239,134,104)'],
        [0.6470588235294118, 'rgb(223,182,69)'],
        [0.6509803921568628, 'rgb(132,78,65)'],
        [0.6549019607843137, 'rgb(158,122,55)'],
        [0.6588235294117647, 'rgb(253,0,151)'],
        [0.6627450980392157, 'rgb(232,82,50)'],
        [0.6666666666666666, 'rgb(197,154,188)'],
        [0.6705882352941176, 'rgb(184,128,94)'],
        [0.6745098039215687, 'rgb(201,97,89)'],
        [0.6784313725490196, 'rgb(144,131,91)'],
        [0.6823529411764706, 'rgb(185,87,22)'],
        [0.6862745098039216, 'rgb(195,132,186)'],
        [0.6901960784313725, 'rgb(204,129,112)'],
        [0.6941176470588235, 'rgb(200,110,75)'],
        [0.6980392156862745, 'rgb(159,150,65)'],
        [0.7019607843137254, 'rgb(178,0,83)'],
        [0.7058823529411765, 'rgb(200,125,46)'],
        [0.7098039215686275, 'rgb(248,173,144)'],
        [0.7137254901960784, 'rgb(255,219,149)'],
        [0.7176470588235294, 'rgb(255,0,254)'],
        [0.7215686274509804, 'rgb(169,105,71)'],
        [0.7254901960784313, 'rgb(255,96,214)'],
        [0.7294117647058823, 'rgb(244,107,127)'],
        [0.7333333333333333, 'rgb(196,148,110)'],
        [0.7372549019607844, 'rgb(130,67,80)'],
        [0.7411764705882353, 'rgb(165,77,104)'],
        [0.7450980392156863, 'rgb(171,124,123)'],
        [0.7490196078431373, 'rgb(227,154,177)'],
        [0.7529411764705882, 'rgb(207,199,124)'],
        [0.7568627450980392, 'rgb(135,101,0)'],
        [0.7607843137254902, 'rgb(255,153,66)'],
        [0.7647058823529411, 'rgb(107,42,103)'],
        [0.7686274509803922, 'rgb(227,129,160)'],
        [0.7725490196078432, 'rgb(85,80,41)'],
        [0.7764705882352941, 'rgb(240,144,199)'],
        [0.7803921568627451, 'rgb(245,125,224)'],
        [0.7843137254901961, 'rgb(234,150,97)'],
        [0.788235294117647, 'rgb(229,43,40)'],
        [0.792156862745098, 'rgb(189,76,72)'],
        [0.796078431372549, 'rgb(134,26,0)'],
        [0.8, 'rgb(134,87,43)'],
        [0.803921568627451, 'rgb(148,57,65)'],
        [0.807843137254902, 'rgb(193,122,161)'],
        [0.8117647058823529, 'rgb(255,114,65)'],
        [0.8156862745098039, 'rgb(194,103,137)'],
        [0.8196078431372549, 'rgb(231,73,113)'],
        [0.8235294117647058, 'rgb(229,173,122)'],
        [0.8274509803921568, 'rgb(102,83,0)'],
        [0.8313725490196079, 'rgb(158,51,130)'],
        [0.8352941176470589, 'rgb(157,110,97)'],
        [0.8392156862745098, 'rgb(119,63,0)'],
        [0.8431372549019608, 'rgb(255,67,72)'],
        [0.8470588235294118, 'rgb(255,213,245)'],
        [0.8509803921568627, 'rgb(253,172,228)'],
        [0.8549019607843137, 'rgb(128,116,0)'],
        [0.8588235294117647, 'rgb(201,100,1)'],
        [0.8627450980392157, 'rgb(168,122,150)'],
        [0.8666666666666667, 'rgb(231,90,157)'],
        [0.8705882352941177, 'rgb(187,146,1)'],
        [0.8745098039215686, 'rgb(193,136,143)'],
        [0.8784313725490196, 'rgb(146,102,72)'],
        [0.8823529411764706, 'rgb(213,155,58)'],
        [0.8862745098039215, 'rgb(132,0,107)'],
        [0.8901960784313725, 'rgb(255,206,0)'],
        [0.8941176470588236, 'rgb(176,67,83)'],
        [0.8980392156862745, 'rgb(203,61,138)'],
        [0.9019607843137255, 'rgb(255,136,1)'],
        [0.9058823529411765, 'rgb(221,189,148)'],
        [0.9098039215686274, 'rgb(204,156,144)'],
        [0.9137254901960784, 'rgb(119,76,98)'],
        [0.9176470588235294, 'rgb(181,68,43)'],
        [0.9215686274509803, 'rgb(152,53,86)'],
        [0.9254901960784314, 'rgb(178,83,155)'],
        [0.9294117647058824, 'rgb(156,102,2)'],
        [0.9333333333333333, 'rgb(192,102,177)'],
        [0.9372549019607843, 'rgb(159,92,103)'],
        [0.9411764705882353, 'rgb(188,154,93)'],
        [0.9450980392156862, 'rgb(135,0,14)'],
        [0.9490196078431372, 'rgb(228,0,122)'],
        [0.9529411764705882, 'rgb(176,106,113)'],
        [0.9568627450980393, 'rgb(127,0,77)'],
        [0.9607843137254902, 'rgb(192,35,0)'],
        [0.9647058823529412, 'rgb(186,32,133)'],
        [0.9686274509803922, 'rgb(231,199,107)'],
        [0.9725490196078431, 'rgb(134,0,54)'],
        [0.9764705882352941, 'rgb(164,104,42)'],
        [0.9803921568627451, 'rgb(255,4,93)'],
        [0.984313725490196, 'rgb(221,125,190)'],
        [0.9882352941176471, 'rgb(173,119,67)'],
        [0.9921568627450981, 'rgb(230,123,125)'],
        [0.996078431372549, 'rgb(222,69,161)'],
        [1.0, 'rgb(205,89,108)'],
    ],
    'cet.glasbey_bw_minc_20_maxl_70': [
        [0.0, 'rgb(215,0,0)'],
        [0.00392156862745098, 'rgb(140,60,255)'],
        [0.00784313725490196, 'rgb(2,136,0)'],
        [0.011764705882352941, 'rgb(0,172,199)'],
        [0.01568627450980392, 'rgb(231,165,0)'],
        [0.0196078431372549, 'rgb(255,127,209)'],
        [0.023529411764705882, 'rgb(108,0,79)'],
        [0.027450980392156862, 'rgb(88,59,0)'],
        [0.03137254901960784, 'rgb(0,87,89)'],
        [0.03529411764705882, 'rgb(21,225,141)'],
        [0.0392156862745098, 'rgb(0,0,221)'],
        [0.043137254901960784, 'rgb(162,118,106)'],
        [0.047058823529411764, 'rgb(188,183,255)'],
        [0.050980392156862744, 'rgb(192,4,185)'],
        [0.054901960784313725, 'rgb(100,84,115)'],
        [0.058823529411764705, 'rgb(121,0,0)'],
        [0.06274509803921569, 'rgb(7,116,216)'],
        [0.06666666666666667, 'rgb(115,155,125)'],
        [0.07058823529411765, 'rgb(255,120,82)'],
        [0.07450980392156863, 'rgb(0,75,0)'],
        [0.0784313725490196, 'rgb(143,123,1)'],
        [0.08235294117647059, 'rgb(243,0,123)'],
        [0.08627450980392157, 'rgb(143,186,0)'],
        [0.09019607843137255, 'rgb(166,123,184)'],
        [0.09411764705882353, 'rgb(90,2,163)'],
        [0.09803921568627451, 'rgb(227,175,175)'],
        [0.10196078431372549, 'rgb(160,58,82)'],
        [0.10588235294117647, 'rgb(162,200,200)'],
        [0.10980392156862745, 'rgb(158,75,0)'],
        [0.11372549019607843, 'rgb(84,103,69)'],
        [0.11764705882352941, 'rgb(187,195,137)'],
        [0.12156862745098039, 'rgb(95,123,136)'],
        [0.12549019607843137, 'rgb(96,56,60)'],
        [0.12941176470588237, 'rgb(131,136,255)'],
        [0.13333333333333333, 'rgb(57,0,0)'],
        [0.13725490196078433, 'rgb(227,83,255)'],
        [0.1411764705882353, 'rgb(48,83,130)'],
        [0.1450980392156863, 'rgb(127,202,255)'],
        [0.14901960784313725, 'rgb(197,102,143)'],
        [0.15294117647058825, 'rgb(0,129,106)'],
        [0.1568627450980392, 'rgb(146,158,183)'],
        [0.1607843137254902, 'rgb(204,116,7)'],
        [0.16470588235294117, 'rgb(127,43,142)'],
        [0.16862745098039217, 'rgb(0,190,164)'],
        [0.17254901960784313, 'rgb(45,177,82)'],
        [0.17647058823529413, 'rgb(78,51,255)'],
        [0.1803921568627451, 'rgb(0,229,0)'],
        [0.1843137254901961, 'rgb(255,0,206)'],
        [0.18823529411764706, 'rgb(200,88,72)'],
        [0.19215686274509805, 'rgb(229,156,255)'],
        [0.19607843137254902, 'rgb(29,161,255)'],
        [0.2, 'rgb(110,112,171)'],
        [0.20392156862745098, 'rgb(200,154,105)'],
        [0.20784313725490197, 'rgb(120,87,59)'],
        [0.21176470588235294, 'rgb(4,218,230)'],
        [0.21568627450980393, 'rgb(193,163,196)'],
        [0.2196078431372549, 'rgb(255,106,138)'],
        [0.2235294117647059, 'rgb(187,0,254)'],
        [0.22745098039215686, 'rgb(146,83,128)'],
        [0.23137254901960785, 'rgb(159,2,116)'],
        [0.23529411764705882, 'rgb(148,161,80)'],
        [0.23921568627450981, 'rgb(55,68,37)'],
        [0.24313725490196078, 'rgb(175,109,255)'],
        [0.24705882352941178, 'rgb(89,109,0)'],
        [0.25098039215686274, 'rgb(255,49,71)'],
        [0.2549019607843137, 'rgb(131,128,87)'],
        [0.25882352941176473, 'rgb(0,109,46)'],
        [0.2627450980392157, 'rgb(137,86,175)'],
        [0.26666666666666666, 'rgb(90,74,163)'],
        [0.27058823529411763, 'rgb(119,53,22)'],
        [0.27450980392156865, 'rgb(134,195,154)'],
        [0.2784313725490196, 'rgb(95,17,35)'],
        [0.2823529411764706, 'rgb(213,133,129)'],
        [0.28627450980392155, 'rgb(164,41,24)'],
        [0.2901960784313726, 'rgb(0,136,177)'],
        [0.29411764705882354, 'rgb(203,0,68)'],
        [0.2980392156862745, 'rgb(255,160,86)'],
        [0.30196078431372547, 'rgb(235,78,0)'],
        [0.3058823529411765, 'rgb(108,151,0)'],
        [0.30980392156862746, 'rgb(83,134,73)'],
        [0.3137254901960784, 'rgb(117,90,0)'],
        [0.3176470588235294, 'rgb(200,196,64)'],
        [0.3215686274509804, 'rgb(146,211,112)'],
        [0.3254901960784314, 'rgb(75,152,148)'],
        [0.32941176470588235, 'rgb(77,35,13)'],
        [0.3333333333333333, 'rgb(97,52,92)'],
        [0.33725490196078434, 'rgb(132,0,207)'],
        [0.3411764705882353, 'rgb(139,0,49)'],
        [0.34509803921568627, 'rgb(159,110,50)'],
        [0.34901960784313724, 'rgb(172,132,153)'],
        [0.35294117647058826, 'rgb(198,49,137)'],
        [0.3568627450980392, 'rgb(2,84,56)'],
        [0.3607843137254902, 'rgb(8,107,132)'],
        [0.36470588235294116, 'rgb(135,168,236)'],
        [0.3686274509803922, 'rgb(100,102,239)'],
        [0.37254901960784315, 'rgb(196,93,186)'],
        [0.3764705882352941, 'rgb(1,159,112)'],
        [0.3803921568627451, 'rgb(129,81,89)'],
        [0.3843137254901961, 'rgb(131,111,140)'],
        [0.38823529411764707, 'rgb(179,192,218)'],
        [0.39215686274509803, 'rgb(185,145,41)'],
        [0.396078431372549, 'rgb(255,151,178)'],
        [0.4, 'rgb(167,147,225)'],
        [0.403921568627451, 'rgb(105,141,190)'],
        [0.40784313725490196, 'rgb(76,80,1)'],
        [0.4117647058823529, 'rgb(72,2,204)'],
        [0.41568627450980394, 'rgb(97,0,110)'],
        [0.4196078431372549, 'rgb(69,106,102)'],
        [0.4235294117647059, 'rgb(157,87,67)'],
        [0.42745098039215684, 'rgb(123,172,181)'],
        [0.43137254901960786, 'rgb(205,132,189)'],
        [0.43529411764705883, 'rgb(0,84,193)'],
        [0.4392156862745098, 'rgb(123,47,79)'],
        [0.44313725490196076, 'rgb(251,124,0)'],
        [0.4470588235294118, 'rgb(52,192,0)'],
        [0.45098039215686275, 'rgb(255,156,136)'],
        [0.4549019607843137, 'rgb(225,183,105)'],
        [0.4588235294117647, 'rgb(83,97,119)'],
        [0.4627450980392157, 'rgb(92,58,124)'],
        [0.4666666666666667, 'rgb(237,165,218)'],
        [0.47058823529411764, 'rgb(240,83,163)'],
        [0.4745098039215686, 'rgb(93,126,105)'],
        [0.47843137254901963, 'rgb(196,119,80)'],
        [0.4823529411764706, 'rgb(209,72,104)'],
        [0.48627450980392156, 'rgb(110,0,235)'],
        [0.49019607843137253, 'rgb(31,52,0)'],
        [0.49411764705882355, 'rgb(193,65,4)'],
        [0.4980392156862745, 'rgb(109,213,194)'],
        [0.5019607843137255, 'rgb(70,112,159)'],
        [0.5058823529411764, 'rgb(162,1,196)'],
        [0.5098039215686274, 'rgb(10,130,137)'],
        [0.5137254901960784, 'rgb(175,166,1)'],
        [0.5176470588235295, 'rgb(166,92,107)'],
        [0.5215686274509804, 'rgb(254,119,255)'],
        [0.5254901960784314, 'rgb(139,133,174)'],
        [0.5294117647058824, 'rgb(199,127,233)'],
        [0.5333333333333333, 'rgb(154,171,133)'],
        [0.5372549019607843, 'rgb(135,108,217)'],
        [0.5411764705882353, 'rgb(1,186,247)'],
        [0.5450980392156862, 'rgb(175,94,210)'],
        [0.5490196078431373, 'rgb(89,81,43)'],
        [0.5529411764705883, 'rgb(182,0,95)'],
        [0.5568627450980392, 'rgb(124,182,106)'],
        [0.5607843137254902, 'rgb(73,133,255)'],
        [0.5647058823529412, 'rgb(0,194,130)'],
        [0.5686274509803921, 'rgb(210,149,171)'],
        [0.5725490196078431, 'rgb(163,75,168)'],
        [0.5764705882352941, 'rgb(227,6,227)'],
        [0.5803921568627451, 'rgb(22,163,0)'],
        [0.5843137254901961, 'rgb(57,46,0)'],
        [0.5882352941176471, 'rgb(132,48,51)'],
        [0.592156862745098, 'rgb(94,149,170)'],
        [0.596078431372549, 'rgb(90,16,0)'],
        [0.6, 'rgb(123,70,0)'],
        [0.6039215686274509, 'rgb(111,111,49)'],
        [0.6078431372549019, 'rgb(51,88,38)'],
        [0.611764705882353, 'rgb(77,96,182)'],
        [0.615686274509804, 'rgb(162,149,100)'],
        [0.6196078431372549, 'rgb(98,64,40)'],
        [0.6235294117647059, 'rgb(69,212,88)'],
        [0.6274509803921569, 'rgb(112,170,208)'],
        [0.6313725490196078, 'rgb(46,107,78)'],
        [0.6352941176470588, 'rgb(115,175,158)'],
        [0.6392156862745098, 'rgb(253,21,0)'],
        [0.6431372549019608, 'rgb(216,180,146)'],
        [0.6470588235294118, 'rgb(122,137,59)'],
        [0.6509803921568628, 'rgb(125,198,217)'],
        [0.6549019607843137, 'rgb(220,145,55)'],
        [0.6588235294117647, 'rgb(236,97,94)'],
        [0.6627450980392157, 'rgb(236,95,212)'],
        [0.6666666666666666, 'rgb(229,123,167)'],
        [0.6705882352941176, 'rgb(166,108,152)'],
        [0.6745098039215687, 'rgb(0,151,68)'],
        [0.6784313725490196, 'rgb(186,95,34)'],
        [0.6823529411764706, 'rgb(188,173,83)'],
        [0.6862745098039216, 'rgb(136,216,48)'],
        [0.6901960784313725, 'rgb(135,53,115)'],
        [0.6941176470588235, 'rgb(174,168,210)'],
        [0.6980392156862745, 'rgb(227,140,99)'],
        [0.7019607843137254, 'rgb(209,177,236)'],
        [0.7058823529411765, 'rgb(55,66,159)'],
        [0.7098039215686275, 'rgb(58,190,194)'],
        [0.7137254901960784, 'rgb(102,157,77)'],
        [0.7176470588235294, 'rgb(158,3,153)'],
        [0.7215686274509804, 'rgb(78,78,122)'],
        [0.7254901960784313, 'rgb(123,76,134)'],
        [0.7294117647058823, 'rgb(195,53,49)'],
        [0.7333333333333333, 'rgb(141,102,119)'],
        [0.7372549019607844, 'rgb(170,0,45)'],
        [0.7411764705882353, 'rgb(127,1,117)'],
        [0.7450980392156863, 'rgb(1,130,77)'],
        [0.7490196078431373, 'rgb(115,74,103)'],
        [0.7529411764705882, 'rgb(114,119,145)'],
        [0.7568627450980392, 'rgb(110,0,153)'],
        [0.7607843137254902, 'rgb(160,186,82)'],
        [0.7647058823529411, 'rgb(225,110,49)'],
        [0.7686274509803922, 'rgb(197,106,113)'],
        [0.7725490196078432, 'rgb(109,91,150)'],
        [0.7764705882352941, 'rgb(163,60,116)'],
        [0.7803921568627451, 'rgb(50,98,0)'],
        [0.7843137254901961, 'rgb(136,0,80)'],
        [0.788235294117647, 'rgb(51,88,105)'],
        [0.792156862745098, 'rgb(186,141,124)'],
        [0.796078431372549, 'rgb(25,89,255)'],
        [0.8, 'rgb(145,146,2)'],
        [0.803921568627451, 'rgb(44,139,213)'],
        [0.807843137254902, 'rgb(23,38,255)'],
        [0.8117647058823529, 'rgb(33,211,255)'],
        [0.8156862745098039, 'rgb(164,144,175)'],
        [0.8196078431372549, 'rgb(139,109,79)'],
        [0.8235294117647058, 'rgb(94,33,62)'],
        [0.8274509803921568, 'rgb(220,3,179)'],
        [0.8313725490196079, 'rgb(111,87,202)'],
        [0.8352941176470589, 'rgb(101,40,33)'],
        [0.8392156862745098, 'rgb(173,119,0)'],
        [0.8431372549019608, 'rgb(163,191,247)'],
        [0.8470588235294118, 'rgb(181,132,70)'],
        [0.8509803921568627, 'rgb(151,56,220)'],
        [0.8549019607843137, 'rgb(178,81,148)'],
        [0.8588235294117647, 'rgb(114,66,163)'],
        [0.8627450980392157, 'rgb(135,143,209)'],
        [0.8666666666666667, 'rgb(138,112,177)'],
        [0.8705882352941177, 'rgb(107,175,54)'],
        [0.8745098039215686, 'rgb(90,122,201)'],
        [0.8784313725490196, 'rgb(199,159,255)'],
        [0.8823529411764706, 'rgb(86,132,26)'],
        [0.8862745098039215, 'rgb(0,214,167)'],
        [0.8901960784313725, 'rgb(130,71,57)'],
        [0.8941176470588236, 'rgb(17,67,29)'],
        [0.8980392156862745, 'rgb(90,171,117)'],
        [0.9019607843137255, 'rgb(145,91,1)'],
        [0.9058823529411765, 'rgb(246,69,112)'],
        [0.9098039215686274, 'rgb(255,151,3)'],
        [0.9137254901960784, 'rgb(225,66,49)'],
        [0.9176470588235294, 'rgb(186,146,207)'],
        [0.9215686274509803, 'rgb(52,88,77)'],
        [0.9254901960784314, 'rgb(248,128,125)'],
        [0.9294117647058824, 'rgb(145,52,0)'],
        [0.9333333333333333, 'rgb(179,205,0)'],
        [0.9372549019607843, 'rgb(46,159,211)'],
        [0.9411764705882353, 'rgb(121,139,159)'],
        [0.9450980392156862, 'rgb(81,129,125)'],
        [0.9490196078431372, 'rgb(193,54,215)'],
        [0.9529411764705882, 'rgb(236,5,83)'],
        [0.9568627450980393, 'rgb(185,172,126)'],
        [0.9607843137254902, 'rgb(72,112,50)'],
        [0.9647058823529412, 'rgb(132,149,101)'],
        [0.9686274509803922, 'rgb(217,157,137)'],
        [0.9725490196078431, 'rgb(0,100,163)'],
        [0.9764705882352941, 'rgb(76,144,120)'],
        [0.9803921568627451, 'rgb(143,97,152)'],
        [0.984313725490196, 'rgb(255,83,56)'],
        [0.9882352941176471, 'rgb(167,66,59)'],
        [0.9921568627450981, 'rgb(0,110,112)'],
        [0.996078431372549, 'rgb(152,132,62)'],
        [1.0, 'rgb(220,176,200)'],
    ],
    'cet.glasbey_bw_minc_20_minl_30': [
        [0.0, 'rgb(215,0,0)'],
        [0.00392156862745098, 'rgb(2,136,0)'],
        [0.00784313725490196, 'rgb(182,0,255)'],
        [0.011764705882352941, 'rgb(6,172,198)'],
        [0.01568627450980392, 'rgb(152,255,0)'],
        [0.0196078431372549, 'rgb(255,165,48)'],
        [0.023529411764705882, 'rgb(255,143,200)'],
        [0.027450980392156862, 'rgb(121,82,95)'],
        [0.03137254901960784, 'rgb(0,254,207)'],
        [0.03529411764705882, 'rgb(176,165,255)'],
        [0.0392156862745098, 'rgb(148,173,132)'],
        [0.043137254901960784, 'rgb(154,105,0)'],
        [0.047058823529411764, 'rgb(55,106,98)'],
        [0.050980392156862744, 'rgb(211,0,140)'],
        [0.054901960784313725, 'rgb(254,245,144)'],
        [0.058823529411764705, 'rgb(200,111,102)'],
        [0.06274509803921569, 'rgb(158,227,255)'],
        [0.06666666666666667, 'rgb(0,201,70)'],
        [0.07058823529411765, 'rgb(169,119,173)'],
        [0.07450980392156863, 'rgb(184,187,2)'],
        [0.0784313725490196, 'rgb(244,192,177)'],
        [0.08235294117647059, 'rgb(255,40,253)'],
        [0.08627450980392157, 'rgb(243,206,255)'],
        [0.09019607843137255, 'rgb(0,159,125)'],
        [0.09411764705882353, 'rgb(255,98,0)'],
        [0.09803921568627451, 'rgb(86,101,43)'],
        [0.10196078431372549, 'rgb(150,63,31)'],
        [0.10588235294117647, 'rgb(145,49,143)'],
        [0.10980392156862745, 'rgb(255,52,101)'],
        [0.11372549019607843, 'rgb(160,228,146)'],
        [0.11764705882352941, 'rgb(141,155,178)'],
        [0.12156862745098039, 'rgb(130,145,38)'],
        [0.12549019607843137, 'rgb(174,9,63)'],
        [0.12941176470588237, 'rgb(120,199,187)'],
        [0.13333333333333333, 'rgb(188,146,88)'],
        [0.13725490196078433, 'rgb(229,143,255)'],
        [0.1411764705882353, 'rgb(114,185,255)'],
        [0.1450980392156863, 'rgb(198,165,193)'],
        [0.14901960784313725, 'rgb(255,145,113)'],
        [0.15294117647058825, 'rgb(211,195,125)'],
        [0.1568627450980392, 'rgb(189,238,219)'],
        [0.1607843137254902, 'rgb(107,133,104)'],
        [0.16470588235294117, 'rgb(146,110,86)'],
        [0.16862745098039217, 'rgb(249,255,0)'],
        [0.17254901960784313, 'rgb(186,194,224)'],
        [0.17647058823529413, 'rgb(173,87,125)'],
        [0.1803921568627451, 'rgb(255,206,3)'],
        [0.1843137254901961, 'rgb(255,74,177)'],
        [0.18823529411764706, 'rgb(194,87,3)'],
        [0.19215686274509805, 'rgb(93,140,144)'],
        [0.19607843137254902, 'rgb(194,68,189)'],
        [0.2, 'rgb(0,117,64)'],
        [0.20392156862745098, 'rgb(186,111,254)'],
        [0.20784313725490197, 'rgb(0,212,148)'],
        [0.21176470588235294, 'rgb(0,255,118)'],
        [0.21568627450980393, 'rgb(73,162,81)'],
        [0.2196078431372549, 'rgb(204,152,145)'],
        [0.2235294117647059, 'rgb(0,235,238)'],
        [0.22745098039215686, 'rgb(219,126,1)'],
        [0.23137254901960785, 'rgb(248,117,138)'],
        [0.23529411764705882, 'rgb(185,150,0)'],
        [0.23921568627450981, 'rgb(201,66,72)'],
        [0.24313725490196078, 'rgb(0,208,250)'],
        [0.24705882352941178, 'rgb(118,88,39)'],
        [0.25098039215686274, 'rgb(133,212,1)'],
        [0.2549019607843137, 'rgb(236,255,212)'],
        [0.25882352941176473, 'rgb(167,123,136)'],
        [0.2627450980392157, 'rgb(220,114,201)'],
        [0.26666666666666666, 'rgb(203,227,87)'],
        [0.27058823529411763, 'rgb(139,191,94)'],
        [0.27450980392156865, 'rgb(161,33,107)'],
        [0.2784313725490196, 'rgb(134,91,137)'],
        [0.2823529411764706, 'rgb(138,187,208)'],
        [0.28627450980392155, 'rgb(255,186,215)'],
        [0.2901960784313726, 'rgb(183,207,171)'],
        [0.29411764705882354, 'rgb(151,65,78)'],
        [0.2980392156862745, 'rgb(104,171,0)'],
        [0.30196078431372547, 'rgb(254,225,178)'],
        [0.3058823529411765, 'rgb(255,55,41)'],
        [0.30980392156862746, 'rgb(128,122,62)'],
        [0.3137254901960784, 'rgb(215,232,255)'],
        [0.3176470588235294, 'rgb(167,149,198)'],
        [0.3215686274509804, 'rgb(126,165,155)'],
        [0.3254901960784314, 'rgb(209,131,164)'],
        [0.32941176470588235, 'rgb(84,130,59)'],
        [0.3333333333333333, 'rgb(230,169,115)'],
        [0.33725490196078434, 'rgb(156,255,255)'],
        [0.3411764705882353, 'rgb(218,85,129)'],
        [0.34509803921568627, 'rgb(5,180,170)'],
        [0.34901960784313724, 'rgb(255,171,246)'],
        [0.35294117647058826, 'rgb(209,175,239)'],
        [0.3568627450980392, 'rgb(218,2,94)'],
        [0.3607843137254902, 'rgb(172,27,19)'],
        [0.36470588235294116, 'rgb(96,179,133)'],
        [0.3686274509803922, 'rgb(213,66,253)'],
        [0.37254901960784315, 'rgb(173,171,89)'],
        [0.3764705882352941, 'rgb(251,157,167)'],
        [0.3803921568627451, 'rgb(179,114,60)'],
        [0.3843137254901961, 'rgb(242,106,83)'],
        [0.38823529411764707, 'rgb(174,210,213)'],
        [0.39215686274509803, 'rgb(155,255,196)'],
        [0.396078431372549, 'rgb(219,179,51)'],
        [0.4, 'rgb(236,2,195)'],
        [0.403921568627451, 'rgb(153,0,197)'],
        [0.40784313725490196, 'rgb(208,255,158)'],
        [0.4117647058823529, 'rgb(166,90,74)'],
        [0.41568627450980394, 'rgb(60,109,1)'],
        [0.4196078431372549, 'rgb(0,133,122)'],
        [0.4235294117647059, 'rgb(149,146,103)'],
        [0.42745098039215684, 'rgb(138,220,179)'],
        [0.43137254901960786, 'rgb(109,116,0)'],
        [0.43529411764705883, 'rgb(170,94,202)'],
        [0.4392156862745098, 'rgb(7,240,0)'],
        [0.44313725490196076, 'rgb(129,79,62)'],
        [0.4470588235294118, 'rgb(217,129,82)'],
        [0.45098039215686275, 'rgb(255,200,99)'],
        [0.4549019607843137, 'rgb(184,0,159)'],
        [0.4588235294117647, 'rgb(153,172,222)'],
        [0.4627450980392157, 'rgb(145,79,0)'],
        [0.4666666666666667, 'rgb(140,69,112)'],
        [0.47058823529411764, 'rgb(79,110,82)'],
        [0.4745098039215686, 'rgb(255,136,52)'],
        [0.47843137254901963, 'rgb(199,143,206)'],
        [0.4823529411764706, 'rgb(213,226,158)'],
        [0.48627450980392156, 'rgb(178,130,109)'],
        [0.49019607843137253, 'rgb(157,251,117)'],
        [0.49411764705882355, 'rgb(87,222,119)'],
        [0.4980392156862745, 'rgb(250,0,135)'],
        [0.5019607843137255, 'rgb(162,205,255)'],
        [0.5058823529411764, 'rgb(20,203,210)'],
        [0.5098039215686274, 'rgb(17,143,85)'],
        [0.5137254901960784, 'rgb(210,84,165)'],
        [0.5176470588235295, 'rgb(0,223,195)'],
        [0.5215686274509804, 'rgb(163,132,47)'],
        [0.5254901960784314, 'rgb(119,151,91)'],
        [0.5294117647058824, 'rgb(187,171,128)'],
        [0.5333333333333333, 'rgb(112,163,176)'],
        [0.5372549019607843, 'rgb(214,251,255)'],
        [0.5411764705882353, 'rgb(232,2,58)'],
        [0.5450980392156862, 'rgb(216,71,34)'],
        [0.5490196078431373, 'rgb(255,131,237)'],
        [0.5529411764705883, 'rgb(183,56,99)'],
        [0.5568627450980392, 'rgb(183,206,114)'],
        [0.5607843137254902, 'rgb(152,98,107)'],
        [0.5647058823529412, 'rgb(138,116,145)'],
        [0.5686274509803921, 'rgb(0,163,23)'],
        [0.5725490196078431, 'rgb(0,245,161)'],
        [0.5764705882352941, 'rgb(192,145,242)'],
        [0.5803921568627451, 'rgb(138,228,216)'],
        [0.5843137254901961, 'rgb(164,78,149)'],
        [0.5882352941176471, 'rgb(110,94,0)'],
        [0.592156862745098, 'rgb(140,198,142)'],
        [0.596078431372549, 'rgb(149,170,43)'],
        [0.6, 'rgb(199,115,221)'],
        [0.6039215686274509, 'rgb(180,59,1)'],
        [0.6078431372549019, 'rgb(215,154,55)'],
        [0.611764705882353, 'rgb(223,173,183)'],
        [0.615686274509804, 'rgb(0,155,160)'],
        [0.6196078431372549, 'rgb(90,144,0)'],
        [0.6235294117647059, 'rgb(151,188,168)'],
        [0.6274509803921569, 'rgb(173,141,168)'],
        [0.6313725490196078, 'rgb(218,213,255)'],
        [0.6352941176470588, 'rgb(85,125,114)'],
        [0.6392156862745098, 'rgb(0,187,105)'],
        [0.6431372549019608, 'rgb(255,196,142)'],
        [0.6470588235294118, 'rgb(185,0,212)'],
        [0.6509803921568628, 'rgb(224,208,91)'],
        [0.6549019607843137, 'rgb(99,154,123)'],
        [0.6588235294117647, 'rgb(192,238,188)'],
        [0.6627450980392157, 'rgb(194,190,254)'],
        [0.6666666666666666, 'rgb(128,211,222)'],
        [0.6705882352941176, 'rgb(226,133,126)'],
        [0.6745098039215687, 'rgb(250,235,78)'],
        [0.6784313725490196, 'rgb(192,109,131)'],
        [0.6823529411764706, 'rgb(203,255,80)'],
        [0.6862745098039216, 'rgb(240,114,170)'],
        [0.6901960784313725, 'rgb(237,104,255)'],
        [0.6941176470588235, 'rgb(153,71,174)'],
        [0.6980392156862745, 'rgb(109,105,67)'],
        [0.7019607843137254, 'rgb(227,87,97)'],
        [0.7058823529411765, 'rgb(221,102,45)'],
        [0.7098039215686275, 'rgb(157,219,93)'],
        [0.7137254901960784, 'rgb(226,157,208)'],
        [0.7176470588235294, 'rgb(185,118,0)'],
        [0.7215686274509804, 'rgb(198,0,45)'],
        [0.7254901960784313, 'rgb(223,189,218)'],
        [0.7294117647058823, 'rgb(90,182,223)'],
        [0.7333333333333333, 'rgb(255,90,218)'],
        [0.7372549019607844, 'rgb(56,194,161)'],
        [0.7411764705882353, 'rgb(158,106,140)'],
        [0.7450980392156863, 'rgb(173,170,200)'],
        [0.7490196078431373, 'rgb(150,99,48)'],
        [0.7529411764705882, 'rgb(182,86,98)'],
        [0.7568627450980392, 'rgb(44,127,96)'],
        [0.7607843137254902, 'rgb(178,228,0)'],
        [0.7647058823529411, 'rgb(238,165,145)'],
        [0.7686274509803922, 'rgb(149,254,226)'],
        [0.7725490196078432, 'rgb(255,85,142)'],
        [0.7764705882352941, 'rgb(190,111,161)'],
        [0.7803921568627451, 'rgb(170,60,55)'],
        [0.7843137254901961, 'rgb(217,207,0)'],
        [0.788235294117647, 'rgb(171,128,206)'],
        [0.792156862745098, 'rgb(160,128,82)'],
        [0.796078431372549, 'rgb(225,0,232)'],
        [0.8, 'rgb(195,92,62)'],
        [0.803921568627451, 'rgb(181,58,133)'],
        [0.807843137254902, 'rgb(140,120,0)'],
        [0.8117647058823529, 'rgb(219,188,150)'],
        [0.8156862745098039, 'rgb(82,158,147)'],
        [0.8196078431372549, 'rgb(176,189,131)'],
        [0.8235294117647058, 'rgb(146,182,183)'],
        [0.8274509803921568, 'rgb(167,84,36)'],
        [0.8313725490196079, 'rgb(255,213,239)'],
        [0.8352941176470589, 'rgb(121,174,107)'],
        [0.8392156862745098, 'rgb(94,181,76)'],
        [0.8431372549019608, 'rgb(128,251,155)'],
        [0.8470588235294118, 'rgb(72,255,239)'],
        [0.8509803921568627, 'rgb(152,150,72)'],
        [0.8549019607843137, 'rgb(148,136,167)'],
        [0.8588235294117647, 'rgb(50,213,0)'],
        [0.8627450980392157, 'rgb(110,234,86)'],
        [0.8666666666666667, 'rgb(183,212,235)'],
        [0.8705882352941177, 'rgb(112,85,112)'],
        [0.8745098039215686, 'rgb(242,219,139)'],
        [0.8784313725490196, 'rgb(171,213,194)'],
        [0.8823529411764706, 'rgb(127,205,242)'],
        [0.8862745098039215, 'rgb(138,187,0)'],
        [0.8901960784313725, 'rgb(101,183,187)'],
        [0.8941176470588236, 'rgb(255,182,0)'],
        [0.8980392156862745, 'rgb(195,130,134)'],
        [0.9019607843137255, 'rgb(203,171,95)'],
        [0.9058823529411765, 'rgb(101,120,72)'],
        [0.9098039215686274, 'rgb(89,227,255)'],
        [0.9137254901960784, 'rgb(223,78,205)'],
        [0.9176470588235294, 'rgb(234,255,121)'],
        [0.9215686274509803, 'rgb(189,102,185)'],
        [0.9254901960784314, 'rgb(196,149,166)'],
        [0.9294117647058824, 'rgb(100,198,116)'],
        [0.9333333333333333, 'rgb(209,149,112)'],
        [0.9372549019607843, 'rgb(112,207,79)'],
        [0.9411764705882353, 'rgb(171,110,102)'],
        [0.9450980392156862, 'rgb(157,97,165)'],
        [0.9490196078431372, 'rgb(0,184,0)'],
        [0.9529411764705882, 'rgb(227,153,180)'],
        [0.9568627450980393, 'rgb(189,0,108)'],
        [0.9607843137254902, 'rgb(179,233,240)'],
        [0.9647058823529412, 'rgb(206,191,228)'],
        [0.9686274509803922, 'rgb(119,163,67)'],
        [0.9725490196078431, 'rgb(133,98,120)'],
        [0.9764705882352941, 'rgb(87,143,92)'],
        [0.9803921568627451, 'rgb(158,176,197)'],
        [0.984313725490196, 'rgb(232,48,160)'],
        [0.9882352941176471, 'rgb(37,124,42)'],
        [0.9921568627450981, 'rgb(130,104,35)'],
        [0.996078431372549, 'rgb(192,188,78)'],
        [1.0, 'rgb(221,211,165)'],
    ],
    'cet.glasbey_category10': [
        [0.0, 'rgb(31,119,180)'],
        [0.00392156862745098, 'rgb(255,127,14)'],
        [0.00784313725490196, 'rgb(44,160,44)'],
        [0.011764705882352941, 'rgb(214,39,40)'],
        [0.01568627450980392, 'rgb(148,103,189)'],
        [0.0196078431372549, 'rgb(140,86,75)'],
        [0.023529411764705882, 'rgb(227,119,194)'],
        [0.027450980392156862, 'rgb(127,127,127)'],
        [0.03137254901960784, 'rgb(188,189,34)'],
        [0.03529411764705882, 'rgb(23,190,207)'],
        [0.0392156862745098, 'rgb(58,1,131)'],
        [0.043137254901960784, 'rgb(0,67,1)'],
        [0.047058823529411764, 'rgb(15,255,169)'],
        [0.050980392156862744, 'rgb(94,0,64)'],
        [0.054901960784313725, 'rgb(188,188,255)'],
        [0.058823529411764705, 'rgb(216,175,162)'],
        [0.06274509803921569, 'rgb(184,0,128)'],
        [0.06666666666666667, 'rgb(0,78,83)'],
        [0.07058823529411765, 'rgb(107,101,0)'],
        [0.07450980392156863, 'rgb(125,2,0)'],
        [0.0784313725490196, 'rgb(97,38,255)'],
        [0.08235294117647059, 'rgb(255,255,154)'],
        [0.08627450980392157, 'rgb(87,73,100)'],
        [0.09019607843137255, 'rgb(140,184,148)'],
        [0.09411764705882353, 'rgb(148,252,255)'],
        [0.09803921568627451, 'rgb(2,130,104)'],
        [0.10196078431372549, 'rgb(145,255,0)'],
        [0.10588235294117647, 'rgb(131,0,160)'],
        [0.10980392156862745, 'rgb(173,137,68)'],
        [0.11372549019607843, 'rgb(91,52,0)'],
        [0.11764705882352941, 'rgb(255,192,243)'],
        [0.12156862745098039, 'rgb(255,111,118)'],
        [0.12549019607843137, 'rgb(121,140,255)'],
        [0.12941176470588237, 'rgb(221,0,255)'],
        [0.13333333333333333, 'rgb(81,86,70)'],
        [0.13725490196078433, 'rgb(0,69,138)'],
        [0.1411764705882353, 'rgb(255,191,96)'],
        [0.1450980392156863, 'rgb(255,1,141)'],
        [0.14901960784313725, 'rgb(190,201,207)'],
        [0.15294117647058825, 'rgb(175,152,181)'],
        [0.1568627450980392, 'rgb(183,87,0)'],
        [0.1607843137254902, 'rgb(2,112,0)'],
        [0.16470588235294117, 'rgb(205,136,255)'],
        [0.16862745098039217, 'rgb(29,214,70)'],
        [0.17254901960784313, 'rgb(192,236,196)'],
        [0.17647058823529413, 'rgb(122,152,181)'],
        [0.1803921568627451, 'rgb(165,96,137)'],
        [0.1843137254901961, 'rgb(111,137,87)'],
        [0.18823529411764706, 'rgb(189,125,118)'],
        [0.19215686274509805, 'rgb(139,41,69)'],
        [0.19607843137254902, 'rgb(0,173,255)'],
        [0.2, 'rgb(143,212,255)'],
        [0.20392156862745098, 'rgb(75,109,119)'],
        [0.20784313725490197, 'rgb(0,212,177)'],
        [0.21176470588235294, 'rgb(147,0,243)'],
        [0.21568627450980393, 'rgb(139,149,0)'],
        [0.2196078431372549, 'rgb(93,92,159)'],
        [0.2235294117647059, 'rgb(254,223,187)'],
        [0.22745098039215686, 'rgb(0,147,159)'],
        [0.23137254901960785, 'rgb(255,220,0)'],
        [0.23529411764705882, 'rgb(0,171,121)'],
        [0.23921568627450981, 'rgb(82,0,104)'],
        [0.24313725490196078, 'rgb(0,0,146)'],
        [0.24705882352941178, 'rgb(11,93,62)'],
        [0.25098039215686274, 'rgb(166,227,118)'],
        [0.2549019607843137, 'rgb(98,59,65)'],
        [0.25882352941176473, 'rgb(198,199,138)'],
        [0.2627450980392157, 'rgb(255,158,182)'],
        [0.26666666666666666, 'rgb(206,80,108)'],
        [0.27058823529411763, 'rgb(255,7,214)'],
        [0.27450980392156865, 'rgb(139,58,5)'],
        [0.2784313725490196, 'rgb(127,62,113)'],
        [0.2823529411764706, 'rgb(255,73,2)'],
        [0.28627450980392155, 'rgb(96,44,166)'],
        [0.2901960784313726, 'rgb(28,0,255)'],
        [0.29411764705882354, 'rgb(231,223,255)'],
        [0.2980392156862745, 'rgb(170,59,175)'],
        [0.30196078431372547, 'rgb(217,156,0)'],
        [0.3058823529411765, 'rgb(163,163,159)'],
        [0.30980392156862746, 'rgb(63,106,255)'],
        [0.3137254901960784, 'rgb(70,73,13)'],
        [0.3176470588235294, 'rgb(123,105,133)'],
        [0.3215686274509804, 'rgb(108,152,141)'],
        [0.3254901960784314, 'rgb(255,154,117)'],
        [0.32941176470588235, 'rgb(132,92,255)'],
        [0.3333333333333333, 'rgb(124,108,70)'],
        [0.33725490196078434, 'rgb(129,183,85)'],
        [0.3411764705882353, 'rgb(189,0,74)'],
        [0.34509803921568627, 'rgb(253,148,255)'],
        [0.34901960784313724, 'rgb(93,0,24)'],
        [0.35294117647058826, 'rgb(138,209,209)'],
        [0.3568627450980392, 'rgb(157,141,211)'],
        [0.3607843137254902, 'rgb(218,109,67)'],
        [0.36470588235294116, 'rgb(139,88,0)'],
        [0.3686274509803922, 'rgb(60,81,106)'],
        [0.37254901960784315, 'rgb(76,108,59)'],
        [0.3764705882352941, 'rgb(238,208,216)'],
        [0.3803921568627451, 'rgb(207,238,255)'],
        [0.3843137254901961, 'rgb(170,21,0)'],
        [0.38823529411764707, 'rgb(223,255,79)'],
        [0.39215686274509803, 'rgb(255,43,87)'],
        [0.396078431372549, 'rgb(209,73,158)'],
        [0.4, 'rgb(112,125,184)'],
        [0.403921568627451, 'rgb(90,128,0)'],
        [0.40784313725490196, 'rgb(0,229,253)'],
        [0.4117647058823529, 'rgb(119,75,149)'],
        [0.41568627450980394, 'rgb(104,213,140)'],
        [0.4196078431372549, 'rgb(62,58,114)'],
        [0.4235294117647059, 'rgb(172,65,63)'],
        [0.42745098039215684, 'rgb(214,162,102)'],
        [0.43137254901960786, 'rgb(193,105,206)'],
        [0.43529411764705883, 'rgb(106,89,94)'],
        [0.4392156862745098, 'rgb(136,172,237)'],
        [0.44313725490196076, 'rgb(160,166,106)'],
        [0.4470588235294118, 'rgb(210,170,230)'],
        [0.45098039215686275, 'rgb(136,0,99)'],
        [0.4549019607843137, 'rgb(0,253,219)'],
        [0.4588235294117647, 'rgb(104,40,25)'],
        [0.4627450980392157, 'rgb(180,66,255)'],
        [0.4666666666666667, 'rgb(14,89,197)'],
        [0.47058823529411764, 'rgb(23,135,67)'],
        [0.4745098039215686, 'rgb(145,211,0)'],
        [0.47843137254901963, 'rgb(206,121,0)'],
        [0.4823529411764706, 'rgb(249,90,255)'],
        [0.48627450980392156, 'rgb(91,116,102)'],
        [0.49019607843137253, 'rgb(142,174,179)'],
        [0.49411764705882355, 'rgb(156,125,140)'],
        [0.4980392156862745, 'rgb(70,0,198)'],
        [0.5019607843137255, 'rgb(108,78,46)'],
        [0.5058823529411764, 'rgb(166,109,70)'],
        [0.5098039215686274, 'rgb(158,137,115)'],
        [0.5137254901960784, 'rgb(168,175,202)'],
        [0.5176470588235295, 'rgb(206,141,167)'],
        [0.5215686274509804, 'rgb(0,254,100)'],
        [0.5254901960784314, 'rgb(146,121,0)'],
        [0.5294117647058824, 'rgb(255,99,161)'],
        [0.5333333333333333, 'rgb(245,255,216)'],
        [0.5372549019607843, 'rgb(1,140,241)'],
        [0.5411764705882353, 'rgb(20,172,160)'],
        [0.5450980392156862, 'rgb(91,46,90)'],
        [0.5490196078431373, 'rgb(137,134,158)'],
        [0.5529411764705883, 'rgb(208,204,187)'],
        [0.5568627450980392, 'rgb(212,175,197)'],
        [0.5607843137254902, 'rgb(219,221,109)'],
        [0.5647058823529412, 'rgb(208,255,244)'],
        [0.5686274509803921, 'rgb(0,101,134)'],
        [0.5725490196078431, 'rgb(0,105,99)'],
        [0.5764705882352941, 'rgb(168,65,104)'],
        [0.5803921568627451, 'rgb(45,151,197)'],
        [0.5843137254901961, 'rgb(169,116,255)'],
        [0.5882352941176471, 'rgb(39,187,94)'],
        [0.592156862745098, 'rgb(88,183,0)'],
        [0.596078431372549, 'rgb(203,255,167)'],
        [0.6, 'rgb(164,122,171)'],
        [0.6039215686274509, 'rgb(255,189,148)'],
        [0.6078431372549019, 'rgb(137,226,193)'],
        [0.611764705882353, 'rgb(15,201,255)'],
        [0.615686274509804, 'rgb(213,0,197)'],
        [0.6196078431372549, 'rgb(99,109,138)'],
        [0.6235294117647059, 'rgb(105,133,143)'],
        [0.6274509803921569, 'rgb(75,78,83)'],
        [0.6313725490196078, 'rgb(171,96,104)'],
        [0.6352941176470588, 'rgb(122,182,213)'],
        [0.6392156862745098, 'rgb(44,90,23)'],
        [0.6431372549019608, 'rgb(154,0,37)'],
        [0.6470588235294118, 'rgb(190,209,243)'],
        [0.6509803921568628, 'rgb(138,111,104)'],
        [0.6549019607843137, 'rgb(106,165,107)'],
        [0.6588235294117647, 'rgb(134,84,104)'],
        [0.6627450980392157, 'rgb(174,205,186)'],
        [0.6666666666666666, 'rgb(136,153,127)'],
        [0.6705882352941176, 'rgb(203,220,0)'],
        [0.6745098039215687, 'rgb(155,4,145)'],
        [0.6784313725490196, 'rgb(235,188,27)'],
        [0.6823529411764706, 'rgb(235,156,210)'],
        [0.6862745098039216, 'rgb(112,0,111)'],
        [0.6901960784313725, 'rgb(177,161,50)'],
        [0.6941176470588235, 'rgb(202,108,147)'],
        [0.6980392156862745, 'rgb(65,70,164)'],
        [0.7019607843137254, 'rgb(229,140,138)'],
        [0.7058823529411765, 'rgb(213,69,0)'],
        [0.7098039215686275, 'rgb(199,139,203)'],
        [0.7137254901960784, 'rgb(183,150,151)'],
        [0.7176470588235294, 'rgb(212,32,118)'],
        [0.7215686274509804, 'rgb(114,75,204)'],
        [0.7254901960784313, 'rgb(104,78,0)'],
        [0.7294117647058823, 'rgb(104,34,56)'],
        [0.7333333333333333, 'rgb(56,86,79)'],
        [0.7372549019607844, 'rgb(111,187,171)'],
        [0.7411764705882353, 'rgb(134,58,49)'],
        [0.7450980392156863, 'rgb(165,211,152)'],
        [0.7490196078431373, 'rgb(185,175,143)'],
        [0.7529411764705882, 'rgb(216,228,223)'],
        [0.7568627450980392, 'rgb(171,0,224)'],
        [0.7607843137254902, 'rgb(203,193,219)'],
        [0.7647058823529411, 'rgb(255,223,140)'],
        [0.7686274509803922, 'rgb(227,83,77)'],
        [0.7725490196078432, 'rgb(102,105,111)'],
        [0.7764705882352941, 'rgb(255,0,28)'],
        [0.7803921568627451, 'rgb(83,45,115)'],
        [0.7843137254901961, 'rgb(78,145,108)'],
        [0.788235294117647, 'rgb(168,109,17)'],
        [0.792156862745098, 'rgb(255,159,38)'],
        [0.796078431372549, 'rgb(95,163,176)'],
        [0.8, 'rgb(200,133,87)'],
        [0.803921568627451, 'rgb(146,89,152)'],
        [0.807843137254902, 'rgb(163,161,255)'],
        [0.8117647058823529, 'rgb(254,186,186)'],
        [0.8156862745098039, 'rgb(37,42,136)'],
        [0.8196078431372549, 'rgb(219,230,168)'],
        [0.8235294117647058, 'rgb(151,242,167)'],
        [0.8274509803921568, 'rgb(103,148,214)'],
        [0.8313725490196079, 'rgb(186,91,64)'],
        [0.8352941176470589, 'rgb(58,93,146)'],
        [0.8392156862745098, 'rgb(54,79,47)'],
        [0.8431372549019608, 'rgb(39,124,150)'],
        [0.8470588235294118, 'rgb(138,149,155)'],
        [0.8509803921568627, 'rgb(208,180,87)'],
        [0.8549019607843137, 'rgb(0,71,100)'],
        [0.8588235294117647, 'rgb(95,93,47)'],
        [0.8627450980392157, 'rgb(142,142,65)'],
        [0.8666666666666667, 'rgb(173,63,19)'],
        [0.8705882352941177, 'rgb(106,150,60)'],
        [0.8745098039215686, 'rgb(161,61,133)'],
        [0.8784313725490196, 'rgb(191,183,186)'],
        [0.8823529411764706, 'rgb(172,198,103)'],
        [0.8862745098039215, 'rgb(101,105,207)'],
        [0.8901960784313725, 'rgb(146,176,0)'],
        [0.8941176470588236, 'rgb(44,227,218)'],
        [0.8980392156862745, 'rgb(1,111,54)'],
        [0.9019607843137255, 'rgb(255,121,83)'],
        [0.9058823529411765, 'rgb(66,129,127)'],
        [0.9098039215686274, 'rgb(79,233,0)'],
        [0.9137254901960784, 'rgb(153,84,40)'],
        [0.9176470588235294, 'rgb(93,10,0)'],
        [0.9215686274509803, 'rgb(163,0,88)'],
        [0.9254901960784314, 'rgb(12,136,0)'],
        [0.9294117647058824, 'rgb(90,131,167)'],
        [0.9333333333333333, 'rgb(255,236,251)'],
        [0.9372549019607843, 'rgb(75,105,1)'],
        [0.9411764705882353, 'rgb(136,118,212)'],
        [0.9450980392156862, 'rgb(230,199,255)'],
        [0.9490196078431372, 'rgb(165,255,218)'],
        [0.9529411764705882, 'rgb(216,111,120)'],
        [0.9568627450980393, 'rgb(223,2,75)'],
        [0.9607843137254902, 'rgb(106,104,92)'],
        [0.9647058823529412, 'rgb(120,107,162)'],
        [0.9686274509803922, 'rgb(126,128,103)'],
        [0.9725490196078431, 'rgb(90,71,134)'],
        [0.9764705882352941, 'rgb(0,0,202)'],
        [0.9803921568627451, 'rgb(124,0,43)'],
        [0.984313725490196, 'rgb(151,255,114)'],
        [0.9882352941176471, 'rgb(182,227,225)'],
        [0.9921568627450981, 'rgb(220,83,201)'],
        [0.996078431372549, 'rgb(119,120,52)'],
        [1.0, 'rgb(88,190,142)'],
    ],
    'cet.glasbey_hv': [
        [0.0, 'rgb(48,162,218)'],
        [0.00392156862745098, 'rgb(252,79,48)'],
        [0.00784313725490196, 'rgb(229,174,56)'],
        [0.011764705882352941, 'rgb(109,144,79)'],
        [0.01568627450980392, 'rgb(139,139,139)'],
        [0.0196078431372549, 'rgb(23,190,207)'],
        [0.023529411764705882, 'rgb(148,103,189)'],
        [0.027450980392156862, 'rgb(214,39,40)'],
        [0.03137254901960784, 'rgb(31,119,180)'],
        [0.03529411764705882, 'rgb(227,119,194)'],
        [0.0392156862745098, 'rgb(140,86,75)'],
        [0.043137254901960784, 'rgb(188,189,34)'],
        [0.047058823529411764, 'rgb(58,1,131)'],
        [0.050980392156862744, 'rgb(0,67,0)'],
        [0.054901960784313725, 'rgb(15,255,169)'],
        [0.058823529411764705, 'rgb(94,0,64)'],
        [0.06274509803921569, 'rgb(198,189,255)'],
        [0.06666666666666667, 'rgb(66,80,82)'],
        [0.07058823529411765, 'rgb(184,0,128)'],
        [0.07450980392156863, 'rgb(255,183,179)'],
        [0.0784313725490196, 'rgb(125,2,0)'],
        [0.08235294117647059, 'rgb(97,38,255)'],
        [0.08627450980392157, 'rgb(255,255,154)'],
        [0.09019607843137255, 'rgb(174,201,171)'],
        [0.09411764705882353, 'rgb(0,134,124)'],
        [0.09803921568627451, 'rgb(85,58,0)'],
        [0.10196078431372549, 'rgb(148,252,255)'],
        [0.10588235294117647, 'rgb(0,191,0)'],
        [0.10980392156862745, 'rgb(125,0,160)'],
        [0.11372549019607843, 'rgb(171,114,0)'],
        [0.11764705882352941, 'rgb(145,255,0)'],
        [0.12156862745098039, 'rgb(1,190,138)'],
        [0.12549019607843137, 'rgb(0,69,123)'],
        [0.12941176470588237, 'rgb(200,130,111)'],
        [0.13333333333333333, 'rgb(255,31,131)'],
        [0.13725490196078433, 'rgb(221,0,255)'],
        [0.1411764705882353, 'rgb(5,116,0)'],
        [0.1450980392156863, 'rgb(100,68,97)'],
        [0.14901960784313725, 'rgb(136,143,255)'],
        [0.15294117647058825, 'rgb(255,182,244)'],
        [0.1568627450980392, 'rgb(83,98,55)'],
        [0.1607843137254902, 'rgb(206,133,255)'],
        [0.16470588235294117, 'rgb(104,106,132)'],
        [0.16862745098039217, 'rgb(190,180,190)'],
        [0.17254901960784313, 'rgb(165,96,137)'],
        [0.17647058823529413, 'rgb(149,211,255)'],
        [0.1803921568627451, 'rgb(1,0,248)'],
        [0.1843137254901961, 'rgb(255,128,2)'],
        [0.18823529411764706, 'rgb(139,41,69)'],
        [0.19215686274509805, 'rgb(173,160,109)'],
        [0.19607843137254902, 'rgb(83,69,139)'],
        [0.2, 'rgb(200,255,217)'],
        [0.20392156862745098, 'rgb(170,70,0)'],
        [0.20784313725490197, 'rgb(255,121,143)'],
        [0.21176470588235294, 'rgb(131,211,113)'],
        [0.21568627450980393, 'rgb(144,158,191)'],
        [0.2196078431372549, 'rgb(148,0,245)'],
        [0.2235294117647059, 'rgb(235,208,155)'],
        [0.22745098039215686, 'rgb(173,139,177)'],
        [0.23137254901960785, 'rgb(0,99,74)'],
        [0.23529411764705882, 'rgb(255,220,0)'],
        [0.23921568627450981, 'rgb(136,119,81)'],
        [0.24313725490196078, 'rgb(126,171,163)'],
        [0.24705882352941178, 'rgb(0,0,151)'],
        [0.25098039215686274, 'rgb(245,0,198)'],
        [0.2549019607843137, 'rgb(101,51,41)'],
        [0.25882352941176473, 'rgb(0,102,120)'],
        [0.2627450980392157, 'rgb(4,227,200)'],
        [0.26666666666666666, 'rgb(167,55,174)'],
        [0.27058823529411763, 'rgb(197,219,225)'],
        [0.27450980392156865, 'rgb(77,110,255)'],
        [0.2784313725490196, 'rgb(155,147,1)'],
        [0.2823529411764706, 'rgb(205,88,107)'],
        [0.28627450980392155, 'rgb(239,222,254)'],
        [0.2901960784313726, 'rgb(121,90,0)'],
        [0.29411764705882354, 'rgb(95,136,154)'],
        [0.2980392156862745, 'rgb(180,255,146)'],
        [0.30196078431372547, 'rgb(94,114,107)'],
        [0.3058823529411765, 'rgb(82,0,102)'],
        [0.30980392156862746, 'rgb(5,135,81)'],
        [0.3137254901960784, 'rgb(132,32,111)'],
        [0.3176470588235294, 'rgb(60,150,5)'],
        [0.3215686274509804, 'rgb(101,115,0)'],
        [0.3254901960784314, 'rgb(241,160,108)'],
        [0.32941176470588235, 'rgb(95,80,69)'],
        [0.3333333333333333, 'rgb(189,0,74)'],
        [0.33725490196078434, 'rgb(208,104,39)'],
        [0.3411764705882353, 'rgb(215,150,171)'],
        [0.34509803921568627, 'rgb(137,93,255)'],
        [0.34901960784313724, 'rgb(130,108,118)'],
        [0.35294117647058826, 'rgb(43,85,185)'],
        [0.3568627450980392, 'rgb(110,124,187)'],
        [0.3607843137254902, 'rgb(231,213,211)'],
        [0.36470588235294116, 'rgb(93,0,24)'],
        [0.3686274509803922, 'rgb(124,59,1)'],
        [0.37254901960784315, 'rgb(128,177,125)'],
        [0.3764705882352941, 'rgb(200,217,125)'],
        [0.3803921568627451, 'rgb(0,232,59)'],
        [0.3843137254901961, 'rgb(124,178,255)'],
        [0.38823529411764707, 'rgb(255,85,255)'],
        [0.39215686274509803, 'rgb(164,39,33)'],
        [0.396078431372549, 'rgb(29,228,255)'],
        [0.4, 'rgb(125,175,59)'],
        [0.403921568627451, 'rgb(123,75,145)'],
        [0.40784313725490196, 'rgb(224,255,72)'],
        [0.4117647058823529, 'rgb(107,0,196)'],
        [0.41568627450980394, 'rgb(205,168,151)'],
        [0.4196078431372549, 'rgb(190,99,196)'],
        [0.4235294117647059, 'rgb(137,205,206)'],
        [0.42745098039215684, 'rgb(70,3,200)'],
        [0.43137254901960786, 'rgb(94,146,121)'],
        [0.43529411764705883, 'rgb(65,74,1)'],
        [0.4392156862745098, 'rgb(5,167,157)'],
        [0.44313725490196076, 'rgb(207,140,55)'],
        [0.4470588235294118, 'rgb(255,248,208)'],
        [0.45098039215686275, 'rgb(67,84,113)'],
        [0.4549019607843137, 'rgb(181,68,255)'],
        [0.4588235294117647, 'rgb(207,73,147)'],
        [0.4627450980392157, 'rgb(207,164,223)'],
        [0.4666666666666667, 'rgb(148,212,0)'],
        [0.47058823529411764, 'rgb(167,148,218)'],
        [0.4745098039215686, 'rgb(45,165,88)'],
        [0.47843137254901963, 'rgb(141,227,182)'],
        [0.4823529411764706, 'rgb(164,169,157)'],
        [0.48627450980392156, 'rgb(108,92,183)'],
        [0.49019607843137253, 'rgb(255,126,94)'],
        [0.49411764705882355, 'rgb(167,131,138)'],
        [0.4980392156862745, 'rgb(175,190,216)'],
        [0.5019607843137255, 'rgb(42,196,255)'],
        [0.5058823529411764, 'rgb(166,104,61)'],
        [0.5098039215686274, 'rgb(246,145,254)'],
        [0.5137254901960784, 'rgb(135,75,100)'],
        [0.5176470588235295, 'rgb(255,12,75)'],
        [0.5215686274509804, 'rgb(33,94,35)'],
        [0.5254901960784314, 'rgb(66,146,255)'],
        [0.5294117647058824, 'rgb(135,131,157)'],
        [0.5333333333333333, 'rgb(103,45,69)'],
        [0.5372549019607843, 'rgb(177,79,65)'],
        [0.5411764705882353, 'rgb(0,78,83)'],
        [0.5450980392156862, 'rgb(95,27,0)'],
        [0.5490196078431373, 'rgb(173,65,103)'],
        [0.5529411764705883, 'rgb(80,50,103)'],
        [0.5568627450980392, 'rgb(214,255,253)'],
        [0.5607843137254902, 'rgb(127,181,209)'],
        [0.5647058823529412, 'rgb(169,185,105)'],
        [0.5686274509803921, 'rgb(255,150,203)'],
        [0.5725490196078431, 'rgb(200,116,149)'],
        [0.5764705882352941, 'rgb(54,80,57)'],
        [0.5803921568627451, 'rgb(255,208,99)'],
        [0.5843137254901961, 'rgb(94,88,98)'],
        [0.5882352941176471, 'rgb(135,148,118)'],
        [0.592156862745098, 'rgb(169,120,255)'],
        [0.596078431372549, 'rgb(3,200,99)'],
        [0.6, 'rgb(231,190,212)'],
        [0.6039215686274509, 'rgb(212,227,208)'],
        [0.6078431372549019, 'rgb(135,103,144)'],
        [0.611764705882353, 'rgb(137,124,39)'],
        [0.615686274509804, 'rgb(205,220,255)'],
        [0.6196078431372549, 'rgb(170,103,107)'],
        [0.6235294117647059, 'rgb(50,52,116)'],
        [0.6274509803921569, 'rgb(255,94,169)'],
        [0.6313725490196078, 'rgb(0,155,176)'],
        [0.6352941176470588, 'rgb(113,255,221)'],
        [0.6392156862745098, 'rgb(120,92,56)'],
        [0.6431372549019608, 'rgb(80,101,155)'],
        [0.6470588235294118, 'rgb(204,0,179)'],
        [0.6509803921568628, 'rgb(87,123,85)'],
        [0.6549019607843137, 'rgb(81,110,123)'],
        [0.6588235294117647, 'rgb(1,95,146)'],
        [0.6627450980392157, 'rgb(170,189,190)'],
        [0.6666666666666666, 'rgb(1,127,153)'],
        [0.6705882352941176, 'rgb(4,221,151)'],
        [0.6745098039215687, 'rgb(135,58,44)'],
        [0.6784313725490196, 'rgb(240,150,142)'],
        [0.6823529411764706, 'rgb(117,198,170)'],
        [0.6862745098039216, 'rgb(112,105,93)'],
        [0.6901960784313725, 'rgb(204,220,9)'],
        [0.6941176470588235, 'rgb(175,133,87)'],
        [0.6980392156862745, 'rgb(216,0,117)'],
        [0.7019607843137254, 'rgb(157,63,129)'],
        [0.7058823529411765, 'rgb(217,69,0)'],
        [0.7098039215686275, 'rgb(221,103,84)'],
        [0.7137254901960784, 'rgb(95,255,121)'],
        [0.7176470588235294, 'rgb(213,177,115)'],
        [0.7215686274509804, 'rgb(98,38,94)'],
        [0.7254901960784313, 'rgb(186,162,61)'],
        [0.7294117647058823, 'rgb(217,242,179)'],
        [0.7333333333333333, 'rgb(87,2,143)'],
        [0.7372549019607844, 'rgb(161,155,170)'],
        [0.7411764705882353, 'rgb(77,74,39)'],
        [0.7450980392156863, 'rgb(164,169,255)'],
        [0.7490196078431373, 'rgb(172,232,219)'],
        [0.7529411764705882, 'rgb(153,89,1)'],
        [0.7568627450980392, 'rgb(172,0,226)'],
        [0.7607843137254902, 'rgb(71,130,47)'],
        [0.7647058823529411, 'rgb(203,195,173)'],
        [0.7686274509803922, 'rgb(0,197,182)'],
        [0.7725490196078432, 'rgb(97,83,120)'],
        [0.7764705882352941, 'rgb(51,109,104)'],
        [0.7803921568627451, 'rgb(165,146,128)'],
        [0.7843137254901961, 'rgb(132,153,162)'],
        [0.788235294117647, 'rgb(253,87,100)'],
        [0.792156862745098, 'rgb(112,150,210)'],
        [0.796078431372549, 'rgb(114,141,7)'],
        [0.8, 'rgb(127,0,76)'],
        [0.803921568627451, 'rgb(21,48,160)'],
        [0.807843137254902, 'rgb(209,193,226)'],
        [0.8117647058823529, 'rgb(201,133,208)'],
        [0.8156862745098039, 'rgb(108,69,75)'],
        [0.8196078431372549, 'rgb(127,0,36)'],
        [0.8235294117647058, 'rgb(0,162,121)'],
        [0.8274509803921568, 'rgb(178,169,207)'],
        [0.8313725490196079, 'rgb(249,0,0)'],
        [0.8352941176470589, 'rgb(176,233,255)'],
        [0.8392156862745098, 'rgb(147,158,80)'],
        [0.8431372549019608, 'rgb(114,122,130)'],
        [0.8470588235294118, 'rgb(217,46,85)'],
        [0.8509803921568627, 'rgb(71,97,1)'],
        [0.8549019607843137, 'rgb(0,89,255)'],
        [0.8588235294117647, 'rgb(119,64,181)'],
        [0.8627450980392157, 'rgb(172,228,96)'],
        [0.8666666666666667, 'rgb(103,69,37)'],
        [0.8705882352941177, 'rgb(82,93,81)'],
        [0.8745098039215686, 'rgb(149,115,104)'],
        [0.8784313725490196, 'rgb(169,228,154)'],
        [0.8823529411764706, 'rgb(163,0,88)'],
        [0.8862745098039215, 'rgb(217,98,246)'],
        [0.8901960784313725, 'rgb(142,125,207)'],
        [0.8941176470588236, 'rgb(255,189,147)'],
        [0.8980392156862745, 'rgb(163,0,146)'],
        [0.9019607843137255, 'rgb(154,255,185)'],
        [0.9058823529411765, 'rgb(167,194,255)'],
        [0.9098039215686274, 'rgb(244,98,0)'],
        [0.9137254901960784, 'rgb(229,240,255)'],
        [0.9176470588235294, 'rgb(184,156,164)'],
        [0.9215686274509803, 'rgb(96,150,148)'],
        [0.9254901960784314, 'rgb(255,159,53)'],
        [0.9294117647058824, 'rgb(140,41,0)'],
        [0.9333333333333333, 'rgb(114,107,50)'],
        [0.9372549019607843, 'rgb(223,130,78)'],
        [0.9411764705882353, 'rgb(175,123,213)'],
        [0.9450980392156862, 'rgb(188,45,0)'],
        [0.9490196078431372, 'rgb(123,111,163)'],
        [0.9529411764705882, 'rgb(72,67,98)'],
        [0.9568627450980393, 'rgb(199,163,255)'],
        [0.9607843137254902, 'rgb(0,77,40)'],
        [0.9647058823529412, 'rgb(196,198,142)'],
        [0.9686274509803922, 'rgb(224,72,215)'],
        [0.9725490196078431, 'rgb(231,233,101)'],
        [0.9764705882352941, 'rgb(229,193,11)'],
        [0.9803921568627451, 'rgb(0,244,241)'],
        [0.984313725490196, 'rgb(159,91,162)'],
        [0.9882352941176471, 'rgb(76,65,183)'],
        [0.9921568627450981, 'rgb(101,51,142)'],
        [0.996078431372549, 'rgb(118,126,108)'],
        [1.0, 'rgb(169,138,54)'],
    ],
    'cet.isoluminant_cgo_70_c39': [
        [0.0, 'rgb(55,183,236)'],
        [0.00392156862745098, 'rgb(56,183,235)'],
        [0.00784313725490196, 'rgb(56,183,234)'],
        [0.011764705882352941, 'rgb(57,183,234)'],
        [0.01568627450980392, 'rgb(57,183,233)'],
        [0.0196078431372549, 'rgb(58,183,232)'],
        [0.023529411764705882, 'rgb(59,184,231)'],
        [0.027450980392156862, 'rgb(59,184,230)'],
        [0.03137254901960784, 'rgb(60,184,229)'],
        [0.03529411764705882, 'rgb(60,184,228)'],
        [0.0392156862745098, 'rgb(61,184,227)'],
        [0.043137254901960784, 'rgb(61,184,227)'],
        [0.047058823529411764, 'rgb(62,184,226)'],
        [0.050980392156862744, 'rgb(62,184,225)'],
        [0.054901960784313725, 'rgb(63,184,224)'],
        [0.058823529411764705, 'rgb(63,184,223)'],
        [0.06274509803921569, 'rgb(64,184,222)'],
        [0.06666666666666667, 'rgb(64,184,221)'],
        [0.07058823529411765, 'rgb(65,184,220)'],
        [0.07450980392156863, 'rgb(66,184,220)'],
        [0.0784313725490196, 'rgb(66,185,219)'],
        [0.08235294117647059, 'rgb(67,185,218)'],
        [0.08627450980392157, 'rgb(67,185,217)'],
        [0.09019607843137255, 'rgb(68,185,216)'],
        [0.09411764705882353, 'rgb(68,185,215)'],
        [0.09803921568627451, 'rgb(69,185,214)'],
        [0.10196078431372549, 'rgb(69,185,213)'],
        [0.10588235294117647, 'rgb(69,185,212)'],
        [0.10980392156862745, 'rgb(70,185,212)'],
        [0.11372549019607843, 'rgb(70,185,211)'],
        [0.11764705882352941, 'rgb(71,185,210)'],
        [0.12156862745098039, 'rgb(71,185,209)'],
        [0.12549019607843137, 'rgb(72,185,208)'],
        [0.12941176470588237, 'rgb(72,185,207)'],
        [0.13333333333333333, 'rgb(73,185,206)'],
        [0.13725490196078433, 'rgb(73,185,205)'],
        [0.1411764705882353, 'rgb(74,186,204)'],
        [0.1450980392156863, 'rgb(74,186,203)'],
        [0.14901960784313725, 'rgb(75,186,203)'],
        [0.15294117647058825, 'rgb(75,186,202)'],
        [0.1568627450980392, 'rgb(76,186,201)'],
        [0.1607843137254902, 'rgb(76,186,200)'],
        [0.16470588235294117, 'rgb(77,186,199)'],
        [0.16862745098039217, 'rgb(77,186,198)'],
        [0.17254901960784313, 'rgb(78,186,197)'],
        [0.17647058823529413, 'rgb(78,186,196)'],
        [0.1803921568627451, 'rgb(79,186,195)'],
        [0.1843137254901961, 'rgb(79,186,194)'],
        [0.18823529411764706, 'rgb(80,186,193)'],
        [0.19215686274509805, 'rgb(80,186,193)'],
        [0.19607843137254902, 'rgb(80,186,192)'],
        [0.2, 'rgb(81,186,191)'],
        [0.20392156862745098, 'rgb(81,186,190)'],
        [0.20784313725490197, 'rgb(82,186,189)'],
        [0.21176470588235294, 'rgb(82,186,188)'],
        [0.21568627450980393, 'rgb(83,187,187)'],
        [0.2196078431372549, 'rgb(83,187,186)'],
        [0.2235294117647059, 'rgb(84,187,185)'],
        [0.22745098039215686, 'rgb(84,187,184)'],
        [0.23137254901960785, 'rgb(85,187,183)'],
        [0.23529411764705882, 'rgb(85,187,182)'],
        [0.23921568627450981, 'rgb(86,187,181)'],
        [0.24313725490196078, 'rgb(86,187,180)'],
        [0.24705882352941178, 'rgb(87,187,179)'],
        [0.25098039215686274, 'rgb(87,187,179)'],
        [0.2549019607843137, 'rgb(88,187,178)'],
        [0.25882352941176473, 'rgb(88,187,177)'],
        [0.2627450980392157, 'rgb(89,187,176)'],
        [0.26666666666666666, 'rgb(89,187,175)'],
        [0.27058823529411763, 'rgb(90,187,174)'],
        [0.27450980392156865, 'rgb(91,187,173)'],
        [0.2784313725490196, 'rgb(91,187,172)'],
        [0.2823529411764706, 'rgb(92,187,171)'],
        [0.28627450980392155, 'rgb(92,187,170)'],
        [0.2901960784313726, 'rgb(93,187,169)'],
        [0.29411764705882354, 'rgb(93,187,168)'],
        [0.2980392156862745, 'rgb(94,187,167)'],
        [0.30196078431372547, 'rgb(94,187,166)'],
        [0.3058823529411765, 'rgb(95,187,165)'],
        [0.30980392156862746, 'rgb(96,187,164)'],
        [0.3137254901960784, 'rgb(96,187,163)'],
        [0.3176470588235294, 'rgb(97,187,162)'],
        [0.3215686274509804, 'rgb(97,187,161)'],
        [0.3254901960784314, 'rgb(98,187,160)'],
        [0.32941176470588235, 'rgb(98,187,159)'],
        [0.3333333333333333, 'rgb(99,187,158)'],
        [0.33725490196078434, 'rgb(100,187,157)'],
        [0.3411764705882353, 'rgb(100,187,156)'],
        [0.34509803921568627, 'rgb(101,187,155)'],
        [0.34901960784313724, 'rgb(102,187,154)'],
        [0.35294117647058826, 'rgb(102,187,153)'],
        [0.3568627450980392, 'rgb(103,187,152)'],
        [0.3607843137254902, 'rgb(104,187,151)'],
        [0.36470588235294116, 'rgb(104,187,151)'],
        [0.3686274509803922, 'rgb(105,187,150)'],
        [0.37254901960784315, 'rgb(106,187,149)'],
        [0.3764705882352941, 'rgb(106,187,148)'],
        [0.3803921568627451, 'rgb(107,187,147)'],
        [0.3843137254901961, 'rgb(108,187,146)'],
        [0.38823529411764707, 'rgb(109,187,145)'],
        [0.39215686274509803, 'rgb(109,187,144)'],
        [0.396078431372549, 'rgb(110,187,143)'],
        [0.4, 'rgb(111,187,142)'],
        [0.403921568627451, 'rgb(112,187,141)'],
        [0.40784313725490196, 'rgb(113,187,140)'],
        [0.4117647058823529, 'rgb(113,187,139)'],
        [0.41568627450980394, 'rgb(114,187,138)'],
        [0.4196078431372549, 'rgb(115,186,137)'],
        [0.4235294117647059, 'rgb(116,186,136)'],
        [0.42745098039215684, 'rgb(117,186,135)'],
        [0.43137254901960786, 'rgb(118,186,134)'],
        [0.43529411764705883, 'rgb(118,186,133)'],
        [0.4392156862745098, 'rgb(119,186,132)'],
        [0.44313725490196076, 'rgb(120,186,131)'],
        [0.4470588235294118, 'rgb(121,186,130)'],
        [0.45098039215686275, 'rgb(122,186,129)'],
        [0.4549019607843137, 'rgb(123,186,128)'],
        [0.4588235294117647, 'rgb(124,186,127)'],
        [0.4627450980392157, 'rgb(125,185,126)'],
        [0.4666666666666667, 'rgb(126,185,125)'],
        [0.47058823529411764, 'rgb(127,185,124)'],
        [0.4745098039215686, 'rgb(128,185,124)'],
        [0.47843137254901963, 'rgb(129,185,123)'],
        [0.4823529411764706, 'rgb(130,185,122)'],
        [0.48627450980392156, 'rgb(131,185,121)'],
        [0.49019607843137253, 'rgb(132,184,120)'],
        [0.49411764705882355, 'rgb(133,184,119)'],
        [0.4980392156862745, 'rgb(134,184,119)'],
        [0.5019607843137255, 'rgb(135,184,118)'],
        [0.5058823529411764, 'rgb(136,184,117)'],
        [0.5098039215686274, 'rgb(137,184,116)'],
        [0.5137254901960784, 'rgb(138,184,115)'],
        [0.5176470588235295, 'rgb(139,183,115)'],
        [0.5215686274509804, 'rgb(140,183,114)'],
        [0.5254901960784314, 'rgb(142,183,113)'],
        [0.5294117647058824, 'rgb(143,183,113)'],
        [0.5333333333333333, 'rgb(144,183,112)'],
        [0.5372549019607843, 'rgb(145,182,111)'],
        [0.5411764705882353, 'rgb(146,182,111)'],
        [0.5450980392156862, 'rgb(147,182,110)'],
        [0.5490196078431373, 'rgb(148,182,109)'],
        [0.5529411764705883, 'rgb(149,182,109)'],
        [0.5568627450980392, 'rgb(150,181,108)'],
        [0.5607843137254902, 'rgb(151,181,108)'],
        [0.5647058823529412, 'rgb(152,181,107)'],
        [0.5686274509803921, 'rgb(153,181,107)'],
        [0.5725490196078431, 'rgb(154,180,106)'],
        [0.5764705882352941, 'rgb(155,180,106)'],
        [0.5803921568627451, 'rgb(157,180,105)'],
        [0.5843137254901961, 'rgb(158,180,105)'],
        [0.5882352941176471, 'rgb(159,179,104)'],
        [0.592156862745098, 'rgb(160,179,104)'],
        [0.596078431372549, 'rgb(161,179,103)'],
        [0.6, 'rgb(162,179,103)'],
        [0.6039215686274509, 'rgb(163,178,102)'],
        [0.6078431372549019, 'rgb(164,178,102)'],
        [0.611764705882353, 'rgb(165,178,101)'],
        [0.615686274509804, 'rgb(166,178,101)'],
        [0.6196078431372549, 'rgb(167,177,100)'],
        [0.6235294117647059, 'rgb(168,177,100)'],
        [0.6274509803921569, 'rgb(169,177,100)'],
        [0.6313725490196078, 'rgb(170,177,99)'],
        [0.6352941176470588, 'rgb(171,176,99)'],
        [0.6392156862745098, 'rgb(172,176,99)'],
        [0.6431372549019608, 'rgb(173,176,98)'],
        [0.6470588235294118, 'rgb(174,176,98)'],
        [0.6509803921568628, 'rgb(175,175,98)'],
        [0.6549019607843137, 'rgb(176,175,97)'],
        [0.6588235294117647, 'rgb(177,175,97)'],
        [0.6627450980392157, 'rgb(178,175,97)'],
        [0.6666666666666666, 'rgb(179,174,96)'],
        [0.6705882352941176, 'rgb(180,174,96)'],
        [0.6745098039215687, 'rgb(181,174,96)'],
        [0.6784313725490196, 'rgb(181,173,96)'],
        [0.6823529411764706, 'rgb(182,173,95)'],
        [0.6862745098039216, 'rgb(183,173,95)'],
        [0.6901960784313725, 'rgb(184,172,95)'],
        [0.6941176470588235, 'rgb(185,172,95)'],
        [0.6980392156862745, 'rgb(186,172,95)'],
        [0.7019607843137254, 'rgb(187,172,95)'],
        [0.7058823529411765, 'rgb(188,171,94)'],
        [0.7098039215686275, 'rgb(189,171,94)'],
        [0.7137254901960784, 'rgb(190,171,94)'],
        [0.7176470588235294, 'rgb(191,170,94)'],
        [0.7215686274509804, 'rgb(192,170,94)'],
        [0.7254901960784313, 'rgb(193,170,94)'],
        [0.7294117647058823, 'rgb(194,169,94)'],
        [0.7333333333333333, 'rgb(194,169,94)'],
        [0.7372549019607844, 'rgb(195,169,94)'],
        [0.7411764705882353, 'rgb(196,168,94)'],
        [0.7450980392156863, 'rgb(197,168,93)'],
        [0.7490196078431373, 'rgb(198,168,93)'],
        [0.7529411764705882, 'rgb(199,168,93)'],
        [0.7568627450980392, 'rgb(200,167,93)'],
        [0.7607843137254902, 'rgb(201,167,93)'],
        [0.7647058823529411, 'rgb(201,167,93)'],
        [0.7686274509803922, 'rgb(202,166,94)'],
        [0.7725490196078432, 'rgb(203,166,94)'],
        [0.7764705882352941, 'rgb(204,166,94)'],
        [0.7803921568627451, 'rgb(205,165,94)'],
        [0.7843137254901961, 'rgb(206,165,94)'],
        [0.788235294117647, 'rgb(207,165,94)'],
        [0.792156862745098, 'rgb(207,164,94)'],
        [0.796078431372549, 'rgb(208,164,94)'],
        [0.8, 'rgb(209,164,94)'],
        [0.803921568627451, 'rgb(210,163,94)'],
        [0.807843137254902, 'rgb(211,163,94)'],
        [0.8117647058823529, 'rgb(211,162,94)'],
        [0.8156862745098039, 'rgb(212,162,95)'],
        [0.8196078431372549, 'rgb(213,162,95)'],
        [0.8235294117647058, 'rgb(214,161,95)'],
        [0.8274509803921568, 'rgb(215,161,95)'],
        [0.8313725490196079, 'rgb(216,161,95)'],
        [0.8352941176470589, 'rgb(216,160,95)'],
        [0.8392156862745098, 'rgb(217,160,96)'],
        [0.8431372549019608, 'rgb(218,160,96)'],
        [0.8470588235294118, 'rgb(219,159,96)'],
        [0.8509803921568627, 'rgb(219,159,96)'],
        [0.8549019607843137, 'rgb(220,159,96)'],
        [0.8588235294117647, 'rgb(221,158,97)'],
        [0.8627450980392157, 'rgb(222,158,97)'],
        [0.8666666666666667, 'rgb(223,157,97)'],
        [0.8705882352941177, 'rgb(223,157,97)'],
        [0.8745098039215686, 'rgb(224,157,98)'],
        [0.8784313725490196, 'rgb(225,156,98)'],
        [0.8823529411764706, 'rgb(226,156,98)'],
        [0.8862745098039215, 'rgb(226,156,99)'],
        [0.8901960784313725, 'rgb(227,155,99)'],
        [0.8941176470588236, 'rgb(228,155,99)'],
        [0.8980392156862745, 'rgb(228,154,99)'],
        [0.9019607843137255, 'rgb(229,154,100)'],
        [0.9058823529411765, 'rgb(230,154,100)'],
        [0.9098039215686274, 'rgb(231,153,100)'],
        [0.9137254901960784, 'rgb(231,153,101)'],
        [0.9176470588235294, 'rgb(232,153,101)'],
        [0.9215686274509803, 'rgb(233,152,101)'],
        [0.9254901960784314, 'rgb(234,152,102)'],
        [0.9294117647058824, 'rgb(234,151,102)'],
        [0.9333333333333333, 'rgb(235,151,102)'],
        [0.9372549019607843, 'rgb(236,151,103)'],
        [0.9411764705882353, 'rgb(236,150,103)'],
        [0.9450980392156862, 'rgb(237,150,103)'],
        [0.9490196078431372, 'rgb(238,149,104)'],
        [0.9529411764705882, 'rgb(238,149,104)'],
        [0.9568627450980393, 'rgb(239,149,104)'],
        [0.9607843137254902, 'rgb(240,148,105)'],
        [0.9647058823529412, 'rgb(240,148,105)'],
        [0.9686274509803922, 'rgb(241,147,106)'],
        [0.9725490196078431, 'rgb(242,147,106)'],
        [0.9764705882352941, 'rgb(242,147,106)'],
        [0.9803921568627451, 'rgb(243,146,107)'],
        [0.984313725490196, 'rgb(244,146,107)'],
        [0.9882352941176471, 'rgb(244,145,108)'],
        [0.9921568627450981, 'rgb(245,145,108)'],
        [0.996078431372549, 'rgb(246,145,108)'],
        [1.0, 'rgb(246,144,109)'],
    ],
    'cet.isoluminant_cgo_80_c38': [
        [0.0, 'rgb(112,209,255)'],
        [0.00392156862745098, 'rgb(112,210,255)'],
        [0.00784313725490196, 'rgb(112,210,255)'],
        [0.011764705882352941, 'rgb(112,210,255)'],
        [0.01568627450980392, 'rgb(112,210,255)'],
        [0.0196078431372549, 'rgb(112,210,254)'],
        [0.023529411764705882, 'rgb(112,210,254)'],
        [0.027450980392156862, 'rgb(112,210,253)'],
        [0.03137254901960784, 'rgb(112,210,252)'],
        [0.03529411764705882, 'rgb(112,210,251)'],
        [0.0392156862745098, 'rgb(112,210,250)'],
        [0.043137254901960784, 'rgb(112,210,250)'],
        [0.047058823529411764, 'rgb(113,211,249)'],
        [0.050980392156862744, 'rgb(113,211,248)'],
        [0.054901960784313725, 'rgb(113,211,247)'],
        [0.058823529411764705, 'rgb(113,211,247)'],
        [0.06274509803921569, 'rgb(113,211,246)'],
        [0.06666666666666667, 'rgb(113,211,245)'],
        [0.07058823529411765, 'rgb(113,211,244)'],
        [0.07450980392156863, 'rgb(113,211,243)'],
        [0.0784313725490196, 'rgb(113,211,243)'],
        [0.08235294117647059, 'rgb(113,211,242)'],
        [0.08627450980392157, 'rgb(113,211,241)'],
        [0.09019607843137255, 'rgb(114,212,240)'],
        [0.09411764705882353, 'rgb(114,212,239)'],
        [0.09803921568627451, 'rgb(114,212,238)'],
        [0.10196078431372549, 'rgb(114,212,238)'],
        [0.10588235294117647, 'rgb(114,212,237)'],
        [0.10980392156862745, 'rgb(114,212,236)'],
        [0.11372549019607843, 'rgb(114,212,235)'],
        [0.11764705882352941, 'rgb(114,212,234)'],
        [0.12156862745098039, 'rgb(115,212,234)'],
        [0.12549019607843137, 'rgb(115,212,233)'],
        [0.12941176470588237, 'rgb(115,212,232)'],
        [0.13333333333333333, 'rgb(115,212,231)'],
        [0.13725490196078433, 'rgb(115,212,230)'],
        [0.1411764705882353, 'rgb(115,213,229)'],
        [0.1450980392156863, 'rgb(115,213,229)'],
        [0.14901960784313725, 'rgb(116,213,228)'],
        [0.15294117647058825, 'rgb(116,213,227)'],
        [0.1568627450980392, 'rgb(116,213,226)'],
        [0.1607843137254902, 'rgb(116,213,225)'],
        [0.16470588235294117, 'rgb(116,213,225)'],
        [0.16862745098039217, 'rgb(116,213,224)'],
        [0.17254901960784313, 'rgb(116,213,223)'],
        [0.17647058823529413, 'rgb(117,213,222)'],
        [0.1803921568627451, 'rgb(117,213,221)'],
        [0.1843137254901961, 'rgb(117,213,220)'],
        [0.18823529411764706, 'rgb(117,213,219)'],
        [0.19215686274509805, 'rgb(117,213,219)'],
        [0.19607843137254902, 'rgb(118,213,218)'],
        [0.2, 'rgb(118,214,217)'],
        [0.20392156862745098, 'rgb(118,214,216)'],
        [0.20784313725490197, 'rgb(118,214,215)'],
        [0.21176470588235294, 'rgb(118,214,214)'],
        [0.21568627450980393, 'rgb(119,214,214)'],
        [0.2196078431372549, 'rgb(119,214,213)'],
        [0.2235294117647059, 'rgb(119,214,212)'],
        [0.22745098039215686, 'rgb(119,214,211)'],
        [0.23137254901960785, 'rgb(119,214,210)'],
        [0.23529411764705882, 'rgb(120,214,209)'],
        [0.23921568627450981, 'rgb(120,214,208)'],
        [0.24313725490196078, 'rgb(120,214,208)'],
        [0.24705882352941178, 'rgb(120,214,207)'],
        [0.25098039215686274, 'rgb(121,214,206)'],
        [0.2549019607843137, 'rgb(121,214,205)'],
        [0.25882352941176473, 'rgb(121,214,204)'],
        [0.2627450980392157, 'rgb(122,214,203)'],
        [0.26666666666666666, 'rgb(122,214,202)'],
        [0.27058823529411763, 'rgb(122,214,201)'],
        [0.27450980392156865, 'rgb(122,214,201)'],
        [0.2784313725490196, 'rgb(123,214,200)'],
        [0.2823529411764706, 'rgb(123,215,199)'],
        [0.28627450980392155, 'rgb(123,215,198)'],
        [0.2901960784313726, 'rgb(124,215,197)'],
        [0.29411764705882354, 'rgb(124,215,196)'],
        [0.2980392156862745, 'rgb(124,215,195)'],
        [0.30196078431372547, 'rgb(125,215,194)'],
        [0.3058823529411765, 'rgb(125,215,193)'],
        [0.30980392156862746, 'rgb(125,215,193)'],
        [0.3137254901960784, 'rgb(126,215,192)'],
        [0.3176470588235294, 'rgb(126,215,191)'],
        [0.3215686274509804, 'rgb(126,215,190)'],
        [0.3254901960784314, 'rgb(127,215,189)'],
        [0.32941176470588235, 'rgb(127,215,188)'],
        [0.3333333333333333, 'rgb(128,215,187)'],
        [0.33725490196078434, 'rgb(128,215,186)'],
        [0.3411764705882353, 'rgb(129,215,185)'],
        [0.34509803921568627, 'rgb(129,215,184)'],
        [0.34901960784313724, 'rgb(129,215,184)'],
        [0.35294117647058826, 'rgb(130,215,183)'],
        [0.3568627450980392, 'rgb(130,215,182)'],
        [0.3607843137254902, 'rgb(131,215,181)'],
        [0.36470588235294116, 'rgb(131,215,180)'],
        [0.3686274509803922, 'rgb(132,215,179)'],
        [0.37254901960784315, 'rgb(132,215,178)'],
        [0.3764705882352941, 'rgb(133,215,177)'],
        [0.3803921568627451, 'rgb(133,215,176)'],
        [0.3843137254901961, 'rgb(134,215,175)'],
        [0.38823529411764707, 'rgb(134,215,174)'],
        [0.39215686274509803, 'rgb(135,215,173)'],
        [0.396078431372549, 'rgb(136,215,172)'],
        [0.4, 'rgb(136,215,172)'],
        [0.403921568627451, 'rgb(137,215,171)'],
        [0.40784313725490196, 'rgb(137,215,170)'],
        [0.4117647058823529, 'rgb(138,215,169)'],
        [0.41568627450980394, 'rgb(139,215,168)'],
        [0.4196078431372549, 'rgb(139,215,167)'],
        [0.4235294117647059, 'rgb(140,215,166)'],
        [0.42745098039215684, 'rgb(141,214,165)'],
        [0.43137254901960786, 'rgb(141,214,164)'],
        [0.43529411764705883, 'rgb(142,214,163)'],
        [0.4392156862745098, 'rgb(143,214,162)'],
        [0.44313725490196076, 'rgb(144,214,161)'],
        [0.4470588235294118, 'rgb(144,214,160)'],
        [0.45098039215686275, 'rgb(145,214,160)'],
        [0.4549019607843137, 'rgb(146,214,159)'],
        [0.4588235294117647, 'rgb(147,214,158)'],
        [0.4627450980392157, 'rgb(147,214,157)'],
        [0.4666666666666667, 'rgb(148,214,156)'],
        [0.47058823529411764, 'rgb(149,214,155)'],
        [0.4745098039215686, 'rgb(150,214,154)'],
        [0.47843137254901963, 'rgb(151,213,153)'],
        [0.4823529411764706, 'rgb(152,213,153)'],
        [0.48627450980392156, 'rgb(153,213,152)'],
        [0.49019607843137253, 'rgb(154,213,151)'],
        [0.49411764705882355, 'rgb(154,213,150)'],
        [0.4980392156862745, 'rgb(155,213,149)'],
        [0.5019607843137255, 'rgb(156,213,148)'],
        [0.5058823529411764, 'rgb(157,213,148)'],
        [0.5098039215686274, 'rgb(158,212,147)'],
        [0.5137254901960784, 'rgb(159,212,146)'],
        [0.5176470588235295, 'rgb(160,212,145)'],
        [0.5215686274509804, 'rgb(161,212,144)'],
        [0.5254901960784314, 'rgb(162,212,144)'],
        [0.5294117647058824, 'rgb(163,212,143)'],
        [0.5333333333333333, 'rgb(164,211,142)'],
        [0.5372549019607843, 'rgb(165,211,142)'],
        [0.5411764705882353, 'rgb(166,211,141)'],
        [0.5450980392156862, 'rgb(167,211,140)'],
        [0.5490196078431373, 'rgb(168,211,140)'],
        [0.5529411764705883, 'rgb(169,211,139)'],
        [0.5568627450980392, 'rgb(170,210,138)'],
        [0.5607843137254902, 'rgb(171,210,138)'],
        [0.5647058823529412, 'rgb(172,210,137)'],
        [0.5686274509803921, 'rgb(173,210,136)'],
        [0.5725490196078431, 'rgb(174,210,136)'],
        [0.5764705882352941, 'rgb(175,209,135)'],
        [0.5803921568627451, 'rgb(176,209,135)'],
        [0.5843137254901961, 'rgb(177,209,134)'],
        [0.5882352941176471, 'rgb(178,209,134)'],
        [0.592156862745098, 'rgb(179,209,133)'],
        [0.596078431372549, 'rgb(180,208,133)'],
        [0.6, 'rgb(181,208,132)'],
        [0.6039215686274509, 'rgb(182,208,132)'],
        [0.6078431372549019, 'rgb(183,208,131)'],
        [0.611764705882353, 'rgb(184,207,131)'],
        [0.615686274509804, 'rgb(185,207,130)'],
        [0.6196078431372549, 'rgb(186,207,130)'],
        [0.6235294117647059, 'rgb(187,207,129)'],
        [0.6274509803921569, 'rgb(188,207,129)'],
        [0.6313725490196078, 'rgb(189,206,128)'],
        [0.6352941176470588, 'rgb(190,206,128)'],
        [0.6392156862745098, 'rgb(191,206,127)'],
        [0.6431372549019608, 'rgb(192,206,127)'],
        [0.6470588235294118, 'rgb(193,205,127)'],
        [0.6509803921568628, 'rgb(194,205,126)'],
        [0.6549019607843137, 'rgb(195,205,126)'],
        [0.6588235294117647, 'rgb(196,205,125)'],
        [0.6627450980392157, 'rgb(197,204,125)'],
        [0.6666666666666666, 'rgb(197,204,125)'],
        [0.6705882352941176, 'rgb(198,204,124)'],
        [0.6745098039215687, 'rgb(199,204,124)'],
        [0.6784313725490196, 'rgb(200,203,124)'],
        [0.6823529411764706, 'rgb(201,203,123)'],
        [0.6862745098039216, 'rgb(202,203,123)'],
        [0.6901960784313725, 'rgb(203,203,123)'],
        [0.6941176470588235, 'rgb(204,202,122)'],
        [0.6980392156862745, 'rgb(205,202,122)'],
        [0.7019607843137254, 'rgb(206,202,122)'],
        [0.7058823529411765, 'rgb(207,202,121)'],
        [0.7098039215686275, 'rgb(208,201,121)'],
        [0.7137254901960784, 'rgb(209,201,121)'],
        [0.7176470588235294, 'rgb(209,201,121)'],
        [0.7215686274509804, 'rgb(210,201,120)'],
        [0.7254901960784313, 'rgb(211,200,120)'],
        [0.7294117647058823, 'rgb(212,200,120)'],
        [0.7333333333333333, 'rgb(213,200,120)'],
        [0.7372549019607844, 'rgb(214,199,119)'],
        [0.7411764705882353, 'rgb(215,199,119)'],
        [0.7450980392156863, 'rgb(216,199,119)'],
        [0.7490196078431373, 'rgb(217,199,119)'],
        [0.7529411764705882, 'rgb(217,198,119)'],
        [0.7568627450980392, 'rgb(218,198,119)'],
        [0.7607843137254902, 'rgb(219,198,118)'],
        [0.7647058823529411, 'rgb(220,197,118)'],
        [0.7686274509803922, 'rgb(221,197,118)'],
        [0.7725490196078432, 'rgb(222,197,118)'],
        [0.7764705882352941, 'rgb(223,197,118)'],
        [0.7803921568627451, 'rgb(224,196,118)'],
        [0.7843137254901961, 'rgb(224,196,118)'],
        [0.788235294117647, 'rgb(225,196,118)'],
        [0.792156862745098, 'rgb(226,195,118)'],
        [0.796078431372549, 'rgb(227,195,118)'],
        [0.8, 'rgb(228,195,118)'],
        [0.803921568627451, 'rgb(229,194,118)'],
        [0.807843137254902, 'rgb(229,194,118)'],
        [0.8117647058823529, 'rgb(230,194,118)'],
        [0.8156862745098039, 'rgb(231,194,118)'],
        [0.8196078431372549, 'rgb(232,193,118)'],
        [0.8235294117647058, 'rgb(233,193,118)'],
        [0.8274509803921568, 'rgb(233,193,118)'],
        [0.8313725490196079, 'rgb(234,192,118)'],
        [0.8352941176470589, 'rgb(235,192,118)'],
        [0.8392156862745098, 'rgb(236,192,118)'],
        [0.8431372549019608, 'rgb(237,191,118)'],
        [0.8470588235294118, 'rgb(237,191,118)'],
        [0.8509803921568627, 'rgb(238,191,118)'],
        [0.8549019607843137, 'rgb(239,190,118)'],
        [0.8588235294117647, 'rgb(240,190,119)'],
        [0.8627450980392157, 'rgb(241,190,119)'],
        [0.8666666666666667, 'rgb(241,189,119)'],
        [0.8705882352941177, 'rgb(242,189,119)'],
        [0.8745098039215686, 'rgb(243,189,119)'],
        [0.8784313725490196, 'rgb(244,188,119)'],
        [0.8823529411764706, 'rgb(244,188,120)'],
        [0.8862745098039215, 'rgb(245,188,120)'],
        [0.8901960784313725, 'rgb(246,188,120)'],
        [0.8941176470588236, 'rgb(247,187,120)'],
        [0.8980392156862745, 'rgb(247,187,121)'],
        [0.9019607843137255, 'rgb(248,187,121)'],
        [0.9058823529411765, 'rgb(249,186,121)'],
        [0.9098039215686274, 'rgb(249,186,121)'],
        [0.9137254901960784, 'rgb(250,186,122)'],
        [0.9176470588235294, 'rgb(251,185,122)'],
        [0.9215686274509803, 'rgb(252,185,122)'],
        [0.9254901960784314, 'rgb(252,185,122)'],
        [0.9294117647058824, 'rgb(253,184,123)'],
        [0.9333333333333333, 'rgb(254,184,123)'],
        [0.9372549019607843, 'rgb(254,184,123)'],
        [0.9411764705882353, 'rgb(255,183,124)'],
        [0.9450980392156862, 'rgb(255,183,124)'],
        [0.9490196078431372, 'rgb(255,183,124)'],
        [0.9529411764705882, 'rgb(255,182,125)'],
        [0.9568627450980393, 'rgb(255,182,125)'],
        [0.9607843137254902, 'rgb(255,182,125)'],
        [0.9647058823529412, 'rgb(255,181,126)'],
        [0.9686274509803922, 'rgb(255,181,126)'],
        [0.9725490196078431, 'rgb(255,181,127)'],
        [0.9764705882352941, 'rgb(255,180,127)'],
        [0.9803921568627451, 'rgb(255,180,127)'],
        [0.984313725490196, 'rgb(255,180,128)'],
        [0.9882352941176471, 'rgb(255,179,128)'],
        [0.9921568627450981, 'rgb(255,179,129)'],
        [0.996078431372549, 'rgb(255,179,129)'],
        [1.0, 'rgb(255,178,129)'],
    ],
    'cet.isoluminant_cm_70_c39': [
        [0.0, 'rgb(20,186,230)'],
        [0.00392156862745098, 'rgb(25,185,230)'],
        [0.00784313725490196, 'rgb(29,185,230)'],
        [0.011764705882352941, 'rgb(32,185,230)'],
        [0.01568627450980392, 'rgb(35,185,230)'],
        [0.0196078431372549, 'rgb(38,185,230)'],
        [0.023529411764705882, 'rgb(41,185,230)'],
        [0.027450980392156862, 'rgb(44,184,231)'],
        [0.03137254901960784, 'rgb(46,184,231)'],
        [0.03529411764705882, 'rgb(48,184,231)'],
        [0.0392156862745098, 'rgb(51,184,231)'],
        [0.043137254901960784, 'rgb(53,184,231)'],
        [0.047058823529411764, 'rgb(55,184,231)'],
        [0.050980392156862744, 'rgb(57,184,231)'],
        [0.054901960784313725, 'rgb(59,183,232)'],
        [0.058823529411764705, 'rgb(60,183,232)'],
        [0.06274509803921569, 'rgb(62,183,232)'],
        [0.06666666666666667, 'rgb(64,183,232)'],
        [0.07058823529411765, 'rgb(66,183,232)'],
        [0.07450980392156863, 'rgb(67,183,232)'],
        [0.0784313725490196, 'rgb(69,182,232)'],
        [0.08235294117647059, 'rgb(70,182,232)'],
        [0.08627450980392157, 'rgb(72,182,233)'],
        [0.09019607843137255, 'rgb(74,182,233)'],
        [0.09411764705882353, 'rgb(75,182,233)'],
        [0.09803921568627451, 'rgb(76,182,233)'],
        [0.10196078431372549, 'rgb(78,182,233)'],
        [0.10588235294117647, 'rgb(79,181,233)'],
        [0.10980392156862745, 'rgb(81,181,233)'],
        [0.11372549019607843, 'rgb(82,181,233)'],
        [0.11764705882352941, 'rgb(83,181,233)'],
        [0.12156862745098039, 'rgb(85,181,233)'],
        [0.12549019607843137, 'rgb(86,181,234)'],
        [0.12941176470588237, 'rgb(87,180,234)'],
        [0.13333333333333333, 'rgb(89,180,234)'],
        [0.13725490196078433, 'rgb(90,180,234)'],
        [0.1411764705882353, 'rgb(91,180,234)'],
        [0.1450980392156863, 'rgb(92,180,234)'],
        [0.14901960784313725, 'rgb(93,180,234)'],
        [0.15294117647058825, 'rgb(95,179,234)'],
        [0.1568627450980392, 'rgb(96,179,234)'],
        [0.1607843137254902, 'rgb(97,179,234)'],
        [0.16470588235294117, 'rgb(98,179,235)'],
        [0.16862745098039217, 'rgb(99,179,235)'],
        [0.17254901960784313, 'rgb(100,178,235)'],
        [0.17647058823529413, 'rgb(102,178,235)'],
        [0.1803921568627451, 'rgb(103,178,235)'],
        [0.1843137254901961, 'rgb(104,178,235)'],
        [0.18823529411764706, 'rgb(105,178,235)'],
        [0.19215686274509805, 'rgb(106,178,235)'],
        [0.19607843137254902, 'rgb(107,177,235)'],
        [0.2, 'rgb(108,177,235)'],
        [0.20392156862745098, 'rgb(109,177,235)'],
        [0.20784313725490197, 'rgb(110,177,235)'],
        [0.21176470588235294, 'rgb(111,177,235)'],
        [0.21568627450980393, 'rgb(112,177,235)'],
        [0.2196078431372549, 'rgb(113,176,236)'],
        [0.2235294117647059, 'rgb(114,176,236)'],
        [0.22745098039215686, 'rgb(115,176,236)'],
        [0.23137254901960785, 'rgb(116,176,236)'],
        [0.23529411764705882, 'rgb(117,176,236)'],
        [0.23921568627450981, 'rgb(118,175,236)'],
        [0.24313725490196078, 'rgb(119,175,236)'],
        [0.24705882352941178, 'rgb(120,175,236)'],
        [0.25098039215686274, 'rgb(121,175,236)'],
        [0.2549019607843137, 'rgb(122,175,236)'],
        [0.25882352941176473, 'rgb(123,174,236)'],
        [0.2627450980392157, 'rgb(124,174,236)'],
        [0.26666666666666666, 'rgb(125,174,236)'],
        [0.27058823529411763, 'rgb(126,174,236)'],
        [0.27450980392156865, 'rgb(127,174,236)'],
        [0.2784313725490196, 'rgb(128,174,236)'],
        [0.2823529411764706, 'rgb(129,173,236)'],
        [0.28627450980392155, 'rgb(130,173,236)'],
        [0.2901960784313726, 'rgb(131,173,236)'],
        [0.29411764705882354, 'rgb(132,173,236)'],
        [0.2980392156862745, 'rgb(133,173,236)'],
        [0.30196078431372547, 'rgb(134,172,236)'],
        [0.3058823529411765, 'rgb(135,172,236)'],
        [0.30980392156862746, 'rgb(136,172,236)'],
        [0.3137254901960784, 'rgb(137,172,236)'],
        [0.3176470588235294, 'rgb(138,172,236)'],
        [0.3215686274509804, 'rgb(139,171,236)'],
        [0.3254901960784314, 'rgb(139,171,236)'],
        [0.32941176470588235, 'rgb(140,171,236)'],
        [0.3333333333333333, 'rgb(141,171,236)'],
        [0.33725490196078434, 'rgb(142,170,236)'],
        [0.3411764705882353, 'rgb(143,170,236)'],
        [0.34509803921568627, 'rgb(144,170,236)'],
        [0.34901960784313724, 'rgb(145,170,236)'],
        [0.35294117647058826, 'rgb(146,170,236)'],
        [0.3568627450980392, 'rgb(147,169,236)'],
        [0.3607843137254902, 'rgb(148,169,236)'],
        [0.36470588235294116, 'rgb(149,169,236)'],
        [0.3686274509803922, 'rgb(149,169,235)'],
        [0.37254901960784315, 'rgb(150,169,235)'],
        [0.3764705882352941, 'rgb(151,168,235)'],
        [0.3803921568627451, 'rgb(152,168,235)'],
        [0.3843137254901961, 'rgb(153,168,235)'],
        [0.38823529411764707, 'rgb(154,168,235)'],
        [0.39215686274509803, 'rgb(155,167,235)'],
        [0.396078431372549, 'rgb(156,167,235)'],
        [0.4, 'rgb(156,167,235)'],
        [0.403921568627451, 'rgb(157,167,235)'],
        [0.40784313725490196, 'rgb(158,167,234)'],
        [0.4117647058823529, 'rgb(159,166,234)'],
        [0.41568627450980394, 'rgb(160,166,234)'],
        [0.4196078431372549, 'rgb(161,166,234)'],
        [0.4235294117647059, 'rgb(162,166,234)'],
        [0.42745098039215684, 'rgb(163,165,234)'],
        [0.43137254901960786, 'rgb(163,165,233)'],
        [0.43529411764705883, 'rgb(164,165,233)'],
        [0.4392156862745098, 'rgb(165,165,233)'],
        [0.44313725490196076, 'rgb(166,165,233)'],
        [0.4470588235294118, 'rgb(167,164,233)'],
        [0.45098039215686275, 'rgb(168,164,232)'],
        [0.4549019607843137, 'rgb(169,164,232)'],
        [0.4588235294117647, 'rgb(169,164,232)'],
        [0.4627450980392157, 'rgb(170,163,232)'],
        [0.4666666666666667, 'rgb(171,163,231)'],
        [0.47058823529411764, 'rgb(172,163,231)'],
        [0.4745098039215686, 'rgb(173,163,231)'],
        [0.47843137254901963, 'rgb(174,163,231)'],
        [0.4823529411764706, 'rgb(175,162,230)'],
        [0.48627450980392156, 'rgb(175,162,230)'],
        [0.49019607843137253, 'rgb(176,162,230)'],
        [0.49411764705882355, 'rgb(177,162,229)'],
        [0.4980392156862745, 'rgb(178,161,229)'],
        [0.5019607843137255, 'rgb(179,161,229)'],
        [0.5058823529411764, 'rgb(179,161,228)'],
        [0.5098039215686274, 'rgb(180,161,228)'],
        [0.5137254901960784, 'rgb(181,161,228)'],
        [0.5176470588235295, 'rgb(182,160,227)'],
        [0.5215686274509804, 'rgb(183,160,227)'],
        [0.5254901960784314, 'rgb(183,160,227)'],
        [0.5294117647058824, 'rgb(184,160,226)'],
        [0.5333333333333333, 'rgb(185,159,226)'],
        [0.5372549019607843, 'rgb(186,159,226)'],
        [0.5411764705882353, 'rgb(186,159,225)'],
        [0.5450980392156862, 'rgb(187,159,225)'],
        [0.5490196078431373, 'rgb(188,159,224)'],
        [0.5529411764705883, 'rgb(189,158,224)'],
        [0.5568627450980392, 'rgb(189,158,224)'],
        [0.5607843137254902, 'rgb(190,158,223)'],
        [0.5647058823529412, 'rgb(191,158,223)'],
        [0.5686274509803921, 'rgb(192,158,223)'],
        [0.5725490196078431, 'rgb(192,157,222)'],
        [0.5764705882352941, 'rgb(193,157,222)'],
        [0.5803921568627451, 'rgb(194,157,221)'],
        [0.5843137254901961, 'rgb(195,157,221)'],
        [0.5882352941176471, 'rgb(195,156,221)'],
        [0.592156862745098, 'rgb(196,156,220)'],
        [0.596078431372549, 'rgb(197,156,220)'],
        [0.6, 'rgb(197,156,219)'],
        [0.6039215686274509, 'rgb(198,156,219)'],
        [0.6078431372549019, 'rgb(199,155,219)'],
        [0.611764705882353, 'rgb(199,155,218)'],
        [0.615686274509804, 'rgb(200,155,218)'],
        [0.6196078431372549, 'rgb(201,155,217)'],
        [0.6235294117647059, 'rgb(201,154,217)'],
        [0.6274509803921569, 'rgb(202,154,216)'],
        [0.6313725490196078, 'rgb(203,154,216)'],
        [0.6352941176470588, 'rgb(203,154,216)'],
        [0.6392156862745098, 'rgb(204,154,215)'],
        [0.6431372549019608, 'rgb(205,153,215)'],
        [0.6470588235294118, 'rgb(205,153,214)'],
        [0.6509803921568628, 'rgb(206,153,214)'],
        [0.6549019607843137, 'rgb(207,153,213)'],
        [0.6588235294117647, 'rgb(207,153,213)'],
        [0.6627450980392157, 'rgb(208,152,213)'],
        [0.6666666666666666, 'rgb(209,152,212)'],
        [0.6705882352941176, 'rgb(209,152,212)'],
        [0.6745098039215687, 'rgb(210,152,211)'],
        [0.6784313725490196, 'rgb(211,151,211)'],
        [0.6823529411764706, 'rgb(211,151,210)'],
        [0.6862745098039216, 'rgb(212,151,210)'],
        [0.6901960784313725, 'rgb(212,151,210)'],
        [0.6941176470588235, 'rgb(213,151,209)'],
        [0.6980392156862745, 'rgb(214,150,209)'],
        [0.7019607843137254, 'rgb(214,150,208)'],
        [0.7058823529411765, 'rgb(215,150,208)'],
        [0.7098039215686275, 'rgb(215,150,207)'],
        [0.7137254901960784, 'rgb(216,149,207)'],
        [0.7176470588235294, 'rgb(217,149,206)'],
        [0.7215686274509804, 'rgb(217,149,206)'],
        [0.7254901960784313, 'rgb(218,149,206)'],
        [0.7294117647058823, 'rgb(218,149,205)'],
        [0.7333333333333333, 'rgb(219,148,205)'],
        [0.7372549019607844, 'rgb(220,148,204)'],
        [0.7411764705882353, 'rgb(220,148,204)'],
        [0.7450980392156863, 'rgb(221,148,203)'],
        [0.7490196078431373, 'rgb(221,148,203)'],
        [0.7529411764705882, 'rgb(222,147,202)'],
        [0.7568627450980392, 'rgb(222,147,202)'],
        [0.7607843137254902, 'rgb(223,147,202)'],
        [0.7647058823529411, 'rgb(224,147,201)'],
        [0.7686274509803922, 'rgb(224,146,201)'],
        [0.7725490196078432, 'rgb(225,146,200)'],
        [0.7764705882352941, 'rgb(225,146,200)'],
        [0.7803921568627451, 'rgb(226,146,199)'],
        [0.7843137254901961, 'rgb(226,146,199)'],
        [0.788235294117647, 'rgb(227,145,198)'],
        [0.792156862745098, 'rgb(227,145,198)'],
        [0.796078431372549, 'rgb(228,145,197)'],
        [0.8, 'rgb(229,145,197)'],
        [0.803921568627451, 'rgb(229,144,196)'],
        [0.807843137254902, 'rgb(230,144,196)'],
        [0.8117647058823529, 'rgb(230,144,196)'],
        [0.8156862745098039, 'rgb(231,144,195)'],
        [0.8196078431372549, 'rgb(231,144,195)'],
        [0.8235294117647058, 'rgb(232,143,194)'],
        [0.8274509803921568, 'rgb(232,143,194)'],
        [0.8313725490196079, 'rgb(233,143,193)'],
        [0.8352941176470589, 'rgb(233,143,193)'],
        [0.8392156862745098, 'rgb(234,142,192)'],
        [0.8431372549019608, 'rgb(234,142,192)'],
        [0.8470588235294118, 'rgb(235,142,191)'],
        [0.8509803921568627, 'rgb(235,142,191)'],
        [0.8549019607843137, 'rgb(236,142,190)'],
        [0.8588235294117647, 'rgb(236,141,190)'],
        [0.8627450980392157, 'rgb(237,141,190)'],
        [0.8666666666666667, 'rgb(237,141,189)'],
        [0.8705882352941177, 'rgb(238,141,189)'],
        [0.8745098039215686, 'rgb(238,140,188)'],
        [0.8784313725490196, 'rgb(239,140,188)'],
        [0.8823529411764706, 'rgb(239,140,187)'],
        [0.8862745098039215, 'rgb(240,140,187)'],
        [0.8901960784313725, 'rgb(240,139,186)'],
        [0.8941176470588236, 'rgb(241,139,186)'],
        [0.8980392156862745, 'rgb(241,139,185)'],
        [0.9019607843137255, 'rgb(242,139,185)'],
        [0.9058823529411765, 'rgb(242,139,184)'],
        [0.9098039215686274, 'rgb(243,138,184)'],
        [0.9137254901960784, 'rgb(243,138,183)'],
        [0.9176470588235294, 'rgb(244,138,183)'],
        [0.9215686274509803, 'rgb(244,138,182)'],
        [0.9254901960784314, 'rgb(245,137,182)'],
        [0.9294117647058824, 'rgb(245,137,181)'],
        [0.9333333333333333, 'rgb(246,137,181)'],
        [0.9372549019607843, 'rgb(246,137,181)'],
        [0.9411764705882353, 'rgb(247,136,180)'],
        [0.9450980392156862, 'rgb(247,136,180)'],
        [0.9490196078431372, 'rgb(248,136,179)'],
        [0.9529411764705882, 'rgb(248,136,179)'],
        [0.9568627450980393, 'rgb(249,136,178)'],
        [0.9607843137254902, 'rgb(249,135,178)'],
        [0.9647058823529412, 'rgb(249,135,177)'],
        [0.9686274509803922, 'rgb(250,135,177)'],
        [0.9725490196078431, 'rgb(250,135,176)'],
        [0.9764705882352941, 'rgb(251,134,176)'],
        [0.9803921568627451, 'rgb(251,134,175)'],
        [0.984313725490196, 'rgb(252,134,175)'],
        [0.9882352941176471, 'rgb(252,134,174)'],
        [0.9921568627450981, 'rgb(253,133,174)'],
        [0.996078431372549, 'rgb(253,133,173)'],
        [1.0, 'rgb(254,133,173)'],
    ],
    'cet.linear_bgy_10_95_c74': [
        [0.0, 'rgb(0,12,125)'],
        [0.00392156862745098, 'rgb(0,13,126)'],
        [0.00784313725490196, 'rgb(0,13,128)'],
        [0.011764705882352941, 'rgb(0,14,130)'],
        [0.01568627450980392, 'rgb(0,14,132)'],
        [0.0196078431372549, 'rgb(0,15,134)'],
        [0.023529411764705882, 'rgb(0,15,136)'],
        [0.027450980392156862, 'rgb(0,16,137)'],
        [0.03137254901960784, 'rgb(0,16,139)'],
        [0.03529411764705882, 'rgb(0,17,141)'],
        [0.0392156862745098, 'rgb(0,17,143)'],
        [0.043137254901960784, 'rgb(0,18,144)'],
        [0.047058823529411764, 'rgb(0,19,146)'],
        [0.050980392156862744, 'rgb(0,19,148)'],
        [0.054901960784313725, 'rgb(0,20,150)'],
        [0.058823529411764705, 'rgb(0,21,151)'],
        [0.06274509803921569, 'rgb(0,21,153)'],
        [0.06666666666666667, 'rgb(0,22,155)'],
        [0.07058823529411765, 'rgb(0,23,156)'],
        [0.07450980392156863, 'rgb(0,23,158)'],
        [0.0784313725490196, 'rgb(0,24,159)'],
        [0.08235294117647059, 'rgb(0,25,161)'],
        [0.08627450980392157, 'rgb(0,25,162)'],
        [0.09019607843137255, 'rgb(0,26,164)'],
        [0.09411764705882353, 'rgb(0,27,165)'],
        [0.09803921568627451, 'rgb(0,28,167)'],
        [0.10196078431372549, 'rgb(0,29,168)'],
        [0.10588235294117647, 'rgb(0,29,170)'],
        [0.10980392156862745, 'rgb(0,30,171)'],
        [0.11372549019607843, 'rgb(0,31,172)'],
        [0.11764705882352941, 'rgb(0,32,174)'],
        [0.12156862745098039, 'rgb(0,33,175)'],
        [0.12549019607843137, 'rgb(0,34,176)'],
        [0.12941176470588237, 'rgb(0,35,177)'],
        [0.13333333333333333, 'rgb(0,36,179)'],
        [0.13725490196078433, 'rgb(0,36,180)'],
        [0.1411764705882353, 'rgb(0,37,181)'],
        [0.1450980392156863, 'rgb(0,38,182)'],
        [0.14901960784313725, 'rgb(0,39,183)'],
        [0.15294117647058825, 'rgb(0,41,183)'],
        [0.1568627450980392, 'rgb(0,42,184)'],
        [0.1607843137254902, 'rgb(0,43,185)'],
        [0.16470588235294117, 'rgb(0,44,186)'],
        [0.16862745098039217, 'rgb(0,45,186)'],
        [0.17254901960784313, 'rgb(0,46,187)'],
        [0.17647058823529413, 'rgb(0,47,187)'],
        [0.1803921568627451, 'rgb(0,49,187)'],
        [0.1843137254901961, 'rgb(0,50,187)'],
        [0.18823529411764706, 'rgb(0,51,188)'],
        [0.19215686274509805, 'rgb(0,52,188)'],
        [0.19607843137254902, 'rgb(0,54,188)'],
        [0.2, 'rgb(0,55,188)'],
        [0.20392156862745098, 'rgb(0,56,188)'],
        [0.20784313725490197, 'rgb(0,57,188)'],
        [0.21176470588235294, 'rgb(0,58,188)'],
        [0.21568627450980393, 'rgb(0,60,188)'],
        [0.2196078431372549, 'rgb(0,61,187)'],
        [0.2235294117647059, 'rgb(0,62,187)'],
        [0.22745098039215686, 'rgb(0,63,187)'],
        [0.23137254901960785, 'rgb(0,64,186)'],
        [0.23529411764705882, 'rgb(0,65,186)'],
        [0.23921568627450981, 'rgb(0,67,186)'],
        [0.24313725490196078, 'rgb(0,68,185)'],
        [0.24705882352941178, 'rgb(0,69,185)'],
        [0.25098039215686274, 'rgb(0,70,184)'],
        [0.2549019607843137, 'rgb(0,71,184)'],
        [0.25882352941176473, 'rgb(0,73,183)'],
        [0.2627450980392157, 'rgb(0,74,182)'],
        [0.26666666666666666, 'rgb(0,75,181)'],
        [0.27058823529411763, 'rgb(0,76,181)'],
        [0.27450980392156865, 'rgb(0,77,180)'],
        [0.2784313725490196, 'rgb(0,78,179)'],
        [0.2823529411764706, 'rgb(0,80,178)'],
        [0.28627450980392155, 'rgb(0,81,177)'],
        [0.2901960784313726, 'rgb(0,82,176)'],
        [0.29411764705882354, 'rgb(0,83,175)'],
        [0.2980392156862745, 'rgb(0,84,174)'],
        [0.30196078431372547, 'rgb(0,86,173)'],
        [0.3058823529411765, 'rgb(0,87,172)'],
        [0.30980392156862746, 'rgb(0,88,171)'],
        [0.3137254901960784, 'rgb(0,89,169)'],
        [0.3176470588235294, 'rgb(0,90,168)'],
        [0.3215686274509804, 'rgb(0,92,167)'],
        [0.3254901960784314, 'rgb(0,93,166)'],
        [0.32941176470588235, 'rgb(0,94,165)'],
        [0.3333333333333333, 'rgb(0,95,164)'],
        [0.33725490196078434, 'rgb(0,96,162)'],
        [0.3411764705882353, 'rgb(0,97,161)'],
        [0.34509803921568627, 'rgb(0,98,160)'],
        [0.34901960784313724, 'rgb(0,100,159)'],
        [0.35294117647058826, 'rgb(0,101,158)'],
        [0.3568627450980392, 'rgb(0,102,156)'],
        [0.3607843137254902, 'rgb(0,103,155)'],
        [0.36470588235294116, 'rgb(0,104,154)'],
        [0.3686274509803922, 'rgb(0,105,153)'],
        [0.37254901960784315, 'rgb(0,107,152)'],
        [0.3764705882352941, 'rgb(0,108,150)'],
        [0.3803921568627451, 'rgb(0,109,149)'],
        [0.3843137254901961, 'rgb(0,110,148)'],
        [0.38823529411764707, 'rgb(0,111,146)'],
        [0.39215686274509803, 'rgb(0,112,145)'],
        [0.396078431372549, 'rgb(0,113,144)'],
        [0.4, 'rgb(0,114,143)'],
        [0.403921568627451, 'rgb(0,116,141)'],
        [0.40784313725490196, 'rgb(0,117,140)'],
        [0.4117647058823529, 'rgb(0,118,139)'],
        [0.41568627450980394, 'rgb(0,119,137)'],
        [0.4196078431372549, 'rgb(0,120,136)'],
        [0.4235294117647059, 'rgb(0,121,134)'],
        [0.42745098039215684, 'rgb(0,122,133)'],
        [0.43137254901960786, 'rgb(0,123,131)'],
        [0.43529411764705883, 'rgb(0,125,130)'],
        [0.4392156862745098, 'rgb(0,126,128)'],
        [0.44313725490196076, 'rgb(0,127,127)'],
        [0.4470588235294118, 'rgb(0,128,125)'],
        [0.45098039215686275, 'rgb(0,129,123)'],
        [0.4549019607843137, 'rgb(0,130,122)'],
        [0.4588235294117647, 'rgb(0,131,120)'],
        [0.4627450980392157, 'rgb(0,132,118)'],
        [0.4666666666666667, 'rgb(2,133,116)'],
        [0.47058823529411764, 'rgb(6,134,114)'],
        [0.4745098039215686, 'rgb(10,135,112)'],
        [0.47843137254901963, 'rgb(13,137,110)'],
        [0.4823529411764706, 'rgb(16,138,108)'],
        [0.48627450980392156, 'rgb(19,139,106)'],
        [0.49019607843137253, 'rgb(21,140,104)'],
        [0.49411764705882355, 'rgb(23,141,102)'],
        [0.4980392156862745, 'rgb(26,142,100)'],
        [0.5019607843137255, 'rgb(28,143,98)'],
        [0.5058823529411764, 'rgb(29,144,95)'],
        [0.5098039215686274, 'rgb(31,145,93)'],
        [0.5137254901960784, 'rgb(33,146,91)'],
        [0.5176470588235295, 'rgb(34,147,88)'],
        [0.5215686274509804, 'rgb(36,148,85)'],
        [0.5254901960784314, 'rgb(37,149,83)'],
        [0.5294117647058824, 'rgb(39,150,80)'],
        [0.5333333333333333, 'rgb(40,151,78)'],
        [0.5372549019607843, 'rgb(41,152,75)'],
        [0.5411764705882353, 'rgb(42,153,72)'],
        [0.5450980392156862, 'rgb(43,155,70)'],
        [0.5490196078431373, 'rgb(44,156,67)'],
        [0.5529411764705883, 'rgb(45,157,65)'],
        [0.5568627450980392, 'rgb(45,158,62)'],
        [0.5607843137254902, 'rgb(46,159,60)'],
        [0.5647058823529412, 'rgb(46,160,58)'],
        [0.5686274509803921, 'rgb(47,161,55)'],
        [0.5725490196078431, 'rgb(47,162,53)'],
        [0.5764705882352941, 'rgb(48,163,51)'],
        [0.5803921568627451, 'rgb(48,164,49)'],
        [0.5843137254901961, 'rgb(48,165,47)'],
        [0.5882352941176471, 'rgb(48,166,45)'],
        [0.592156862745098, 'rgb(49,167,43)'],
        [0.596078431372549, 'rgb(49,168,41)'],
        [0.6, 'rgb(49,169,39)'],
        [0.6039215686274509, 'rgb(49,170,37)'],
        [0.6078431372549019, 'rgb(49,171,36)'],
        [0.611764705882353, 'rgb(49,172,34)'],
        [0.615686274509804, 'rgb(49,173,32)'],
        [0.6196078431372549, 'rgb(49,174,31)'],
        [0.6235294117647059, 'rgb(50,175,30)'],
        [0.6274509803921569, 'rgb(50,176,29)'],
        [0.6313725490196078, 'rgb(50,177,28)'],
        [0.6352941176470588, 'rgb(50,179,27)'],
        [0.6392156862745098, 'rgb(50,180,26)'],
        [0.6431372549019608, 'rgb(50,181,26)'],
        [0.6470588235294118, 'rgb(50,182,26)'],
        [0.6509803921568628, 'rgb(50,183,26)'],
        [0.6549019607843137, 'rgb(50,184,26)'],
        [0.6588235294117647, 'rgb(51,185,26)'],
        [0.6627450980392157, 'rgb(51,186,26)'],
        [0.6666666666666666, 'rgb(51,187,26)'],
        [0.6705882352941176, 'rgb(51,188,26)'],
        [0.6745098039215687, 'rgb(51,189,26)'],
        [0.6784313725490196, 'rgb(51,190,26)'],
        [0.6823529411764706, 'rgb(51,191,26)'],
        [0.6862745098039216, 'rgb(51,192,26)'],
        [0.6901960784313725, 'rgb(52,193,25)'],
        [0.6941176470588235, 'rgb(52,194,25)'],
        [0.6980392156862745, 'rgb(52,195,25)'],
        [0.7019607843137254, 'rgb(52,196,25)'],
        [0.7058823529411765, 'rgb(52,197,25)'],
        [0.7098039215686275, 'rgb(52,198,25)'],
        [0.7137254901960784, 'rgb(52,199,25)'],
        [0.7176470588235294, 'rgb(53,200,25)'],
        [0.7215686274509804, 'rgb(53,201,25)'],
        [0.7254901960784313, 'rgb(53,202,25)'],
        [0.7294117647058823, 'rgb(53,203,25)'],
        [0.7333333333333333, 'rgb(53,204,25)'],
        [0.7372549019607844, 'rgb(53,205,25)'],
        [0.7411764705882353, 'rgb(54,206,25)'],
        [0.7450980392156863, 'rgb(54,207,25)'],
        [0.7490196078431373, 'rgb(54,208,25)'],
        [0.7529411764705882, 'rgb(54,210,25)'],
        [0.7568627450980392, 'rgb(54,211,26)'],
        [0.7607843137254902, 'rgb(54,212,26)'],
        [0.7647058823529411, 'rgb(55,213,26)'],
        [0.7686274509803922, 'rgb(55,214,26)'],
        [0.7725490196078432, 'rgb(57,215,26)'],
        [0.7764705882352941, 'rgb(59,216,26)'],
        [0.7803921568627451, 'rgb(62,216,26)'],
        [0.7843137254901961, 'rgb(65,217,26)'],
        [0.788235294117647, 'rgb(68,218,26)'],
        [0.792156862745098, 'rgb(72,219,26)'],
        [0.796078431372549, 'rgb(75,220,26)'],
        [0.8, 'rgb(79,221,26)'],
        [0.803921568627451, 'rgb(83,221,26)'],
        [0.807843137254902, 'rgb(87,222,26)'],
        [0.8117647058823529, 'rgb(91,223,26)'],
        [0.8156862745098039, 'rgb(95,223,26)'],
        [0.8196078431372549, 'rgb(99,224,26)'],
        [0.8235294117647058, 'rgb(103,225,27)'],
        [0.8274509803921568, 'rgb(107,225,27)'],
        [0.8313725490196079, 'rgb(111,226,27)'],
        [0.8352941176470589, 'rgb(115,227,27)'],
        [0.8392156862745098, 'rgb(119,227,27)'],
        [0.8431372549019608, 'rgb(123,228,27)'],
        [0.8470588235294118, 'rgb(127,228,27)'],
        [0.8509803921568627, 'rgb(130,229,27)'],
        [0.8549019607843137, 'rgb(134,230,27)'],
        [0.8588235294117647, 'rgb(138,230,27)'],
        [0.8627450980392157, 'rgb(142,231,28)'],
        [0.8666666666666667, 'rgb(146,231,28)'],
        [0.8705882352941177, 'rgb(150,232,28)'],
        [0.8745098039215686, 'rgb(154,232,28)'],
        [0.8784313725490196, 'rgb(157,233,28)'],
        [0.8823529411764706, 'rgb(161,233,28)'],
        [0.8862745098039215, 'rgb(165,234,28)'],
        [0.8901960784313725, 'rgb(169,234,29)'],
        [0.8941176470588236, 'rgb(172,234,29)'],
        [0.8980392156862745, 'rgb(176,235,29)'],
        [0.9019607843137255, 'rgb(180,235,29)'],
        [0.9058823529411765, 'rgb(184,236,29)'],
        [0.9098039215686274, 'rgb(187,236,29)'],
        [0.9137254901960784, 'rgb(191,236,30)'],
        [0.9176470588235294, 'rgb(195,237,30)'],
        [0.9215686274509803, 'rgb(198,237,30)'],
        [0.9254901960784314, 'rgb(202,237,30)'],
        [0.9294117647058824, 'rgb(206,238,30)'],
        [0.9333333333333333, 'rgb(209,238,31)'],
        [0.9372549019607843, 'rgb(213,238,31)'],
        [0.9411764705882353, 'rgb(217,239,31)'],
        [0.9450980392156862, 'rgb(220,239,31)'],
        [0.9490196078431372, 'rgb(224,239,32)'],
        [0.9529411764705882, 'rgb(228,239,32)'],
        [0.9568627450980393, 'rgb(231,240,32)'],
        [0.9607843137254902, 'rgb(235,240,32)'],
        [0.9647058823529412, 'rgb(238,240,33)'],
        [0.9686274509803922, 'rgb(242,240,33)'],
        [0.9725490196078431, 'rgb(246,240,33)'],
        [0.9764705882352941, 'rgb(249,241,33)'],
        [0.9803921568627451, 'rgb(253,241,34)'],
        [0.984313725490196, 'rgb(255,241,34)'],
        [0.9882352941176471, 'rgb(255,241,34)'],
        [0.9921568627450981, 'rgb(255,241,34)'],
        [0.996078431372549, 'rgb(255,241,35)'],
        [1.0, 'rgb(255,241,35)'],
    ],
    'cet.linear_bgyw_15_100_c67': [
        [0.0, 'rgb(27,0,132)'],
        [0.00392156862745098, 'rgb(27,1,134)'],
        [0.00784313725490196, 'rgb(27,1,136)'],
        [0.011764705882352941, 'rgb(27,2,138)'],
        [0.01568627450980392, 'rgb(27,2,140)'],
        [0.0196078431372549, 'rgb(27,3,141)'],
        [0.023529411764705882, 'rgb(27,4,143)'],
        [0.027450980392156862, 'rgb(27,5,145)'],
        [0.03137254901960784, 'rgb(27,5,147)'],
        [0.03529411764705882, 'rgb(27,6,148)'],
        [0.0392156862745098, 'rgb(27,7,150)'],
        [0.043137254901960784, 'rgb(27,8,152)'],
        [0.047058823529411764, 'rgb(27,9,154)'],
        [0.050980392156862744, 'rgb(27,10,155)'],
        [0.054901960784313725, 'rgb(27,11,157)'],
        [0.058823529411764705, 'rgb(27,12,159)'],
        [0.06274509803921569, 'rgb(27,13,161)'],
        [0.06666666666666667, 'rgb(27,14,162)'],
        [0.07058823529411765, 'rgb(27,15,164)'],
        [0.07450980392156863, 'rgb(27,16,166)'],
        [0.0784313725490196, 'rgb(27,16,167)'],
        [0.08235294117647059, 'rgb(27,17,169)'],
        [0.08627450980392157, 'rgb(27,18,171)'],
        [0.09019607843137255, 'rgb(27,19,172)'],
        [0.09411764705882353, 'rgb(28,20,174)'],
        [0.09803921568627451, 'rgb(28,21,175)'],
        [0.10196078431372549, 'rgb(28,22,177)'],
        [0.10588235294117647, 'rgb(28,23,179)'],
        [0.10980392156862745, 'rgb(28,24,180)'],
        [0.11372549019607843, 'rgb(28,25,182)'],
        [0.11764705882352941, 'rgb(28,26,183)'],
        [0.12156862745098039, 'rgb(28,27,185)'],
        [0.12549019607843137, 'rgb(28,28,186)'],
        [0.12941176470588237, 'rgb(28,29,188)'],
        [0.13333333333333333, 'rgb(28,30,189)'],
        [0.13725490196078433, 'rgb(28,31,190)'],
        [0.1411764705882353, 'rgb(28,32,192)'],
        [0.1450980392156863, 'rgb(29,33,193)'],
        [0.14901960784313725, 'rgb(29,34,194)'],
        [0.15294117647058825, 'rgb(29,35,196)'],
        [0.1568627450980392, 'rgb(29,36,197)'],
        [0.1607843137254902, 'rgb(29,38,198)'],
        [0.16470588235294117, 'rgb(29,39,200)'],
        [0.16862745098039217, 'rgb(30,40,201)'],
        [0.17254901960784313, 'rgb(30,41,202)'],
        [0.17647058823529413, 'rgb(30,42,203)'],
        [0.1803921568627451, 'rgb(30,43,204)'],
        [0.1843137254901961, 'rgb(31,44,205)'],
        [0.18823529411764706, 'rgb(31,45,206)'],
        [0.19215686274509805, 'rgb(31,46,207)'],
        [0.19607843137254902, 'rgb(32,48,208)'],
        [0.2, 'rgb(32,49,209)'],
        [0.20392156862745098, 'rgb(32,50,210)'],
        [0.20784313725490197, 'rgb(33,51,211)'],
        [0.21176470588235294, 'rgb(33,52,211)'],
        [0.21568627450980393, 'rgb(33,54,212)'],
        [0.2196078431372549, 'rgb(34,55,213)'],
        [0.2235294117647059, 'rgb(34,56,213)'],
        [0.22745098039215686, 'rgb(35,58,214)'],
        [0.23137254901960785, 'rgb(35,59,214)'],
        [0.23529411764705882, 'rgb(35,60,214)'],
        [0.23921568627450981, 'rgb(36,62,215)'],
        [0.24313725490196078, 'rgb(36,63,215)'],
        [0.24705882352941178, 'rgb(37,65,215)'],
        [0.25098039215686274, 'rgb(37,66,215)'],
        [0.2549019607843137, 'rgb(38,67,214)'],
        [0.25882352941176473, 'rgb(38,69,214)'],
        [0.2627450980392157, 'rgb(39,71,214)'],
        [0.26666666666666666, 'rgb(39,72,213)'],
        [0.27058823529411763, 'rgb(40,74,212)'],
        [0.27450980392156865, 'rgb(40,76,211)'],
        [0.2784313725490196, 'rgb(40,77,210)'],
        [0.2823529411764706, 'rgb(41,79,208)'],
        [0.28627450980392155, 'rgb(41,81,206)'],
        [0.2901960784313726, 'rgb(41,83,204)'],
        [0.29411764705882354, 'rgb(41,85,201)'],
        [0.2980392156862745, 'rgb(41,87,198)'],
        [0.30196078431372547, 'rgb(42,90,195)'],
        [0.3058823529411765, 'rgb(42,91,192)'],
        [0.30980392156862746, 'rgb(42,93,189)'],
        [0.3137254901960784, 'rgb(43,95,186)'],
        [0.3176470588235294, 'rgb(43,97,183)'],
        [0.3215686274509804, 'rgb(44,99,180)'],
        [0.3254901960784314, 'rgb(45,100,177)'],
        [0.32941176470588235, 'rgb(45,102,174)'],
        [0.3333333333333333, 'rgb(46,104,171)'],
        [0.33725490196078434, 'rgb(47,105,169)'],
        [0.3411764705882353, 'rgb(48,107,166)'],
        [0.34509803921568627, 'rgb(48,108,163)'],
        [0.34901960784313724, 'rgb(49,110,160)'],
        [0.35294117647058826, 'rgb(50,111,157)'],
        [0.3568627450980392, 'rgb(51,113,155)'],
        [0.3607843137254902, 'rgb(52,114,152)'],
        [0.36470588235294116, 'rgb(52,115,149)'],
        [0.3686274509803922, 'rgb(53,117,147)'],
        [0.37254901960784315, 'rgb(54,118,144)'],
        [0.3764705882352941, 'rgb(54,119,141)'],
        [0.3803921568627451, 'rgb(55,121,138)'],
        [0.3843137254901961, 'rgb(56,122,136)'],
        [0.38823529411764707, 'rgb(57,123,133)'],
        [0.39215686274509803, 'rgb(57,125,131)'],
        [0.396078431372549, 'rgb(58,126,128)'],
        [0.4, 'rgb(59,127,125)'],
        [0.403921568627451, 'rgb(59,128,123)'],
        [0.40784313725490196, 'rgb(60,130,120)'],
        [0.4117647058823529, 'rgb(60,131,117)'],
        [0.41568627450980394, 'rgb(61,132,115)'],
        [0.4196078431372549, 'rgb(62,133,112)'],
        [0.4235294117647059, 'rgb(62,134,109)'],
        [0.42745098039215684, 'rgb(63,135,107)'],
        [0.43137254901960786, 'rgb(63,137,104)'],
        [0.43529411764705883, 'rgb(64,138,102)'],
        [0.4392156862745098, 'rgb(64,139,99)'],
        [0.44313725490196076, 'rgb(65,140,96)'],
        [0.4470588235294118, 'rgb(65,141,94)'],
        [0.45098039215686275, 'rgb(66,142,91)'],
        [0.4549019607843137, 'rgb(66,143,89)'],
        [0.4588235294117647, 'rgb(67,145,86)'],
        [0.4627450980392157, 'rgb(68,146,84)'],
        [0.4666666666666667, 'rgb(68,147,82)'],
        [0.47058823529411764, 'rgb(69,148,80)'],
        [0.4745098039215686, 'rgb(70,149,78)'],
        [0.47843137254901963, 'rgb(71,150,76)'],
        [0.4823529411764706, 'rgb(72,151,74)'],
        [0.48627450980392156, 'rgb(72,152,72)'],
        [0.49019607843137253, 'rgb(73,153,70)'],
        [0.49411764705882355, 'rgb(74,154,68)'],
        [0.4980392156862745, 'rgb(75,155,66)'],
        [0.5019607843137255, 'rgb(77,156,64)'],
        [0.5058823529411764, 'rgb(78,157,62)'],
        [0.5098039215686274, 'rgb(79,158,61)'],
        [0.5137254901960784, 'rgb(80,159,59)'],
        [0.5176470588235295, 'rgb(81,160,58)'],
        [0.5215686274509804, 'rgb(82,160,56)'],
        [0.5254901960784314, 'rgb(84,161,54)'],
        [0.5294117647058824, 'rgb(85,162,53)'],
        [0.5333333333333333, 'rgb(87,163,51)'],
        [0.5372549019607843, 'rgb(88,164,50)'],
        [0.5411764705882353, 'rgb(89,165,48)'],
        [0.5450980392156862, 'rgb(91,166,47)'],
        [0.5490196078431373, 'rgb(92,167,46)'],
        [0.5529411764705883, 'rgb(94,168,44)'],
        [0.5568627450980392, 'rgb(96,168,43)'],
        [0.5607843137254902, 'rgb(97,169,42)'],
        [0.5647058823529412, 'rgb(99,170,40)'],
        [0.5686274509803921, 'rgb(100,171,39)'],
        [0.5725490196078431, 'rgb(102,172,38)'],
        [0.5764705882352941, 'rgb(104,173,37)'],
        [0.5803921568627451, 'rgb(106,173,35)'],
        [0.5843137254901961, 'rgb(107,174,34)'],
        [0.5882352941176471, 'rgb(109,175,33)'],
        [0.592156862745098, 'rgb(111,176,32)'],
        [0.596078431372549, 'rgb(113,177,31)'],
        [0.6, 'rgb(115,177,30)'],
        [0.6039215686274509, 'rgb(117,178,29)'],
        [0.6078431372549019, 'rgb(118,179,28)'],
        [0.611764705882353, 'rgb(120,180,27)'],
        [0.615686274509804, 'rgb(122,180,27)'],
        [0.6196078431372549, 'rgb(124,181,26)'],
        [0.6235294117647059, 'rgb(126,182,25)'],
        [0.6274509803921569, 'rgb(128,183,25)'],
        [0.6313725490196078, 'rgb(130,183,24)'],
        [0.6352941176470588, 'rgb(132,184,23)'],
        [0.6392156862745098, 'rgb(134,185,23)'],
        [0.6431372549019608, 'rgb(136,186,23)'],
        [0.6470588235294118, 'rgb(139,186,22)'],
        [0.6509803921568628, 'rgb(141,187,22)'],
        [0.6549019607843137, 'rgb(143,188,22)'],
        [0.6588235294117647, 'rgb(145,188,22)'],
        [0.6627450980392157, 'rgb(147,189,22)'],
        [0.6666666666666666, 'rgb(149,190,22)'],
        [0.6705882352941176, 'rgb(151,190,22)'],
        [0.6745098039215687, 'rgb(154,191,23)'],
        [0.6784313725490196, 'rgb(156,192,23)'],
        [0.6823529411764706, 'rgb(158,192,23)'],
        [0.6862745098039216, 'rgb(160,193,24)'],
        [0.6901960784313725, 'rgb(162,194,24)'],
        [0.6941176470588235, 'rgb(164,194,25)'],
        [0.6980392156862745, 'rgb(166,195,25)'],
        [0.7019607843137254, 'rgb(169,196,26)'],
        [0.7058823529411765, 'rgb(171,196,26)'],
        [0.7098039215686275, 'rgb(173,197,27)'],
        [0.7137254901960784, 'rgb(175,198,28)'],
        [0.7176470588235294, 'rgb(177,198,28)'],
        [0.7215686274509804, 'rgb(179,199,29)'],
        [0.7254901960784313, 'rgb(181,200,30)'],
        [0.7294117647058823, 'rgb(183,200,31)'],
        [0.7333333333333333, 'rgb(185,201,32)'],
        [0.7372549019607844, 'rgb(187,202,33)'],
        [0.7411764705882353, 'rgb(189,202,33)'],
        [0.7450980392156863, 'rgb(191,203,34)'],
        [0.7490196078431373, 'rgb(192,204,35)'],
        [0.7529411764705882, 'rgb(194,204,36)'],
        [0.7568627450980392, 'rgb(196,205,37)'],
        [0.7607843137254902, 'rgb(198,206,38)'],
        [0.7647058823529411, 'rgb(200,206,40)'],
        [0.7686274509803922, 'rgb(202,207,41)'],
        [0.7725490196078432, 'rgb(203,208,42)'],
        [0.7764705882352941, 'rgb(205,208,43)'],
        [0.7803921568627451, 'rgb(207,209,44)'],
        [0.7843137254901961, 'rgb(209,210,46)'],
        [0.788235294117647, 'rgb(210,210,47)'],
        [0.792156862745098, 'rgb(212,211,48)'],
        [0.796078431372549, 'rgb(214,212,50)'],
        [0.8, 'rgb(215,213,51)'],
        [0.803921568627451, 'rgb(217,213,53)'],
        [0.807843137254902, 'rgb(218,214,54)'],
        [0.8117647058823529, 'rgb(220,215,56)'],
        [0.8156862745098039, 'rgb(222,216,57)'],
        [0.8196078431372549, 'rgb(223,216,59)'],
        [0.8235294117647058, 'rgb(224,217,61)'],
        [0.8274509803921568, 'rgb(226,218,63)'],
        [0.8313725490196079, 'rgb(227,219,64)'],
        [0.8352941176470589, 'rgb(229,220,66)'],
        [0.8392156862745098, 'rgb(230,220,68)'],
        [0.8431372549019608, 'rgb(231,221,70)'],
        [0.8470588235294118, 'rgb(232,222,72)'],
        [0.8509803921568627, 'rgb(233,223,74)'],
        [0.8549019607843137, 'rgb(234,224,77)'],
        [0.8588235294117647, 'rgb(235,225,79)'],
        [0.8627450980392157, 'rgb(236,226,82)'],
        [0.8666666666666667, 'rgb(237,227,84)'],
        [0.8705882352941177, 'rgb(238,228,87)'],
        [0.8745098039215686, 'rgb(238,229,90)'],
        [0.8784313725490196, 'rgb(239,230,93)'],
        [0.8823529411764706, 'rgb(239,231,96)'],
        [0.8862745098039215, 'rgb(239,232,99)'],
        [0.8901960784313725, 'rgb(240,233,103)'],
        [0.8941176470588236, 'rgb(240,234,106)'],
        [0.8980392156862745, 'rgb(240,235,110)'],
        [0.9019607843137255, 'rgb(241,236,114)'],
        [0.9058823529411765, 'rgb(241,237,118)'],
        [0.9098039215686274, 'rgb(242,238,122)'],
        [0.9137254901960784, 'rgb(242,239,126)'],
        [0.9176470588235294, 'rgb(243,240,131)'],
        [0.9215686274509803, 'rgb(243,241,135)'],
        [0.9254901960784314, 'rgb(244,242,140)'],
        [0.9294117647058824, 'rgb(245,243,145)'],
        [0.9333333333333333, 'rgb(245,244,150)'],
        [0.9372549019607843, 'rgb(246,244,155)'],
        [0.9411764705882353, 'rgb(247,245,160)'],
        [0.9450980392156862, 'rgb(247,246,165)'],
        [0.9490196078431372, 'rgb(248,247,171)'],
        [0.9529411764705882, 'rgb(249,247,176)'],
        [0.9568627450980393, 'rgb(249,248,182)'],
        [0.9607843137254902, 'rgb(250,249,188)'],
        [0.9647058823529412, 'rgb(250,250,194)'],
        [0.9686274509803922, 'rgb(251,250,200)'],
        [0.9725490196078431, 'rgb(252,251,207)'],
        [0.9764705882352941, 'rgb(252,252,213)'],
        [0.9803921568627451, 'rgb(253,252,220)'],
        [0.984313725490196, 'rgb(253,253,226)'],
        [0.9882352941176471, 'rgb(254,253,233)'],
        [0.9921568627450981, 'rgb(254,254,240)'],
        [0.996078431372549, 'rgb(255,254,248)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cet.linear_bgyw_15_100_c68': [
        [0.0, 'rgb(26,0,134)'],
        [0.00392156862745098, 'rgb(26,0,136)'],
        [0.00784313725490196, 'rgb(26,0,137)'],
        [0.011764705882352941, 'rgb(26,0,139)'],
        [0.01568627450980392, 'rgb(26,1,141)'],
        [0.0196078431372549, 'rgb(26,1,143)'],
        [0.023529411764705882, 'rgb(26,2,145)'],
        [0.027450980392156862, 'rgb(26,3,146)'],
        [0.03137254901960784, 'rgb(26,4,148)'],
        [0.03529411764705882, 'rgb(26,4,150)'],
        [0.0392156862745098, 'rgb(26,5,152)'],
        [0.043137254901960784, 'rgb(27,6,153)'],
        [0.047058823529411764, 'rgb(27,7,155)'],
        [0.050980392156862744, 'rgb(27,8,157)'],
        [0.054901960784313725, 'rgb(27,9,158)'],
        [0.058823529411764705, 'rgb(27,10,160)'],
        [0.06274509803921569, 'rgb(27,11,162)'],
        [0.06666666666666667, 'rgb(27,12,164)'],
        [0.07058823529411765, 'rgb(27,13,165)'],
        [0.07450980392156863, 'rgb(27,14,167)'],
        [0.0784313725490196, 'rgb(27,15,168)'],
        [0.08235294117647059, 'rgb(27,16,170)'],
        [0.08627450980392157, 'rgb(27,17,172)'],
        [0.09019607843137255, 'rgb(27,19,173)'],
        [0.09411764705882353, 'rgb(27,20,175)'],
        [0.09803921568627451, 'rgb(27,21,176)'],
        [0.10196078431372549, 'rgb(27,22,178)'],
        [0.10588235294117647, 'rgb(27,23,180)'],
        [0.10980392156862745, 'rgb(27,24,181)'],
        [0.11372549019607843, 'rgb(27,25,183)'],
        [0.11764705882352941, 'rgb(27,26,184)'],
        [0.12156862745098039, 'rgb(27,27,186)'],
        [0.12549019607843137, 'rgb(27,28,187)'],
        [0.12941176470588237, 'rgb(27,29,188)'],
        [0.13333333333333333, 'rgb(27,30,190)'],
        [0.13725490196078433, 'rgb(27,31,191)'],
        [0.1411764705882353, 'rgb(27,32,193)'],
        [0.1450980392156863, 'rgb(27,33,194)'],
        [0.14901960784313725, 'rgb(27,34,195)'],
        [0.15294117647058825, 'rgb(27,35,197)'],
        [0.1568627450980392, 'rgb(27,36,198)'],
        [0.1607843137254902, 'rgb(27,37,199)'],
        [0.16470588235294117, 'rgb(27,39,200)'],
        [0.16862745098039217, 'rgb(27,40,201)'],
        [0.17254901960784313, 'rgb(28,41,203)'],
        [0.17647058823529413, 'rgb(28,42,204)'],
        [0.1803921568627451, 'rgb(28,43,205)'],
        [0.1843137254901961, 'rgb(28,44,206)'],
        [0.18823529411764706, 'rgb(28,45,207)'],
        [0.19215686274509805, 'rgb(28,47,208)'],
        [0.19607843137254902, 'rgb(28,48,209)'],
        [0.2, 'rgb(29,49,210)'],
        [0.20392156862745098, 'rgb(29,50,210)'],
        [0.20784313725490197, 'rgb(29,52,211)'],
        [0.21176470588235294, 'rgb(29,53,212)'],
        [0.21568627450980393, 'rgb(29,54,213)'],
        [0.2196078431372549, 'rgb(30,55,213)'],
        [0.2235294117647059, 'rgb(30,57,214)'],
        [0.22745098039215686, 'rgb(30,58,214)'],
        [0.23137254901960785, 'rgb(30,59,215)'],
        [0.23529411764705882, 'rgb(31,61,215)'],
        [0.23921568627450981, 'rgb(31,62,215)'],
        [0.24313725490196078, 'rgb(31,64,215)'],
        [0.24705882352941178, 'rgb(31,65,215)'],
        [0.25098039215686274, 'rgb(32,67,215)'],
        [0.2549019607843137, 'rgb(32,68,215)'],
        [0.25882352941176473, 'rgb(32,70,215)'],
        [0.2627450980392157, 'rgb(32,71,214)'],
        [0.26666666666666666, 'rgb(33,73,214)'],
        [0.27058823529411763, 'rgb(33,75,213)'],
        [0.27450980392156865, 'rgb(33,76,212)'],
        [0.2784313725490196, 'rgb(33,78,211)'],
        [0.2823529411764706, 'rgb(33,80,209)'],
        [0.28627450980392155, 'rgb(33,82,207)'],
        [0.2901960784313726, 'rgb(33,84,205)'],
        [0.29411764705882354, 'rgb(32,86,202)'],
        [0.2980392156862745, 'rgb(32,88,199)'],
        [0.30196078431372547, 'rgb(32,90,196)'],
        [0.3058823529411765, 'rgb(32,92,193)'],
        [0.30980392156862746, 'rgb(32,94,190)'],
        [0.3137254901960784, 'rgb(32,96,187)'],
        [0.3176470588235294, 'rgb(33,98,184)'],
        [0.3215686274509804, 'rgb(33,100,181)'],
        [0.3254901960784314, 'rgb(34,101,178)'],
        [0.32941176470588235, 'rgb(35,103,175)'],
        [0.3333333333333333, 'rgb(36,105,173)'],
        [0.33725490196078434, 'rgb(37,106,170)'],
        [0.3411764705882353, 'rgb(38,108,167)'],
        [0.34509803921568627, 'rgb(39,109,164)'],
        [0.34901960784313724, 'rgb(40,111,161)'],
        [0.35294117647058826, 'rgb(41,112,159)'],
        [0.3568627450980392, 'rgb(42,113,156)'],
        [0.3607843137254902, 'rgb(43,115,153)'],
        [0.36470588235294116, 'rgb(44,116,150)'],
        [0.3686274509803922, 'rgb(45,118,148)'],
        [0.37254901960784315, 'rgb(46,119,145)'],
        [0.3764705882352941, 'rgb(47,120,142)'],
        [0.3803921568627451, 'rgb(47,121,140)'],
        [0.3843137254901961, 'rgb(48,123,137)'],
        [0.38823529411764707, 'rgb(49,124,134)'],
        [0.39215686274509803, 'rgb(50,125,132)'],
        [0.396078431372549, 'rgb(51,126,129)'],
        [0.4, 'rgb(52,128,126)'],
        [0.403921568627451, 'rgb(53,129,124)'],
        [0.40784313725490196, 'rgb(54,130,121)'],
        [0.4117647058823529, 'rgb(55,131,118)'],
        [0.41568627450980394, 'rgb(55,132,116)'],
        [0.4196078431372549, 'rgb(56,134,113)'],
        [0.4235294117647059, 'rgb(57,135,110)'],
        [0.42745098039215684, 'rgb(58,136,108)'],
        [0.43137254901960786, 'rgb(59,137,105)'],
        [0.43529411764705883, 'rgb(59,138,102)'],
        [0.4392156862745098, 'rgb(60,139,100)'],
        [0.44313725490196076, 'rgb(61,140,97)'],
        [0.4470588235294118, 'rgb(62,142,94)'],
        [0.45098039215686275, 'rgb(62,143,92)'],
        [0.4549019607843137, 'rgb(63,144,89)'],
        [0.4588235294117647, 'rgb(64,145,87)'],
        [0.4627450980392157, 'rgb(65,146,85)'],
        [0.4666666666666667, 'rgb(66,147,83)'],
        [0.47058823529411764, 'rgb(67,148,80)'],
        [0.4745098039215686, 'rgb(68,149,78)'],
        [0.47843137254901963, 'rgb(68,150,76)'],
        [0.4823529411764706, 'rgb(69,151,74)'],
        [0.48627450980392156, 'rgb(70,152,72)'],
        [0.49019607843137253, 'rgb(72,153,70)'],
        [0.49411764705882355, 'rgb(73,154,68)'],
        [0.4980392156862745, 'rgb(74,155,66)'],
        [0.5019607843137255, 'rgb(75,156,65)'],
        [0.5058823529411764, 'rgb(76,157,63)'],
        [0.5098039215686274, 'rgb(77,158,61)'],
        [0.5137254901960784, 'rgb(79,159,60)'],
        [0.5176470588235295, 'rgb(80,160,58)'],
        [0.5215686274509804, 'rgb(81,161,56)'],
        [0.5254901960784314, 'rgb(83,161,55)'],
        [0.5294117647058824, 'rgb(84,162,53)'],
        [0.5333333333333333, 'rgb(86,163,52)'],
        [0.5372549019607843, 'rgb(87,164,50)'],
        [0.5411764705882353, 'rgb(89,165,49)'],
        [0.5450980392156862, 'rgb(90,166,47)'],
        [0.5490196078431373, 'rgb(92,167,46)'],
        [0.5529411764705883, 'rgb(93,168,44)'],
        [0.5568627450980392, 'rgb(95,168,43)'],
        [0.5607843137254902, 'rgb(97,169,42)'],
        [0.5647058823529412, 'rgb(98,170,41)'],
        [0.5686274509803921, 'rgb(100,171,39)'],
        [0.5725490196078431, 'rgb(102,172,38)'],
        [0.5764705882352941, 'rgb(103,173,37)'],
        [0.5803921568627451, 'rgb(105,173,36)'],
        [0.5843137254901961, 'rgb(107,174,34)'],
        [0.5882352941176471, 'rgb(109,175,33)'],
        [0.592156862745098, 'rgb(111,176,32)'],
        [0.596078431372549, 'rgb(113,177,31)'],
        [0.6, 'rgb(115,177,30)'],
        [0.6039215686274509, 'rgb(116,178,29)'],
        [0.6078431372549019, 'rgb(118,179,28)'],
        [0.611764705882353, 'rgb(120,180,28)'],
        [0.615686274509804, 'rgb(122,180,27)'],
        [0.6196078431372549, 'rgb(124,181,26)'],
        [0.6235294117647059, 'rgb(126,182,25)'],
        [0.6274509803921569, 'rgb(128,183,25)'],
        [0.6313725490196078, 'rgb(130,183,24)'],
        [0.6352941176470588, 'rgb(132,184,23)'],
        [0.6392156862745098, 'rgb(134,185,23)'],
        [0.6431372549019608, 'rgb(136,186,23)'],
        [0.6470588235294118, 'rgb(139,186,22)'],
        [0.6509803921568628, 'rgb(141,187,22)'],
        [0.6549019607843137, 'rgb(143,188,22)'],
        [0.6588235294117647, 'rgb(145,188,22)'],
        [0.6627450980392157, 'rgb(147,189,22)'],
        [0.6666666666666666, 'rgb(149,190,22)'],
        [0.6705882352941176, 'rgb(151,190,22)'],
        [0.6745098039215687, 'rgb(154,191,23)'],
        [0.6784313725490196, 'rgb(156,192,23)'],
        [0.6823529411764706, 'rgb(158,192,23)'],
        [0.6862745098039216, 'rgb(160,193,24)'],
        [0.6901960784313725, 'rgb(162,194,24)'],
        [0.6941176470588235, 'rgb(164,194,25)'],
        [0.6980392156862745, 'rgb(166,195,25)'],
        [0.7019607843137254, 'rgb(169,196,26)'],
        [0.7058823529411765, 'rgb(171,196,26)'],
        [0.7098039215686275, 'rgb(173,197,27)'],
        [0.7137254901960784, 'rgb(175,198,28)'],
        [0.7176470588235294, 'rgb(177,198,28)'],
        [0.7215686274509804, 'rgb(179,199,29)'],
        [0.7254901960784313, 'rgb(181,200,30)'],
        [0.7294117647058823, 'rgb(183,200,31)'],
        [0.7333333333333333, 'rgb(185,201,32)'],
        [0.7372549019607844, 'rgb(187,202,33)'],
        [0.7411764705882353, 'rgb(189,202,33)'],
        [0.7450980392156863, 'rgb(191,203,34)'],
        [0.7490196078431373, 'rgb(192,204,35)'],
        [0.7529411764705882, 'rgb(194,204,36)'],
        [0.7568627450980392, 'rgb(196,205,37)'],
        [0.7607843137254902, 'rgb(198,206,38)'],
        [0.7647058823529411, 'rgb(200,206,40)'],
        [0.7686274509803922, 'rgb(202,207,41)'],
        [0.7725490196078432, 'rgb(203,208,42)'],
        [0.7764705882352941, 'rgb(205,208,43)'],
        [0.7803921568627451, 'rgb(207,209,44)'],
        [0.7843137254901961, 'rgb(209,210,46)'],
        [0.788235294117647, 'rgb(210,210,47)'],
        [0.792156862745098, 'rgb(212,211,48)'],
        [0.796078431372549, 'rgb(214,212,50)'],
        [0.8, 'rgb(215,213,51)'],
        [0.803921568627451, 'rgb(217,213,53)'],
        [0.807843137254902, 'rgb(218,214,54)'],
        [0.8117647058823529, 'rgb(220,215,56)'],
        [0.8156862745098039, 'rgb(222,216,57)'],
        [0.8196078431372549, 'rgb(223,216,59)'],
        [0.8235294117647058, 'rgb(224,217,61)'],
        [0.8274509803921568, 'rgb(226,218,63)'],
        [0.8313725490196079, 'rgb(227,219,64)'],
        [0.8352941176470589, 'rgb(229,220,66)'],
        [0.8392156862745098, 'rgb(230,220,68)'],
        [0.8431372549019608, 'rgb(231,221,70)'],
        [0.8470588235294118, 'rgb(232,222,72)'],
        [0.8509803921568627, 'rgb(233,223,74)'],
        [0.8549019607843137, 'rgb(234,224,77)'],
        [0.8588235294117647, 'rgb(235,225,79)'],
        [0.8627450980392157, 'rgb(236,226,82)'],
        [0.8666666666666667, 'rgb(237,227,84)'],
        [0.8705882352941177, 'rgb(238,228,87)'],
        [0.8745098039215686, 'rgb(238,229,90)'],
        [0.8784313725490196, 'rgb(239,230,93)'],
        [0.8823529411764706, 'rgb(239,231,96)'],
        [0.8862745098039215, 'rgb(239,232,99)'],
        [0.8901960784313725, 'rgb(240,233,103)'],
        [0.8941176470588236, 'rgb(240,234,106)'],
        [0.8980392156862745, 'rgb(240,235,110)'],
        [0.9019607843137255, 'rgb(241,236,114)'],
        [0.9058823529411765, 'rgb(241,237,118)'],
        [0.9098039215686274, 'rgb(242,238,122)'],
        [0.9137254901960784, 'rgb(242,239,126)'],
        [0.9176470588235294, 'rgb(243,240,131)'],
        [0.9215686274509803, 'rgb(243,241,135)'],
        [0.9254901960784314, 'rgb(244,242,140)'],
        [0.9294117647058824, 'rgb(245,243,145)'],
        [0.9333333333333333, 'rgb(245,244,150)'],
        [0.9372549019607843, 'rgb(246,244,155)'],
        [0.9411764705882353, 'rgb(247,245,160)'],
        [0.9450980392156862, 'rgb(247,246,165)'],
        [0.9490196078431372, 'rgb(248,247,171)'],
        [0.9529411764705882, 'rgb(249,247,176)'],
        [0.9568627450980393, 'rgb(249,248,182)'],
        [0.9607843137254902, 'rgb(250,249,188)'],
        [0.9647058823529412, 'rgb(250,250,194)'],
        [0.9686274509803922, 'rgb(251,250,200)'],
        [0.9725490196078431, 'rgb(252,251,207)'],
        [0.9764705882352941, 'rgb(252,252,213)'],
        [0.9803921568627451, 'rgb(253,252,220)'],
        [0.984313725490196, 'rgb(253,253,226)'],
        [0.9882352941176471, 'rgb(254,253,233)'],
        [0.9921568627450981, 'rgb(254,254,240)'],
        [0.996078431372549, 'rgb(255,254,248)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cet.linear_bgyw_20_98_c66': [
        [0.0, 'rgb(5,0,172)'],
        [0.00392156862745098, 'rgb(6,2,172)'],
        [0.00784313725490196, 'rgb(6,5,172)'],
        [0.011764705882352941, 'rgb(7,8,173)'],
        [0.01568627450980392, 'rgb(7,11,173)'],
        [0.0196078431372549, 'rgb(8,14,173)'],
        [0.023529411764705882, 'rgb(8,16,174)'],
        [0.027450980392156862, 'rgb(8,18,174)'],
        [0.03137254901960784, 'rgb(9,20,174)'],
        [0.03529411764705882, 'rgb(9,22,175)'],
        [0.0392156862745098, 'rgb(10,24,175)'],
        [0.043137254901960784, 'rgb(10,26,175)'],
        [0.047058823529411764, 'rgb(10,28,176)'],
        [0.050980392156862744, 'rgb(11,29,176)'],
        [0.054901960784313725, 'rgb(11,31,176)'],
        [0.058823529411764705, 'rgb(11,32,177)'],
        [0.06274509803921569, 'rgb(12,34,177)'],
        [0.06666666666666667, 'rgb(12,35,177)'],
        [0.07058823529411765, 'rgb(12,37,177)'],
        [0.07450980392156863, 'rgb(12,38,178)'],
        [0.0784313725490196, 'rgb(13,40,178)'],
        [0.08235294117647059, 'rgb(13,41,178)'],
        [0.08627450980392157, 'rgb(13,42,178)'],
        [0.09019607843137255, 'rgb(13,44,179)'],
        [0.09411764705882353, 'rgb(13,45,179)'],
        [0.09803921568627451, 'rgb(13,46,179)'],
        [0.10196078431372549, 'rgb(13,48,179)'],
        [0.10588235294117647, 'rgb(14,49,180)'],
        [0.10980392156862745, 'rgb(14,50,180)'],
        [0.11372549019607843, 'rgb(14,51,180)'],
        [0.11764705882352941, 'rgb(14,53,180)'],
        [0.12156862745098039, 'rgb(14,54,180)'],
        [0.12549019607843137, 'rgb(14,55,180)'],
        [0.12941176470588237, 'rgb(14,56,180)'],
        [0.13333333333333333, 'rgb(14,58,181)'],
        [0.13725490196078433, 'rgb(14,59,181)'],
        [0.1411764705882353, 'rgb(14,60,181)'],
        [0.1450980392156863, 'rgb(14,61,181)'],
        [0.14901960784313725, 'rgb(14,62,181)'],
        [0.15294117647058825, 'rgb(14,64,181)'],
        [0.1568627450980392, 'rgb(13,65,181)'],
        [0.1607843137254902, 'rgb(13,66,181)'],
        [0.16470588235294117, 'rgb(13,67,181)'],
        [0.16862745098039217, 'rgb(13,68,181)'],
        [0.17254901960784313, 'rgb(13,70,181)'],
        [0.17647058823529413, 'rgb(13,71,181)'],
        [0.1803921568627451, 'rgb(13,72,181)'],
        [0.1843137254901961, 'rgb(12,73,181)'],
        [0.18823529411764706, 'rgb(12,74,181)'],
        [0.19215686274509805, 'rgb(12,76,180)'],
        [0.19607843137254902, 'rgb(12,77,180)'],
        [0.2, 'rgb(11,78,180)'],
        [0.20392156862745098, 'rgb(11,79,180)'],
        [0.20784313725490197, 'rgb(11,80,180)'],
        [0.21176470588235294, 'rgb(10,81,179)'],
        [0.21568627450980393, 'rgb(10,83,179)'],
        [0.2196078431372549, 'rgb(10,84,179)'],
        [0.2235294117647059, 'rgb(9,85,178)'],
        [0.22745098039215686, 'rgb(9,86,178)'],
        [0.23137254901960785, 'rgb(8,87,177)'],
        [0.23529411764705882, 'rgb(8,89,177)'],
        [0.23921568627450981, 'rgb(8,90,176)'],
        [0.24313725490196078, 'rgb(7,91,175)'],
        [0.24705882352941178, 'rgb(7,92,174)'],
        [0.25098039215686274, 'rgb(6,94,174)'],
        [0.2549019607843137, 'rgb(6,95,173)'],
        [0.25882352941176473, 'rgb(6,96,172)'],
        [0.2627450980392157, 'rgb(6,97,170)'],
        [0.26666666666666666, 'rgb(6,99,169)'],
        [0.27058823529411763, 'rgb(7,100,168)'],
        [0.27450980392156865, 'rgb(8,101,167)'],
        [0.2784313725490196, 'rgb(10,102,165)'],
        [0.2823529411764706, 'rgb(12,103,164)'],
        [0.28627450980392155, 'rgb(13,104,163)'],
        [0.2901960784313726, 'rgb(15,106,161)'],
        [0.29411764705882354, 'rgb(17,107,160)'],
        [0.2980392156862745, 'rgb(19,108,158)'],
        [0.30196078431372547, 'rgb(20,109,156)'],
        [0.3058823529411765, 'rgb(22,110,155)'],
        [0.30980392156862746, 'rgb(24,111,153)'],
        [0.3137254901960784, 'rgb(25,113,152)'],
        [0.3176470588235294, 'rgb(27,114,150)'],
        [0.3215686274509804, 'rgb(29,115,148)'],
        [0.3254901960784314, 'rgb(30,116,146)'],
        [0.32941176470588235, 'rgb(31,117,145)'],
        [0.3333333333333333, 'rgb(33,118,143)'],
        [0.33725490196078434, 'rgb(34,119,141)'],
        [0.3411764705882353, 'rgb(35,120,139)'],
        [0.34509803921568627, 'rgb(36,121,137)'],
        [0.34901960784313724, 'rgb(37,122,135)'],
        [0.35294117647058826, 'rgb(38,124,133)'],
        [0.3568627450980392, 'rgb(39,125,131)'],
        [0.3607843137254902, 'rgb(40,126,129)'],
        [0.36470588235294116, 'rgb(41,127,127)'],
        [0.3686274509803922, 'rgb(42,128,125)'],
        [0.37254901960784315, 'rgb(43,129,123)'],
        [0.3764705882352941, 'rgb(44,130,121)'],
        [0.3803921568627451, 'rgb(44,131,119)'],
        [0.3843137254901961, 'rgb(45,132,117)'],
        [0.38823529411764707, 'rgb(46,133,114)'],
        [0.39215686274509803, 'rgb(46,134,112)'],
        [0.396078431372549, 'rgb(46,135,110)'],
        [0.4, 'rgb(47,137,108)'],
        [0.403921568627451, 'rgb(47,138,105)'],
        [0.40784313725490196, 'rgb(48,139,103)'],
        [0.4117647058823529, 'rgb(48,140,100)'],
        [0.41568627450980394, 'rgb(48,141,98)'],
        [0.4196078431372549, 'rgb(48,142,96)'],
        [0.4235294117647059, 'rgb(48,143,93)'],
        [0.42745098039215684, 'rgb(49,144,91)'],
        [0.43137254901960786, 'rgb(49,145,89)'],
        [0.43529411764705883, 'rgb(49,146,86)'],
        [0.4392156862745098, 'rgb(50,147,84)'],
        [0.44313725490196076, 'rgb(50,148,82)'],
        [0.4470588235294118, 'rgb(51,149,80)'],
        [0.45098039215686275, 'rgb(52,150,78)'],
        [0.4549019607843137, 'rgb(52,151,76)'],
        [0.4588235294117647, 'rgb(53,152,74)'],
        [0.4627450980392157, 'rgb(54,153,72)'],
        [0.4666666666666667, 'rgb(55,154,71)'],
        [0.47058823529411764, 'rgb(56,155,69)'],
        [0.4745098039215686, 'rgb(57,156,67)'],
        [0.47843137254901963, 'rgb(58,157,65)'],
        [0.4823529411764706, 'rgb(59,157,64)'],
        [0.48627450980392156, 'rgb(60,158,62)'],
        [0.49019607843137253, 'rgb(61,159,60)'],
        [0.49411764705882355, 'rgb(62,160,59)'],
        [0.4980392156862745, 'rgb(64,161,57)'],
        [0.5019607843137255, 'rgb(65,162,55)'],
        [0.5058823529411764, 'rgb(66,163,54)'],
        [0.5098039215686274, 'rgb(68,164,52)'],
        [0.5137254901960784, 'rgb(69,164,51)'],
        [0.5176470588235295, 'rgb(71,165,49)'],
        [0.5215686274509804, 'rgb(72,166,48)'],
        [0.5254901960784314, 'rgb(74,167,46)'],
        [0.5294117647058824, 'rgb(76,168,45)'],
        [0.5333333333333333, 'rgb(77,168,44)'],
        [0.5372549019607843, 'rgb(79,169,42)'],
        [0.5411764705882353, 'rgb(81,170,41)'],
        [0.5450980392156862, 'rgb(82,171,39)'],
        [0.5490196078431373, 'rgb(84,172,38)'],
        [0.5529411764705883, 'rgb(86,172,36)'],
        [0.5568627450980392, 'rgb(88,173,35)'],
        [0.5607843137254902, 'rgb(89,174,34)'],
        [0.5647058823529412, 'rgb(91,175,32)'],
        [0.5686274509803921, 'rgb(93,175,31)'],
        [0.5725490196078431, 'rgb(95,176,30)'],
        [0.5764705882352941, 'rgb(97,177,28)'],
        [0.5803921568627451, 'rgb(99,178,27)'],
        [0.5843137254901961, 'rgb(101,178,26)'],
        [0.5882352941176471, 'rgb(103,179,24)'],
        [0.592156862745098, 'rgb(105,180,23)'],
        [0.596078431372549, 'rgb(107,180,22)'],
        [0.6, 'rgb(109,181,20)'],
        [0.6039215686274509, 'rgb(111,182,19)'],
        [0.6078431372549019, 'rgb(113,182,18)'],
        [0.611764705882353, 'rgb(115,183,16)'],
        [0.615686274509804, 'rgb(117,184,15)'],
        [0.6196078431372549, 'rgb(119,184,14)'],
        [0.6235294117647059, 'rgb(121,185,12)'],
        [0.6274509803921569, 'rgb(123,186,11)'],
        [0.6313725490196078, 'rgb(125,186,10)'],
        [0.6352941176470588, 'rgb(127,187,8)'],
        [0.6392156862745098, 'rgb(130,188,7)'],
        [0.6431372549019608, 'rgb(132,188,6)'],
        [0.6470588235294118, 'rgb(134,189,6)'],
        [0.6509803921568628, 'rgb(136,190,5)'],
        [0.6549019607843137, 'rgb(138,190,4)'],
        [0.6588235294117647, 'rgb(140,191,4)'],
        [0.6627450980392157, 'rgb(143,191,3)'],
        [0.6666666666666666, 'rgb(145,192,3)'],
        [0.6705882352941176, 'rgb(147,192,3)'],
        [0.6745098039215687, 'rgb(149,193,2)'],
        [0.6784313725490196, 'rgb(152,194,2)'],
        [0.6823529411764706, 'rgb(154,194,2)'],
        [0.6862745098039216, 'rgb(156,195,2)'],
        [0.6901960784313725, 'rgb(158,195,2)'],
        [0.6941176470588235, 'rgb(160,196,3)'],
        [0.6980392156862745, 'rgb(162,196,3)'],
        [0.7019607843137254, 'rgb(165,197,3)'],
        [0.7058823529411765, 'rgb(167,198,3)'],
        [0.7098039215686275, 'rgb(169,198,3)'],
        [0.7137254901960784, 'rgb(171,199,4)'],
        [0.7176470588235294, 'rgb(173,199,4)'],
        [0.7215686274509804, 'rgb(175,200,4)'],
        [0.7254901960784313, 'rgb(177,200,5)'],
        [0.7294117647058823, 'rgb(179,201,5)'],
        [0.7333333333333333, 'rgb(181,202,6)'],
        [0.7372549019607844, 'rgb(183,202,6)'],
        [0.7411764705882353, 'rgb(185,203,7)'],
        [0.7450980392156863, 'rgb(187,203,8)'],
        [0.7490196078431373, 'rgb(189,204,9)'],
        [0.7529411764705882, 'rgb(191,204,10)'],
        [0.7568627450980392, 'rgb(193,205,11)'],
        [0.7607843137254902, 'rgb(194,206,12)'],
        [0.7647058823529411, 'rgb(196,206,13)'],
        [0.7686274509803922, 'rgb(198,207,14)'],
        [0.7725490196078432, 'rgb(200,207,15)'],
        [0.7764705882352941, 'rgb(202,208,16)'],
        [0.7803921568627451, 'rgb(204,209,17)'],
        [0.7843137254901961, 'rgb(205,209,18)'],
        [0.788235294117647, 'rgb(207,210,19)'],
        [0.792156862745098, 'rgb(209,210,20)'],
        [0.796078431372549, 'rgb(211,211,21)'],
        [0.8, 'rgb(212,212,23)'],
        [0.803921568627451, 'rgb(214,212,24)'],
        [0.807843137254902, 'rgb(216,213,25)'],
        [0.8117647058823529, 'rgb(217,214,26)'],
        [0.8156862745098039, 'rgb(219,214,28)'],
        [0.8196078431372549, 'rgb(221,215,29)'],
        [0.8235294117647058, 'rgb(222,215,30)'],
        [0.8274509803921568, 'rgb(224,216,32)'],
        [0.8313725490196079, 'rgb(225,217,33)'],
        [0.8352941176470589, 'rgb(227,218,34)'],
        [0.8392156862745098, 'rgb(228,218,36)'],
        [0.8431372549019608, 'rgb(230,219,37)'],
        [0.8470588235294118, 'rgb(231,220,39)'],
        [0.8509803921568627, 'rgb(233,220,40)'],
        [0.8549019607843137, 'rgb(234,221,42)'],
        [0.8588235294117647, 'rgb(235,222,44)'],
        [0.8627450980392157, 'rgb(236,223,45)'],
        [0.8666666666666667, 'rgb(238,223,47)'],
        [0.8705882352941177, 'rgb(239,224,49)'],
        [0.8745098039215686, 'rgb(240,225,51)'],
        [0.8784313725490196, 'rgb(241,226,52)'],
        [0.8823529411764706, 'rgb(242,227,54)'],
        [0.8862745098039215, 'rgb(243,227,56)'],
        [0.8901960784313725, 'rgb(243,228,59)'],
        [0.8941176470588236, 'rgb(244,229,61)'],
        [0.8980392156862745, 'rgb(245,230,63)'],
        [0.9019607843137255, 'rgb(245,231,66)'],
        [0.9058823529411765, 'rgb(246,232,69)'],
        [0.9098039215686274, 'rgb(246,233,72)'],
        [0.9137254901960784, 'rgb(247,234,75)'],
        [0.9176470588235294, 'rgb(248,235,79)'],
        [0.9215686274509803, 'rgb(248,236,83)'],
        [0.9254901960784314, 'rgb(249,237,88)'],
        [0.9294117647058824, 'rgb(250,237,93)'],
        [0.9333333333333333, 'rgb(250,238,98)'],
        [0.9372549019607843, 'rgb(251,239,103)'],
        [0.9411764705882353, 'rgb(252,240,109)'],
        [0.9450980392156862, 'rgb(252,241,115)'],
        [0.9490196078431372, 'rgb(253,241,121)'],
        [0.9529411764705882, 'rgb(253,242,128)'],
        [0.9568627450980393, 'rgb(254,243,135)'],
        [0.9607843137254902, 'rgb(254,243,142)'],
        [0.9647058823529412, 'rgb(255,244,150)'],
        [0.9686274509803922, 'rgb(255,245,159)'],
        [0.9725490196078431, 'rgb(255,245,168)'],
        [0.9764705882352941, 'rgb(255,246,177)'],
        [0.9803921568627451, 'rgb(255,247,187)'],
        [0.984313725490196, 'rgb(255,247,198)'],
        [0.9882352941176471, 'rgb(254,248,210)'],
        [0.9921568627450981, 'rgb(253,248,222)'],
        [0.996078431372549, 'rgb(251,249,235)'],
        [1.0, 'rgb(249,249,249)'],
    ],
    'cet.linear_blue_5_95_c73': [
        [0.0, 'rgb(0,1,78)'],
        [0.00392156862745098, 'rgb(0,1,80)'],
        [0.00784313725490196, 'rgb(0,2,82)'],
        [0.011764705882352941, 'rgb(0,2,84)'],
        [0.01568627450980392, 'rgb(0,2,86)'],
        [0.0196078431372549, 'rgb(0,3,88)'],
        [0.023529411764705882, 'rgb(0,3,90)'],
        [0.027450980392156862, 'rgb(0,3,92)'],
        [0.03137254901960784, 'rgb(0,3,94)'],
        [0.03529411764705882, 'rgb(0,3,96)'],
        [0.0392156862745098, 'rgb(1,3,98)'],
        [0.043137254901960784, 'rgb(2,3,100)'],
        [0.047058823529411764, 'rgb(2,3,102)'],
        [0.050980392156862744, 'rgb(3,3,104)'],
        [0.054901960784313725, 'rgb(4,2,106)'],
        [0.058823529411764705, 'rgb(5,2,108)'],
        [0.06274509803921569, 'rgb(5,2,110)'],
        [0.06666666666666667, 'rgb(6,2,112)'],
        [0.07058823529411765, 'rgb(7,2,114)'],
        [0.07450980392156863, 'rgb(8,2,116)'],
        [0.0784313725490196, 'rgb(8,2,118)'],
        [0.08235294117647059, 'rgb(9,2,120)'],
        [0.08627450980392157, 'rgb(10,2,123)'],
        [0.09019607843137255, 'rgb(11,2,125)'],
        [0.09411764705882353, 'rgb(11,2,127)'],
        [0.09803921568627451, 'rgb(12,2,129)'],
        [0.10196078431372549, 'rgb(13,2,131)'],
        [0.10588235294117647, 'rgb(13,2,133)'],
        [0.10980392156862745, 'rgb(14,2,136)'],
        [0.11372549019607843, 'rgb(14,1,138)'],
        [0.11764705882352941, 'rgb(15,1,140)'],
        [0.12156862745098039, 'rgb(15,1,142)'],
        [0.12549019607843137, 'rgb(15,1,144)'],
        [0.12941176470588237, 'rgb(16,1,147)'],
        [0.13333333333333333, 'rgb(16,1,149)'],
        [0.13725490196078433, 'rgb(16,1,151)'],
        [0.1411764705882353, 'rgb(16,1,153)'],
        [0.1450980392156863, 'rgb(16,2,156)'],
        [0.14901960784313725, 'rgb(16,2,158)'],
        [0.15294117647058825, 'rgb(16,2,160)'],
        [0.1568627450980392, 'rgb(16,2,162)'],
        [0.1607843137254902, 'rgb(15,2,165)'],
        [0.16470588235294117, 'rgb(15,2,167)'],
        [0.16862745098039217, 'rgb(14,3,170)'],
        [0.17254901960784313, 'rgb(13,3,172)'],
        [0.17647058823529413, 'rgb(13,3,174)'],
        [0.1803921568627451, 'rgb(12,4,177)'],
        [0.1843137254901961, 'rgb(11,4,179)'],
        [0.18823529411764706, 'rgb(10,4,181)'],
        [0.19215686274509805, 'rgb(10,5,183)'],
        [0.19607843137254902, 'rgb(9,5,185)'],
        [0.2, 'rgb(9,6,188)'],
        [0.20392156862745098, 'rgb(8,7,190)'],
        [0.20784313725490197, 'rgb(8,7,192)'],
        [0.21176470588235294, 'rgb(8,8,194)'],
        [0.21568627450980393, 'rgb(8,9,196)'],
        [0.2196078431372549, 'rgb(8,10,198)'],
        [0.2235294117647059, 'rgb(8,10,200)'],
        [0.22745098039215686, 'rgb(8,11,202)'],
        [0.23137254901960785, 'rgb(8,12,204)'],
        [0.23529411764705882, 'rgb(9,13,206)'],
        [0.23921568627450981, 'rgb(9,14,208)'],
        [0.24313725490196078, 'rgb(10,15,210)'],
        [0.24705882352941178, 'rgb(11,16,212)'],
        [0.25098039215686274, 'rgb(12,17,214)'],
        [0.2549019607843137, 'rgb(13,18,216)'],
        [0.25882352941176473, 'rgb(14,18,217)'],
        [0.2627450980392157, 'rgb(16,19,219)'],
        [0.26666666666666666, 'rgb(17,20,221)'],
        [0.27058823529411763, 'rgb(18,21,223)'],
        [0.27450980392156865, 'rgb(19,22,224)'],
        [0.2784313725490196, 'rgb(21,23,226)'],
        [0.2823529411764706, 'rgb(22,24,227)'],
        [0.28627450980392155, 'rgb(24,25,229)'],
        [0.2901960784313726, 'rgb(25,26,231)'],
        [0.29411764705882354, 'rgb(26,28,232)'],
        [0.2980392156862745, 'rgb(27,29,233)'],
        [0.30196078431372547, 'rgb(28,30,235)'],
        [0.3058823529411765, 'rgb(29,31,236)'],
        [0.30980392156862746, 'rgb(31,33,237)'],
        [0.3137254901960784, 'rgb(32,34,238)'],
        [0.3176470588235294, 'rgb(33,36,240)'],
        [0.3215686274509804, 'rgb(34,37,241)'],
        [0.3254901960784314, 'rgb(35,38,242)'],
        [0.32941176470588235, 'rgb(35,40,243)'],
        [0.3333333333333333, 'rgb(36,41,244)'],
        [0.33725490196078434, 'rgb(37,43,244)'],
        [0.3411764705882353, 'rgb(38,45,245)'],
        [0.34509803921568627, 'rgb(39,46,246)'],
        [0.34901960784313724, 'rgb(40,48,247)'],
        [0.35294117647058826, 'rgb(40,49,247)'],
        [0.3568627450980392, 'rgb(41,51,248)'],
        [0.3607843137254902, 'rgb(42,53,248)'],
        [0.36470588235294116, 'rgb(42,54,249)'],
        [0.3686274509803922, 'rgb(43,56,249)'],
        [0.37254901960784315, 'rgb(43,58,250)'],
        [0.3764705882352941, 'rgb(44,59,250)'],
        [0.3803921568627451, 'rgb(44,61,250)'],
        [0.3843137254901961, 'rgb(45,63,250)'],
        [0.38823529411764707, 'rgb(45,65,251)'],
        [0.39215686274509803, 'rgb(45,66,251)'],
        [0.396078431372549, 'rgb(46,68,251)'],
        [0.4, 'rgb(46,70,251)'],
        [0.403921568627451, 'rgb(46,71,251)'],
        [0.40784313725490196, 'rgb(47,73,251)'],
        [0.4117647058823529, 'rgb(47,75,251)'],
        [0.41568627450980394, 'rgb(47,76,251)'],
        [0.4196078431372549, 'rgb(47,78,251)'],
        [0.4235294117647059, 'rgb(47,79,251)'],
        [0.42745098039215684, 'rgb(47,81,251)'],
        [0.43137254901960786, 'rgb(47,82,252)'],
        [0.43529411764705883, 'rgb(48,84,252)'],
        [0.4392156862745098, 'rgb(48,86,252)'],
        [0.44313725490196076, 'rgb(48,87,252)'],
        [0.4470588235294118, 'rgb(48,89,252)'],
        [0.45098039215686275, 'rgb(48,90,252)'],
        [0.4549019607843137, 'rgb(48,92,252)'],
        [0.4588235294117647, 'rgb(48,93,252)'],
        [0.4627450980392157, 'rgb(47,94,252)'],
        [0.4666666666666667, 'rgb(47,96,252)'],
        [0.47058823529411764, 'rgb(47,97,252)'],
        [0.4745098039215686, 'rgb(47,99,253)'],
        [0.47843137254901963, 'rgb(47,100,253)'],
        [0.4823529411764706, 'rgb(47,102,253)'],
        [0.48627450980392156, 'rgb(46,103,253)'],
        [0.49019607843137253, 'rgb(46,105,253)'],
        [0.49411764705882355, 'rgb(46,106,253)'],
        [0.4980392156862745, 'rgb(45,107,253)'],
        [0.5019607843137255, 'rgb(45,109,253)'],
        [0.5058823529411764, 'rgb(45,110,253)'],
        [0.5098039215686274, 'rgb(45,112,253)'],
        [0.5137254901960784, 'rgb(44,113,253)'],
        [0.5176470588235295, 'rgb(44,114,253)'],
        [0.5215686274509804, 'rgb(44,116,253)'],
        [0.5254901960784314, 'rgb(44,117,254)'],
        [0.5294117647058824, 'rgb(44,118,254)'],
        [0.5333333333333333, 'rgb(43,120,254)'],
        [0.5372549019607843, 'rgb(43,121,254)'],
        [0.5411764705882353, 'rgb(43,123,254)'],
        [0.5450980392156862, 'rgb(43,124,254)'],
        [0.5490196078431373, 'rgb(43,125,254)'],
        [0.5529411764705883, 'rgb(44,126,254)'],
        [0.5568627450980392, 'rgb(44,128,254)'],
        [0.5607843137254902, 'rgb(44,129,254)'],
        [0.5647058823529412, 'rgb(44,130,254)'],
        [0.5686274509803921, 'rgb(44,132,254)'],
        [0.5725490196078431, 'rgb(45,133,254)'],
        [0.5764705882352941, 'rgb(45,134,254)'],
        [0.5803921568627451, 'rgb(45,135,254)'],
        [0.5843137254901961, 'rgb(46,137,254)'],
        [0.5882352941176471, 'rgb(46,138,254)'],
        [0.592156862745098, 'rgb(47,139,254)'],
        [0.596078431372549, 'rgb(47,141,254)'],
        [0.6, 'rgb(48,142,254)'],
        [0.6039215686274509, 'rgb(48,143,254)'],
        [0.6078431372549019, 'rgb(49,144,253)'],
        [0.611764705882353, 'rgb(50,146,253)'],
        [0.615686274509804, 'rgb(50,147,253)'],
        [0.6196078431372549, 'rgb(51,148,253)'],
        [0.6235294117647059, 'rgb(51,149,253)'],
        [0.6274509803921569, 'rgb(52,150,253)'],
        [0.6313725490196078, 'rgb(52,152,253)'],
        [0.6352941176470588, 'rgb(53,153,253)'],
        [0.6392156862745098, 'rgb(53,154,253)'],
        [0.6431372549019608, 'rgb(53,155,253)'],
        [0.6470588235294118, 'rgb(53,157,253)'],
        [0.6509803921568628, 'rgb(54,158,253)'],
        [0.6549019607843137, 'rgb(54,159,253)'],
        [0.6588235294117647, 'rgb(54,160,253)'],
        [0.6627450980392157, 'rgb(54,162,253)'],
        [0.6666666666666666, 'rgb(54,163,253)'],
        [0.6705882352941176, 'rgb(54,164,253)'],
        [0.6745098039215687, 'rgb(54,166,253)'],
        [0.6784313725490196, 'rgb(54,167,253)'],
        [0.6823529411764706, 'rgb(53,168,253)'],
        [0.6862745098039216, 'rgb(53,169,252)'],
        [0.6901960784313725, 'rgb(53,171,252)'],
        [0.6941176470588235, 'rgb(53,172,252)'],
        [0.6980392156862745, 'rgb(52,173,252)'],
        [0.7019607843137254, 'rgb(52,174,252)'],
        [0.7058823529411765, 'rgb(51,176,252)'],
        [0.7098039215686275, 'rgb(51,177,252)'],
        [0.7137254901960784, 'rgb(50,178,252)'],
        [0.7176470588235294, 'rgb(49,180,252)'],
        [0.7215686274509804, 'rgb(49,181,252)'],
        [0.7254901960784313, 'rgb(48,182,252)'],
        [0.7294117647058823, 'rgb(47,183,252)'],
        [0.7333333333333333, 'rgb(46,185,252)'],
        [0.7372549019607844, 'rgb(46,186,252)'],
        [0.7411764705882353, 'rgb(45,187,252)'],
        [0.7450980392156863, 'rgb(44,188,252)'],
        [0.7490196078431373, 'rgb(44,190,252)'],
        [0.7529411764705882, 'rgb(43,191,252)'],
        [0.7568627450980392, 'rgb(43,192,252)'],
        [0.7607843137254902, 'rgb(42,194,252)'],
        [0.7647058823529411, 'rgb(42,195,252)'],
        [0.7686274509803922, 'rgb(42,196,252)'],
        [0.7725490196078432, 'rgb(41,197,252)'],
        [0.7764705882352941, 'rgb(41,199,252)'],
        [0.7803921568627451, 'rgb(41,200,252)'],
        [0.7843137254901961, 'rgb(41,201,251)'],
        [0.788235294117647, 'rgb(41,202,251)'],
        [0.792156862745098, 'rgb(41,203,251)'],
        [0.796078431372549, 'rgb(41,205,251)'],
        [0.8, 'rgb(41,206,251)'],
        [0.803921568627451, 'rgb(41,207,251)'],
        [0.807843137254902, 'rgb(41,208,251)'],
        [0.8117647058823529, 'rgb(42,210,251)'],
        [0.8156862745098039, 'rgb(42,211,251)'],
        [0.8196078431372549, 'rgb(43,212,251)'],
        [0.8235294117647058, 'rgb(43,213,251)'],
        [0.8274509803921568, 'rgb(44,214,251)'],
        [0.8313725490196079, 'rgb(44,216,250)'],
        [0.8352941176470589, 'rgb(45,217,250)'],
        [0.8392156862745098, 'rgb(47,218,250)'],
        [0.8431372549019608, 'rgb(48,219,250)'],
        [0.8470588235294118, 'rgb(51,220,250)'],
        [0.8509803921568627, 'rgb(53,221,250)'],
        [0.8549019607843137, 'rgb(56,222,250)'],
        [0.8588235294117647, 'rgb(60,223,250)'],
        [0.8627450980392157, 'rgb(63,225,250)'],
        [0.8666666666666667, 'rgb(66,226,249)'],
        [0.8705882352941177, 'rgb(70,227,249)'],
        [0.8745098039215686, 'rgb(73,228,249)'],
        [0.8784313725490196, 'rgb(77,229,249)'],
        [0.8823529411764706, 'rgb(80,229,249)'],
        [0.8862745098039215, 'rgb(84,230,249)'],
        [0.8901960784313725, 'rgb(87,231,249)'],
        [0.8941176470588236, 'rgb(91,232,249)'],
        [0.8980392156862745, 'rgb(94,233,249)'],
        [0.9019607843137255, 'rgb(98,234,248)'],
        [0.9058823529411765, 'rgb(101,235,248)'],
        [0.9098039215686274, 'rgb(105,236,248)'],
        [0.9137254901960784, 'rgb(108,237,248)'],
        [0.9176470588235294, 'rgb(112,238,248)'],
        [0.9215686274509803, 'rgb(115,239,248)'],
        [0.9254901960784314, 'rgb(118,240,248)'],
        [0.9294117647058824, 'rgb(122,240,248)'],
        [0.9333333333333333, 'rgb(125,241,248)'],
        [0.9372549019607843, 'rgb(128,242,247)'],
        [0.9411764705882353, 'rgb(132,243,247)'],
        [0.9450980392156862, 'rgb(135,244,247)'],
        [0.9490196078431372, 'rgb(138,245,247)'],
        [0.9529411764705882, 'rgb(142,245,247)'],
        [0.9568627450980393, 'rgb(145,246,247)'],
        [0.9607843137254902, 'rgb(148,247,247)'],
        [0.9647058823529412, 'rgb(151,248,247)'],
        [0.9686274509803922, 'rgb(154,249,246)'],
        [0.9725490196078431, 'rgb(157,249,246)'],
        [0.9764705882352941, 'rgb(161,250,246)'],
        [0.9803921568627451, 'rgb(164,251,246)'],
        [0.984313725490196, 'rgb(167,252,246)'],
        [0.9882352941176471, 'rgb(170,253,246)'],
        [0.9921568627450981, 'rgb(173,253,246)'],
        [0.996078431372549, 'rgb(176,254,246)'],
        [1.0, 'rgb(179,255,246)'],
    ],
    'cet.linear_blue_95_50_c20': [
        [0.0, 'rgb(241,241,241)'],
        [0.00392156862745098, 'rgb(240,240,241)'],
        [0.00784313725490196, 'rgb(239,240,240)'],
        [0.011764705882352941, 'rgb(238,239,240)'],
        [0.01568627450980392, 'rgb(238,239,240)'],
        [0.0196078431372549, 'rgb(237,238,240)'],
        [0.023529411764705882, 'rgb(236,238,240)'],
        [0.027450980392156862, 'rgb(235,237,240)'],
        [0.03137254901960784, 'rgb(234,237,240)'],
        [0.03529411764705882, 'rgb(234,236,240)'],
        [0.0392156862745098, 'rgb(233,236,240)'],
        [0.043137254901960784, 'rgb(232,235,240)'],
        [0.047058823529411764, 'rgb(231,235,240)'],
        [0.050980392156862744, 'rgb(231,234,240)'],
        [0.054901960784313725, 'rgb(230,234,240)'],
        [0.058823529411764705, 'rgb(229,233,240)'],
        [0.06274509803921569, 'rgb(228,233,240)'],
        [0.06666666666666667, 'rgb(228,233,239)'],
        [0.07058823529411765, 'rgb(227,232,239)'],
        [0.07450980392156863, 'rgb(226,232,239)'],
        [0.0784313725490196, 'rgb(225,231,239)'],
        [0.08235294117647059, 'rgb(225,231,239)'],
        [0.08627450980392157, 'rgb(224,230,239)'],
        [0.09019607843137255, 'rgb(223,230,239)'],
        [0.09411764705882353, 'rgb(222,229,239)'],
        [0.09803921568627451, 'rgb(222,229,239)'],
        [0.10196078431372549, 'rgb(221,228,239)'],
        [0.10588235294117647, 'rgb(220,228,239)'],
        [0.10980392156862745, 'rgb(219,227,239)'],
        [0.11372549019607843, 'rgb(218,227,239)'],
        [0.11764705882352941, 'rgb(218,226,238)'],
        [0.12156862745098039, 'rgb(217,226,238)'],
        [0.12549019607843137, 'rgb(216,225,238)'],
        [0.12941176470588237, 'rgb(215,225,238)'],
        [0.13333333333333333, 'rgb(215,225,238)'],
        [0.13725490196078433, 'rgb(214,224,238)'],
        [0.1411764705882353, 'rgb(213,224,238)'],
        [0.1450980392156863, 'rgb(212,223,238)'],
        [0.14901960784313725, 'rgb(212,223,238)'],
        [0.15294117647058825, 'rgb(211,222,238)'],
        [0.1568627450980392, 'rgb(210,222,238)'],
        [0.1607843137254902, 'rgb(209,221,238)'],
        [0.16470588235294117, 'rgb(209,221,237)'],
        [0.16862745098039217, 'rgb(208,220,237)'],
        [0.17254901960784313, 'rgb(207,220,237)'],
        [0.17647058823529413, 'rgb(206,219,237)'],
        [0.1803921568627451, 'rgb(205,219,237)'],
        [0.1843137254901961, 'rgb(205,218,237)'],
        [0.18823529411764706, 'rgb(204,218,237)'],
        [0.19215686274509805, 'rgb(203,217,237)'],
        [0.19607843137254902, 'rgb(202,217,237)'],
        [0.2, 'rgb(202,217,237)'],
        [0.20392156862745098, 'rgb(201,216,236)'],
        [0.20784313725490197, 'rgb(200,216,236)'],
        [0.21176470588235294, 'rgb(199,215,236)'],
        [0.21568627450980393, 'rgb(199,215,236)'],
        [0.2196078431372549, 'rgb(198,214,236)'],
        [0.2235294117647059, 'rgb(197,214,236)'],
        [0.22745098039215686, 'rgb(196,213,236)'],
        [0.23137254901960785, 'rgb(196,213,236)'],
        [0.23529411764705882, 'rgb(195,212,236)'],
        [0.23921568627450981, 'rgb(194,212,235)'],
        [0.24313725490196078, 'rgb(193,211,235)'],
        [0.24705882352941178, 'rgb(192,211,235)'],
        [0.25098039215686274, 'rgb(192,210,235)'],
        [0.2549019607843137, 'rgb(191,210,235)'],
        [0.25882352941176473, 'rgb(190,210,235)'],
        [0.2627450980392157, 'rgb(189,209,235)'],
        [0.26666666666666666, 'rgb(189,209,235)'],
        [0.27058823529411763, 'rgb(188,208,234)'],
        [0.27450980392156865, 'rgb(187,208,234)'],
        [0.2784313725490196, 'rgb(186,207,234)'],
        [0.2823529411764706, 'rgb(186,207,234)'],
        [0.28627450980392155, 'rgb(185,206,234)'],
        [0.2901960784313726, 'rgb(184,206,234)'],
        [0.29411764705882354, 'rgb(183,205,234)'],
        [0.2980392156862745, 'rgb(183,205,233)'],
        [0.30196078431372547, 'rgb(182,204,233)'],
        [0.3058823529411765, 'rgb(181,204,233)'],
        [0.30980392156862746, 'rgb(180,204,233)'],
        [0.3137254901960784, 'rgb(180,203,233)'],
        [0.3176470588235294, 'rgb(179,203,233)'],
        [0.3215686274509804, 'rgb(178,202,233)'],
        [0.3254901960784314, 'rgb(177,202,232)'],
        [0.32941176470588235, 'rgb(177,201,232)'],
        [0.3333333333333333, 'rgb(176,201,232)'],
        [0.33725490196078434, 'rgb(175,200,232)'],
        [0.3411764705882353, 'rgb(174,200,232)'],
        [0.34509803921568627, 'rgb(174,199,231)'],
        [0.34901960784313724, 'rgb(173,199,231)'],
        [0.35294117647058826, 'rgb(172,198,231)'],
        [0.3568627450980392, 'rgb(171,198,231)'],
        [0.3607843137254902, 'rgb(171,197,231)'],
        [0.36470588235294116, 'rgb(170,197,231)'],
        [0.3686274509803922, 'rgb(169,197,230)'],
        [0.37254901960784315, 'rgb(168,196,230)'],
        [0.3764705882352941, 'rgb(168,196,230)'],
        [0.3803921568627451, 'rgb(167,195,230)'],
        [0.3843137254901961, 'rgb(166,195,230)'],
        [0.38823529411764707, 'rgb(166,194,229)'],
        [0.39215686274509803, 'rgb(165,194,229)'],
        [0.396078431372549, 'rgb(164,193,229)'],
        [0.4, 'rgb(163,193,229)'],
        [0.403921568627451, 'rgb(163,192,228)'],
        [0.40784313725490196, 'rgb(162,192,228)'],
        [0.4117647058823529, 'rgb(161,191,228)'],
        [0.41568627450980394, 'rgb(161,191,228)'],
        [0.4196078431372549, 'rgb(160,191,227)'],
        [0.4235294117647059, 'rgb(159,190,227)'],
        [0.42745098039215684, 'rgb(159,190,227)'],
        [0.43137254901960786, 'rgb(158,189,226)'],
        [0.43529411764705883, 'rgb(157,189,226)'],
        [0.4392156862745098, 'rgb(157,188,226)'],
        [0.44313725490196076, 'rgb(156,188,226)'],
        [0.4470588235294118, 'rgb(155,187,225)'],
        [0.45098039215686275, 'rgb(155,187,225)'],
        [0.4549019607843137, 'rgb(154,186,225)'],
        [0.4588235294117647, 'rgb(153,186,224)'],
        [0.4627450980392157, 'rgb(153,185,224)'],
        [0.4666666666666667, 'rgb(152,185,223)'],
        [0.47058823529411764, 'rgb(152,184,223)'],
        [0.4745098039215686, 'rgb(151,184,223)'],
        [0.47843137254901963, 'rgb(150,183,222)'],
        [0.4823529411764706, 'rgb(150,183,222)'],
        [0.48627450980392156, 'rgb(149,183,222)'],
        [0.49019607843137253, 'rgb(149,182,221)'],
        [0.49411764705882355, 'rgb(148,182,221)'],
        [0.4980392156862745, 'rgb(147,181,221)'],
        [0.5019607843137255, 'rgb(147,181,220)'],
        [0.5058823529411764, 'rgb(146,180,220)'],
        [0.5098039215686274, 'rgb(146,180,219)'],
        [0.5137254901960784, 'rgb(145,179,219)'],
        [0.5176470588235295, 'rgb(145,179,219)'],
        [0.5215686274509804, 'rgb(144,178,218)'],
        [0.5254901960784314, 'rgb(143,178,218)'],
        [0.5294117647058824, 'rgb(143,177,217)'],
        [0.5333333333333333, 'rgb(142,177,217)'],
        [0.5372549019607843, 'rgb(142,176,217)'],
        [0.5411764705882353, 'rgb(141,176,216)'],
        [0.5450980392156862, 'rgb(141,175,216)'],
        [0.5490196078431373, 'rgb(140,175,215)'],
        [0.5529411764705883, 'rgb(139,175,215)'],
        [0.5568627450980392, 'rgb(139,174,215)'],
        [0.5607843137254902, 'rgb(138,174,214)'],
        [0.5647058823529412, 'rgb(138,173,214)'],
        [0.5686274509803921, 'rgb(137,173,213)'],
        [0.5725490196078431, 'rgb(137,172,213)'],
        [0.5764705882352941, 'rgb(136,172,212)'],
        [0.5803921568627451, 'rgb(136,171,212)'],
        [0.5843137254901961, 'rgb(135,171,212)'],
        [0.5882352941176471, 'rgb(135,170,211)'],
        [0.592156862745098, 'rgb(134,170,211)'],
        [0.596078431372549, 'rgb(133,169,210)'],
        [0.6, 'rgb(133,169,210)'],
        [0.6039215686274509, 'rgb(132,168,209)'],
        [0.6078431372549019, 'rgb(132,168,209)'],
        [0.611764705882353, 'rgb(131,168,208)'],
        [0.615686274509804, 'rgb(131,167,208)'],
        [0.6196078431372549, 'rgb(130,167,208)'],
        [0.6235294117647059, 'rgb(130,166,207)'],
        [0.6274509803921569, 'rgb(129,166,207)'],
        [0.6313725490196078, 'rgb(129,165,206)'],
        [0.6352941176470588, 'rgb(128,165,206)'],
        [0.6392156862745098, 'rgb(128,164,205)'],
        [0.6431372549019608, 'rgb(127,164,205)'],
        [0.6470588235294118, 'rgb(127,163,204)'],
        [0.6509803921568628, 'rgb(126,163,204)'],
        [0.6549019607843137, 'rgb(126,162,203)'],
        [0.6588235294117647, 'rgb(125,162,203)'],
        [0.6627450980392157, 'rgb(125,161,202)'],
        [0.6666666666666666, 'rgb(124,161,202)'],
        [0.6705882352941176, 'rgb(124,160,201)'],
        [0.6745098039215687, 'rgb(124,160,201)'],
        [0.6784313725490196, 'rgb(123,160,200)'],
        [0.6823529411764706, 'rgb(123,159,200)'],
        [0.6862745098039216, 'rgb(122,159,199)'],
        [0.6901960784313725, 'rgb(121,158,199)'],
        [0.6941176470588235, 'rgb(121,158,199)'],
        [0.6980392156862745, 'rgb(120,157,198)'],
        [0.7019607843137254, 'rgb(120,157,198)'],
        [0.7058823529411765, 'rgb(119,156,197)'],
        [0.7098039215686275, 'rgb(119,156,197)'],
        [0.7137254901960784, 'rgb(118,155,197)'],
        [0.7176470588235294, 'rgb(118,155,196)'],
        [0.7215686274509804, 'rgb(117,154,196)'],
        [0.7254901960784313, 'rgb(116,154,195)'],
        [0.7294117647058823, 'rgb(116,154,195)'],
        [0.7333333333333333, 'rgb(115,153,195)'],
        [0.7372549019607844, 'rgb(115,153,194)'],
        [0.7411764705882353, 'rgb(114,152,194)'],
        [0.7450980392156863, 'rgb(113,152,194)'],
        [0.7490196078431373, 'rgb(113,151,193)'],
        [0.7529411764705882, 'rgb(112,151,193)'],
        [0.7568627450980392, 'rgb(111,150,193)'],
        [0.7607843137254902, 'rgb(111,150,192)'],
        [0.7647058823529411, 'rgb(110,150,192)'],
        [0.7686274509803922, 'rgb(109,149,192)'],
        [0.7725490196078432, 'rgb(109,149,191)'],
        [0.7764705882352941, 'rgb(108,148,191)'],
        [0.7803921568627451, 'rgb(107,148,191)'],
        [0.7843137254901961, 'rgb(107,147,190)'],
        [0.788235294117647, 'rgb(106,147,190)'],
        [0.792156862745098, 'rgb(105,146,190)'],
        [0.796078431372549, 'rgb(105,146,190)'],
        [0.8, 'rgb(104,145,189)'],
        [0.803921568627451, 'rgb(103,145,189)'],
        [0.807843137254902, 'rgb(103,145,189)'],
        [0.8117647058823529, 'rgb(102,144,188)'],
        [0.8156862745098039, 'rgb(101,144,188)'],
        [0.8196078431372549, 'rgb(100,143,188)'],
        [0.8235294117647058, 'rgb(100,143,188)'],
        [0.8274509803921568, 'rgb(99,142,187)'],
        [0.8313725490196079, 'rgb(98,142,187)'],
        [0.8352941176470589, 'rgb(97,142,187)'],
        [0.8392156862745098, 'rgb(97,141,187)'],
        [0.8431372549019608, 'rgb(96,141,186)'],
        [0.8470588235294118, 'rgb(95,140,186)'],
        [0.8509803921568627, 'rgb(94,140,186)'],
        [0.8549019607843137, 'rgb(94,139,186)'],
        [0.8588235294117647, 'rgb(93,139,185)'],
        [0.8627450980392157, 'rgb(92,138,185)'],
        [0.8666666666666667, 'rgb(91,138,185)'],
        [0.8705882352941177, 'rgb(90,138,185)'],
        [0.8745098039215686, 'rgb(90,137,184)'],
        [0.8784313725490196, 'rgb(89,137,184)'],
        [0.8823529411764706, 'rgb(88,136,184)'],
        [0.8862745098039215, 'rgb(87,136,184)'],
        [0.8901960784313725, 'rgb(86,135,184)'],
        [0.8941176470588236, 'rgb(85,135,183)'],
        [0.8980392156862745, 'rgb(84,135,183)'],
        [0.9019607843137255, 'rgb(84,134,183)'],
        [0.9058823529411765, 'rgb(83,134,183)'],
        [0.9098039215686274, 'rgb(82,133,182)'],
        [0.9137254901960784, 'rgb(81,133,182)'],
        [0.9176470588235294, 'rgb(80,132,182)'],
        [0.9215686274509803, 'rgb(79,132,182)'],
        [0.9254901960784314, 'rgb(78,132,182)'],
        [0.9294117647058824, 'rgb(77,131,181)'],
        [0.9333333333333333, 'rgb(76,131,181)'],
        [0.9372549019607843, 'rgb(75,130,181)'],
        [0.9411764705882353, 'rgb(74,130,181)'],
        [0.9450980392156862, 'rgb(74,129,181)'],
        [0.9490196078431372, 'rgb(73,129,180)'],
        [0.9529411764705882, 'rgb(72,129,180)'],
        [0.9568627450980393, 'rgb(71,128,180)'],
        [0.9607843137254902, 'rgb(70,128,180)'],
        [0.9647058823529412, 'rgb(69,127,180)'],
        [0.9686274509803922, 'rgb(67,127,179)'],
        [0.9725490196078431, 'rgb(66,126,179)'],
        [0.9764705882352941, 'rgb(65,126,179)'],
        [0.9803921568627451, 'rgb(64,126,179)'],
        [0.984313725490196, 'rgb(63,125,179)'],
        [0.9882352941176471, 'rgb(62,125,178)'],
        [0.9921568627450981, 'rgb(61,124,178)'],
        [0.996078431372549, 'rgb(60,124,178)'],
        [1.0, 'rgb(59,124,178)'],
    ],
    'cet.linear_bmw_5_95_c86': [
        [0.0, 'rgb(0,2,75)'],
        [0.00392156862745098, 'rgb(0,3,77)'],
        [0.00784313725490196, 'rgb(0,3,79)'],
        [0.011764705882352941, 'rgb(0,4,81)'],
        [0.01568627450980392, 'rgb(0,4,83)'],
        [0.0196078431372549, 'rgb(0,4,85)'],
        [0.023529411764705882, 'rgb(0,5,88)'],
        [0.027450980392156862, 'rgb(0,5,90)'],
        [0.03137254901960784, 'rgb(0,5,92)'],
        [0.03529411764705882, 'rgb(0,5,94)'],
        [0.0392156862745098, 'rgb(0,5,96)'],
        [0.043137254901960784, 'rgb(0,5,98)'],
        [0.047058823529411764, 'rgb(0,5,100)'],
        [0.050980392156862744, 'rgb(0,5,102)'],
        [0.054901960784313725, 'rgb(0,5,104)'],
        [0.058823529411764705, 'rgb(1,5,106)'],
        [0.06274509803921569, 'rgb(1,5,109)'],
        [0.06666666666666667, 'rgb(1,5,111)'],
        [0.07058823529411765, 'rgb(1,5,113)'],
        [0.07450980392156863, 'rgb(2,5,115)'],
        [0.0784313725490196, 'rgb(2,5,117)'],
        [0.08235294117647059, 'rgb(2,5,119)'],
        [0.08627450980392157, 'rgb(3,5,121)'],
        [0.09019607843137255, 'rgb(3,5,124)'],
        [0.09411764705882353, 'rgb(3,5,126)'],
        [0.09803921568627451, 'rgb(4,5,128)'],
        [0.10196078431372549, 'rgb(4,5,130)'],
        [0.10588235294117647, 'rgb(4,5,132)'],
        [0.10980392156862745, 'rgb(4,6,135)'],
        [0.11372549019607843, 'rgb(5,6,137)'],
        [0.11764705882352941, 'rgb(5,6,139)'],
        [0.12156862745098039, 'rgb(5,6,141)'],
        [0.12549019607843137, 'rgb(5,6,144)'],
        [0.12941176470588237, 'rgb(6,6,146)'],
        [0.13333333333333333, 'rgb(6,6,148)'],
        [0.13725490196078433, 'rgb(6,6,150)'],
        [0.1411764705882353, 'rgb(6,6,153)'],
        [0.1450980392156863, 'rgb(6,6,155)'],
        [0.14901960784313725, 'rgb(6,6,157)'],
        [0.15294117647058825, 'rgb(6,6,159)'],
        [0.1568627450980392, 'rgb(6,6,162)'],
        [0.1607843137254902, 'rgb(6,7,164)'],
        [0.16470588235294117, 'rgb(5,7,166)'],
        [0.16862745098039217, 'rgb(5,7,169)'],
        [0.17254901960784313, 'rgb(5,7,171)'],
        [0.17647058823529413, 'rgb(5,7,173)'],
        [0.1803921568627451, 'rgb(5,8,175)'],
        [0.1843137254901961, 'rgb(5,8,178)'],
        [0.18823529411764706, 'rgb(5,8,180)'],
        [0.19215686274509805, 'rgb(5,8,182)'],
        [0.19607843137254902, 'rgb(5,9,184)'],
        [0.2, 'rgb(6,9,186)'],
        [0.20392156862745098, 'rgb(6,10,189)'],
        [0.20784313725490197, 'rgb(7,10,191)'],
        [0.21176470588235294, 'rgb(8,10,193)'],
        [0.21568627450980393, 'rgb(9,11,195)'],
        [0.2196078431372549, 'rgb(11,11,197)'],
        [0.2235294117647059, 'rgb(12,12,199)'],
        [0.22745098039215686, 'rgb(13,12,201)'],
        [0.23137254901960785, 'rgb(15,13,203)'],
        [0.23529411764705882, 'rgb(16,13,205)'],
        [0.23921568627450981, 'rgb(18,14,207)'],
        [0.24313725490196078, 'rgb(19,14,209)'],
        [0.24705882352941178, 'rgb(21,15,211)'],
        [0.25098039215686274, 'rgb(22,15,213)'],
        [0.2549019607843137, 'rgb(24,16,214)'],
        [0.25882352941176473, 'rgb(25,17,216)'],
        [0.2627450980392157, 'rgb(27,17,218)'],
        [0.26666666666666666, 'rgb(29,18,220)'],
        [0.27058823529411763, 'rgb(30,18,222)'],
        [0.27450980392156865, 'rgb(32,19,223)'],
        [0.2784313725490196, 'rgb(34,20,225)'],
        [0.2823529411764706, 'rgb(36,20,227)'],
        [0.28627450980392155, 'rgb(38,21,228)'],
        [0.2901960784313726, 'rgb(40,21,230)'],
        [0.29411764705882354, 'rgb(42,22,231)'],
        [0.2980392156862745, 'rgb(44,22,233)'],
        [0.30196078431372547, 'rgb(47,23,234)'],
        [0.3058823529411765, 'rgb(49,23,236)'],
        [0.30980392156862746, 'rgb(52,24,237)'],
        [0.3137254901960784, 'rgb(55,24,238)'],
        [0.3176470588235294, 'rgb(57,25,239)'],
        [0.3215686274509804, 'rgb(60,25,240)'],
        [0.3254901960784314, 'rgb(63,25,242)'],
        [0.32941176470588235, 'rgb(66,26,243)'],
        [0.3333333333333333, 'rgb(69,26,244)'],
        [0.33725490196078434, 'rgb(72,26,245)'],
        [0.3411764705882353, 'rgb(75,27,245)'],
        [0.34509803921568627, 'rgb(77,27,246)'],
        [0.34901960784313724, 'rgb(80,27,247)'],
        [0.35294117647058826, 'rgb(83,27,248)'],
        [0.3568627450980392, 'rgb(86,27,248)'],
        [0.3607843137254902, 'rgb(89,28,249)'],
        [0.36470588235294116, 'rgb(93,28,250)'],
        [0.3686274509803922, 'rgb(96,28,250)'],
        [0.37254901960784315, 'rgb(99,28,250)'],
        [0.3764705882352941, 'rgb(102,28,251)'],
        [0.3803921568627451, 'rgb(105,28,251)'],
        [0.3843137254901961, 'rgb(108,28,251)'],
        [0.38823529411764707, 'rgb(111,28,252)'],
        [0.39215686274509803, 'rgb(114,28,252)'],
        [0.396078431372549, 'rgb(117,28,252)'],
        [0.4, 'rgb(120,28,252)'],
        [0.403921568627451, 'rgb(123,28,252)'],
        [0.40784313725490196, 'rgb(126,28,252)'],
        [0.4117647058823529, 'rgb(128,28,253)'],
        [0.41568627450980394, 'rgb(131,28,253)'],
        [0.4196078431372549, 'rgb(134,28,253)'],
        [0.4235294117647059, 'rgb(137,28,253)'],
        [0.42745098039215684, 'rgb(139,28,253)'],
        [0.43137254901960786, 'rgb(142,28,253)'],
        [0.43529411764705883, 'rgb(145,28,253)'],
        [0.4392156862745098, 'rgb(147,29,253)'],
        [0.44313725490196076, 'rgb(150,29,254)'],
        [0.4470588235294118, 'rgb(153,29,254)'],
        [0.45098039215686275, 'rgb(155,29,254)'],
        [0.4549019607843137, 'rgb(158,29,254)'],
        [0.4588235294117647, 'rgb(160,29,254)'],
        [0.4627450980392157, 'rgb(163,29,254)'],
        [0.4666666666666667, 'rgb(165,29,254)'],
        [0.47058823529411764, 'rgb(168,29,254)'],
        [0.4745098039215686, 'rgb(170,29,254)'],
        [0.47843137254901963, 'rgb(173,29,254)'],
        [0.4823529411764706, 'rgb(175,29,254)'],
        [0.48627450980392156, 'rgb(177,29,254)'],
        [0.49019607843137253, 'rgb(180,29,254)'],
        [0.49411764705882355, 'rgb(182,28,254)'],
        [0.4980392156862745, 'rgb(185,28,254)'],
        [0.5019607843137255, 'rgb(187,28,254)'],
        [0.5058823529411764, 'rgb(189,29,254)'],
        [0.5098039215686274, 'rgb(192,29,254)'],
        [0.5137254901960784, 'rgb(194,29,254)'],
        [0.5176470588235295, 'rgb(196,29,254)'],
        [0.5215686274509804, 'rgb(198,30,254)'],
        [0.5254901960784314, 'rgb(200,30,254)'],
        [0.5294117647058824, 'rgb(202,31,254)'],
        [0.5333333333333333, 'rgb(204,32,254)'],
        [0.5372549019607843, 'rgb(206,33,254)'],
        [0.5411764705882353, 'rgb(208,34,254)'],
        [0.5450980392156862, 'rgb(210,35,254)'],
        [0.5490196078431373, 'rgb(212,36,254)'],
        [0.5529411764705883, 'rgb(214,37,254)'],
        [0.5568627450980392, 'rgb(215,38,254)'],
        [0.5607843137254902, 'rgb(217,39,254)'],
        [0.5647058823529412, 'rgb(219,41,254)'],
        [0.5686274509803921, 'rgb(220,42,254)'],
        [0.5725490196078431, 'rgb(222,44,254)'],
        [0.5764705882352941, 'rgb(224,45,254)'],
        [0.5803921568627451, 'rgb(225,46,254)'],
        [0.5843137254901961, 'rgb(227,48,254)'],
        [0.5882352941176471, 'rgb(228,50,254)'],
        [0.592156862745098, 'rgb(229,51,254)'],
        [0.596078431372549, 'rgb(231,53,254)'],
        [0.6, 'rgb(232,55,254)'],
        [0.6039215686274509, 'rgb(233,56,254)'],
        [0.6078431372549019, 'rgb(235,58,254)'],
        [0.611764705882353, 'rgb(236,60,254)'],
        [0.615686274509804, 'rgb(237,62,254)'],
        [0.6196078431372549, 'rgb(238,63,254)'],
        [0.6235294117647059, 'rgb(239,65,254)'],
        [0.6274509803921569, 'rgb(240,67,254)'],
        [0.6313725490196078, 'rgb(241,69,254)'],
        [0.6352941176470588, 'rgb(242,71,254)'],
        [0.6392156862745098, 'rgb(243,73,254)'],
        [0.6431372549019608, 'rgb(244,75,254)'],
        [0.6470588235294118, 'rgb(245,77,254)'],
        [0.6509803921568628, 'rgb(246,79,254)'],
        [0.6549019607843137, 'rgb(247,81,254)'],
        [0.6588235294117647, 'rgb(248,83,254)'],
        [0.6627450980392157, 'rgb(248,85,254)'],
        [0.6666666666666666, 'rgb(249,87,254)'],
        [0.6705882352941176, 'rgb(250,89,254)'],
        [0.6745098039215687, 'rgb(250,91,254)'],
        [0.6784313725490196, 'rgb(251,93,254)'],
        [0.6823529411764706, 'rgb(251,95,254)'],
        [0.6862745098039216, 'rgb(252,97,254)'],
        [0.6901960784313725, 'rgb(252,99,254)'],
        [0.6941176470588235, 'rgb(252,101,254)'],
        [0.6980392156862745, 'rgb(253,103,254)'],
        [0.7019607843137254, 'rgb(253,106,254)'],
        [0.7058823529411765, 'rgb(253,108,253)'],
        [0.7098039215686275, 'rgb(253,110,253)'],
        [0.7137254901960784, 'rgb(254,112,253)'],
        [0.7176470588235294, 'rgb(254,114,253)'],
        [0.7215686274509804, 'rgb(254,116,253)'],
        [0.7254901960784313, 'rgb(254,118,253)'],
        [0.7294117647058823, 'rgb(254,120,253)'],
        [0.7333333333333333, 'rgb(254,123,253)'],
        [0.7372549019607844, 'rgb(254,125,253)'],
        [0.7411764705882353, 'rgb(254,127,253)'],
        [0.7450980392156863, 'rgb(254,129,253)'],
        [0.7490196078431373, 'rgb(254,131,253)'],
        [0.7529411764705882, 'rgb(254,133,253)'],
        [0.7568627450980392, 'rgb(254,135,253)'],
        [0.7607843137254902, 'rgb(254,136,253)'],
        [0.7647058823529411, 'rgb(254,138,253)'],
        [0.7686274509803922, 'rgb(254,140,253)'],
        [0.7725490196078432, 'rgb(254,142,253)'],
        [0.7764705882352941, 'rgb(254,144,253)'],
        [0.7803921568627451, 'rgb(254,146,253)'],
        [0.7843137254901961, 'rgb(254,148,253)'],
        [0.788235294117647, 'rgb(254,149,253)'],
        [0.792156862745098, 'rgb(254,151,253)'],
        [0.796078431372549, 'rgb(254,153,253)'],
        [0.8, 'rgb(254,155,253)'],
        [0.803921568627451, 'rgb(254,156,253)'],
        [0.807843137254902, 'rgb(254,158,253)'],
        [0.8117647058823529, 'rgb(254,160,253)'],
        [0.8156862745098039, 'rgb(254,162,253)'],
        [0.8196078431372549, 'rgb(254,163,253)'],
        [0.8235294117647058, 'rgb(254,165,253)'],
        [0.8274509803921568, 'rgb(254,167,253)'],
        [0.8313725490196079, 'rgb(254,168,253)'],
        [0.8352941176470589, 'rgb(254,170,253)'],
        [0.8392156862745098, 'rgb(254,172,253)'],
        [0.8431372549019608, 'rgb(254,173,253)'],
        [0.8470588235294118, 'rgb(254,175,253)'],
        [0.8509803921568627, 'rgb(254,177,254)'],
        [0.8549019607843137, 'rgb(254,178,254)'],
        [0.8588235294117647, 'rgb(254,180,254)'],
        [0.8627450980392157, 'rgb(254,181,254)'],
        [0.8666666666666667, 'rgb(254,183,254)'],
        [0.8705882352941177, 'rgb(254,185,254)'],
        [0.8745098039215686, 'rgb(254,186,254)'],
        [0.8784313725490196, 'rgb(254,188,254)'],
        [0.8823529411764706, 'rgb(254,189,254)'],
        [0.8862745098039215, 'rgb(254,191,254)'],
        [0.8901960784313725, 'rgb(254,193,254)'],
        [0.8941176470588236, 'rgb(254,194,254)'],
        [0.8980392156862745, 'rgb(255,196,254)'],
        [0.9019607843137255, 'rgb(255,197,254)'],
        [0.9058823529411765, 'rgb(255,199,254)'],
        [0.9098039215686274, 'rgb(255,200,254)'],
        [0.9137254901960784, 'rgb(255,202,254)'],
        [0.9176470588235294, 'rgb(255,203,254)'],
        [0.9215686274509803, 'rgb(255,205,254)'],
        [0.9254901960784314, 'rgb(255,206,254)'],
        [0.9294117647058824, 'rgb(255,208,254)'],
        [0.9333333333333333, 'rgb(255,209,254)'],
        [0.9372549019607843, 'rgb(255,211,254)'],
        [0.9411764705882353, 'rgb(255,212,254)'],
        [0.9450980392156862, 'rgb(255,214,254)'],
        [0.9490196078431372, 'rgb(255,215,254)'],
        [0.9529411764705882, 'rgb(255,217,254)'],
        [0.9568627450980393, 'rgb(255,218,254)'],
        [0.9607843137254902, 'rgb(255,220,254)'],
        [0.9647058823529412, 'rgb(255,221,254)'],
        [0.9686274509803922, 'rgb(255,223,254)'],
        [0.9725490196078431, 'rgb(255,224,254)'],
        [0.9764705882352941, 'rgb(255,226,254)'],
        [0.9803921568627451, 'rgb(255,227,254)'],
        [0.984313725490196, 'rgb(255,229,254)'],
        [0.9882352941176471, 'rgb(254,230,254)'],
        [0.9921568627450981, 'rgb(254,232,254)'],
        [0.996078431372549, 'rgb(254,233,254)'],
        [1.0, 'rgb(254,235,254)'],
    ],
    'cet.linear_bmw_5_95_c89': [
        [0.0, 'rgb(0,5,88)'],
        [0.00392156862745098, 'rgb(0,5,91)'],
        [0.00784313725490196, 'rgb(0,6,93)'],
        [0.011764705882352941, 'rgb(0,7,95)'],
        [0.01568627450980392, 'rgb(0,7,98)'],
        [0.0196078431372549, 'rgb(0,8,100)'],
        [0.023529411764705882, 'rgb(0,8,102)'],
        [0.027450980392156862, 'rgb(0,9,105)'],
        [0.03137254901960784, 'rgb(0,9,107)'],
        [0.03529411764705882, 'rgb(0,9,110)'],
        [0.0392156862745098, 'rgb(0,9,112)'],
        [0.043137254901960784, 'rgb(0,10,114)'],
        [0.047058823529411764, 'rgb(0,10,117)'],
        [0.050980392156862744, 'rgb(0,10,119)'],
        [0.054901960784313725, 'rgb(0,11,122)'],
        [0.058823529411764705, 'rgb(0,11,124)'],
        [0.06274509803921569, 'rgb(0,11,126)'],
        [0.06666666666666667, 'rgb(0,11,129)'],
        [0.07058823529411765, 'rgb(0,12,131)'],
        [0.07450980392156863, 'rgb(0,12,134)'],
        [0.0784313725490196, 'rgb(0,12,136)'],
        [0.08235294117647059, 'rgb(0,13,139)'],
        [0.08627450980392157, 'rgb(0,13,141)'],
        [0.09019607843137255, 'rgb(0,13,144)'],
        [0.09411764705882353, 'rgb(0,13,146)'],
        [0.09803921568627451, 'rgb(0,14,149)'],
        [0.10196078431372549, 'rgb(0,14,151)'],
        [0.10588235294117647, 'rgb(0,14,154)'],
        [0.10980392156862745, 'rgb(0,15,156)'],
        [0.11372549019607843, 'rgb(0,15,159)'],
        [0.11764705882352941, 'rgb(0,15,161)'],
        [0.12156862745098039, 'rgb(0,16,164)'],
        [0.12549019607843137, 'rgb(0,16,166)'],
        [0.12941176470588237, 'rgb(0,16,169)'],
        [0.13333333333333333, 'rgb(0,17,171)'],
        [0.13725490196078433, 'rgb(0,17,174)'],
        [0.1411764705882353, 'rgb(0,18,176)'],
        [0.1450980392156863, 'rgb(0,18,179)'],
        [0.14901960784313725, 'rgb(0,18,181)'],
        [0.15294117647058825, 'rgb(0,19,184)'],
        [0.1568627450980392, 'rgb(0,19,186)'],
        [0.1607843137254902, 'rgb(0,19,189)'],
        [0.16470588235294117, 'rgb(0,20,191)'],
        [0.16862745098039217, 'rgb(0,20,194)'],
        [0.17254901960784313, 'rgb(0,21,196)'],
        [0.17647058823529413, 'rgb(0,21,198)'],
        [0.1803921568627451, 'rgb(0,22,201)'],
        [0.1843137254901961, 'rgb(0,22,203)'],
        [0.18823529411764706, 'rgb(0,22,205)'],
        [0.19215686274509805, 'rgb(0,23,208)'],
        [0.19607843137254902, 'rgb(0,23,210)'],
        [0.2, 'rgb(0,24,212)'],
        [0.20392156862745098, 'rgb(0,24,214)'],
        [0.20784313725490197, 'rgb(0,24,216)'],
        [0.21176470588235294, 'rgb(0,25,218)'],
        [0.21568627450980393, 'rgb(0,25,220)'],
        [0.2196078431372549, 'rgb(0,25,222)'],
        [0.2235294117647059, 'rgb(0,26,223)'],
        [0.22745098039215686, 'rgb(0,26,225)'],
        [0.23137254901960785, 'rgb(0,26,227)'],
        [0.23529411764705882, 'rgb(0,27,228)'],
        [0.23921568627450981, 'rgb(0,27,230)'],
        [0.24313725490196078, 'rgb(0,27,232)'],
        [0.24705882352941178, 'rgb(0,27,233)'],
        [0.25098039215686274, 'rgb(0,28,235)'],
        [0.2549019607843137, 'rgb(0,28,236)'],
        [0.25882352941176473, 'rgb(0,28,237)'],
        [0.2627450980392157, 'rgb(0,28,239)'],
        [0.26666666666666666, 'rgb(0,29,240)'],
        [0.27058823529411763, 'rgb(0,29,241)'],
        [0.27450980392156865, 'rgb(0,29,242)'],
        [0.2784313725490196, 'rgb(0,29,243)'],
        [0.2823529411764706, 'rgb(0,30,244)'],
        [0.28627450980392155, 'rgb(0,30,245)'],
        [0.2901960784313726, 'rgb(0,30,246)'],
        [0.29411764705882354, 'rgb(0,30,247)'],
        [0.2980392156862745, 'rgb(0,30,248)'],
        [0.30196078431372547, 'rgb(0,30,249)'],
        [0.3058823529411765, 'rgb(0,31,250)'],
        [0.30980392156862746, 'rgb(0,31,250)'],
        [0.3137254901960784, 'rgb(0,31,251)'],
        [0.3176470588235294, 'rgb(0,31,252)'],
        [0.3215686274509804, 'rgb(0,31,252)'],
        [0.3254901960784314, 'rgb(11,31,253)'],
        [0.32941176470588235, 'rgb(25,31,254)'],
        [0.3333333333333333, 'rgb(34,31,254)'],
        [0.33725490196078434, 'rgb(41,31,255)'],
        [0.3411764705882353, 'rgb(48,31,255)'],
        [0.34509803921568627, 'rgb(54,31,255)'],
        [0.34901960784313724, 'rgb(59,31,255)'],
        [0.35294117647058826, 'rgb(64,32,255)'],
        [0.3568627450980392, 'rgb(69,32,255)'],
        [0.3607843137254902, 'rgb(74,32,255)'],
        [0.36470588235294116, 'rgb(78,32,255)'],
        [0.3686274509803922, 'rgb(82,32,255)'],
        [0.37254901960784315, 'rgb(86,32,255)'],
        [0.3764705882352941, 'rgb(90,31,255)'],
        [0.3803921568627451, 'rgb(94,31,255)'],
        [0.3843137254901961, 'rgb(98,31,255)'],
        [0.38823529411764707, 'rgb(102,31,255)'],
        [0.39215686274509803, 'rgb(105,31,255)'],
        [0.396078431372549, 'rgb(109,31,255)'],
        [0.4, 'rgb(112,31,255)'],
        [0.403921568627451, 'rgb(116,31,255)'],
        [0.40784313725490196, 'rgb(119,31,255)'],
        [0.4117647058823529, 'rgb(122,31,255)'],
        [0.41568627450980394, 'rgb(125,31,255)'],
        [0.4196078431372549, 'rgb(128,31,255)'],
        [0.4235294117647059, 'rgb(131,31,255)'],
        [0.42745098039215684, 'rgb(134,31,255)'],
        [0.43137254901960786, 'rgb(137,31,255)'],
        [0.43529411764705883, 'rgb(140,31,255)'],
        [0.4392156862745098, 'rgb(143,31,255)'],
        [0.44313725490196076, 'rgb(146,31,255)'],
        [0.4470588235294118, 'rgb(149,31,255)'],
        [0.45098039215686275, 'rgb(151,31,255)'],
        [0.4549019607843137, 'rgb(154,31,255)'],
        [0.4588235294117647, 'rgb(157,31,255)'],
        [0.4627450980392157, 'rgb(159,30,255)'],
        [0.4666666666666667, 'rgb(162,30,255)'],
        [0.47058823529411764, 'rgb(165,30,255)'],
        [0.4745098039215686, 'rgb(167,30,255)'],
        [0.47843137254901963, 'rgb(170,30,255)'],
        [0.4823529411764706, 'rgb(172,30,255)'],
        [0.48627450980392156, 'rgb(175,30,255)'],
        [0.49019607843137253, 'rgb(177,30,255)'],
        [0.49411764705882355, 'rgb(180,30,255)'],
        [0.4980392156862745, 'rgb(182,30,255)'],
        [0.5019607843137255, 'rgb(184,30,255)'],
        [0.5058823529411764, 'rgb(187,30,255)'],
        [0.5098039215686274, 'rgb(189,30,255)'],
        [0.5137254901960784, 'rgb(191,31,255)'],
        [0.5176470588235295, 'rgb(194,31,255)'],
        [0.5215686274509804, 'rgb(196,31,255)'],
        [0.5254901960784314, 'rgb(198,32,255)'],
        [0.5294117647058824, 'rgb(200,32,255)'],
        [0.5333333333333333, 'rgb(202,33,255)'],
        [0.5372549019607843, 'rgb(204,34,255)'],
        [0.5411764705882353, 'rgb(206,35,255)'],
        [0.5450980392156862, 'rgb(208,35,255)'],
        [0.5490196078431373, 'rgb(210,36,255)'],
        [0.5529411764705883, 'rgb(212,37,255)'],
        [0.5568627450980392, 'rgb(214,38,255)'],
        [0.5607843137254902, 'rgb(215,40,255)'],
        [0.5647058823529412, 'rgb(217,41,255)'],
        [0.5686274509803921, 'rgb(219,42,255)'],
        [0.5725490196078431, 'rgb(221,43,255)'],
        [0.5764705882352941, 'rgb(222,45,255)'],
        [0.5803921568627451, 'rgb(224,46,255)'],
        [0.5843137254901961, 'rgb(225,47,255)'],
        [0.5882352941176471, 'rgb(227,49,255)'],
        [0.592156862745098, 'rgb(229,50,255)'],
        [0.596078431372549, 'rgb(230,52,255)'],
        [0.6, 'rgb(231,53,255)'],
        [0.6039215686274509, 'rgb(233,55,255)'],
        [0.6078431372549019, 'rgb(234,56,255)'],
        [0.611764705882353, 'rgb(236,58,255)'],
        [0.615686274509804, 'rgb(237,60,255)'],
        [0.6196078431372549, 'rgb(238,61,255)'],
        [0.6235294117647059, 'rgb(239,63,255)'],
        [0.6274509803921569, 'rgb(241,65,255)'],
        [0.6313725490196078, 'rgb(242,67,255)'],
        [0.6352941176470588, 'rgb(243,68,255)'],
        [0.6392156862745098, 'rgb(244,70,255)'],
        [0.6431372549019608, 'rgb(245,72,255)'],
        [0.6470588235294118, 'rgb(246,74,255)'],
        [0.6509803921568628, 'rgb(247,76,255)'],
        [0.6549019607843137, 'rgb(248,78,255)'],
        [0.6588235294117647, 'rgb(248,80,255)'],
        [0.6627450980392157, 'rgb(249,82,255)'],
        [0.6666666666666666, 'rgb(250,84,255)'],
        [0.6705882352941176, 'rgb(251,86,255)'],
        [0.6745098039215687, 'rgb(251,88,255)'],
        [0.6784313725490196, 'rgb(252,90,255)'],
        [0.6823529411764706, 'rgb(252,92,255)'],
        [0.6862745098039216, 'rgb(253,94,255)'],
        [0.6901960784313725, 'rgb(253,97,255)'],
        [0.6941176470588235, 'rgb(254,99,255)'],
        [0.6980392156862745, 'rgb(254,101,255)'],
        [0.7019607843137254, 'rgb(254,103,255)'],
        [0.7058823529411765, 'rgb(255,105,255)'],
        [0.7098039215686275, 'rgb(255,107,255)'],
        [0.7137254901960784, 'rgb(255,110,255)'],
        [0.7176470588235294, 'rgb(255,112,255)'],
        [0.7215686274509804, 'rgb(255,114,255)'],
        [0.7254901960784313, 'rgb(255,116,255)'],
        [0.7294117647058823, 'rgb(255,118,255)'],
        [0.7333333333333333, 'rgb(255,120,255)'],
        [0.7372549019607844, 'rgb(255,122,255)'],
        [0.7411764705882353, 'rgb(255,125,255)'],
        [0.7450980392156863, 'rgb(255,127,255)'],
        [0.7490196078431373, 'rgb(255,129,255)'],
        [0.7529411764705882, 'rgb(255,131,255)'],
        [0.7568627450980392, 'rgb(255,133,255)'],
        [0.7607843137254902, 'rgb(255,134,255)'],
        [0.7647058823529411, 'rgb(255,136,255)'],
        [0.7686274509803922, 'rgb(255,138,255)'],
        [0.7725490196078432, 'rgb(255,140,255)'],
        [0.7764705882352941, 'rgb(255,142,255)'],
        [0.7803921568627451, 'rgb(255,144,255)'],
        [0.7843137254901961, 'rgb(255,146,255)'],
        [0.788235294117647, 'rgb(255,148,255)'],
        [0.792156862745098, 'rgb(255,149,255)'],
        [0.796078431372549, 'rgb(255,151,255)'],
        [0.8, 'rgb(255,153,255)'],
        [0.803921568627451, 'rgb(255,155,255)'],
        [0.807843137254902, 'rgb(255,157,255)'],
        [0.8117647058823529, 'rgb(255,158,255)'],
        [0.8156862745098039, 'rgb(255,160,255)'],
        [0.8196078431372549, 'rgb(255,162,255)'],
        [0.8235294117647058, 'rgb(255,163,255)'],
        [0.8274509803921568, 'rgb(255,165,255)'],
        [0.8313725490196079, 'rgb(255,167,255)'],
        [0.8352941176470589, 'rgb(255,168,255)'],
        [0.8392156862745098, 'rgb(255,170,255)'],
        [0.8431372549019608, 'rgb(255,172,255)'],
        [0.8470588235294118, 'rgb(255,173,255)'],
        [0.8509803921568627, 'rgb(255,175,255)'],
        [0.8549019607843137, 'rgb(255,177,255)'],
        [0.8588235294117647, 'rgb(255,178,255)'],
        [0.8627450980392157, 'rgb(255,180,255)'],
        [0.8666666666666667, 'rgb(255,182,255)'],
        [0.8705882352941177, 'rgb(255,183,255)'],
        [0.8745098039215686, 'rgb(255,185,255)'],
        [0.8784313725490196, 'rgb(255,186,255)'],
        [0.8823529411764706, 'rgb(255,188,255)'],
        [0.8862745098039215, 'rgb(255,190,255)'],
        [0.8901960784313725, 'rgb(255,191,255)'],
        [0.8941176470588236, 'rgb(255,193,255)'],
        [0.8980392156862745, 'rgb(255,194,255)'],
        [0.9019607843137255, 'rgb(255,196,255)'],
        [0.9058823529411765, 'rgb(255,198,255)'],
        [0.9098039215686274, 'rgb(255,199,255)'],
        [0.9137254901960784, 'rgb(255,201,255)'],
        [0.9176470588235294, 'rgb(255,202,255)'],
        [0.9215686274509803, 'rgb(255,204,255)'],
        [0.9254901960784314, 'rgb(255,206,255)'],
        [0.9294117647058824, 'rgb(255,207,255)'],
        [0.9333333333333333, 'rgb(255,209,255)'],
        [0.9372549019607843, 'rgb(255,210,255)'],
        [0.9411764705882353, 'rgb(255,212,255)'],
        [0.9450980392156862, 'rgb(255,213,255)'],
        [0.9490196078431372, 'rgb(255,215,255)'],
        [0.9529411764705882, 'rgb(255,216,255)'],
        [0.9568627450980393, 'rgb(255,218,255)'],
        [0.9607843137254902, 'rgb(255,220,255)'],
        [0.9647058823529412, 'rgb(255,221,255)'],
        [0.9686274509803922, 'rgb(255,223,255)'],
        [0.9725490196078431, 'rgb(255,224,255)'],
        [0.9764705882352941, 'rgb(255,226,255)'],
        [0.9803921568627451, 'rgb(255,227,255)'],
        [0.984313725490196, 'rgb(255,229,255)'],
        [0.9882352941176471, 'rgb(255,230,255)'],
        [0.9921568627450981, 'rgb(255,232,254)'],
        [0.996078431372549, 'rgb(255,233,254)'],
        [1.0, 'rgb(254,235,254)'],
    ],
    'cet.linear_bmy_10_95_c71': [
        [0.0, 'rgb(0,15,93)'],
        [0.00392156862745098, 'rgb(1,15,94)'],
        [0.00784313725490196, 'rgb(1,16,96)'],
        [0.011764705882352941, 'rgb(1,16,98)'],
        [0.01568627450980392, 'rgb(1,17,99)'],
        [0.0196078431372549, 'rgb(2,17,101)'],
        [0.023529411764705882, 'rgb(2,18,103)'],
        [0.027450980392156862, 'rgb(3,18,104)'],
        [0.03137254901960784, 'rgb(4,18,106)'],
        [0.03529411764705882, 'rgb(5,19,107)'],
        [0.0392156862745098, 'rgb(6,19,109)'],
        [0.043137254901960784, 'rgb(7,20,111)'],
        [0.047058823529411764, 'rgb(8,20,112)'],
        [0.050980392156862744, 'rgb(10,21,114)'],
        [0.054901960784313725, 'rgb(12,21,115)'],
        [0.058823529411764705, 'rgb(13,21,117)'],
        [0.06274509803921569, 'rgb(15,22,118)'],
        [0.06666666666666667, 'rgb(17,22,119)'],
        [0.07058823529411765, 'rgb(18,22,121)'],
        [0.07450980392156863, 'rgb(20,23,122)'],
        [0.0784313725490196, 'rgb(22,23,124)'],
        [0.08235294117647059, 'rgb(24,23,125)'],
        [0.08627450980392157, 'rgb(25,24,126)'],
        [0.09019607843137255, 'rgb(27,24,128)'],
        [0.09411764705882353, 'rgb(29,24,129)'],
        [0.09803921568627451, 'rgb(31,25,130)'],
        [0.10196078431372549, 'rgb(33,25,131)'],
        [0.10588235294117647, 'rgb(35,25,133)'],
        [0.10980392156862745, 'rgb(37,25,134)'],
        [0.11372549019607843, 'rgb(39,26,135)'],
        [0.11764705882352941, 'rgb(41,26,136)'],
        [0.12156862745098039, 'rgb(43,26,137)'],
        [0.12549019607843137, 'rgb(46,26,138)'],
        [0.12941176470588237, 'rgb(48,26,139)'],
        [0.13333333333333333, 'rgb(50,27,140)'],
        [0.13725490196078433, 'rgb(52,27,141)'],
        [0.1411764705882353, 'rgb(55,27,142)'],
        [0.1450980392156863, 'rgb(57,27,143)'],
        [0.14901960784313725, 'rgb(59,27,143)'],
        [0.15294117647058825, 'rgb(62,27,144)'],
        [0.1568627450980392, 'rgb(64,27,144)'],
        [0.1607843137254902, 'rgb(67,26,145)'],
        [0.16470588235294117, 'rgb(70,26,145)'],
        [0.16862745098039217, 'rgb(72,26,146)'],
        [0.17254901960784313, 'rgb(75,26,146)'],
        [0.17647058823529413, 'rgb(78,25,146)'],
        [0.1803921568627451, 'rgb(81,25,146)'],
        [0.1843137254901961, 'rgb(84,25,146)'],
        [0.18823529411764706, 'rgb(86,24,146)'],
        [0.19215686274509805, 'rgb(89,24,146)'],
        [0.19607843137254902, 'rgb(92,23,146)'],
        [0.2, 'rgb(94,23,146)'],
        [0.20392156862745098, 'rgb(97,23,146)'],
        [0.20784313725490197, 'rgb(99,22,146)'],
        [0.21176470588235294, 'rgb(102,22,146)'],
        [0.21568627450980393, 'rgb(104,21,146)'],
        [0.2196078431372549, 'rgb(107,21,146)'],
        [0.2235294117647059, 'rgb(109,20,146)'],
        [0.22745098039215686, 'rgb(111,20,146)'],
        [0.23137254901960785, 'rgb(114,19,146)'],
        [0.23529411764705882, 'rgb(116,19,146)'],
        [0.23921568627450981, 'rgb(118,18,145)'],
        [0.24313725490196078, 'rgb(121,18,145)'],
        [0.24705882352941178, 'rgb(123,17,145)'],
        [0.25098039215686274, 'rgb(125,17,145)'],
        [0.2549019607843137, 'rgb(127,16,145)'],
        [0.25882352941176473, 'rgb(129,16,145)'],
        [0.2627450980392157, 'rgb(131,15,144)'],
        [0.26666666666666666, 'rgb(134,15,144)'],
        [0.27058823529411763, 'rgb(136,14,144)'],
        [0.27450980392156865, 'rgb(138,14,144)'],
        [0.2784313725490196, 'rgb(140,13,143)'],
        [0.2823529411764706, 'rgb(142,13,143)'],
        [0.28627450980392155, 'rgb(144,13,143)'],
        [0.2901960784313726, 'rgb(146,12,142)'],
        [0.29411764705882354, 'rgb(148,12,142)'],
        [0.2980392156862745, 'rgb(150,11,142)'],
        [0.30196078431372547, 'rgb(152,11,141)'],
        [0.3058823529411765, 'rgb(154,11,141)'],
        [0.30980392156862746, 'rgb(156,10,140)'],
        [0.3137254901960784, 'rgb(158,10,140)'],
        [0.3176470588235294, 'rgb(160,10,140)'],
        [0.3215686274509804, 'rgb(162,10,139)'],
        [0.3254901960784314, 'rgb(163,10,139)'],
        [0.32941176470588235, 'rgb(165,9,138)'],
        [0.3333333333333333, 'rgb(167,9,138)'],
        [0.33725490196078434, 'rgb(169,9,138)'],
        [0.3411764705882353, 'rgb(171,9,137)'],
        [0.34509803921568627, 'rgb(173,9,137)'],
        [0.34901960784313724, 'rgb(174,10,136)'],
        [0.35294117647058826, 'rgb(176,10,136)'],
        [0.3568627450980392, 'rgb(178,10,136)'],
        [0.3607843137254902, 'rgb(180,10,135)'],
        [0.36470588235294116, 'rgb(182,10,135)'],
        [0.3686274509803922, 'rgb(183,11,134)'],
        [0.37254901960784315, 'rgb(185,11,134)'],
        [0.3764705882352941, 'rgb(187,12,133)'],
        [0.3803921568627451, 'rgb(189,12,133)'],
        [0.3843137254901961, 'rgb(190,13,133)'],
        [0.38823529411764707, 'rgb(192,13,132)'],
        [0.39215686274509803, 'rgb(194,14,132)'],
        [0.396078431372549, 'rgb(195,14,131)'],
        [0.4, 'rgb(197,15,131)'],
        [0.403921568627451, 'rgb(199,16,130)'],
        [0.40784313725490196, 'rgb(200,16,130)'],
        [0.4117647058823529, 'rgb(202,17,129)'],
        [0.41568627450980394, 'rgb(204,18,129)'],
        [0.4196078431372549, 'rgb(205,19,128)'],
        [0.4235294117647059, 'rgb(207,20,128)'],
        [0.42745098039215684, 'rgb(208,21,127)'],
        [0.43137254901960786, 'rgb(210,22,127)'],
        [0.43529411764705883, 'rgb(211,23,126)'],
        [0.4392156862745098, 'rgb(213,25,125)'],
        [0.44313725490196076, 'rgb(214,26,125)'],
        [0.4470588235294118, 'rgb(216,28,124)'],
        [0.45098039215686275, 'rgb(217,29,123)'],
        [0.4549019607843137, 'rgb(218,31,123)'],
        [0.4588235294117647, 'rgb(220,32,122)'],
        [0.4627450980392157, 'rgb(221,34,121)'],
        [0.4666666666666667, 'rgb(222,35,120)'],
        [0.47058823529411764, 'rgb(223,37,120)'],
        [0.4745098039215686, 'rgb(224,39,119)'],
        [0.47843137254901963, 'rgb(226,41,118)'],
        [0.4823529411764706, 'rgb(227,42,117)'],
        [0.48627450980392156, 'rgb(228,44,116)'],
        [0.49019607843137253, 'rgb(229,46,115)'],
        [0.49411764705882355, 'rgb(230,48,114)'],
        [0.4980392156862745, 'rgb(231,49,114)'],
        [0.5019607843137255, 'rgb(232,51,113)'],
        [0.5058823529411764, 'rgb(233,53,112)'],
        [0.5098039215686274, 'rgb(234,55,111)'],
        [0.5137254901960784, 'rgb(235,57,110)'],
        [0.5176470588235295, 'rgb(236,59,108)'],
        [0.5215686274509804, 'rgb(237,61,107)'],
        [0.5254901960784314, 'rgb(237,62,106)'],
        [0.5294117647058824, 'rgb(238,64,105)'],
        [0.5333333333333333, 'rgb(239,66,104)'],
        [0.5372549019607843, 'rgb(240,68,103)'],
        [0.5411764705882353, 'rgb(240,70,102)'],
        [0.5450980392156862, 'rgb(241,72,101)'],
        [0.5490196078431373, 'rgb(242,74,100)'],
        [0.5529411764705883, 'rgb(242,76,98)'],
        [0.5568627450980392, 'rgb(243,77,97)'],
        [0.5607843137254902, 'rgb(243,79,96)'],
        [0.5647058823529412, 'rgb(244,81,95)'],
        [0.5686274509803921, 'rgb(244,83,94)'],
        [0.5725490196078431, 'rgb(245,85,93)'],
        [0.5764705882352941, 'rgb(245,87,92)'],
        [0.5803921568627451, 'rgb(246,88,92)'],
        [0.5843137254901961, 'rgb(246,90,91)'],
        [0.5882352941176471, 'rgb(247,92,90)'],
        [0.592156862745098, 'rgb(247,94,89)'],
        [0.596078431372549, 'rgb(247,96,88)'],
        [0.6, 'rgb(248,98,87)'],
        [0.6039215686274509, 'rgb(248,100,86)'],
        [0.6078431372549019, 'rgb(248,101,85)'],
        [0.611764705882353, 'rgb(248,103,85)'],
        [0.615686274509804, 'rgb(248,105,84)'],
        [0.6196078431372549, 'rgb(249,107,83)'],
        [0.6235294117647059, 'rgb(249,109,82)'],
        [0.6274509803921569, 'rgb(249,111,82)'],
        [0.6313725490196078, 'rgb(249,112,81)'],
        [0.6352941176470588, 'rgb(249,114,80)'],
        [0.6392156862745098, 'rgb(249,116,79)'],
        [0.6431372549019608, 'rgb(249,118,79)'],
        [0.6470588235294118, 'rgb(249,120,78)'],
        [0.6509803921568628, 'rgb(249,122,77)'],
        [0.6549019607843137, 'rgb(249,123,77)'],
        [0.6588235294117647, 'rgb(249,125,76)'],
        [0.6627450980392157, 'rgb(249,127,76)'],
        [0.6666666666666666, 'rgb(249,129,75)'],
        [0.6705882352941176, 'rgb(249,130,74)'],
        [0.6745098039215687, 'rgb(249,132,74)'],
        [0.6784313725490196, 'rgb(249,134,73)'],
        [0.6823529411764706, 'rgb(249,135,72)'],
        [0.6862745098039216, 'rgb(249,137,72)'],
        [0.6901960784313725, 'rgb(249,138,71)'],
        [0.6941176470588235, 'rgb(249,140,70)'],
        [0.6980392156862745, 'rgb(249,142,70)'],
        [0.7019607843137254, 'rgb(249,143,69)'],
        [0.7058823529411765, 'rgb(249,145,68)'],
        [0.7098039215686275, 'rgb(249,146,68)'],
        [0.7137254901960784, 'rgb(249,148,67)'],
        [0.7176470588235294, 'rgb(249,149,66)'],
        [0.7215686274509804, 'rgb(249,151,66)'],
        [0.7254901960784313, 'rgb(250,152,65)'],
        [0.7294117647058823, 'rgb(250,154,65)'],
        [0.7333333333333333, 'rgb(250,155,64)'],
        [0.7372549019607844, 'rgb(250,157,63)'],
        [0.7411764705882353, 'rgb(250,158,63)'],
        [0.7450980392156863, 'rgb(250,159,62)'],
        [0.7490196078431373, 'rgb(250,161,61)'],
        [0.7529411764705882, 'rgb(251,162,61)'],
        [0.7568627450980392, 'rgb(251,164,60)'],
        [0.7607843137254902, 'rgb(251,165,59)'],
        [0.7647058823529411, 'rgb(251,166,59)'],
        [0.7686274509803922, 'rgb(251,168,58)'],
        [0.7725490196078432, 'rgb(252,169,57)'],
        [0.7764705882352941, 'rgb(252,171,57)'],
        [0.7803921568627451, 'rgb(252,172,57)'],
        [0.7843137254901961, 'rgb(252,173,56)'],
        [0.788235294117647, 'rgb(252,175,56)'],
        [0.792156862745098, 'rgb(252,176,56)'],
        [0.796078431372549, 'rgb(252,177,56)'],
        [0.8, 'rgb(252,179,56)'],
        [0.803921568627451, 'rgb(252,180,56)'],
        [0.807843137254902, 'rgb(252,182,56)'],
        [0.8117647058823529, 'rgb(253,183,56)'],
        [0.8156862745098039, 'rgb(253,184,56)'],
        [0.8196078431372549, 'rgb(253,186,56)'],
        [0.8235294117647058, 'rgb(253,187,56)'],
        [0.8274509803921568, 'rgb(253,189,56)'],
        [0.8313725490196079, 'rgb(253,190,56)'],
        [0.8352941176470589, 'rgb(253,191,56)'],
        [0.8392156862745098, 'rgb(253,193,57)'],
        [0.8431372549019608, 'rgb(253,194,57)'],
        [0.8470588235294118, 'rgb(252,195,57)'],
        [0.8509803921568627, 'rgb(252,197,57)'],
        [0.8549019607843137, 'rgb(252,198,58)'],
        [0.8588235294117647, 'rgb(252,200,58)'],
        [0.8627450980392157, 'rgb(252,201,58)'],
        [0.8666666666666667, 'rgb(252,202,59)'],
        [0.8705882352941177, 'rgb(252,204,59)'],
        [0.8745098039215686, 'rgb(252,205,59)'],
        [0.8784313725490196, 'rgb(252,206,60)'],
        [0.8823529411764706, 'rgb(252,208,60)'],
        [0.8862745098039215, 'rgb(252,209,61)'],
        [0.8901960784313725, 'rgb(252,211,61)'],
        [0.8941176470588236, 'rgb(251,212,62)'],
        [0.8980392156862745, 'rgb(251,213,62)'],
        [0.9019607843137255, 'rgb(251,215,63)'],
        [0.9058823529411765, 'rgb(251,216,63)'],
        [0.9098039215686274, 'rgb(251,217,64)'],
        [0.9137254901960784, 'rgb(251,219,64)'],
        [0.9176470588235294, 'rgb(251,220,65)'],
        [0.9215686274509803, 'rgb(250,222,65)'],
        [0.9254901960784314, 'rgb(250,223,66)'],
        [0.9294117647058824, 'rgb(250,224,66)'],
        [0.9333333333333333, 'rgb(250,226,67)'],
        [0.9372549019607843, 'rgb(250,227,67)'],
        [0.9411764705882353, 'rgb(249,228,68)'],
        [0.9450980392156862, 'rgb(249,230,69)'],
        [0.9490196078431372, 'rgb(249,231,69)'],
        [0.9529411764705882, 'rgb(249,232,70)'],
        [0.9568627450980393, 'rgb(248,234,70)'],
        [0.9607843137254902, 'rgb(248,235,71)'],
        [0.9647058823529412, 'rgb(248,237,72)'],
        [0.9686274509803922, 'rgb(248,238,72)'],
        [0.9725490196078431, 'rgb(247,239,73)'],
        [0.9764705882352941, 'rgb(247,241,74)'],
        [0.9803921568627451, 'rgb(247,242,74)'],
        [0.984313725490196, 'rgb(247,243,75)'],
        [0.9882352941176471, 'rgb(246,245,76)'],
        [0.9921568627450981, 'rgb(246,246,76)'],
        [0.996078431372549, 'rgb(246,247,77)'],
        [1.0, 'rgb(245,249,78)'],
    ],
    'cet.linear_bmy_10_95_c78': [
        [0.0, 'rgb(0,12,125)'],
        [0.00392156862745098, 'rgb(0,13,126)'],
        [0.00784313725490196, 'rgb(0,13,128)'],
        [0.011764705882352941, 'rgb(0,14,130)'],
        [0.01568627450980392, 'rgb(0,14,132)'],
        [0.0196078431372549, 'rgb(0,14,134)'],
        [0.023529411764705882, 'rgb(0,15,135)'],
        [0.027450980392156862, 'rgb(0,15,137)'],
        [0.03137254901960784, 'rgb(0,16,139)'],
        [0.03529411764705882, 'rgb(0,16,140)'],
        [0.0392156862745098, 'rgb(0,17,142)'],
        [0.043137254901960784, 'rgb(0,17,144)'],
        [0.047058823529411764, 'rgb(0,17,145)'],
        [0.050980392156862744, 'rgb(0,18,147)'],
        [0.054901960784313725, 'rgb(0,18,148)'],
        [0.058823529411764705, 'rgb(0,18,150)'],
        [0.06274509803921569, 'rgb(0,19,151)'],
        [0.06666666666666667, 'rgb(0,19,153)'],
        [0.07058823529411765, 'rgb(0,19,154)'],
        [0.07450980392156863, 'rgb(0,20,155)'],
        [0.0784313725490196, 'rgb(0,20,157)'],
        [0.08235294117647059, 'rgb(0,20,158)'],
        [0.08627450980392157, 'rgb(0,20,159)'],
        [0.09019607843137255, 'rgb(0,21,160)'],
        [0.09411764705882353, 'rgb(0,21,161)'],
        [0.09803921568627451, 'rgb(0,21,162)'],
        [0.10196078431372549, 'rgb(0,21,163)'],
        [0.10588235294117647, 'rgb(0,21,164)'],
        [0.10980392156862745, 'rgb(0,21,165)'],
        [0.11372549019607843, 'rgb(0,22,166)'],
        [0.11764705882352941, 'rgb(0,22,167)'],
        [0.12156862745098039, 'rgb(0,22,167)'],
        [0.12549019607843137, 'rgb(0,22,168)'],
        [0.12941176470588237, 'rgb(0,22,169)'],
        [0.13333333333333333, 'rgb(0,22,169)'],
        [0.13725490196078433, 'rgb(0,22,169)'],
        [0.1411764705882353, 'rgb(10,22,170)'],
        [0.1450980392156863, 'rgb(21,22,170)'],
        [0.14901960784313725, 'rgb(29,21,170)'],
        [0.15294117647058825, 'rgb(35,21,170)'],
        [0.1568627450980392, 'rgb(41,21,170)'],
        [0.1607843137254902, 'rgb(47,21,169)'],
        [0.16470588235294117, 'rgb(52,20,169)'],
        [0.16862745098039217, 'rgb(57,20,168)'],
        [0.17254901960784313, 'rgb(62,19,167)'],
        [0.17647058823529413, 'rgb(67,19,166)'],
        [0.1803921568627451, 'rgb(71,18,165)'],
        [0.1843137254901961, 'rgb(76,18,164)'],
        [0.18823529411764706, 'rgb(80,17,163)'],
        [0.19215686274509805, 'rgb(83,17,162)'],
        [0.19607843137254902, 'rgb(87,16,161)'],
        [0.2, 'rgb(90,15,160)'],
        [0.20392156862745098, 'rgb(94,15,159)'],
        [0.20784313725490197, 'rgb(97,14,159)'],
        [0.21176470588235294, 'rgb(100,14,158)'],
        [0.21568627450980393, 'rgb(103,13,157)'],
        [0.2196078431372549, 'rgb(106,13,156)'],
        [0.2235294117647059, 'rgb(108,12,155)'],
        [0.22745098039215686, 'rgb(111,11,154)'],
        [0.23137254901960785, 'rgb(114,11,153)'],
        [0.23529411764705882, 'rgb(116,10,153)'],
        [0.23921568627450981, 'rgb(119,10,152)'],
        [0.24313725490196078, 'rgb(121,9,151)'],
        [0.24705882352941178, 'rgb(124,8,151)'],
        [0.25098039215686274, 'rgb(126,8,150)'],
        [0.2549019607843137, 'rgb(128,7,149)'],
        [0.25882352941176473, 'rgb(130,7,149)'],
        [0.2627450980392157, 'rgb(133,6,148)'],
        [0.26666666666666666, 'rgb(135,6,147)'],
        [0.27058823529411763, 'rgb(137,6,147)'],
        [0.27450980392156865, 'rgb(139,5,146)'],
        [0.2784313725490196, 'rgb(141,5,146)'],
        [0.2823529411764706, 'rgb(143,4,145)'],
        [0.28627450980392155, 'rgb(145,4,145)'],
        [0.2901960784313726, 'rgb(147,4,144)'],
        [0.29411764705882354, 'rgb(149,3,144)'],
        [0.2980392156862745, 'rgb(151,3,143)'],
        [0.30196078431372547, 'rgb(153,3,143)'],
        [0.3058823529411765, 'rgb(155,2,142)'],
        [0.30980392156862746, 'rgb(157,2,142)'],
        [0.3137254901960784, 'rgb(159,2,142)'],
        [0.3176470588235294, 'rgb(161,1,141)'],
        [0.3215686274509804, 'rgb(163,1,141)'],
        [0.3254901960784314, 'rgb(165,1,140)'],
        [0.32941176470588235, 'rgb(167,1,140)'],
        [0.3333333333333333, 'rgb(169,0,139)'],
        [0.33725490196078434, 'rgb(171,0,139)'],
        [0.3411764705882353, 'rgb(172,0,138)'],
        [0.34509803921568627, 'rgb(174,0,138)'],
        [0.34901960784313724, 'rgb(176,0,137)'],
        [0.35294117647058826, 'rgb(178,0,137)'],
        [0.3568627450980392, 'rgb(180,0,136)'],
        [0.3607843137254902, 'rgb(182,0,136)'],
        [0.36470588235294116, 'rgb(184,0,135)'],
        [0.3686274509803922, 'rgb(185,0,135)'],
        [0.37254901960784315, 'rgb(187,0,135)'],
        [0.3764705882352941, 'rgb(189,0,134)'],
        [0.3803921568627451, 'rgb(191,0,134)'],
        [0.3843137254901961, 'rgb(193,0,133)'],
        [0.38823529411764707, 'rgb(195,0,133)'],
        [0.39215686274509803, 'rgb(196,0,132)'],
        [0.396078431372549, 'rgb(198,0,132)'],
        [0.4, 'rgb(200,0,131)'],
        [0.403921568627451, 'rgb(202,0,131)'],
        [0.40784313725490196, 'rgb(204,0,130)'],
        [0.4117647058823529, 'rgb(206,0,130)'],
        [0.41568627450980394, 'rgb(207,0,129)'],
        [0.4196078431372549, 'rgb(209,0,129)'],
        [0.4235294117647059, 'rgb(211,0,128)'],
        [0.42745098039215684, 'rgb(213,0,128)'],
        [0.43137254901960786, 'rgb(214,0,127)'],
        [0.43529411764705883, 'rgb(216,0,127)'],
        [0.4392156862745098, 'rgb(218,0,126)'],
        [0.44313725490196076, 'rgb(219,0,126)'],
        [0.4470588235294118, 'rgb(221,0,125)'],
        [0.45098039215686275, 'rgb(222,0,124)'],
        [0.4549019607843137, 'rgb(224,1,124)'],
        [0.4588235294117647, 'rgb(226,2,123)'],
        [0.4627450980392157, 'rgb(227,4,123)'],
        [0.4666666666666667, 'rgb(229,6,122)'],
        [0.47058823529411764, 'rgb(230,8,122)'],
        [0.4745098039215686, 'rgb(232,11,121)'],
        [0.47843137254901963, 'rgb(233,13,120)'],
        [0.4823529411764706, 'rgb(234,16,120)'],
        [0.48627450980392156, 'rgb(236,18,119)'],
        [0.49019607843137253, 'rgb(237,20,119)'],
        [0.49411764705882355, 'rgb(238,22,118)'],
        [0.4980392156862745, 'rgb(240,24,117)'],
        [0.5019607843137255, 'rgb(241,26,117)'],
        [0.5058823529411764, 'rgb(242,28,116)'],
        [0.5098039215686274, 'rgb(244,30,115)'],
        [0.5137254901960784, 'rgb(245,32,115)'],
        [0.5176470588235295, 'rgb(246,34,114)'],
        [0.5215686274509804, 'rgb(247,36,113)'],
        [0.5254901960784314, 'rgb(248,38,113)'],
        [0.5294117647058824, 'rgb(249,40,112)'],
        [0.5333333333333333, 'rgb(251,42,111)'],
        [0.5372549019607843, 'rgb(252,44,111)'],
        [0.5411764705882353, 'rgb(253,46,110)'],
        [0.5450980392156862, 'rgb(254,48,109)'],
        [0.5490196078431373, 'rgb(255,50,108)'],
        [0.5529411764705883, 'rgb(255,52,108)'],
        [0.5568627450980392, 'rgb(255,54,107)'],
        [0.5607843137254902, 'rgb(255,56,106)'],
        [0.5647058823529412, 'rgb(255,58,106)'],
        [0.5686274509803921, 'rgb(255,61,105)'],
        [0.5725490196078431, 'rgb(255,63,104)'],
        [0.5764705882352941, 'rgb(255,65,103)'],
        [0.5803921568627451, 'rgb(255,67,102)'],
        [0.5843137254901961, 'rgb(255,69,102)'],
        [0.5882352941176471, 'rgb(255,71,101)'],
        [0.592156862745098, 'rgb(255,73,100)'],
        [0.596078431372549, 'rgb(255,75,99)'],
        [0.6, 'rgb(255,77,98)'],
        [0.6039215686274509, 'rgb(255,80,98)'],
        [0.6078431372549019, 'rgb(255,82,97)'],
        [0.611764705882353, 'rgb(255,84,96)'],
        [0.615686274509804, 'rgb(255,86,95)'],
        [0.6196078431372549, 'rgb(255,88,94)'],
        [0.6235294117647059, 'rgb(255,90,93)'],
        [0.6274509803921569, 'rgb(255,93,92)'],
        [0.6313725490196078, 'rgb(255,95,91)'],
        [0.6352941176470588, 'rgb(255,97,91)'],
        [0.6392156862745098, 'rgb(255,99,90)'],
        [0.6431372549019608, 'rgb(255,101,89)'],
        [0.6470588235294118, 'rgb(255,103,88)'],
        [0.6509803921568628, 'rgb(255,106,87)'],
        [0.6549019607843137, 'rgb(255,108,86)'],
        [0.6588235294117647, 'rgb(255,110,85)'],
        [0.6627450980392157, 'rgb(255,112,84)'],
        [0.6666666666666666, 'rgb(255,114,83)'],
        [0.6705882352941176, 'rgb(255,116,82)'],
        [0.6745098039215687, 'rgb(255,118,81)'],
        [0.6784313725490196, 'rgb(255,120,80)'],
        [0.6823529411764706, 'rgb(255,122,78)'],
        [0.6862745098039216, 'rgb(255,124,77)'],
        [0.6901960784313725, 'rgb(255,126,76)'],
        [0.6941176470588235, 'rgb(255,127,75)'],
        [0.6980392156862745, 'rgb(255,129,74)'],
        [0.7019607843137254, 'rgb(255,131,73)'],
        [0.7058823529411765, 'rgb(255,133,72)'],
        [0.7098039215686275, 'rgb(255,135,71)'],
        [0.7137254901960784, 'rgb(255,136,69)'],
        [0.7176470588235294, 'rgb(255,138,68)'],
        [0.7215686274509804, 'rgb(255,140,67)'],
        [0.7254901960784313, 'rgb(255,142,66)'],
        [0.7294117647058823, 'rgb(255,143,64)'],
        [0.7333333333333333, 'rgb(255,145,63)'],
        [0.7372549019607844, 'rgb(255,147,62)'],
        [0.7411764705882353, 'rgb(255,149,60)'],
        [0.7450980392156863, 'rgb(255,150,59)'],
        [0.7490196078431373, 'rgb(255,152,57)'],
        [0.7529411764705882, 'rgb(255,154,56)'],
        [0.7568627450980392, 'rgb(255,155,54)'],
        [0.7607843137254902, 'rgb(255,157,53)'],
        [0.7647058823529411, 'rgb(255,159,51)'],
        [0.7686274509803922, 'rgb(255,160,50)'],
        [0.7725490196078432, 'rgb(255,162,48)'],
        [0.7764705882352941, 'rgb(255,163,47)'],
        [0.7803921568627451, 'rgb(255,165,46)'],
        [0.7843137254901961, 'rgb(255,166,44)'],
        [0.788235294117647, 'rgb(255,168,43)'],
        [0.792156862745098, 'rgb(255,169,42)'],
        [0.796078431372549, 'rgb(255,171,41)'],
        [0.8, 'rgb(255,172,40)'],
        [0.803921568627451, 'rgb(255,174,39)'],
        [0.807843137254902, 'rgb(255,175,38)'],
        [0.8117647058823529, 'rgb(255,177,38)'],
        [0.8156862745098039, 'rgb(255,178,37)'],
        [0.8196078431372549, 'rgb(255,180,36)'],
        [0.8235294117647058, 'rgb(255,181,35)'],
        [0.8274509803921568, 'rgb(255,182,35)'],
        [0.8313725490196079, 'rgb(255,184,34)'],
        [0.8352941176470589, 'rgb(255,185,34)'],
        [0.8392156862745098, 'rgb(255,187,33)'],
        [0.8431372549019608, 'rgb(255,188,32)'],
        [0.8470588235294118, 'rgb(255,189,32)'],
        [0.8509803921568627, 'rgb(255,191,31)'],
        [0.8549019607843137, 'rgb(255,192,31)'],
        [0.8588235294117647, 'rgb(255,194,31)'],
        [0.8627450980392157, 'rgb(255,195,30)'],
        [0.8666666666666667, 'rgb(255,196,30)'],
        [0.8705882352941177, 'rgb(255,198,30)'],
        [0.8745098039215686, 'rgb(255,199,29)'],
        [0.8784313725490196, 'rgb(255,200,29)'],
        [0.8823529411764706, 'rgb(255,202,29)'],
        [0.8862745098039215, 'rgb(255,203,29)'],
        [0.8901960784313725, 'rgb(255,204,29)'],
        [0.8941176470588236, 'rgb(255,206,29)'],
        [0.8980392156862745, 'rgb(255,207,28)'],
        [0.9019607843137255, 'rgb(255,208,28)'],
        [0.9058823529411765, 'rgb(255,210,28)'],
        [0.9098039215686274, 'rgb(255,211,28)'],
        [0.9137254901960784, 'rgb(255,212,28)'],
        [0.9176470588235294, 'rgb(255,214,28)'],
        [0.9215686274509803, 'rgb(255,215,29)'],
        [0.9254901960784314, 'rgb(255,216,29)'],
        [0.9294117647058824, 'rgb(255,218,29)'],
        [0.9333333333333333, 'rgb(255,219,29)'],
        [0.9372549019607843, 'rgb(255,220,29)'],
        [0.9411764705882353, 'rgb(255,222,29)'],
        [0.9450980392156862, 'rgb(255,223,30)'],
        [0.9490196078431372, 'rgb(255,224,30)'],
        [0.9529411764705882, 'rgb(255,226,30)'],
        [0.9568627450980393, 'rgb(255,227,30)'],
        [0.9607843137254902, 'rgb(255,228,31)'],
        [0.9647058823529412, 'rgb(255,230,31)'],
        [0.9686274509803922, 'rgb(255,231,31)'],
        [0.9725490196078431, 'rgb(255,232,32)'],
        [0.9764705882352941, 'rgb(255,233,32)'],
        [0.9803921568627451, 'rgb(255,235,33)'],
        [0.984313725490196, 'rgb(255,236,33)'],
        [0.9882352941176471, 'rgb(255,237,34)'],
        [0.9921568627450981, 'rgb(255,239,34)'],
        [0.996078431372549, 'rgb(255,240,35)'],
        [1.0, 'rgb(255,241,35)'],
    ],
    'cet.linear_gow_60_85_c27': [
        [0.0, 'rgb(102,155,144)'],
        [0.00392156862745098, 'rgb(102,155,143)'],
        [0.00784313725490196, 'rgb(103,155,143)'],
        [0.011764705882352941, 'rgb(104,155,143)'],
        [0.01568627450980392, 'rgb(105,156,142)'],
        [0.0196078431372549, 'rgb(105,156,142)'],
        [0.023529411764705882, 'rgb(106,156,141)'],
        [0.027450980392156862, 'rgb(107,156,141)'],
        [0.03137254901960784, 'rgb(107,157,140)'],
        [0.03529411764705882, 'rgb(108,157,140)'],
        [0.0392156862745098, 'rgb(109,157,139)'],
        [0.043137254901960784, 'rgb(110,157,139)'],
        [0.047058823529411764, 'rgb(110,157,138)'],
        [0.050980392156862744, 'rgb(111,158,138)'],
        [0.054901960784313725, 'rgb(112,158,137)'],
        [0.058823529411764705, 'rgb(113,158,137)'],
        [0.06274509803921569, 'rgb(113,158,137)'],
        [0.06666666666666667, 'rgb(114,159,136)'],
        [0.07058823529411765, 'rgb(115,159,136)'],
        [0.07450980392156863, 'rgb(116,159,135)'],
        [0.0784313725490196, 'rgb(116,159,135)'],
        [0.08235294117647059, 'rgb(117,159,134)'],
        [0.08627450980392157, 'rgb(118,160,134)'],
        [0.09019607843137255, 'rgb(119,160,133)'],
        [0.09411764705882353, 'rgb(119,160,133)'],
        [0.09803921568627451, 'rgb(120,160,133)'],
        [0.10196078431372549, 'rgb(121,161,132)'],
        [0.10588235294117647, 'rgb(122,161,132)'],
        [0.10980392156862745, 'rgb(123,161,131)'],
        [0.11372549019607843, 'rgb(123,161,131)'],
        [0.11764705882352941, 'rgb(124,161,130)'],
        [0.12156862745098039, 'rgb(125,162,130)'],
        [0.12549019607843137, 'rgb(126,162,129)'],
        [0.12941176470588237, 'rgb(127,162,129)'],
        [0.13333333333333333, 'rgb(127,162,129)'],
        [0.13725490196078433, 'rgb(128,162,128)'],
        [0.1411764705882353, 'rgb(129,162,128)'],
        [0.1450980392156863, 'rgb(130,163,127)'],
        [0.14901960784313725, 'rgb(131,163,127)'],
        [0.15294117647058825, 'rgb(132,163,127)'],
        [0.1568627450980392, 'rgb(132,163,126)'],
        [0.1607843137254902, 'rgb(133,163,126)'],
        [0.16470588235294117, 'rgb(134,164,125)'],
        [0.16862745098039217, 'rgb(135,164,125)'],
        [0.17254901960784313, 'rgb(136,164,125)'],
        [0.17647058823529413, 'rgb(137,164,124)'],
        [0.1803921568627451, 'rgb(138,164,124)'],
        [0.1843137254901961, 'rgb(139,164,123)'],
        [0.18823529411764706, 'rgb(140,164,123)'],
        [0.19215686274509805, 'rgb(140,165,123)'],
        [0.19607843137254902, 'rgb(141,165,122)'],
        [0.2, 'rgb(142,165,122)'],
        [0.20392156862745098, 'rgb(143,165,122)'],
        [0.20784313725490197, 'rgb(144,165,121)'],
        [0.21176470588235294, 'rgb(145,165,121)'],
        [0.21568627450980393, 'rgb(146,165,120)'],
        [0.2196078431372549, 'rgb(147,165,120)'],
        [0.2235294117647059, 'rgb(148,166,120)'],
        [0.22745098039215686, 'rgb(149,166,119)'],
        [0.23137254901960785, 'rgb(150,166,119)'],
        [0.23529411764705882, 'rgb(151,166,119)'],
        [0.23921568627450981, 'rgb(153,166,118)'],
        [0.24313725490196078, 'rgb(154,166,118)'],
        [0.24705882352941178, 'rgb(155,166,118)'],
        [0.25098039215686274, 'rgb(156,166,118)'],
        [0.2549019607843137, 'rgb(157,166,117)'],
        [0.25882352941176473, 'rgb(158,166,117)'],
        [0.2627450980392157, 'rgb(159,166,117)'],
        [0.26666666666666666, 'rgb(161,166,116)'],
        [0.27058823529411763, 'rgb(162,166,116)'],
        [0.27450980392156865, 'rgb(163,166,116)'],
        [0.2784313725490196, 'rgb(164,166,116)'],
        [0.2823529411764706, 'rgb(166,166,115)'],
        [0.28627450980392155, 'rgb(167,166,115)'],
        [0.2901960784313726, 'rgb(168,166,115)'],
        [0.29411764705882354, 'rgb(170,166,115)'],
        [0.2980392156862745, 'rgb(171,166,115)'],
        [0.30196078431372547, 'rgb(172,166,114)'],
        [0.3058823529411765, 'rgb(174,166,114)'],
        [0.30980392156862746, 'rgb(175,166,114)'],
        [0.3137254901960784, 'rgb(177,166,114)'],
        [0.3176470588235294, 'rgb(178,166,114)'],
        [0.3215686274509804, 'rgb(179,166,114)'],
        [0.3254901960784314, 'rgb(180,166,113)'],
        [0.32941176470588235, 'rgb(182,166,113)'],
        [0.3333333333333333, 'rgb(183,166,113)'],
        [0.33725490196078434, 'rgb(184,166,113)'],
        [0.3411764705882353, 'rgb(185,166,113)'],
        [0.34509803921568627, 'rgb(186,166,113)'],
        [0.34901960784313724, 'rgb(187,166,112)'],
        [0.35294117647058826, 'rgb(188,166,112)'],
        [0.3568627450980392, 'rgb(189,166,112)'],
        [0.3607843137254902, 'rgb(191,166,112)'],
        [0.36470588235294116, 'rgb(192,166,112)'],
        [0.3686274509803922, 'rgb(192,166,111)'],
        [0.37254901960784315, 'rgb(193,166,111)'],
        [0.3764705882352941, 'rgb(194,166,111)'],
        [0.3803921568627451, 'rgb(195,166,111)'],
        [0.3843137254901961, 'rgb(196,166,111)'],
        [0.38823529411764707, 'rgb(197,166,111)'],
        [0.39215686274509803, 'rgb(198,166,110)'],
        [0.396078431372549, 'rgb(199,166,110)'],
        [0.4, 'rgb(199,166,110)'],
        [0.403921568627451, 'rgb(200,167,110)'],
        [0.40784313725490196, 'rgb(201,167,110)'],
        [0.4117647058823529, 'rgb(202,167,110)'],
        [0.41568627450980394, 'rgb(202,167,109)'],
        [0.4196078431372549, 'rgb(203,167,109)'],
        [0.4235294117647059, 'rgb(204,167,109)'],
        [0.42745098039215684, 'rgb(204,167,109)'],
        [0.43137254901960786, 'rgb(205,167,109)'],
        [0.43529411764705883, 'rgb(205,168,109)'],
        [0.4392156862745098, 'rgb(206,168,108)'],
        [0.44313725490196076, 'rgb(207,168,108)'],
        [0.4470588235294118, 'rgb(207,168,108)'],
        [0.45098039215686275, 'rgb(208,168,108)'],
        [0.4549019607843137, 'rgb(208,169,108)'],
        [0.4588235294117647, 'rgb(208,169,108)'],
        [0.4627450980392157, 'rgb(209,169,107)'],
        [0.4666666666666667, 'rgb(209,169,107)'],
        [0.47058823529411764, 'rgb(210,170,107)'],
        [0.4745098039215686, 'rgb(210,170,107)'],
        [0.47843137254901963, 'rgb(210,170,107)'],
        [0.4823529411764706, 'rgb(211,170,106)'],
        [0.48627450980392156, 'rgb(211,171,106)'],
        [0.49019607843137253, 'rgb(211,171,106)'],
        [0.49411764705882355, 'rgb(212,171,106)'],
        [0.4980392156862745, 'rgb(212,172,106)'],
        [0.5019607843137255, 'rgb(212,172,106)'],
        [0.5058823529411764, 'rgb(212,172,105)'],
        [0.5098039215686274, 'rgb(212,173,105)'],
        [0.5137254901960784, 'rgb(213,173,105)'],
        [0.5176470588235295, 'rgb(213,173,105)'],
        [0.5215686274509804, 'rgb(213,173,105)'],
        [0.5254901960784314, 'rgb(213,174,105)'],
        [0.5294117647058824, 'rgb(213,174,105)'],
        [0.5333333333333333, 'rgb(213,174,105)'],
        [0.5372549019607843, 'rgb(214,175,105)'],
        [0.5411764705882353, 'rgb(214,175,105)'],
        [0.5450980392156862, 'rgb(214,175,105)'],
        [0.5490196078431373, 'rgb(214,176,105)'],
        [0.5529411764705883, 'rgb(214,176,106)'],
        [0.5568627450980392, 'rgb(214,176,106)'],
        [0.5607843137254902, 'rgb(215,177,106)'],
        [0.5647058823529412, 'rgb(215,177,106)'],
        [0.5686274509803921, 'rgb(215,177,106)'],
        [0.5725490196078431, 'rgb(215,178,107)'],
        [0.5764705882352941, 'rgb(215,178,107)'],
        [0.5803921568627451, 'rgb(215,178,107)'],
        [0.5843137254901961, 'rgb(215,179,108)'],
        [0.5882352941176471, 'rgb(215,179,108)'],
        [0.592156862745098, 'rgb(216,179,109)'],
        [0.596078431372549, 'rgb(216,180,109)'],
        [0.6, 'rgb(216,180,109)'],
        [0.6039215686274509, 'rgb(216,180,110)'],
        [0.6078431372549019, 'rgb(216,181,110)'],
        [0.611764705882353, 'rgb(216,181,111)'],
        [0.615686274509804, 'rgb(216,181,112)'],
        [0.6196078431372549, 'rgb(216,182,112)'],
        [0.6235294117647059, 'rgb(216,182,113)'],
        [0.6274509803921569, 'rgb(216,182,113)'],
        [0.6313725490196078, 'rgb(216,183,114)'],
        [0.6352941176470588, 'rgb(216,183,115)'],
        [0.6392156862745098, 'rgb(216,183,115)'],
        [0.6431372549019608, 'rgb(217,184,116)'],
        [0.6470588235294118, 'rgb(217,184,117)'],
        [0.6509803921568628, 'rgb(217,184,118)'],
        [0.6549019607843137, 'rgb(217,184,118)'],
        [0.6588235294117647, 'rgb(217,185,119)'],
        [0.6627450980392157, 'rgb(217,185,120)'],
        [0.6666666666666666, 'rgb(217,185,121)'],
        [0.6705882352941176, 'rgb(217,186,122)'],
        [0.6745098039215687, 'rgb(217,186,123)'],
        [0.6784313725490196, 'rgb(217,186,124)'],
        [0.6823529411764706, 'rgb(217,187,125)'],
        [0.6862745098039216, 'rgb(217,187,126)'],
        [0.6901960784313725, 'rgb(217,187,127)'],
        [0.6941176470588235, 'rgb(217,188,128)'],
        [0.6980392156862745, 'rgb(216,188,129)'],
        [0.7019607843137254, 'rgb(216,188,130)'],
        [0.7058823529411765, 'rgb(216,189,131)'],
        [0.7098039215686275, 'rgb(216,189,132)'],
        [0.7137254901960784, 'rgb(216,189,133)'],
        [0.7176470588235294, 'rgb(216,190,134)'],
        [0.7215686274509804, 'rgb(216,190,136)'],
        [0.7254901960784313, 'rgb(216,190,137)'],
        [0.7294117647058823, 'rgb(216,191,138)'],
        [0.7333333333333333, 'rgb(216,191,139)'],
        [0.7372549019607844, 'rgb(216,191,140)'],
        [0.7411764705882353, 'rgb(216,192,141)'],
        [0.7450980392156863, 'rgb(216,192,142)'],
        [0.7490196078431373, 'rgb(216,192,143)'],
        [0.7529411764705882, 'rgb(216,193,144)'],
        [0.7568627450980392, 'rgb(216,193,145)'],
        [0.7607843137254902, 'rgb(216,193,146)'],
        [0.7647058823529411, 'rgb(216,194,148)'],
        [0.7686274509803922, 'rgb(216,194,149)'],
        [0.7725490196078432, 'rgb(216,194,150)'],
        [0.7764705882352941, 'rgb(216,195,151)'],
        [0.7803921568627451, 'rgb(216,195,152)'],
        [0.7843137254901961, 'rgb(216,195,153)'],
        [0.788235294117647, 'rgb(216,196,154)'],
        [0.792156862745098, 'rgb(216,196,155)'],
        [0.796078431372549, 'rgb(216,196,156)'],
        [0.8, 'rgb(215,197,157)'],
        [0.803921568627451, 'rgb(215,197,158)'],
        [0.807843137254902, 'rgb(215,197,159)'],
        [0.8117647058823529, 'rgb(215,197,161)'],
        [0.8156862745098039, 'rgb(215,198,162)'],
        [0.8196078431372549, 'rgb(215,198,163)'],
        [0.8235294117647058, 'rgb(215,198,164)'],
        [0.8274509803921568, 'rgb(215,199,165)'],
        [0.8313725490196079, 'rgb(215,199,166)'],
        [0.8352941176470589, 'rgb(215,199,167)'],
        [0.8392156862745098, 'rgb(215,200,168)'],
        [0.8431372549019608, 'rgb(215,200,169)'],
        [0.8470588235294118, 'rgb(215,200,170)'],
        [0.8509803921568627, 'rgb(215,201,171)'],
        [0.8549019607843137, 'rgb(215,201,172)'],
        [0.8588235294117647, 'rgb(215,201,173)'],
        [0.8627450980392157, 'rgb(215,202,175)'],
        [0.8666666666666667, 'rgb(215,202,176)'],
        [0.8705882352941177, 'rgb(215,202,177)'],
        [0.8745098039215686, 'rgb(215,202,178)'],
        [0.8784313725490196, 'rgb(215,203,179)'],
        [0.8823529411764706, 'rgb(215,203,180)'],
        [0.8862745098039215, 'rgb(215,203,181)'],
        [0.8901960784313725, 'rgb(214,204,182)'],
        [0.8941176470588236, 'rgb(214,204,183)'],
        [0.8980392156862745, 'rgb(214,204,184)'],
        [0.9019607843137255, 'rgb(214,205,185)'],
        [0.9058823529411765, 'rgb(214,205,186)'],
        [0.9098039215686274, 'rgb(214,205,187)'],
        [0.9137254901960784, 'rgb(214,206,189)'],
        [0.9176470588235294, 'rgb(214,206,190)'],
        [0.9215686274509803, 'rgb(214,206,191)'],
        [0.9254901960784314, 'rgb(214,206,192)'],
        [0.9294117647058824, 'rgb(214,207,193)'],
        [0.9333333333333333, 'rgb(214,207,194)'],
        [0.9372549019607843, 'rgb(214,207,195)'],
        [0.9411764705882353, 'rgb(214,208,196)'],
        [0.9450980392156862, 'rgb(214,208,197)'],
        [0.9490196078431372, 'rgb(213,208,198)'],
        [0.9529411764705882, 'rgb(213,209,199)'],
        [0.9568627450980393, 'rgb(213,209,200)'],
        [0.9607843137254902, 'rgb(213,209,201)'],
        [0.9647058823529412, 'rgb(213,209,203)'],
        [0.9686274509803922, 'rgb(213,210,204)'],
        [0.9725490196078431, 'rgb(213,210,205)'],
        [0.9764705882352941, 'rgb(213,210,206)'],
        [0.9803921568627451, 'rgb(213,211,207)'],
        [0.984313725490196, 'rgb(213,211,208)'],
        [0.9882352941176471, 'rgb(213,211,209)'],
        [0.9921568627450981, 'rgb(212,212,210)'],
        [0.996078431372549, 'rgb(212,212,211)'],
        [1.0, 'rgb(212,212,212)'],
    ],
    'cet.linear_gow_65_90_c35': [
        [0.0, 'rgb(112,173,92)'],
        [0.00392156862745098, 'rgb(113,173,92)'],
        [0.00784313725490196, 'rgb(114,173,92)'],
        [0.011764705882352941, 'rgb(116,173,92)'],
        [0.01568627450980392, 'rgb(117,173,92)'],
        [0.0196078431372549, 'rgb(118,173,93)'],
        [0.023529411764705882, 'rgb(120,173,93)'],
        [0.027450980392156862, 'rgb(121,173,93)'],
        [0.03137254901960784, 'rgb(122,174,93)'],
        [0.03529411764705882, 'rgb(124,174,93)'],
        [0.0392156862745098, 'rgb(125,174,93)'],
        [0.043137254901960784, 'rgb(126,174,93)'],
        [0.047058823529411764, 'rgb(128,174,93)'],
        [0.050980392156862744, 'rgb(129,174,93)'],
        [0.054901960784313725, 'rgb(130,174,94)'],
        [0.058823529411764705, 'rgb(131,174,94)'],
        [0.06274509803921569, 'rgb(133,174,94)'],
        [0.06666666666666667, 'rgb(134,174,94)'],
        [0.07058823529411765, 'rgb(135,174,94)'],
        [0.07450980392156863, 'rgb(136,174,94)'],
        [0.0784313725490196, 'rgb(138,174,94)'],
        [0.08235294117647059, 'rgb(139,174,94)'],
        [0.08627450980392157, 'rgb(140,174,95)'],
        [0.09019607843137255, 'rgb(141,175,95)'],
        [0.09411764705882353, 'rgb(142,175,95)'],
        [0.09803921568627451, 'rgb(144,175,95)'],
        [0.10196078431372549, 'rgb(145,175,95)'],
        [0.10588235294117647, 'rgb(146,175,95)'],
        [0.10980392156862745, 'rgb(147,175,95)'],
        [0.11372549019607843, 'rgb(148,175,95)'],
        [0.11764705882352941, 'rgb(149,175,95)'],
        [0.12156862745098039, 'rgb(150,175,96)'],
        [0.12549019607843137, 'rgb(152,175,96)'],
        [0.12941176470588237, 'rgb(153,175,96)'],
        [0.13333333333333333, 'rgb(154,175,96)'],
        [0.13725490196078433, 'rgb(155,175,96)'],
        [0.1411764705882353, 'rgb(156,175,96)'],
        [0.1450980392156863, 'rgb(157,175,96)'],
        [0.14901960784313725, 'rgb(158,175,96)'],
        [0.15294117647058825, 'rgb(159,175,97)'],
        [0.1568627450980392, 'rgb(160,176,97)'],
        [0.1607843137254902, 'rgb(161,176,97)'],
        [0.16470588235294117, 'rgb(163,176,97)'],
        [0.16862745098039217, 'rgb(164,176,97)'],
        [0.17254901960784313, 'rgb(165,176,97)'],
        [0.17647058823529413, 'rgb(166,176,97)'],
        [0.1803921568627451, 'rgb(167,176,97)'],
        [0.1843137254901961, 'rgb(168,176,98)'],
        [0.18823529411764706, 'rgb(169,176,98)'],
        [0.19215686274509805, 'rgb(170,176,98)'],
        [0.19607843137254902, 'rgb(171,176,98)'],
        [0.2, 'rgb(172,176,98)'],
        [0.20392156862745098, 'rgb(173,176,98)'],
        [0.20784313725490197, 'rgb(174,176,98)'],
        [0.21176470588235294, 'rgb(175,176,98)'],
        [0.21568627450980393, 'rgb(176,176,99)'],
        [0.2196078431372549, 'rgb(177,176,99)'],
        [0.2235294117647059, 'rgb(178,176,99)'],
        [0.22745098039215686, 'rgb(179,176,99)'],
        [0.23137254901960785, 'rgb(180,177,99)'],
        [0.23529411764705882, 'rgb(181,177,99)'],
        [0.23921568627450981, 'rgb(182,177,99)'],
        [0.24313725490196078, 'rgb(183,177,100)'],
        [0.24705882352941178, 'rgb(184,177,100)'],
        [0.25098039215686274, 'rgb(185,177,100)'],
        [0.2549019607843137, 'rgb(186,177,100)'],
        [0.25882352941176473, 'rgb(187,177,100)'],
        [0.2627450980392157, 'rgb(188,177,100)'],
        [0.26666666666666666, 'rgb(189,177,100)'],
        [0.27058823529411763, 'rgb(190,177,100)'],
        [0.27450980392156865, 'rgb(191,177,101)'],
        [0.2784313725490196, 'rgb(192,177,101)'],
        [0.2823529411764706, 'rgb(193,177,101)'],
        [0.28627450980392155, 'rgb(193,177,101)'],
        [0.2901960784313726, 'rgb(194,177,101)'],
        [0.29411764705882354, 'rgb(195,177,101)'],
        [0.2980392156862745, 'rgb(196,177,101)'],
        [0.30196078431372547, 'rgb(197,178,102)'],
        [0.3058823529411765, 'rgb(198,178,102)'],
        [0.30980392156862746, 'rgb(199,178,102)'],
        [0.3137254901960784, 'rgb(200,178,102)'],
        [0.3176470588235294, 'rgb(201,178,102)'],
        [0.3215686274509804, 'rgb(202,178,102)'],
        [0.3254901960784314, 'rgb(202,178,102)'],
        [0.32941176470588235, 'rgb(203,178,102)'],
        [0.3333333333333333, 'rgb(204,178,103)'],
        [0.33725490196078434, 'rgb(205,178,103)'],
        [0.3411764705882353, 'rgb(206,178,103)'],
        [0.34509803921568627, 'rgb(207,178,103)'],
        [0.34901960784313724, 'rgb(207,178,103)'],
        [0.35294117647058826, 'rgb(208,178,103)'],
        [0.3568627450980392, 'rgb(209,178,103)'],
        [0.3607843137254902, 'rgb(210,179,104)'],
        [0.36470588235294116, 'rgb(211,179,104)'],
        [0.3686274509803922, 'rgb(212,179,104)'],
        [0.37254901960784315, 'rgb(212,179,104)'],
        [0.3764705882352941, 'rgb(213,179,104)'],
        [0.3803921568627451, 'rgb(214,179,104)'],
        [0.3843137254901961, 'rgb(215,179,104)'],
        [0.38823529411764707, 'rgb(215,179,105)'],
        [0.39215686274509803, 'rgb(216,179,105)'],
        [0.396078431372549, 'rgb(217,179,105)'],
        [0.4, 'rgb(218,179,105)'],
        [0.403921568627451, 'rgb(218,180,105)'],
        [0.40784313725490196, 'rgb(219,180,105)'],
        [0.4117647058823529, 'rgb(220,180,105)'],
        [0.41568627450980394, 'rgb(220,180,106)'],
        [0.4196078431372549, 'rgb(221,180,106)'],
        [0.4235294117647059, 'rgb(222,180,106)'],
        [0.42745098039215684, 'rgb(222,180,106)'],
        [0.43137254901960786, 'rgb(223,180,106)'],
        [0.43529411764705883, 'rgb(224,181,106)'],
        [0.4392156862745098, 'rgb(224,181,107)'],
        [0.44313725490196076, 'rgb(225,181,107)'],
        [0.4470588235294118, 'rgb(225,181,107)'],
        [0.45098039215686275, 'rgb(226,181,107)'],
        [0.4549019607843137, 'rgb(226,181,107)'],
        [0.4588235294117647, 'rgb(227,182,107)'],
        [0.4627450980392157, 'rgb(227,182,107)'],
        [0.4666666666666667, 'rgb(228,182,108)'],
        [0.47058823529411764, 'rgb(228,182,108)'],
        [0.4745098039215686, 'rgb(229,182,108)'],
        [0.47843137254901963, 'rgb(229,183,108)'],
        [0.4823529411764706, 'rgb(229,183,108)'],
        [0.48627450980392156, 'rgb(230,183,108)'],
        [0.49019607843137253, 'rgb(230,183,109)'],
        [0.49411764705882355, 'rgb(230,184,109)'],
        [0.4980392156862745, 'rgb(230,184,109)'],
        [0.5019607843137255, 'rgb(230,184,109)'],
        [0.5058823529411764, 'rgb(230,185,109)'],
        [0.5098039215686274, 'rgb(231,185,110)'],
        [0.5137254901960784, 'rgb(231,185,110)'],
        [0.5176470588235295, 'rgb(231,186,110)'],
        [0.5215686274509804, 'rgb(231,186,110)'],
        [0.5254901960784314, 'rgb(231,187,111)'],
        [0.5294117647058824, 'rgb(231,187,111)'],
        [0.5333333333333333, 'rgb(231,187,111)'],
        [0.5372549019607843, 'rgb(231,188,112)'],
        [0.5411764705882353, 'rgb(231,188,112)'],
        [0.5450980392156862, 'rgb(231,188,113)'],
        [0.5490196078431373, 'rgb(231,189,113)'],
        [0.5529411764705883, 'rgb(231,189,113)'],
        [0.5568627450980392, 'rgb(231,189,114)'],
        [0.5607843137254902, 'rgb(231,190,114)'],
        [0.5647058823529412, 'rgb(231,190,115)'],
        [0.5686274509803921, 'rgb(231,190,115)'],
        [0.5725490196078431, 'rgb(231,191,116)'],
        [0.5764705882352941, 'rgb(231,191,116)'],
        [0.5803921568627451, 'rgb(231,192,117)'],
        [0.5843137254901961, 'rgb(231,192,117)'],
        [0.5882352941176471, 'rgb(231,192,118)'],
        [0.592156862745098, 'rgb(231,193,119)'],
        [0.596078431372549, 'rgb(231,193,119)'],
        [0.6, 'rgb(231,193,120)'],
        [0.6039215686274509, 'rgb(231,194,121)'],
        [0.6078431372549019, 'rgb(231,194,121)'],
        [0.611764705882353, 'rgb(231,194,122)'],
        [0.615686274509804, 'rgb(231,195,123)'],
        [0.6196078431372549, 'rgb(231,195,124)'],
        [0.6235294117647059, 'rgb(231,195,124)'],
        [0.6274509803921569, 'rgb(231,196,125)'],
        [0.6313725490196078, 'rgb(231,196,126)'],
        [0.6352941176470588, 'rgb(231,196,127)'],
        [0.6392156862745098, 'rgb(231,197,127)'],
        [0.6431372549019608, 'rgb(231,197,128)'],
        [0.6470588235294118, 'rgb(231,197,129)'],
        [0.6509803921568628, 'rgb(231,198,130)'],
        [0.6549019607843137, 'rgb(231,198,131)'],
        [0.6588235294117647, 'rgb(231,198,132)'],
        [0.6627450980392157, 'rgb(231,199,133)'],
        [0.6666666666666666, 'rgb(231,199,134)'],
        [0.6705882352941176, 'rgb(231,200,135)'],
        [0.6745098039215687, 'rgb(231,200,136)'],
        [0.6784313725490196, 'rgb(231,200,137)'],
        [0.6823529411764706, 'rgb(231,201,138)'],
        [0.6862745098039216, 'rgb(231,201,139)'],
        [0.6901960784313725, 'rgb(231,201,140)'],
        [0.6941176470588235, 'rgb(231,202,141)'],
        [0.6980392156862745, 'rgb(231,202,142)'],
        [0.7019607843137254, 'rgb(231,202,143)'],
        [0.7058823529411765, 'rgb(231,203,144)'],
        [0.7098039215686275, 'rgb(231,203,145)'],
        [0.7137254901960784, 'rgb(231,203,147)'],
        [0.7176470588235294, 'rgb(231,204,148)'],
        [0.7215686274509804, 'rgb(231,204,149)'],
        [0.7254901960784313, 'rgb(231,204,150)'],
        [0.7294117647058823, 'rgb(231,205,151)'],
        [0.7333333333333333, 'rgb(230,205,152)'],
        [0.7372549019607844, 'rgb(230,205,153)'],
        [0.7411764705882353, 'rgb(230,206,154)'],
        [0.7450980392156863, 'rgb(230,206,155)'],
        [0.7490196078431373, 'rgb(230,206,156)'],
        [0.7529411764705882, 'rgb(230,207,158)'],
        [0.7568627450980392, 'rgb(230,207,159)'],
        [0.7607843137254902, 'rgb(230,207,160)'],
        [0.7647058823529411, 'rgb(230,208,161)'],
        [0.7686274509803922, 'rgb(230,208,162)'],
        [0.7725490196078432, 'rgb(230,208,163)'],
        [0.7764705882352941, 'rgb(230,208,164)'],
        [0.7803921568627451, 'rgb(230,209,165)'],
        [0.7843137254901961, 'rgb(230,209,166)'],
        [0.788235294117647, 'rgb(230,209,167)'],
        [0.792156862745098, 'rgb(230,210,169)'],
        [0.796078431372549, 'rgb(230,210,170)'],
        [0.8, 'rgb(230,210,171)'],
        [0.803921568627451, 'rgb(230,211,172)'],
        [0.807843137254902, 'rgb(230,211,173)'],
        [0.8117647058823529, 'rgb(230,211,174)'],
        [0.8156862745098039, 'rgb(230,212,175)'],
        [0.8196078431372549, 'rgb(230,212,176)'],
        [0.8235294117647058, 'rgb(229,212,177)'],
        [0.8274509803921568, 'rgb(229,213,178)'],
        [0.8313725490196079, 'rgb(229,213,179)'],
        [0.8352941176470589, 'rgb(229,213,181)'],
        [0.8392156862745098, 'rgb(229,214,182)'],
        [0.8431372549019608, 'rgb(229,214,183)'],
        [0.8470588235294118, 'rgb(229,214,184)'],
        [0.8509803921568627, 'rgb(229,215,185)'],
        [0.8549019607843137, 'rgb(229,215,186)'],
        [0.8588235294117647, 'rgb(229,215,187)'],
        [0.8627450980392157, 'rgb(229,215,188)'],
        [0.8666666666666667, 'rgb(229,216,189)'],
        [0.8705882352941177, 'rgb(229,216,190)'],
        [0.8745098039215686, 'rgb(229,216,191)'],
        [0.8784313725490196, 'rgb(229,217,193)'],
        [0.8823529411764706, 'rgb(229,217,194)'],
        [0.8862745098039215, 'rgb(229,217,195)'],
        [0.8901960784313725, 'rgb(229,218,196)'],
        [0.8941176470588236, 'rgb(229,218,197)'],
        [0.8980392156862745, 'rgb(228,218,198)'],
        [0.9019607843137255, 'rgb(228,219,199)'],
        [0.9058823529411765, 'rgb(228,219,200)'],
        [0.9098039215686274, 'rgb(228,219,201)'],
        [0.9137254901960784, 'rgb(228,220,202)'],
        [0.9176470588235294, 'rgb(228,220,203)'],
        [0.9215686274509803, 'rgb(228,220,204)'],
        [0.9254901960784314, 'rgb(228,220,206)'],
        [0.9294117647058824, 'rgb(228,221,207)'],
        [0.9333333333333333, 'rgb(228,221,208)'],
        [0.9372549019607843, 'rgb(228,221,209)'],
        [0.9411764705882353, 'rgb(228,222,210)'],
        [0.9450980392156862, 'rgb(228,222,211)'],
        [0.9490196078431372, 'rgb(228,222,212)'],
        [0.9529411764705882, 'rgb(227,223,213)'],
        [0.9568627450980393, 'rgb(227,223,214)'],
        [0.9607843137254902, 'rgb(227,223,215)'],
        [0.9647058823529412, 'rgb(227,224,216)'],
        [0.9686274509803922, 'rgb(227,224,218)'],
        [0.9725490196078431, 'rgb(227,224,219)'],
        [0.9764705882352941, 'rgb(227,224,220)'],
        [0.9803921568627451, 'rgb(227,225,221)'],
        [0.984313725490196, 'rgb(227,225,222)'],
        [0.9882352941176471, 'rgb(227,225,223)'],
        [0.9921568627450981, 'rgb(227,226,224)'],
        [0.996078431372549, 'rgb(226,226,225)'],
        [1.0, 'rgb(226,226,226)'],
    ],
    'cet.linear_green_5_95_c69': [
        [0.0, 'rgb(1,21,6)'],
        [0.00392156862745098, 'rgb(1,22,6)'],
        [0.00784313725490196, 'rgb(2,23,6)'],
        [0.011764705882352941, 'rgb(2,24,6)'],
        [0.01568627450980392, 'rgb(3,25,6)'],
        [0.0196078431372549, 'rgb(4,25,6)'],
        [0.023529411764705882, 'rgb(4,26,6)'],
        [0.027450980392156862, 'rgb(5,27,6)'],
        [0.03137254901960784, 'rgb(5,28,6)'],
        [0.03529411764705882, 'rgb(6,28,6)'],
        [0.0392156862745098, 'rgb(7,29,6)'],
        [0.043137254901960784, 'rgb(7,30,6)'],
        [0.047058823529411764, 'rgb(8,31,6)'],
        [0.050980392156862744, 'rgb(8,32,6)'],
        [0.054901960784313725, 'rgb(8,32,6)'],
        [0.058823529411764705, 'rgb(9,33,6)'],
        [0.06274509803921569, 'rgb(9,34,6)'],
        [0.06666666666666667, 'rgb(9,35,5)'],
        [0.07058823529411765, 'rgb(9,36,5)'],
        [0.07450980392156863, 'rgb(9,36,5)'],
        [0.0784313725490196, 'rgb(9,37,5)'],
        [0.08235294117647059, 'rgb(9,38,5)'],
        [0.08627450980392157, 'rgb(9,39,5)'],
        [0.09019607843137255, 'rgb(9,40,5)'],
        [0.09411764705882353, 'rgb(9,41,5)'],
        [0.09803921568627451, 'rgb(9,42,5)'],
        [0.10196078431372549, 'rgb(9,42,5)'],
        [0.10588235294117647, 'rgb(9,43,5)'],
        [0.10980392156862745, 'rgb(9,44,5)'],
        [0.11372549019607843, 'rgb(9,45,5)'],
        [0.11764705882352941, 'rgb(9,46,5)'],
        [0.12156862745098039, 'rgb(9,47,5)'],
        [0.12549019607843137, 'rgb(9,48,5)'],
        [0.12941176470588237, 'rgb(8,49,5)'],
        [0.13333333333333333, 'rgb(8,49,5)'],
        [0.13725490196078433, 'rgb(8,50,5)'],
        [0.1411764705882353, 'rgb(8,51,5)'],
        [0.1450980392156863, 'rgb(8,52,5)'],
        [0.14901960784313725, 'rgb(9,53,5)'],
        [0.15294117647058825, 'rgb(9,54,5)'],
        [0.1568627450980392, 'rgb(9,55,5)'],
        [0.1607843137254902, 'rgb(9,56,5)'],
        [0.16470588235294117, 'rgb(9,56,5)'],
        [0.16862745098039217, 'rgb(9,57,5)'],
        [0.17254901960784313, 'rgb(10,58,5)'],
        [0.17647058823529413, 'rgb(10,59,5)'],
        [0.1803921568627451, 'rgb(10,60,5)'],
        [0.1843137254901961, 'rgb(10,61,5)'],
        [0.18823529411764706, 'rgb(11,62,5)'],
        [0.19215686274509805, 'rgb(11,63,5)'],
        [0.19607843137254902, 'rgb(11,64,5)'],
        [0.2, 'rgb(11,64,5)'],
        [0.20392156862745098, 'rgb(12,65,5)'],
        [0.20784313725490197, 'rgb(12,66,5)'],
        [0.21176470588235294, 'rgb(12,67,5)'],
        [0.21568627450980393, 'rgb(13,68,5)'],
        [0.2196078431372549, 'rgb(13,69,5)'],
        [0.2235294117647059, 'rgb(13,70,5)'],
        [0.22745098039215686, 'rgb(13,71,5)'],
        [0.23137254901960785, 'rgb(14,72,5)'],
        [0.23529411764705882, 'rgb(14,73,5)'],
        [0.23921568627450981, 'rgb(14,73,5)'],
        [0.24313725490196078, 'rgb(14,74,5)'],
        [0.24705882352941178, 'rgb(15,75,5)'],
        [0.25098039215686274, 'rgb(15,76,5)'],
        [0.2549019607843137, 'rgb(15,77,5)'],
        [0.25882352941176473, 'rgb(15,78,5)'],
        [0.2627450980392157, 'rgb(16,79,5)'],
        [0.26666666666666666, 'rgb(16,80,5)'],
        [0.27058823529411763, 'rgb(16,81,5)'],
        [0.27450980392156865, 'rgb(16,82,5)'],
        [0.2784313725490196, 'rgb(17,83,5)'],
        [0.2823529411764706, 'rgb(17,84,6)'],
        [0.28627450980392155, 'rgb(17,85,6)'],
        [0.2901960784313726, 'rgb(17,85,6)'],
        [0.29411764705882354, 'rgb(18,86,6)'],
        [0.2980392156862745, 'rgb(18,87,6)'],
        [0.30196078431372547, 'rgb(18,88,6)'],
        [0.3058823529411765, 'rgb(18,89,6)'],
        [0.30980392156862746, 'rgb(19,90,6)'],
        [0.3137254901960784, 'rgb(19,91,6)'],
        [0.3176470588235294, 'rgb(19,92,6)'],
        [0.3215686274509804, 'rgb(19,93,6)'],
        [0.3254901960784314, 'rgb(20,94,6)'],
        [0.32941176470588235, 'rgb(20,95,7)'],
        [0.3333333333333333, 'rgb(20,96,7)'],
        [0.33725490196078434, 'rgb(20,97,7)'],
        [0.3411764705882353, 'rgb(21,98,7)'],
        [0.34509803921568627, 'rgb(21,99,7)'],
        [0.34901960784313724, 'rgb(21,100,7)'],
        [0.35294117647058826, 'rgb(21,101,7)'],
        [0.3568627450980392, 'rgb(22,102,7)'],
        [0.3607843137254902, 'rgb(22,103,7)'],
        [0.36470588235294116, 'rgb(22,104,7)'],
        [0.3686274509803922, 'rgb(22,104,8)'],
        [0.37254901960784315, 'rgb(23,105,8)'],
        [0.3764705882352941, 'rgb(23,106,8)'],
        [0.3803921568627451, 'rgb(23,107,8)'],
        [0.3843137254901961, 'rgb(23,108,8)'],
        [0.38823529411764707, 'rgb(24,109,8)'],
        [0.39215686274509803, 'rgb(24,110,8)'],
        [0.396078431372549, 'rgb(24,111,8)'],
        [0.4, 'rgb(24,112,8)'],
        [0.403921568627451, 'rgb(25,113,8)'],
        [0.40784313725490196, 'rgb(25,114,9)'],
        [0.4117647058823529, 'rgb(25,115,9)'],
        [0.41568627450980394, 'rgb(25,116,9)'],
        [0.4196078431372549, 'rgb(26,117,9)'],
        [0.4235294117647059, 'rgb(26,118,9)'],
        [0.42745098039215684, 'rgb(26,119,9)'],
        [0.43137254901960786, 'rgb(26,120,9)'],
        [0.43529411764705883, 'rgb(27,121,9)'],
        [0.4392156862745098, 'rgb(27,122,9)'],
        [0.44313725490196076, 'rgb(27,123,10)'],
        [0.4470588235294118, 'rgb(27,124,10)'],
        [0.45098039215686275, 'rgb(28,125,10)'],
        [0.4549019607843137, 'rgb(28,126,10)'],
        [0.4588235294117647, 'rgb(28,127,10)'],
        [0.4627450980392157, 'rgb(28,128,10)'],
        [0.4666666666666667, 'rgb(29,129,10)'],
        [0.47058823529411764, 'rgb(29,130,10)'],
        [0.4745098039215686, 'rgb(29,131,11)'],
        [0.47843137254901963, 'rgb(30,132,11)'],
        [0.4823529411764706, 'rgb(30,133,11)'],
        [0.48627450980392156, 'rgb(30,134,11)'],
        [0.49019607843137253, 'rgb(30,135,11)'],
        [0.49411764705882355, 'rgb(31,136,11)'],
        [0.4980392156862745, 'rgb(31,137,11)'],
        [0.5019607843137255, 'rgb(31,138,11)'],
        [0.5058823529411764, 'rgb(31,139,11)'],
        [0.5098039215686274, 'rgb(32,140,12)'],
        [0.5137254901960784, 'rgb(32,141,12)'],
        [0.5176470588235295, 'rgb(32,142,12)'],
        [0.5215686274509804, 'rgb(32,143,12)'],
        [0.5254901960784314, 'rgb(33,144,12)'],
        [0.5294117647058824, 'rgb(33,145,12)'],
        [0.5333333333333333, 'rgb(33,146,12)'],
        [0.5372549019607843, 'rgb(33,147,12)'],
        [0.5411764705882353, 'rgb(34,149,13)'],
        [0.5450980392156862, 'rgb(34,150,13)'],
        [0.5490196078431373, 'rgb(34,151,13)'],
        [0.5529411764705883, 'rgb(34,152,13)'],
        [0.5568627450980392, 'rgb(35,153,13)'],
        [0.5607843137254902, 'rgb(35,154,13)'],
        [0.5647058823529412, 'rgb(35,155,13)'],
        [0.5686274509803921, 'rgb(35,156,13)'],
        [0.5725490196078431, 'rgb(36,157,13)'],
        [0.5764705882352941, 'rgb(36,158,14)'],
        [0.5803921568627451, 'rgb(36,159,14)'],
        [0.5843137254901961, 'rgb(37,160,14)'],
        [0.5882352941176471, 'rgb(37,161,14)'],
        [0.592156862745098, 'rgb(37,162,14)'],
        [0.596078431372549, 'rgb(37,163,14)'],
        [0.6, 'rgb(38,164,14)'],
        [0.6039215686274509, 'rgb(38,165,14)'],
        [0.6078431372549019, 'rgb(38,166,14)'],
        [0.611764705882353, 'rgb(38,167,15)'],
        [0.615686274509804, 'rgb(39,168,15)'],
        [0.6196078431372549, 'rgb(39,169,15)'],
        [0.6235294117647059, 'rgb(39,170,15)'],
        [0.6274509803921569, 'rgb(39,172,15)'],
        [0.6313725490196078, 'rgb(40,173,15)'],
        [0.6352941176470588, 'rgb(40,174,15)'],
        [0.6392156862745098, 'rgb(40,175,15)'],
        [0.6431372549019608, 'rgb(40,176,16)'],
        [0.6470588235294118, 'rgb(41,177,16)'],
        [0.6509803921568628, 'rgb(41,178,16)'],
        [0.6549019607843137, 'rgb(41,179,16)'],
        [0.6588235294117647, 'rgb(42,180,16)'],
        [0.6627450980392157, 'rgb(42,181,16)'],
        [0.6666666666666666, 'rgb(42,182,16)'],
        [0.6705882352941176, 'rgb(42,183,16)'],
        [0.6745098039215687, 'rgb(43,184,16)'],
        [0.6784313725490196, 'rgb(43,185,17)'],
        [0.6823529411764706, 'rgb(43,186,17)'],
        [0.6862745098039216, 'rgb(43,188,17)'],
        [0.6901960784313725, 'rgb(44,189,17)'],
        [0.6941176470588235, 'rgb(44,190,17)'],
        [0.6980392156862745, 'rgb(44,191,17)'],
        [0.7019607843137254, 'rgb(44,192,17)'],
        [0.7058823529411765, 'rgb(45,193,17)'],
        [0.7098039215686275, 'rgb(45,194,17)'],
        [0.7137254901960784, 'rgb(45,195,18)'],
        [0.7176470588235294, 'rgb(46,196,18)'],
        [0.7215686274509804, 'rgb(46,197,18)'],
        [0.7254901960784313, 'rgb(46,198,18)'],
        [0.7294117647058823, 'rgb(46,199,18)'],
        [0.7333333333333333, 'rgb(47,201,18)'],
        [0.7372549019607844, 'rgb(47,202,18)'],
        [0.7411764705882353, 'rgb(47,203,18)'],
        [0.7450980392156863, 'rgb(47,204,19)'],
        [0.7490196078431373, 'rgb(48,205,19)'],
        [0.7529411764705882, 'rgb(48,206,19)'],
        [0.7568627450980392, 'rgb(48,207,19)'],
        [0.7607843137254902, 'rgb(49,208,19)'],
        [0.7647058823529411, 'rgb(49,209,19)'],
        [0.7686274509803922, 'rgb(49,210,19)'],
        [0.7725490196078432, 'rgb(49,211,19)'],
        [0.7764705882352941, 'rgb(50,213,19)'],
        [0.7803921568627451, 'rgb(50,214,20)'],
        [0.7843137254901961, 'rgb(50,215,20)'],
        [0.788235294117647, 'rgb(50,216,20)'],
        [0.792156862745098, 'rgb(51,217,20)'],
        [0.796078431372549, 'rgb(51,218,20)'],
        [0.8, 'rgb(51,219,20)'],
        [0.803921568627451, 'rgb(52,220,20)'],
        [0.807843137254902, 'rgb(52,221,20)'],
        [0.8117647058823529, 'rgb(52,223,20)'],
        [0.8156862745098039, 'rgb(52,224,21)'],
        [0.8196078431372549, 'rgb(53,225,21)'],
        [0.8235294117647058, 'rgb(53,226,21)'],
        [0.8274509803921568, 'rgb(53,227,21)'],
        [0.8313725490196079, 'rgb(53,228,21)'],
        [0.8352941176470589, 'rgb(54,229,21)'],
        [0.8392156862745098, 'rgb(55,230,21)'],
        [0.8431372549019608, 'rgb(57,231,21)'],
        [0.8470588235294118, 'rgb(59,232,21)'],
        [0.8509803921568627, 'rgb(62,233,21)'],
        [0.8549019607843137, 'rgb(65,234,22)'],
        [0.8588235294117647, 'rgb(68,235,22)'],
        [0.8627450980392157, 'rgb(72,236,22)'],
        [0.8666666666666667, 'rgb(75,237,22)'],
        [0.8705882352941177, 'rgb(79,238,22)'],
        [0.8745098039215686, 'rgb(83,239,22)'],
        [0.8784313725490196, 'rgb(87,240,22)'],
        [0.8823529411764706, 'rgb(92,240,22)'],
        [0.8862745098039215, 'rgb(96,241,22)'],
        [0.8901960784313725, 'rgb(100,242,22)'],
        [0.8941176470588236, 'rgb(104,243,22)'],
        [0.8980392156862745, 'rgb(108,243,22)'],
        [0.9019607843137255, 'rgb(113,244,21)'],
        [0.9058823529411765, 'rgb(117,245,21)'],
        [0.9098039215686274, 'rgb(121,246,21)'],
        [0.9137254901960784, 'rgb(125,246,21)'],
        [0.9176470588235294, 'rgb(129,247,21)'],
        [0.9215686274509803, 'rgb(134,248,21)'],
        [0.9254901960784314, 'rgb(138,248,21)'],
        [0.9294117647058824, 'rgb(142,249,21)'],
        [0.9333333333333333, 'rgb(146,249,21)'],
        [0.9372549019607843, 'rgb(150,250,21)'],
        [0.9411764705882353, 'rgb(154,251,21)'],
        [0.9450980392156862, 'rgb(159,251,21)'],
        [0.9490196078431372, 'rgb(163,252,21)'],
        [0.9529411764705882, 'rgb(167,252,21)'],
        [0.9568627450980393, 'rgb(171,253,21)'],
        [0.9607843137254902, 'rgb(175,253,21)'],
        [0.9647058823529412, 'rgb(179,254,21)'],
        [0.9686274509803922, 'rgb(183,254,21)'],
        [0.9725490196078431, 'rgb(187,255,21)'],
        [0.9764705882352941, 'rgb(192,255,21)'],
        [0.9803921568627451, 'rgb(196,255,21)'],
        [0.984313725490196, 'rgb(200,255,21)'],
        [0.9882352941176471, 'rgb(204,255,21)'],
        [0.9921568627450981, 'rgb(208,255,21)'],
        [0.996078431372549, 'rgb(212,255,21)'],
        [1.0, 'rgb(216,255,21)'],
    ],
    'cet.linear_grey_0_100_c0': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(1,1,1)'],
        [0.00784313725490196, 'rgb(3,3,3)'],
        [0.011764705882352941, 'rgb(4,4,4)'],
        [0.01568627450980392, 'rgb(6,6,6)'],
        [0.0196078431372549, 'rgb(7,7,7)'],
        [0.023529411764705882, 'rgb(9,9,9)'],
        [0.027450980392156862, 'rgb(10,10,10)'],
        [0.03137254901960784, 'rgb(11,11,11)'],
        [0.03529411764705882, 'rgb(13,13,13)'],
        [0.0392156862745098, 'rgb(14,14,14)'],
        [0.043137254901960784, 'rgb(15,15,15)'],
        [0.047058823529411764, 'rgb(16,16,16)'],
        [0.050980392156862744, 'rgb(17,17,17)'],
        [0.054901960784313725, 'rgb(18,18,18)'],
        [0.058823529411764705, 'rgb(19,19,19)'],
        [0.06274509803921569, 'rgb(20,20,20)'],
        [0.06666666666666667, 'rgb(21,21,21)'],
        [0.07058823529411765, 'rgb(22,22,22)'],
        [0.07450980392156863, 'rgb(22,22,22)'],
        [0.0784313725490196, 'rgb(23,23,23)'],
        [0.08235294117647059, 'rgb(24,24,24)'],
        [0.08627450980392157, 'rgb(25,25,25)'],
        [0.09019607843137255, 'rgb(26,26,26)'],
        [0.09411764705882353, 'rgb(26,26,26)'],
        [0.09803921568627451, 'rgb(27,27,27)'],
        [0.10196078431372549, 'rgb(28,28,28)'],
        [0.10588235294117647, 'rgb(29,29,29)'],
        [0.10980392156862745, 'rgb(29,29,29)'],
        [0.11372549019607843, 'rgb(30,30,30)'],
        [0.11764705882352941, 'rgb(31,31,31)'],
        [0.12156862745098039, 'rgb(32,32,32)'],
        [0.12549019607843137, 'rgb(33,33,33)'],
        [0.12941176470588237, 'rgb(33,33,33)'],
        [0.13333333333333333, 'rgb(34,34,34)'],
        [0.13725490196078433, 'rgb(35,35,35)'],
        [0.1411764705882353, 'rgb(36,36,36)'],
        [0.1450980392156863, 'rgb(37,37,37)'],
        [0.14901960784313725, 'rgb(37,37,37)'],
        [0.15294117647058825, 'rgb(38,38,38)'],
        [0.1568627450980392, 'rgb(39,39,39)'],
        [0.1607843137254902, 'rgb(40,40,40)'],
        [0.16470588235294117, 'rgb(41,41,41)'],
        [0.16862745098039217, 'rgb(42,42,42)'],
        [0.17254901960784313, 'rgb(42,42,42)'],
        [0.17647058823529413, 'rgb(43,43,43)'],
        [0.1803921568627451, 'rgb(44,44,44)'],
        [0.1843137254901961, 'rgb(45,45,45)'],
        [0.18823529411764706, 'rgb(46,46,46)'],
        [0.19215686274509805, 'rgb(47,47,47)'],
        [0.19607843137254902, 'rgb(47,47,47)'],
        [0.2, 'rgb(48,48,48)'],
        [0.20392156862745098, 'rgb(49,49,49)'],
        [0.20784313725490197, 'rgb(50,50,50)'],
        [0.21176470588235294, 'rgb(51,51,51)'],
        [0.21568627450980393, 'rgb(52,52,52)'],
        [0.2196078431372549, 'rgb(53,53,53)'],
        [0.2235294117647059, 'rgb(53,53,53)'],
        [0.22745098039215686, 'rgb(54,54,54)'],
        [0.23137254901960785, 'rgb(55,55,55)'],
        [0.23529411764705882, 'rgb(56,56,56)'],
        [0.23921568627450981, 'rgb(57,57,57)'],
        [0.24313725490196078, 'rgb(58,58,58)'],
        [0.24705882352941178, 'rgb(59,59,59)'],
        [0.25098039215686274, 'rgb(59,60,60)'],
        [0.2549019607843137, 'rgb(60,60,60)'],
        [0.25882352941176473, 'rgb(61,61,61)'],
        [0.2627450980392157, 'rgb(62,62,62)'],
        [0.26666666666666666, 'rgb(63,63,63)'],
        [0.27058823529411763, 'rgb(64,64,64)'],
        [0.27450980392156865, 'rgb(65,65,65)'],
        [0.2784313725490196, 'rgb(66,66,66)'],
        [0.2823529411764706, 'rgb(67,67,67)'],
        [0.28627450980392155, 'rgb(67,67,67)'],
        [0.2901960784313726, 'rgb(68,68,68)'],
        [0.29411764705882354, 'rgb(69,69,69)'],
        [0.2980392156862745, 'rgb(70,70,70)'],
        [0.30196078431372547, 'rgb(71,71,71)'],
        [0.3058823529411765, 'rgb(72,72,72)'],
        [0.30980392156862746, 'rgb(73,73,73)'],
        [0.3137254901960784, 'rgb(74,74,74)'],
        [0.3176470588235294, 'rgb(75,75,75)'],
        [0.3215686274509804, 'rgb(76,76,76)'],
        [0.3254901960784314, 'rgb(77,77,77)'],
        [0.32941176470588235, 'rgb(77,77,77)'],
        [0.3333333333333333, 'rgb(78,78,78)'],
        [0.33725490196078434, 'rgb(79,79,79)'],
        [0.3411764705882353, 'rgb(80,80,80)'],
        [0.34509803921568627, 'rgb(81,81,81)'],
        [0.34901960784313724, 'rgb(82,82,82)'],
        [0.35294117647058826, 'rgb(83,83,83)'],
        [0.3568627450980392, 'rgb(84,84,84)'],
        [0.3607843137254902, 'rgb(85,85,85)'],
        [0.36470588235294116, 'rgb(86,86,86)'],
        [0.3686274509803922, 'rgb(87,87,87)'],
        [0.37254901960784315, 'rgb(88,88,88)'],
        [0.3764705882352941, 'rgb(89,89,89)'],
        [0.3803921568627451, 'rgb(90,90,90)'],
        [0.3843137254901961, 'rgb(90,90,90)'],
        [0.38823529411764707, 'rgb(91,91,91)'],
        [0.39215686274509803, 'rgb(92,92,92)'],
        [0.396078431372549, 'rgb(93,93,93)'],
        [0.4, 'rgb(94,94,94)'],
        [0.403921568627451, 'rgb(95,95,95)'],
        [0.40784313725490196, 'rgb(96,96,96)'],
        [0.4117647058823529, 'rgb(97,97,97)'],
        [0.41568627450980394, 'rgb(98,98,98)'],
        [0.4196078431372549, 'rgb(99,99,99)'],
        [0.4235294117647059, 'rgb(100,100,100)'],
        [0.42745098039215684, 'rgb(101,101,101)'],
        [0.43137254901960786, 'rgb(102,102,102)'],
        [0.43529411764705883, 'rgb(103,103,103)'],
        [0.4392156862745098, 'rgb(104,104,104)'],
        [0.44313725490196076, 'rgb(105,105,105)'],
        [0.4470588235294118, 'rgb(106,106,106)'],
        [0.45098039215686275, 'rgb(107,107,107)'],
        [0.4549019607843137, 'rgb(108,108,108)'],
        [0.4588235294117647, 'rgb(109,109,109)'],
        [0.4627450980392157, 'rgb(110,110,110)'],
        [0.4666666666666667, 'rgb(111,111,111)'],
        [0.47058823529411764, 'rgb(112,112,112)'],
        [0.4745098039215686, 'rgb(113,113,113)'],
        [0.47843137254901963, 'rgb(113,114,114)'],
        [0.4823529411764706, 'rgb(114,114,114)'],
        [0.48627450980392156, 'rgb(115,115,115)'],
        [0.49019607843137253, 'rgb(116,116,116)'],
        [0.49411764705882355, 'rgb(117,117,117)'],
        [0.4980392156862745, 'rgb(118,118,118)'],
        [0.5019607843137255, 'rgb(119,119,119)'],
        [0.5058823529411764, 'rgb(120,120,120)'],
        [0.5098039215686274, 'rgb(121,121,121)'],
        [0.5137254901960784, 'rgb(122,122,122)'],
        [0.5176470588235295, 'rgb(123,123,123)'],
        [0.5215686274509804, 'rgb(124,124,124)'],
        [0.5254901960784314, 'rgb(125,125,125)'],
        [0.5294117647058824, 'rgb(126,126,126)'],
        [0.5333333333333333, 'rgb(127,127,127)'],
        [0.5372549019607843, 'rgb(128,128,128)'],
        [0.5411764705882353, 'rgb(129,129,129)'],
        [0.5450980392156862, 'rgb(130,130,130)'],
        [0.5490196078431373, 'rgb(131,131,131)'],
        [0.5529411764705883, 'rgb(132,132,132)'],
        [0.5568627450980392, 'rgb(133,133,133)'],
        [0.5607843137254902, 'rgb(134,134,134)'],
        [0.5647058823529412, 'rgb(135,135,135)'],
        [0.5686274509803921, 'rgb(136,136,136)'],
        [0.5725490196078431, 'rgb(137,137,137)'],
        [0.5764705882352941, 'rgb(138,138,138)'],
        [0.5803921568627451, 'rgb(139,139,139)'],
        [0.5843137254901961, 'rgb(140,140,140)'],
        [0.5882352941176471, 'rgb(141,141,141)'],
        [0.592156862745098, 'rgb(142,143,143)'],
        [0.596078431372549, 'rgb(144,144,144)'],
        [0.6, 'rgb(145,145,145)'],
        [0.6039215686274509, 'rgb(146,146,146)'],
        [0.6078431372549019, 'rgb(147,147,147)'],
        [0.611764705882353, 'rgb(148,148,148)'],
        [0.615686274509804, 'rgb(149,149,149)'],
        [0.6196078431372549, 'rgb(150,150,150)'],
        [0.6235294117647059, 'rgb(151,151,151)'],
        [0.6274509803921569, 'rgb(152,152,152)'],
        [0.6313725490196078, 'rgb(153,153,153)'],
        [0.6352941176470588, 'rgb(154,154,154)'],
        [0.6392156862745098, 'rgb(155,155,155)'],
        [0.6431372549019608, 'rgb(156,156,156)'],
        [0.6470588235294118, 'rgb(157,157,157)'],
        [0.6509803921568628, 'rgb(158,158,158)'],
        [0.6549019607843137, 'rgb(159,159,159)'],
        [0.6588235294117647, 'rgb(160,160,160)'],
        [0.6627450980392157, 'rgb(161,161,161)'],
        [0.6666666666666666, 'rgb(162,162,162)'],
        [0.6705882352941176, 'rgb(163,163,163)'],
        [0.6745098039215687, 'rgb(164,164,164)'],
        [0.6784313725490196, 'rgb(165,165,165)'],
        [0.6823529411764706, 'rgb(166,166,166)'],
        [0.6862745098039216, 'rgb(167,167,167)'],
        [0.6901960784313725, 'rgb(168,168,168)'],
        [0.6941176470588235, 'rgb(169,169,169)'],
        [0.6980392156862745, 'rgb(170,171,171)'],
        [0.7019607843137254, 'rgb(172,172,172)'],
        [0.7058823529411765, 'rgb(173,173,173)'],
        [0.7098039215686275, 'rgb(174,174,174)'],
        [0.7137254901960784, 'rgb(175,175,175)'],
        [0.7176470588235294, 'rgb(176,176,176)'],
        [0.7215686274509804, 'rgb(177,177,177)'],
        [0.7254901960784313, 'rgb(178,178,178)'],
        [0.7294117647058823, 'rgb(179,179,179)'],
        [0.7333333333333333, 'rgb(180,180,180)'],
        [0.7372549019607844, 'rgb(181,181,181)'],
        [0.7411764705882353, 'rgb(182,182,182)'],
        [0.7450980392156863, 'rgb(183,183,183)'],
        [0.7490196078431373, 'rgb(184,184,184)'],
        [0.7529411764705882, 'rgb(185,185,185)'],
        [0.7568627450980392, 'rgb(186,186,186)'],
        [0.7607843137254902, 'rgb(188,188,188)'],
        [0.7647058823529411, 'rgb(189,189,189)'],
        [0.7686274509803922, 'rgb(190,190,190)'],
        [0.7725490196078432, 'rgb(191,191,191)'],
        [0.7764705882352941, 'rgb(192,192,192)'],
        [0.7803921568627451, 'rgb(193,193,193)'],
        [0.7843137254901961, 'rgb(194,194,194)'],
        [0.788235294117647, 'rgb(195,195,195)'],
        [0.792156862745098, 'rgb(196,196,196)'],
        [0.796078431372549, 'rgb(197,197,197)'],
        [0.8, 'rgb(198,198,198)'],
        [0.803921568627451, 'rgb(199,199,199)'],
        [0.807843137254902, 'rgb(200,201,201)'],
        [0.8117647058823529, 'rgb(202,202,202)'],
        [0.8156862745098039, 'rgb(203,203,203)'],
        [0.8196078431372549, 'rgb(204,204,204)'],
        [0.8235294117647058, 'rgb(205,205,205)'],
        [0.8274509803921568, 'rgb(206,206,206)'],
        [0.8313725490196079, 'rgb(207,207,207)'],
        [0.8352941176470589, 'rgb(208,208,208)'],
        [0.8392156862745098, 'rgb(209,209,209)'],
        [0.8431372549019608, 'rgb(210,210,210)'],
        [0.8470588235294118, 'rgb(211,211,211)'],
        [0.8509803921568627, 'rgb(212,213,213)'],
        [0.8549019607843137, 'rgb(214,214,214)'],
        [0.8588235294117647, 'rgb(215,215,215)'],
        [0.8627450980392157, 'rgb(216,216,216)'],
        [0.8666666666666667, 'rgb(217,217,217)'],
        [0.8705882352941177, 'rgb(218,218,218)'],
        [0.8745098039215686, 'rgb(219,219,219)'],
        [0.8784313725490196, 'rgb(220,220,220)'],
        [0.8823529411764706, 'rgb(221,221,221)'],
        [0.8862745098039215, 'rgb(222,222,222)'],
        [0.8901960784313725, 'rgb(224,224,224)'],
        [0.8941176470588236, 'rgb(225,225,225)'],
        [0.8980392156862745, 'rgb(226,226,226)'],
        [0.9019607843137255, 'rgb(227,227,227)'],
        [0.9058823529411765, 'rgb(228,228,228)'],
        [0.9098039215686274, 'rgb(229,229,229)'],
        [0.9137254901960784, 'rgb(230,230,230)'],
        [0.9176470588235294, 'rgb(231,231,231)'],
        [0.9215686274509803, 'rgb(232,232,232)'],
        [0.9254901960784314, 'rgb(234,234,234)'],
        [0.9294117647058824, 'rgb(235,235,235)'],
        [0.9333333333333333, 'rgb(236,236,236)'],
        [0.9372549019607843, 'rgb(237,237,237)'],
        [0.9411764705882353, 'rgb(238,238,238)'],
        [0.9450980392156862, 'rgb(239,239,239)'],
        [0.9490196078431372, 'rgb(240,240,240)'],
        [0.9529411764705882, 'rgb(241,241,241)'],
        [0.9568627450980393, 'rgb(243,243,243)'],
        [0.9607843137254902, 'rgb(244,244,244)'],
        [0.9647058823529412, 'rgb(245,245,245)'],
        [0.9686274509803922, 'rgb(246,246,246)'],
        [0.9725490196078431, 'rgb(247,247,247)'],
        [0.9764705882352941, 'rgb(248,248,248)'],
        [0.9803921568627451, 'rgb(249,249,249)'],
        [0.984313725490196, 'rgb(250,250,250)'],
        [0.9882352941176471, 'rgb(252,252,252)'],
        [0.9921568627450981, 'rgb(253,253,253)'],
        [0.996078431372549, 'rgb(254,254,254)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cet.linear_grey_10_95_c0': [
        [0.0, 'rgb(27,27,27)'],
        [0.00392156862745098, 'rgb(28,28,28)'],
        [0.00784313725490196, 'rgb(29,29,29)'],
        [0.011764705882352941, 'rgb(29,29,29)'],
        [0.01568627450980392, 'rgb(30,30,30)'],
        [0.0196078431372549, 'rgb(31,31,31)'],
        [0.023529411764705882, 'rgb(31,31,31)'],
        [0.027450980392156862, 'rgb(32,32,32)'],
        [0.03137254901960784, 'rgb(33,33,33)'],
        [0.03529411764705882, 'rgb(34,34,34)'],
        [0.0392156862745098, 'rgb(34,34,34)'],
        [0.043137254901960784, 'rgb(35,35,35)'],
        [0.047058823529411764, 'rgb(36,36,36)'],
        [0.050980392156862744, 'rgb(36,36,36)'],
        [0.054901960784313725, 'rgb(37,37,37)'],
        [0.058823529411764705, 'rgb(38,38,38)'],
        [0.06274509803921569, 'rgb(38,38,38)'],
        [0.06666666666666667, 'rgb(39,39,39)'],
        [0.07058823529411765, 'rgb(40,40,40)'],
        [0.07450980392156863, 'rgb(40,40,40)'],
        [0.0784313725490196, 'rgb(41,41,41)'],
        [0.08235294117647059, 'rgb(42,42,42)'],
        [0.08627450980392157, 'rgb(43,43,43)'],
        [0.09019607843137255, 'rgb(43,43,43)'],
        [0.09411764705882353, 'rgb(44,44,44)'],
        [0.09803921568627451, 'rgb(45,45,45)'],
        [0.10196078431372549, 'rgb(45,45,45)'],
        [0.10588235294117647, 'rgb(46,46,46)'],
        [0.10980392156862745, 'rgb(47,47,47)'],
        [0.11372549019607843, 'rgb(48,48,48)'],
        [0.11764705882352941, 'rgb(48,48,48)'],
        [0.12156862745098039, 'rgb(49,49,49)'],
        [0.12549019607843137, 'rgb(50,50,50)'],
        [0.12941176470588237, 'rgb(50,50,50)'],
        [0.13333333333333333, 'rgb(51,51,51)'],
        [0.13725490196078433, 'rgb(52,52,52)'],
        [0.1411764705882353, 'rgb(53,53,53)'],
        [0.1450980392156863, 'rgb(53,53,53)'],
        [0.14901960784313725, 'rgb(54,54,54)'],
        [0.15294117647058825, 'rgb(55,55,55)'],
        [0.1568627450980392, 'rgb(56,56,56)'],
        [0.1607843137254902, 'rgb(56,56,56)'],
        [0.16470588235294117, 'rgb(57,57,57)'],
        [0.16862745098039217, 'rgb(58,58,58)'],
        [0.17254901960784313, 'rgb(59,59,59)'],
        [0.17647058823529413, 'rgb(59,59,59)'],
        [0.1803921568627451, 'rgb(60,60,60)'],
        [0.1843137254901961, 'rgb(61,61,61)'],
        [0.18823529411764706, 'rgb(62,62,62)'],
        [0.19215686274509805, 'rgb(62,62,62)'],
        [0.19607843137254902, 'rgb(63,63,63)'],
        [0.2, 'rgb(64,64,64)'],
        [0.20392156862745098, 'rgb(65,65,65)'],
        [0.20784313725490197, 'rgb(65,65,65)'],
        [0.21176470588235294, 'rgb(66,66,66)'],
        [0.21568627450980393, 'rgb(67,67,67)'],
        [0.2196078431372549, 'rgb(68,68,68)'],
        [0.2235294117647059, 'rgb(68,68,68)'],
        [0.22745098039215686, 'rgb(69,69,69)'],
        [0.23137254901960785, 'rgb(70,70,70)'],
        [0.23529411764705882, 'rgb(71,71,71)'],
        [0.23921568627450981, 'rgb(71,71,71)'],
        [0.24313725490196078, 'rgb(72,72,72)'],
        [0.24705882352941178, 'rgb(73,73,73)'],
        [0.25098039215686274, 'rgb(74,74,74)'],
        [0.2549019607843137, 'rgb(74,74,74)'],
        [0.25882352941176473, 'rgb(75,75,75)'],
        [0.2627450980392157, 'rgb(76,76,76)'],
        [0.26666666666666666, 'rgb(77,77,77)'],
        [0.27058823529411763, 'rgb(78,78,78)'],
        [0.27450980392156865, 'rgb(78,78,78)'],
        [0.2784313725490196, 'rgb(79,79,79)'],
        [0.2823529411764706, 'rgb(80,80,80)'],
        [0.28627450980392155, 'rgb(81,81,81)'],
        [0.2901960784313726, 'rgb(81,82,82)'],
        [0.29411764705882354, 'rgb(82,82,82)'],
        [0.2980392156862745, 'rgb(83,83,83)'],
        [0.30196078431372547, 'rgb(84,84,84)'],
        [0.3058823529411765, 'rgb(85,85,85)'],
        [0.30980392156862746, 'rgb(85,85,85)'],
        [0.3137254901960784, 'rgb(86,86,86)'],
        [0.3176470588235294, 'rgb(87,87,87)'],
        [0.3215686274509804, 'rgb(88,88,88)'],
        [0.3254901960784314, 'rgb(89,89,89)'],
        [0.32941176470588235, 'rgb(89,89,89)'],
        [0.3333333333333333, 'rgb(90,90,90)'],
        [0.33725490196078434, 'rgb(91,91,91)'],
        [0.3411764705882353, 'rgb(92,92,92)'],
        [0.34509803921568627, 'rgb(93,93,93)'],
        [0.34901960784313724, 'rgb(93,93,93)'],
        [0.35294117647058826, 'rgb(94,94,94)'],
        [0.3568627450980392, 'rgb(95,95,95)'],
        [0.3607843137254902, 'rgb(96,96,96)'],
        [0.36470588235294116, 'rgb(97,97,97)'],
        [0.3686274509803922, 'rgb(97,97,97)'],
        [0.37254901960784315, 'rgb(98,98,98)'],
        [0.3764705882352941, 'rgb(99,99,99)'],
        [0.3803921568627451, 'rgb(100,100,100)'],
        [0.3843137254901961, 'rgb(101,101,101)'],
        [0.38823529411764707, 'rgb(102,102,102)'],
        [0.39215686274509803, 'rgb(102,102,102)'],
        [0.396078431372549, 'rgb(103,103,103)'],
        [0.4, 'rgb(104,104,104)'],
        [0.403921568627451, 'rgb(105,105,105)'],
        [0.40784313725490196, 'rgb(106,106,106)'],
        [0.4117647058823529, 'rgb(106,106,106)'],
        [0.41568627450980394, 'rgb(107,107,107)'],
        [0.4196078431372549, 'rgb(108,108,108)'],
        [0.4235294117647059, 'rgb(109,109,109)'],
        [0.42745098039215684, 'rgb(110,110,110)'],
        [0.43137254901960786, 'rgb(111,111,111)'],
        [0.43529411764705883, 'rgb(111,111,111)'],
        [0.4392156862745098, 'rgb(112,112,112)'],
        [0.44313725490196076, 'rgb(113,113,113)'],
        [0.4470588235294118, 'rgb(114,114,114)'],
        [0.45098039215686275, 'rgb(115,115,115)'],
        [0.4549019607843137, 'rgb(116,116,116)'],
        [0.4588235294117647, 'rgb(116,116,116)'],
        [0.4627450980392157, 'rgb(117,117,117)'],
        [0.4666666666666667, 'rgb(118,118,118)'],
        [0.47058823529411764, 'rgb(119,119,119)'],
        [0.4745098039215686, 'rgb(120,120,120)'],
        [0.47843137254901963, 'rgb(121,121,121)'],
        [0.4823529411764706, 'rgb(121,121,121)'],
        [0.48627450980392156, 'rgb(122,122,122)'],
        [0.49019607843137253, 'rgb(123,123,123)'],
        [0.49411764705882355, 'rgb(124,124,124)'],
        [0.4980392156862745, 'rgb(125,125,125)'],
        [0.5019607843137255, 'rgb(126,126,126)'],
        [0.5058823529411764, 'rgb(126,127,127)'],
        [0.5098039215686274, 'rgb(127,127,127)'],
        [0.5137254901960784, 'rgb(128,128,128)'],
        [0.5176470588235295, 'rgb(129,129,129)'],
        [0.5215686274509804, 'rgb(130,130,130)'],
        [0.5254901960784314, 'rgb(131,131,131)'],
        [0.5294117647058824, 'rgb(132,132,132)'],
        [0.5333333333333333, 'rgb(132,132,132)'],
        [0.5372549019607843, 'rgb(133,133,133)'],
        [0.5411764705882353, 'rgb(134,134,134)'],
        [0.5450980392156862, 'rgb(135,135,135)'],
        [0.5490196078431373, 'rgb(136,136,136)'],
        [0.5529411764705883, 'rgb(137,137,137)'],
        [0.5568627450980392, 'rgb(138,138,138)'],
        [0.5607843137254902, 'rgb(138,138,138)'],
        [0.5647058823529412, 'rgb(139,139,139)'],
        [0.5686274509803921, 'rgb(140,140,140)'],
        [0.5725490196078431, 'rgb(141,141,141)'],
        [0.5764705882352941, 'rgb(142,142,142)'],
        [0.5803921568627451, 'rgb(143,143,143)'],
        [0.5843137254901961, 'rgb(144,144,144)'],
        [0.5882352941176471, 'rgb(145,145,145)'],
        [0.592156862745098, 'rgb(145,145,145)'],
        [0.596078431372549, 'rgb(146,146,146)'],
        [0.6, 'rgb(147,147,147)'],
        [0.6039215686274509, 'rgb(148,148,148)'],
        [0.6078431372549019, 'rgb(149,149,149)'],
        [0.611764705882353, 'rgb(150,150,150)'],
        [0.615686274509804, 'rgb(151,151,151)'],
        [0.6196078431372549, 'rgb(152,152,152)'],
        [0.6235294117647059, 'rgb(152,152,152)'],
        [0.6274509803921569, 'rgb(153,153,153)'],
        [0.6313725490196078, 'rgb(154,154,154)'],
        [0.6352941176470588, 'rgb(155,155,155)'],
        [0.6392156862745098, 'rgb(156,156,156)'],
        [0.6431372549019608, 'rgb(157,157,157)'],
        [0.6470588235294118, 'rgb(158,158,158)'],
        [0.6509803921568628, 'rgb(159,159,159)'],
        [0.6549019607843137, 'rgb(159,159,159)'],
        [0.6588235294117647, 'rgb(160,160,160)'],
        [0.6627450980392157, 'rgb(161,161,161)'],
        [0.6666666666666666, 'rgb(162,162,162)'],
        [0.6705882352941176, 'rgb(163,163,163)'],
        [0.6745098039215687, 'rgb(164,164,164)'],
        [0.6784313725490196, 'rgb(165,165,165)'],
        [0.6823529411764706, 'rgb(166,166,166)'],
        [0.6862745098039216, 'rgb(167,167,167)'],
        [0.6901960784313725, 'rgb(167,167,167)'],
        [0.6941176470588235, 'rgb(168,168,168)'],
        [0.6980392156862745, 'rgb(169,169,169)'],
        [0.7019607843137254, 'rgb(170,170,170)'],
        [0.7058823529411765, 'rgb(171,171,171)'],
        [0.7098039215686275, 'rgb(172,172,172)'],
        [0.7137254901960784, 'rgb(173,173,173)'],
        [0.7176470588235294, 'rgb(174,174,174)'],
        [0.7215686274509804, 'rgb(175,175,175)'],
        [0.7254901960784313, 'rgb(176,176,176)'],
        [0.7294117647058823, 'rgb(176,176,176)'],
        [0.7333333333333333, 'rgb(177,177,177)'],
        [0.7372549019607844, 'rgb(178,178,178)'],
        [0.7411764705882353, 'rgb(179,179,179)'],
        [0.7450980392156863, 'rgb(180,180,180)'],
        [0.7490196078431373, 'rgb(181,181,181)'],
        [0.7529411764705882, 'rgb(182,182,182)'],
        [0.7568627450980392, 'rgb(183,183,183)'],
        [0.7607843137254902, 'rgb(184,184,184)'],
        [0.7647058823529411, 'rgb(185,185,185)'],
        [0.7686274509803922, 'rgb(185,186,186)'],
        [0.7725490196078432, 'rgb(186,186,186)'],
        [0.7764705882352941, 'rgb(187,187,187)'],
        [0.7803921568627451, 'rgb(188,188,188)'],
        [0.7843137254901961, 'rgb(189,189,189)'],
        [0.788235294117647, 'rgb(190,190,190)'],
        [0.792156862745098, 'rgb(191,191,191)'],
        [0.796078431372549, 'rgb(192,192,192)'],
        [0.8, 'rgb(193,193,193)'],
        [0.803921568627451, 'rgb(194,194,194)'],
        [0.807843137254902, 'rgb(195,195,195)'],
        [0.8117647058823529, 'rgb(196,196,196)'],
        [0.8156862745098039, 'rgb(196,196,196)'],
        [0.8196078431372549, 'rgb(197,197,197)'],
        [0.8235294117647058, 'rgb(198,198,198)'],
        [0.8274509803921568, 'rgb(199,199,199)'],
        [0.8313725490196079, 'rgb(200,200,200)'],
        [0.8352941176470589, 'rgb(201,201,201)'],
        [0.8392156862745098, 'rgb(202,202,202)'],
        [0.8431372549019608, 'rgb(203,203,203)'],
        [0.8470588235294118, 'rgb(204,204,204)'],
        [0.8509803921568627, 'rgb(205,205,205)'],
        [0.8549019607843137, 'rgb(206,206,206)'],
        [0.8588235294117647, 'rgb(207,207,207)'],
        [0.8627450980392157, 'rgb(208,208,208)'],
        [0.8666666666666667, 'rgb(208,209,209)'],
        [0.8705882352941177, 'rgb(209,209,209)'],
        [0.8745098039215686, 'rgb(210,210,210)'],
        [0.8784313725490196, 'rgb(211,211,211)'],
        [0.8823529411764706, 'rgb(212,212,212)'],
        [0.8862745098039215, 'rgb(213,213,213)'],
        [0.8901960784313725, 'rgb(214,214,214)'],
        [0.8941176470588236, 'rgb(215,215,215)'],
        [0.8980392156862745, 'rgb(216,216,216)'],
        [0.9019607843137255, 'rgb(217,217,217)'],
        [0.9058823529411765, 'rgb(218,218,218)'],
        [0.9098039215686274, 'rgb(219,219,219)'],
        [0.9137254901960784, 'rgb(220,220,220)'],
        [0.9176470588235294, 'rgb(221,221,221)'],
        [0.9215686274509803, 'rgb(222,222,222)'],
        [0.9254901960784314, 'rgb(223,223,223)'],
        [0.9294117647058824, 'rgb(223,224,223)'],
        [0.9333333333333333, 'rgb(224,224,224)'],
        [0.9372549019607843, 'rgb(225,225,225)'],
        [0.9411764705882353, 'rgb(226,226,226)'],
        [0.9450980392156862, 'rgb(227,227,227)'],
        [0.9490196078431372, 'rgb(228,228,228)'],
        [0.9529411764705882, 'rgb(229,229,229)'],
        [0.9568627450980393, 'rgb(230,230,230)'],
        [0.9607843137254902, 'rgb(231,231,231)'],
        [0.9647058823529412, 'rgb(232,232,232)'],
        [0.9686274509803922, 'rgb(233,233,233)'],
        [0.9725490196078431, 'rgb(234,234,234)'],
        [0.9764705882352941, 'rgb(235,235,235)'],
        [0.9803921568627451, 'rgb(236,236,236)'],
        [0.984313725490196, 'rgb(237,237,237)'],
        [0.9882352941176471, 'rgb(238,238,238)'],
        [0.9921568627450981, 'rgb(239,239,239)'],
        [0.996078431372549, 'rgb(240,240,240)'],
        [1.0, 'rgb(241,241,241)'],
    ],
    'cet.linear_kbc_5_95_c73': [
        [0.0, 'rgb(0,1,78)'],
        [0.00392156862745098, 'rgb(0,1,80)'],
        [0.00784313725490196, 'rgb(0,2,82)'],
        [0.011764705882352941, 'rgb(0,2,84)'],
        [0.01568627450980392, 'rgb(0,2,86)'],
        [0.0196078431372549, 'rgb(0,3,88)'],
        [0.023529411764705882, 'rgb(0,3,90)'],
        [0.027450980392156862, 'rgb(0,3,92)'],
        [0.03137254901960784, 'rgb(0,3,94)'],
        [0.03529411764705882, 'rgb(0,3,96)'],
        [0.0392156862745098, 'rgb(1,3,98)'],
        [0.043137254901960784, 'rgb(2,3,100)'],
        [0.047058823529411764, 'rgb(2,3,102)'],
        [0.050980392156862744, 'rgb(3,3,104)'],
        [0.054901960784313725, 'rgb(4,2,106)'],
        [0.058823529411764705, 'rgb(5,2,108)'],
        [0.06274509803921569, 'rgb(5,2,110)'],
        [0.06666666666666667, 'rgb(6,2,112)'],
        [0.07058823529411765, 'rgb(7,2,114)'],
        [0.07450980392156863, 'rgb(8,2,116)'],
        [0.0784313725490196, 'rgb(8,2,118)'],
        [0.08235294117647059, 'rgb(9,2,120)'],
        [0.08627450980392157, 'rgb(10,2,123)'],
        [0.09019607843137255, 'rgb(11,2,125)'],
        [0.09411764705882353, 'rgb(11,2,127)'],
        [0.09803921568627451, 'rgb(12,2,129)'],
        [0.10196078431372549, 'rgb(13,2,131)'],
        [0.10588235294117647, 'rgb(13,2,133)'],
        [0.10980392156862745, 'rgb(14,2,136)'],
        [0.11372549019607843, 'rgb(14,1,138)'],
        [0.11764705882352941, 'rgb(15,1,140)'],
        [0.12156862745098039, 'rgb(15,1,142)'],
        [0.12549019607843137, 'rgb(15,1,144)'],
        [0.12941176470588237, 'rgb(16,1,147)'],
        [0.13333333333333333, 'rgb(16,1,149)'],
        [0.13725490196078433, 'rgb(16,1,151)'],
        [0.1411764705882353, 'rgb(16,1,153)'],
        [0.1450980392156863, 'rgb(16,2,156)'],
        [0.14901960784313725, 'rgb(16,2,158)'],
        [0.15294117647058825, 'rgb(16,2,160)'],
        [0.1568627450980392, 'rgb(16,2,162)'],
        [0.1607843137254902, 'rgb(15,2,165)'],
        [0.16470588235294117, 'rgb(15,2,167)'],
        [0.16862745098039217, 'rgb(14,3,170)'],
        [0.17254901960784313, 'rgb(13,3,172)'],
        [0.17647058823529413, 'rgb(13,3,174)'],
        [0.1803921568627451, 'rgb(12,4,177)'],
        [0.1843137254901961, 'rgb(11,4,179)'],
        [0.18823529411764706, 'rgb(10,4,181)'],
        [0.19215686274509805, 'rgb(10,5,183)'],
        [0.19607843137254902, 'rgb(9,5,185)'],
        [0.2, 'rgb(9,6,188)'],
        [0.20392156862745098, 'rgb(8,7,190)'],
        [0.20784313725490197, 'rgb(8,7,192)'],
        [0.21176470588235294, 'rgb(8,8,194)'],
        [0.21568627450980393, 'rgb(8,9,196)'],
        [0.2196078431372549, 'rgb(8,10,198)'],
        [0.2235294117647059, 'rgb(8,10,200)'],
        [0.22745098039215686, 'rgb(8,11,202)'],
        [0.23137254901960785, 'rgb(8,12,204)'],
        [0.23529411764705882, 'rgb(9,13,206)'],
        [0.23921568627450981, 'rgb(9,14,208)'],
        [0.24313725490196078, 'rgb(10,15,210)'],
        [0.24705882352941178, 'rgb(11,16,212)'],
        [0.25098039215686274, 'rgb(12,17,214)'],
        [0.2549019607843137, 'rgb(13,18,216)'],
        [0.25882352941176473, 'rgb(14,18,217)'],
        [0.2627450980392157, 'rgb(16,19,219)'],
        [0.26666666666666666, 'rgb(17,20,221)'],
        [0.27058823529411763, 'rgb(18,21,223)'],
        [0.27450980392156865, 'rgb(19,22,224)'],
        [0.2784313725490196, 'rgb(21,23,226)'],
        [0.2823529411764706, 'rgb(22,24,227)'],
        [0.28627450980392155, 'rgb(24,25,229)'],
        [0.2901960784313726, 'rgb(25,26,231)'],
        [0.29411764705882354, 'rgb(26,28,232)'],
        [0.2980392156862745, 'rgb(27,29,233)'],
        [0.30196078431372547, 'rgb(28,30,235)'],
        [0.3058823529411765, 'rgb(29,31,236)'],
        [0.30980392156862746, 'rgb(31,33,237)'],
        [0.3137254901960784, 'rgb(32,34,238)'],
        [0.3176470588235294, 'rgb(33,36,240)'],
        [0.3215686274509804, 'rgb(34,37,241)'],
        [0.3254901960784314, 'rgb(35,38,242)'],
        [0.32941176470588235, 'rgb(35,40,243)'],
        [0.3333333333333333, 'rgb(36,41,244)'],
        [0.33725490196078434, 'rgb(37,43,244)'],
        [0.3411764705882353, 'rgb(38,45,245)'],
        [0.34509803921568627, 'rgb(39,46,246)'],
        [0.34901960784313724, 'rgb(40,48,247)'],
        [0.35294117647058826, 'rgb(40,49,247)'],
        [0.3568627450980392, 'rgb(41,51,248)'],
        [0.3607843137254902, 'rgb(42,53,248)'],
        [0.36470588235294116, 'rgb(42,54,249)'],
        [0.3686274509803922, 'rgb(43,56,249)'],
        [0.37254901960784315, 'rgb(43,58,250)'],
        [0.3764705882352941, 'rgb(44,59,250)'],
        [0.3803921568627451, 'rgb(44,61,250)'],
        [0.3843137254901961, 'rgb(45,63,250)'],
        [0.38823529411764707, 'rgb(45,65,251)'],
        [0.39215686274509803, 'rgb(45,66,251)'],
        [0.396078431372549, 'rgb(46,68,251)'],
        [0.4, 'rgb(46,70,251)'],
        [0.403921568627451, 'rgb(46,71,251)'],
        [0.40784313725490196, 'rgb(47,73,251)'],
        [0.4117647058823529, 'rgb(47,75,251)'],
        [0.41568627450980394, 'rgb(47,76,251)'],
        [0.4196078431372549, 'rgb(47,78,251)'],
        [0.4235294117647059, 'rgb(47,79,251)'],
        [0.42745098039215684, 'rgb(47,81,251)'],
        [0.43137254901960786, 'rgb(47,82,252)'],
        [0.43529411764705883, 'rgb(48,84,252)'],
        [0.4392156862745098, 'rgb(48,86,252)'],
        [0.44313725490196076, 'rgb(48,87,252)'],
        [0.4470588235294118, 'rgb(48,89,252)'],
        [0.45098039215686275, 'rgb(48,90,252)'],
        [0.4549019607843137, 'rgb(48,92,252)'],
        [0.4588235294117647, 'rgb(48,93,252)'],
        [0.4627450980392157, 'rgb(47,94,252)'],
        [0.4666666666666667, 'rgb(47,96,252)'],
        [0.47058823529411764, 'rgb(47,97,252)'],
        [0.4745098039215686, 'rgb(47,99,253)'],
        [0.47843137254901963, 'rgb(47,100,253)'],
        [0.4823529411764706, 'rgb(47,102,253)'],
        [0.48627450980392156, 'rgb(46,103,253)'],
        [0.49019607843137253, 'rgb(46,105,253)'],
        [0.49411764705882355, 'rgb(46,106,253)'],
        [0.4980392156862745, 'rgb(45,107,253)'],
        [0.5019607843137255, 'rgb(45,109,253)'],
        [0.5058823529411764, 'rgb(45,110,253)'],
        [0.5098039215686274, 'rgb(45,112,253)'],
        [0.5137254901960784, 'rgb(44,113,253)'],
        [0.5176470588235295, 'rgb(44,114,253)'],
        [0.5215686274509804, 'rgb(44,116,253)'],
        [0.5254901960784314, 'rgb(44,117,254)'],
        [0.5294117647058824, 'rgb(44,118,254)'],
        [0.5333333333333333, 'rgb(43,120,254)'],
        [0.5372549019607843, 'rgb(43,121,254)'],
        [0.5411764705882353, 'rgb(43,123,254)'],
        [0.5450980392156862, 'rgb(43,124,254)'],
        [0.5490196078431373, 'rgb(43,125,254)'],
        [0.5529411764705883, 'rgb(44,126,254)'],
        [0.5568627450980392, 'rgb(44,128,254)'],
        [0.5607843137254902, 'rgb(44,129,254)'],
        [0.5647058823529412, 'rgb(44,130,254)'],
        [0.5686274509803921, 'rgb(44,132,254)'],
        [0.5725490196078431, 'rgb(45,133,254)'],
        [0.5764705882352941, 'rgb(45,134,254)'],
        [0.5803921568627451, 'rgb(45,135,254)'],
        [0.5843137254901961, 'rgb(46,137,254)'],
        [0.5882352941176471, 'rgb(46,138,254)'],
        [0.592156862745098, 'rgb(47,139,254)'],
        [0.596078431372549, 'rgb(47,141,254)'],
        [0.6, 'rgb(48,142,254)'],
        [0.6039215686274509, 'rgb(48,143,254)'],
        [0.6078431372549019, 'rgb(49,144,253)'],
        [0.611764705882353, 'rgb(50,146,253)'],
        [0.615686274509804, 'rgb(50,147,253)'],
        [0.6196078431372549, 'rgb(51,148,253)'],
        [0.6235294117647059, 'rgb(51,149,253)'],
        [0.6274509803921569, 'rgb(52,150,253)'],
        [0.6313725490196078, 'rgb(52,152,253)'],
        [0.6352941176470588, 'rgb(53,153,253)'],
        [0.6392156862745098, 'rgb(53,154,253)'],
        [0.6431372549019608, 'rgb(53,155,253)'],
        [0.6470588235294118, 'rgb(53,157,253)'],
        [0.6509803921568628, 'rgb(54,158,253)'],
        [0.6549019607843137, 'rgb(54,159,253)'],
        [0.6588235294117647, 'rgb(54,160,253)'],
        [0.6627450980392157, 'rgb(54,162,253)'],
        [0.6666666666666666, 'rgb(54,163,253)'],
        [0.6705882352941176, 'rgb(54,164,253)'],
        [0.6745098039215687, 'rgb(54,166,253)'],
        [0.6784313725490196, 'rgb(54,167,253)'],
        [0.6823529411764706, 'rgb(53,168,253)'],
        [0.6862745098039216, 'rgb(53,169,252)'],
        [0.6901960784313725, 'rgb(53,171,252)'],
        [0.6941176470588235, 'rgb(53,172,252)'],
        [0.6980392156862745, 'rgb(52,173,252)'],
        [0.7019607843137254, 'rgb(52,174,252)'],
        [0.7058823529411765, 'rgb(51,176,252)'],
        [0.7098039215686275, 'rgb(51,177,252)'],
        [0.7137254901960784, 'rgb(50,178,252)'],
        [0.7176470588235294, 'rgb(49,180,252)'],
        [0.7215686274509804, 'rgb(49,181,252)'],
        [0.7254901960784313, 'rgb(48,182,252)'],
        [0.7294117647058823, 'rgb(47,183,252)'],
        [0.7333333333333333, 'rgb(46,185,252)'],
        [0.7372549019607844, 'rgb(46,186,252)'],
        [0.7411764705882353, 'rgb(45,187,252)'],
        [0.7450980392156863, 'rgb(44,188,252)'],
        [0.7490196078431373, 'rgb(44,190,252)'],
        [0.7529411764705882, 'rgb(43,191,252)'],
        [0.7568627450980392, 'rgb(43,192,252)'],
        [0.7607843137254902, 'rgb(42,194,252)'],
        [0.7647058823529411, 'rgb(42,195,252)'],
        [0.7686274509803922, 'rgb(42,196,252)'],
        [0.7725490196078432, 'rgb(41,197,252)'],
        [0.7764705882352941, 'rgb(41,199,252)'],
        [0.7803921568627451, 'rgb(41,200,252)'],
        [0.7843137254901961, 'rgb(41,201,251)'],
        [0.788235294117647, 'rgb(41,202,251)'],
        [0.792156862745098, 'rgb(41,203,251)'],
        [0.796078431372549, 'rgb(41,205,251)'],
        [0.8, 'rgb(41,206,251)'],
        [0.803921568627451, 'rgb(41,207,251)'],
        [0.807843137254902, 'rgb(41,208,251)'],
        [0.8117647058823529, 'rgb(42,210,251)'],
        [0.8156862745098039, 'rgb(42,211,251)'],
        [0.8196078431372549, 'rgb(43,212,251)'],
        [0.8235294117647058, 'rgb(43,213,251)'],
        [0.8274509803921568, 'rgb(44,214,251)'],
        [0.8313725490196079, 'rgb(44,216,250)'],
        [0.8352941176470589, 'rgb(45,217,250)'],
        [0.8392156862745098, 'rgb(47,218,250)'],
        [0.8431372549019608, 'rgb(48,219,250)'],
        [0.8470588235294118, 'rgb(51,220,250)'],
        [0.8509803921568627, 'rgb(53,221,250)'],
        [0.8549019607843137, 'rgb(56,222,250)'],
        [0.8588235294117647, 'rgb(60,223,250)'],
        [0.8627450980392157, 'rgb(63,225,250)'],
        [0.8666666666666667, 'rgb(66,226,249)'],
        [0.8705882352941177, 'rgb(70,227,249)'],
        [0.8745098039215686, 'rgb(73,228,249)'],
        [0.8784313725490196, 'rgb(77,229,249)'],
        [0.8823529411764706, 'rgb(80,229,249)'],
        [0.8862745098039215, 'rgb(84,230,249)'],
        [0.8901960784313725, 'rgb(87,231,249)'],
        [0.8941176470588236, 'rgb(91,232,249)'],
        [0.8980392156862745, 'rgb(94,233,249)'],
        [0.9019607843137255, 'rgb(98,234,248)'],
        [0.9058823529411765, 'rgb(101,235,248)'],
        [0.9098039215686274, 'rgb(105,236,248)'],
        [0.9137254901960784, 'rgb(108,237,248)'],
        [0.9176470588235294, 'rgb(112,238,248)'],
        [0.9215686274509803, 'rgb(115,239,248)'],
        [0.9254901960784314, 'rgb(118,240,248)'],
        [0.9294117647058824, 'rgb(122,240,248)'],
        [0.9333333333333333, 'rgb(125,241,248)'],
        [0.9372549019607843, 'rgb(128,242,247)'],
        [0.9411764705882353, 'rgb(132,243,247)'],
        [0.9450980392156862, 'rgb(135,244,247)'],
        [0.9490196078431372, 'rgb(138,245,247)'],
        [0.9529411764705882, 'rgb(142,245,247)'],
        [0.9568627450980393, 'rgb(145,246,247)'],
        [0.9607843137254902, 'rgb(148,247,247)'],
        [0.9647058823529412, 'rgb(151,248,247)'],
        [0.9686274509803922, 'rgb(154,249,246)'],
        [0.9725490196078431, 'rgb(157,249,246)'],
        [0.9764705882352941, 'rgb(161,250,246)'],
        [0.9803921568627451, 'rgb(164,251,246)'],
        [0.984313725490196, 'rgb(167,252,246)'],
        [0.9882352941176471, 'rgb(170,253,246)'],
        [0.9921568627450981, 'rgb(173,253,246)'],
        [0.996078431372549, 'rgb(176,254,246)'],
        [1.0, 'rgb(179,255,246)'],
    ],
    'cet.linear_kbgyw_5_98_c62': [
        [0.0, 'rgb(17,17,17)'],
        [0.00392156862745098, 'rgb(19,17,21)'],
        [0.00784313725490196, 'rgb(20,17,24)'],
        [0.011764705882352941, 'rgb(22,18,27)'],
        [0.01568627450980392, 'rgb(23,18,31)'],
        [0.0196078431372549, 'rgb(24,18,34)'],
        [0.023529411764705882, 'rgb(25,19,37)'],
        [0.027450980392156862, 'rgb(26,19,40)'],
        [0.03137254901960784, 'rgb(27,19,43)'],
        [0.03529411764705882, 'rgb(28,19,47)'],
        [0.0392156862745098, 'rgb(29,19,50)'],
        [0.043137254901960784, 'rgb(30,19,53)'],
        [0.047058823529411764, 'rgb(30,19,56)'],
        [0.050980392156862744, 'rgb(31,19,60)'],
        [0.054901960784313725, 'rgb(31,19,63)'],
        [0.058823529411764705, 'rgb(32,20,66)'],
        [0.06274509803921569, 'rgb(33,20,69)'],
        [0.06666666666666667, 'rgb(33,20,73)'],
        [0.07058823529411765, 'rgb(33,20,76)'],
        [0.07450980392156863, 'rgb(34,20,79)'],
        [0.0784313725490196, 'rgb(34,20,82)'],
        [0.08235294117647059, 'rgb(34,20,86)'],
        [0.08627450980392157, 'rgb(34,20,89)'],
        [0.09019607843137255, 'rgb(35,20,92)'],
        [0.09411764705882353, 'rgb(35,20,95)'],
        [0.09803921568627451, 'rgb(35,20,98)'],
        [0.10196078431372549, 'rgb(35,20,101)'],
        [0.10588235294117647, 'rgb(35,21,105)'],
        [0.10980392156862745, 'rgb(34,21,108)'],
        [0.11372549019607843, 'rgb(34,21,111)'],
        [0.11764705882352941, 'rgb(34,21,114)'],
        [0.12156862745098039, 'rgb(34,21,117)'],
        [0.12549019607843137, 'rgb(33,21,120)'],
        [0.12941176470588237, 'rgb(33,22,123)'],
        [0.13333333333333333, 'rgb(33,22,126)'],
        [0.13725490196078433, 'rgb(32,22,129)'],
        [0.1411764705882353, 'rgb(32,23,131)'],
        [0.1450980392156863, 'rgb(31,23,134)'],
        [0.14901960784313725, 'rgb(31,23,137)'],
        [0.15294117647058825, 'rgb(30,24,140)'],
        [0.1568627450980392, 'rgb(29,24,142)'],
        [0.1607843137254902, 'rgb(29,25,145)'],
        [0.16470588235294117, 'rgb(28,25,148)'],
        [0.16862745098039217, 'rgb(27,26,150)'],
        [0.17254901960784313, 'rgb(26,26,153)'],
        [0.17647058823529413, 'rgb(25,27,155)'],
        [0.1803921568627451, 'rgb(24,28,157)'],
        [0.1843137254901961, 'rgb(23,28,159)'],
        [0.18823529411764706, 'rgb(22,29,162)'],
        [0.19215686274509805, 'rgb(21,30,164)'],
        [0.19607843137254902, 'rgb(20,31,166)'],
        [0.2, 'rgb(19,32,168)'],
        [0.20392156862745098, 'rgb(18,33,169)'],
        [0.20784313725490197, 'rgb(17,34,171)'],
        [0.21176470588235294, 'rgb(15,35,173)'],
        [0.21568627450980393, 'rgb(14,36,174)'],
        [0.2196078431372549, 'rgb(13,37,176)'],
        [0.2235294117647059, 'rgb(12,39,177)'],
        [0.22745098039215686, 'rgb(11,40,178)'],
        [0.23137254901960785, 'rgb(10,41,179)'],
        [0.23529411764705882, 'rgb(10,43,180)'],
        [0.23921568627450981, 'rgb(9,44,180)'],
        [0.24313725490196078, 'rgb(9,46,181)'],
        [0.24705882352941178, 'rgb(8,47,181)'],
        [0.25098039215686274, 'rgb(8,49,182)'],
        [0.2549019607843137, 'rgb(8,50,182)'],
        [0.25882352941176473, 'rgb(8,52,182)'],
        [0.2627450980392157, 'rgb(7,53,183)'],
        [0.26666666666666666, 'rgb(7,55,183)'],
        [0.27058823529411763, 'rgb(7,56,183)'],
        [0.27450980392156865, 'rgb(7,57,183)'],
        [0.2784313725490196, 'rgb(7,59,184)'],
        [0.2823529411764706, 'rgb(7,60,184)'],
        [0.28627450980392155, 'rgb(7,62,184)'],
        [0.2901960784313726, 'rgb(7,63,184)'],
        [0.29411764705882354, 'rgb(7,65,184)'],
        [0.2980392156862745, 'rgb(7,66,184)'],
        [0.30196078431372547, 'rgb(7,68,184)'],
        [0.3058823529411765, 'rgb(7,69,184)'],
        [0.30980392156862746, 'rgb(7,70,184)'],
        [0.3137254901960784, 'rgb(7,72,183)'],
        [0.3176470588235294, 'rgb(7,73,183)'],
        [0.3215686274509804, 'rgb(7,75,183)'],
        [0.3254901960784314, 'rgb(7,76,182)'],
        [0.32941176470588235, 'rgb(7,78,182)'],
        [0.3333333333333333, 'rgb(7,79,182)'],
        [0.33725490196078434, 'rgb(7,81,181)'],
        [0.3411764705882353, 'rgb(7,82,181)'],
        [0.34509803921568627, 'rgb(7,83,180)'],
        [0.34901960784313724, 'rgb(7,85,179)'],
        [0.35294117647058826, 'rgb(7,86,178)'],
        [0.3568627450980392, 'rgb(7,88,178)'],
        [0.3607843137254902, 'rgb(7,89,177)'],
        [0.36470588235294116, 'rgb(7,91,176)'],
        [0.3686274509803922, 'rgb(7,92,175)'],
        [0.37254901960784315, 'rgb(6,94,173)'],
        [0.3764705882352941, 'rgb(6,95,172)'],
        [0.3803921568627451, 'rgb(6,97,171)'],
        [0.3843137254901961, 'rgb(6,98,169)'],
        [0.38823529411764707, 'rgb(7,100,168)'],
        [0.39215686274509803, 'rgb(9,101,166)'],
        [0.396078431372549, 'rgb(11,103,165)'],
        [0.4, 'rgb(13,104,163)'],
        [0.403921568627451, 'rgb(15,105,161)'],
        [0.40784313725490196, 'rgb(17,107,160)'],
        [0.4117647058823529, 'rgb(19,108,158)'],
        [0.41568627450980394, 'rgb(21,110,156)'],
        [0.4196078431372549, 'rgb(23,111,154)'],
        [0.4235294117647059, 'rgb(25,112,152)'],
        [0.42745098039215684, 'rgb(27,114,150)'],
        [0.43137254901960786, 'rgb(29,115,148)'],
        [0.43529411764705883, 'rgb(30,116,146)'],
        [0.4392156862745098, 'rgb(32,118,144)'],
        [0.44313725490196076, 'rgb(34,119,141)'],
        [0.4470588235294118, 'rgb(35,120,139)'],
        [0.45098039215686275, 'rgb(36,121,137)'],
        [0.4549019607843137, 'rgb(38,123,135)'],
        [0.4588235294117647, 'rgb(39,124,132)'],
        [0.4627450980392157, 'rgb(40,125,130)'],
        [0.4666666666666667, 'rgb(41,127,128)'],
        [0.47058823529411764, 'rgb(42,128,125)'],
        [0.4745098039215686, 'rgb(43,129,123)'],
        [0.47843137254901963, 'rgb(44,131,120)'],
        [0.4823529411764706, 'rgb(45,132,117)'],
        [0.48627450980392156, 'rgb(45,133,115)'],
        [0.49019607843137253, 'rgb(46,134,112)'],
        [0.49411764705882355, 'rgb(47,136,109)'],
        [0.4980392156862745, 'rgb(47,137,107)'],
        [0.5019607843137255, 'rgb(47,138,104)'],
        [0.5058823529411764, 'rgb(48,140,101)'],
        [0.5098039215686274, 'rgb(48,141,98)'],
        [0.5137254901960784, 'rgb(48,142,95)'],
        [0.5176470588235295, 'rgb(49,143,92)'],
        [0.5215686274509804, 'rgb(49,145,90)'],
        [0.5254901960784314, 'rgb(49,146,87)'],
        [0.5294117647058824, 'rgb(50,147,85)'],
        [0.5333333333333333, 'rgb(50,148,82)'],
        [0.5372549019607843, 'rgb(51,149,80)'],
        [0.5411764705882353, 'rgb(52,151,77)'],
        [0.5450980392156862, 'rgb(53,152,75)'],
        [0.5490196078431373, 'rgb(54,153,73)'],
        [0.5529411764705883, 'rgb(55,154,71)'],
        [0.5568627450980392, 'rgb(56,155,68)'],
        [0.5607843137254902, 'rgb(57,156,66)'],
        [0.5647058823529412, 'rgb(58,157,64)'],
        [0.5686274509803921, 'rgb(60,158,62)'],
        [0.5725490196078431, 'rgb(61,159,60)'],
        [0.5764705882352941, 'rgb(63,160,58)'],
        [0.5803921568627451, 'rgb(64,161,56)'],
        [0.5843137254901961, 'rgb(66,162,55)'],
        [0.5882352941176471, 'rgb(68,163,53)'],
        [0.592156862745098, 'rgb(69,164,51)'],
        [0.596078431372549, 'rgb(71,165,49)'],
        [0.6, 'rgb(73,166,47)'],
        [0.6039215686274509, 'rgb(75,167,46)'],
        [0.6078431372549019, 'rgb(77,168,44)'],
        [0.611764705882353, 'rgb(79,169,42)'],
        [0.615686274509804, 'rgb(81,170,40)'],
        [0.6196078431372549, 'rgb(83,171,39)'],
        [0.6235294117647059, 'rgb(85,172,37)'],
        [0.6274509803921569, 'rgb(87,173,35)'],
        [0.6313725490196078, 'rgb(89,174,34)'],
        [0.6352941176470588, 'rgb(91,175,32)'],
        [0.6392156862745098, 'rgb(94,176,31)'],
        [0.6431372549019608, 'rgb(96,176,29)'],
        [0.6470588235294118, 'rgb(98,177,27)'],
        [0.6509803921568628, 'rgb(101,178,26)'],
        [0.6549019607843137, 'rgb(103,179,24)'],
        [0.6588235294117647, 'rgb(105,180,23)'],
        [0.6627450980392157, 'rgb(108,181,21)'],
        [0.6666666666666666, 'rgb(110,182,19)'],
        [0.6705882352941176, 'rgb(112,182,18)'],
        [0.6745098039215687, 'rgb(115,183,16)'],
        [0.6784313725490196, 'rgb(117,184,15)'],
        [0.6823529411764706, 'rgb(120,185,13)'],
        [0.6862745098039216, 'rgb(122,186,12)'],
        [0.6901960784313725, 'rgb(125,186,10)'],
        [0.6941176470588235, 'rgb(127,187,9)'],
        [0.6980392156862745, 'rgb(130,188,7)'],
        [0.7019607843137254, 'rgb(133,189,6)'],
        [0.7058823529411765, 'rgb(135,189,5)'],
        [0.7098039215686275, 'rgb(138,190,4)'],
        [0.7137254901960784, 'rgb(140,191,4)'],
        [0.7176470588235294, 'rgb(143,191,3)'],
        [0.7215686274509804, 'rgb(146,192,3)'],
        [0.7254901960784313, 'rgb(148,193,3)'],
        [0.7294117647058823, 'rgb(151,193,2)'],
        [0.7333333333333333, 'rgb(154,194,2)'],
        [0.7372549019607844, 'rgb(156,195,2)'],
        [0.7411764705882353, 'rgb(159,195,2)'],
        [0.7450980392156863, 'rgb(161,196,3)'],
        [0.7490196078431373, 'rgb(164,197,3)'],
        [0.7529411764705882, 'rgb(166,198,3)'],
        [0.7568627450980392, 'rgb(169,198,3)'],
        [0.7607843137254902, 'rgb(171,199,4)'],
        [0.7647058823529411, 'rgb(174,200,4)'],
        [0.7686274509803922, 'rgb(176,200,5)'],
        [0.7725490196078432, 'rgb(179,201,5)'],
        [0.7764705882352941, 'rgb(181,202,6)'],
        [0.7803921568627451, 'rgb(183,202,7)'],
        [0.7843137254901961, 'rgb(186,203,7)'],
        [0.788235294117647, 'rgb(188,204,8)'],
        [0.792156862745098, 'rgb(190,204,9)'],
        [0.796078431372549, 'rgb(193,205,11)'],
        [0.8, 'rgb(195,206,12)'],
        [0.803921568627451, 'rgb(197,206,13)'],
        [0.807843137254902, 'rgb(199,207,14)'],
        [0.8117647058823529, 'rgb(201,208,15)'],
        [0.8156862745098039, 'rgb(204,209,17)'],
        [0.8196078431372549, 'rgb(206,209,18)'],
        [0.8235294117647058, 'rgb(208,210,19)'],
        [0.8274509803921568, 'rgb(210,211,21)'],
        [0.8313725490196079, 'rgb(212,211,22)'],
        [0.8352941176470589, 'rgb(214,212,24)'],
        [0.8392156862745098, 'rgb(216,213,25)'],
        [0.8431372549019608, 'rgb(218,214,27)'],
        [0.8470588235294118, 'rgb(220,215,28)'],
        [0.8509803921568627, 'rgb(222,215,30)'],
        [0.8549019607843137, 'rgb(224,216,31)'],
        [0.8588235294117647, 'rgb(225,217,33)'],
        [0.8627450980392157, 'rgb(227,218,35)'],
        [0.8666666666666667, 'rgb(229,219,36)'],
        [0.8705882352941177, 'rgb(231,219,38)'],
        [0.8745098039215686, 'rgb(232,220,40)'],
        [0.8784313725490196, 'rgb(234,221,42)'],
        [0.8823529411764706, 'rgb(235,222,44)'],
        [0.8862745098039215, 'rgb(237,223,46)'],
        [0.8901960784313725, 'rgb(238,224,48)'],
        [0.8941176470588236, 'rgb(240,225,50)'],
        [0.8980392156862745, 'rgb(241,226,52)'],
        [0.9019607843137255, 'rgb(242,227,55)'],
        [0.9058823529411765, 'rgb(243,228,57)'],
        [0.9098039215686274, 'rgb(244,229,60)'],
        [0.9137254901960784, 'rgb(245,230,63)'],
        [0.9176470588235294, 'rgb(245,231,66)'],
        [0.9215686274509803, 'rgb(246,232,69)'],
        [0.9254901960784314, 'rgb(247,233,73)'],
        [0.9294117647058824, 'rgb(247,234,77)'],
        [0.9333333333333333, 'rgb(248,235,82)'],
        [0.9372549019607843, 'rgb(249,236,88)'],
        [0.9411764705882353, 'rgb(250,237,93)'],
        [0.9450980392156862, 'rgb(250,238,99)'],
        [0.9490196078431372, 'rgb(251,239,106)'],
        [0.9529411764705882, 'rgb(252,240,113)'],
        [0.9568627450980393, 'rgb(253,241,120)'],
        [0.9607843137254902, 'rgb(253,242,128)'],
        [0.9647058823529412, 'rgb(254,243,137)'],
        [0.9686274509803922, 'rgb(255,244,146)'],
        [0.9725490196078431, 'rgb(255,245,156)'],
        [0.9764705882352941, 'rgb(255,245,166)'],
        [0.9803921568627451, 'rgb(255,246,178)'],
        [0.984313725490196, 'rgb(255,247,190)'],
        [0.9882352941176471, 'rgb(254,247,203)'],
        [0.9921568627450981, 'rgb(253,248,217)'],
        [0.996078431372549, 'rgb(252,249,232)'],
        [1.0, 'rgb(249,249,249)'],
    ],
    'cet.linear_kgy_5_95_c69': [
        [0.0, 'rgb(1,21,6)'],
        [0.00392156862745098, 'rgb(1,22,6)'],
        [0.00784313725490196, 'rgb(2,23,6)'],
        [0.011764705882352941, 'rgb(2,24,6)'],
        [0.01568627450980392, 'rgb(3,25,6)'],
        [0.0196078431372549, 'rgb(4,25,6)'],
        [0.023529411764705882, 'rgb(4,26,6)'],
        [0.027450980392156862, 'rgb(5,27,6)'],
        [0.03137254901960784, 'rgb(5,28,6)'],
        [0.03529411764705882, 'rgb(6,28,6)'],
        [0.0392156862745098, 'rgb(7,29,6)'],
        [0.043137254901960784, 'rgb(7,30,6)'],
        [0.047058823529411764, 'rgb(8,31,6)'],
        [0.050980392156862744, 'rgb(8,32,6)'],
        [0.054901960784313725, 'rgb(8,32,6)'],
        [0.058823529411764705, 'rgb(9,33,6)'],
        [0.06274509803921569, 'rgb(9,34,6)'],
        [0.06666666666666667, 'rgb(9,35,5)'],
        [0.07058823529411765, 'rgb(9,36,5)'],
        [0.07450980392156863, 'rgb(9,36,5)'],
        [0.0784313725490196, 'rgb(9,37,5)'],
        [0.08235294117647059, 'rgb(9,38,5)'],
        [0.08627450980392157, 'rgb(9,39,5)'],
        [0.09019607843137255, 'rgb(9,40,5)'],
        [0.09411764705882353, 'rgb(9,41,5)'],
        [0.09803921568627451, 'rgb(9,42,5)'],
        [0.10196078431372549, 'rgb(9,42,5)'],
        [0.10588235294117647, 'rgb(9,43,5)'],
        [0.10980392156862745, 'rgb(9,44,5)'],
        [0.11372549019607843, 'rgb(9,45,5)'],
        [0.11764705882352941, 'rgb(9,46,5)'],
        [0.12156862745098039, 'rgb(9,47,5)'],
        [0.12549019607843137, 'rgb(9,48,5)'],
        [0.12941176470588237, 'rgb(8,49,5)'],
        [0.13333333333333333, 'rgb(8,49,5)'],
        [0.13725490196078433, 'rgb(8,50,5)'],
        [0.1411764705882353, 'rgb(8,51,5)'],
        [0.1450980392156863, 'rgb(8,52,5)'],
        [0.14901960784313725, 'rgb(9,53,5)'],
        [0.15294117647058825, 'rgb(9,54,5)'],
        [0.1568627450980392, 'rgb(9,55,5)'],
        [0.1607843137254902, 'rgb(9,56,5)'],
        [0.16470588235294117, 'rgb(9,56,5)'],
        [0.16862745098039217, 'rgb(9,57,5)'],
        [0.17254901960784313, 'rgb(10,58,5)'],
        [0.17647058823529413, 'rgb(10,59,5)'],
        [0.1803921568627451, 'rgb(10,60,5)'],
        [0.1843137254901961, 'rgb(10,61,5)'],
        [0.18823529411764706, 'rgb(11,62,5)'],
        [0.19215686274509805, 'rgb(11,63,5)'],
        [0.19607843137254902, 'rgb(11,64,5)'],
        [0.2, 'rgb(11,64,5)'],
        [0.20392156862745098, 'rgb(12,65,5)'],
        [0.20784313725490197, 'rgb(12,66,5)'],
        [0.21176470588235294, 'rgb(12,67,5)'],
        [0.21568627450980393, 'rgb(13,68,5)'],
        [0.2196078431372549, 'rgb(13,69,5)'],
        [0.2235294117647059, 'rgb(13,70,5)'],
        [0.22745098039215686, 'rgb(13,71,5)'],
        [0.23137254901960785, 'rgb(14,72,5)'],
        [0.23529411764705882, 'rgb(14,73,5)'],
        [0.23921568627450981, 'rgb(14,73,5)'],
        [0.24313725490196078, 'rgb(14,74,5)'],
        [0.24705882352941178, 'rgb(15,75,5)'],
        [0.25098039215686274, 'rgb(15,76,5)'],
        [0.2549019607843137, 'rgb(15,77,5)'],
        [0.25882352941176473, 'rgb(15,78,5)'],
        [0.2627450980392157, 'rgb(16,79,5)'],
        [0.26666666666666666, 'rgb(16,80,5)'],
        [0.27058823529411763, 'rgb(16,81,5)'],
        [0.27450980392156865, 'rgb(16,82,5)'],
        [0.2784313725490196, 'rgb(17,83,5)'],
        [0.2823529411764706, 'rgb(17,84,6)'],
        [0.28627450980392155, 'rgb(17,85,6)'],
        [0.2901960784313726, 'rgb(17,85,6)'],
        [0.29411764705882354, 'rgb(18,86,6)'],
        [0.2980392156862745, 'rgb(18,87,6)'],
        [0.30196078431372547, 'rgb(18,88,6)'],
        [0.3058823529411765, 'rgb(18,89,6)'],
        [0.30980392156862746, 'rgb(19,90,6)'],
        [0.3137254901960784, 'rgb(19,91,6)'],
        [0.3176470588235294, 'rgb(19,92,6)'],
        [0.3215686274509804, 'rgb(19,93,6)'],
        [0.3254901960784314, 'rgb(20,94,6)'],
        [0.32941176470588235, 'rgb(20,95,7)'],
        [0.3333333333333333, 'rgb(20,96,7)'],
        [0.33725490196078434, 'rgb(20,97,7)'],
        [0.3411764705882353, 'rgb(21,98,7)'],
        [0.34509803921568627, 'rgb(21,99,7)'],
        [0.34901960784313724, 'rgb(21,100,7)'],
        [0.35294117647058826, 'rgb(21,101,7)'],
        [0.3568627450980392, 'rgb(22,102,7)'],
        [0.3607843137254902, 'rgb(22,103,7)'],
        [0.36470588235294116, 'rgb(22,104,7)'],
        [0.3686274509803922, 'rgb(22,104,8)'],
        [0.37254901960784315, 'rgb(23,105,8)'],
        [0.3764705882352941, 'rgb(23,106,8)'],
        [0.3803921568627451, 'rgb(23,107,8)'],
        [0.3843137254901961, 'rgb(23,108,8)'],
        [0.38823529411764707, 'rgb(24,109,8)'],
        [0.39215686274509803, 'rgb(24,110,8)'],
        [0.396078431372549, 'rgb(24,111,8)'],
        [0.4, 'rgb(24,112,8)'],
        [0.403921568627451, 'rgb(25,113,8)'],
        [0.40784313725490196, 'rgb(25,114,9)'],
        [0.4117647058823529, 'rgb(25,115,9)'],
        [0.41568627450980394, 'rgb(25,116,9)'],
        [0.4196078431372549, 'rgb(26,117,9)'],
        [0.4235294117647059, 'rgb(26,118,9)'],
        [0.42745098039215684, 'rgb(26,119,9)'],
        [0.43137254901960786, 'rgb(26,120,9)'],
        [0.43529411764705883, 'rgb(27,121,9)'],
        [0.4392156862745098, 'rgb(27,122,9)'],
        [0.44313725490196076, 'rgb(27,123,10)'],
        [0.4470588235294118, 'rgb(27,124,10)'],
        [0.45098039215686275, 'rgb(28,125,10)'],
        [0.4549019607843137, 'rgb(28,126,10)'],
        [0.4588235294117647, 'rgb(28,127,10)'],
        [0.4627450980392157, 'rgb(28,128,10)'],
        [0.4666666666666667, 'rgb(29,129,10)'],
        [0.47058823529411764, 'rgb(29,130,10)'],
        [0.4745098039215686, 'rgb(29,131,11)'],
        [0.47843137254901963, 'rgb(30,132,11)'],
        [0.4823529411764706, 'rgb(30,133,11)'],
        [0.48627450980392156, 'rgb(30,134,11)'],
        [0.49019607843137253, 'rgb(30,135,11)'],
        [0.49411764705882355, 'rgb(31,136,11)'],
        [0.4980392156862745, 'rgb(31,137,11)'],
        [0.5019607843137255, 'rgb(31,138,11)'],
        [0.5058823529411764, 'rgb(31,139,11)'],
        [0.5098039215686274, 'rgb(32,140,12)'],
        [0.5137254901960784, 'rgb(32,141,12)'],
        [0.5176470588235295, 'rgb(32,142,12)'],
        [0.5215686274509804, 'rgb(32,143,12)'],
        [0.5254901960784314, 'rgb(33,144,12)'],
        [0.5294117647058824, 'rgb(33,145,12)'],
        [0.5333333333333333, 'rgb(33,146,12)'],
        [0.5372549019607843, 'rgb(33,147,12)'],
        [0.5411764705882353, 'rgb(34,149,13)'],
        [0.5450980392156862, 'rgb(34,150,13)'],
        [0.5490196078431373, 'rgb(34,151,13)'],
        [0.5529411764705883, 'rgb(34,152,13)'],
        [0.5568627450980392, 'rgb(35,153,13)'],
        [0.5607843137254902, 'rgb(35,154,13)'],
        [0.5647058823529412, 'rgb(35,155,13)'],
        [0.5686274509803921, 'rgb(35,156,13)'],
        [0.5725490196078431, 'rgb(36,157,13)'],
        [0.5764705882352941, 'rgb(36,158,14)'],
        [0.5803921568627451, 'rgb(36,159,14)'],
        [0.5843137254901961, 'rgb(37,160,14)'],
        [0.5882352941176471, 'rgb(37,161,14)'],
        [0.592156862745098, 'rgb(37,162,14)'],
        [0.596078431372549, 'rgb(37,163,14)'],
        [0.6, 'rgb(38,164,14)'],
        [0.6039215686274509, 'rgb(38,165,14)'],
        [0.6078431372549019, 'rgb(38,166,14)'],
        [0.611764705882353, 'rgb(38,167,15)'],
        [0.615686274509804, 'rgb(39,168,15)'],
        [0.6196078431372549, 'rgb(39,169,15)'],
        [0.6235294117647059, 'rgb(39,170,15)'],
        [0.6274509803921569, 'rgb(39,172,15)'],
        [0.6313725490196078, 'rgb(40,173,15)'],
        [0.6352941176470588, 'rgb(40,174,15)'],
        [0.6392156862745098, 'rgb(40,175,15)'],
        [0.6431372549019608, 'rgb(40,176,16)'],
        [0.6470588235294118, 'rgb(41,177,16)'],
        [0.6509803921568628, 'rgb(41,178,16)'],
        [0.6549019607843137, 'rgb(41,179,16)'],
        [0.6588235294117647, 'rgb(42,180,16)'],
        [0.6627450980392157, 'rgb(42,181,16)'],
        [0.6666666666666666, 'rgb(42,182,16)'],
        [0.6705882352941176, 'rgb(42,183,16)'],
        [0.6745098039215687, 'rgb(43,184,16)'],
        [0.6784313725490196, 'rgb(43,185,17)'],
        [0.6823529411764706, 'rgb(43,186,17)'],
        [0.6862745098039216, 'rgb(43,188,17)'],
        [0.6901960784313725, 'rgb(44,189,17)'],
        [0.6941176470588235, 'rgb(44,190,17)'],
        [0.6980392156862745, 'rgb(44,191,17)'],
        [0.7019607843137254, 'rgb(44,192,17)'],
        [0.7058823529411765, 'rgb(45,193,17)'],
        [0.7098039215686275, 'rgb(45,194,17)'],
        [0.7137254901960784, 'rgb(45,195,18)'],
        [0.7176470588235294, 'rgb(46,196,18)'],
        [0.7215686274509804, 'rgb(46,197,18)'],
        [0.7254901960784313, 'rgb(46,198,18)'],
        [0.7294117647058823, 'rgb(46,199,18)'],
        [0.7333333333333333, 'rgb(47,201,18)'],
        [0.7372549019607844, 'rgb(47,202,18)'],
        [0.7411764705882353, 'rgb(47,203,18)'],
        [0.7450980392156863, 'rgb(47,204,19)'],
        [0.7490196078431373, 'rgb(48,205,19)'],
        [0.7529411764705882, 'rgb(48,206,19)'],
        [0.7568627450980392, 'rgb(48,207,19)'],
        [0.7607843137254902, 'rgb(49,208,19)'],
        [0.7647058823529411, 'rgb(49,209,19)'],
        [0.7686274509803922, 'rgb(49,210,19)'],
        [0.7725490196078432, 'rgb(49,211,19)'],
        [0.7764705882352941, 'rgb(50,213,19)'],
        [0.7803921568627451, 'rgb(50,214,20)'],
        [0.7843137254901961, 'rgb(50,215,20)'],
        [0.788235294117647, 'rgb(50,216,20)'],
        [0.792156862745098, 'rgb(51,217,20)'],
        [0.796078431372549, 'rgb(51,218,20)'],
        [0.8, 'rgb(51,219,20)'],
        [0.803921568627451, 'rgb(52,220,20)'],
        [0.807843137254902, 'rgb(52,221,20)'],
        [0.8117647058823529, 'rgb(52,223,20)'],
        [0.8156862745098039, 'rgb(52,224,21)'],
        [0.8196078431372549, 'rgb(53,225,21)'],
        [0.8235294117647058, 'rgb(53,226,21)'],
        [0.8274509803921568, 'rgb(53,227,21)'],
        [0.8313725490196079, 'rgb(53,228,21)'],
        [0.8352941176470589, 'rgb(54,229,21)'],
        [0.8392156862745098, 'rgb(55,230,21)'],
        [0.8431372549019608, 'rgb(57,231,21)'],
        [0.8470588235294118, 'rgb(59,232,21)'],
        [0.8509803921568627, 'rgb(62,233,21)'],
        [0.8549019607843137, 'rgb(65,234,22)'],
        [0.8588235294117647, 'rgb(68,235,22)'],
        [0.8627450980392157, 'rgb(72,236,22)'],
        [0.8666666666666667, 'rgb(75,237,22)'],
        [0.8705882352941177, 'rgb(79,238,22)'],
        [0.8745098039215686, 'rgb(83,239,22)'],
        [0.8784313725490196, 'rgb(87,240,22)'],
        [0.8823529411764706, 'rgb(92,240,22)'],
        [0.8862745098039215, 'rgb(96,241,22)'],
        [0.8901960784313725, 'rgb(100,242,22)'],
        [0.8941176470588236, 'rgb(104,243,22)'],
        [0.8980392156862745, 'rgb(108,243,22)'],
        [0.9019607843137255, 'rgb(113,244,21)'],
        [0.9058823529411765, 'rgb(117,245,21)'],
        [0.9098039215686274, 'rgb(121,246,21)'],
        [0.9137254901960784, 'rgb(125,246,21)'],
        [0.9176470588235294, 'rgb(129,247,21)'],
        [0.9215686274509803, 'rgb(134,248,21)'],
        [0.9254901960784314, 'rgb(138,248,21)'],
        [0.9294117647058824, 'rgb(142,249,21)'],
        [0.9333333333333333, 'rgb(146,249,21)'],
        [0.9372549019607843, 'rgb(150,250,21)'],
        [0.9411764705882353, 'rgb(154,251,21)'],
        [0.9450980392156862, 'rgb(159,251,21)'],
        [0.9490196078431372, 'rgb(163,252,21)'],
        [0.9529411764705882, 'rgb(167,252,21)'],
        [0.9568627450980393, 'rgb(171,253,21)'],
        [0.9607843137254902, 'rgb(175,253,21)'],
        [0.9647058823529412, 'rgb(179,254,21)'],
        [0.9686274509803922, 'rgb(183,254,21)'],
        [0.9725490196078431, 'rgb(187,255,21)'],
        [0.9764705882352941, 'rgb(192,255,21)'],
        [0.9803921568627451, 'rgb(196,255,21)'],
        [0.984313725490196, 'rgb(200,255,21)'],
        [0.9882352941176471, 'rgb(204,255,21)'],
        [0.9921568627450981, 'rgb(208,255,21)'],
        [0.996078431372549, 'rgb(212,255,21)'],
        [1.0, 'rgb(216,255,21)'],
    ],
    'cet.linear_kry_0_97_c73': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(7,0,0)'],
        [0.00784313725490196, 'rgb(13,0,0)'],
        [0.011764705882352941, 'rgb(18,0,0)'],
        [0.01568627450980392, 'rgb(22,0,0)'],
        [0.0196078431372549, 'rgb(25,0,0)'],
        [0.023529411764705882, 'rgb(28,0,0)'],
        [0.027450980392156862, 'rgb(31,0,0)'],
        [0.03137254901960784, 'rgb(34,0,0)'],
        [0.03529411764705882, 'rgb(36,0,0)'],
        [0.0392156862745098, 'rgb(38,0,0)'],
        [0.043137254901960784, 'rgb(40,0,0)'],
        [0.047058823529411764, 'rgb(42,0,0)'],
        [0.050980392156862744, 'rgb(44,0,0)'],
        [0.054901960784313725, 'rgb(46,0,0)'],
        [0.058823529411764705, 'rgb(48,0,0)'],
        [0.06274509803921569, 'rgb(50,0,0)'],
        [0.06666666666666667, 'rgb(51,0,0)'],
        [0.07058823529411765, 'rgb(53,0,0)'],
        [0.07450980392156863, 'rgb(54,0,0)'],
        [0.0784313725490196, 'rgb(56,0,0)'],
        [0.08235294117647059, 'rgb(57,0,0)'],
        [0.08627450980392157, 'rgb(59,0,0)'],
        [0.09019607843137255, 'rgb(60,0,0)'],
        [0.09411764705882353, 'rgb(62,0,0)'],
        [0.09803921568627451, 'rgb(63,0,0)'],
        [0.10196078431372549, 'rgb(64,0,0)'],
        [0.10588235294117647, 'rgb(66,1,0)'],
        [0.10980392156862745, 'rgb(67,1,0)'],
        [0.11372549019607843, 'rgb(69,1,0)'],
        [0.11764705882352941, 'rgb(70,1,0)'],
        [0.12156862745098039, 'rgb(72,1,0)'],
        [0.12549019607843137, 'rgb(73,1,0)'],
        [0.12941176470588237, 'rgb(75,1,0)'],
        [0.13333333333333333, 'rgb(76,1,0)'],
        [0.13725490196078433, 'rgb(78,1,0)'],
        [0.1411764705882353, 'rgb(79,1,0)'],
        [0.1450980392156863, 'rgb(81,1,0)'],
        [0.14901960784313725, 'rgb(82,1,0)'],
        [0.15294117647058825, 'rgb(84,1,0)'],
        [0.1568627450980392, 'rgb(85,1,0)'],
        [0.1607843137254902, 'rgb(87,1,0)'],
        [0.16470588235294117, 'rgb(88,1,0)'],
        [0.16862745098039217, 'rgb(90,1,0)'],
        [0.17254901960784313, 'rgb(91,1,0)'],
        [0.17647058823529413, 'rgb(93,1,0)'],
        [0.1803921568627451, 'rgb(94,1,0)'],
        [0.1843137254901961, 'rgb(96,1,0)'],
        [0.18823529411764706, 'rgb(97,1,0)'],
        [0.19215686274509805, 'rgb(99,1,0)'],
        [0.19607843137254902, 'rgb(100,1,0)'],
        [0.2, 'rgb(102,1,0)'],
        [0.20392156862745098, 'rgb(103,1,0)'],
        [0.20784313725490197, 'rgb(105,1,0)'],
        [0.21176470588235294, 'rgb(107,2,0)'],
        [0.21568627450980393, 'rgb(108,2,0)'],
        [0.2196078431372549, 'rgb(110,2,0)'],
        [0.2235294117647059, 'rgb(111,2,0)'],
        [0.22745098039215686, 'rgb(113,2,0)'],
        [0.23137254901960785, 'rgb(114,2,0)'],
        [0.23529411764705882, 'rgb(116,2,0)'],
        [0.23921568627450981, 'rgb(118,2,0)'],
        [0.24313725490196078, 'rgb(119,2,0)'],
        [0.24705882352941178, 'rgb(121,2,0)'],
        [0.25098039215686274, 'rgb(122,2,0)'],
        [0.2549019607843137, 'rgb(124,2,0)'],
        [0.25882352941176473, 'rgb(126,2,0)'],
        [0.2627450980392157, 'rgb(127,2,0)'],
        [0.26666666666666666, 'rgb(129,2,0)'],
        [0.27058823529411763, 'rgb(131,2,0)'],
        [0.27450980392156865, 'rgb(132,3,0)'],
        [0.2784313725490196, 'rgb(134,3,0)'],
        [0.2823529411764706, 'rgb(135,3,0)'],
        [0.28627450980392155, 'rgb(137,3,0)'],
        [0.2901960784313726, 'rgb(139,3,0)'],
        [0.29411764705882354, 'rgb(140,3,0)'],
        [0.2980392156862745, 'rgb(142,3,0)'],
        [0.30196078431372547, 'rgb(144,3,0)'],
        [0.3058823529411765, 'rgb(145,3,0)'],
        [0.30980392156862746, 'rgb(147,3,0)'],
        [0.3137254901960784, 'rgb(149,3,0)'],
        [0.3176470588235294, 'rgb(150,4,0)'],
        [0.3215686274509804, 'rgb(152,4,0)'],
        [0.3254901960784314, 'rgb(154,4,0)'],
        [0.32941176470588235, 'rgb(155,4,0)'],
        [0.3333333333333333, 'rgb(157,4,0)'],
        [0.33725490196078434, 'rgb(159,4,0)'],
        [0.3411764705882353, 'rgb(160,4,0)'],
        [0.34509803921568627, 'rgb(162,4,0)'],
        [0.34901960784313724, 'rgb(164,4,0)'],
        [0.35294117647058826, 'rgb(165,5,0)'],
        [0.3568627450980392, 'rgb(167,5,0)'],
        [0.3607843137254902, 'rgb(169,5,0)'],
        [0.36470588235294116, 'rgb(171,5,0)'],
        [0.3686274509803922, 'rgb(172,5,0)'],
        [0.37254901960784315, 'rgb(174,5,0)'],
        [0.3764705882352941, 'rgb(176,6,0)'],
        [0.3803921568627451, 'rgb(177,6,0)'],
        [0.3843137254901961, 'rgb(179,6,0)'],
        [0.38823529411764707, 'rgb(181,6,0)'],
        [0.39215686274509803, 'rgb(183,6,0)'],
        [0.396078431372549, 'rgb(184,6,0)'],
        [0.4, 'rgb(186,7,0)'],
        [0.403921568627451, 'rgb(188,7,0)'],
        [0.40784313725490196, 'rgb(189,7,0)'],
        [0.4117647058823529, 'rgb(191,7,0)'],
        [0.41568627450980394, 'rgb(193,7,0)'],
        [0.4196078431372549, 'rgb(195,8,0)'],
        [0.4235294117647059, 'rgb(196,8,0)'],
        [0.42745098039215684, 'rgb(198,8,0)'],
        [0.43137254901960786, 'rgb(200,8,0)'],
        [0.43529411764705883, 'rgb(202,9,0)'],
        [0.4392156862745098, 'rgb(203,9,0)'],
        [0.44313725490196076, 'rgb(205,9,0)'],
        [0.4470588235294118, 'rgb(207,9,0)'],
        [0.45098039215686275, 'rgb(209,10,0)'],
        [0.4549019607843137, 'rgb(210,10,0)'],
        [0.4588235294117647, 'rgb(212,10,0)'],
        [0.4627450980392157, 'rgb(214,11,0)'],
        [0.4666666666666667, 'rgb(216,11,0)'],
        [0.47058823529411764, 'rgb(217,12,0)'],
        [0.4745098039215686, 'rgb(219,12,0)'],
        [0.47843137254901963, 'rgb(221,12,0)'],
        [0.4823529411764706, 'rgb(223,13,0)'],
        [0.48627450980392156, 'rgb(224,13,0)'],
        [0.49019607843137253, 'rgb(226,14,0)'],
        [0.49411764705882355, 'rgb(228,15,0)'],
        [0.4980392156862745, 'rgb(230,15,0)'],
        [0.5019607843137255, 'rgb(231,16,0)'],
        [0.5058823529411764, 'rgb(233,17,0)'],
        [0.5098039215686274, 'rgb(235,18,0)'],
        [0.5137254901960784, 'rgb(236,19,0)'],
        [0.5176470588235295, 'rgb(238,21,0)'],
        [0.5215686274509804, 'rgb(239,24,0)'],
        [0.5254901960784314, 'rgb(240,26,0)'],
        [0.5294117647058824, 'rgb(241,29,0)'],
        [0.5333333333333333, 'rgb(242,33,0)'],
        [0.5372549019607843, 'rgb(243,36,0)'],
        [0.5411764705882353, 'rgb(244,39,0)'],
        [0.5450980392156862, 'rgb(244,42,0)'],
        [0.5490196078431373, 'rgb(245,46,0)'],
        [0.5529411764705883, 'rgb(246,49,0)'],
        [0.5568627450980392, 'rgb(246,52,0)'],
        [0.5607843137254902, 'rgb(247,55,0)'],
        [0.5647058823529412, 'rgb(247,58,0)'],
        [0.5686274509803921, 'rgb(247,61,0)'],
        [0.5725490196078431, 'rgb(248,63,0)'],
        [0.5764705882352941, 'rgb(248,66,0)'],
        [0.5803921568627451, 'rgb(248,69,0)'],
        [0.5843137254901961, 'rgb(249,72,0)'],
        [0.5882352941176471, 'rgb(249,74,0)'],
        [0.592156862745098, 'rgb(249,77,0)'],
        [0.596078431372549, 'rgb(249,79,0)'],
        [0.6, 'rgb(250,82,0)'],
        [0.6039215686274509, 'rgb(250,84,0)'],
        [0.6078431372549019, 'rgb(250,86,0)'],
        [0.611764705882353, 'rgb(250,89,0)'],
        [0.615686274509804, 'rgb(250,91,0)'],
        [0.6196078431372549, 'rgb(251,93,0)'],
        [0.6235294117647059, 'rgb(251,96,0)'],
        [0.6274509803921569, 'rgb(251,98,0)'],
        [0.6313725490196078, 'rgb(251,100,0)'],
        [0.6352941176470588, 'rgb(251,102,0)'],
        [0.6392156862745098, 'rgb(251,104,0)'],
        [0.6431372549019608, 'rgb(252,106,0)'],
        [0.6470588235294118, 'rgb(252,108,0)'],
        [0.6509803921568628, 'rgb(252,110,0)'],
        [0.6549019607843137, 'rgb(252,112,0)'],
        [0.6588235294117647, 'rgb(252,114,0)'],
        [0.6627450980392157, 'rgb(252,116,0)'],
        [0.6666666666666666, 'rgb(252,118,0)'],
        [0.6705882352941176, 'rgb(252,120,0)'],
        [0.6745098039215687, 'rgb(252,122,0)'],
        [0.6784313725490196, 'rgb(252,124,0)'],
        [0.6823529411764706, 'rgb(253,126,0)'],
        [0.6862745098039216, 'rgb(253,128,0)'],
        [0.6901960784313725, 'rgb(253,130,0)'],
        [0.6941176470588235, 'rgb(253,131,0)'],
        [0.6980392156862745, 'rgb(253,133,0)'],
        [0.7019607843137254, 'rgb(253,135,0)'],
        [0.7058823529411765, 'rgb(253,137,0)'],
        [0.7098039215686275, 'rgb(253,139,0)'],
        [0.7137254901960784, 'rgb(253,140,0)'],
        [0.7176470588235294, 'rgb(253,142,0)'],
        [0.7215686274509804, 'rgb(253,144,0)'],
        [0.7254901960784313, 'rgb(253,146,0)'],
        [0.7294117647058823, 'rgb(253,147,0)'],
        [0.7333333333333333, 'rgb(254,149,0)'],
        [0.7372549019607844, 'rgb(254,151,0)'],
        [0.7411764705882353, 'rgb(254,153,0)'],
        [0.7450980392156863, 'rgb(254,154,0)'],
        [0.7490196078431373, 'rgb(254,156,0)'],
        [0.7529411764705882, 'rgb(254,158,0)'],
        [0.7568627450980392, 'rgb(254,159,0)'],
        [0.7607843137254902, 'rgb(254,161,0)'],
        [0.7647058823529411, 'rgb(254,163,0)'],
        [0.7686274509803922, 'rgb(254,164,0)'],
        [0.7725490196078432, 'rgb(254,166,0)'],
        [0.7764705882352941, 'rgb(254,168,0)'],
        [0.7803921568627451, 'rgb(254,169,0)'],
        [0.7843137254901961, 'rgb(254,171,0)'],
        [0.788235294117647, 'rgb(254,173,0)'],
        [0.792156862745098, 'rgb(254,174,0)'],
        [0.796078431372549, 'rgb(254,176,0)'],
        [0.8, 'rgb(254,177,0)'],
        [0.803921568627451, 'rgb(254,179,0)'],
        [0.807843137254902, 'rgb(254,181,0)'],
        [0.8117647058823529, 'rgb(254,182,0)'],
        [0.8156862745098039, 'rgb(254,184,0)'],
        [0.8196078431372549, 'rgb(254,185,0)'],
        [0.8235294117647058, 'rgb(254,187,0)'],
        [0.8274509803921568, 'rgb(254,189,0)'],
        [0.8313725490196079, 'rgb(255,190,0)'],
        [0.8352941176470589, 'rgb(255,192,0)'],
        [0.8392156862745098, 'rgb(255,193,0)'],
        [0.8431372549019608, 'rgb(255,195,0)'],
        [0.8470588235294118, 'rgb(255,196,0)'],
        [0.8509803921568627, 'rgb(255,198,0)'],
        [0.8549019607843137, 'rgb(255,199,0)'],
        [0.8588235294117647, 'rgb(255,201,0)'],
        [0.8627450980392157, 'rgb(255,203,0)'],
        [0.8666666666666667, 'rgb(255,204,0)'],
        [0.8705882352941177, 'rgb(255,206,0)'],
        [0.8745098039215686, 'rgb(255,207,0)'],
        [0.8784313725490196, 'rgb(255,209,0)'],
        [0.8823529411764706, 'rgb(255,210,0)'],
        [0.8862745098039215, 'rgb(255,212,0)'],
        [0.8901960784313725, 'rgb(255,213,0)'],
        [0.8941176470588236, 'rgb(255,215,0)'],
        [0.8980392156862745, 'rgb(255,216,0)'],
        [0.9019607843137255, 'rgb(255,218,0)'],
        [0.9058823529411765, 'rgb(255,219,0)'],
        [0.9098039215686274, 'rgb(255,221,0)'],
        [0.9137254901960784, 'rgb(255,222,0)'],
        [0.9176470588235294, 'rgb(255,224,0)'],
        [0.9215686274509803, 'rgb(255,225,0)'],
        [0.9254901960784314, 'rgb(255,227,0)'],
        [0.9294117647058824, 'rgb(255,228,0)'],
        [0.9333333333333333, 'rgb(255,230,0)'],
        [0.9372549019607843, 'rgb(255,231,0)'],
        [0.9411764705882353, 'rgb(255,233,0)'],
        [0.9450980392156862, 'rgb(255,234,0)'],
        [0.9490196078431372, 'rgb(255,236,0)'],
        [0.9529411764705882, 'rgb(255,237,0)'],
        [0.9568627450980393, 'rgb(255,239,0)'],
        [0.9607843137254902, 'rgb(255,240,0)'],
        [0.9647058823529412, 'rgb(255,242,0)'],
        [0.9686274509803922, 'rgb(255,243,0)'],
        [0.9725490196078431, 'rgb(255,245,0)'],
        [0.9764705882352941, 'rgb(255,246,0)'],
        [0.9803921568627451, 'rgb(255,248,0)'],
        [0.984313725490196, 'rgb(255,249,0)'],
        [0.9882352941176471, 'rgb(255,251,0)'],
        [0.9921568627450981, 'rgb(255,252,0)'],
        [0.996078431372549, 'rgb(255,254,0)'],
        [1.0, 'rgb(255,255,0)'],
    ],
    'cet.linear_kry_5_95_c72': [
        [0.0, 'rgb(17,17,17)'],
        [0.00392156862745098, 'rgb(20,17,17)'],
        [0.00784313725490196, 'rgb(23,17,16)'],
        [0.011764705882352941, 'rgb(26,17,16)'],
        [0.01568627450980392, 'rgb(29,18,16)'],
        [0.0196078431372549, 'rgb(31,18,15)'],
        [0.023529411764705882, 'rgb(33,18,15)'],
        [0.027450980392156862, 'rgb(35,18,15)'],
        [0.03137254901960784, 'rgb(38,18,14)'],
        [0.03529411764705882, 'rgb(40,18,14)'],
        [0.0392156862745098, 'rgb(42,18,14)'],
        [0.043137254901960784, 'rgb(44,18,13)'],
        [0.047058823529411764, 'rgb(46,17,13)'],
        [0.050980392156862744, 'rgb(48,17,13)'],
        [0.054901960784313725, 'rgb(50,17,12)'],
        [0.058823529411764705, 'rgb(53,17,12)'],
        [0.06274509803921569, 'rgb(55,16,12)'],
        [0.06666666666666667, 'rgb(57,16,11)'],
        [0.07058823529411765, 'rgb(59,16,11)'],
        [0.07450980392156863, 'rgb(61,15,10)'],
        [0.0784313725490196, 'rgb(63,15,10)'],
        [0.08235294117647059, 'rgb(65,15,10)'],
        [0.08627450980392157, 'rgb(67,14,9)'],
        [0.09019607843137255, 'rgb(69,14,9)'],
        [0.09411764705882353, 'rgb(71,13,9)'],
        [0.09803921568627451, 'rgb(73,12,8)'],
        [0.10196078431372549, 'rgb(75,12,8)'],
        [0.10588235294117647, 'rgb(77,11,8)'],
        [0.10980392156862745, 'rgb(79,10,7)'],
        [0.11372549019607843, 'rgb(81,10,7)'],
        [0.11764705882352941, 'rgb(82,9,7)'],
        [0.12156862745098039, 'rgb(84,8,7)'],
        [0.12549019607843137, 'rgb(86,7,6)'],
        [0.12941176470588237, 'rgb(88,7,6)'],
        [0.13333333333333333, 'rgb(90,6,6)'],
        [0.13725490196078433, 'rgb(92,5,5)'],
        [0.1411764705882353, 'rgb(93,5,5)'],
        [0.1450980392156863, 'rgb(95,4,5)'],
        [0.14901960784313725, 'rgb(97,3,5)'],
        [0.15294117647058825, 'rgb(98,3,4)'],
        [0.1568627450980392, 'rgb(100,2,4)'],
        [0.1607843137254902, 'rgb(102,2,4)'],
        [0.16470588235294117, 'rgb(103,2,4)'],
        [0.16862745098039217, 'rgb(105,2,4)'],
        [0.17254901960784313, 'rgb(106,2,4)'],
        [0.17647058823529413, 'rgb(108,2,3)'],
        [0.1803921568627451, 'rgb(109,2,3)'],
        [0.1843137254901961, 'rgb(111,2,3)'],
        [0.18823529411764706, 'rgb(112,2,3)'],
        [0.19215686274509805, 'rgb(114,2,3)'],
        [0.19607843137254902, 'rgb(115,2,3)'],
        [0.2, 'rgb(117,2,3)'],
        [0.20392156862745098, 'rgb(118,2,3)'],
        [0.20784313725490197, 'rgb(120,2,2)'],
        [0.21176470588235294, 'rgb(121,2,2)'],
        [0.21568627450980393, 'rgb(123,2,2)'],
        [0.2196078431372549, 'rgb(124,2,2)'],
        [0.2235294117647059, 'rgb(126,2,2)'],
        [0.22745098039215686, 'rgb(127,2,2)'],
        [0.23137254901960785, 'rgb(129,2,2)'],
        [0.23529411764705882, 'rgb(130,2,2)'],
        [0.23921568627450981, 'rgb(132,2,2)'],
        [0.24313725490196078, 'rgb(133,2,2)'],
        [0.24705882352941178, 'rgb(135,3,2)'],
        [0.25098039215686274, 'rgb(136,3,2)'],
        [0.2549019607843137, 'rgb(138,3,2)'],
        [0.25882352941176473, 'rgb(139,3,2)'],
        [0.2627450980392157, 'rgb(141,3,2)'],
        [0.26666666666666666, 'rgb(142,3,2)'],
        [0.27058823529411763, 'rgb(144,3,2)'],
        [0.27450980392156865, 'rgb(145,3,2)'],
        [0.2784313725490196, 'rgb(147,3,3)'],
        [0.2823529411764706, 'rgb(148,4,3)'],
        [0.28627450980392155, 'rgb(150,4,3)'],
        [0.2901960784313726, 'rgb(151,4,3)'],
        [0.29411764705882354, 'rgb(153,4,3)'],
        [0.2980392156862745, 'rgb(154,4,3)'],
        [0.30196078431372547, 'rgb(156,4,3)'],
        [0.3058823529411765, 'rgb(157,5,3)'],
        [0.30980392156862746, 'rgb(159,5,3)'],
        [0.3137254901960784, 'rgb(161,5,3)'],
        [0.3176470588235294, 'rgb(162,5,3)'],
        [0.3215686274509804, 'rgb(164,5,3)'],
        [0.3254901960784314, 'rgb(165,5,3)'],
        [0.32941176470588235, 'rgb(167,6,3)'],
        [0.3333333333333333, 'rgb(168,6,3)'],
        [0.33725490196078434, 'rgb(170,6,3)'],
        [0.3411764705882353, 'rgb(171,6,3)'],
        [0.34509803921568627, 'rgb(173,6,3)'],
        [0.34901960784313724, 'rgb(175,7,3)'],
        [0.35294117647058826, 'rgb(176,7,3)'],
        [0.3568627450980392, 'rgb(178,7,3)'],
        [0.3607843137254902, 'rgb(179,7,3)'],
        [0.36470588235294116, 'rgb(181,7,3)'],
        [0.3686274509803922, 'rgb(183,8,3)'],
        [0.37254901960784315, 'rgb(184,8,3)'],
        [0.3764705882352941, 'rgb(186,8,3)'],
        [0.3803921568627451, 'rgb(187,8,3)'],
        [0.3843137254901961, 'rgb(189,9,3)'],
        [0.38823529411764707, 'rgb(191,9,3)'],
        [0.39215686274509803, 'rgb(192,9,3)'],
        [0.396078431372549, 'rgb(194,9,3)'],
        [0.4, 'rgb(195,10,3)'],
        [0.403921568627451, 'rgb(197,10,3)'],
        [0.40784313725490196, 'rgb(198,11,3)'],
        [0.4117647058823529, 'rgb(200,11,3)'],
        [0.41568627450980394, 'rgb(202,12,3)'],
        [0.4196078431372549, 'rgb(203,13,3)'],
        [0.4235294117647059, 'rgb(205,13,3)'],
        [0.42745098039215684, 'rgb(206,14,3)'],
        [0.43137254901960786, 'rgb(208,15,3)'],
        [0.43529411764705883, 'rgb(209,15,3)'],
        [0.4392156862745098, 'rgb(211,16,3)'],
        [0.44313725490196076, 'rgb(212,17,3)'],
        [0.4470588235294118, 'rgb(214,18,4)'],
        [0.45098039215686275, 'rgb(215,19,4)'],
        [0.4549019607843137, 'rgb(217,20,4)'],
        [0.4588235294117647, 'rgb(218,21,4)'],
        [0.4627450980392157, 'rgb(220,22,4)'],
        [0.4666666666666667, 'rgb(221,22,4)'],
        [0.47058823529411764, 'rgb(223,23,4)'],
        [0.4745098039215686, 'rgb(224,24,4)'],
        [0.47843137254901963, 'rgb(226,25,4)'],
        [0.4823529411764706, 'rgb(227,26,4)'],
        [0.48627450980392156, 'rgb(229,28,4)'],
        [0.49019607843137253, 'rgb(230,29,5)'],
        [0.49411764705882355, 'rgb(231,30,5)'],
        [0.4980392156862745, 'rgb(233,31,5)'],
        [0.5019607843137255, 'rgb(234,32,5)'],
        [0.5058823529411764, 'rgb(236,33,5)'],
        [0.5098039215686274, 'rgb(237,34,5)'],
        [0.5137254901960784, 'rgb(238,36,6)'],
        [0.5176470588235295, 'rgb(239,37,6)'],
        [0.5215686274509804, 'rgb(241,39,6)'],
        [0.5254901960784314, 'rgb(242,41,6)'],
        [0.5294117647058824, 'rgb(243,42,6)'],
        [0.5333333333333333, 'rgb(244,44,6)'],
        [0.5372549019607843, 'rgb(245,46,7)'],
        [0.5411764705882353, 'rgb(246,48,7)'],
        [0.5450980392156862, 'rgb(247,50,7)'],
        [0.5490196078431373, 'rgb(248,52,7)'],
        [0.5529411764705883, 'rgb(248,54,7)'],
        [0.5568627450980392, 'rgb(249,56,8)'],
        [0.5607843137254902, 'rgb(250,58,8)'],
        [0.5647058823529412, 'rgb(251,61,8)'],
        [0.5686274509803921, 'rgb(251,63,8)'],
        [0.5725490196078431, 'rgb(252,65,8)'],
        [0.5764705882352941, 'rgb(252,67,9)'],
        [0.5803921568627451, 'rgb(253,69,9)'],
        [0.5843137254901961, 'rgb(253,72,9)'],
        [0.5882352941176471, 'rgb(253,74,10)'],
        [0.592156862745098, 'rgb(254,76,10)'],
        [0.596078431372549, 'rgb(254,79,10)'],
        [0.6, 'rgb(254,81,11)'],
        [0.6039215686274509, 'rgb(254,83,11)'],
        [0.6078431372549019, 'rgb(255,86,11)'],
        [0.611764705882353, 'rgb(255,88,12)'],
        [0.615686274509804, 'rgb(255,90,12)'],
        [0.6196078431372549, 'rgb(255,93,12)'],
        [0.6235294117647059, 'rgb(255,95,13)'],
        [0.6274509803921569, 'rgb(255,97,13)'],
        [0.6313725490196078, 'rgb(255,99,13)'],
        [0.6352941176470588, 'rgb(255,101,14)'],
        [0.6392156862745098, 'rgb(255,103,14)'],
        [0.6431372549019608, 'rgb(255,106,14)'],
        [0.6470588235294118, 'rgb(255,108,15)'],
        [0.6509803921568628, 'rgb(255,110,15)'],
        [0.6549019607843137, 'rgb(255,112,15)'],
        [0.6588235294117647, 'rgb(255,114,16)'],
        [0.6627450980392157, 'rgb(255,116,16)'],
        [0.6666666666666666, 'rgb(255,117,17)'],
        [0.6705882352941176, 'rgb(254,119,17)'],
        [0.6745098039215687, 'rgb(254,121,17)'],
        [0.6784313725490196, 'rgb(254,123,18)'],
        [0.6823529411764706, 'rgb(254,125,18)'],
        [0.6862745098039216, 'rgb(254,127,18)'],
        [0.6901960784313725, 'rgb(254,129,19)'],
        [0.6941176470588235, 'rgb(254,131,19)'],
        [0.6980392156862745, 'rgb(254,132,19)'],
        [0.7019607843137254, 'rgb(254,134,20)'],
        [0.7058823529411765, 'rgb(254,136,20)'],
        [0.7098039215686275, 'rgb(254,138,20)'],
        [0.7137254901960784, 'rgb(253,140,21)'],
        [0.7176470588235294, 'rgb(253,141,21)'],
        [0.7215686274509804, 'rgb(253,143,21)'],
        [0.7254901960784313, 'rgb(253,145,22)'],
        [0.7294117647058823, 'rgb(253,147,22)'],
        [0.7333333333333333, 'rgb(253,148,22)'],
        [0.7372549019607844, 'rgb(252,150,23)'],
        [0.7411764705882353, 'rgb(252,152,23)'],
        [0.7450980392156863, 'rgb(252,154,24)'],
        [0.7490196078431373, 'rgb(252,155,24)'],
        [0.7529411764705882, 'rgb(252,157,25)'],
        [0.7568627450980392, 'rgb(251,159,25)'],
        [0.7607843137254902, 'rgb(251,160,26)'],
        [0.7647058823529411, 'rgb(251,162,27)'],
        [0.7686274509803922, 'rgb(250,164,27)'],
        [0.7725490196078432, 'rgb(250,166,28)'],
        [0.7764705882352941, 'rgb(250,167,29)'],
        [0.7803921568627451, 'rgb(249,169,29)'],
        [0.7843137254901961, 'rgb(249,171,30)'],
        [0.788235294117647, 'rgb(249,172,31)'],
        [0.792156862745098, 'rgb(248,174,32)'],
        [0.796078431372549, 'rgb(248,176,32)'],
        [0.8, 'rgb(247,177,33)'],
        [0.803921568627451, 'rgb(247,179,34)'],
        [0.807843137254902, 'rgb(246,181,35)'],
        [0.8117647058823529, 'rgb(246,182,36)'],
        [0.8156862745098039, 'rgb(245,184,37)'],
        [0.8196078431372549, 'rgb(245,186,38)'],
        [0.8235294117647058, 'rgb(244,187,39)'],
        [0.8274509803921568, 'rgb(244,189,40)'],
        [0.8313725490196079, 'rgb(243,191,41)'],
        [0.8352941176470589, 'rgb(243,192,42)'],
        [0.8392156862745098, 'rgb(242,194,42)'],
        [0.8431372549019608, 'rgb(241,196,43)'],
        [0.8470588235294118, 'rgb(241,197,44)'],
        [0.8509803921568627, 'rgb(241,199,44)'],
        [0.8549019607843137, 'rgb(240,200,45)'],
        [0.8588235294117647, 'rgb(240,202,45)'],
        [0.8627450980392157, 'rgb(240,203,45)'],
        [0.8666666666666667, 'rgb(240,205,46)'],
        [0.8705882352941177, 'rgb(240,206,46)'],
        [0.8745098039215686, 'rgb(239,208,46)'],
        [0.8784313725490196, 'rgb(239,209,46)'],
        [0.8823529411764706, 'rgb(239,210,46)'],
        [0.8862745098039215, 'rgb(239,212,46)'],
        [0.8901960784313725, 'rgb(239,213,46)'],
        [0.8941176470588236, 'rgb(239,215,45)'],
        [0.8980392156862745, 'rgb(239,216,45)'],
        [0.9019607843137255, 'rgb(239,217,45)'],
        [0.9058823529411765, 'rgb(239,219,44)'],
        [0.9098039215686274, 'rgb(240,220,44)'],
        [0.9137254901960784, 'rgb(240,221,43)'],
        [0.9176470588235294, 'rgb(240,223,43)'],
        [0.9215686274509803, 'rgb(240,224,42)'],
        [0.9254901960784314, 'rgb(240,225,42)'],
        [0.9294117647058824, 'rgb(240,226,41)'],
        [0.9333333333333333, 'rgb(241,228,40)'],
        [0.9372549019607843, 'rgb(241,229,39)'],
        [0.9411764705882353, 'rgb(241,230,38)'],
        [0.9450980392156862, 'rgb(242,232,37)'],
        [0.9490196078431372, 'rgb(242,233,36)'],
        [0.9529411764705882, 'rgb(242,234,35)'],
        [0.9568627450980393, 'rgb(242,235,34)'],
        [0.9607843137254902, 'rgb(243,237,33)'],
        [0.9647058823529412, 'rgb(243,238,31)'],
        [0.9686274509803922, 'rgb(244,239,30)'],
        [0.9725490196078431, 'rgb(244,240,28)'],
        [0.9764705882352941, 'rgb(244,242,26)'],
        [0.9803921568627451, 'rgb(245,243,24)'],
        [0.984313725490196, 'rgb(245,244,22)'],
        [0.9882352941176471, 'rgb(246,245,19)'],
        [0.9921568627450981, 'rgb(246,247,17)'],
        [0.996078431372549, 'rgb(246,248,13)'],
        [1.0, 'rgb(247,249,9)'],
    ],
    'cet.linear_kry_5_98_c75': [
        [0.0, 'rgb(17,17,17)'],
        [0.00392156862745098, 'rgb(21,17,17)'],
        [0.00784313725490196, 'rgb(24,17,16)'],
        [0.011764705882352941, 'rgb(27,17,16)'],
        [0.01568627450980392, 'rgb(29,17,15)'],
        [0.0196078431372549, 'rgb(32,18,15)'],
        [0.023529411764705882, 'rgb(34,18,15)'],
        [0.027450980392156862, 'rgb(36,18,14)'],
        [0.03137254901960784, 'rgb(39,18,14)'],
        [0.03529411764705882, 'rgb(41,17,14)'],
        [0.0392156862745098, 'rgb(43,17,13)'],
        [0.043137254901960784, 'rgb(46,17,13)'],
        [0.047058823529411764, 'rgb(48,17,13)'],
        [0.050980392156862744, 'rgb(50,16,12)'],
        [0.054901960784313725, 'rgb(52,16,12)'],
        [0.058823529411764705, 'rgb(55,16,12)'],
        [0.06274509803921569, 'rgb(57,15,11)'],
        [0.06666666666666667, 'rgb(59,15,11)'],
        [0.07058823529411765, 'rgb(61,14,11)'],
        [0.07450980392156863, 'rgb(63,14,10)'],
        [0.0784313725490196, 'rgb(65,13,10)'],
        [0.08235294117647059, 'rgb(68,12,10)'],
        [0.08627450980392157, 'rgb(70,12,9)'],
        [0.09019607843137255, 'rgb(72,11,9)'],
        [0.09411764705882353, 'rgb(74,10,9)'],
        [0.09803921568627451, 'rgb(76,9,8)'],
        [0.10196078431372549, 'rgb(78,8,8)'],
        [0.10588235294117647, 'rgb(80,7,8)'],
        [0.10980392156862745, 'rgb(82,6,7)'],
        [0.11372549019607843, 'rgb(84,5,7)'],
        [0.11764705882352941, 'rgb(86,4,7)'],
        [0.12156862745098039, 'rgb(88,3,6)'],
        [0.12549019607843137, 'rgb(90,2,6)'],
        [0.12941176470588237, 'rgb(92,1,6)'],
        [0.13333333333333333, 'rgb(94,1,6)'],
        [0.13725490196078433, 'rgb(96,0,5)'],
        [0.1411764705882353, 'rgb(97,0,5)'],
        [0.1450980392156863, 'rgb(99,0,5)'],
        [0.14901960784313725, 'rgb(101,0,5)'],
        [0.15294117647058825, 'rgb(103,0,5)'],
        [0.1568627450980392, 'rgb(104,0,4)'],
        [0.1607843137254902, 'rgb(106,0,4)'],
        [0.16470588235294117, 'rgb(107,0,4)'],
        [0.16862745098039217, 'rgb(109,0,4)'],
        [0.17254901960784313, 'rgb(110,0,4)'],
        [0.17647058823529413, 'rgb(112,0,4)'],
        [0.1803921568627451, 'rgb(113,0,3)'],
        [0.1843137254901961, 'rgb(115,0,3)'],
        [0.18823529411764706, 'rgb(117,0,3)'],
        [0.19215686274509805, 'rgb(118,0,3)'],
        [0.19607843137254902, 'rgb(120,0,3)'],
        [0.2, 'rgb(121,0,3)'],
        [0.20392156862745098, 'rgb(123,0,2)'],
        [0.20784313725490197, 'rgb(124,0,2)'],
        [0.21176470588235294, 'rgb(126,0,2)'],
        [0.21568627450980393, 'rgb(127,0,2)'],
        [0.2196078431372549, 'rgb(129,0,2)'],
        [0.2235294117647059, 'rgb(131,0,2)'],
        [0.22745098039215686, 'rgb(132,0,2)'],
        [0.23137254901960785, 'rgb(134,0,2)'],
        [0.23529411764705882, 'rgb(135,0,1)'],
        [0.23921568627450981, 'rgb(137,0,1)'],
        [0.24313725490196078, 'rgb(138,0,1)'],
        [0.24705882352941178, 'rgb(140,0,1)'],
        [0.25098039215686274, 'rgb(142,0,1)'],
        [0.2549019607843137, 'rgb(143,0,1)'],
        [0.25882352941176473, 'rgb(145,0,1)'],
        [0.2627450980392157, 'rgb(146,0,1)'],
        [0.26666666666666666, 'rgb(148,0,1)'],
        [0.27058823529411763, 'rgb(149,0,1)'],
        [0.27450980392156865, 'rgb(151,0,1)'],
        [0.2784313725490196, 'rgb(153,0,0)'],
        [0.2823529411764706, 'rgb(154,0,0)'],
        [0.28627450980392155, 'rgb(156,0,0)'],
        [0.2901960784313726, 'rgb(157,0,0)'],
        [0.29411764705882354, 'rgb(159,0,0)'],
        [0.2980392156862745, 'rgb(161,0,0)'],
        [0.30196078431372547, 'rgb(162,0,0)'],
        [0.3058823529411765, 'rgb(164,0,0)'],
        [0.30980392156862746, 'rgb(165,0,0)'],
        [0.3137254901960784, 'rgb(167,0,0)'],
        [0.3176470588235294, 'rgb(169,0,0)'],
        [0.3215686274509804, 'rgb(170,0,0)'],
        [0.3254901960784314, 'rgb(172,0,0)'],
        [0.32941176470588235, 'rgb(174,0,0)'],
        [0.3333333333333333, 'rgb(175,0,0)'],
        [0.33725490196078434, 'rgb(177,0,0)'],
        [0.3411764705882353, 'rgb(179,0,0)'],
        [0.34509803921568627, 'rgb(180,0,0)'],
        [0.34901960784313724, 'rgb(182,0,0)'],
        [0.35294117647058826, 'rgb(184,0,0)'],
        [0.3568627450980392, 'rgb(185,0,0)'],
        [0.3607843137254902, 'rgb(187,0,0)'],
        [0.36470588235294116, 'rgb(189,0,0)'],
        [0.3686274509803922, 'rgb(190,0,0)'],
        [0.37254901960784315, 'rgb(192,0,0)'],
        [0.3764705882352941, 'rgb(194,0,0)'],
        [0.3803921568627451, 'rgb(195,0,0)'],
        [0.3843137254901961, 'rgb(197,0,0)'],
        [0.38823529411764707, 'rgb(199,0,0)'],
        [0.39215686274509803, 'rgb(201,0,0)'],
        [0.396078431372549, 'rgb(202,0,0)'],
        [0.4, 'rgb(204,0,0)'],
        [0.403921568627451, 'rgb(206,0,0)'],
        [0.40784313725490196, 'rgb(207,0,0)'],
        [0.4117647058823529, 'rgb(209,0,0)'],
        [0.41568627450980394, 'rgb(211,0,0)'],
        [0.4196078431372549, 'rgb(212,0,0)'],
        [0.4235294117647059, 'rgb(214,0,0)'],
        [0.42745098039215684, 'rgb(216,0,0)'],
        [0.43137254901960786, 'rgb(217,0,0)'],
        [0.43529411764705883, 'rgb(219,0,0)'],
        [0.4392156862745098, 'rgb(221,0,0)'],
        [0.44313725490196076, 'rgb(222,0,0)'],
        [0.4470588235294118, 'rgb(224,0,0)'],
        [0.45098039215686275, 'rgb(225,0,0)'],
        [0.4549019607843137, 'rgb(227,0,0)'],
        [0.4588235294117647, 'rgb(229,0,0)'],
        [0.4627450980392157, 'rgb(230,0,0)'],
        [0.4666666666666667, 'rgb(232,0,0)'],
        [0.47058823529411764, 'rgb(234,0,0)'],
        [0.4745098039215686, 'rgb(235,0,0)'],
        [0.47843137254901963, 'rgb(237,2,0)'],
        [0.4823529411764706, 'rgb(238,3,0)'],
        [0.48627450980392156, 'rgb(240,4,0)'],
        [0.49019607843137253, 'rgb(242,6,0)'],
        [0.49411764705882355, 'rgb(243,8,0)'],
        [0.4980392156862745, 'rgb(244,11,0)'],
        [0.5019607843137255, 'rgb(246,14,0)'],
        [0.5058823529411764, 'rgb(247,16,0)'],
        [0.5098039215686274, 'rgb(248,19,0)'],
        [0.5137254901960784, 'rgb(250,22,0)'],
        [0.5176470588235295, 'rgb(251,25,0)'],
        [0.5215686274509804, 'rgb(252,28,0)'],
        [0.5254901960784314, 'rgb(253,30,0)'],
        [0.5294117647058824, 'rgb(254,33,0)'],
        [0.5333333333333333, 'rgb(255,36,0)'],
        [0.5372549019607843, 'rgb(255,39,0)'],
        [0.5411764705882353, 'rgb(255,41,0)'],
        [0.5450980392156862, 'rgb(255,44,0)'],
        [0.5490196078431373, 'rgb(255,47,0)'],
        [0.5529411764705883, 'rgb(255,50,0)'],
        [0.5568627450980392, 'rgb(255,52,0)'],
        [0.5607843137254902, 'rgb(255,55,0)'],
        [0.5647058823529412, 'rgb(255,58,0)'],
        [0.5686274509803921, 'rgb(255,60,0)'],
        [0.5725490196078431, 'rgb(255,63,0)'],
        [0.5764705882352941, 'rgb(255,66,0)'],
        [0.5803921568627451, 'rgb(255,69,0)'],
        [0.5843137254901961, 'rgb(255,71,0)'],
        [0.5882352941176471, 'rgb(255,74,0)'],
        [0.592156862745098, 'rgb(255,77,0)'],
        [0.596078431372549, 'rgb(255,79,0)'],
        [0.6, 'rgb(255,82,0)'],
        [0.6039215686274509, 'rgb(255,84,0)'],
        [0.6078431372549019, 'rgb(255,87,0)'],
        [0.611764705882353, 'rgb(255,89,0)'],
        [0.615686274509804, 'rgb(255,92,0)'],
        [0.6196078431372549, 'rgb(255,94,0)'],
        [0.6235294117647059, 'rgb(255,96,0)'],
        [0.6274509803921569, 'rgb(255,99,1)'],
        [0.6313725490196078, 'rgb(255,101,1)'],
        [0.6352941176470588, 'rgb(255,103,2)'],
        [0.6392156862745098, 'rgb(255,105,2)'],
        [0.6431372549019608, 'rgb(255,107,2)'],
        [0.6470588235294118, 'rgb(255,109,3)'],
        [0.6509803921568628, 'rgb(255,111,3)'],
        [0.6549019607843137, 'rgb(255,113,4)'],
        [0.6588235294117647, 'rgb(255,115,4)'],
        [0.6627450980392157, 'rgb(255,117,4)'],
        [0.6666666666666666, 'rgb(255,119,5)'],
        [0.6705882352941176, 'rgb(255,121,5)'],
        [0.6745098039215687, 'rgb(255,123,6)'],
        [0.6784313725490196, 'rgb(255,125,6)'],
        [0.6823529411764706, 'rgb(255,127,6)'],
        [0.6862745098039216, 'rgb(255,129,7)'],
        [0.6901960784313725, 'rgb(255,131,7)'],
        [0.6941176470588235, 'rgb(255,133,7)'],
        [0.6980392156862745, 'rgb(255,135,8)'],
        [0.7019607843137254, 'rgb(255,137,8)'],
        [0.7058823529411765, 'rgb(255,138,9)'],
        [0.7098039215686275, 'rgb(255,140,9)'],
        [0.7137254901960784, 'rgb(255,142,9)'],
        [0.7176470588235294, 'rgb(255,144,10)'],
        [0.7215686274509804, 'rgb(255,146,10)'],
        [0.7254901960784313, 'rgb(255,147,10)'],
        [0.7294117647058823, 'rgb(255,149,11)'],
        [0.7333333333333333, 'rgb(255,151,11)'],
        [0.7372549019607844, 'rgb(255,153,12)'],
        [0.7411764705882353, 'rgb(255,154,12)'],
        [0.7450980392156863, 'rgb(255,156,12)'],
        [0.7490196078431373, 'rgb(255,158,13)'],
        [0.7529411764705882, 'rgb(255,159,13)'],
        [0.7568627450980392, 'rgb(255,161,13)'],
        [0.7607843137254902, 'rgb(255,163,14)'],
        [0.7647058823529411, 'rgb(255,164,14)'],
        [0.7686274509803922, 'rgb(255,166,14)'],
        [0.7725490196078432, 'rgb(255,168,15)'],
        [0.7764705882352941, 'rgb(255,169,15)'],
        [0.7803921568627451, 'rgb(255,171,15)'],
        [0.7843137254901961, 'rgb(255,173,16)'],
        [0.788235294117647, 'rgb(255,174,16)'],
        [0.792156862745098, 'rgb(255,176,16)'],
        [0.796078431372549, 'rgb(255,177,17)'],
        [0.8, 'rgb(255,179,17)'],
        [0.803921568627451, 'rgb(255,181,17)'],
        [0.807843137254902, 'rgb(255,182,18)'],
        [0.8117647058823529, 'rgb(255,184,18)'],
        [0.8156862745098039, 'rgb(255,185,18)'],
        [0.8196078431372549, 'rgb(255,187,18)'],
        [0.8235294117647058, 'rgb(255,188,19)'],
        [0.8274509803921568, 'rgb(255,190,19)'],
        [0.8313725490196079, 'rgb(255,191,19)'],
        [0.8352941176470589, 'rgb(255,193,19)'],
        [0.8392156862745098, 'rgb(255,194,20)'],
        [0.8431372549019608, 'rgb(255,196,20)'],
        [0.8470588235294118, 'rgb(255,197,20)'],
        [0.8509803921568627, 'rgb(255,199,20)'],
        [0.8549019607843137, 'rgb(255,200,20)'],
        [0.8588235294117647, 'rgb(255,202,21)'],
        [0.8627450980392157, 'rgb(255,203,21)'],
        [0.8666666666666667, 'rgb(255,205,21)'],
        [0.8705882352941177, 'rgb(255,206,21)'],
        [0.8745098039215686, 'rgb(255,208,22)'],
        [0.8784313725490196, 'rgb(255,209,22)'],
        [0.8823529411764706, 'rgb(255,211,22)'],
        [0.8862745098039215, 'rgb(255,212,22)'],
        [0.8901960784313725, 'rgb(255,214,22)'],
        [0.8941176470588236, 'rgb(255,215,23)'],
        [0.8980392156862745, 'rgb(255,217,23)'],
        [0.9019607843137255, 'rgb(255,218,23)'],
        [0.9058823529411765, 'rgb(255,220,23)'],
        [0.9098039215686274, 'rgb(255,221,23)'],
        [0.9137254901960784, 'rgb(255,223,24)'],
        [0.9176470588235294, 'rgb(255,224,24)'],
        [0.9215686274509803, 'rgb(255,226,24)'],
        [0.9254901960784314, 'rgb(255,227,24)'],
        [0.9294117647058824, 'rgb(255,228,24)'],
        [0.9333333333333333, 'rgb(255,230,25)'],
        [0.9372549019607843, 'rgb(255,231,25)'],
        [0.9411764705882353, 'rgb(255,233,25)'],
        [0.9450980392156862, 'rgb(255,234,25)'],
        [0.9490196078431372, 'rgb(255,236,25)'],
        [0.9529411764705882, 'rgb(255,237,26)'],
        [0.9568627450980393, 'rgb(255,239,26)'],
        [0.9607843137254902, 'rgb(255,240,26)'],
        [0.9647058823529412, 'rgb(255,241,26)'],
        [0.9686274509803922, 'rgb(255,243,26)'],
        [0.9725490196078431, 'rgb(255,244,27)'],
        [0.9764705882352941, 'rgb(255,246,27)'],
        [0.9803921568627451, 'rgb(255,247,27)'],
        [0.984313725490196, 'rgb(255,249,27)'],
        [0.9882352941176471, 'rgb(255,250,27)'],
        [0.9921568627450981, 'rgb(255,252,28)'],
        [0.996078431372549, 'rgb(255,253,28)'],
        [1.0, 'rgb(255,254,28)'],
    ],
    'cet.linear_kryw_0_100_c71': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(7,0,0)'],
        [0.00784313725490196, 'rgb(13,0,0)'],
        [0.011764705882352941, 'rgb(18,0,0)'],
        [0.01568627450980392, 'rgb(22,0,0)'],
        [0.0196078431372549, 'rgb(26,0,0)'],
        [0.023529411764705882, 'rgb(29,0,0)'],
        [0.027450980392156862, 'rgb(32,0,0)'],
        [0.03137254901960784, 'rgb(34,0,0)'],
        [0.03529411764705882, 'rgb(37,0,0)'],
        [0.0392156862745098, 'rgb(39,0,0)'],
        [0.043137254901960784, 'rgb(41,0,0)'],
        [0.047058823529411764, 'rgb(43,0,0)'],
        [0.050980392156862744, 'rgb(45,0,0)'],
        [0.054901960784313725, 'rgb(47,0,0)'],
        [0.058823529411764705, 'rgb(49,0,0)'],
        [0.06274509803921569, 'rgb(50,0,0)'],
        [0.06666666666666667, 'rgb(52,0,0)'],
        [0.07058823529411765, 'rgb(54,1,0)'],
        [0.07450980392156863, 'rgb(55,1,0)'],
        [0.0784313725490196, 'rgb(57,0,0)'],
        [0.08235294117647059, 'rgb(58,0,0)'],
        [0.08627450980392157, 'rgb(60,0,0)'],
        [0.09019607843137255, 'rgb(61,0,0)'],
        [0.09411764705882353, 'rgb(63,0,0)'],
        [0.09803921568627451, 'rgb(64,0,0)'],
        [0.10196078431372549, 'rgb(66,1,0)'],
        [0.10588235294117647, 'rgb(67,1,0)'],
        [0.10980392156862745, 'rgb(69,1,0)'],
        [0.11372549019607843, 'rgb(70,1,0)'],
        [0.11764705882352941, 'rgb(72,1,0)'],
        [0.12156862745098039, 'rgb(73,1,0)'],
        [0.12549019607843137, 'rgb(75,1,0)'],
        [0.12941176470588237, 'rgb(76,1,0)'],
        [0.13333333333333333, 'rgb(78,1,0)'],
        [0.13725490196078433, 'rgb(79,1,0)'],
        [0.1411764705882353, 'rgb(81,1,0)'],
        [0.1450980392156863, 'rgb(82,1,0)'],
        [0.14901960784313725, 'rgb(84,1,0)'],
        [0.15294117647058825, 'rgb(85,1,0)'],
        [0.1568627450980392, 'rgb(87,1,0)'],
        [0.1607843137254902, 'rgb(88,1,0)'],
        [0.16470588235294117, 'rgb(90,1,0)'],
        [0.16862745098039217, 'rgb(92,1,0)'],
        [0.17254901960784313, 'rgb(93,1,0)'],
        [0.17647058823529413, 'rgb(95,1,0)'],
        [0.1803921568627451, 'rgb(96,1,0)'],
        [0.1843137254901961, 'rgb(98,1,0)'],
        [0.18823529411764706, 'rgb(99,1,0)'],
        [0.19215686274509805, 'rgb(101,1,0)'],
        [0.19607843137254902, 'rgb(103,1,0)'],
        [0.2, 'rgb(104,1,0)'],
        [0.20392156862745098, 'rgb(106,1,0)'],
        [0.20784313725490197, 'rgb(107,2,0)'],
        [0.21176470588235294, 'rgb(109,2,0)'],
        [0.21568627450980393, 'rgb(111,2,0)'],
        [0.2196078431372549, 'rgb(112,2,0)'],
        [0.2235294117647059, 'rgb(114,2,0)'],
        [0.22745098039215686, 'rgb(116,2,0)'],
        [0.23137254901960785, 'rgb(117,2,0)'],
        [0.23529411764705882, 'rgb(119,2,0)'],
        [0.23921568627450981, 'rgb(121,2,0)'],
        [0.24313725490196078, 'rgb(122,2,0)'],
        [0.24705882352941178, 'rgb(124,2,0)'],
        [0.25098039215686274, 'rgb(126,2,0)'],
        [0.2549019607843137, 'rgb(127,2,0)'],
        [0.25882352941176473, 'rgb(129,2,0)'],
        [0.2627450980392157, 'rgb(131,2,0)'],
        [0.26666666666666666, 'rgb(132,3,0)'],
        [0.27058823529411763, 'rgb(134,3,0)'],
        [0.27450980392156865, 'rgb(136,3,0)'],
        [0.2784313725490196, 'rgb(137,3,0)'],
        [0.2823529411764706, 'rgb(139,3,0)'],
        [0.28627450980392155, 'rgb(141,3,0)'],
        [0.2901960784313726, 'rgb(142,3,0)'],
        [0.29411764705882354, 'rgb(144,3,0)'],
        [0.2980392156862745, 'rgb(146,3,0)'],
        [0.30196078431372547, 'rgb(147,3,0)'],
        [0.3058823529411765, 'rgb(149,3,0)'],
        [0.30980392156862746, 'rgb(151,4,0)'],
        [0.3137254901960784, 'rgb(153,4,0)'],
        [0.3176470588235294, 'rgb(154,4,0)'],
        [0.3215686274509804, 'rgb(156,4,0)'],
        [0.3254901960784314, 'rgb(158,4,0)'],
        [0.32941176470588235, 'rgb(159,4,0)'],
        [0.3333333333333333, 'rgb(161,4,0)'],
        [0.33725490196078434, 'rgb(163,4,0)'],
        [0.3411764705882353, 'rgb(165,5,0)'],
        [0.34509803921568627, 'rgb(166,5,0)'],
        [0.34901960784313724, 'rgb(168,5,0)'],
        [0.35294117647058826, 'rgb(170,5,0)'],
        [0.3568627450980392, 'rgb(172,5,0)'],
        [0.3607843137254902, 'rgb(173,5,0)'],
        [0.36470588235294116, 'rgb(175,5,0)'],
        [0.3686274509803922, 'rgb(177,6,0)'],
        [0.37254901960784315, 'rgb(179,6,0)'],
        [0.3764705882352941, 'rgb(180,6,0)'],
        [0.3803921568627451, 'rgb(182,6,0)'],
        [0.3843137254901961, 'rgb(184,6,0)'],
        [0.38823529411764707, 'rgb(186,7,0)'],
        [0.39215686274509803, 'rgb(188,7,0)'],
        [0.396078431372549, 'rgb(189,7,0)'],
        [0.4, 'rgb(191,7,0)'],
        [0.403921568627451, 'rgb(193,7,0)'],
        [0.40784313725490196, 'rgb(195,8,0)'],
        [0.4117647058823529, 'rgb(197,8,0)'],
        [0.41568627450980394, 'rgb(198,8,0)'],
        [0.4196078431372549, 'rgb(200,8,0)'],
        [0.4235294117647059, 'rgb(202,9,0)'],
        [0.42745098039215684, 'rgb(204,9,0)'],
        [0.43137254901960786, 'rgb(206,9,0)'],
        [0.43529411764705883, 'rgb(207,9,0)'],
        [0.4392156862745098, 'rgb(209,10,0)'],
        [0.44313725490196076, 'rgb(211,10,0)'],
        [0.4470588235294118, 'rgb(213,11,0)'],
        [0.45098039215686275, 'rgb(215,11,0)'],
        [0.4549019607843137, 'rgb(216,11,0)'],
        [0.4588235294117647, 'rgb(218,12,0)'],
        [0.4627450980392157, 'rgb(220,12,0)'],
        [0.4666666666666667, 'rgb(222,13,0)'],
        [0.47058823529411764, 'rgb(224,13,0)'],
        [0.4745098039215686, 'rgb(225,14,0)'],
        [0.47843137254901963, 'rgb(227,14,0)'],
        [0.4823529411764706, 'rgb(229,15,0)'],
        [0.48627450980392156, 'rgb(231,16,0)'],
        [0.49019607843137253, 'rgb(232,17,0)'],
        [0.49411764705882355, 'rgb(234,18,0)'],
        [0.4980392156862745, 'rgb(236,19,0)'],
        [0.5019607843137255, 'rgb(237,21,0)'],
        [0.5058823529411764, 'rgb(239,23,0)'],
        [0.5098039215686274, 'rgb(240,25,0)'],
        [0.5137254901960784, 'rgb(242,27,0)'],
        [0.5176470588235295, 'rgb(243,30,0)'],
        [0.5215686274509804, 'rgb(244,32,0)'],
        [0.5254901960784314, 'rgb(245,35,0)'],
        [0.5294117647058824, 'rgb(246,38,0)'],
        [0.5333333333333333, 'rgb(247,41,0)'],
        [0.5372549019607843, 'rgb(248,44,0)'],
        [0.5411764705882353, 'rgb(248,47,0)'],
        [0.5450980392156862, 'rgb(249,50,0)'],
        [0.5490196078431373, 'rgb(250,53,0)'],
        [0.5529411764705883, 'rgb(250,56,0)'],
        [0.5568627450980392, 'rgb(251,59,0)'],
        [0.5607843137254902, 'rgb(251,62,0)'],
        [0.5647058823529412, 'rgb(252,65,0)'],
        [0.5686274509803921, 'rgb(252,68,0)'],
        [0.5725490196078431, 'rgb(252,70,0)'],
        [0.5764705882352941, 'rgb(253,73,0)'],
        [0.5803921568627451, 'rgb(253,76,0)'],
        [0.5843137254901961, 'rgb(253,78,0)'],
        [0.5882352941176471, 'rgb(253,81,0)'],
        [0.592156862745098, 'rgb(254,84,0)'],
        [0.596078431372549, 'rgb(254,86,0)'],
        [0.6, 'rgb(254,89,0)'],
        [0.6039215686274509, 'rgb(254,91,0)'],
        [0.6078431372549019, 'rgb(254,93,0)'],
        [0.611764705882353, 'rgb(254,96,0)'],
        [0.615686274509804, 'rgb(254,98,0)'],
        [0.6196078431372549, 'rgb(254,100,0)'],
        [0.6235294117647059, 'rgb(255,103,0)'],
        [0.6274509803921569, 'rgb(255,105,0)'],
        [0.6313725490196078, 'rgb(255,107,0)'],
        [0.6352941176470588, 'rgb(255,109,0)'],
        [0.6392156862745098, 'rgb(255,111,0)'],
        [0.6431372549019608, 'rgb(255,114,0)'],
        [0.6470588235294118, 'rgb(255,116,0)'],
        [0.6509803921568628, 'rgb(255,118,0)'],
        [0.6549019607843137, 'rgb(255,120,0)'],
        [0.6588235294117647, 'rgb(255,122,0)'],
        [0.6627450980392157, 'rgb(255,124,0)'],
        [0.6666666666666666, 'rgb(255,126,0)'],
        [0.6705882352941176, 'rgb(255,128,0)'],
        [0.6745098039215687, 'rgb(255,130,0)'],
        [0.6784313725490196, 'rgb(255,132,0)'],
        [0.6823529411764706, 'rgb(255,134,0)'],
        [0.6862745098039216, 'rgb(255,136,0)'],
        [0.6901960784313725, 'rgb(255,138,0)'],
        [0.6941176470588235, 'rgb(255,140,0)'],
        [0.6980392156862745, 'rgb(255,142,0)'],
        [0.7019607843137254, 'rgb(255,143,0)'],
        [0.7058823529411765, 'rgb(255,145,0)'],
        [0.7098039215686275, 'rgb(255,147,0)'],
        [0.7137254901960784, 'rgb(255,149,0)'],
        [0.7176470588235294, 'rgb(255,151,0)'],
        [0.7215686274509804, 'rgb(255,153,0)'],
        [0.7254901960784313, 'rgb(255,154,0)'],
        [0.7294117647058823, 'rgb(255,156,1)'],
        [0.7333333333333333, 'rgb(255,158,1)'],
        [0.7372549019607844, 'rgb(255,160,1)'],
        [0.7411764705882353, 'rgb(255,161,1)'],
        [0.7450980392156863, 'rgb(255,163,1)'],
        [0.7490196078431373, 'rgb(255,165,1)'],
        [0.7529411764705882, 'rgb(255,167,1)'],
        [0.7568627450980392, 'rgb(255,168,1)'],
        [0.7607843137254902, 'rgb(255,170,1)'],
        [0.7647058823529411, 'rgb(255,172,1)'],
        [0.7686274509803922, 'rgb(255,173,2)'],
        [0.7725490196078432, 'rgb(255,175,2)'],
        [0.7764705882352941, 'rgb(255,177,2)'],
        [0.7803921568627451, 'rgb(255,178,2)'],
        [0.7843137254901961, 'rgb(255,180,2)'],
        [0.788235294117647, 'rgb(255,182,2)'],
        [0.792156862745098, 'rgb(255,183,3)'],
        [0.796078431372549, 'rgb(255,185,3)'],
        [0.8, 'rgb(255,187,3)'],
        [0.803921568627451, 'rgb(255,188,3)'],
        [0.807843137254902, 'rgb(255,190,3)'],
        [0.8117647058823529, 'rgb(255,192,4)'],
        [0.8156862745098039, 'rgb(255,193,4)'],
        [0.8196078431372549, 'rgb(255,195,4)'],
        [0.8235294117647058, 'rgb(255,196,4)'],
        [0.8274509803921568, 'rgb(255,198,5)'],
        [0.8313725490196079, 'rgb(255,200,5)'],
        [0.8352941176470589, 'rgb(255,201,5)'],
        [0.8392156862745098, 'rgb(255,203,5)'],
        [0.8431372549019608, 'rgb(255,204,6)'],
        [0.8470588235294118, 'rgb(255,206,6)'],
        [0.8509803921568627, 'rgb(255,208,6)'],
        [0.8549019607843137, 'rgb(255,209,7)'],
        [0.8588235294117647, 'rgb(255,211,7)'],
        [0.8627450980392157, 'rgb(255,212,8)'],
        [0.8666666666666667, 'rgb(255,214,8)'],
        [0.8705882352941177, 'rgb(255,215,9)'],
        [0.8745098039215686, 'rgb(255,217,9)'],
        [0.8784313725490196, 'rgb(255,219,10)'],
        [0.8823529411764706, 'rgb(255,220,10)'],
        [0.8862745098039215, 'rgb(255,222,11)'],
        [0.8901960784313725, 'rgb(255,223,11)'],
        [0.8941176470588236, 'rgb(255,225,12)'],
        [0.8980392156862745, 'rgb(255,226,13)'],
        [0.9019607843137255, 'rgb(255,228,13)'],
        [0.9058823529411765, 'rgb(255,229,14)'],
        [0.9098039215686274, 'rgb(255,231,15)'],
        [0.9137254901960784, 'rgb(255,233,16)'],
        [0.9176470588235294, 'rgb(255,234,17)'],
        [0.9215686274509803, 'rgb(255,236,19)'],
        [0.9254901960784314, 'rgb(255,237,21)'],
        [0.9294117647058824, 'rgb(255,239,23)'],
        [0.9333333333333333, 'rgb(255,240,26)'],
        [0.9372549019607843, 'rgb(255,242,31)'],
        [0.9411764705882353, 'rgb(255,243,36)'],
        [0.9450980392156862, 'rgb(255,245,43)'],
        [0.9490196078431372, 'rgb(255,246,51)'],
        [0.9529411764705882, 'rgb(255,247,60)'],
        [0.9568627450980393, 'rgb(255,249,71)'],
        [0.9607843137254902, 'rgb(255,250,84)'],
        [0.9647058823529412, 'rgb(255,251,98)'],
        [0.9686274509803922, 'rgb(255,252,114)'],
        [0.9725490196078431, 'rgb(255,253,132)'],
        [0.9764705882352941, 'rgb(255,254,150)'],
        [0.9803921568627451, 'rgb(255,254,168)'],
        [0.984313725490196, 'rgb(255,254,187)'],
        [0.9882352941176471, 'rgb(255,255,205)'],
        [0.9921568627450981, 'rgb(255,255,222)'],
        [0.996078431372549, 'rgb(255,255,239)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cet.linear_kryw_5_100_c64': [
        [0.0, 'rgb(17,17,17)'],
        [0.00392156862745098, 'rgb(20,17,16)'],
        [0.00784313725490196, 'rgb(24,17,16)'],
        [0.011764705882352941, 'rgb(27,17,16)'],
        [0.01568627450980392, 'rgb(29,18,15)'],
        [0.0196078431372549, 'rgb(31,18,15)'],
        [0.023529411764705882, 'rgb(34,18,15)'],
        [0.027450980392156862, 'rgb(36,18,14)'],
        [0.03137254901960784, 'rgb(38,18,14)'],
        [0.03529411764705882, 'rgb(41,18,14)'],
        [0.0392156862745098, 'rgb(43,18,13)'],
        [0.043137254901960784, 'rgb(45,18,13)'],
        [0.047058823529411764, 'rgb(48,17,13)'],
        [0.050980392156862744, 'rgb(50,17,12)'],
        [0.054901960784313725, 'rgb(52,17,12)'],
        [0.058823529411764705, 'rgb(54,17,12)'],
        [0.06274509803921569, 'rgb(56,16,11)'],
        [0.06666666666666667, 'rgb(59,16,11)'],
        [0.07058823529411765, 'rgb(61,15,10)'],
        [0.07450980392156863, 'rgb(63,15,10)'],
        [0.0784313725490196, 'rgb(65,15,10)'],
        [0.08235294117647059, 'rgb(67,14,9)'],
        [0.08627450980392157, 'rgb(69,13,9)'],
        [0.09019607843137255, 'rgb(71,13,9)'],
        [0.09411764705882353, 'rgb(73,12,8)'],
        [0.09803921568627451, 'rgb(75,12,8)'],
        [0.10196078431372549, 'rgb(78,11,8)'],
        [0.10588235294117647, 'rgb(80,10,7)'],
        [0.10980392156862745, 'rgb(82,9,7)'],
        [0.11372549019607843, 'rgb(84,8,7)'],
        [0.11764705882352941, 'rgb(86,8,6)'],
        [0.12156862745098039, 'rgb(87,7,6)'],
        [0.12549019607843137, 'rgb(89,6,6)'],
        [0.12941176470588237, 'rgb(91,5,5)'],
        [0.13333333333333333, 'rgb(93,5,5)'],
        [0.13725490196078433, 'rgb(95,4,5)'],
        [0.1411764705882353, 'rgb(97,3,5)'],
        [0.1450980392156863, 'rgb(98,3,4)'],
        [0.14901960784313725, 'rgb(100,2,4)'],
        [0.15294117647058825, 'rgb(102,2,4)'],
        [0.1568627450980392, 'rgb(103,2,4)'],
        [0.1607843137254902, 'rgb(105,2,4)'],
        [0.16470588235294117, 'rgb(107,2,4)'],
        [0.16862745098039217, 'rgb(108,2,3)'],
        [0.17254901960784313, 'rgb(110,2,3)'],
        [0.17647058823529413, 'rgb(111,2,3)'],
        [0.1803921568627451, 'rgb(113,2,3)'],
        [0.1843137254901961, 'rgb(114,2,3)'],
        [0.18823529411764706, 'rgb(116,2,3)'],
        [0.19215686274509805, 'rgb(118,2,3)'],
        [0.19607843137254902, 'rgb(119,2,3)'],
        [0.2, 'rgb(121,2,2)'],
        [0.20392156862745098, 'rgb(122,2,2)'],
        [0.20784313725490197, 'rgb(124,2,2)'],
        [0.21176470588235294, 'rgb(126,2,2)'],
        [0.21568627450980393, 'rgb(127,2,2)'],
        [0.2196078431372549, 'rgb(129,2,2)'],
        [0.2235294117647059, 'rgb(130,2,2)'],
        [0.22745098039215686, 'rgb(132,2,2)'],
        [0.23137254901960785, 'rgb(134,2,2)'],
        [0.23529411764705882, 'rgb(135,3,2)'],
        [0.23921568627450981, 'rgb(137,3,2)'],
        [0.24313725490196078, 'rgb(138,3,2)'],
        [0.24705882352941178, 'rgb(140,3,2)'],
        [0.25098039215686274, 'rgb(141,3,2)'],
        [0.2549019607843137, 'rgb(143,3,2)'],
        [0.25882352941176473, 'rgb(145,3,2)'],
        [0.2627450980392157, 'rgb(146,3,3)'],
        [0.26666666666666666, 'rgb(148,4,3)'],
        [0.27058823529411763, 'rgb(150,4,3)'],
        [0.27450980392156865, 'rgb(151,4,3)'],
        [0.2784313725490196, 'rgb(153,4,3)'],
        [0.2823529411764706, 'rgb(154,4,3)'],
        [0.28627450980392155, 'rgb(156,4,3)'],
        [0.2901960784313726, 'rgb(158,5,3)'],
        [0.29411764705882354, 'rgb(159,5,3)'],
        [0.2980392156862745, 'rgb(161,5,3)'],
        [0.30196078431372547, 'rgb(163,5,3)'],
        [0.3058823529411765, 'rgb(164,5,3)'],
        [0.30980392156862746, 'rgb(166,5,3)'],
        [0.3137254901960784, 'rgb(167,6,3)'],
        [0.3176470588235294, 'rgb(169,6,3)'],
        [0.3215686274509804, 'rgb(171,6,3)'],
        [0.3254901960784314, 'rgb(172,6,3)'],
        [0.32941176470588235, 'rgb(174,7,3)'],
        [0.3333333333333333, 'rgb(176,7,3)'],
        [0.33725490196078434, 'rgb(177,7,3)'],
        [0.3411764705882353, 'rgb(179,7,3)'],
        [0.34509803921568627, 'rgb(181,7,3)'],
        [0.34901960784313724, 'rgb(182,8,3)'],
        [0.35294117647058826, 'rgb(184,8,3)'],
        [0.3568627450980392, 'rgb(186,8,3)'],
        [0.3607843137254902, 'rgb(188,8,3)'],
        [0.36470588235294116, 'rgb(189,9,3)'],
        [0.3686274509803922, 'rgb(191,9,3)'],
        [0.37254901960784315, 'rgb(193,9,3)'],
        [0.3764705882352941, 'rgb(194,10,3)'],
        [0.3803921568627451, 'rgb(196,10,3)'],
        [0.3843137254901961, 'rgb(198,11,3)'],
        [0.38823529411764707, 'rgb(199,11,3)'],
        [0.39215686274509803, 'rgb(201,12,3)'],
        [0.396078431372549, 'rgb(203,12,3)'],
        [0.4, 'rgb(204,13,3)'],
        [0.403921568627451, 'rgb(206,14,3)'],
        [0.40784313725490196, 'rgb(207,14,3)'],
        [0.4117647058823529, 'rgb(209,15,3)'],
        [0.41568627450980394, 'rgb(211,16,3)'],
        [0.4196078431372549, 'rgb(212,17,3)'],
        [0.4235294117647059, 'rgb(214,18,4)'],
        [0.42745098039215684, 'rgb(215,19,4)'],
        [0.43137254901960786, 'rgb(217,20,4)'],
        [0.43529411764705883, 'rgb(219,21,4)'],
        [0.4392156862745098, 'rgb(220,22,4)'],
        [0.44313725490196076, 'rgb(222,23,4)'],
        [0.4470588235294118, 'rgb(223,24,4)'],
        [0.45098039215686275, 'rgb(225,25,4)'],
        [0.4549019607843137, 'rgb(226,26,4)'],
        [0.4588235294117647, 'rgb(228,27,4)'],
        [0.4627450980392157, 'rgb(229,28,5)'],
        [0.4666666666666667, 'rgb(231,29,5)'],
        [0.47058823529411764, 'rgb(232,30,5)'],
        [0.4745098039215686, 'rgb(234,32,5)'],
        [0.47843137254901963, 'rgb(235,33,5)'],
        [0.4823529411764706, 'rgb(237,34,5)'],
        [0.48627450980392156, 'rgb(238,36,6)'],
        [0.49019607843137253, 'rgb(239,37,6)'],
        [0.49411764705882355, 'rgb(241,39,6)'],
        [0.4980392156862745, 'rgb(242,41,6)'],
        [0.5019607843137255, 'rgb(243,43,6)'],
        [0.5058823529411764, 'rgb(244,45,6)'],
        [0.5098039215686274, 'rgb(245,47,7)'],
        [0.5137254901960784, 'rgb(246,49,7)'],
        [0.5176470588235295, 'rgb(247,51,7)'],
        [0.5215686274509804, 'rgb(248,53,7)'],
        [0.5254901960784314, 'rgb(249,55,7)'],
        [0.5294117647058824, 'rgb(250,57,8)'],
        [0.5333333333333333, 'rgb(250,60,8)'],
        [0.5372549019607843, 'rgb(251,62,8)'],
        [0.5411764705882353, 'rgb(252,64,8)'],
        [0.5450980392156862, 'rgb(252,67,9)'],
        [0.5490196078431373, 'rgb(253,69,9)'],
        [0.5529411764705883, 'rgb(253,71,9)'],
        [0.5568627450980392, 'rgb(253,74,10)'],
        [0.5607843137254902, 'rgb(254,76,10)'],
        [0.5647058823529412, 'rgb(254,79,10)'],
        [0.5686274509803921, 'rgb(254,81,11)'],
        [0.5725490196078431, 'rgb(254,84,11)'],
        [0.5764705882352941, 'rgb(255,86,11)'],
        [0.5803921568627451, 'rgb(255,88,12)'],
        [0.5843137254901961, 'rgb(255,91,12)'],
        [0.5882352941176471, 'rgb(255,93,12)'],
        [0.592156862745098, 'rgb(255,96,13)'],
        [0.596078431372549, 'rgb(255,98,13)'],
        [0.6, 'rgb(255,100,13)'],
        [0.6039215686274509, 'rgb(255,102,14)'],
        [0.6078431372549019, 'rgb(255,105,14)'],
        [0.611764705882353, 'rgb(255,107,15)'],
        [0.615686274509804, 'rgb(255,109,15)'],
        [0.6196078431372549, 'rgb(255,111,15)'],
        [0.6235294117647059, 'rgb(255,113,16)'],
        [0.6274509803921569, 'rgb(255,115,16)'],
        [0.6313725490196078, 'rgb(255,117,16)'],
        [0.6352941176470588, 'rgb(254,119,17)'],
        [0.6392156862745098, 'rgb(254,121,17)'],
        [0.6431372549019608, 'rgb(254,123,18)'],
        [0.6470588235294118, 'rgb(254,125,18)'],
        [0.6509803921568628, 'rgb(254,127,18)'],
        [0.6549019607843137, 'rgb(254,129,19)'],
        [0.6588235294117647, 'rgb(254,131,19)'],
        [0.6627450980392157, 'rgb(254,133,19)'],
        [0.6666666666666666, 'rgb(254,135,20)'],
        [0.6705882352941176, 'rgb(254,137,20)'],
        [0.6745098039215687, 'rgb(253,139,20)'],
        [0.6784313725490196, 'rgb(253,141,21)'],
        [0.6823529411764706, 'rgb(253,143,21)'],
        [0.6862745098039216, 'rgb(253,144,21)'],
        [0.6901960784313725, 'rgb(253,146,22)'],
        [0.6941176470588235, 'rgb(253,148,22)'],
        [0.6980392156862745, 'rgb(252,150,23)'],
        [0.7019607843137254, 'rgb(252,152,23)'],
        [0.7058823529411765, 'rgb(252,154,24)'],
        [0.7098039215686275, 'rgb(252,155,24)'],
        [0.7137254901960784, 'rgb(251,157,25)'],
        [0.7176470588235294, 'rgb(251,159,25)'],
        [0.7215686274509804, 'rgb(251,161,26)'],
        [0.7254901960784313, 'rgb(251,163,27)'],
        [0.7294117647058823, 'rgb(250,164,27)'],
        [0.7333333333333333, 'rgb(250,166,28)'],
        [0.7372549019607844, 'rgb(250,168,29)'],
        [0.7411764705882353, 'rgb(249,170,30)'],
        [0.7450980392156863, 'rgb(249,172,30)'],
        [0.7490196078431373, 'rgb(248,173,31)'],
        [0.7529411764705882, 'rgb(248,175,32)'],
        [0.7568627450980392, 'rgb(247,177,33)'],
        [0.7607843137254902, 'rgb(247,179,34)'],
        [0.7647058823529411, 'rgb(246,180,35)'],
        [0.7686274509803922, 'rgb(246,182,36)'],
        [0.7725490196078432, 'rgb(245,184,37)'],
        [0.7764705882352941, 'rgb(245,186,38)'],
        [0.7803921568627451, 'rgb(244,187,39)'],
        [0.7843137254901961, 'rgb(244,189,40)'],
        [0.788235294117647, 'rgb(243,191,41)'],
        [0.792156862745098, 'rgb(242,193,42)'],
        [0.796078431372549, 'rgb(242,194,44)'],
        [0.8, 'rgb(242,196,46)'],
        [0.803921568627451, 'rgb(241,197,49)'],
        [0.807843137254902, 'rgb(241,199,52)'],
        [0.8117647058823529, 'rgb(241,200,55)'],
        [0.8156862745098039, 'rgb(241,202,59)'],
        [0.8196078431372549, 'rgb(242,203,62)'],
        [0.8235294117647058, 'rgb(242,204,66)'],
        [0.8274509803921568, 'rgb(242,206,69)'],
        [0.8313725490196079, 'rgb(242,207,73)'],
        [0.8352941176470589, 'rgb(242,208,77)'],
        [0.8392156862745098, 'rgb(243,210,80)'],
        [0.8431372549019608, 'rgb(243,211,84)'],
        [0.8470588235294118, 'rgb(243,212,88)'],
        [0.8509803921568627, 'rgb(244,213,92)'],
        [0.8549019607843137, 'rgb(244,214,96)'],
        [0.8588235294117647, 'rgb(245,216,100)'],
        [0.8627450980392157, 'rgb(245,217,104)'],
        [0.8666666666666667, 'rgb(246,218,108)'],
        [0.8705882352941177, 'rgb(246,219,112)'],
        [0.8745098039215686, 'rgb(246,220,116)'],
        [0.8784313725490196, 'rgb(247,221,120)'],
        [0.8823529411764706, 'rgb(247,223,124)'],
        [0.8862745098039215, 'rgb(248,224,128)'],
        [0.8901960784313725, 'rgb(248,225,132)'],
        [0.8941176470588236, 'rgb(249,226,136)'],
        [0.8980392156862745, 'rgb(249,227,140)'],
        [0.9019607843137255, 'rgb(250,228,144)'],
        [0.9058823529411765, 'rgb(250,229,148)'],
        [0.9098039215686274, 'rgb(250,230,153)'],
        [0.9137254901960784, 'rgb(251,231,157)'],
        [0.9176470588235294, 'rgb(251,232,161)'],
        [0.9215686274509803, 'rgb(252,234,165)'],
        [0.9254901960784314, 'rgb(252,235,170)'],
        [0.9294117647058824, 'rgb(252,236,174)'],
        [0.9333333333333333, 'rgb(253,237,178)'],
        [0.9372549019607843, 'rgb(253,238,183)'],
        [0.9411764705882353, 'rgb(253,239,187)'],
        [0.9450980392156862, 'rgb(254,240,191)'],
        [0.9490196078431372, 'rgb(254,241,196)'],
        [0.9529411764705882, 'rgb(254,242,200)'],
        [0.9568627450980393, 'rgb(254,243,205)'],
        [0.9607843137254902, 'rgb(254,244,209)'],
        [0.9647058823529412, 'rgb(255,245,214)'],
        [0.9686274509803922, 'rgb(255,246,218)'],
        [0.9725490196078431, 'rgb(255,248,223)'],
        [0.9764705882352941, 'rgb(255,249,227)'],
        [0.9803921568627451, 'rgb(255,250,232)'],
        [0.984313725490196, 'rgb(255,251,236)'],
        [0.9882352941176471, 'rgb(255,252,241)'],
        [0.9921568627450981, 'rgb(255,253,246)'],
        [0.996078431372549, 'rgb(255,254,250)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cet.linear_kryw_5_100_c67': [
        [0.0, 'rgb(17,17,17)'],
        [0.00392156862745098, 'rgb(21,17,16)'],
        [0.00784313725490196, 'rgb(24,17,16)'],
        [0.011764705882352941, 'rgb(27,17,16)'],
        [0.01568627450980392, 'rgb(29,17,15)'],
        [0.0196078431372549, 'rgb(32,18,15)'],
        [0.023529411764705882, 'rgb(34,18,15)'],
        [0.027450980392156862, 'rgb(37,18,14)'],
        [0.03137254901960784, 'rgb(39,18,14)'],
        [0.03529411764705882, 'rgb(41,17,14)'],
        [0.0392156862745098, 'rgb(44,17,13)'],
        [0.043137254901960784, 'rgb(46,17,13)'],
        [0.047058823529411764, 'rgb(48,17,13)'],
        [0.050980392156862744, 'rgb(51,16,12)'],
        [0.054901960784313725, 'rgb(53,16,12)'],
        [0.058823529411764705, 'rgb(55,16,12)'],
        [0.06274509803921569, 'rgb(58,15,11)'],
        [0.06666666666666667, 'rgb(60,15,11)'],
        [0.07058823529411765, 'rgb(62,14,11)'],
        [0.07450980392156863, 'rgb(64,13,10)'],
        [0.0784313725490196, 'rgb(66,13,10)'],
        [0.08235294117647059, 'rgb(69,12,9)'],
        [0.08627450980392157, 'rgb(71,11,9)'],
        [0.09019607843137255, 'rgb(73,10,9)'],
        [0.09411764705882353, 'rgb(75,10,8)'],
        [0.09803921568627451, 'rgb(77,9,8)'],
        [0.10196078431372549, 'rgb(79,8,8)'],
        [0.10588235294117647, 'rgb(81,7,7)'],
        [0.10980392156862745, 'rgb(83,6,7)'],
        [0.11372549019607843, 'rgb(85,5,7)'],
        [0.11764705882352941, 'rgb(87,4,7)'],
        [0.12156862745098039, 'rgb(89,3,6)'],
        [0.12549019607843137, 'rgb(91,2,6)'],
        [0.12941176470588237, 'rgb(93,1,6)'],
        [0.13333333333333333, 'rgb(95,0,5)'],
        [0.13725490196078433, 'rgb(97,0,5)'],
        [0.1411764705882353, 'rgb(99,0,5)'],
        [0.1450980392156863, 'rgb(100,0,5)'],
        [0.14901960784313725, 'rgb(102,0,5)'],
        [0.15294117647058825, 'rgb(104,0,4)'],
        [0.1568627450980392, 'rgb(105,0,4)'],
        [0.1607843137254902, 'rgb(107,0,4)'],
        [0.16470588235294117, 'rgb(109,0,4)'],
        [0.16862745098039217, 'rgb(110,0,4)'],
        [0.17254901960784313, 'rgb(112,0,4)'],
        [0.17647058823529413, 'rgb(113,0,3)'],
        [0.1803921568627451, 'rgb(115,0,3)'],
        [0.1843137254901961, 'rgb(117,0,3)'],
        [0.18823529411764706, 'rgb(118,0,3)'],
        [0.19215686274509805, 'rgb(120,0,3)'],
        [0.19607843137254902, 'rgb(121,0,3)'],
        [0.2, 'rgb(123,0,2)'],
        [0.20392156862745098, 'rgb(124,0,2)'],
        [0.20784313725490197, 'rgb(126,0,2)'],
        [0.21176470588235294, 'rgb(128,0,2)'],
        [0.21568627450980393, 'rgb(129,0,2)'],
        [0.2196078431372549, 'rgb(131,0,2)'],
        [0.2235294117647059, 'rgb(132,0,2)'],
        [0.22745098039215686, 'rgb(134,0,2)'],
        [0.23137254901960785, 'rgb(136,0,1)'],
        [0.23529411764705882, 'rgb(137,0,1)'],
        [0.23921568627450981, 'rgb(139,0,1)'],
        [0.24313725490196078, 'rgb(140,0,1)'],
        [0.24705882352941178, 'rgb(142,0,1)'],
        [0.25098039215686274, 'rgb(144,0,1)'],
        [0.2549019607843137, 'rgb(145,0,1)'],
        [0.25882352941176473, 'rgb(147,0,1)'],
        [0.2627450980392157, 'rgb(149,0,1)'],
        [0.26666666666666666, 'rgb(150,0,1)'],
        [0.27058823529411763, 'rgb(152,0,0)'],
        [0.27450980392156865, 'rgb(153,0,0)'],
        [0.2784313725490196, 'rgb(155,0,0)'],
        [0.2823529411764706, 'rgb(157,0,0)'],
        [0.28627450980392155, 'rgb(158,0,0)'],
        [0.2901960784313726, 'rgb(160,0,0)'],
        [0.29411764705882354, 'rgb(162,0,0)'],
        [0.2980392156862745, 'rgb(163,0,0)'],
        [0.30196078431372547, 'rgb(165,0,0)'],
        [0.3058823529411765, 'rgb(167,0,0)'],
        [0.30980392156862746, 'rgb(168,0,0)'],
        [0.3137254901960784, 'rgb(170,0,0)'],
        [0.3176470588235294, 'rgb(172,0,0)'],
        [0.3215686274509804, 'rgb(173,0,0)'],
        [0.3254901960784314, 'rgb(175,0,0)'],
        [0.32941176470588235, 'rgb(177,0,0)'],
        [0.3333333333333333, 'rgb(178,0,0)'],
        [0.33725490196078434, 'rgb(180,0,0)'],
        [0.3411764705882353, 'rgb(182,0,0)'],
        [0.34509803921568627, 'rgb(183,0,0)'],
        [0.34901960784313724, 'rgb(185,0,0)'],
        [0.35294117647058826, 'rgb(187,0,0)'],
        [0.3568627450980392, 'rgb(189,0,0)'],
        [0.3607843137254902, 'rgb(190,0,0)'],
        [0.36470588235294116, 'rgb(192,0,0)'],
        [0.3686274509803922, 'rgb(194,0,0)'],
        [0.37254901960784315, 'rgb(196,0,0)'],
        [0.3764705882352941, 'rgb(197,0,0)'],
        [0.3803921568627451, 'rgb(199,0,0)'],
        [0.3843137254901961, 'rgb(201,0,0)'],
        [0.38823529411764707, 'rgb(202,0,0)'],
        [0.39215686274509803, 'rgb(204,0,0)'],
        [0.396078431372549, 'rgb(206,0,0)'],
        [0.4, 'rgb(208,0,0)'],
        [0.403921568627451, 'rgb(209,0,0)'],
        [0.40784313725490196, 'rgb(211,0,0)'],
        [0.4117647058823529, 'rgb(213,0,0)'],
        [0.41568627450980394, 'rgb(214,0,0)'],
        [0.4196078431372549, 'rgb(216,0,0)'],
        [0.4235294117647059, 'rgb(218,0,0)'],
        [0.42745098039215684, 'rgb(219,0,0)'],
        [0.43137254901960786, 'rgb(221,0,0)'],
        [0.43529411764705883, 'rgb(223,0,0)'],
        [0.4392156862745098, 'rgb(224,0,0)'],
        [0.44313725490196076, 'rgb(226,0,0)'],
        [0.4470588235294118, 'rgb(228,0,0)'],
        [0.45098039215686275, 'rgb(229,0,0)'],
        [0.4549019607843137, 'rgb(231,0,0)'],
        [0.4588235294117647, 'rgb(233,0,0)'],
        [0.4627450980392157, 'rgb(234,0,0)'],
        [0.4666666666666667, 'rgb(236,1,0)'],
        [0.47058823529411764, 'rgb(238,2,0)'],
        [0.4745098039215686, 'rgb(239,4,0)'],
        [0.47843137254901963, 'rgb(241,5,0)'],
        [0.4823529411764706, 'rgb(242,7,0)'],
        [0.48627450980392156, 'rgb(244,10,0)'],
        [0.49019607843137253, 'rgb(245,13,0)'],
        [0.49411764705882355, 'rgb(247,16,0)'],
        [0.4980392156862745, 'rgb(248,18,0)'],
        [0.5019607843137255, 'rgb(249,21,0)'],
        [0.5058823529411764, 'rgb(251,24,0)'],
        [0.5098039215686274, 'rgb(252,27,0)'],
        [0.5137254901960784, 'rgb(253,30,0)'],
        [0.5176470588235295, 'rgb(254,33,0)'],
        [0.5215686274509804, 'rgb(255,35,0)'],
        [0.5254901960784314, 'rgb(255,38,0)'],
        [0.5294117647058824, 'rgb(255,41,0)'],
        [0.5333333333333333, 'rgb(255,44,0)'],
        [0.5372549019607843, 'rgb(255,47,0)'],
        [0.5411764705882353, 'rgb(255,49,0)'],
        [0.5450980392156862, 'rgb(255,52,0)'],
        [0.5490196078431373, 'rgb(255,55,0)'],
        [0.5529411764705883, 'rgb(255,58,0)'],
        [0.5568627450980392, 'rgb(255,61,0)'],
        [0.5607843137254902, 'rgb(255,63,0)'],
        [0.5647058823529412, 'rgb(255,66,0)'],
        [0.5686274509803921, 'rgb(255,69,0)'],
        [0.5725490196078431, 'rgb(255,72,0)'],
        [0.5764705882352941, 'rgb(255,74,0)'],
        [0.5803921568627451, 'rgb(255,77,0)'],
        [0.5843137254901961, 'rgb(255,80,0)'],
        [0.5882352941176471, 'rgb(255,82,0)'],
        [0.592156862745098, 'rgb(255,85,0)'],
        [0.596078431372549, 'rgb(255,88,0)'],
        [0.6, 'rgb(255,90,0)'],
        [0.6039215686274509, 'rgb(255,92,0)'],
        [0.6078431372549019, 'rgb(255,95,0)'],
        [0.611764705882353, 'rgb(255,97,1)'],
        [0.615686274509804, 'rgb(255,99,1)'],
        [0.6196078431372549, 'rgb(255,102,1)'],
        [0.6235294117647059, 'rgb(255,104,2)'],
        [0.6274509803921569, 'rgb(255,106,2)'],
        [0.6313725490196078, 'rgb(255,108,3)'],
        [0.6352941176470588, 'rgb(255,110,3)'],
        [0.6392156862745098, 'rgb(255,112,3)'],
        [0.6431372549019608, 'rgb(255,114,4)'],
        [0.6470588235294118, 'rgb(255,117,4)'],
        [0.6509803921568628, 'rgb(255,119,5)'],
        [0.6549019607843137, 'rgb(255,121,5)'],
        [0.6588235294117647, 'rgb(255,123,5)'],
        [0.6627450980392157, 'rgb(255,125,6)'],
        [0.6666666666666666, 'rgb(255,127,6)'],
        [0.6705882352941176, 'rgb(255,129,7)'],
        [0.6745098039215687, 'rgb(255,130,7)'],
        [0.6784313725490196, 'rgb(255,132,7)'],
        [0.6823529411764706, 'rgb(255,134,8)'],
        [0.6862745098039216, 'rgb(255,136,8)'],
        [0.6901960784313725, 'rgb(255,138,8)'],
        [0.6941176470588235, 'rgb(255,140,9)'],
        [0.6980392156862745, 'rgb(255,142,9)'],
        [0.7019607843137254, 'rgb(255,144,10)'],
        [0.7058823529411765, 'rgb(255,145,10)'],
        [0.7098039215686275, 'rgb(255,147,10)'],
        [0.7137254901960784, 'rgb(255,149,11)'],
        [0.7176470588235294, 'rgb(255,151,11)'],
        [0.7215686274509804, 'rgb(255,153,12)'],
        [0.7254901960784313, 'rgb(255,154,12)'],
        [0.7294117647058823, 'rgb(255,156,12)'],
        [0.7333333333333333, 'rgb(255,158,13)'],
        [0.7372549019607844, 'rgb(255,160,13)'],
        [0.7411764705882353, 'rgb(255,161,13)'],
        [0.7450980392156863, 'rgb(255,163,14)'],
        [0.7490196078431373, 'rgb(255,165,14)'],
        [0.7529411764705882, 'rgb(255,166,14)'],
        [0.7568627450980392, 'rgb(255,168,15)'],
        [0.7607843137254902, 'rgb(255,170,15)'],
        [0.7647058823529411, 'rgb(255,171,15)'],
        [0.7686274509803922, 'rgb(255,173,16)'],
        [0.7725490196078432, 'rgb(255,175,16)'],
        [0.7764705882352941, 'rgb(255,176,16)'],
        [0.7803921568627451, 'rgb(255,178,17)'],
        [0.7843137254901961, 'rgb(255,179,17)'],
        [0.788235294117647, 'rgb(255,181,17)'],
        [0.792156862745098, 'rgb(255,183,18)'],
        [0.796078431372549, 'rgb(255,184,20)'],
        [0.8, 'rgb(255,186,23)'],
        [0.803921568627451, 'rgb(255,187,27)'],
        [0.807843137254902, 'rgb(255,189,31)'],
        [0.8117647058823529, 'rgb(255,190,35)'],
        [0.8156862745098039, 'rgb(255,192,39)'],
        [0.8196078431372549, 'rgb(255,193,44)'],
        [0.8235294117647058, 'rgb(255,194,48)'],
        [0.8274509803921568, 'rgb(255,196,52)'],
        [0.8313725490196079, 'rgb(255,197,57)'],
        [0.8352941176470589, 'rgb(255,199,61)'],
        [0.8392156862745098, 'rgb(255,200,65)'],
        [0.8431372549019608, 'rgb(255,201,70)'],
        [0.8470588235294118, 'rgb(255,203,74)'],
        [0.8509803921568627, 'rgb(255,204,78)'],
        [0.8549019607843137, 'rgb(255,205,83)'],
        [0.8588235294117647, 'rgb(255,207,87)'],
        [0.8627450980392157, 'rgb(255,208,91)'],
        [0.8666666666666667, 'rgb(255,209,96)'],
        [0.8705882352941177, 'rgb(255,211,100)'],
        [0.8745098039215686, 'rgb(255,212,104)'],
        [0.8784313725490196, 'rgb(255,213,109)'],
        [0.8823529411764706, 'rgb(255,215,113)'],
        [0.8862745098039215, 'rgb(255,216,117)'],
        [0.8901960784313725, 'rgb(255,217,122)'],
        [0.8941176470588236, 'rgb(255,219,126)'],
        [0.8980392156862745, 'rgb(255,220,131)'],
        [0.9019607843137255, 'rgb(255,221,135)'],
        [0.9058823529411765, 'rgb(255,223,140)'],
        [0.9098039215686274, 'rgb(255,224,144)'],
        [0.9137254901960784, 'rgb(255,225,149)'],
        [0.9176470588235294, 'rgb(255,227,153)'],
        [0.9215686274509803, 'rgb(255,228,158)'],
        [0.9254901960784314, 'rgb(255,229,163)'],
        [0.9294117647058824, 'rgb(255,231,167)'],
        [0.9333333333333333, 'rgb(255,232,172)'],
        [0.9372549019607843, 'rgb(255,233,177)'],
        [0.9411764705882353, 'rgb(255,235,181)'],
        [0.9450980392156862, 'rgb(255,236,186)'],
        [0.9490196078431372, 'rgb(255,237,191)'],
        [0.9529411764705882, 'rgb(255,239,196)'],
        [0.9568627450980393, 'rgb(255,240,200)'],
        [0.9607843137254902, 'rgb(255,241,205)'],
        [0.9647058823529412, 'rgb(255,243,210)'],
        [0.9686274509803922, 'rgb(255,244,215)'],
        [0.9725490196078431, 'rgb(255,245,220)'],
        [0.9764705882352941, 'rgb(255,247,225)'],
        [0.9803921568627451, 'rgb(255,248,230)'],
        [0.984313725490196, 'rgb(255,250,235)'],
        [0.9882352941176471, 'rgb(255,251,240)'],
        [0.9921568627450981, 'rgb(255,252,245)'],
        [0.996078431372549, 'rgb(255,254,250)'],
        [1.0, 'rgb(255,255,255)'],
    ],
    'cet.linear_protanopic_deuteranopic_kbjyw_5_95_c25': [
        [0.0, 'rgb(17,17,17)'],
        [0.00392156862745098, 'rgb(17,18,19)'],
        [0.00784313725490196, 'rgb(18,19,21)'],
        [0.011764705882352941, 'rgb(18,19,23)'],
        [0.01568627450980392, 'rgb(19,20,25)'],
        [0.0196078431372549, 'rgb(19,21,27)'],
        [0.023529411764705882, 'rgb(19,22,29)'],
        [0.027450980392156862, 'rgb(20,22,31)'],
        [0.03137254901960784, 'rgb(20,23,32)'],
        [0.03529411764705882, 'rgb(20,24,34)'],
        [0.0392156862745098, 'rgb(20,24,36)'],
        [0.043137254901960784, 'rgb(20,25,38)'],
        [0.047058823529411764, 'rgb(20,26,40)'],
        [0.050980392156862744, 'rgb(20,26,42)'],
        [0.054901960784313725, 'rgb(20,27,44)'],
        [0.058823529411764705, 'rgb(20,28,46)'],
        [0.06274509803921569, 'rgb(20,29,47)'],
        [0.06666666666666667, 'rgb(20,29,49)'],
        [0.07058823529411765, 'rgb(19,30,51)'],
        [0.07450980392156863, 'rgb(19,31,53)'],
        [0.0784313725490196, 'rgb(19,31,55)'],
        [0.08235294117647059, 'rgb(19,32,57)'],
        [0.08627450980392157, 'rgb(18,33,58)'],
        [0.09019607843137255, 'rgb(18,34,60)'],
        [0.09411764705882353, 'rgb(18,34,62)'],
        [0.09803921568627451, 'rgb(17,35,64)'],
        [0.10196078431372549, 'rgb(17,36,66)'],
        [0.10588235294117647, 'rgb(17,37,68)'],
        [0.10980392156862745, 'rgb(16,37,69)'],
        [0.11372549019607843, 'rgb(16,38,71)'],
        [0.11764705882352941, 'rgb(15,39,73)'],
        [0.12156862745098039, 'rgb(14,40,75)'],
        [0.12549019607843137, 'rgb(14,40,77)'],
        [0.12941176470588237, 'rgb(13,41,78)'],
        [0.13333333333333333, 'rgb(12,42,80)'],
        [0.13725490196078433, 'rgb(12,43,82)'],
        [0.1411764705882353, 'rgb(11,43,84)'],
        [0.1450980392156863, 'rgb(10,44,85)'],
        [0.14901960784313725, 'rgb(9,45,87)'],
        [0.15294117647058825, 'rgb(8,46,89)'],
        [0.1568627450980392, 'rgb(7,46,90)'],
        [0.1607843137254902, 'rgb(6,47,92)'],
        [0.16470588235294117, 'rgb(6,48,94)'],
        [0.16862745098039217, 'rgb(5,49,95)'],
        [0.17254901960784313, 'rgb(4,49,97)'],
        [0.17647058823529413, 'rgb(3,50,99)'],
        [0.1803921568627451, 'rgb(2,51,100)'],
        [0.1843137254901961, 'rgb(2,52,102)'],
        [0.18823529411764706, 'rgb(1,53,103)'],
        [0.19215686274509805, 'rgb(0,53,105)'],
        [0.19607843137254902, 'rgb(0,54,107)'],
        [0.2, 'rgb(0,55,108)'],
        [0.20392156862745098, 'rgb(0,56,110)'],
        [0.20784313725490197, 'rgb(0,56,111)'],
        [0.21176470588235294, 'rgb(0,57,113)'],
        [0.21568627450980393, 'rgb(0,58,114)'],
        [0.2196078431372549, 'rgb(0,59,115)'],
        [0.2235294117647059, 'rgb(0,60,117)'],
        [0.22745098039215686, 'rgb(0,60,118)'],
        [0.23137254901960785, 'rgb(0,61,119)'],
        [0.23529411764705882, 'rgb(0,62,121)'],
        [0.23921568627450981, 'rgb(0,63,122)'],
        [0.24313725490196078, 'rgb(0,64,123)'],
        [0.24705882352941178, 'rgb(0,64,125)'],
        [0.25098039215686274, 'rgb(1,65,126)'],
        [0.2549019607843137, 'rgb(3,66,127)'],
        [0.25882352941176473, 'rgb(4,67,128)'],
        [0.2627450980392157, 'rgb(5,68,129)'],
        [0.26666666666666666, 'rgb(7,68,130)'],
        [0.27058823529411763, 'rgb(9,69,131)'],
        [0.27450980392156865, 'rgb(11,70,132)'],
        [0.2784313725490196, 'rgb(13,71,133)'],
        [0.2823529411764706, 'rgb(15,72,134)'],
        [0.28627450980392155, 'rgb(17,72,135)'],
        [0.2901960784313726, 'rgb(19,73,136)'],
        [0.29411764705882354, 'rgb(21,74,137)'],
        [0.2980392156862745, 'rgb(24,75,138)'],
        [0.30196078431372547, 'rgb(26,76,138)'],
        [0.3058823529411765, 'rgb(28,76,139)'],
        [0.30980392156862746, 'rgb(30,77,140)'],
        [0.3137254901960784, 'rgb(32,78,140)'],
        [0.3176470588235294, 'rgb(34,79,141)'],
        [0.3215686274509804, 'rgb(36,80,141)'],
        [0.3254901960784314, 'rgb(38,80,142)'],
        [0.32941176470588235, 'rgb(40,81,142)'],
        [0.3333333333333333, 'rgb(42,82,142)'],
        [0.33725490196078434, 'rgb(45,83,142)'],
        [0.3411764705882353, 'rgb(47,84,143)'],
        [0.34509803921568627, 'rgb(49,84,143)'],
        [0.34901960784313724, 'rgb(51,85,143)'],
        [0.35294117647058826, 'rgb(53,86,143)'],
        [0.3568627450980392, 'rgb(55,87,143)'],
        [0.3607843137254902, 'rgb(58,88,142)'],
        [0.36470588235294116, 'rgb(60,89,142)'],
        [0.3686274509803922, 'rgb(62,89,142)'],
        [0.37254901960784315, 'rgb(64,90,141)'],
        [0.3764705882352941, 'rgb(67,91,141)'],
        [0.3803921568627451, 'rgb(69,92,140)'],
        [0.3843137254901961, 'rgb(71,93,139)'],
        [0.38823529411764707, 'rgb(73,94,139)'],
        [0.39215686274509803, 'rgb(75,94,138)'],
        [0.396078431372549, 'rgb(77,95,137)'],
        [0.4, 'rgb(79,96,137)'],
        [0.403921568627451, 'rgb(81,97,136)'],
        [0.40784313725490196, 'rgb(83,98,135)'],
        [0.4117647058823529, 'rgb(85,99,135)'],
        [0.41568627450980394, 'rgb(87,100,134)'],
        [0.4196078431372549, 'rgb(89,100,133)'],
        [0.4235294117647059, 'rgb(90,101,133)'],
        [0.42745098039215684, 'rgb(92,102,132)'],
        [0.43137254901960786, 'rgb(94,103,131)'],
        [0.43529411764705883, 'rgb(95,104,131)'],
        [0.4392156862745098, 'rgb(97,105,130)'],
        [0.44313725490196076, 'rgb(99,106,129)'],
        [0.4470588235294118, 'rgb(100,106,128)'],
        [0.45098039215686275, 'rgb(102,107,128)'],
        [0.4549019607843137, 'rgb(104,108,127)'],
        [0.4588235294117647, 'rgb(105,109,126)'],
        [0.4627450980392157, 'rgb(107,110,126)'],
        [0.4666666666666667, 'rgb(108,111,125)'],
        [0.47058823529411764, 'rgb(110,112,124)'],
        [0.4745098039215686, 'rgb(111,113,123)'],
        [0.47843137254901963, 'rgb(113,113,123)'],
        [0.4823529411764706, 'rgb(114,114,122)'],
        [0.48627450980392156, 'rgb(116,115,121)'],
        [0.49019607843137253, 'rgb(117,116,121)'],
        [0.49411764705882355, 'rgb(119,117,120)'],
        [0.4980392156862745, 'rgb(120,118,119)'],
        [0.5019607843137255, 'rgb(122,119,118)'],
        [0.5058823529411764, 'rgb(123,120,118)'],
        [0.5098039215686274, 'rgb(124,121,117)'],
        [0.5137254901960784, 'rgb(126,121,116)'],
        [0.5176470588235295, 'rgb(127,122,115)'],
        [0.5215686274509804, 'rgb(129,123,115)'],
        [0.5254901960784314, 'rgb(130,124,114)'],
        [0.5294117647058824, 'rgb(131,125,113)'],
        [0.5333333333333333, 'rgb(133,126,112)'],
        [0.5372549019607843, 'rgb(134,127,111)'],
        [0.5411764705882353, 'rgb(136,128,111)'],
        [0.5450980392156862, 'rgb(137,129,110)'],
        [0.5490196078431373, 'rgb(138,129,109)'],
        [0.5529411764705883, 'rgb(140,130,108)'],
        [0.5568627450980392, 'rgb(141,131,107)'],
        [0.5607843137254902, 'rgb(142,132,107)'],
        [0.5647058823529412, 'rgb(144,133,106)'],
        [0.5686274509803921, 'rgb(145,134,105)'],
        [0.5725490196078431, 'rgb(146,135,104)'],
        [0.5764705882352941, 'rgb(148,136,103)'],
        [0.5803921568627451, 'rgb(149,137,103)'],
        [0.5843137254901961, 'rgb(150,138,102)'],
        [0.5882352941176471, 'rgb(152,138,101)'],
        [0.592156862745098, 'rgb(153,139,100)'],
        [0.596078431372549, 'rgb(154,140,99)'],
        [0.6, 'rgb(156,141,98)'],
        [0.6039215686274509, 'rgb(157,142,97)'],
        [0.6078431372549019, 'rgb(158,143,96)'],
        [0.611764705882353, 'rgb(160,144,96)'],
        [0.615686274509804, 'rgb(161,145,95)'],
        [0.6196078431372549, 'rgb(162,146,94)'],
        [0.6235294117647059, 'rgb(164,147,93)'],
        [0.6274509803921569, 'rgb(165,148,92)'],
        [0.6313725490196078, 'rgb(166,148,91)'],
        [0.6352941176470588, 'rgb(167,149,91)'],
        [0.6392156862745098, 'rgb(169,150,90)'],
        [0.6431372549019608, 'rgb(170,151,90)'],
        [0.6470588235294118, 'rgb(171,152,89)'],
        [0.6509803921568628, 'rgb(172,153,89)'],
        [0.6549019607843137, 'rgb(173,154,89)'],
        [0.6588235294117647, 'rgb(175,155,89)'],
        [0.6627450980392157, 'rgb(176,156,89)'],
        [0.6666666666666666, 'rgb(177,157,89)'],
        [0.6705882352941176, 'rgb(178,158,89)'],
        [0.6745098039215687, 'rgb(179,159,89)'],
        [0.6784313725490196, 'rgb(180,159,89)'],
        [0.6823529411764706, 'rgb(181,160,90)'],
        [0.6862745098039216, 'rgb(182,161,90)'],
        [0.6901960784313725, 'rgb(183,162,90)'],
        [0.6941176470588235, 'rgb(184,163,91)'],
        [0.6980392156862745, 'rgb(185,164,91)'],
        [0.7019607843137254, 'rgb(186,165,92)'],
        [0.7058823529411765, 'rgb(187,166,93)'],
        [0.7098039215686275, 'rgb(188,167,94)'],
        [0.7137254901960784, 'rgb(189,168,94)'],
        [0.7176470588235294, 'rgb(191,169,95)'],
        [0.7215686274509804, 'rgb(192,170,96)'],
        [0.7254901960784313, 'rgb(193,171,97)'],
        [0.7294117647058823, 'rgb(193,172,98)'],
        [0.7333333333333333, 'rgb(194,173,99)'],
        [0.7372549019607844, 'rgb(195,174,100)'],
        [0.7411764705882353, 'rgb(196,175,101)'],
        [0.7450980392156863, 'rgb(197,176,103)'],
        [0.7490196078431373, 'rgb(198,176,104)'],
        [0.7529411764705882, 'rgb(199,177,105)'],
        [0.7568627450980392, 'rgb(200,178,106)'],
        [0.7607843137254902, 'rgb(201,179,108)'],
        [0.7647058823529411, 'rgb(202,180,109)'],
        [0.7686274509803922, 'rgb(203,181,110)'],
        [0.7725490196078432, 'rgb(204,182,112)'],
        [0.7764705882352941, 'rgb(205,183,113)'],
        [0.7803921568627451, 'rgb(206,184,115)'],
        [0.7843137254901961, 'rgb(207,185,117)'],
        [0.788235294117647, 'rgb(207,186,118)'],
        [0.792156862745098, 'rgb(208,187,120)'],
        [0.796078431372549, 'rgb(209,188,121)'],
        [0.8, 'rgb(210,189,123)'],
        [0.803921568627451, 'rgb(211,190,125)'],
        [0.807843137254902, 'rgb(212,191,127)'],
        [0.8117647058823529, 'rgb(213,192,128)'],
        [0.8156862745098039, 'rgb(213,193,130)'],
        [0.8196078431372549, 'rgb(214,194,132)'],
        [0.8235294117647058, 'rgb(215,195,134)'],
        [0.8274509803921568, 'rgb(216,196,136)'],
        [0.8313725490196079, 'rgb(217,197,138)'],
        [0.8352941176470589, 'rgb(217,198,140)'],
        [0.8392156862745098, 'rgb(218,199,141)'],
        [0.8431372549019608, 'rgb(219,200,143)'],
        [0.8470588235294118, 'rgb(220,201,145)'],
        [0.8509803921568627, 'rgb(221,202,148)'],
        [0.8549019607843137, 'rgb(221,203,150)'],
        [0.8588235294117647, 'rgb(222,204,152)'],
        [0.8627450980392157, 'rgb(223,205,154)'],
        [0.8666666666666667, 'rgb(223,206,156)'],
        [0.8705882352941177, 'rgb(224,207,158)'],
        [0.8745098039215686, 'rgb(225,208,160)'],
        [0.8784313725490196, 'rgb(226,209,162)'],
        [0.8823529411764706, 'rgb(226,210,165)'],
        [0.8862745098039215, 'rgb(227,211,167)'],
        [0.8901960784313725, 'rgb(228,212,169)'],
        [0.8941176470588236, 'rgb(228,213,171)'],
        [0.8980392156862745, 'rgb(229,214,174)'],
        [0.9019607843137255, 'rgb(229,215,176)'],
        [0.9058823529411765, 'rgb(230,216,178)'],
        [0.9098039215686274, 'rgb(231,217,181)'],
        [0.9137254901960784, 'rgb(231,218,183)'],
        [0.9176470588235294, 'rgb(232,219,186)'],
        [0.9215686274509803, 'rgb(232,220,188)'],
        [0.9254901960784314, 'rgb(233,221,191)'],
        [0.9294117647058824, 'rgb(233,222,193)'],
        [0.9333333333333333, 'rgb(234,223,195)'],
        [0.9372549019607843, 'rgb(234,224,198)'],
        [0.9411764705882353, 'rgb(235,225,201)'],
        [0.9450980392156862, 'rgb(235,226,203)'],
        [0.9490196078431372, 'rgb(236,227,206)'],
        [0.9529411764705882, 'rgb(236,228,208)'],
        [0.9568627450980393, 'rgb(237,229,211)'],
        [0.9607843137254902, 'rgb(237,230,213)'],
        [0.9647058823529412, 'rgb(238,231,216)'],
        [0.9686274509803922, 'rgb(238,232,219)'],
        [0.9725490196078431, 'rgb(238,233,221)'],
        [0.9764705882352941, 'rgb(239,234,224)'],
        [0.9803921568627451, 'rgb(239,235,227)'],
        [0.984313725490196, 'rgb(239,236,230)'],
        [0.9882352941176471, 'rgb(240,237,232)'],
        [0.9921568627450981, 'rgb(240,238,235)'],
        [0.996078431372549, 'rgb(240,240,238)'],
        [1.0, 'rgb(241,241,241)'],
    ],
    'cet.linear_protanopic_deuteranopic_kbw_5_98_c40': [
        [0.0, 'rgb(17,17,17)'],
        [0.00392156862745098, 'rgb(17,18,19)'],
        [0.00784313725490196, 'rgb(18,19,21)'],
        [0.011764705882352941, 'rgb(19,19,23)'],
        [0.01568627450980392, 'rgb(19,20,24)'],
        [0.0196078431372549, 'rgb(20,21,26)'],
        [0.023529411764705882, 'rgb(20,22,28)'],
        [0.027450980392156862, 'rgb(20,23,29)'],
        [0.03137254901960784, 'rgb(21,23,31)'],
        [0.03529411764705882, 'rgb(21,24,33)'],
        [0.0392156862745098, 'rgb(21,25,34)'],
        [0.043137254901960784, 'rgb(22,25,36)'],
        [0.047058823529411764, 'rgb(22,26,38)'],
        [0.050980392156862744, 'rgb(22,27,39)'],
        [0.054901960784313725, 'rgb(22,27,41)'],
        [0.058823529411764705, 'rgb(22,28,43)'],
        [0.06274509803921569, 'rgb(22,29,45)'],
        [0.06666666666666667, 'rgb(22,30,46)'],
        [0.07058823529411765, 'rgb(23,30,48)'],
        [0.07450980392156863, 'rgb(23,31,50)'],
        [0.0784313725490196, 'rgb(23,32,52)'],
        [0.08235294117647059, 'rgb(23,33,54)'],
        [0.08627450980392157, 'rgb(23,33,55)'],
        [0.09019607843137255, 'rgb(23,34,57)'],
        [0.09411764705882353, 'rgb(23,35,59)'],
        [0.09803921568627451, 'rgb(22,36,61)'],
        [0.10196078431372549, 'rgb(22,36,63)'],
        [0.10588235294117647, 'rgb(22,37,64)'],
        [0.10980392156862745, 'rgb(22,38,66)'],
        [0.11372549019607843, 'rgb(22,39,68)'],
        [0.11764705882352941, 'rgb(22,39,70)'],
        [0.12156862745098039, 'rgb(21,40,72)'],
        [0.12549019607843137, 'rgb(21,41,74)'],
        [0.12941176470588237, 'rgb(21,42,75)'],
        [0.13333333333333333, 'rgb(20,43,77)'],
        [0.13725490196078433, 'rgb(20,43,79)'],
        [0.1411764705882353, 'rgb(20,44,81)'],
        [0.1450980392156863, 'rgb(19,45,83)'],
        [0.14901960784313725, 'rgb(19,46,84)'],
        [0.15294117647058825, 'rgb(19,46,86)'],
        [0.1568627450980392, 'rgb(18,47,88)'],
        [0.1607843137254902, 'rgb(18,48,90)'],
        [0.16470588235294117, 'rgb(18,49,91)'],
        [0.16862745098039217, 'rgb(17,50,93)'],
        [0.17254901960784313, 'rgb(17,50,95)'],
        [0.17647058823529413, 'rgb(17,51,96)'],
        [0.1803921568627451, 'rgb(16,52,98)'],
        [0.1843137254901961, 'rgb(16,53,99)'],
        [0.18823529411764706, 'rgb(16,54,101)'],
        [0.19215686274509805, 'rgb(16,54,103)'],
        [0.19607843137254902, 'rgb(16,55,104)'],
        [0.2, 'rgb(16,56,106)'],
        [0.20392156862745098, 'rgb(16,57,107)'],
        [0.20784313725490197, 'rgb(15,58,109)'],
        [0.21176470588235294, 'rgb(15,59,110)'],
        [0.21568627450980393, 'rgb(15,59,112)'],
        [0.2196078431372549, 'rgb(15,60,113)'],
        [0.2235294117647059, 'rgb(15,61,115)'],
        [0.22745098039215686, 'rgb(15,62,116)'],
        [0.23137254901960785, 'rgb(15,63,118)'],
        [0.23529411764705882, 'rgb(15,63,119)'],
        [0.23921568627450981, 'rgb(15,64,121)'],
        [0.24313725490196078, 'rgb(15,65,122)'],
        [0.24705882352941178, 'rgb(15,66,124)'],
        [0.25098039215686274, 'rgb(15,67,126)'],
        [0.2549019607843137, 'rgb(15,68,127)'],
        [0.25882352941176473, 'rgb(15,68,129)'],
        [0.2627450980392157, 'rgb(15,69,130)'],
        [0.26666666666666666, 'rgb(15,70,132)'],
        [0.27058823529411763, 'rgb(15,71,133)'],
        [0.27450980392156865, 'rgb(15,72,135)'],
        [0.2784313725490196, 'rgb(15,73,136)'],
        [0.2823529411764706, 'rgb(15,73,138)'],
        [0.28627450980392155, 'rgb(15,74,139)'],
        [0.2901960784313726, 'rgb(15,75,141)'],
        [0.29411764705882354, 'rgb(15,76,142)'],
        [0.2980392156862745, 'rgb(15,77,144)'],
        [0.30196078431372547, 'rgb(15,78,146)'],
        [0.3058823529411765, 'rgb(15,79,147)'],
        [0.30980392156862746, 'rgb(15,79,149)'],
        [0.3137254901960784, 'rgb(14,80,150)'],
        [0.3176470588235294, 'rgb(14,81,152)'],
        [0.3215686274509804, 'rgb(14,82,153)'],
        [0.3254901960784314, 'rgb(14,83,155)'],
        [0.32941176470588235, 'rgb(14,84,157)'],
        [0.3333333333333333, 'rgb(14,85,158)'],
        [0.33725490196078434, 'rgb(14,86,160)'],
        [0.3411764705882353, 'rgb(14,86,161)'],
        [0.34509803921568627, 'rgb(13,87,163)'],
        [0.34901960784313724, 'rgb(13,88,165)'],
        [0.35294117647058826, 'rgb(13,89,166)'],
        [0.3568627450980392, 'rgb(13,90,168)'],
        [0.3607843137254902, 'rgb(13,91,169)'],
        [0.36470588235294116, 'rgb(13,92,171)'],
        [0.3686274509803922, 'rgb(12,92,173)'],
        [0.37254901960784315, 'rgb(12,93,174)'],
        [0.3764705882352941, 'rgb(12,94,176)'],
        [0.3803921568627451, 'rgb(12,95,178)'],
        [0.3843137254901961, 'rgb(11,96,179)'],
        [0.38823529411764707, 'rgb(11,97,181)'],
        [0.39215686274509803, 'rgb(11,98,182)'],
        [0.396078431372549, 'rgb(10,99,184)'],
        [0.4, 'rgb(10,100,186)'],
        [0.403921568627451, 'rgb(10,100,187)'],
        [0.40784313725490196, 'rgb(9,101,189)'],
        [0.4117647058823529, 'rgb(9,102,191)'],
        [0.41568627450980394, 'rgb(9,103,192)'],
        [0.4196078431372549, 'rgb(8,104,194)'],
        [0.4235294117647059, 'rgb(8,105,196)'],
        [0.42745098039215684, 'rgb(7,106,197)'],
        [0.43137254901960786, 'rgb(7,107,199)'],
        [0.43529411764705883, 'rgb(7,108,201)'],
        [0.4392156862745098, 'rgb(6,109,202)'],
        [0.44313725490196076, 'rgb(6,109,204)'],
        [0.4470588235294118, 'rgb(5,110,206)'],
        [0.45098039215686275, 'rgb(5,111,207)'],
        [0.4549019607843137, 'rgb(4,112,209)'],
        [0.4588235294117647, 'rgb(4,113,211)'],
        [0.4627450980392157, 'rgb(3,114,212)'],
        [0.4666666666666667, 'rgb(3,115,214)'],
        [0.47058823529411764, 'rgb(2,116,216)'],
        [0.4745098039215686, 'rgb(2,117,217)'],
        [0.47843137254901963, 'rgb(1,118,219)'],
        [0.4823529411764706, 'rgb(1,119,221)'],
        [0.48627450980392156, 'rgb(0,120,222)'],
        [0.49019607843137253, 'rgb(0,120,224)'],
        [0.49411764705882355, 'rgb(0,121,226)'],
        [0.4980392156862745, 'rgb(1,122,227)'],
        [0.5019607843137255, 'rgb(1,123,229)'],
        [0.5058823529411764, 'rgb(2,124,230)'],
        [0.5098039215686274, 'rgb(3,125,232)'],
        [0.5137254901960784, 'rgb(5,126,233)'],
        [0.5176470588235295, 'rgb(7,127,235)'],
        [0.5215686274509804, 'rgb(11,128,236)'],
        [0.5254901960784314, 'rgb(14,129,237)'],
        [0.5294117647058824, 'rgb(18,130,238)'],
        [0.5333333333333333, 'rgb(22,131,239)'],
        [0.5372549019607843, 'rgb(26,132,240)'],
        [0.5411764705882353, 'rgb(31,132,241)'],
        [0.5450980392156862, 'rgb(35,133,242)'],
        [0.5490196078431373, 'rgb(40,134,242)'],
        [0.5529411764705883, 'rgb(45,135,242)'],
        [0.5568627450980392, 'rgb(49,136,242)'],
        [0.5607843137254902, 'rgb(54,137,242)'],
        [0.5647058823529412, 'rgb(59,138,242)'],
        [0.5686274509803921, 'rgb(64,139,241)'],
        [0.5725490196078431, 'rgb(69,140,240)'],
        [0.5764705882352941, 'rgb(74,141,239)'],
        [0.5803921568627451, 'rgb(79,141,238)'],
        [0.5843137254901961, 'rgb(84,142,236)'],
        [0.5882352941176471, 'rgb(89,143,234)'],
        [0.592156862745098, 'rgb(93,144,232)'],
        [0.596078431372549, 'rgb(98,145,230)'],
        [0.6, 'rgb(103,146,228)'],
        [0.6039215686274509, 'rgb(107,147,226)'],
        [0.6078431372549019, 'rgb(111,148,223)'],
        [0.611764705882353, 'rgb(115,149,220)'],
        [0.615686274509804, 'rgb(119,150,217)'],
        [0.6196078431372549, 'rgb(123,151,214)'],
        [0.6235294117647059, 'rgb(127,152,212)'],
        [0.6274509803921569, 'rgb(131,153,208)'],
        [0.6313725490196078, 'rgb(134,154,205)'],
        [0.6352941176470588, 'rgb(137,155,202)'],
        [0.6392156862745098, 'rgb(141,155,199)'],
        [0.6431372549019608, 'rgb(144,156,196)'],
        [0.6470588235294118, 'rgb(147,157,193)'],
        [0.6509803921568628, 'rgb(150,158,189)'],
        [0.6549019607843137, 'rgb(152,159,186)'],
        [0.6588235294117647, 'rgb(155,160,183)'],
        [0.6627450980392157, 'rgb(158,161,180)'],
        [0.6666666666666666, 'rgb(160,162,177)'],
        [0.6705882352941176, 'rgb(163,163,174)'],
        [0.6745098039215687, 'rgb(165,164,170)'],
        [0.6784313725490196, 'rgb(168,165,167)'],
        [0.6823529411764706, 'rgb(170,166,164)'],
        [0.6862745098039216, 'rgb(172,167,161)'],
        [0.6901960784313725, 'rgb(175,168,158)'],
        [0.6941176470588235, 'rgb(177,169,155)'],
        [0.6980392156862745, 'rgb(179,170,152)'],
        [0.7019607843137254, 'rgb(181,171,149)'],
        [0.7058823529411765, 'rgb(183,172,146)'],
        [0.7098039215686275, 'rgb(185,173,143)'],
        [0.7137254901960784, 'rgb(187,174,140)'],
        [0.7176470588235294, 'rgb(189,175,137)'],
        [0.7215686274509804, 'rgb(191,176,134)'],
        [0.7254901960784313, 'rgb(193,177,131)'],
        [0.7294117647058823, 'rgb(195,178,128)'],
        [0.7333333333333333, 'rgb(197,179,125)'],
        [0.7372549019607844, 'rgb(199,180,122)'],
        [0.7411764705882353, 'rgb(201,181,119)'],
        [0.7450980392156863, 'rgb(202,182,116)'],
        [0.7490196078431373, 'rgb(204,183,113)'],
        [0.7529411764705882, 'rgb(206,184,109)'],
        [0.7568627450980392, 'rgb(208,184,106)'],
        [0.7607843137254902, 'rgb(209,185,103)'],
        [0.7647058823529411, 'rgb(211,186,100)'],
        [0.7686274509803922, 'rgb(213,187,96)'],
        [0.7725490196078432, 'rgb(214,188,93)'],
        [0.7764705882352941, 'rgb(216,189,90)'],
        [0.7803921568627451, 'rgb(218,190,86)'],
        [0.7843137254901961, 'rgb(219,191,82)'],
        [0.788235294117647, 'rgb(221,192,79)'],
        [0.792156862745098, 'rgb(222,193,75)'],
        [0.796078431372549, 'rgb(224,194,72)'],
        [0.8, 'rgb(225,195,68)'],
        [0.803921568627451, 'rgb(227,196,64)'],
        [0.807843137254902, 'rgb(228,197,60)'],
        [0.8117647058823529, 'rgb(229,198,57)'],
        [0.8156862745098039, 'rgb(231,199,53)'],
        [0.8196078431372549, 'rgb(232,200,49)'],
        [0.8235294117647058, 'rgb(233,201,46)'],
        [0.8274509803921568, 'rgb(235,202,42)'],
        [0.8313725490196079, 'rgb(236,203,39)'],
        [0.8352941176470589, 'rgb(237,204,37)'],
        [0.8392156862745098, 'rgb(239,205,35)'],
        [0.8431372549019608, 'rgb(240,206,34)'],
        [0.8470588235294118, 'rgb(241,207,34)'],
        [0.8509803921568627, 'rgb(242,208,35)'],
        [0.8549019607843137, 'rgb(243,209,37)'],
        [0.8588235294117647, 'rgb(244,210,39)'],
        [0.8627450980392157, 'rgb(245,211,43)'],
        [0.8666666666666667, 'rgb(246,212,47)'],
        [0.8705882352941177, 'rgb(247,214,52)'],
        [0.8745098039215686, 'rgb(248,215,57)'],
        [0.8784313725490196, 'rgb(249,216,62)'],
        [0.8823529411764706, 'rgb(250,217,68)'],
        [0.8862745098039215, 'rgb(251,218,74)'],
        [0.8901960784313725, 'rgb(251,219,80)'],
        [0.8941176470588236, 'rgb(252,220,86)'],
        [0.8980392156862745, 'rgb(253,221,93)'],
        [0.9019607843137255, 'rgb(253,222,99)'],
        [0.9058823529411765, 'rgb(254,223,106)'],
        [0.9098039215686274, 'rgb(254,224,112)'],
        [0.9137254901960784, 'rgb(255,225,119)'],
        [0.9176470588235294, 'rgb(255,226,126)'],
        [0.9215686274509803, 'rgb(255,227,132)'],
        [0.9254901960784314, 'rgb(255,228,139)'],
        [0.9294117647058824, 'rgb(255,229,146)'],
        [0.9333333333333333, 'rgb(255,230,152)'],
        [0.9372549019607843, 'rgb(255,231,159)'],
        [0.9411764705882353, 'rgb(255,232,165)'],
        [0.9450980392156862, 'rgb(255,233,171)'],
        [0.9490196078431372, 'rgb(255,235,177)'],
        [0.9529411764705882, 'rgb(255,236,183)'],
        [0.9568627450980393, 'rgb(254,237,189)'],
        [0.9607843137254902, 'rgb(254,238,195)'],
        [0.9647058823529412, 'rgb(254,239,201)'],
        [0.9686274509803922, 'rgb(253,240,206)'],
        [0.9725490196078431, 'rgb(253,241,211)'],
        [0.9764705882352941, 'rgb(253,242,216)'],
        [0.9803921568627451, 'rgb(253,243,221)'],
        [0.984313725490196, 'rgb(252,245,226)'],
        [0.9882352941176471, 'rgb(252,246,231)'],
        [0.9921568627450981, 'rgb(252,247,235)'],
        [0.996078431372549, 'rgb(252,248,239)'],
        [1.0, 'rgb(252,249,243)'],
    ],
    'cet.linear_ternary_blue_0_44_c57': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,1,2)'],
        [0.00784313725490196, 'rgb(0,1,4)'],
        [0.011764705882352941, 'rgb(1,2,6)'],
        [0.01568627450980392, 'rgb(1,3,8)'],
        [0.0196078431372549, 'rgb(1,3,10)'],
        [0.023529411764705882, 'rgb(1,4,11)'],
        [0.027450980392156862, 'rgb(1,4,13)'],
        [0.03137254901960784, 'rgb(2,5,15)'],
        [0.03529411764705882, 'rgb(2,6,17)'],
        [0.0392156862745098, 'rgb(2,6,19)'],
        [0.043137254901960784, 'rgb(2,7,20)'],
        [0.047058823529411764, 'rgb(2,7,22)'],
        [0.050980392156862744, 'rgb(2,8,24)'],
        [0.054901960784313725, 'rgb(3,8,25)'],
        [0.058823529411764705, 'rgb(3,9,27)'],
        [0.06274509803921569, 'rgb(3,9,28)'],
        [0.06666666666666667, 'rgb(3,10,30)'],
        [0.07058823529411765, 'rgb(3,10,31)'],
        [0.07450980392156863, 'rgb(3,11,33)'],
        [0.0784313725490196, 'rgb(3,11,34)'],
        [0.08235294117647059, 'rgb(4,12,35)'],
        [0.08627450980392157, 'rgb(4,12,37)'],
        [0.09019607843137255, 'rgb(4,13,38)'],
        [0.09411764705882353, 'rgb(4,13,39)'],
        [0.09803921568627451, 'rgb(4,13,40)'],
        [0.10196078431372549, 'rgb(4,14,41)'],
        [0.10588235294117647, 'rgb(4,14,43)'],
        [0.10980392156862745, 'rgb(4,14,44)'],
        [0.11372549019607843, 'rgb(4,15,45)'],
        [0.11764705882352941, 'rgb(5,15,46)'],
        [0.12156862745098039, 'rgb(5,15,47)'],
        [0.12549019607843137, 'rgb(5,16,48)'],
        [0.12941176470588237, 'rgb(5,16,49)'],
        [0.13333333333333333, 'rgb(5,17,50)'],
        [0.13725490196078433, 'rgb(5,17,51)'],
        [0.1411764705882353, 'rgb(5,17,52)'],
        [0.1450980392156863, 'rgb(5,17,53)'],
        [0.14901960784313725, 'rgb(5,18,54)'],
        [0.15294117647058825, 'rgb(5,18,55)'],
        [0.1568627450980392, 'rgb(6,18,56)'],
        [0.1607843137254902, 'rgb(6,19,57)'],
        [0.16470588235294117, 'rgb(6,19,57)'],
        [0.16862745098039217, 'rgb(6,19,58)'],
        [0.17254901960784313, 'rgb(6,20,59)'],
        [0.17647058823529413, 'rgb(6,20,60)'],
        [0.1803921568627451, 'rgb(6,20,61)'],
        [0.1843137254901961, 'rgb(6,20,62)'],
        [0.18823529411764706, 'rgb(6,21,62)'],
        [0.19215686274509805, 'rgb(6,21,63)'],
        [0.19607843137254902, 'rgb(6,21,64)'],
        [0.2, 'rgb(6,21,65)'],
        [0.20392156862745098, 'rgb(7,22,66)'],
        [0.20784313725490197, 'rgb(7,22,67)'],
        [0.21176470588235294, 'rgb(7,22,67)'],
        [0.21568627450980393, 'rgb(7,23,68)'],
        [0.2196078431372549, 'rgb(7,23,69)'],
        [0.2235294117647059, 'rgb(7,23,70)'],
        [0.22745098039215686, 'rgb(7,23,71)'],
        [0.23137254901960785, 'rgb(7,24,72)'],
        [0.23529411764705882, 'rgb(7,24,72)'],
        [0.23921568627450981, 'rgb(7,24,73)'],
        [0.24313725490196078, 'rgb(7,24,74)'],
        [0.24705882352941178, 'rgb(7,25,75)'],
        [0.25098039215686274, 'rgb(8,25,76)'],
        [0.2549019607843137, 'rgb(8,25,77)'],
        [0.25882352941176473, 'rgb(8,26,78)'],
        [0.2627450980392157, 'rgb(8,26,78)'],
        [0.26666666666666666, 'rgb(8,26,79)'],
        [0.27058823529411763, 'rgb(8,26,80)'],
        [0.27450980392156865, 'rgb(8,27,81)'],
        [0.2784313725490196, 'rgb(8,27,82)'],
        [0.2823529411764706, 'rgb(8,27,83)'],
        [0.28627450980392155, 'rgb(8,28,83)'],
        [0.2901960784313726, 'rgb(8,28,84)'],
        [0.29411764705882354, 'rgb(9,28,85)'],
        [0.2980392156862745, 'rgb(9,28,86)'],
        [0.30196078431372547, 'rgb(9,29,87)'],
        [0.3058823529411765, 'rgb(9,29,88)'],
        [0.30980392156862746, 'rgb(9,29,89)'],
        [0.3137254901960784, 'rgb(9,30,90)'],
        [0.3176470588235294, 'rgb(9,30,90)'],
        [0.3215686274509804, 'rgb(9,30,91)'],
        [0.3254901960784314, 'rgb(9,30,92)'],
        [0.32941176470588235, 'rgb(9,31,93)'],
        [0.3333333333333333, 'rgb(9,31,94)'],
        [0.33725490196078434, 'rgb(9,31,95)'],
        [0.3411764705882353, 'rgb(10,32,96)'],
        [0.34509803921568627, 'rgb(10,32,96)'],
        [0.34901960784313724, 'rgb(10,32,97)'],
        [0.35294117647058826, 'rgb(10,32,98)'],
        [0.3568627450980392, 'rgb(10,33,99)'],
        [0.3607843137254902, 'rgb(10,33,100)'],
        [0.36470588235294116, 'rgb(10,33,101)'],
        [0.3686274509803922, 'rgb(10,34,102)'],
        [0.37254901960784315, 'rgb(10,34,103)'],
        [0.3764705882352941, 'rgb(10,34,103)'],
        [0.3803921568627451, 'rgb(10,34,104)'],
        [0.3843137254901961, 'rgb(11,35,105)'],
        [0.38823529411764707, 'rgb(11,35,106)'],
        [0.39215686274509803, 'rgb(11,35,107)'],
        [0.396078431372549, 'rgb(11,36,108)'],
        [0.4, 'rgb(11,36,109)'],
        [0.403921568627451, 'rgb(11,36,110)'],
        [0.40784313725490196, 'rgb(11,36,111)'],
        [0.4117647058823529, 'rgb(11,37,111)'],
        [0.41568627450980394, 'rgb(11,37,112)'],
        [0.4196078431372549, 'rgb(11,37,113)'],
        [0.4235294117647059, 'rgb(11,38,114)'],
        [0.42745098039215684, 'rgb(12,38,115)'],
        [0.43137254901960786, 'rgb(12,38,116)'],
        [0.43529411764705883, 'rgb(12,39,117)'],
        [0.4392156862745098, 'rgb(12,39,118)'],
        [0.44313725490196076, 'rgb(12,39,119)'],
        [0.4470588235294118, 'rgb(12,39,119)'],
        [0.45098039215686275, 'rgb(12,40,120)'],
        [0.4549019607843137, 'rgb(12,40,121)'],
        [0.4588235294117647, 'rgb(12,40,122)'],
        [0.4627450980392157, 'rgb(12,41,123)'],
        [0.4666666666666667, 'rgb(12,41,124)'],
        [0.47058823529411764, 'rgb(12,41,125)'],
        [0.4745098039215686, 'rgb(13,42,126)'],
        [0.47843137254901963, 'rgb(13,42,127)'],
        [0.4823529411764706, 'rgb(13,42,128)'],
        [0.48627450980392156, 'rgb(13,42,129)'],
        [0.49019607843137253, 'rgb(13,43,129)'],
        [0.49411764705882355, 'rgb(13,43,130)'],
        [0.4980392156862745, 'rgb(13,43,131)'],
        [0.5019607843137255, 'rgb(13,44,132)'],
        [0.5058823529411764, 'rgb(13,44,133)'],
        [0.5098039215686274, 'rgb(13,44,134)'],
        [0.5137254901960784, 'rgb(13,45,135)'],
        [0.5176470588235295, 'rgb(14,45,136)'],
        [0.5215686274509804, 'rgb(14,45,137)'],
        [0.5254901960784314, 'rgb(14,45,138)'],
        [0.5294117647058824, 'rgb(14,46,139)'],
        [0.5333333333333333, 'rgb(14,46,140)'],
        [0.5372549019607843, 'rgb(14,46,140)'],
        [0.5411764705882353, 'rgb(14,47,141)'],
        [0.5450980392156862, 'rgb(14,47,142)'],
        [0.5490196078431373, 'rgb(14,47,143)'],
        [0.5529411764705883, 'rgb(14,48,144)'],
        [0.5568627450980392, 'rgb(15,48,145)'],
        [0.5607843137254902, 'rgb(15,48,146)'],
        [0.5647058823529412, 'rgb(15,48,147)'],
        [0.5686274509803921, 'rgb(15,49,148)'],
        [0.5725490196078431, 'rgb(15,49,149)'],
        [0.5764705882352941, 'rgb(15,49,150)'],
        [0.5803921568627451, 'rgb(15,50,151)'],
        [0.5843137254901961, 'rgb(15,50,152)'],
        [0.5882352941176471, 'rgb(15,50,152)'],
        [0.592156862745098, 'rgb(15,51,153)'],
        [0.596078431372549, 'rgb(15,51,154)'],
        [0.6, 'rgb(16,51,155)'],
        [0.6039215686274509, 'rgb(16,52,156)'],
        [0.6078431372549019, 'rgb(16,52,157)'],
        [0.611764705882353, 'rgb(16,52,158)'],
        [0.615686274509804, 'rgb(16,52,159)'],
        [0.6196078431372549, 'rgb(16,53,160)'],
        [0.6235294117647059, 'rgb(16,53,161)'],
        [0.6274509803921569, 'rgb(16,53,162)'],
        [0.6313725490196078, 'rgb(16,54,163)'],
        [0.6352941176470588, 'rgb(16,54,164)'],
        [0.6392156862745098, 'rgb(16,54,165)'],
        [0.6431372549019608, 'rgb(17,55,166)'],
        [0.6470588235294118, 'rgb(17,55,167)'],
        [0.6509803921568628, 'rgb(17,55,168)'],
        [0.6549019607843137, 'rgb(17,56,168)'],
        [0.6588235294117647, 'rgb(17,56,169)'],
        [0.6627450980392157, 'rgb(17,56,170)'],
        [0.6666666666666666, 'rgb(17,57,171)'],
        [0.6705882352941176, 'rgb(17,57,172)'],
        [0.6745098039215687, 'rgb(17,57,173)'],
        [0.6784313725490196, 'rgb(17,57,174)'],
        [0.6823529411764706, 'rgb(18,58,175)'],
        [0.6862745098039216, 'rgb(18,58,176)'],
        [0.6901960784313725, 'rgb(18,58,177)'],
        [0.6941176470588235, 'rgb(18,59,178)'],
        [0.6980392156862745, 'rgb(18,59,179)'],
        [0.7019607843137254, 'rgb(18,59,180)'],
        [0.7058823529411765, 'rgb(18,60,181)'],
        [0.7098039215686275, 'rgb(18,60,182)'],
        [0.7137254901960784, 'rgb(18,60,183)'],
        [0.7176470588235294, 'rgb(18,61,184)'],
        [0.7215686274509804, 'rgb(18,61,185)'],
        [0.7254901960784313, 'rgb(19,61,186)'],
        [0.7294117647058823, 'rgb(19,62,187)'],
        [0.7333333333333333, 'rgb(19,62,188)'],
        [0.7372549019607844, 'rgb(19,62,189)'],
        [0.7411764705882353, 'rgb(19,63,190)'],
        [0.7450980392156863, 'rgb(19,63,190)'],
        [0.7490196078431373, 'rgb(19,63,191)'],
        [0.7529411764705882, 'rgb(19,64,192)'],
        [0.7568627450980392, 'rgb(19,64,193)'],
        [0.7607843137254902, 'rgb(19,64,194)'],
        [0.7647058823529411, 'rgb(20,64,195)'],
        [0.7686274509803922, 'rgb(20,65,196)'],
        [0.7725490196078432, 'rgb(20,65,197)'],
        [0.7764705882352941, 'rgb(20,65,198)'],
        [0.7803921568627451, 'rgb(20,66,199)'],
        [0.7843137254901961, 'rgb(20,66,200)'],
        [0.788235294117647, 'rgb(20,66,201)'],
        [0.792156862745098, 'rgb(20,67,202)'],
        [0.796078431372549, 'rgb(20,67,203)'],
        [0.8, 'rgb(20,67,204)'],
        [0.803921568627451, 'rgb(21,68,205)'],
        [0.807843137254902, 'rgb(21,68,206)'],
        [0.8117647058823529, 'rgb(21,68,207)'],
        [0.8156862745098039, 'rgb(21,69,208)'],
        [0.8196078431372549, 'rgb(21,69,209)'],
        [0.8235294117647058, 'rgb(21,69,210)'],
        [0.8274509803921568, 'rgb(21,70,211)'],
        [0.8313725490196079, 'rgb(21,70,212)'],
        [0.8352941176470589, 'rgb(21,70,213)'],
        [0.8392156862745098, 'rgb(21,71,214)'],
        [0.8431372549019608, 'rgb(21,71,215)'],
        [0.8470588235294118, 'rgb(22,71,216)'],
        [0.8509803921568627, 'rgb(22,72,217)'],
        [0.8549019607843137, 'rgb(22,72,218)'],
        [0.8588235294117647, 'rgb(22,72,219)'],
        [0.8627450980392157, 'rgb(22,73,220)'],
        [0.8666666666666667, 'rgb(22,73,221)'],
        [0.8705882352941177, 'rgb(22,73,222)'],
        [0.8745098039215686, 'rgb(22,74,223)'],
        [0.8784313725490196, 'rgb(22,74,224)'],
        [0.8823529411764706, 'rgb(22,74,225)'],
        [0.8862745098039215, 'rgb(23,75,226)'],
        [0.8901960784313725, 'rgb(23,75,227)'],
        [0.8941176470588236, 'rgb(23,75,228)'],
        [0.8980392156862745, 'rgb(23,76,229)'],
        [0.9019607843137255, 'rgb(23,76,230)'],
        [0.9058823529411765, 'rgb(23,76,231)'],
        [0.9098039215686274, 'rgb(23,76,232)'],
        [0.9137254901960784, 'rgb(23,77,233)'],
        [0.9176470588235294, 'rgb(23,77,234)'],
        [0.9215686274509803, 'rgb(23,77,235)'],
        [0.9254901960784314, 'rgb(24,78,236)'],
        [0.9294117647058824, 'rgb(24,78,237)'],
        [0.9333333333333333, 'rgb(24,78,238)'],
        [0.9372549019607843, 'rgb(24,79,239)'],
        [0.9411764705882353, 'rgb(24,79,240)'],
        [0.9450980392156862, 'rgb(24,79,241)'],
        [0.9490196078431372, 'rgb(24,80,242)'],
        [0.9529411764705882, 'rgb(24,80,243)'],
        [0.9568627450980393, 'rgb(24,80,244)'],
        [0.9607843137254902, 'rgb(24,81,245)'],
        [0.9647058823529412, 'rgb(25,81,246)'],
        [0.9686274509803922, 'rgb(25,81,247)'],
        [0.9725490196078431, 'rgb(25,82,248)'],
        [0.9764705882352941, 'rgb(25,82,249)'],
        [0.9803921568627451, 'rgb(25,82,250)'],
        [0.984313725490196, 'rgb(25,83,251)'],
        [0.9882352941176471, 'rgb(25,83,252)'],
        [0.9921568627450981, 'rgb(25,83,253)'],
        [0.996078431372549, 'rgb(25,84,254)'],
        [1.0, 'rgb(26,84,255)'],
    ],
    'cet.linear_ternary_green_0_46_c42': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(0,1,0)'],
        [0.00784313725490196, 'rgb(0,2,0)'],
        [0.011764705882352941, 'rgb(0,3,0)'],
        [0.01568627450980392, 'rgb(0,4,0)'],
        [0.0196078431372549, 'rgb(0,5,0)'],
        [0.023529411764705882, 'rgb(0,6,0)'],
        [0.027450980392156862, 'rgb(0,6,0)'],
        [0.03137254901960784, 'rgb(0,7,0)'],
        [0.03529411764705882, 'rgb(0,8,0)'],
        [0.0392156862745098, 'rgb(0,9,0)'],
        [0.043137254901960784, 'rgb(0,10,0)'],
        [0.047058823529411764, 'rgb(0,11,0)'],
        [0.050980392156862744, 'rgb(0,12,0)'],
        [0.054901960784313725, 'rgb(0,13,0)'],
        [0.058823529411764705, 'rgb(0,13,0)'],
        [0.06274509803921569, 'rgb(0,14,0)'],
        [0.06666666666666667, 'rgb(0,15,0)'],
        [0.07058823529411765, 'rgb(0,16,0)'],
        [0.07450980392156863, 'rgb(0,16,0)'],
        [0.0784313725490196, 'rgb(0,17,0)'],
        [0.08235294117647059, 'rgb(0,18,0)'],
        [0.08627450980392157, 'rgb(0,18,0)'],
        [0.09019607843137255, 'rgb(0,19,0)'],
        [0.09411764705882353, 'rgb(0,19,0)'],
        [0.09803921568627451, 'rgb(0,20,0)'],
        [0.10196078431372549, 'rgb(0,21,0)'],
        [0.10588235294117647, 'rgb(0,21,0)'],
        [0.10980392156862745, 'rgb(0,22,0)'],
        [0.11372549019607843, 'rgb(0,22,0)'],
        [0.11764705882352941, 'rgb(0,23,0)'],
        [0.12156862745098039, 'rgb(0,23,0)'],
        [0.12549019607843137, 'rgb(0,24,0)'],
        [0.12941176470588237, 'rgb(0,24,0)'],
        [0.13333333333333333, 'rgb(0,25,0)'],
        [0.13725490196078433, 'rgb(0,25,0)'],
        [0.1411764705882353, 'rgb(0,26,0)'],
        [0.1450980392156863, 'rgb(0,26,0)'],
        [0.14901960784313725, 'rgb(0,26,0)'],
        [0.15294117647058825, 'rgb(0,27,0)'],
        [0.1568627450980392, 'rgb(0,27,0)'],
        [0.1607843137254902, 'rgb(0,28,0)'],
        [0.16470588235294117, 'rgb(0,28,0)'],
        [0.16862745098039217, 'rgb(0,29,0)'],
        [0.17254901960784313, 'rgb(0,29,0)'],
        [0.17647058823529413, 'rgb(0,29,0)'],
        [0.1803921568627451, 'rgb(0,30,0)'],
        [0.1843137254901961, 'rgb(0,30,0)'],
        [0.18823529411764706, 'rgb(0,31,0)'],
        [0.19215686274509805, 'rgb(0,31,0)'],
        [0.19607843137254902, 'rgb(0,31,0)'],
        [0.2, 'rgb(0,32,0)'],
        [0.20392156862745098, 'rgb(0,32,0)'],
        [0.20784313725490197, 'rgb(0,33,0)'],
        [0.21176470588235294, 'rgb(0,33,0)'],
        [0.21568627450980393, 'rgb(0,34,0)'],
        [0.2196078431372549, 'rgb(0,34,0)'],
        [0.2235294117647059, 'rgb(0,34,0)'],
        [0.22745098039215686, 'rgb(0,35,0)'],
        [0.23137254901960785, 'rgb(0,35,0)'],
        [0.23529411764705882, 'rgb(0,36,0)'],
        [0.23921568627450981, 'rgb(0,36,0)'],
        [0.24313725490196078, 'rgb(0,36,0)'],
        [0.24705882352941178, 'rgb(0,37,0)'],
        [0.25098039215686274, 'rgb(0,37,0)'],
        [0.2549019607843137, 'rgb(0,38,0)'],
        [0.25882352941176473, 'rgb(0,38,0)'],
        [0.2627450980392157, 'rgb(0,39,0)'],
        [0.26666666666666666, 'rgb(0,39,0)'],
        [0.27058823529411763, 'rgb(0,39,0)'],
        [0.27450980392156865, 'rgb(0,40,0)'],
        [0.2784313725490196, 'rgb(0,40,0)'],
        [0.2823529411764706, 'rgb(0,41,0)'],
        [0.28627450980392155, 'rgb(0,41,0)'],
        [0.2901960784313726, 'rgb(0,42,0)'],
        [0.29411764705882354, 'rgb(0,42,0)'],
        [0.2980392156862745, 'rgb(0,42,0)'],
        [0.30196078431372547, 'rgb(0,43,0)'],
        [0.3058823529411765, 'rgb(0,43,0)'],
        [0.30980392156862746, 'rgb(0,44,0)'],
        [0.3137254901960784, 'rgb(0,44,0)'],
        [0.3176470588235294, 'rgb(0,45,0)'],
        [0.3215686274509804, 'rgb(0,45,0)'],
        [0.3254901960784314, 'rgb(0,45,0)'],
        [0.32941176470588235, 'rgb(0,46,0)'],
        [0.3333333333333333, 'rgb(0,46,0)'],
        [0.33725490196078434, 'rgb(0,47,0)'],
        [0.3411764705882353, 'rgb(0,47,0)'],
        [0.34509803921568627, 'rgb(0,48,0)'],
        [0.34901960784313724, 'rgb(0,48,0)'],
        [0.35294117647058826, 'rgb(0,48,0)'],
        [0.3568627450980392, 'rgb(0,49,0)'],
        [0.3607843137254902, 'rgb(0,49,0)'],
        [0.36470588235294116, 'rgb(0,50,0)'],
        [0.3686274509803922, 'rgb(0,50,0)'],
        [0.37254901960784315, 'rgb(0,51,0)'],
        [0.3764705882352941, 'rgb(0,51,0)'],
        [0.3803921568627451, 'rgb(0,52,0)'],
        [0.3843137254901961, 'rgb(0,52,0)'],
        [0.38823529411764707, 'rgb(0,52,0)'],
        [0.39215686274509803, 'rgb(0,53,0)'],
        [0.396078431372549, 'rgb(0,53,0)'],
        [0.4, 'rgb(0,54,0)'],
        [0.403921568627451, 'rgb(0,54,0)'],
        [0.40784313725490196, 'rgb(0,55,0)'],
        [0.4117647058823529, 'rgb(0,55,0)'],
        [0.41568627450980394, 'rgb(0,56,0)'],
        [0.4196078431372549, 'rgb(0,56,0)'],
        [0.4235294117647059, 'rgb(0,56,0)'],
        [0.42745098039215684, 'rgb(0,57,0)'],
        [0.43137254901960786, 'rgb(0,57,0)'],
        [0.43529411764705883, 'rgb(0,58,0)'],
        [0.4392156862745098, 'rgb(0,58,0)'],
        [0.44313725490196076, 'rgb(0,59,0)'],
        [0.4470588235294118, 'rgb(0,59,0)'],
        [0.45098039215686275, 'rgb(0,60,0)'],
        [0.4549019607843137, 'rgb(0,60,0)'],
        [0.4588235294117647, 'rgb(0,60,0)'],
        [0.4627450980392157, 'rgb(0,61,0)'],
        [0.4666666666666667, 'rgb(0,61,0)'],
        [0.47058823529411764, 'rgb(0,62,0)'],
        [0.4745098039215686, 'rgb(0,62,0)'],
        [0.47843137254901963, 'rgb(0,63,0)'],
        [0.4823529411764706, 'rgb(0,63,0)'],
        [0.48627450980392156, 'rgb(0,64,0)'],
        [0.49019607843137253, 'rgb(0,64,0)'],
        [0.49411764705882355, 'rgb(0,65,0)'],
        [0.4980392156862745, 'rgb(0,65,0)'],
        [0.5019607843137255, 'rgb(0,65,0)'],
        [0.5058823529411764, 'rgb(0,66,0)'],
        [0.5098039215686274, 'rgb(0,66,0)'],
        [0.5137254901960784, 'rgb(0,67,0)'],
        [0.5176470588235295, 'rgb(0,67,0)'],
        [0.5215686274509804, 'rgb(0,68,0)'],
        [0.5254901960784314, 'rgb(0,68,0)'],
        [0.5294117647058824, 'rgb(0,69,0)'],
        [0.5333333333333333, 'rgb(0,69,0)'],
        [0.5372549019607843, 'rgb(0,70,0)'],
        [0.5411764705882353, 'rgb(0,70,0)'],
        [0.5450980392156862, 'rgb(0,71,0)'],
        [0.5490196078431373, 'rgb(0,71,0)'],
        [0.5529411764705883, 'rgb(0,71,0)'],
        [0.5568627450980392, 'rgb(0,72,0)'],
        [0.5607843137254902, 'rgb(0,72,0)'],
        [0.5647058823529412, 'rgb(0,73,0)'],
        [0.5686274509803921, 'rgb(0,73,0)'],
        [0.5725490196078431, 'rgb(0,74,0)'],
        [0.5764705882352941, 'rgb(0,74,0)'],
        [0.5803921568627451, 'rgb(0,75,0)'],
        [0.5843137254901961, 'rgb(0,75,0)'],
        [0.5882352941176471, 'rgb(0,76,0)'],
        [0.592156862745098, 'rgb(0,76,0)'],
        [0.596078431372549, 'rgb(0,77,0)'],
        [0.6, 'rgb(0,77,0)'],
        [0.6039215686274509, 'rgb(0,78,0)'],
        [0.6078431372549019, 'rgb(0,78,0)'],
        [0.611764705882353, 'rgb(0,79,0)'],
        [0.615686274509804, 'rgb(0,79,0)'],
        [0.6196078431372549, 'rgb(0,79,0)'],
        [0.6235294117647059, 'rgb(0,80,0)'],
        [0.6274509803921569, 'rgb(0,80,0)'],
        [0.6313725490196078, 'rgb(0,81,0)'],
        [0.6352941176470588, 'rgb(0,81,0)'],
        [0.6392156862745098, 'rgb(0,82,0)'],
        [0.6431372549019608, 'rgb(0,82,0)'],
        [0.6470588235294118, 'rgb(0,83,0)'],
        [0.6509803921568628, 'rgb(0,83,0)'],
        [0.6549019607843137, 'rgb(0,84,0)'],
        [0.6588235294117647, 'rgb(0,84,0)'],
        [0.6627450980392157, 'rgb(0,85,0)'],
        [0.6666666666666666, 'rgb(0,85,0)'],
        [0.6705882352941176, 'rgb(0,86,0)'],
        [0.6745098039215687, 'rgb(0,86,0)'],
        [0.6784313725490196, 'rgb(0,87,0)'],
        [0.6823529411764706, 'rgb(0,87,0)'],
        [0.6862745098039216, 'rgb(0,88,0)'],
        [0.6901960784313725, 'rgb(0,88,0)'],
        [0.6941176470588235, 'rgb(0,89,0)'],
        [0.6980392156862745, 'rgb(0,89,0)'],
        [0.7019607843137254, 'rgb(0,90,0)'],
        [0.7058823529411765, 'rgb(0,90,0)'],
        [0.7098039215686275, 'rgb(0,90,0)'],
        [0.7137254901960784, 'rgb(0,91,0)'],
        [0.7176470588235294, 'rgb(0,91,0)'],
        [0.7215686274509804, 'rgb(0,92,0)'],
        [0.7254901960784313, 'rgb(0,92,0)'],
        [0.7294117647058823, 'rgb(0,93,0)'],
        [0.7333333333333333, 'rgb(0,93,0)'],
        [0.7372549019607844, 'rgb(0,94,0)'],
        [0.7411764705882353, 'rgb(0,94,0)'],
        [0.7450980392156863, 'rgb(0,95,0)'],
        [0.7490196078431373, 'rgb(0,95,0)'],
        [0.7529411764705882, 'rgb(0,96,0)'],
        [0.7568627450980392, 'rgb(0,96,0)'],
        [0.7607843137254902, 'rgb(0,97,0)'],
        [0.7647058823529411, 'rgb(0,97,0)'],
        [0.7686274509803922, 'rgb(0,98,0)'],
        [0.7725490196078432, 'rgb(0,98,0)'],
        [0.7764705882352941, 'rgb(0,99,0)'],
        [0.7803921568627451, 'rgb(0,99,0)'],
        [0.7843137254901961, 'rgb(0,100,0)'],
        [0.788235294117647, 'rgb(0,100,0)'],
        [0.792156862745098, 'rgb(0,101,0)'],
        [0.796078431372549, 'rgb(0,101,0)'],
        [0.8, 'rgb(0,102,0)'],
        [0.803921568627451, 'rgb(0,102,0)'],
        [0.807843137254902, 'rgb(0,103,0)'],
        [0.8117647058823529, 'rgb(0,103,0)'],
        [0.8156862745098039, 'rgb(0,104,0)'],
        [0.8196078431372549, 'rgb(0,104,0)'],
        [0.8235294117647058, 'rgb(0,105,0)'],
        [0.8274509803921568, 'rgb(0,105,0)'],
        [0.8313725490196079, 'rgb(0,106,0)'],
        [0.8352941176470589, 'rgb(0,106,0)'],
        [0.8392156862745098, 'rgb(0,107,0)'],
        [0.8431372549019608, 'rgb(0,107,0)'],
        [0.8470588235294118, 'rgb(0,108,0)'],
        [0.8509803921568627, 'rgb(0,108,0)'],
        [0.8549019607843137, 'rgb(0,109,0)'],
        [0.8588235294117647, 'rgb(0,109,0)'],
        [0.8627450980392157, 'rgb(0,110,0)'],
        [0.8666666666666667, 'rgb(0,110,0)'],
        [0.8705882352941177, 'rgb(0,111,0)'],
        [0.8745098039215686, 'rgb(0,111,0)'],
        [0.8784313725490196, 'rgb(0,112,0)'],
        [0.8823529411764706, 'rgb(0,112,0)'],
        [0.8862745098039215, 'rgb(0,113,0)'],
        [0.8901960784313725, 'rgb(0,113,0)'],
        [0.8941176470588236, 'rgb(0,114,0)'],
        [0.8980392156862745, 'rgb(0,114,0)'],
        [0.9019607843137255, 'rgb(0,115,0)'],
        [0.9058823529411765, 'rgb(0,115,0)'],
        [0.9098039215686274, 'rgb(0,116,0)'],
        [0.9137254901960784, 'rgb(0,116,0)'],
        [0.9176470588235294, 'rgb(0,117,0)'],
        [0.9215686274509803, 'rgb(0,117,0)'],
        [0.9254901960784314, 'rgb(0,118,0)'],
        [0.9294117647058824, 'rgb(0,118,0)'],
        [0.9333333333333333, 'rgb(0,119,0)'],
        [0.9372549019607843, 'rgb(0,119,0)'],
        [0.9411764705882353, 'rgb(0,120,0)'],
        [0.9450980392156862, 'rgb(0,120,0)'],
        [0.9490196078431372, 'rgb(0,121,0)'],
        [0.9529411764705882, 'rgb(0,121,0)'],
        [0.9568627450980393, 'rgb(0,122,0)'],
        [0.9607843137254902, 'rgb(0,122,0)'],
        [0.9647058823529412, 'rgb(0,123,0)'],
        [0.9686274509803922, 'rgb(0,123,0)'],
        [0.9725490196078431, 'rgb(0,124,0)'],
        [0.9764705882352941, 'rgb(0,124,0)'],
        [0.9803921568627451, 'rgb(0,125,0)'],
        [0.984313725490196, 'rgb(0,125,0)'],
        [0.9882352941176471, 'rgb(0,126,0)'],
        [0.9921568627450981, 'rgb(0,126,0)'],
        [0.996078431372549, 'rgb(0,127,0)'],
        [1.0, 'rgb(0,128,0)'],
    ],
    'cet.linear_ternary_red_0_50_c52': [
        [0.0, 'rgb(0,0,0)'],
        [0.00392156862745098, 'rgb(2,0,0)'],
        [0.00784313725490196, 'rgb(4,1,0)'],
        [0.011764705882352941, 'rgb(6,1,0)'],
        [0.01568627450980392, 'rgb(8,2,0)'],
        [0.0196078431372549, 'rgb(10,2,0)'],
        [0.023529411764705882, 'rgb(12,2,0)'],
        [0.027450980392156862, 'rgb(14,3,0)'],
        [0.03137254901960784, 'rgb(16,3,0)'],
        [0.03529411764705882, 'rgb(18,3,0)'],
        [0.0392156862745098, 'rgb(19,4,0)'],
        [0.043137254901960784, 'rgb(21,4,0)'],
        [0.047058823529411764, 'rgb(22,4,0)'],
        [0.050980392156862744, 'rgb(23,4,0)'],
        [0.054901960784313725, 'rgb(25,5,0)'],
        [0.058823529411764705, 'rgb(26,5,0)'],
        [0.06274509803921569, 'rgb(27,5,0)'],
        [0.06666666666666667, 'rgb(28,5,0)'],
        [0.07058823529411765, 'rgb(30,6,0)'],
        [0.07450980392156863, 'rgb(31,6,0)'],
        [0.0784313725490196, 'rgb(32,6,0)'],
        [0.08235294117647059, 'rgb(33,6,0)'],
        [0.08627450980392157, 'rgb(34,6,0)'],
        [0.09019607843137255, 'rgb(35,7,0)'],
        [0.09411764705882353, 'rgb(36,7,0)'],
        [0.09803921568627451, 'rgb(37,7,0)'],
        [0.10196078431372549, 'rgb(38,7,0)'],
        [0.10588235294117647, 'rgb(39,7,0)'],
        [0.10980392156862745, 'rgb(40,8,0)'],
        [0.11372549019607843, 'rgb(41,8,0)'],
        [0.11764705882352941, 'rgb(41,8,0)'],
        [0.12156862745098039, 'rgb(42,8,0)'],
        [0.12549019607843137, 'rgb(43,8,0)'],
        [0.12941176470588237, 'rgb(44,8,0)'],
        [0.13333333333333333, 'rgb(45,8,0)'],
        [0.13725490196078433, 'rgb(46,9,0)'],
        [0.1411764705882353, 'rgb(46,9,0)'],
        [0.1450980392156863, 'rgb(47,9,0)'],
        [0.14901960784313725, 'rgb(48,9,0)'],
        [0.15294117647058825, 'rgb(49,9,0)'],
        [0.1568627450980392, 'rgb(50,9,0)'],
        [0.1607843137254902, 'rgb(50,10,0)'],
        [0.16470588235294117, 'rgb(51,10,0)'],
        [0.16862745098039217, 'rgb(52,10,0)'],
        [0.17254901960784313, 'rgb(53,10,0)'],
        [0.17647058823529413, 'rgb(53,10,0)'],
        [0.1803921568627451, 'rgb(54,10,0)'],
        [0.1843137254901961, 'rgb(55,10,0)'],
        [0.18823529411764706, 'rgb(55,10,0)'],
        [0.19215686274509805, 'rgb(56,11,0)'],
        [0.19607843137254902, 'rgb(57,11,0)'],
        [0.2, 'rgb(58,11,0)'],
        [0.20392156862745098, 'rgb(58,11,0)'],
        [0.20784313725490197, 'rgb(59,11,0)'],
        [0.21176470588235294, 'rgb(60,11,0)'],
        [0.21568627450980393, 'rgb(61,11,0)'],
        [0.2196078431372549, 'rgb(61,12,0)'],
        [0.2235294117647059, 'rgb(62,12,0)'],
        [0.22745098039215686, 'rgb(63,12,0)'],
        [0.23137254901960785, 'rgb(64,12,0)'],
        [0.23529411764705882, 'rgb(64,12,0)'],
        [0.23921568627450981, 'rgb(65,12,0)'],
        [0.24313725490196078, 'rgb(66,12,0)'],
        [0.24705882352941178, 'rgb(67,13,0)'],
        [0.25098039215686274, 'rgb(68,13,0)'],
        [0.2549019607843137, 'rgb(68,13,0)'],
        [0.25882352941176473, 'rgb(69,13,0)'],
        [0.2627450980392157, 'rgb(70,13,0)'],
        [0.26666666666666666, 'rgb(71,13,0)'],
        [0.27058823529411763, 'rgb(71,13,0)'],
        [0.27450980392156865, 'rgb(72,14,0)'],
        [0.2784313725490196, 'rgb(73,14,0)'],
        [0.2823529411764706, 'rgb(74,14,0)'],
        [0.28627450980392155, 'rgb(74,14,0)'],
        [0.2901960784313726, 'rgb(75,14,0)'],
        [0.29411764705882354, 'rgb(76,14,0)'],
        [0.2980392156862745, 'rgb(77,15,0)'],
        [0.30196078431372547, 'rgb(78,15,0)'],
        [0.3058823529411765, 'rgb(78,15,0)'],
        [0.30980392156862746, 'rgb(79,15,0)'],
        [0.3137254901960784, 'rgb(80,15,0)'],
        [0.3176470588235294, 'rgb(81,15,0)'],
        [0.3215686274509804, 'rgb(81,15,0)'],
        [0.3254901960784314, 'rgb(82,16,0)'],
        [0.32941176470588235, 'rgb(83,16,0)'],
        [0.3333333333333333, 'rgb(84,16,0)'],
        [0.33725490196078434, 'rgb(85,16,0)'],
        [0.3411764705882353, 'rgb(85,16,0)'],
        [0.34509803921568627, 'rgb(86,16,0)'],
        [0.34901960784313724, 'rgb(87,16,0)'],
        [0.35294117647058826, 'rgb(88,17,0)'],
        [0.3568627450980392, 'rgb(88,17,0)'],
        [0.3607843137254902, 'rgb(89,17,0)'],
        [0.36470588235294116, 'rgb(90,17,0)'],
        [0.3686274509803922, 'rgb(91,17,0)'],
        [0.37254901960784315, 'rgb(92,17,0)'],
        [0.3764705882352941, 'rgb(92,17,0)'],
        [0.3803921568627451, 'rgb(93,18,0)'],
        [0.3843137254901961, 'rgb(94,18,0)'],
        [0.38823529411764707, 'rgb(95,18,0)'],
        [0.39215686274509803, 'rgb(96,18,0)'],
        [0.396078431372549, 'rgb(96,18,0)'],
        [0.4, 'rgb(97,18,0)'],
        [0.403921568627451, 'rgb(98,19,0)'],
        [0.40784313725490196, 'rgb(99,19,0)'],
        [0.4117647058823529, 'rgb(100,19,0)'],
        [0.41568627450980394, 'rgb(100,19,0)'],
        [0.4196078431372549, 'rgb(101,19,0)'],
        [0.4235294117647059, 'rgb(102,19,0)'],
        [0.42745098039215684, 'rgb(103,19,0)'],
        [0.43137254901960786, 'rgb(104,20,0)'],
        [0.43529411764705883, 'rgb(104,20,0)'],
        [0.4392156862745098, 'rgb(105,20,0)'],
        [0.44313725490196076, 'rgb(106,20,0)'],
        [0.4470588235294118, 'rgb(107,20,0)'],
        [0.45098039215686275, 'rgb(108,20,0)'],
        [0.4549019607843137, 'rgb(109,20,0)'],
        [0.4588235294117647, 'rgb(109,21,0)'],
        [0.4627450980392157, 'rgb(110,21,0)'],
        [0.4666666666666667, 'rgb(111,21,0)'],
        [0.47058823529411764, 'rgb(112,21,0)'],
        [0.4745098039215686, 'rgb(113,21,0)'],
        [0.47843137254901963, 'rgb(113,21,0)'],
        [0.4823529411764706, 'rgb(114,22,0)'],
        [0.48627450980392156, 'rgb(115,22,0)'],
        [0.49019607843137253, 'rgb(116,22,0)'],
        [0.49411764705882355, 'rgb(117,22,0)'],
        [0.4980392156862745, 'rgb(118,22,0)'],
        [0.5019607843137255, 'rgb(118,22,0)'],
        [0.5058823529411764, 'rgb(119,23,0)'],
        [0.5098039215686274, 'rgb(120,23,0)'],
        [0.5137254901960784, 'rgb(121,23,0)'],
        [0.5176470588235295, 'rgb(122,23,0)'],
        [0.5215686274509804, 'rgb(122,23,0)'],
        [0.5254901960784314, 'rgb(123,23,0)'],
        [0.5294117647058824, 'rgb(124,23,0)'],
        [0.5333333333333333, 'rgb(125,24,0)'],
        [0.5372549019607843, 'rgb(126,24,0)'],
        [0.5411764705882353, 'rgb(127,24,0)'],
        [0.5450980392156862, 'rgb(127,24,0)'],
        [0.5490196078431373, 'rgb(128,24,0)'],
        [0.5529411764705883, 'rgb(129,24,0)'],
        [0.5568627450980392, 'rgb(130,25,0)'],
        [0.5607843137254902, 'rgb(131,25,0)'],
        [0.5647058823529412, 'rgb(132,25,0)'],
        [0.5686274509803921, 'rgb(132,25,0)'],
        [0.5725490196078431, 'rgb(133,25,0)'],
        [0.5764705882352941, 'rgb(134,25,0)'],
        [0.5803921568627451, 'rgb(135,25,0)'],
        [0.5843137254901961, 'rgb(136,26,0)'],
        [0.5882352941176471, 'rgb(137,26,0)'],
        [0.592156862745098, 'rgb(138,26,0)'],
        [0.596078431372549, 'rgb(138,26,0)'],
        [0.6, 'rgb(139,26,0)'],
        [0.6039215686274509, 'rgb(140,26,0)'],
        [0.6078431372549019, 'rgb(141,27,0)'],
        [0.611764705882353, 'rgb(142,27,0)'],
        [0.615686274509804, 'rgb(143,27,0)'],
        [0.6196078431372549, 'rgb(143,27,0)'],
        [0.6235294117647059, 'rgb(144,27,0)'],
        [0.6274509803921569, 'rgb(145,27,0)'],
        [0.6313725490196078, 'rgb(146,28,0)'],
        [0.6352941176470588, 'rgb(147,28,0)'],
        [0.6392156862745098, 'rgb(148,28,0)'],
        [0.6431372549019608, 'rgb(149,28,0)'],
        [0.6470588235294118, 'rgb(149,28,0)'],
        [0.6509803921568628, 'rgb(150,28,0)'],
        [0.6549019607843137, 'rgb(151,29,0)'],
        [0.6588235294117647, 'rgb(152,29,0)'],
        [0.6627450980392157, 'rgb(153,29,0)'],
        [0.6666666666666666, 'rgb(154,29,0)'],
        [0.6705882352941176, 'rgb(155,29,0)'],
        [0.6745098039215687, 'rgb(155,29,0)'],
        [0.6784313725490196, 'rgb(156,30,0)'],
        [0.6823529411764706, 'rgb(157,30,0)'],
        [0.6862745098039216, 'rgb(158,30,0)'],
        [0.6901960784313725, 'rgb(159,30,0)'],
        [0.6941176470588235, 'rgb(160,30,0)'],
        [0.6980392156862745, 'rgb(161,30,0)'],
        [0.7019607843137254, 'rgb(161,30,0)'],
        [0.7058823529411765, 'rgb(162,31,0)'],
        [0.7098039215686275, 'rgb(163,31,0)'],
        [0.7137254901960784, 'rgb(164,31,0)'],
        [0.7176470588235294, 'rgb(165,31,0)'],
        [0.7215686274509804, 'rgb(166,31,0)'],
        [0.7254901960784313, 'rgb(167,31,0)'],
        [0.7294117647058823, 'rgb(168,32,0)'],
        [0.7333333333333333, 'rgb(168,32,0)'],
        [0.7372549019607844, 'rgb(169,32,0)'],
        [0.7411764705882353, 'rgb(170,32,0)'],
        [0.7450980392156863, 'rgb(171,32,0)'],
        [0.7490196078431373, 'rgb(172,32,0)'],
        [0.7529411764705882, 'rgb(173,33,0)'],
        [0.7568627450980392, 'rgb(174,33,0)'],
        [0.7607843137254902, 'rgb(175,33,0)'],
        [0.7647058823529411, 'rgb(175,33,0)'],
        [0.7686274509803922, 'rgb(176,33,0)'],
        [0.7725490196078432, 'rgb(177,33,0)'],
        [0.7764705882352941, 'rgb(178,34,0)'],
        [0.7803921568627451, 'rgb(179,34,0)'],
        [0.7843137254901961, 'rgb(180,34,0)'],
        [0.788235294117647, 'rgb(181,34,0)'],
        [0.792156862745098, 'rgb(182,34,0)'],
        [0.796078431372549, 'rgb(182,34,0)'],
        [0.8, 'rgb(183,35,0)'],
        [0.803921568627451, 'rgb(184,35,0)'],
        [0.807843137254902, 'rgb(185,35,0)'],
        [0.8117647058823529, 'rgb(186,35,0)'],
        [0.8156862745098039, 'rgb(187,35,0)'],
        [0.8196078431372549, 'rgb(188,35,0)'],
        [0.8235294117647058, 'rgb(189,36,0)'],
        [0.8274509803921568, 'rgb(190,36,0)'],
        [0.8313725490196079, 'rgb(190,36,0)'],
        [0.8352941176470589, 'rgb(191,36,0)'],
        [0.8392156862745098, 'rgb(192,36,0)'],
        [0.8431372549019608, 'rgb(193,36,0)'],
        [0.8470588235294118, 'rgb(194,37,0)'],
        [0.8509803921568627, 'rgb(195,37,0)'],
        [0.8549019607843137, 'rgb(196,37,0)'],
        [0.8588235294117647, 'rgb(197,37,0)'],
        [0.8627450980392157, 'rgb(198,37,0)'],
        [0.8666666666666667, 'rgb(199,38,0)'],
        [0.8705882352941177, 'rgb(199,38,0)'],
        [0.8745098039215686, 'rgb(200,38,0)'],
        [0.8784313725490196, 'rgb(201,38,0)'],
        [0.8823529411764706, 'rgb(202,38,0)'],
        [0.8862745098039215, 'rgb(203,38,0)'],
        [0.8901960784313725, 'rgb(204,39,0)'],
        [0.8941176470588236, 'rgb(205,39,0)'],
        [0.8980392156862745, 'rgb(206,39,0)'],
        [0.9019607843137255, 'rgb(207,39,0)'],
        [0.9058823529411765, 'rgb(208,39,0)'],
        [0.9098039215686274, 'rgb(208,39,0)'],
        [0.9137254901960784, 'rgb(209,40,0)'],
        [0.9176470588235294, 'rgb(210,40,0)'],
        [0.9215686274509803, 'rgb(211,40,0)'],
        [0.9254901960784314, 'rgb(212,40,0)'],
        [0.9294117647058824, 'rgb(213,40,0)'],
        [0.9333333333333333, 'rgb(214,40,0)'],
        [0.9372549019607843, 'rgb(215,41,0)'],
        [0.9411764705882353, 'rgb(216,41,0)'],
        [0.9450980392156862, 'rgb(217,41,0)'],
        [0.9490196078431372, 'rgb(218,41,0)'],
        [0.9529411764705882, 'rgb(218,41,0)'],
        [0.9568627450980393, 'rgb(219,41,0)'],
        [0.9607843137254902, 'rgb(220,42,0)'],
        [0.9647058823529412, 'rgb(221,42,0)'],
        [0.9686274509803922, 'rgb(222,42,0)'],
        [0.9725490196078431, 'rgb(223,42,0)'],
        [0.9764705882352941, 'rgb(224,42,0)'],
        [0.9803921568627451, 'rgb(225,42,0)'],
        [0.984313725490196, 'rgb(226,43,0)'],
        [0.9882352941176471, 'rgb(227,43,0)'],
        [0.9921568627450981, 'rgb(228,43,0)'],
        [0.996078431372549, 'rgb(229,43,0)'],
        [1.0, 'rgb(230,43,0)'],
    ],
    'cet.linear_tritanopic_krjcw_5_95_c24': [
        [0.0, 'rgb(17,17,17)'],
        [0.00392156862745098, 'rgb(20,17,17)'],
        [0.00784313725490196, 'rgb(22,18,17)'],
        [0.011764705882352941, 'rgb(24,18,17)'],
        [0.01568627450980392, 'rgb(26,18,17)'],
        [0.0196078431372549, 'rgb(28,19,17)'],
        [0.023529411764705882, 'rgb(30,19,17)'],
        [0.027450980392156862, 'rgb(32,19,17)'],
        [0.03137254901960784, 'rgb(34,20,17)'],
        [0.03529411764705882, 'rgb(35,20,17)'],
        [0.0392156862745098, 'rgb(37,20,17)'],
        [0.043137254901960784, 'rgb(39,20,17)'],
        [0.047058823529411764, 'rgb(41,21,17)'],
        [0.050980392156862744, 'rgb(42,21,18)'],
        [0.054901960784313725, 'rgb(44,21,18)'],
        [0.058823529411764705, 'rgb(46,21,18)'],
        [0.06274509803921569, 'rgb(47,22,18)'],
        [0.06666666666666667, 'rgb(49,22,18)'],
        [0.07058823529411765, 'rgb(51,22,18)'],
        [0.07450980392156863, 'rgb(52,22,18)'],
        [0.0784313725490196, 'rgb(54,22,19)'],
        [0.08235294117647059, 'rgb(56,22,19)'],
        [0.08627450980392157, 'rgb(57,23,19)'],
        [0.09019607843137255, 'rgb(59,23,19)'],
        [0.09411764705882353, 'rgb(61,23,19)'],
        [0.09803921568627451, 'rgb(62,23,19)'],
        [0.10196078431372549, 'rgb(64,23,20)'],
        [0.10588235294117647, 'rgb(65,24,20)'],
        [0.10980392156862745, 'rgb(67,24,20)'],
        [0.11372549019607843, 'rgb(68,24,20)'],
        [0.11764705882352941, 'rgb(70,24,21)'],
        [0.12156862745098039, 'rgb(71,25,21)'],
        [0.12549019607843137, 'rgb(73,25,21)'],
        [0.12941176470588237, 'rgb(75,25,21)'],
        [0.13333333333333333, 'rgb(76,25,22)'],
        [0.13725490196078433, 'rgb(78,26,22)'],
        [0.1411764705882353, 'rgb(79,26,22)'],
        [0.1450980392156863, 'rgb(81,26,22)'],
        [0.14901960784313725, 'rgb(82,26,23)'],
        [0.15294117647058825, 'rgb(83,27,23)'],
        [0.1568627450980392, 'rgb(85,27,23)'],
        [0.1607843137254902, 'rgb(86,27,24)'],
        [0.16470588235294117, 'rgb(88,28,24)'],
        [0.16862745098039217, 'rgb(89,28,24)'],
        [0.17254901960784313, 'rgb(91,28,25)'],
        [0.17647058823529413, 'rgb(92,29,25)'],
        [0.1803921568627451, 'rgb(93,29,25)'],
        [0.1843137254901961, 'rgb(95,30,26)'],
        [0.18823529411764706, 'rgb(96,30,26)'],
        [0.19215686274509805, 'rgb(97,31,27)'],
        [0.19607843137254902, 'rgb(99,31,27)'],
        [0.2, 'rgb(100,32,28)'],
        [0.20392156862745098, 'rgb(101,32,28)'],
        [0.20784313725490197, 'rgb(102,33,29)'],
        [0.21176470588235294, 'rgb(104,33,29)'],
        [0.21568627450980393, 'rgb(105,34,30)'],
        [0.2196078431372549, 'rgb(106,35,30)'],
        [0.2235294117647059, 'rgb(107,35,31)'],
        [0.22745098039215686, 'rgb(108,36,31)'],
        [0.23137254901960785, 'rgb(110,36,32)'],
        [0.23529411764705882, 'rgb(111,37,33)'],
        [0.23921568627450981, 'rgb(112,38,33)'],
        [0.24313725490196078, 'rgb(113,39,34)'],
        [0.24705882352941178, 'rgb(114,39,35)'],
        [0.25098039215686274, 'rgb(115,40,35)'],
        [0.2549019607843137, 'rgb(116,41,36)'],
        [0.25882352941176473, 'rgb(117,42,37)'],
        [0.2627450980392157, 'rgb(118,43,37)'],
        [0.26666666666666666, 'rgb(119,44,38)'],
        [0.27058823529411763, 'rgb(120,45,39)'],
        [0.27450980392156865, 'rgb(121,46,40)'],
        [0.2784313725490196, 'rgb(122,46,41)'],
        [0.2823529411764706, 'rgb(122,47,41)'],
        [0.28627450980392155, 'rgb(123,48,42)'],
        [0.2901960784313726, 'rgb(124,49,43)'],
        [0.29411764705882354, 'rgb(125,51,44)'],
        [0.2980392156862745, 'rgb(125,52,45)'],
        [0.30196078431372547, 'rgb(126,53,46)'],
        [0.3058823529411765, 'rgb(127,54,47)'],
        [0.30980392156862746, 'rgb(127,55,48)'],
        [0.3137254901960784, 'rgb(128,56,49)'],
        [0.3176470588235294, 'rgb(128,57,50)'],
        [0.3215686274509804, 'rgb(129,58,51)'],
        [0.3254901960784314, 'rgb(129,60,53)'],
        [0.32941176470588235, 'rgb(130,61,54)'],
        [0.3333333333333333, 'rgb(130,62,55)'],
        [0.33725490196078434, 'rgb(130,63,56)'],
        [0.3411764705882353, 'rgb(131,65,57)'],
        [0.34509803921568627, 'rgb(131,66,59)'],
        [0.34901960784313724, 'rgb(131,67,60)'],
        [0.35294117647058826, 'rgb(131,69,61)'],
        [0.3568627450980392, 'rgb(131,70,63)'],
        [0.3607843137254902, 'rgb(131,72,64)'],
        [0.36470588235294116, 'rgb(131,73,66)'],
        [0.3686274509803922, 'rgb(131,74,67)'],
        [0.37254901960784315, 'rgb(131,76,69)'],
        [0.3764705882352941, 'rgb(131,77,70)'],
        [0.3803921568627451, 'rgb(131,79,72)'],
        [0.3843137254901961, 'rgb(131,80,73)'],
        [0.38823529411764707, 'rgb(130,81,75)'],
        [0.39215686274509803, 'rgb(130,83,76)'],
        [0.396078431372549, 'rgb(130,84,78)'],
        [0.4, 'rgb(130,85,79)'],
        [0.403921568627451, 'rgb(130,87,81)'],
        [0.40784313725490196, 'rgb(129,88,82)'],
        [0.4117647058823529, 'rgb(129,89,84)'],
        [0.41568627450980394, 'rgb(129,91,86)'],
        [0.4196078431372549, 'rgb(129,92,87)'],
        [0.4235294117647059, 'rgb(128,93,89)'],
        [0.42745098039215684, 'rgb(128,95,90)'],
        [0.43137254901960786, 'rgb(128,96,92)'],
        [0.43529411764705883, 'rgb(128,97,93)'],
        [0.4392156862745098, 'rgb(127,99,95)'],
        [0.44313725490196076, 'rgb(127,100,97)'],
        [0.4470588235294118, 'rgb(126,101,98)'],
        [0.45098039215686275, 'rgb(126,103,100)'],
        [0.4549019607843137, 'rgb(126,104,101)'],
        [0.4588235294117647, 'rgb(125,105,103)'],
        [0.4627450980392157, 'rgb(125,106,105)'],
        [0.4666666666666667, 'rgb(124,108,106)'],
        [0.47058823529411764, 'rgb(124,109,108)'],
        [0.4745098039215686, 'rgb(123,110,110)'],
        [0.47843137254901963, 'rgb(123,112,111)'],
        [0.4823529411764706, 'rgb(122,113,113)'],
        [0.48627450980392156, 'rgb(122,114,115)'],
        [0.49019607843137253, 'rgb(121,115,116)'],
        [0.49411764705882355, 'rgb(120,117,118)'],
        [0.4980392156862745, 'rgb(120,118,120)'],
        [0.5019607843137255, 'rgb(119,119,121)'],
        [0.5058823529411764, 'rgb(118,121,123)'],
        [0.5098039215686274, 'rgb(118,122,125)'],
        [0.5137254901960784, 'rgb(117,123,126)'],
        [0.5176470588235295, 'rgb(116,124,128)'],
        [0.5215686274509804, 'rgb(115,126,130)'],
        [0.5254901960784314, 'rgb(114,127,132)'],
        [0.5294117647058824, 'rgb(114,128,133)'],
        [0.5333333333333333, 'rgb(113,129,135)'],
        [0.5372549019607843, 'rgb(112,131,137)'],
        [0.5411764705882353, 'rgb(111,132,139)'],
        [0.5450980392156862, 'rgb(110,133,140)'],
        [0.5490196078431373, 'rgb(109,134,142)'],
        [0.5529411764705883, 'rgb(107,136,144)'],
        [0.5568627450980392, 'rgb(106,137,146)'],
        [0.5607843137254902, 'rgb(105,138,147)'],
        [0.5647058823529412, 'rgb(104,140,149)'],
        [0.5686274509803921, 'rgb(103,141,151)'],
        [0.5725490196078431, 'rgb(101,142,153)'],
        [0.5764705882352941, 'rgb(100,143,155)'],
        [0.5803921568627451, 'rgb(98,145,156)'],
        [0.5843137254901961, 'rgb(97,146,158)'],
        [0.5882352941176471, 'rgb(95,147,160)'],
        [0.592156862745098, 'rgb(94,148,162)'],
        [0.596078431372549, 'rgb(92,150,164)'],
        [0.6, 'rgb(90,151,166)'],
        [0.6039215686274509, 'rgb(88,152,167)'],
        [0.6078431372549019, 'rgb(86,153,169)'],
        [0.611764705882353, 'rgb(84,155,171)'],
        [0.615686274509804, 'rgb(82,156,173)'],
        [0.6196078431372549, 'rgb(80,157,175)'],
        [0.6235294117647059, 'rgb(77,158,177)'],
        [0.6274509803921569, 'rgb(75,160,179)'],
        [0.6313725490196078, 'rgb(72,161,181)'],
        [0.6352941176470588, 'rgb(69,162,182)'],
        [0.6392156862745098, 'rgb(66,164,184)'],
        [0.6431372549019608, 'rgb(63,165,186)'],
        [0.6470588235294118, 'rgb(60,166,188)'],
        [0.6509803921568628, 'rgb(56,167,190)'],
        [0.6549019607843137, 'rgb(53,168,192)'],
        [0.6588235294117647, 'rgb(50,170,193)'],
        [0.6627450980392157, 'rgb(46,171,195)'],
        [0.6666666666666666, 'rgb(43,172,197)'],
        [0.6705882352941176, 'rgb(40,173,198)'],
        [0.6745098039215687, 'rgb(36,174,200)'],
        [0.6784313725490196, 'rgb(33,175,201)'],
        [0.6823529411764706, 'rgb(29,177,203)'],
        [0.6862745098039216, 'rgb(26,178,204)'],
        [0.6901960784313725, 'rgb(23,179,206)'],
        [0.6941176470588235, 'rgb(19,180,207)'],
        [0.6980392156862745, 'rgb(16,181,208)'],
        [0.7019607843137254, 'rgb(13,182,210)'],
        [0.7058823529411765, 'rgb(11,183,211)'],
        [0.7098039215686275, 'rgb(9,184,212)'],
        [0.7137254901960784, 'rgb(8,185,213)'],
        [0.7176470588235294, 'rgb(8,186,215)'],
        [0.7215686274509804, 'rgb(9,187,216)'],
        [0.7254901960784313, 'rgb(11,188,217)'],
        [0.7294117647058823, 'rgb(13,189,218)'],
        [0.7333333333333333, 'rgb(16,190,219)'],
        [0.7372549019607844, 'rgb(19,191,220)'],
        [0.7411764705882353, 'rgb(22,192,221)'],
        [0.7450980392156863, 'rgb(26,193,222)'],
        [0.7490196078431373, 'rgb(29,194,223)'],
        [0.7529411764705882, 'rgb(33,195,224)'],
        [0.7568627450980392, 'rgb(36,196,225)'],
        [0.7607843137254902, 'rgb(40,197,226)'],
        [0.7647058823529411, 'rgb(43,198,227)'],
        [0.7686274509803922, 'rgb(47,199,227)'],
        [0.7725490196078432, 'rgb(50,200,228)'],
        [0.7764705882352941, 'rgb(54,201,229)'],
        [0.7803921568627451, 'rgb(57,202,230)'],
        [0.7843137254901961, 'rgb(61,203,230)'],
        [0.788235294117647, 'rgb(64,203,231)'],
        [0.792156862745098, 'rgb(68,204,232)'],
        [0.796078431372549, 'rgb(71,205,233)'],
        [0.8, 'rgb(75,206,233)'],
        [0.803921568627451, 'rgb(78,207,234)'],
        [0.807843137254902, 'rgb(81,208,234)'],
        [0.8117647058823529, 'rgb(85,209,235)'],
        [0.8156862745098039, 'rgb(88,209,235)'],
        [0.8196078431372549, 'rgb(92,210,236)'],
        [0.8235294117647058, 'rgb(95,211,236)'],
        [0.8274509803921568, 'rgb(98,212,237)'],
        [0.8313725490196079, 'rgb(102,213,237)'],
        [0.8352941176470589, 'rgb(105,213,238)'],
        [0.8392156862745098, 'rgb(108,214,238)'],
        [0.8431372549019608, 'rgb(112,215,239)'],
        [0.8470588235294118, 'rgb(115,216,239)'],
        [0.8509803921568627, 'rgb(118,217,239)'],
        [0.8549019607843137, 'rgb(121,217,240)'],
        [0.8588235294117647, 'rgb(125,218,240)'],
        [0.8627450980392157, 'rgb(128,219,240)'],
        [0.8666666666666667, 'rgb(131,220,241)'],
        [0.8705882352941177, 'rgb(135,220,241)'],
        [0.8745098039215686, 'rgb(138,221,241)'],
        [0.8784313725490196, 'rgb(141,222,241)'],
        [0.8823529411764706, 'rgb(144,223,242)'],
        [0.8862745098039215, 'rgb(148,223,242)'],
        [0.8901960784313725, 'rgb(151,224,242)'],
        [0.8941176470588236, 'rgb(154,225,242)'],
        [0.8980392156862745, 'rgb(157,225,242)'],
        [0.9019607843137255, 'rgb(160,226,242)'],
        [0.9058823529411765, 'rgb(164,227,243)'],
        [0.9098039215686274, 'rgb(167,227,243)'],
        [0.9137254901960784, 'rgb(170,228,243)'],
        [0.9176470588235294, 'rgb(173,229,243)'],
        [0.9215686274509803, 'rgb(177,229,243)'],
        [0.9254901960784314, 'rgb(180,230,243)'],
        [0.9294117647058824, 'rgb(183,231,243)'],
        [0.9333333333333333, 'rgb(186,231,243)'],
        [0.9372549019607843, 'rgb(189,232,243)'],
        [0.9411764705882353, 'rgb(193,232,243)'],
        [0.9450980392156862, 'rgb(196,233,243)'],
        [0.9490196078431372, 'rgb(199,234,243)'],
        [0.9529411764705882, 'rgb(202,234,243)'],
        [0.9568627450980393, 'rgb(205,235,243)'],
        [0.9607843137254902, 'rgb(209,235,242)'],
        [0.9647058823529412, 'rgb(212,236,242)'],
        [0.9686274509803922, 'rgb(215,236,242)'],
        [0.9725490196078431, 'rgb(218,237,242)'],
        [0.9764705882352941, 'rgb(221,238,242)'],
        [0.9803921568627451, 'rgb(225,238,242)'],
        [0.984313725490196, 'rgb(228,239,241)'],
        [0.9882352941176471, 'rgb(231,239,241)'],
        [0.9921568627450981, 'rgb(234,240,241)'],
        [0.996078431372549, 'rgb(237,240,241)'],
        [1.0, 'rgb(241,241,241)'],
    ],
    'cet.linear_tritanopic_krjcw_5_98_c46': [
        [0.0, 'rgb(17,17,17)'],
        [0.00392156862745098, 'rgb(20,17,17)'],
        [0.00784313725490196, 'rgb(23,18,17)'],
        [0.011764705882352941, 'rgb(25,18,16)'],
        [0.01568627450980392, 'rgb(28,18,16)'],
        [0.0196078431372549, 'rgb(30,18,16)'],
        [0.023529411764705882, 'rgb(32,19,16)'],
        [0.027450980392156862, 'rgb(34,19,16)'],
        [0.03137254901960784, 'rgb(36,19,16)'],
        [0.03529411764705882, 'rgb(38,19,16)'],
        [0.0392156862745098, 'rgb(40,19,15)'],
        [0.043137254901960784, 'rgb(42,19,15)'],
        [0.047058823529411764, 'rgb(44,19,15)'],
        [0.050980392156862744, 'rgb(46,19,15)'],
        [0.054901960784313725, 'rgb(48,19,15)'],
        [0.058823529411764705, 'rgb(50,19,15)'],
        [0.06274509803921569, 'rgb(52,19,14)'],
        [0.06666666666666667, 'rgb(54,19,14)'],
        [0.07058823529411765, 'rgb(57,19,14)'],
        [0.07450980392156863, 'rgb(59,18,14)'],
        [0.0784313725490196, 'rgb(61,18,14)'],
        [0.08235294117647059, 'rgb(63,18,14)'],
        [0.08627450980392157, 'rgb(65,18,13)'],
        [0.09019607843137255, 'rgb(67,17,13)'],
        [0.09411764705882353, 'rgb(69,17,13)'],
        [0.09803921568627451, 'rgb(71,17,13)'],
        [0.10196078431372549, 'rgb(73,16,13)'],
        [0.10588235294117647, 'rgb(75,16,13)'],
        [0.10980392156862745, 'rgb(77,15,13)'],
        [0.11372549019607843, 'rgb(79,14,12)'],
        [0.11764705882352941, 'rgb(81,14,12)'],
        [0.12156862745098039, 'rgb(83,13,12)'],
        [0.12549019607843137, 'rgb(85,13,12)'],
        [0.12941176470588237, 'rgb(87,12,12)'],
        [0.13333333333333333, 'rgb(89,11,12)'],
        [0.13725490196078433, 'rgb(91,10,12)'],
        [0.1411764705882353, 'rgb(93,9,12)'],
        [0.1450980392156863, 'rgb(95,8,12)'],
        [0.14901960784313725, 'rgb(97,8,12)'],
        [0.15294117647058825, 'rgb(98,7,12)'],
        [0.1568627450980392, 'rgb(100,6,12)'],
        [0.1607843137254902, 'rgb(102,5,12)'],
        [0.16470588235294117, 'rgb(104,5,13)'],
        [0.16862745098039217, 'rgb(106,4,13)'],
        [0.17254901960784313, 'rgb(107,4,13)'],
        [0.17647058823529413, 'rgb(109,3,13)'],
        [0.1803921568627451, 'rgb(111,3,14)'],
        [0.1843137254901961, 'rgb(112,2,14)'],
        [0.18823529411764706, 'rgb(114,2,14)'],
        [0.19215686274509805, 'rgb(116,2,15)'],
        [0.19607843137254902, 'rgb(117,1,15)'],
        [0.2, 'rgb(119,1,15)'],
        [0.20392156862745098, 'rgb(121,1,16)'],
        [0.20784313725490197, 'rgb(122,1,16)'],
        [0.21176470588235294, 'rgb(124,1,16)'],
        [0.21568627450980393, 'rgb(125,1,17)'],
        [0.2196078431372549, 'rgb(127,1,17)'],
        [0.2235294117647059, 'rgb(128,1,17)'],
        [0.22745098039215686, 'rgb(130,1,18)'],
        [0.23137254901960785, 'rgb(131,1,18)'],
        [0.23529411764705882, 'rgb(133,1,18)'],
        [0.23921568627450981, 'rgb(134,2,19)'],
        [0.24313725490196078, 'rgb(136,2,19)'],
        [0.24705882352941178, 'rgb(137,2,20)'],
        [0.25098039215686274, 'rgb(139,2,20)'],
        [0.2549019607843137, 'rgb(141,2,20)'],
        [0.25882352941176473, 'rgb(142,2,21)'],
        [0.2627450980392157, 'rgb(144,3,21)'],
        [0.26666666666666666, 'rgb(145,3,21)'],
        [0.27058823529411763, 'rgb(147,3,22)'],
        [0.27450980392156865, 'rgb(148,3,22)'],
        [0.2784313725490196, 'rgb(150,4,23)'],
        [0.2823529411764706, 'rgb(151,4,23)'],
        [0.28627450980392155, 'rgb(153,4,23)'],
        [0.2901960784313726, 'rgb(155,4,24)'],
        [0.29411764705882354, 'rgb(156,5,24)'],
        [0.2980392156862745, 'rgb(158,5,25)'],
        [0.30196078431372547, 'rgb(159,5,25)'],
        [0.3058823529411765, 'rgb(161,5,25)'],
        [0.30980392156862746, 'rgb(162,6,26)'],
        [0.3137254901960784, 'rgb(164,6,26)'],
        [0.3176470588235294, 'rgb(166,6,27)'],
        [0.3215686274509804, 'rgb(167,7,27)'],
        [0.3254901960784314, 'rgb(169,7,27)'],
        [0.32941176470588235, 'rgb(170,7,28)'],
        [0.3333333333333333, 'rgb(172,8,28)'],
        [0.33725490196078434, 'rgb(173,8,29)'],
        [0.3411764705882353, 'rgb(175,8,29)'],
        [0.34509803921568627, 'rgb(177,9,29)'],
        [0.34901960784313724, 'rgb(178,9,30)'],
        [0.35294117647058826, 'rgb(180,9,30)'],
        [0.3568627450980392, 'rgb(182,10,31)'],
        [0.3607843137254902, 'rgb(183,10,31)'],
        [0.36470588235294116, 'rgb(185,11,31)'],
        [0.3686274509803922, 'rgb(186,11,32)'],
        [0.37254901960784315, 'rgb(188,11,32)'],
        [0.3764705882352941, 'rgb(190,12,33)'],
        [0.3803921568627451, 'rgb(191,12,33)'],
        [0.3843137254901961, 'rgb(193,12,33)'],
        [0.38823529411764707, 'rgb(194,13,34)'],
        [0.39215686274509803, 'rgb(196,13,34)'],
        [0.396078431372549, 'rgb(198,14,35)'],
        [0.4, 'rgb(199,14,35)'],
        [0.403921568627451, 'rgb(201,14,35)'],
        [0.40784313725490196, 'rgb(203,15,36)'],
        [0.4117647058823529, 'rgb(204,15,36)'],
        [0.41568627450980394, 'rgb(206,15,37)'],
        [0.4196078431372549, 'rgb(208,16,37)'],
        [0.4235294117647059, 'rgb(209,16,37)'],
        [0.42745098039215684, 'rgb(211,17,38)'],
        [0.43137254901960786, 'rgb(213,17,38)'],
        [0.43529411764705883, 'rgb(214,17,39)'],
        [0.4392156862745098, 'rgb(216,18,39)'],
        [0.44313725490196076, 'rgb(218,18,40)'],
        [0.4470588235294118, 'rgb(219,18,40)'],
        [0.45098039215686275, 'rgb(221,19,40)'],
        [0.4549019607843137, 'rgb(223,19,41)'],
        [0.4588235294117647, 'rgb(224,20,41)'],
        [0.4627450980392157, 'rgb(226,20,42)'],
        [0.4666666666666667, 'rgb(228,21,42)'],
        [0.47058823529411764, 'rgb(229,21,43)'],
        [0.4745098039215686, 'rgb(231,22,43)'],
        [0.47843137254901963, 'rgb(232,22,44)'],
        [0.4823529411764706, 'rgb(234,23,44)'],
        [0.48627450980392156, 'rgb(236,24,45)'],
        [0.49019607843137253, 'rgb(237,25,45)'],
        [0.49411764705882355, 'rgb(239,26,46)'],
        [0.4980392156862745, 'rgb(240,27,46)'],
        [0.5019607843137255, 'rgb(242,28,47)'],
        [0.5058823529411764, 'rgb(243,30,48)'],
        [0.5098039215686274, 'rgb(244,31,48)'],
        [0.5137254901960784, 'rgb(246,33,49)'],
        [0.5176470588235295, 'rgb(247,35,50)'],
        [0.5215686274509804, 'rgb(248,37,51)'],
        [0.5254901960784314, 'rgb(249,40,52)'],
        [0.5294117647058824, 'rgb(250,42,53)'],
        [0.5333333333333333, 'rgb(250,45,55)'],
        [0.5372549019607843, 'rgb(251,48,56)'],
        [0.5411764705882353, 'rgb(252,51,58)'],
        [0.5450980392156862, 'rgb(252,54,59)'],
        [0.5490196078431373, 'rgb(252,57,61)'],
        [0.5529411764705883, 'rgb(252,60,63)'],
        [0.5568627450980392, 'rgb(252,64,65)'],
        [0.5607843137254902, 'rgb(252,67,67)'],
        [0.5647058823529412, 'rgb(251,71,69)'],
        [0.5686274509803921, 'rgb(251,74,72)'],
        [0.5725490196078431, 'rgb(250,78,74)'],
        [0.5764705882352941, 'rgb(249,81,77)'],
        [0.5803921568627451, 'rgb(248,84,79)'],
        [0.5843137254901961, 'rgb(247,88,82)'],
        [0.5882352941176471, 'rgb(246,91,85)'],
        [0.592156862745098, 'rgb(245,95,88)'],
        [0.596078431372549, 'rgb(243,98,91)'],
        [0.6, 'rgb(242,101,94)'],
        [0.6039215686274509, 'rgb(240,105,97)'],
        [0.6078431372549019, 'rgb(239,108,100)'],
        [0.611764705882353, 'rgb(237,111,103)'],
        [0.615686274509804, 'rgb(235,114,106)'],
        [0.6196078431372549, 'rgb(233,117,109)'],
        [0.6235294117647059, 'rgb(231,120,113)'],
        [0.6274509803921569, 'rgb(229,123,116)'],
        [0.6313725490196078, 'rgb(227,126,119)'],
        [0.6352941176470588, 'rgb(225,128,122)'],
        [0.6392156862745098, 'rgb(222,131,126)'],
        [0.6431372549019608, 'rgb(220,134,129)'],
        [0.6470588235294118, 'rgb(218,137,132)'],
        [0.6509803921568628, 'rgb(215,139,136)'],
        [0.6549019607843137, 'rgb(212,142,139)'],
        [0.6588235294117647, 'rgb(210,144,142)'],
        [0.6627450980392157, 'rgb(207,147,146)'],
        [0.6666666666666666, 'rgb(204,149,149)'],
        [0.6705882352941176, 'rgb(201,152,152)'],
        [0.6745098039215687, 'rgb(198,154,156)'],
        [0.6784313725490196, 'rgb(195,157,159)'],
        [0.6823529411764706, 'rgb(192,159,163)'],
        [0.6862745098039216, 'rgb(188,161,166)'],
        [0.6901960784313725, 'rgb(185,164,169)'],
        [0.6941176470588235, 'rgb(181,166,173)'],
        [0.6980392156862745, 'rgb(177,168,176)'],
        [0.7019607843137254, 'rgb(173,170,180)'],
        [0.7058823529411765, 'rgb(169,173,183)'],
        [0.7098039215686275, 'rgb(165,175,187)'],
        [0.7137254901960784, 'rgb(161,177,190)'],
        [0.7176470588235294, 'rgb(156,179,193)'],
        [0.7215686274509804, 'rgb(151,181,197)'],
        [0.7254901960784313, 'rgb(146,183,200)'],
        [0.7294117647058823, 'rgb(141,186,204)'],
        [0.7333333333333333, 'rgb(135,188,207)'],
        [0.7372549019607844, 'rgb(130,190,210)'],
        [0.7411764705882353, 'rgb(124,192,213)'],
        [0.7450980392156863, 'rgb(118,193,216)'],
        [0.7490196078431373, 'rgb(111,195,220)'],
        [0.7529411764705882, 'rgb(105,197,222)'],
        [0.7568627450980392, 'rgb(98,199,225)'],
        [0.7607843137254902, 'rgb(91,201,228)'],
        [0.7647058823529411, 'rgb(84,202,231)'],
        [0.7686274509803922, 'rgb(77,204,233)'],
        [0.7725490196078432, 'rgb(70,206,236)'],
        [0.7764705882352941, 'rgb(63,207,238)'],
        [0.7803921568627451, 'rgb(56,209,240)'],
        [0.7843137254901961, 'rgb(49,210,242)'],
        [0.788235294117647, 'rgb(43,211,243)'],
        [0.792156862745098, 'rgb(38,213,245)'],
        [0.796078431372549, 'rgb(35,214,246)'],
        [0.8, 'rgb(33,215,247)'],
        [0.803921568627451, 'rgb(34,216,249)'],
        [0.807843137254902, 'rgb(37,217,249)'],
        [0.8117647058823529, 'rgb(42,218,250)'],
        [0.8156862745098039, 'rgb(47,219,251)'],
        [0.8196078431372549, 'rgb(53,220,252)'],
        [0.8235294117647058, 'rgb(59,221,252)'],
        [0.8274509803921568, 'rgb(66,222,252)'],
        [0.8313725490196079, 'rgb(72,222,253)'],
        [0.8352941176470589, 'rgb(78,223,253)'],
        [0.8392156862745098, 'rgb(84,224,253)'],
        [0.8431372549019608, 'rgb(90,225,253)'],
        [0.8470588235294118, 'rgb(96,225,253)'],
        [0.8509803921568627, 'rgb(102,226,253)'],
        [0.8549019607843137, 'rgb(107,227,253)'],
        [0.8588235294117647, 'rgb(113,227,253)'],
        [0.8627450980392157, 'rgb(118,228,253)'],
        [0.8666666666666667, 'rgb(123,229,253)'],
        [0.8705882352941177, 'rgb(128,229,253)'],
        [0.8745098039215686, 'rgb(133,230,253)'],
        [0.8784313725490196, 'rgb(137,231,253)'],
        [0.8823529411764706, 'rgb(142,231,253)'],
        [0.8862745098039215, 'rgb(146,232,253)'],
        [0.8901960784313725, 'rgb(151,233,253)'],
        [0.8941176470588236, 'rgb(155,233,252)'],
        [0.8980392156862745, 'rgb(159,234,252)'],
        [0.9019607843137255, 'rgb(163,234,252)'],
        [0.9058823529411765, 'rgb(167,235,252)'],
        [0.9098039215686274, 'rgb(171,236,252)'],
        [0.9137254901960784, 'rgb(175,236,252)'],
        [0.9176470588235294, 'rgb(179,237,252)'],
        [0.9215686274509803, 'rgb(182,237,252)'],
        [0.9254901960784314, 'rgb(186,238,252)'],
        [0.9294117647058824, 'rgb(190,239,251)'],
        [0.9333333333333333, 'rgb(193,239,251)'],
        [0.9372549019607843, 'rgb(197,240,251)'],
        [0.9411764705882353, 'rgb(200,241,251)'],
        [0.9450980392156862, 'rgb(204,241,251)'],
        [0.9490196078431372, 'rgb(207,242,251)'],
        [0.9529411764705882, 'rgb(211,242,251)'],
        [0.9568627450980393, 'rgb(214,243,251)'],
        [0.9607843137254902, 'rgb(217,243,250)'],
        [0.9647058823529412, 'rgb(221,244,250)'],
        [0.9686274509803922, 'rgb(224,245,250)'],
        [0.9725490196078431, 'rgb(227,245,250)'],
        [0.9764705882352941, 'rgb(230,246,250)'],
        [0.9803921568627451, 'rgb(233,246,250)'],
        [0.984313725490196, 'rgb(237,247,250)'],
        [0.9882352941176471, 'rgb(240,248,250)'],
        [0.9921568627450981, 'rgb(243,248,249)'],
        [0.996078431372549, 'rgb(246,249,249)'],
        [1.0, 'rgb(249,249,249)'],
    ],
    'cet.linear_wcmr_100_45_c42': [
        [0.0, 'rgb(255,255,255)'],
        [0.00392156862745098, 'rgb(254,255,255)'],
        [0.00784313725490196, 'rgb(252,254,255)'],
        [0.011764705882352941, 'rgb(251,254,255)'],
        [0.01568627450980392, 'rgb(250,253,255)'],
        [0.0196078431372549, 'rgb(249,253,254)'],
        [0.023529411764705882, 'rgb(247,252,254)'],
        [0.027450980392156862, 'rgb(246,252,254)'],
        [0.03137254901960784, 'rgb(245,251,254)'],
        [0.03529411764705882, 'rgb(244,251,254)'],
        [0.0392156862745098, 'rgb(242,250,254)'],
        [0.043137254901960784, 'rgb(241,250,254)'],
        [0.047058823529411764, 'rgb(240,249,254)'],
        [0.050980392156862744, 'rgb(239,249,254)'],
        [0.054901960784313725, 'rgb(237,248,254)'],
        [0.058823529411764705, 'rgb(236,248,253)'],
        [0.06274509803921569, 'rgb(235,247,253)'],
        [0.06666666666666667, 'rgb(233,247,253)'],
        [0.07058823529411765, 'rgb(232,246,253)'],
        [0.07450980392156863, 'rgb(231,246,253)'],
        [0.0784313725490196, 'rgb(230,245,253)'],
        [0.08235294117647059, 'rgb(228,245,253)'],
        [0.08627450980392157, 'rgb(227,244,253)'],
        [0.09019607843137255, 'rgb(226,244,253)'],
        [0.09411764705882353, 'rgb(225,243,253)'],
        [0.09803921568627451, 'rgb(224,243,253)'],
        [0.10196078431372549, 'rgb(223,242,253)'],
        [0.10588235294117647, 'rgb(222,241,253)'],
        [0.10980392156862745, 'rgb(220,241,253)'],
        [0.11372549019607843, 'rgb(219,240,253)'],
        [0.11764705882352941, 'rgb(218,240,253)'],
        [0.12156862745098039, 'rgb(217,239,253)'],
        [0.12549019607843137, 'rgb(216,238,253)'],
        [0.12941176470588237, 'rgb(215,238,253)'],
        [0.13333333333333333, 'rgb(214,237,253)'],
        [0.13725490196078433, 'rgb(213,237,253)'],
        [0.1411764705882353, 'rgb(212,236,253)'],
        [0.1450980392156863, 'rgb(211,236,253)'],
        [0.14901960784313725, 'rgb(210,235,253)'],
        [0.15294117647058825, 'rgb(209,234,253)'],
        [0.1568627450980392, 'rgb(208,234,253)'],
        [0.1607843137254902, 'rgb(207,233,254)'],
        [0.16470588235294117, 'rgb(206,233,254)'],
        [0.16862745098039217, 'rgb(205,232,254)'],
        [0.17254901960784313, 'rgb(204,232,254)'],
        [0.17647058823529413, 'rgb(203,231,254)'],
        [0.1803921568627451, 'rgb(202,230,254)'],
        [0.1843137254901961, 'rgb(201,230,254)'],
        [0.18823529411764706, 'rgb(200,229,254)'],
        [0.19215686274509805, 'rgb(200,228,254)'],
        [0.19607843137254902, 'rgb(199,228,254)'],
        [0.2, 'rgb(198,227,254)'],
        [0.20392156862745098, 'rgb(198,226,254)'],
        [0.20784313725490197, 'rgb(197,226,254)'],
        [0.21176470588235294, 'rgb(197,225,254)'],
        [0.21568627450980393, 'rgb(196,224,254)'],
        [0.2196078431372549, 'rgb(195,224,254)'],
        [0.2235294117647059, 'rgb(195,223,254)'],
        [0.22745098039215686, 'rgb(194,222,254)'],
        [0.23137254901960785, 'rgb(193,222,255)'],
        [0.23529411764705882, 'rgb(193,221,255)'],
        [0.23921568627450981, 'rgb(192,220,255)'],
        [0.24313725490196078, 'rgb(191,219,255)'],
        [0.24705882352941178, 'rgb(191,219,255)'],
        [0.25098039215686274, 'rgb(190,218,255)'],
        [0.2549019607843137, 'rgb(189,217,255)'],
        [0.25882352941176473, 'rgb(189,217,255)'],
        [0.2627450980392157, 'rgb(188,216,255)'],
        [0.26666666666666666, 'rgb(188,215,255)'],
        [0.27058823529411763, 'rgb(187,215,255)'],
        [0.27450980392156865, 'rgb(186,214,255)'],
        [0.2784313725490196, 'rgb(186,213,255)'],
        [0.2823529411764706, 'rgb(186,212,255)'],
        [0.28627450980392155, 'rgb(186,212,255)'],
        [0.2901960784313726, 'rgb(186,211,255)'],
        [0.29411764705882354, 'rgb(186,210,255)'],
        [0.2980392156862745, 'rgb(186,209,255)'],
        [0.30196078431372547, 'rgb(186,208,254)'],
        [0.3058823529411765, 'rgb(185,208,254)'],
        [0.30980392156862746, 'rgb(185,207,254)'],
        [0.3137254901960784, 'rgb(185,206,254)'],
        [0.3176470588235294, 'rgb(185,205,254)'],
        [0.3215686274509804, 'rgb(185,204,254)'],
        [0.3254901960784314, 'rgb(185,204,254)'],
        [0.32941176470588235, 'rgb(185,203,254)'],
        [0.3333333333333333, 'rgb(185,202,254)'],
        [0.33725490196078434, 'rgb(184,201,254)'],
        [0.3411764705882353, 'rgb(184,201,254)'],
        [0.34509803921568627, 'rgb(184,200,253)'],
        [0.34901960784313724, 'rgb(184,199,253)'],
        [0.35294117647058826, 'rgb(184,198,253)'],
        [0.3568627450980392, 'rgb(184,197,253)'],
        [0.3607843137254902, 'rgb(184,197,253)'],
        [0.36470588235294116, 'rgb(184,196,253)'],
        [0.3686274509803922, 'rgb(184,195,253)'],
        [0.37254901960784315, 'rgb(184,194,252)'],
        [0.3764705882352941, 'rgb(185,193,252)'],
        [0.3803921568627451, 'rgb(185,192,251)'],
        [0.3843137254901961, 'rgb(186,191,251)'],
        [0.38823529411764707, 'rgb(186,190,251)'],
        [0.39215686274509803, 'rgb(186,189,250)'],
        [0.396078431372549, 'rgb(187,188,250)'],
        [0.4, 'rgb(187,188,250)'],
        [0.403921568627451, 'rgb(187,187,249)'],
        [0.40784313725490196, 'rgb(188,186,249)'],
        [0.4117647058823529, 'rgb(188,185,248)'],
        [0.41568627450980394, 'rgb(188,184,248)'],
        [0.4196078431372549, 'rgb(189,183,248)'],
        [0.4235294117647059, 'rgb(189,182,247)'],
        [0.42745098039215684, 'rgb(189,181,247)'],
        [0.43137254901960786, 'rgb(190,180,247)'],
        [0.43529411764705883, 'rgb(190,179,246)'],
        [0.4392156862745098, 'rgb(190,178,246)'],
        [0.44313725490196076, 'rgb(191,177,245)'],
        [0.4470588235294118, 'rgb(191,177,245)'],
        [0.45098039215686275, 'rgb(191,176,245)'],
        [0.4549019607843137, 'rgb(192,175,244)'],
        [0.4588235294117647, 'rgb(192,174,244)'],
        [0.4627450980392157, 'rgb(193,173,243)'],
        [0.4666666666666667, 'rgb(194,172,242)'],
        [0.47058823529411764, 'rgb(195,171,241)'],
        [0.4745098039215686, 'rgb(195,170,241)'],
        [0.47843137254901963, 'rgb(196,169,240)'],
        [0.4823529411764706, 'rgb(197,168,239)'],
        [0.48627450980392156, 'rgb(197,166,238)'],
        [0.49019607843137253, 'rgb(198,165,238)'],
        [0.49411764705882355, 'rgb(199,164,237)'],
        [0.4980392156862745, 'rgb(199,163,236)'],
        [0.5019607843137255, 'rgb(200,162,235)'],
        [0.5058823529411764, 'rgb(201,161,235)'],
        [0.5098039215686274, 'rgb(201,160,234)'],
        [0.5137254901960784, 'rgb(202,159,233)'],
        [0.5176470588235295, 'rgb(202,158,232)'],
        [0.5215686274509804, 'rgb(203,157,232)'],
        [0.5254901960784314, 'rgb(204,156,231)'],
        [0.5294117647058824, 'rgb(204,155,230)'],
        [0.5333333333333333, 'rgb(205,154,229)'],
        [0.5372549019607843, 'rgb(205,153,229)'],
        [0.5411764705882353, 'rgb(206,152,228)'],
        [0.5450980392156862, 'rgb(206,151,227)'],
        [0.5490196078431373, 'rgb(207,150,226)'],
        [0.5529411764705883, 'rgb(208,149,225)'],
        [0.5568627450980392, 'rgb(209,147,224)'],
        [0.5607843137254902, 'rgb(209,146,222)'],
        [0.5647058823529412, 'rgb(210,145,221)'],
        [0.5686274509803921, 'rgb(211,144,220)'],
        [0.5725490196078431, 'rgb(212,143,219)'],
        [0.5764705882352941, 'rgb(212,142,218)'],
        [0.5803921568627451, 'rgb(213,141,216)'],
        [0.5843137254901961, 'rgb(214,139,215)'],
        [0.5882352941176471, 'rgb(214,138,214)'],
        [0.592156862745098, 'rgb(215,137,213)'],
        [0.596078431372549, 'rgb(216,136,212)'],
        [0.6, 'rgb(216,135,211)'],
        [0.6039215686274509, 'rgb(217,134,209)'],
        [0.6078431372549019, 'rgb(218,132,208)'],
        [0.611764705882353, 'rgb(218,131,207)'],
        [0.615686274509804, 'rgb(219,130,206)'],
        [0.6196078431372549, 'rgb(220,129,205)'],
        [0.6235294117647059, 'rgb(220,128,204)'],
        [0.6274509803921569, 'rgb(221,126,202)'],
        [0.6313725490196078, 'rgb(221,125,201)'],
        [0.6352941176470588, 'rgb(222,124,200)'],
        [0.6392156862745098, 'rgb(223,123,199)'],
        [0.6431372549019608, 'rgb(223,122,197)'],
        [0.6470588235294118, 'rgb(224,120,195)'],
        [0.6509803921568628, 'rgb(224,119,194)'],
        [0.6549019607843137, 'rgb(225,118,192)'],
        [0.6588235294117647, 'rgb(225,117,191)'],
        [0.6627450980392157, 'rgb(226,116,189)'],
        [0.6666666666666666, 'rgb(226,114,187)'],
        [0.6705882352941176, 'rgb(227,113,186)'],
        [0.6745098039215687, 'rgb(227,112,184)'],
        [0.6784313725490196, 'rgb(228,111,183)'],
        [0.6823529411764706, 'rgb(228,110,181)'],
        [0.6862745098039216, 'rgb(229,108,180)'],
        [0.6901960784313725, 'rgb(229,107,178)'],
        [0.6941176470588235, 'rgb(230,106,176)'],
        [0.6980392156862745, 'rgb(230,104,175)'],
        [0.7019607843137254, 'rgb(231,103,173)'],
        [0.7058823529411765, 'rgb(231,102,172)'],
        [0.7098039215686275, 'rgb(232,101,170)'],
        [0.7137254901960784, 'rgb(232,99,169)'],
        [0.7176470588235294, 'rgb(232,98,167)'],
        [0.7215686274509804, 'rgb(233,96,166)'],
        [0.7254901960784313, 'rgb(233,95,164)'],
        [0.7294117647058823, 'rgb(233,94,162)'],
        [0.7333333333333333, 'rgb(234,93,160)'],
        [0.7372549019607844, 'rgb(234,92,158)'],
        [0.7411764705882353, 'rgb(234,90,157)'],
        [0.7450980392156863, 'rgb(234,89,155)'],
        [0.7490196078431373, 'rgb(234,88,153)'],
        [0.7529411764705882, 'rgb(235,87,151)'],
        [0.7568627450980392, 'rgb(235,85,149)'],
        [0.7607843137254902, 'rgb(235,84,147)'],
        [0.7647058823529411, 'rgb(235,83,145)'],
        [0.7686274509803922, 'rgb(235,82,143)'],
        [0.7725490196078432, 'rgb(235,80,141)'],
        [0.7764705882352941, 'rgb(235,79,140)'],
        [0.7803921568627451, 'rgb(235,78,138)'],
        [0.7843137254901961, 'rgb(236,77,136)'],
        [0.788235294117647, 'rgb(236,75,134)'],
        [0.792156862745098, 'rgb(236,74,132)'],
        [0.796078431372549, 'rgb(236,73,130)'],
        [0.8, 'rgb(236,71,128)'],
        [0.803921568627451, 'rgb(236,70,126)'],
        [0.807843137254902, 'rgb(236,68,125)'],
        [0.8117647058823529, 'rgb(236,67,123)'],
        [0.8156862745098039, 'rgb(236,66,121)'],
        [0.8196078431372549, 'rgb(236,64,119)'],
        [0.8235294117647058, 'rgb(236,63,117)'],
        [0.8274509803921568, 'rgb(235,62,115)'],
        [0.8313725490196079, 'rgb(235,61,113)'],
        [0.8352941176470589, 'rgb(235,60,111)'],
        [0.8392156862745098, 'rgb(234,59,108)'],
        [0.8431372549019608, 'rgb(234,58,106)'],
        [0.8470588235294118, 'rgb(234,57,104)'],
        [0.8509803921568627, 'rgb(234,56,102)'],
        [0.8549019607843137, 'rgb(233,55,100)'],
        [0.8588235294117647, 'rgb(233,54,98)'],
        [0.8627450980392157, 'rgb(232,53,96)'],
        [0.8666666666666667, 'rgb(232,52,94)'],
        [0.8705882352941177, 'rgb(232,51,92)'],
        [0.8745098039215686, 'rgb(231,50,90)'],
        [0.8784313725490196, 'rgb(231,49,88)'],
        [0.8823529411764706, 'rgb(231,48,86)'],
        [0.8862745098039215, 'rgb(230,46,84)'],
        [0.8901960784313725, 'rgb(230,45,82)'],
        [0.8941176470588236, 'rgb(229,44,79)'],
        [0.8980392156862745, 'rgb(229,43,77)'],
        [0.9019607843137255, 'rgb(229,42,75)'],
        [0.9058823529411765, 'rgb(228,40,73)'],
        [0.9098039215686274, 'rgb(228,39,71)'],
        [0.9137254901960784, 'rgb(227,39,69)'],
        [0.9176470588235294, 'rgb(226,39,67)'],
        [0.9215686274509803, 'rgb(225,38,65)'],
        [0.9254901960784314, 'rgb(224,38,62)'],
        [0.9294117647058824, 'rgb(224,38,60)'],
        [0.9333333333333333, 'rgb(223,38,58)'],
        [0.9372549019607843, 'rgb(222,37,56)'],
        [0.9411764705882353, 'rgb(221,37,53)'],
        [0.9450980392156862, 'rgb(220,37,51)'],
        [0.9490196078431372, 'rgb(219,36,49)'],
        [0.9529411764705882, 'rgb(219,36,47)'],
        [0.9568627450980393, 'rgb(218,36,44)'],
        [0.9607843137254902, 'rgb(217,36,42)'],
        [0.9647058823529412, 'rgb(216,35,39)'],
        [0.9686274509803922, 'rgb(215,35,37)'],
        [0.9725490196078431, 'rgb(214,35,35)'],
        [0.9764705882352941, 'rgb(213,34,32)'],
        [0.9803921568627451, 'rgb(213,34,29)'],
        [0.984313725490196, 'rgb(212,34,27)'],
        [0.9882352941176471, 'rgb(211,34,24)'],
        [0.9921568627450981, 'rgb(210,34,21)'],
        [0.996078431372549, 'rgb(209,33,18)'],
        [1.0, 'rgb(208,33,14)'],
    ],
    'cet.linear_worb_100_25_c53': [
        [0.0, 'rgb(255,255,255)'],
        [0.00392156862745098, 'rgb(255,254,252)'],
        [0.00784313725490196, 'rgb(254,253,249)'],
        [0.011764705882352941, 'rgb(254,253,247)'],
        [0.01568627450980392, 'rgb(253,252,244)'],
        [0.0196078431372549, 'rgb(253,251,241)'],
        [0.023529411764705882, 'rgb(252,250,238)'],
        [0.027450980392156862, 'rgb(252,250,235)'],
        [0.03137254901960784, 'rgb(251,249,233)'],
        [0.03529411764705882, 'rgb(251,248,230)'],
        [0.0392156862745098, 'rgb(250,247,227)'],
        [0.043137254901960784, 'rgb(250,247,224)'],
        [0.047058823529411764, 'rgb(249,246,221)'],
        [0.050980392156862744, 'rgb(248,245,219)'],
        [0.054901960784313725, 'rgb(248,244,216)'],
        [0.058823529411764705, 'rgb(247,243,213)'],
        [0.06274509803921569, 'rgb(247,243,210)'],
        [0.06666666666666667, 'rgb(246,242,207)'],
        [0.07058823529411765, 'rgb(246,241,205)'],
        [0.07450980392156863, 'rgb(245,240,202)'],
        [0.0784313725490196, 'rgb(244,240,199)'],
        [0.08235294117647059, 'rgb(244,239,196)'],
        [0.08627450980392157, 'rgb(243,238,194)'],
        [0.09019607843137255, 'rgb(242,237,191)'],
        [0.09411764705882353, 'rgb(242,236,189)'],
        [0.09803921568627451, 'rgb(242,235,187)'],
        [0.10196078431372549, 'rgb(242,234,186)'],
        [0.10588235294117647, 'rgb(242,233,184)'],
        [0.10980392156862745, 'rgb(243,232,182)'],
        [0.11372549019607843, 'rgb(243,231,180)'],
        [0.11764705882352941, 'rgb(243,230,179)'],
        [0.12156862745098039, 'rgb(243,229,177)'],
        [0.12549019607843137, 'rgb(243,228,175)'],
        [0.12941176470588237, 'rgb(243,227,174)'],
        [0.13333333333333333, 'rgb(243,226,172)'],
        [0.13725490196078433, 'rgb(243,225,170)'],
        [0.1411764705882353, 'rgb(243,224,169)'],
        [0.1450980392156863, 'rgb(242,223,167)'],
        [0.14901960784313725, 'rgb(242,222,165)'],
        [0.15294117647058825, 'rgb(242,221,164)'],
        [0.1568627450980392, 'rgb(242,220,162)'],
        [0.1607843137254902, 'rgb(242,219,160)'],
        [0.16470588235294117, 'rgb(242,218,159)'],
        [0.16862745098039217, 'rgb(242,217,157)'],
        [0.17254901960784313, 'rgb(242,215,156)'],
        [0.17647058823529413, 'rgb(242,214,154)'],
        [0.1803921568627451, 'rgb(242,213,152)'],
        [0.1843137254901961, 'rgb(242,212,151)'],
        [0.18823529411764706, 'rgb(242,211,150)'],
        [0.19215686274509805, 'rgb(242,210,148)'],
        [0.19607843137254902, 'rgb(242,209,147)'],
        [0.2, 'rgb(243,208,146)'],
        [0.20392156862745098, 'rgb(243,207,145)'],
        [0.20784313725490197, 'rgb(243,205,144)'],
        [0.21176470588235294, 'rgb(243,204,142)'],
        [0.21568627450980393, 'rgb(243,203,141)'],
        [0.2196078431372549, 'rgb(243,202,140)'],
        [0.2235294117647059, 'rgb(243,201,139)'],
        [0.22745098039215686, 'rgb(243,200,138)'],
        [0.23137254901960785, 'rgb(243,198,136)'],
        [0.23529411764705882, 'rgb(244,197,135)'],
        [0.23921568627450981, 'rgb(244,196,134)'],
        [0.24313725490196078, 'rgb(244,195,133)'],
        [0.24705882352941178, 'rgb(244,194,132)'],
        [0.25098039215686274, 'rgb(244,193,131)'],
        [0.2549019607843137, 'rgb(244,191,129)'],
        [0.25882352941176473, 'rgb(244,190,128)'],
        [0.2627450980392157, 'rgb(244,189,127)'],
        [0.26666666666666666, 'rgb(244,188,126)'],
        [0.27058823529411763, 'rgb(244,187,125)'],
        [0.27450980392156865, 'rgb(244,186,124)'],
        [0.2784313725490196, 'rgb(244,184,123)'],
        [0.2823529411764706, 'rgb(244,183,122)'],
        [0.28627450980392155, 'rgb(244,182,122)'],
        [0.2901960784313726, 'rgb(245,181,121)'],
        [0.29411764705882354, 'rgb(245,179,120)'],
        [0.2980392156862745, 'rgb(245,178,119)'],
        [0.30196078431372547, 'rgb(245,177,119)'],
        [0.3058823529411765, 'rgb(245,176,118)'],
        [0.30980392156862746, 'rgb(245,174,117)'],
        [0.3137254901960784, 'rgb(245,173,117)'],
        [0.3176470588235294, 'rgb(245,172,116)'],
        [0.3215686274509804, 'rgb(245,171,115)'],
        [0.3254901960784314, 'rgb(245,170,115)'],
        [0.32941176470588235, 'rgb(245,168,114)'],
        [0.3333333333333333, 'rgb(245,167,113)'],
        [0.33725490196078434, 'rgb(245,166,112)'],
        [0.3411764705882353, 'rgb(245,164,112)'],
        [0.34509803921568627, 'rgb(245,163,111)'],
        [0.34901960784313724, 'rgb(245,162,110)'],
        [0.35294117647058826, 'rgb(245,161,110)'],
        [0.3568627450980392, 'rgb(245,159,109)'],
        [0.3607843137254902, 'rgb(245,158,108)'],
        [0.36470588235294116, 'rgb(245,157,108)'],
        [0.3686274509803922, 'rgb(245,156,108)'],
        [0.37254901960784315, 'rgb(245,154,107)'],
        [0.3764705882352941, 'rgb(245,153,107)'],
        [0.3803921568627451, 'rgb(245,152,107)'],
        [0.3843137254901961, 'rgb(245,151,107)'],
        [0.38823529411764707, 'rgb(245,149,106)'],
        [0.39215686274509803, 'rgb(245,148,106)'],
        [0.396078431372549, 'rgb(245,147,106)'],
        [0.4, 'rgb(245,145,106)'],
        [0.403921568627451, 'rgb(245,144,106)'],
        [0.40784313725490196, 'rgb(244,143,105)'],
        [0.4117647058823529, 'rgb(244,141,105)'],
        [0.41568627450980394, 'rgb(244,140,105)'],
        [0.4196078431372549, 'rgb(244,139,105)'],
        [0.4235294117647059, 'rgb(244,138,105)'],
        [0.42745098039215684, 'rgb(244,136,104)'],
        [0.43137254901960786, 'rgb(244,135,104)'],
        [0.43529411764705883, 'rgb(244,134,104)'],
        [0.4392156862745098, 'rgb(244,132,104)'],
        [0.44313725490196076, 'rgb(243,131,103)'],
        [0.4470588235294118, 'rgb(243,129,103)'],
        [0.45098039215686275, 'rgb(243,128,103)'],
        [0.4549019607843137, 'rgb(243,127,103)'],
        [0.4588235294117647, 'rgb(243,126,103)'],
        [0.4627450980392157, 'rgb(242,124,103)'],
        [0.4666666666666667, 'rgb(242,123,103)'],
        [0.47058823529411764, 'rgb(242,122,104)'],
        [0.4745098039215686, 'rgb(242,120,104)'],
        [0.47843137254901963, 'rgb(241,119,104)'],
        [0.4823529411764706, 'rgb(241,118,104)'],
        [0.48627450980392156, 'rgb(241,116,104)'],
        [0.49019607843137253, 'rgb(240,115,104)'],
        [0.49411764705882355, 'rgb(240,114,105)'],
        [0.4980392156862745, 'rgb(240,112,105)'],
        [0.5019607843137255, 'rgb(239,111,105)'],
        [0.5058823529411764, 'rgb(239,110,105)'],
        [0.5098039215686274, 'rgb(239,108,105)'],
        [0.5137254901960784, 'rgb(238,107,106)'],
        [0.5176470588235295, 'rgb(238,106,106)'],
        [0.5215686274509804, 'rgb(238,104,106)'],
        [0.5254901960784314, 'rgb(237,103,106)'],
        [0.5294117647058824, 'rgb(237,102,106)'],
        [0.5333333333333333, 'rgb(237,100,106)'],
        [0.5372549019607843, 'rgb(236,99,106)'],
        [0.5411764705882353, 'rgb(236,97,107)'],
        [0.5450980392156862, 'rgb(236,96,107)'],
        [0.5490196078431373, 'rgb(235,95,107)'],
        [0.5529411764705883, 'rgb(234,93,108)'],
        [0.5568627450980392, 'rgb(234,92,108)'],
        [0.5607843137254902, 'rgb(233,91,109)'],
        [0.5647058823529412, 'rgb(232,90,109)'],
        [0.5686274509803921, 'rgb(232,88,110)'],
        [0.5725490196078431, 'rgb(231,87,110)'],
        [0.5764705882352941, 'rgb(231,86,110)'],
        [0.5803921568627451, 'rgb(230,85,111)'],
        [0.5843137254901961, 'rgb(229,83,111)'],
        [0.5882352941176471, 'rgb(229,82,112)'],
        [0.592156862745098, 'rgb(228,81,112)'],
        [0.596078431372549, 'rgb(227,79,113)'],
        [0.6, 'rgb(227,78,113)'],
        [0.6039215686274509, 'rgb(226,77,114)'],
        [0.6078431372549019, 'rgb(225,75,114)'],
        [0.611764705882353, 'rgb(225,74,114)'],
        [0.615686274509804, 'rgb(224,73,115)'],
        [0.6196078431372549, 'rgb(224,71,115)'],
        [0.6235294117647059, 'rgb(223,70,116)'],
        [0.6274509803921569, 'rgb(222,68,116)'],
        [0.6313725490196078, 'rgb(222,67,117)'],
        [0.6352941176470588, 'rgb(221,65,117)'],
        [0.6392156862745098, 'rgb(220,64,117)'],
        [0.6431372549019608, 'rgb(219,63,118)'],
        [0.6470588235294118, 'rgb(218,62,119)'],
        [0.6509803921568628, 'rgb(217,61,119)'],
        [0.6549019607843137, 'rgb(216,60,120)'],
        [0.6588235294117647, 'rgb(215,59,121)'],
        [0.6627450980392157, 'rgb(214,58,121)'],
        [0.6666666666666666, 'rgb(213,57,122)'],
        [0.6705882352941176, 'rgb(212,55,122)'],
        [0.6745098039215687, 'rgb(211,54,123)'],
        [0.6784313725490196, 'rgb(210,53,124)'],
        [0.6823529411764706, 'rgb(209,52,124)'],
        [0.6862745098039216, 'rgb(208,51,125)'],
        [0.6901960784313725, 'rgb(207,50,125)'],
        [0.6941176470588235, 'rgb(206,48,126)'],
        [0.6980392156862745, 'rgb(205,47,127)'],
        [0.7019607843137254, 'rgb(204,46,127)'],
        [0.7058823529411765, 'rgb(203,45,128)'],
        [0.7098039215686275, 'rgb(202,43,128)'],
        [0.7137254901960784, 'rgb(201,42,129)'],
        [0.7176470588235294, 'rgb(200,41,130)'],
        [0.7215686274509804, 'rgb(199,40,130)'],
        [0.7254901960784313, 'rgb(197,38,131)'],
        [0.7294117647058823, 'rgb(196,37,131)'],
        [0.7333333333333333, 'rgb(195,37,132)'],
        [0.7372549019607844, 'rgb(193,36,133)'],
        [0.7411764705882353, 'rgb(192,35,133)'],
        [0.7450980392156863, 'rgb(190,35,134)'],
        [0.7490196078431373, 'rgb(189,34,135)'],
        [0.7529411764705882, 'rgb(188,34,135)'],
        [0.7568627450980392, 'rgb(186,33,136)'],
        [0.7607843137254902, 'rgb(185,32,137)'],
        [0.7647058823529411, 'rgb(183,32,137)'],
        [0.7686274509803922, 'rgb(182,31,138)'],
        [0.7725490196078432, 'rgb(180,31,139)'],
        [0.7764705882352941, 'rgb(179,30,139)'],
        [0.7803921568627451, 'rgb(177,29,140)'],
        [0.7843137254901961, 'rgb(176,29,140)'],
        [0.788235294117647, 'rgb(174,28,141)'],
        [0.792156862745098, 'rgb(173,28,142)'],
        [0.796078431372549, 'rgb(171,27,142)'],
        [0.8, 'rgb(170,27,143)'],
        [0.803921568627451, 'rgb(168,26,144)'],
        [0.807843137254902, 'rgb(167,25,144)'],
        [0.8117647058823529, 'rgb(165,25,145)'],
        [0.8156862745098039, 'rgb(163,24,146)'],
        [0.8196078431372549, 'rgb(162,24,146)'],
        [0.8235294117647058, 'rgb(160,24,147)'],
        [0.8274509803921568, 'rgb(158,25,147)'],
        [0.8313725490196079, 'rgb(156,25,148)'],
        [0.8352941176470589, 'rgb(154,26,148)'],
        [0.8392156862745098, 'rgb(152,26,149)'],
        [0.8431372549019608, 'rgb(150,26,150)'],
        [0.8470588235294118, 'rgb(148,27,150)'],
        [0.8509803921568627, 'rgb(146,27,151)'],
        [0.8549019607843137, 'rgb(144,27,151)'],
        [0.8588235294117647, 'rgb(142,28,152)'],
        [0.8627450980392157, 'rgb(140,28,153)'],
        [0.8666666666666667, 'rgb(137,28,153)'],
        [0.8705882352941177, 'rgb(135,29,154)'],
        [0.8745098039215686, 'rgb(133,29,154)'],
        [0.8784313725490196, 'rgb(131,29,155)'],
        [0.8823529411764706, 'rgb(129,29,155)'],
        [0.8862745098039215, 'rgb(127,30,156)'],
        [0.8901960784313725, 'rgb(124,30,157)'],
        [0.8941176470588236, 'rgb(122,30,157)'],
        [0.8980392156862745, 'rgb(120,30,158)'],
        [0.9019607843137255, 'rgb(117,31,158)'],
        [0.9058823529411765, 'rgb(115,31,159)'],
        [0.9098039215686274, 'rgb(112,31,159)'],
        [0.9137254901960784, 'rgb(110,32,160)'],
        [0.9176470588235294, 'rgb(107,33,160)'],
        [0.9215686274509803, 'rgb(104,33,160)'],
        [0.9254901960784314, 'rgb(101,34,161)'],
        [0.9294117647058824, 'rgb(98,35,161)'],
        [0.9333333333333333, 'rgb(95,35,162)'],
        [0.9372549019607843, 'rgb(92,36,162)'],
        [0.9411764705882353, 'rgb(89,36,162)'],
        [0.9450980392156862, 'rgb(85,37,163)'],
        [0.9490196078431372, 'rgb(82,37,163)'],
        [0.9529411764705882, 'rgb(78,38,163)'],
        [0.9568627450980393, 'rgb(75,38,164)'],
        [0.9607843137254902, 'rgb(71,39,164)'],
        [0.9647058823529412, 'rgb(67,39,164)'],
        [0.9686274509803922, 'rgb(62,39,165)'],
        [0.9725490196078431, 'rgb(58,40,165)'],
        [0.9764705882352941, 'rgb(52,40,166)'],
        [0.9803921568627451, 'rgb(47,41,166)'],
        [0.984313725490196, 'rgb(41,41,166)'],
        [0.9882352941176471, 'rgb(33,41,167)'],
        [0.9921568627450981, 'rgb(24,42,167)'],
        [0.996078431372549, 'rgb(10,42,167)'],
        [1.0, 'rgb(0,42,168)'],
    ],
    'cet.linear_wyor_100_45_c55': [
        [0.0, 'rgb(255,255,255)'],
        [0.00392156862745098, 'rgb(254,255,252)'],
        [0.00784313725490196, 'rgb(254,254,250)'],
        [0.011764705882352941, 'rgb(253,254,247)'],
        [0.01568627450980392, 'rgb(253,253,245)'],
        [0.0196078431372549, 'rgb(252,253,242)'],
        [0.023529411764705882, 'rgb(251,252,239)'],
        [0.027450980392156862, 'rgb(251,252,237)'],
        [0.03137254901960784, 'rgb(250,251,234)'],
        [0.03529411764705882, 'rgb(250,251,232)'],
        [0.0392156862745098, 'rgb(249,251,229)'],
        [0.043137254901960784, 'rgb(248,250,227)'],
        [0.047058823529411764, 'rgb(248,250,224)'],
        [0.050980392156862744, 'rgb(247,249,221)'],
        [0.054901960784313725, 'rgb(246,249,219)'],
        [0.058823529411764705, 'rgb(246,248,216)'],
        [0.06274509803921569, 'rgb(245,248,214)'],
        [0.06666666666666667, 'rgb(244,247,211)'],
        [0.07058823529411765, 'rgb(244,247,208)'],
        [0.07450980392156863, 'rgb(243,247,206)'],
        [0.0784313725490196, 'rgb(242,246,203)'],
        [0.08235294117647059, 'rgb(242,246,201)'],
        [0.08627450980392157, 'rgb(241,245,198)'],
        [0.09019607843137255, 'rgb(240,245,196)'],
        [0.09411764705882353, 'rgb(240,244,194)'],
        [0.09803921568627451, 'rgb(240,244,192)'],
        [0.10196078431372549, 'rgb(239,243,191)'],
        [0.10588235294117647, 'rgb(239,242,189)'],
        [0.10980392156862745, 'rgb(239,242,188)'],
        [0.11372549019607843, 'rgb(239,241,186)'],
        [0.11764705882352941, 'rgb(238,240,185)'],
        [0.12156862745098039, 'rgb(238,240,183)'],
        [0.12549019607843137, 'rgb(238,239,182)'],
        [0.12941176470588237, 'rgb(238,238,180)'],
        [0.13333333333333333, 'rgb(237,238,179)'],
        [0.13725490196078433, 'rgb(237,237,177)'],
        [0.1411764705882353, 'rgb(237,236,175)'],
        [0.1450980392156863, 'rgb(236,236,174)'],
        [0.14901960784313725, 'rgb(236,235,172)'],
        [0.15294117647058825, 'rgb(236,234,171)'],
        [0.1568627450980392, 'rgb(236,234,169)'],
        [0.1607843137254902, 'rgb(235,233,168)'],
        [0.16470588235294117, 'rgb(235,232,166)'],
        [0.16862745098039217, 'rgb(235,232,165)'],
        [0.17254901960784313, 'rgb(234,231,163)'],
        [0.17647058823529413, 'rgb(234,230,162)'],
        [0.1803921568627451, 'rgb(234,230,160)'],
        [0.1843137254901961, 'rgb(234,229,159)'],
        [0.18823529411764706, 'rgb(234,228,157)'],
        [0.19215686274509805, 'rgb(233,228,156)'],
        [0.19607843137254902, 'rgb(233,227,155)'],
        [0.2, 'rgb(233,226,153)'],
        [0.20392156862745098, 'rgb(233,225,152)'],
        [0.20784313725490197, 'rgb(233,225,151)'],
        [0.21176470588235294, 'rgb(233,224,150)'],
        [0.21568627450980393, 'rgb(233,223,148)'],
        [0.2196078431372549, 'rgb(233,223,147)'],
        [0.2235294117647059, 'rgb(232,222,146)'],
        [0.22745098039215686, 'rgb(232,221,144)'],
        [0.23137254901960785, 'rgb(232,220,143)'],
        [0.23529411764705882, 'rgb(232,220,142)'],
        [0.23921568627450981, 'rgb(232,219,140)'],
        [0.24313725490196078, 'rgb(232,218,139)'],
        [0.24705882352941178, 'rgb(232,218,138)'],
        [0.25098039215686274, 'rgb(231,217,136)'],
        [0.2549019607843137, 'rgb(231,216,135)'],
        [0.25882352941176473, 'rgb(231,215,134)'],
        [0.2627450980392157, 'rgb(231,215,132)'],
        [0.26666666666666666, 'rgb(231,214,131)'],
        [0.27058823529411763, 'rgb(231,213,130)'],
        [0.27450980392156865, 'rgb(230,213,128)'],
        [0.2784313725490196, 'rgb(230,212,127)'],
        [0.2823529411764706, 'rgb(230,211,126)'],
        [0.28627450980392155, 'rgb(230,210,125)'],
        [0.2901960784313726, 'rgb(230,209,124)'],
        [0.29411764705882354, 'rgb(230,209,123)'],
        [0.2980392156862745, 'rgb(230,208,121)'],
        [0.30196078431372547, 'rgb(230,207,120)'],
        [0.3058823529411765, 'rgb(230,206,119)'],
        [0.30980392156862746, 'rgb(230,206,118)'],
        [0.3137254901960784, 'rgb(230,205,117)'],
        [0.3176470588235294, 'rgb(230,204,116)'],
        [0.3215686274509804, 'rgb(230,203,114)'],
        [0.3254901960784314, 'rgb(230,203,113)'],
        [0.32941176470588235, 'rgb(230,202,112)'],
        [0.3333333333333333, 'rgb(230,201,111)'],
        [0.33725490196078434, 'rgb(229,200,110)'],
        [0.3411764705882353, 'rgb(229,200,109)'],
        [0.34509803921568627, 'rgb(229,199,107)'],
        [0.34901960784313724, 'rgb(229,198,106)'],
        [0.35294117647058826, 'rgb(229,197,105)'],
        [0.3568627450980392, 'rgb(229,196,104)'],
        [0.3607843137254902, 'rgb(229,196,103)'],
        [0.36470588235294116, 'rgb(229,195,102)'],
        [0.3686274509803922, 'rgb(229,194,101)'],
        [0.37254901960784315, 'rgb(229,193,100)'],
        [0.3764705882352941, 'rgb(229,193,99)'],
        [0.3803921568627451, 'rgb(229,192,98)'],
        [0.3843137254901961, 'rgb(229,191,97)'],
        [0.38823529411764707, 'rgb(229,190,96)'],
        [0.39215686274509803, 'rgb(229,189,95)'],
        [0.396078431372549, 'rgb(229,189,94)'],
        [0.4, 'rgb(229,188,92)'],
        [0.403921568627451, 'rgb(228,187,91)'],
        [0.40784313725490196, 'rgb(228,186,90)'],
        [0.4117647058823529, 'rgb(228,185,89)'],
        [0.41568627450980394, 'rgb(228,185,88)'],
        [0.4196078431372549, 'rgb(228,184,87)'],
        [0.4235294117647059, 'rgb(228,183,86)'],
        [0.42745098039215684, 'rgb(228,182,85)'],
        [0.43137254901960786, 'rgb(228,181,84)'],
        [0.43529411764705883, 'rgb(228,181,83)'],
        [0.4392156862745098, 'rgb(228,180,82)'],
        [0.44313725490196076, 'rgb(228,179,81)'],
        [0.4470588235294118, 'rgb(228,178,80)'],
        [0.45098039215686275, 'rgb(228,177,79)'],
        [0.4549019607843137, 'rgb(228,176,78)'],
        [0.4588235294117647, 'rgb(228,176,77)'],
        [0.4627450980392157, 'rgb(228,175,76)'],
        [0.4666666666666667, 'rgb(228,174,76)'],
        [0.47058823529411764, 'rgb(228,173,75)'],
        [0.4745098039215686, 'rgb(228,172,74)'],
        [0.47843137254901963, 'rgb(228,171,73)'],
        [0.4823529411764706, 'rgb(228,171,72)'],
        [0.48627450980392156, 'rgb(228,170,71)'],
        [0.49019607843137253, 'rgb(228,169,70)'],
        [0.49411764705882355, 'rgb(228,168,69)'],
        [0.4980392156862745, 'rgb(227,167,69)'],
        [0.5019607843137255, 'rgb(227,166,68)'],
        [0.5058823529411764, 'rgb(227,166,67)'],
        [0.5098039215686274, 'rgb(227,165,66)'],
        [0.5137254901960784, 'rgb(227,164,65)'],
        [0.5176470588235295, 'rgb(227,163,64)'],
        [0.5215686274509804, 'rgb(227,162,63)'],
        [0.5254901960784314, 'rgb(227,161,62)'],
        [0.5294117647058824, 'rgb(227,161,62)'],
        [0.5333333333333333, 'rgb(227,160,61)'],
        [0.5372549019607843, 'rgb(227,159,60)'],
        [0.5411764705882353, 'rgb(227,158,59)'],
        [0.5450980392156862, 'rgb(227,157,58)'],
        [0.5490196078431373, 'rgb(227,156,57)'],
        [0.5529411764705883, 'rgb(227,155,57)'],
        [0.5568627450980392, 'rgb(227,155,56)'],
        [0.5607843137254902, 'rgb(227,154,55)'],
        [0.5647058823529412, 'rgb(227,153,55)'],
        [0.5686274509803921, 'rgb(227,152,54)'],
        [0.5725490196078431, 'rgb(227,151,53)'],
        [0.5764705882352941, 'rgb(227,150,52)'],
        [0.5803921568627451, 'rgb(227,149,52)'],
        [0.5843137254901961, 'rgb(227,148,51)'],
        [0.5882352941176471, 'rgb(226,147,50)'],
        [0.592156862745098, 'rgb(226,147,50)'],
        [0.596078431372549, 'rgb(226,146,49)'],
        [0.6, 'rgb(226,145,48)'],
        [0.6039215686274509, 'rgb(226,144,47)'],
        [0.6078431372549019, 'rgb(226,143,47)'],
        [0.611764705882353, 'rgb(226,142,46)'],
        [0.615686274509804, 'rgb(226,141,45)'],
        [0.6196078431372549, 'rgb(226,140,45)'],
        [0.6235294117647059, 'rgb(226,139,44)'],
        [0.6274509803921569, 'rgb(226,139,43)'],
        [0.6313725490196078, 'rgb(226,138,42)'],
        [0.6352941176470588, 'rgb(226,137,42)'],
        [0.6392156862745098, 'rgb(226,136,41)'],
        [0.6431372549019608, 'rgb(226,135,41)'],
        [0.6470588235294118, 'rgb(226,134,40)'],
        [0.6509803921568628, 'rgb(226,133,40)'],
        [0.6549019607843137, 'rgb(225,132,39)'],
        [0.6588235294117647, 'rgb(225,131,39)'],
        [0.6627450980392157, 'rgb(225,130,38)'],
        [0.6666666666666666, 'rgb(225,129,38)'],
        [0.6705882352941176, 'rgb(225,128,37)'],
        [0.6745098039215687, 'rgb(225,127,37)'],
        [0.6784313725490196, 'rgb(225,127,36)'],
        [0.6823529411764706, 'rgb(225,126,36)'],
        [0.6862745098039216, 'rgb(225,125,35)'],
        [0.6901960784313725, 'rgb(225,124,35)'],
        [0.6941176470588235, 'rgb(225,123,34)'],
        [0.6980392156862745, 'rgb(225,122,34)'],
        [0.7019607843137254, 'rgb(225,121,33)'],
        [0.7058823529411765, 'rgb(225,120,33)'],
        [0.7098039215686275, 'rgb(224,119,32)'],
        [0.7137254901960784, 'rgb(224,118,32)'],
        [0.7176470588235294, 'rgb(224,117,31)'],
        [0.7215686274509804, 'rgb(224,116,31)'],
        [0.7254901960784313, 'rgb(224,115,30)'],
        [0.7294117647058823, 'rgb(224,114,30)'],
        [0.7333333333333333, 'rgb(224,113,30)'],
        [0.7372549019607844, 'rgb(224,112,29)'],
        [0.7411764705882353, 'rgb(224,111,29)'],
        [0.7450980392156863, 'rgb(224,110,29)'],
        [0.7490196078431373, 'rgb(224,109,29)'],
        [0.7529411764705882, 'rgb(223,108,28)'],
        [0.7568627450980392, 'rgb(223,107,28)'],
        [0.7607843137254902, 'rgb(223,106,28)'],
        [0.7647058823529411, 'rgb(223,105,28)'],
        [0.7686274509803922, 'rgb(223,104,27)'],
        [0.7725490196078432, 'rgb(223,103,27)'],
        [0.7764705882352941, 'rgb(223,102,27)'],
        [0.7803921568627451, 'rgb(223,101,27)'],
        [0.7843137254901961, 'rgb(223,100,27)'],
        [0.788235294117647, 'rgb(222,99,26)'],
        [0.792156862745098, 'rgb(222,98,26)'],
        [0.796078431372549, 'rgb(222,97,26)'],
        [0.8, 'rgb(222,96,26)'],
        [0.803921568627451, 'rgb(222,95,25)'],
        [0.807843137254902, 'rgb(222,93,25)'],
        [0.8117647058823529, 'rgb(222,92,25)'],
        [0.8156862745098039, 'rgb(222,91,25)'],
        [0.8196078431372549, 'rgb(221,90,25)'],
        [0.8235294117647058, 'rgb(221,89,25)'],
        [0.8274509803921568, 'rgb(221,88,25)'],
        [0.8313725490196079, 'rgb(221,87,25)'],
        [0.8352941176470589, 'rgb(221,86,25)'],
        [0.8392156862745098, 'rgb(221,85,25)'],
        [0.8431372549019608, 'rgb(221,83,25)'],
        [0.8470588235294118, 'rgb(220,82,25)'],
        [0.8509803921568627, 'rgb(220,81,25)'],
        [0.8549019607843137, 'rgb(220,80,25)'],
        [0.8588235294117647, 'rgb(220,79,25)'],
        [0.8627450980392157, 'rgb(220,78,25)'],
        [0.8666666666666667, 'rgb(220,76,25)'],
        [0.8705882352941177, 'rgb(219,75,25)'],
        [0.8745098039215686, 'rgb(219,74,25)'],
        [0.8784313725490196, 'rgb(219,73,25)'],
        [0.8823529411764706, 'rgb(219,71,25)'],
        [0.8862745098039215, 'rgb(219,70,25)'],
        [0.8901960784313725, 'rgb(219,69,25)'],
        [0.8941176470588236, 'rgb(218,67,25)'],
        [0.8980392156862745, 'rgb(218,66,25)'],
        [0.9019607843137255, 'rgb(218,65,25)'],
        [0.9058823529411765, 'rgb(218,63,25)'],
        [0.9098039215686274, 'rgb(218,62,25)'],
        [0.9137254901960784, 'rgb(218,61,25)'],
        [0.9176470588235294, 'rgb(217,59,26)'],
        [0.9215686274509803, 'rgb(217,58,26)'],
        [0.9254901960784314, 'rgb(217,56,26)'],
        [0.9294117647058824, 'rgb(217,55,26)'],
        [0.9333333333333333, 'rgb(217,53,26)'],
        [0.9372549019607843, 'rgb(216,52,27)'],
        [0.9411764705882353, 'rgb(216,50,27)'],
        [0.9450980392156862, 'rgb(216,48,27)'],
        [0.9490196078431372, 'rgb(216,47,27)'],
        [0.9529411764705882, 'rgb(215,45,27)'],
        [0.9568627450980393, 'rgb(215,43,27)'],
        [0.9607843137254902, 'rgb(215,41,28)'],
        [0.9647058823529412, 'rgb(215,39,28)'],
        [0.9686274509803922, 'rgb(215,37,28)'],
        [0.9725490196078431, 'rgb(214,35,28)'],
        [0.9764705882352941, 'rgb(214,33,28)'],
        [0.9803921568627451, 'rgb(214,31,28)'],
        [0.984313725490196, 'rgb(214,28,29)'],
        [0.9882352941176471, 'rgb(213,25,29)'],
        [0.9921568627450981, 'rgb(213,22,29)'],
        [0.996078431372549, 'rgb(213,19,29)'],
        [1.0, 'rgb(213,15,29)'],
    ],
    'cet.rainbow_bgyr_35_85_c72': [
        [0.0, 'rgb(0,52,245)'],
        [0.00392156862745098, 'rgb(0,55,243)'],
        [0.00784313725490196, 'rgb(0,58,240)'],
        [0.011764705882352941, 'rgb(0,60,237)'],
        [0.01568627450980392, 'rgb(0,63,234)'],
        [0.0196078431372549, 'rgb(0,65,231)'],
        [0.023529411764705882, 'rgb(0,68,229)'],
        [0.027450980392156862, 'rgb(0,70,226)'],
        [0.03137254901960784, 'rgb(0,72,223)'],
        [0.03529411764705882, 'rgb(0,74,220)'],
        [0.0392156862745098, 'rgb(0,77,217)'],
        [0.043137254901960784, 'rgb(0,79,214)'],
        [0.047058823529411764, 'rgb(0,81,212)'],
        [0.050980392156862744, 'rgb(0,83,209)'],
        [0.054901960784313725, 'rgb(0,85,206)'],
        [0.058823529411764705, 'rgb(0,87,203)'],
        [0.06274509803921569, 'rgb(0,89,201)'],
        [0.06666666666666667, 'rgb(0,90,198)'],
        [0.07058823529411765, 'rgb(0,92,195)'],
        [0.07450980392156863, 'rgb(0,94,192)'],
        [0.0784313725490196, 'rgb(0,96,189)'],
        [0.08235294117647059, 'rgb(0,98,187)'],
        [0.08627450980392157, 'rgb(0,99,184)'],
        [0.09019607843137255, 'rgb(0,101,181)'],
        [0.09411764705882353, 'rgb(0,103,178)'],
        [0.09803921568627451, 'rgb(0,104,176)'],
        [0.10196078431372549, 'rgb(0,106,173)'],
        [0.10588235294117647, 'rgb(0,108,170)'],
        [0.10980392156862745, 'rgb(0,109,167)'],
        [0.11372549019607843, 'rgb(0,111,165)'],
        [0.11764705882352941, 'rgb(0,112,162)'],
        [0.12156862745098039, 'rgb(0,113,160)'],
        [0.12549019607843137, 'rgb(0,115,157)'],
        [0.12941176470588237, 'rgb(0,116,154)'],
        [0.13333333333333333, 'rgb(0,117,152)'],
        [0.13725490196078433, 'rgb(1,118,149)'],
        [0.1411764705882353, 'rgb(8,119,147)'],
        [0.1450980392156863, 'rgb(14,120,145)'],
        [0.14901960784313725, 'rgb(20,122,142)'],
        [0.15294117647058825, 'rgb(24,123,140)'],
        [0.1568627450980392, 'rgb(28,124,137)'],
        [0.1607843137254902, 'rgb(32,125,135)'],
        [0.16470588235294117, 'rgb(35,126,133)'],
        [0.16862745098039217, 'rgb(38,127,130)'],
        [0.17254901960784313, 'rgb(41,128,128)'],
        [0.17647058823529413, 'rgb(43,129,126)'],
        [0.1803921568627451, 'rgb(45,130,123)'],
        [0.1843137254901961, 'rgb(47,131,121)'],
        [0.18823529411764706, 'rgb(49,132,118)'],
        [0.19215686274509805, 'rgb(51,133,116)'],
        [0.19607843137254902, 'rgb(52,134,114)'],
        [0.2, 'rgb(53,135,111)'],
        [0.20392156862745098, 'rgb(55,136,109)'],
        [0.20784313725490197, 'rgb(56,137,106)'],
        [0.21176470588235294, 'rgb(57,138,104)'],
        [0.21568627450980393, 'rgb(58,139,101)'],
        [0.2196078431372549, 'rgb(59,140,99)'],
        [0.2235294117647059, 'rgb(59,141,96)'],
        [0.22745098039215686, 'rgb(60,142,94)'],
        [0.23137254901960785, 'rgb(61,143,91)'],
        [0.23529411764705882, 'rgb(61,144,88)'],
        [0.23921568627450981, 'rgb(62,145,86)'],
        [0.24313725490196078, 'rgb(62,146,83)'],
        [0.24705882352941178, 'rgb(62,147,80)'],
        [0.25098039215686274, 'rgb(63,148,78)'],
        [0.2549019607843137, 'rgb(63,149,75)'],
        [0.25882352941176473, 'rgb(63,150,72)'],
        [0.2627450980392157, 'rgb(63,152,69)'],
        [0.26666666666666666, 'rgb(63,153,66)'],
        [0.27058823529411763, 'rgb(63,154,63)'],
        [0.27450980392156865, 'rgb(63,155,60)'],
        [0.2784313725490196, 'rgb(63,156,57)'],
        [0.2823529411764706, 'rgb(63,157,53)'],
        [0.28627450980392155, 'rgb(63,158,50)'],
        [0.2901960784313726, 'rgb(63,159,47)'],
        [0.29411764705882354, 'rgb(63,160,43)'],
        [0.2980392156862745, 'rgb(63,161,40)'],
        [0.30196078431372547, 'rgb(64,162,36)'],
        [0.3058823529411765, 'rgb(64,163,33)'],
        [0.30980392156862746, 'rgb(65,164,30)'],
        [0.3137254901960784, 'rgb(66,165,27)'],
        [0.3176470588235294, 'rgb(68,166,24)'],
        [0.3215686274509804, 'rgb(70,166,22)'],
        [0.3254901960784314, 'rgb(72,167,20)'],
        [0.32941176470588235, 'rgb(74,168,18)'],
        [0.3333333333333333, 'rgb(77,169,16)'],
        [0.33725490196078434, 'rgb(79,169,16)'],
        [0.3411764705882353, 'rgb(82,170,15)'],
        [0.34509803921568627, 'rgb(85,171,15)'],
        [0.34901960784313724, 'rgb(87,171,15)'],
        [0.35294117647058826, 'rgb(90,172,15)'],
        [0.3568627450980392, 'rgb(93,172,15)'],
        [0.3607843137254902, 'rgb(96,173,16)'],
        [0.36470588235294116, 'rgb(98,174,16)'],
        [0.3686274509803922, 'rgb(101,174,17)'],
        [0.37254901960784315, 'rgb(104,175,17)'],
        [0.3764705882352941, 'rgb(106,175,18)'],
        [0.3803921568627451, 'rgb(109,176,18)'],
        [0.3843137254901961, 'rgb(111,177,18)'],
        [0.38823529411764707, 'rgb(114,177,19)'],
        [0.39215686274509803, 'rgb(116,178,19)'],
        [0.396078431372549, 'rgb(119,178,20)'],
        [0.4, 'rgb(121,179,20)'],
        [0.403921568627451, 'rgb(124,180,21)'],
        [0.40784313725490196, 'rgb(126,180,21)'],
        [0.4117647058823529, 'rgb(129,181,22)'],
        [0.41568627450980394, 'rgb(131,181,22)'],
        [0.4196078431372549, 'rgb(133,182,23)'],
        [0.4235294117647059, 'rgb(136,182,23)'],
        [0.42745098039215684, 'rgb(138,183,24)'],
        [0.43137254901960786, 'rgb(140,183,24)'],
        [0.43529411764705883, 'rgb(143,184,25)'],
        [0.4392156862745098, 'rgb(145,185,25)'],
        [0.44313725490196076, 'rgb(147,185,26)'],
        [0.4470588235294118, 'rgb(150,186,26)'],
        [0.45098039215686275, 'rgb(152,186,26)'],
        [0.4549019607843137, 'rgb(154,187,27)'],
        [0.4588235294117647, 'rgb(156,187,27)'],
        [0.4627450980392157, 'rgb(159,188,28)'],
        [0.4666666666666667, 'rgb(161,188,28)'],
        [0.47058823529411764, 'rgb(163,189,29)'],
        [0.4745098039215686, 'rgb(165,190,29)'],
        [0.47843137254901963, 'rgb(168,190,30)'],
        [0.4823529411764706, 'rgb(170,191,30)'],
        [0.48627450980392156, 'rgb(172,191,31)'],
        [0.49019607843137253, 'rgb(174,192,31)'],
        [0.49411764705882355, 'rgb(176,192,31)'],
        [0.4980392156862745, 'rgb(179,193,32)'],
        [0.5019607843137255, 'rgb(181,193,32)'],
        [0.5058823529411764, 'rgb(183,194,33)'],
        [0.5098039215686274, 'rgb(185,194,33)'],
        [0.5137254901960784, 'rgb(187,195,34)'],
        [0.5176470588235295, 'rgb(190,195,34)'],
        [0.5215686274509804, 'rgb(192,196,35)'],
        [0.5254901960784314, 'rgb(194,196,35)'],
        [0.5294117647058824, 'rgb(196,197,35)'],
        [0.5333333333333333, 'rgb(198,197,36)'],
        [0.5372549019607843, 'rgb(200,198,36)'],
        [0.5411764705882353, 'rgb(203,198,37)'],
        [0.5450980392156862, 'rgb(205,199,37)'],
        [0.5490196078431373, 'rgb(207,199,38)'],
        [0.5529411764705883, 'rgb(209,200,38)'],
        [0.5568627450980392, 'rgb(211,200,39)'],
        [0.5607843137254902, 'rgb(213,201,39)'],
        [0.5647058823529412, 'rgb(215,201,39)'],
        [0.5686274509803921, 'rgb(218,202,40)'],
        [0.5725490196078431, 'rgb(220,202,40)'],
        [0.5764705882352941, 'rgb(222,203,41)'],
        [0.5803921568627451, 'rgb(224,203,41)'],
        [0.5843137254901961, 'rgb(226,203,42)'],
        [0.5882352941176471, 'rgb(228,204,42)'],
        [0.592156862745098, 'rgb(230,204,43)'],
        [0.596078431372549, 'rgb(232,205,43)'],
        [0.6, 'rgb(234,205,43)'],
        [0.6039215686274509, 'rgb(236,205,44)'],
        [0.6078431372549019, 'rgb(238,205,44)'],
        [0.611764705882353, 'rgb(240,205,44)'],
        [0.615686274509804, 'rgb(242,205,44)'],
        [0.6196078431372549, 'rgb(244,205,44)'],
        [0.6235294117647059, 'rgb(245,205,44)'],
        [0.6274509803921569, 'rgb(246,204,44)'],
        [0.6313725490196078, 'rgb(248,204,44)'],
        [0.6352941176470588, 'rgb(249,203,44)'],
        [0.6392156862745098, 'rgb(249,202,44)'],
        [0.6431372549019608, 'rgb(250,201,43)'],
        [0.6470588235294118, 'rgb(251,200,43)'],
        [0.6509803921568628, 'rgb(251,199,42)'],
        [0.6549019607843137, 'rgb(252,197,42)'],
        [0.6588235294117647, 'rgb(252,196,41)'],
        [0.6627450980392157, 'rgb(252,195,41)'],
        [0.6666666666666666, 'rgb(252,194,40)'],
        [0.6705882352941176, 'rgb(253,192,40)'],
        [0.6745098039215687, 'rgb(253,191,39)'],
        [0.6784313725490196, 'rgb(253,190,39)'],
        [0.6823529411764706, 'rgb(253,188,38)'],
        [0.6862745098039216, 'rgb(253,187,38)'],
        [0.6901960784313725, 'rgb(253,186,37)'],
        [0.6941176470588235, 'rgb(254,184,37)'],
        [0.6980392156862745, 'rgb(254,183,36)'],
        [0.7019607843137254, 'rgb(254,181,35)'],
        [0.7058823529411765, 'rgb(254,180,35)'],
        [0.7098039215686275, 'rgb(254,179,34)'],
        [0.7137254901960784, 'rgb(254,177,34)'],
        [0.7176470588235294, 'rgb(254,176,33)'],
        [0.7215686274509804, 'rgb(254,175,33)'],
        [0.7254901960784313, 'rgb(255,173,32)'],
        [0.7294117647058823, 'rgb(255,172,31)'],
        [0.7333333333333333, 'rgb(255,170,31)'],
        [0.7372549019607844, 'rgb(255,169,30)'],
        [0.7411764705882353, 'rgb(255,168,30)'],
        [0.7450980392156863, 'rgb(255,166,29)'],
        [0.7490196078431373, 'rgb(255,165,29)'],
        [0.7529411764705882, 'rgb(255,163,28)'],
        [0.7568627450980392, 'rgb(255,162,28)'],
        [0.7607843137254902, 'rgb(255,161,27)'],
        [0.7647058823529411, 'rgb(255,159,26)'],
        [0.7686274509803922, 'rgb(255,158,26)'],
        [0.7725490196078432, 'rgb(255,156,25)'],
        [0.7764705882352941, 'rgb(255,155,25)'],
        [0.7803921568627451, 'rgb(255,153,24)'],
        [0.7843137254901961, 'rgb(255,152,24)'],
        [0.788235294117647, 'rgb(255,150,23)'],
        [0.792156862745098, 'rgb(255,149,22)'],
        [0.796078431372549, 'rgb(255,147,22)'],
        [0.8, 'rgb(255,146,21)'],
        [0.803921568627451, 'rgb(255,145,21)'],
        [0.807843137254902, 'rgb(255,143,20)'],
        [0.8117647058823529, 'rgb(255,142,20)'],
        [0.8156862745098039, 'rgb(255,140,19)'],
        [0.8196078431372549, 'rgb(255,139,18)'],
        [0.8235294117647058, 'rgb(255,137,18)'],
        [0.8274509803921568, 'rgb(255,136,17)'],
        [0.8313725490196079, 'rgb(255,134,17)'],
        [0.8352941176470589, 'rgb(255,132,16)'],
        [0.8392156862745098, 'rgb(255,131,16)'],
        [0.8431372549019608, 'rgb(255,129,15)'],
        [0.8470588235294118, 'rgb(255,128,14)'],
        [0.8509803921568627, 'rgb(255,126,14)'],
        [0.8549019607843137, 'rgb(255,125,13)'],
        [0.8588235294117647, 'rgb(255,123,13)'],
        [0.8627450980392157, 'rgb(255,121,12)'],
        [0.8666666666666667, 'rgb(255,120,11)'],
        [0.8705882352941177, 'rgb(255,118,11)'],
        [0.8745098039215686, 'rgb(255,116,10)'],
        [0.8784313725490196, 'rgb(255,115,10)'],
        [0.8823529411764706, 'rgb(255,113,9)'],
        [0.8862745098039215, 'rgb(255,111,8)'],
        [0.8901960784313725, 'rgb(255,110,8)'],
        [0.8941176470588236, 'rgb(255,108,7)'],
        [0.8980392156862745, 'rgb(255,106,7)'],
        [0.9019607843137255, 'rgb(255,105,6)'],
        [0.9058823529411765, 'rgb(255,103,6)'],
        [0.9098039215686274, 'rgb(255,101,5)'],
        [0.9137254901960784, 'rgb(255,99,5)'],
        [0.9176470588235294, 'rgb(255,97,4)'],
        [0.9215686274509803, 'rgb(255,95,4)'],
        [0.9254901960784314, 'rgb(255,94,3)'],
        [0.9294117647058824, 'rgb(255,92,3)'],
        [0.9333333333333333, 'rgb(255,90,3)'],
        [0.9372549019607843, 'rgb(255,88,2)'],
        [0.9411764705882353, 'rgb(254,86,2)'],
        [0.9450980392156862, 'rgb(254,84,2)'],
        [0.9490196078431372, 'rgb(254,82,1)'],
        [0.9529411764705882, 'rgb(254,79,1)'],
        [0.9568627450980393, 'rgb(254,77,1)'],
        [0.9607843137254902, 'rgb(254,75,0)'],
        [0.9647058823529412, 'rgb(254,73,0)'],
        [0.9686274509803922, 'rgb(254,70,0)'],
        [0.9725490196078431, 'rgb(254,68,0)'],
        [0.9764705882352941, 'rgb(253,65,0)'],
        [0.9803921568627451, 'rgb(253,63,0)'],
        [0.984313725490196, 'rgb(253,60,0)'],
        [0.9882352941176471, 'rgb(253,57,0)'],
        [0.9921568627450981, 'rgb(253,54,0)'],
        [0.996078431372549, 'rgb(253,51,0)'],
        [1.0, 'rgb(253,48,0)'],
    ],
    'cet.rainbow_bgyr_35_85_c73': [
        [0.0, 'rgb(0,53,249)'],
        [0.00392156862745098, 'rgb(0,56,246)'],
        [0.00784313725490196, 'rgb(0,58,243)'],
        [0.011764705882352941, 'rgb(0,61,240)'],
        [0.01568627450980392, 'rgb(0,63,237)'],
        [0.0196078431372549, 'rgb(0,66,234)'],
        [0.023529411764705882, 'rgb(0,68,231)'],
        [0.027450980392156862, 'rgb(0,71,228)'],
        [0.03137254901960784, 'rgb(0,73,225)'],
        [0.03529411764705882, 'rgb(0,75,223)'],
        [0.0392156862745098, 'rgb(0,77,220)'],
        [0.043137254901960784, 'rgb(0,79,217)'],
        [0.047058823529411764, 'rgb(0,81,214)'],
        [0.050980392156862744, 'rgb(0,83,211)'],
        [0.054901960784313725, 'rgb(0,85,208)'],
        [0.058823529411764705, 'rgb(0,87,205)'],
        [0.06274509803921569, 'rgb(0,89,202)'],
        [0.06666666666666667, 'rgb(0,91,199)'],
        [0.07058823529411765, 'rgb(0,92,196)'],
        [0.07450980392156863, 'rgb(0,94,194)'],
        [0.0784313725490196, 'rgb(0,96,191)'],
        [0.08235294117647059, 'rgb(0,98,188)'],
        [0.08627450980392157, 'rgb(0,99,185)'],
        [0.09019607843137255, 'rgb(0,101,182)'],
        [0.09411764705882353, 'rgb(0,103,179)'],
        [0.09803921568627451, 'rgb(0,104,176)'],
        [0.10196078431372549, 'rgb(0,106,174)'],
        [0.10588235294117647, 'rgb(0,108,171)'],
        [0.10980392156862745, 'rgb(0,109,168)'],
        [0.11372549019607843, 'rgb(0,111,165)'],
        [0.11764705882352941, 'rgb(0,112,163)'],
        [0.12156862745098039, 'rgb(0,113,160)'],
        [0.12549019607843137, 'rgb(0,115,157)'],
        [0.12941176470588237, 'rgb(0,116,155)'],
        [0.13333333333333333, 'rgb(0,117,152)'],
        [0.13725490196078433, 'rgb(0,118,150)'],
        [0.1411764705882353, 'rgb(7,119,147)'],
        [0.1450980392156863, 'rgb(14,120,145)'],
        [0.14901960784313725, 'rgb(20,122,142)'],
        [0.15294117647058825, 'rgb(24,123,140)'],
        [0.1568627450980392, 'rgb(28,124,137)'],
        [0.1607843137254902, 'rgb(32,125,135)'],
        [0.16470588235294117, 'rgb(35,126,133)'],
        [0.16862745098039217, 'rgb(38,127,130)'],
        [0.17254901960784313, 'rgb(41,128,128)'],
        [0.17647058823529413, 'rgb(43,129,126)'],
        [0.1803921568627451, 'rgb(45,130,123)'],
        [0.1843137254901961, 'rgb(47,131,121)'],
        [0.18823529411764706, 'rgb(49,132,118)'],
        [0.19215686274509805, 'rgb(51,133,116)'],
        [0.19607843137254902, 'rgb(52,134,114)'],
        [0.2, 'rgb(53,135,111)'],
        [0.20392156862745098, 'rgb(55,136,109)'],
        [0.20784313725490197, 'rgb(56,137,106)'],
        [0.21176470588235294, 'rgb(57,138,104)'],
        [0.21568627450980393, 'rgb(58,139,101)'],
        [0.2196078431372549, 'rgb(59,140,99)'],
        [0.2235294117647059, 'rgb(59,141,96)'],
        [0.22745098039215686, 'rgb(60,142,94)'],
        [0.23137254901960785, 'rgb(61,143,91)'],
        [0.23529411764705882, 'rgb(61,144,88)'],
        [0.23921568627450981, 'rgb(62,145,86)'],
        [0.24313725490196078, 'rgb(62,146,83)'],
        [0.24705882352941178, 'rgb(62,147,80)'],
        [0.25098039215686274, 'rgb(63,148,78)'],
        [0.2549019607843137, 'rgb(63,149,75)'],
        [0.25882352941176473, 'rgb(63,150,72)'],
        [0.2627450980392157, 'rgb(63,152,69)'],
        [0.26666666666666666, 'rgb(63,153,66)'],
        [0.27058823529411763, 'rgb(63,154,63)'],
        [0.27450980392156865, 'rgb(63,155,60)'],
        [0.2784313725490196, 'rgb(63,156,57)'],
        [0.2823529411764706, 'rgb(63,157,53)'],
        [0.28627450980392155, 'rgb(63,158,50)'],
        [0.2901960784313726, 'rgb(63,159,47)'],
        [0.29411764705882354, 'rgb(63,160,43)'],
        [0.2980392156862745, 'rgb(63,161,40)'],
        [0.30196078431372547, 'rgb(64,162,36)'],
        [0.3058823529411765, 'rgb(64,163,33)'],
        [0.30980392156862746, 'rgb(65,164,30)'],
        [0.3137254901960784, 'rgb(66,165,27)'],
        [0.3176470588235294, 'rgb(68,166,24)'],
        [0.3215686274509804, 'rgb(70,166,21)'],
        [0.3254901960784314, 'rgb(72,167,19)'],
        [0.32941176470588235, 'rgb(74,168,17)'],
        [0.3333333333333333, 'rgb(77,169,16)'],
        [0.33725490196078434, 'rgb(79,169,15)'],
        [0.3411764705882353, 'rgb(82,170,14)'],
        [0.34509803921568627, 'rgb(85,171,13)'],
        [0.34901960784313724, 'rgb(88,171,13)'],
        [0.35294117647058826, 'rgb(90,172,13)'],
        [0.3568627450980392, 'rgb(93,172,14)'],
        [0.3607843137254902, 'rgb(96,173,14)'],
        [0.36470588235294116, 'rgb(99,174,14)'],
        [0.3686274509803922, 'rgb(101,174,14)'],
        [0.37254901960784315, 'rgb(104,175,15)'],
        [0.3764705882352941, 'rgb(106,175,15)'],
        [0.3803921568627451, 'rgb(109,176,16)'],
        [0.3843137254901961, 'rgb(112,177,16)'],
        [0.38823529411764707, 'rgb(114,177,16)'],
        [0.39215686274509803, 'rgb(117,178,17)'],
        [0.396078431372549, 'rgb(119,178,17)'],
        [0.4, 'rgb(122,179,17)'],
        [0.403921568627451, 'rgb(124,180,18)'],
        [0.40784313725490196, 'rgb(126,180,18)'],
        [0.4117647058823529, 'rgb(129,181,19)'],
        [0.41568627450980394, 'rgb(131,181,19)'],
        [0.4196078431372549, 'rgb(134,182,19)'],
        [0.4235294117647059, 'rgb(136,182,20)'],
        [0.42745098039215684, 'rgb(138,183,20)'],
        [0.43137254901960786, 'rgb(141,183,20)'],
        [0.43529411764705883, 'rgb(143,184,21)'],
        [0.4392156862745098, 'rgb(145,185,21)'],
        [0.44313725490196076, 'rgb(148,185,21)'],
        [0.4470588235294118, 'rgb(150,186,22)'],
        [0.45098039215686275, 'rgb(152,186,22)'],
        [0.4549019607843137, 'rgb(154,187,23)'],
        [0.4588235294117647, 'rgb(157,187,23)'],
        [0.4627450980392157, 'rgb(159,188,23)'],
        [0.4666666666666667, 'rgb(161,188,24)'],
        [0.47058823529411764, 'rgb(163,189,24)'],
        [0.4745098039215686, 'rgb(166,189,24)'],
        [0.47843137254901963, 'rgb(168,190,25)'],
        [0.4823529411764706, 'rgb(170,191,25)'],
        [0.48627450980392156, 'rgb(172,191,26)'],
        [0.49019607843137253, 'rgb(175,192,26)'],
        [0.49411764705882355, 'rgb(177,192,26)'],
        [0.4980392156862745, 'rgb(179,193,27)'],
        [0.5019607843137255, 'rgb(181,193,27)'],
        [0.5058823529411764, 'rgb(183,194,27)'],
        [0.5098039215686274, 'rgb(186,194,28)'],
        [0.5137254901960784, 'rgb(188,195,28)'],
        [0.5176470588235295, 'rgb(190,195,28)'],
        [0.5215686274509804, 'rgb(192,196,29)'],
        [0.5254901960784314, 'rgb(194,196,29)'],
        [0.5294117647058824, 'rgb(196,197,30)'],
        [0.5333333333333333, 'rgb(199,197,30)'],
        [0.5372549019607843, 'rgb(201,198,30)'],
        [0.5411764705882353, 'rgb(203,198,31)'],
        [0.5450980392156862, 'rgb(205,199,31)'],
        [0.5490196078431373, 'rgb(207,199,31)'],
        [0.5529411764705883, 'rgb(209,200,32)'],
        [0.5568627450980392, 'rgb(211,200,32)'],
        [0.5607843137254902, 'rgb(214,201,33)'],
        [0.5647058823529412, 'rgb(216,201,33)'],
        [0.5686274509803921, 'rgb(218,202,33)'],
        [0.5725490196078431, 'rgb(220,202,34)'],
        [0.5764705882352941, 'rgb(222,203,34)'],
        [0.5803921568627451, 'rgb(224,203,34)'],
        [0.5843137254901961, 'rgb(226,203,35)'],
        [0.5882352941176471, 'rgb(229,204,35)'],
        [0.592156862745098, 'rgb(231,204,35)'],
        [0.596078431372549, 'rgb(233,205,36)'],
        [0.6, 'rgb(235,205,36)'],
        [0.6039215686274509, 'rgb(237,205,36)'],
        [0.6078431372549019, 'rgb(239,205,37)'],
        [0.611764705882353, 'rgb(241,205,37)'],
        [0.615686274509804, 'rgb(242,205,37)'],
        [0.6196078431372549, 'rgb(244,205,37)'],
        [0.6235294117647059, 'rgb(245,205,37)'],
        [0.6274509803921569, 'rgb(247,204,37)'],
        [0.6313725490196078, 'rgb(248,204,36)'],
        [0.6352941176470588, 'rgb(249,203,36)'],
        [0.6392156862745098, 'rgb(250,202,36)'],
        [0.6431372549019608, 'rgb(251,201,35)'],
        [0.6470588235294118, 'rgb(251,200,35)'],
        [0.6509803921568628, 'rgb(252,199,34)'],
        [0.6549019607843137, 'rgb(252,197,34)'],
        [0.6588235294117647, 'rgb(253,196,33)'],
        [0.6627450980392157, 'rgb(253,195,33)'],
        [0.6666666666666666, 'rgb(253,193,32)'],
        [0.6705882352941176, 'rgb(253,192,32)'],
        [0.6745098039215687, 'rgb(254,191,31)'],
        [0.6784313725490196, 'rgb(254,189,30)'],
        [0.6823529411764706, 'rgb(254,188,30)'],
        [0.6862745098039216, 'rgb(254,187,29)'],
        [0.6901960784313725, 'rgb(254,185,29)'],
        [0.6941176470588235, 'rgb(255,184,28)'],
        [0.6980392156862745, 'rgb(255,182,27)'],
        [0.7019607843137254, 'rgb(255,181,27)'],
        [0.7058823529411765, 'rgb(255,180,26)'],
        [0.7098039215686275, 'rgb(255,178,25)'],
        [0.7137254901960784, 'rgb(255,177,25)'],
        [0.7176470588235294, 'rgb(255,176,24)'],
        [0.7215686274509804, 'rgb(255,174,24)'],
        [0.7254901960784313, 'rgb(255,173,23)'],
        [0.7294117647058823, 'rgb(255,171,22)'],
        [0.7333333333333333, 'rgb(255,170,22)'],
        [0.7372549019607844, 'rgb(255,168,21)'],
        [0.7411764705882353, 'rgb(255,167,20)'],
        [0.7450980392156863, 'rgb(255,166,20)'],
        [0.7490196078431373, 'rgb(255,164,19)'],
        [0.7529411764705882, 'rgb(255,163,18)'],
        [0.7568627450980392, 'rgb(255,161,18)'],
        [0.7607843137254902, 'rgb(255,160,17)'],
        [0.7647058823529411, 'rgb(255,158,16)'],
        [0.7686274509803922, 'rgb(255,157,16)'],
        [0.7725490196078432, 'rgb(255,156,15)'],
        [0.7764705882352941, 'rgb(255,154,14)'],
        [0.7803921568627451, 'rgb(255,153,13)'],
        [0.7843137254901961, 'rgb(255,151,13)'],
        [0.788235294117647, 'rgb(255,150,12)'],
        [0.792156862745098, 'rgb(255,148,11)'],
        [0.796078431372549, 'rgb(255,147,10)'],
        [0.8, 'rgb(255,145,10)'],
        [0.803921568627451, 'rgb(255,144,9)'],
        [0.807843137254902, 'rgb(255,142,8)'],
        [0.8117647058823529, 'rgb(255,141,7)'],
        [0.8156862745098039, 'rgb(255,139,7)'],
        [0.8196078431372549, 'rgb(255,138,6)'],
        [0.8235294117647058, 'rgb(255,136,5)'],
        [0.8274509803921568, 'rgb(255,134,5)'],
        [0.8313725490196079, 'rgb(255,133,4)'],
        [0.8352941176470589, 'rgb(255,131,3)'],
        [0.8392156862745098, 'rgb(255,130,3)'],
        [0.8431372549019608, 'rgb(255,128,2)'],
        [0.8470588235294118, 'rgb(255,127,2)'],
        [0.8509803921568627, 'rgb(255,125,1)'],
        [0.8549019607843137, 'rgb(255,123,1)'],
        [0.8588235294117647, 'rgb(255,122,0)'],
        [0.8627450980392157, 'rgb(255,120,0)'],
        [0.8666666666666667, 'rgb(255,118,0)'],
        [0.8705882352941177, 'rgb(255,117,0)'],
        [0.8745098039215686, 'rgb(255,115,0)'],
        [0.8784313725490196, 'rgb(255,113,0)'],
        [0.8823529411764706, 'rgb(255,112,0)'],
        [0.8862745098039215, 'rgb(255,110,0)'],
        [0.8901960784313725, 'rgb(255,108,0)'],
        [0.8941176470588236, 'rgb(255,106,0)'],
        [0.8980392156862745, 'rgb(255,104,0)'],
        [0.9019607843137255, 'rgb(255,103,0)'],
        [0.9058823529411765, 'rgb(255,101,0)'],
        [0.9098039215686274, 'rgb(255,99,0)'],
        [0.9137254901960784, 'rgb(255,97,0)'],
        [0.9176470588235294, 'rgb(255,95,0)'],
        [0.9215686274509803, 'rgb(255,93,0)'],
        [0.9254901960784314, 'rgb(255,91,0)'],
        [0.9294117647058824, 'rgb(255,89,0)'],
        [0.9333333333333333, 'rgb(255,87,0)'],
        [0.9372549019607843, 'rgb(255,85,0)'],
        [0.9411764705882353, 'rgb(255,83,0)'],
        [0.9450980392156862, 'rgb(255,81,0)'],
        [0.9490196078431372, 'rgb(255,79,0)'],
        [0.9529411764705882, 'rgb(255,76,0)'],
        [0.9568627450980393, 'rgb(255,74,0)'],
        [0.9607843137254902, 'rgb(255,72,0)'],
        [0.9647058823529412, 'rgb(255,69,0)'],
        [0.9686274509803922, 'rgb(255,67,0)'],
        [0.9725490196078431, 'rgb(255,64,0)'],
        [0.9764705882352941, 'rgb(255,61,0)'],
        [0.9803921568627451, 'rgb(255,59,0)'],
        [0.984313725490196, 'rgb(255,56,0)'],
        [0.9882352941176471, 'rgb(255,53,0)'],
        [0.9921568627450981, 'rgb(255,49,0)'],
        [0.996078431372549, 'rgb(255,46,0)'],
        [1.0, 'rgb(255,42,0)'],
    ],
    'cet.rainbow_bgyrm_35_85_c69': [
        [0.0, 'rgb(0,48,245)'],
        [0.00392156862745098, 'rgb(0,52,242)'],
        [0.00784313725490196, 'rgb(0,55,238)'],
        [0.011764705882352941, 'rgb(0,59,235)'],
        [0.01568627450980392, 'rgb(3,62,231)'],
        [0.0196078431372549, 'rgb(9,66,228)'],
        [0.023529411764705882, 'rgb(14,69,225)'],
        [0.027450980392156862, 'rgb(18,72,221)'],
        [0.03137254901960784, 'rgb(20,74,218)'],
        [0.03529411764705882, 'rgb(22,77,214)'],
        [0.0392156862745098, 'rgb(23,80,211)'],
        [0.043137254901960784, 'rgb(24,82,207)'],
        [0.047058823529411764, 'rgb(25,85,204)'],
        [0.050980392156862744, 'rgb(25,87,200)'],
        [0.054901960784313725, 'rgb(25,90,197)'],
        [0.058823529411764705, 'rgb(25,92,193)'],
        [0.06274509803921569, 'rgb(25,94,190)'],
        [0.06666666666666667, 'rgb(25,96,187)'],
        [0.07058823529411765, 'rgb(24,99,183)'],
        [0.07450980392156863, 'rgb(24,101,180)'],
        [0.0784313725490196, 'rgb(24,103,177)'],
        [0.08235294117647059, 'rgb(23,105,173)'],
        [0.08627450980392157, 'rgb(23,106,170)'],
        [0.09019607843137255, 'rgb(24,108,167)'],
        [0.09411764705882353, 'rgb(24,110,164)'],
        [0.09803921568627451, 'rgb(25,112,160)'],
        [0.10196078431372549, 'rgb(27,113,157)'],
        [0.10588235294117647, 'rgb(28,115,154)'],
        [0.10980392156862745, 'rgb(30,117,151)'],
        [0.11372549019607843, 'rgb(32,118,148)'],
        [0.11764705882352941, 'rgb(34,120,145)'],
        [0.12156862745098039, 'rgb(36,121,142)'],
        [0.12549019607843137, 'rgb(39,122,139)'],
        [0.12941176470588237, 'rgb(41,124,136)'],
        [0.13333333333333333, 'rgb(43,125,133)'],
        [0.13725490196078433, 'rgb(45,126,130)'],
        [0.1411764705882353, 'rgb(47,128,127)'],
        [0.1450980392156863, 'rgb(49,129,124)'],
        [0.14901960784313725, 'rgb(51,130,121)'],
        [0.15294117647058825, 'rgb(53,132,118)'],
        [0.1568627450980392, 'rgb(54,133,115)'],
        [0.1607843137254902, 'rgb(56,134,112)'],
        [0.16470588235294117, 'rgb(57,136,109)'],
        [0.16862745098039217, 'rgb(58,137,106)'],
        [0.17254901960784313, 'rgb(59,138,103)'],
        [0.17647058823529413, 'rgb(60,139,99)'],
        [0.1803921568627451, 'rgb(61,141,96)'],
        [0.1843137254901961, 'rgb(62,142,93)'],
        [0.18823529411764706, 'rgb(62,143,90)'],
        [0.19215686274509805, 'rgb(63,145,87)'],
        [0.19607843137254902, 'rgb(63,146,83)'],
        [0.2, 'rgb(64,147,80)'],
        [0.20392156862745098, 'rgb(64,149,77)'],
        [0.20784313725490197, 'rgb(64,150,74)'],
        [0.21176470588235294, 'rgb(65,151,70)'],
        [0.21568627450980393, 'rgb(65,153,67)'],
        [0.2196078431372549, 'rgb(65,154,63)'],
        [0.2235294117647059, 'rgb(65,155,60)'],
        [0.22745098039215686, 'rgb(66,156,56)'],
        [0.23137254901960785, 'rgb(66,158,53)'],
        [0.23529411764705882, 'rgb(67,159,50)'],
        [0.23921568627450981, 'rgb(68,160,46)'],
        [0.24313725490196078, 'rgb(69,161,43)'],
        [0.24705882352941178, 'rgb(70,162,40)'],
        [0.25098039215686274, 'rgb(71,163,37)'],
        [0.2549019607843137, 'rgb(73,164,34)'],
        [0.25882352941176473, 'rgb(75,165,31)'],
        [0.2627450980392157, 'rgb(77,166,28)'],
        [0.26666666666666666, 'rgb(79,167,26)'],
        [0.27058823529411763, 'rgb(82,168,24)'],
        [0.27450980392156865, 'rgb(84,169,22)'],
        [0.2784313725490196, 'rgb(87,170,20)'],
        [0.2823529411764706, 'rgb(90,171,19)'],
        [0.28627450980392155, 'rgb(93,172,18)'],
        [0.2901960784313726, 'rgb(96,173,17)'],
        [0.29411764705882354, 'rgb(99,173,17)'],
        [0.2980392156862745, 'rgb(102,174,16)'],
        [0.30196078431372547, 'rgb(105,175,16)'],
        [0.3058823529411765, 'rgb(108,176,16)'],
        [0.30980392156862746, 'rgb(111,176,16)'],
        [0.3137254901960784, 'rgb(114,177,17)'],
        [0.3176470588235294, 'rgb(117,178,17)'],
        [0.3215686274509804, 'rgb(121,179,17)'],
        [0.3254901960784314, 'rgb(124,179,18)'],
        [0.32941176470588235, 'rgb(127,180,18)'],
        [0.3333333333333333, 'rgb(130,181,19)'],
        [0.33725490196078434, 'rgb(132,182,19)'],
        [0.3411764705882353, 'rgb(135,182,20)'],
        [0.34509803921568627, 'rgb(138,183,20)'],
        [0.34901960784313724, 'rgb(141,184,20)'],
        [0.35294117647058826, 'rgb(144,184,21)'],
        [0.3568627450980392, 'rgb(147,185,21)'],
        [0.3607843137254902, 'rgb(150,186,22)'],
        [0.36470588235294116, 'rgb(153,186,22)'],
        [0.3686274509803922, 'rgb(155,187,23)'],
        [0.37254901960784315, 'rgb(158,188,23)'],
        [0.3764705882352941, 'rgb(161,188,24)'],
        [0.3803921568627451, 'rgb(164,189,24)'],
        [0.3843137254901961, 'rgb(166,190,25)'],
        [0.38823529411764707, 'rgb(169,190,25)'],
        [0.39215686274509803, 'rgb(172,191,25)'],
        [0.396078431372549, 'rgb(175,192,26)'],
        [0.4, 'rgb(177,192,26)'],
        [0.403921568627451, 'rgb(180,193,27)'],
        [0.40784313725490196, 'rgb(183,194,27)'],
        [0.4117647058823529, 'rgb(186,194,28)'],
        [0.41568627450980394, 'rgb(188,195,28)'],
        [0.4196078431372549, 'rgb(191,195,29)'],
        [0.4235294117647059, 'rgb(194,196,29)'],
        [0.42745098039215684, 'rgb(196,197,30)'],
        [0.43137254901960786, 'rgb(199,197,30)'],
        [0.43529411764705883, 'rgb(202,198,30)'],
        [0.4392156862745098, 'rgb(204,199,31)'],
        [0.44313725490196076, 'rgb(207,199,31)'],
        [0.4470588235294118, 'rgb(210,200,32)'],
        [0.45098039215686275, 'rgb(212,200,32)'],
        [0.4549019607843137, 'rgb(215,201,33)'],
        [0.4588235294117647, 'rgb(217,201,33)'],
        [0.4627450980392157, 'rgb(220,202,34)'],
        [0.4666666666666667, 'rgb(223,202,34)'],
        [0.47058823529411764, 'rgb(225,202,34)'],
        [0.4745098039215686, 'rgb(227,203,35)'],
        [0.47843137254901963, 'rgb(230,203,35)'],
        [0.4823529411764706, 'rgb(232,203,35)'],
        [0.48627450980392156, 'rgb(234,203,36)'],
        [0.49019607843137253, 'rgb(236,203,36)'],
        [0.49411764705882355, 'rgb(238,203,36)'],
        [0.4980392156862745, 'rgb(240,203,36)'],
        [0.5019607843137255, 'rgb(241,202,36)'],
        [0.5058823529411764, 'rgb(243,202,36)'],
        [0.5098039215686274, 'rgb(244,201,36)'],
        [0.5137254901960784, 'rgb(245,200,36)'],
        [0.5176470588235295, 'rgb(246,200,36)'],
        [0.5215686274509804, 'rgb(247,199,36)'],
        [0.5254901960784314, 'rgb(248,197,36)'],
        [0.5294117647058824, 'rgb(248,196,36)'],
        [0.5333333333333333, 'rgb(249,195,36)'],
        [0.5372549019607843, 'rgb(249,194,35)'],
        [0.5411764705882353, 'rgb(249,192,35)'],
        [0.5450980392156862, 'rgb(250,191,35)'],
        [0.5490196078431373, 'rgb(250,190,35)'],
        [0.5529411764705883, 'rgb(250,188,34)'],
        [0.5568627450980392, 'rgb(250,187,34)'],
        [0.5607843137254902, 'rgb(250,185,34)'],
        [0.5647058823529412, 'rgb(250,184,33)'],
        [0.5686274509803921, 'rgb(250,182,33)'],
        [0.5725490196078431, 'rgb(250,180,33)'],
        [0.5764705882352941, 'rgb(250,179,32)'],
        [0.5803921568627451, 'rgb(249,177,32)'],
        [0.5843137254901961, 'rgb(249,176,32)'],
        [0.5882352941176471, 'rgb(249,174,31)'],
        [0.592156862745098, 'rgb(249,173,31)'],
        [0.596078431372549, 'rgb(249,171,31)'],
        [0.6, 'rgb(249,169,30)'],
        [0.6039215686274509, 'rgb(249,168,30)'],
        [0.6078431372549019, 'rgb(249,166,30)'],
        [0.611764705882353, 'rgb(248,165,29)'],
        [0.615686274509804, 'rgb(248,163,29)'],
        [0.6196078431372549, 'rgb(248,161,29)'],
        [0.6235294117647059, 'rgb(248,160,29)'],
        [0.6274509803921569, 'rgb(248,158,28)'],
        [0.6313725490196078, 'rgb(248,157,28)'],
        [0.6352941176470588, 'rgb(248,155,28)'],
        [0.6392156862745098, 'rgb(247,153,27)'],
        [0.6431372549019608, 'rgb(247,152,27)'],
        [0.6470588235294118, 'rgb(247,150,27)'],
        [0.6509803921568628, 'rgb(247,148,26)'],
        [0.6549019607843137, 'rgb(247,147,26)'],
        [0.6588235294117647, 'rgb(246,145,26)'],
        [0.6627450980392157, 'rgb(246,143,26)'],
        [0.6666666666666666, 'rgb(246,142,25)'],
        [0.6705882352941176, 'rgb(246,140,25)'],
        [0.6745098039215687, 'rgb(246,138,25)'],
        [0.6784313725490196, 'rgb(245,137,24)'],
        [0.6823529411764706, 'rgb(245,135,24)'],
        [0.6862745098039216, 'rgb(245,133,24)'],
        [0.6901960784313725, 'rgb(245,132,24)'],
        [0.6941176470588235, 'rgb(244,130,23)'],
        [0.6980392156862745, 'rgb(244,128,23)'],
        [0.7019607843137254, 'rgb(244,127,23)'],
        [0.7058823529411765, 'rgb(244,125,23)'],
        [0.7098039215686275, 'rgb(244,123,22)'],
        [0.7137254901960784, 'rgb(243,121,22)'],
        [0.7176470588235294, 'rgb(243,119,22)'],
        [0.7215686274509804, 'rgb(243,118,22)'],
        [0.7254901960784313, 'rgb(243,116,21)'],
        [0.7294117647058823, 'rgb(242,114,21)'],
        [0.7333333333333333, 'rgb(242,112,21)'],
        [0.7372549019607844, 'rgb(242,110,21)'],
        [0.7411764705882353, 'rgb(241,109,21)'],
        [0.7450980392156863, 'rgb(241,107,21)'],
        [0.7490196078431373, 'rgb(241,105,21)'],
        [0.7529411764705882, 'rgb(241,103,21)'],
        [0.7568627450980392, 'rgb(240,101,21)'],
        [0.7607843137254902, 'rgb(240,100,22)'],
        [0.7647058823529411, 'rgb(240,98,22)'],
        [0.7686274509803922, 'rgb(240,96,23)'],
        [0.7725490196078432, 'rgb(240,95,24)'],
        [0.7764705882352941, 'rgb(240,93,26)'],
        [0.7803921568627451, 'rgb(240,92,27)'],
        [0.7843137254901961, 'rgb(240,90,29)'],
        [0.788235294117647, 'rgb(240,89,31)'],
        [0.792156862745098, 'rgb(240,88,33)'],
        [0.796078431372549, 'rgb(240,87,36)'],
        [0.8, 'rgb(240,87,38)'],
        [0.803921568627451, 'rgb(241,86,41)'],
        [0.807843137254902, 'rgb(241,86,44)'],
        [0.8117647058823529, 'rgb(242,86,47)'],
        [0.8156862745098039, 'rgb(242,86,51)'],
        [0.8196078431372549, 'rgb(243,86,54)'],
        [0.8235294117647058, 'rgb(243,87,58)'],
        [0.8274509803921568, 'rgb(244,88,62)'],
        [0.8313725490196079, 'rgb(245,88,65)'],
        [0.8352941176470589, 'rgb(245,89,69)'],
        [0.8392156862745098, 'rgb(246,90,73)'],
        [0.8431372549019608, 'rgb(247,91,77)'],
        [0.8470588235294118, 'rgb(247,92,82)'],
        [0.8509803921568627, 'rgb(248,94,86)'],
        [0.8549019607843137, 'rgb(249,95,90)'],
        [0.8588235294117647, 'rgb(249,96,94)'],
        [0.8627450980392157, 'rgb(250,97,98)'],
        [0.8666666666666667, 'rgb(251,99,102)'],
        [0.8705882352941177, 'rgb(251,100,106)'],
        [0.8745098039215686, 'rgb(252,101,111)'],
        [0.8784313725490196, 'rgb(252,103,115)'],
        [0.8823529411764706, 'rgb(253,104,119)'],
        [0.8862745098039215, 'rgb(253,105,123)'],
        [0.8901960784313725, 'rgb(254,107,128)'],
        [0.8941176470588236, 'rgb(254,108,132)'],
        [0.8980392156862745, 'rgb(255,109,136)'],
        [0.9019607843137255, 'rgb(255,111,140)'],
        [0.9058823529411765, 'rgb(255,112,145)'],
        [0.9098039215686274, 'rgb(255,114,149)'],
        [0.9137254901960784, 'rgb(255,115,153)'],
        [0.9176470588235294, 'rgb(255,116,157)'],
        [0.9215686274509803, 'rgb(255,118,162)'],
        [0.9254901960784314, 'rgb(255,119,166)'],
        [0.9294117647058824, 'rgb(255,120,170)'],
        [0.9333333333333333, 'rgb(255,122,175)'],
        [0.9372549019607843, 'rgb(255,123,179)'],
        [0.9411764705882353, 'rgb(255,125,183)'],
        [0.9450980392156862, 'rgb(255,126,188)'],
        [0.9490196078431372, 'rgb(255,127,192)'],
        [0.9529411764705882, 'rgb(255,129,196)'],
        [0.9568627450980393, 'rgb(255,130,201)'],
        [0.9607843137254902, 'rgb(255,132,205)'],
        [0.9647058823529412, 'rgb(255,133,210)'],
        [0.9686274509803922, 'rgb(255,134,214)'],
        [0.9725490196078431, 'rgb(255,136,219)'],
        [0.9764705882352941, 'rgb(255,137,223)'],
        [0.9803921568627451, 'rgb(255,139,227)'],
        [0.984313725490196, 'rgb(255,140,232)'],
        [0.9882352941176471, 'rgb(255,141,236)'],
        [0.9921568627450981, 'rgb(254,143,241)'],
        [0.996078431372549, 'rgb(254,144,245)'],
        [1.0, 'rgb(253,146,250)'],
    ],
    'cet.rainbow_bgyrm_35_85_c71': [
        [0.0, 'rgb(0,53,249)'],
        [0.00392156862745098, 'rgb(0,56,245)'],
        [0.00784313725490196, 'rgb(0,60,242)'],
        [0.011764705882352941, 'rgb(0,63,238)'],
        [0.01568627450980392, 'rgb(0,66,234)'],
        [0.0196078431372549, 'rgb(0,69,231)'],
        [0.023529411764705882, 'rgb(0,71,227)'],
        [0.027450980392156862, 'rgb(0,74,224)'],
        [0.03137254901960784, 'rgb(0,77,220)'],
        [0.03529411764705882, 'rgb(0,79,216)'],
        [0.0392156862745098, 'rgb(0,82,213)'],
        [0.043137254901960784, 'rgb(0,84,209)'],
        [0.047058823529411764, 'rgb(0,87,206)'],
        [0.050980392156862744, 'rgb(0,89,202)'],
        [0.054901960784313725, 'rgb(0,91,198)'],
        [0.058823529411764705, 'rgb(0,93,195)'],
        [0.06274509803921569, 'rgb(0,95,191)'],
        [0.06666666666666667, 'rgb(0,98,188)'],
        [0.07058823529411765, 'rgb(0,100,184)'],
        [0.07450980392156863, 'rgb(0,102,181)'],
        [0.0784313725490196, 'rgb(0,103,177)'],
        [0.08235294117647059, 'rgb(0,105,174)'],
        [0.08627450980392157, 'rgb(2,107,171)'],
        [0.09019607843137255, 'rgb(4,109,167)'],
        [0.09411764705882353, 'rgb(7,111,164)'],
        [0.09803921568627451, 'rgb(11,112,161)'],
        [0.10196078431372549, 'rgb(14,114,158)'],
        [0.10588235294117647, 'rgb(18,116,154)'],
        [0.10980392156862745, 'rgb(21,117,151)'],
        [0.11372549019607843, 'rgb(24,119,148)'],
        [0.11764705882352941, 'rgb(27,120,145)'],
        [0.12156862745098039, 'rgb(30,121,142)'],
        [0.12549019607843137, 'rgb(33,123,139)'],
        [0.12941176470588237, 'rgb(36,124,136)'],
        [0.13333333333333333, 'rgb(39,125,133)'],
        [0.13725490196078433, 'rgb(41,127,130)'],
        [0.1411764705882353, 'rgb(44,128,127)'],
        [0.1450980392156863, 'rgb(46,129,124)'],
        [0.14901960784313725, 'rgb(48,131,121)'],
        [0.15294117647058825, 'rgb(50,132,118)'],
        [0.1568627450980392, 'rgb(52,133,115)'],
        [0.1607843137254902, 'rgb(53,135,112)'],
        [0.16470588235294117, 'rgb(55,136,109)'],
        [0.16862745098039217, 'rgb(56,137,106)'],
        [0.17254901960784313, 'rgb(57,138,103)'],
        [0.17647058823529413, 'rgb(58,140,99)'],
        [0.1803921568627451, 'rgb(59,141,96)'],
        [0.1843137254901961, 'rgb(60,142,93)'],
        [0.18823529411764706, 'rgb(61,144,90)'],
        [0.19215686274509805, 'rgb(62,145,87)'],
        [0.19607843137254902, 'rgb(62,146,83)'],
        [0.2, 'rgb(63,147,80)'],
        [0.20392156862745098, 'rgb(63,149,77)'],
        [0.20784313725490197, 'rgb(63,150,73)'],
        [0.21176470588235294, 'rgb(64,151,70)'],
        [0.21568627450980393, 'rgb(64,153,67)'],
        [0.2196078431372549, 'rgb(64,154,63)'],
        [0.2235294117647059, 'rgb(65,155,60)'],
        [0.22745098039215686, 'rgb(65,156,56)'],
        [0.23137254901960785, 'rgb(66,158,53)'],
        [0.23529411764705882, 'rgb(66,159,50)'],
        [0.23921568627450981, 'rgb(67,160,46)'],
        [0.24313725490196078, 'rgb(68,161,43)'],
        [0.24705882352941178, 'rgb(70,162,40)'],
        [0.25098039215686274, 'rgb(71,163,37)'],
        [0.2549019607843137, 'rgb(73,164,34)'],
        [0.25882352941176473, 'rgb(75,165,31)'],
        [0.2627450980392157, 'rgb(77,166,28)'],
        [0.26666666666666666, 'rgb(79,167,26)'],
        [0.27058823529411763, 'rgb(82,168,24)'],
        [0.27450980392156865, 'rgb(84,169,22)'],
        [0.2784313725490196, 'rgb(87,170,20)'],
        [0.2823529411764706, 'rgb(90,171,19)'],
        [0.28627450980392155, 'rgb(93,172,18)'],
        [0.2901960784313726, 'rgb(96,173,17)'],
        [0.29411764705882354, 'rgb(99,173,17)'],
        [0.2980392156862745, 'rgb(102,174,16)'],
        [0.30196078431372547, 'rgb(105,175,16)'],
        [0.3058823529411765, 'rgb(108,176,16)'],
        [0.30980392156862746, 'rgb(111,176,16)'],
        [0.3137254901960784, 'rgb(114,177,17)'],
        [0.3176470588235294, 'rgb(117,178,17)'],
        [0.3215686274509804, 'rgb(121,179,17)'],
        [0.3254901960784314, 'rgb(124,179,18)'],
        [0.32941176470588235, 'rgb(127,180,18)'],
        [0.3333333333333333, 'rgb(130,181,19)'],
        [0.33725490196078434, 'rgb(132,182,19)'],
        [0.3411764705882353, 'rgb(135,182,20)'],
        [0.34509803921568627, 'rgb(138,183,20)'],
        [0.34901960784313724, 'rgb(141,184,20)'],
        [0.35294117647058826, 'rgb(144,184,21)'],
        [0.3568627450980392, 'rgb(147,185,21)'],
        [0.3607843137254902, 'rgb(150,186,22)'],
        [0.36470588235294116, 'rgb(153,186,22)'],
        [0.3686274509803922, 'rgb(155,187,23)'],
        [0.37254901960784315, 'rgb(158,188,23)'],
        [0.3764705882352941, 'rgb(161,188,24)'],
        [0.3803921568627451, 'rgb(164,189,24)'],
        [0.3843137254901961, 'rgb(166,190,25)'],
        [0.38823529411764707, 'rgb(169,190,25)'],
        [0.39215686274509803, 'rgb(172,191,25)'],
        [0.396078431372549, 'rgb(175,192,26)'],
        [0.4, 'rgb(177,192,26)'],
        [0.403921568627451, 'rgb(180,193,27)'],
        [0.40784313725490196, 'rgb(183,194,27)'],
        [0.4117647058823529, 'rgb(186,194,28)'],
        [0.41568627450980394, 'rgb(188,195,28)'],
        [0.4196078431372549, 'rgb(191,195,29)'],
        [0.4235294117647059, 'rgb(194,196,29)'],
        [0.42745098039215684, 'rgb(196,197,30)'],
        [0.43137254901960786, 'rgb(199,197,30)'],
        [0.43529411764705883, 'rgb(202,198,30)'],
        [0.4392156862745098, 'rgb(204,198,31)'],
        [0.44313725490196076, 'rgb(207,199,31)'],
        [0.4470588235294118, 'rgb(210,200,32)'],
        [0.45098039215686275, 'rgb(212,200,32)'],
        [0.4549019607843137, 'rgb(215,201,33)'],
        [0.4588235294117647, 'rgb(217,201,33)'],
        [0.4627450980392157, 'rgb(220,202,34)'],
        [0.4666666666666667, 'rgb(223,202,34)'],
        [0.47058823529411764, 'rgb(225,202,34)'],
        [0.4745098039215686, 'rgb(228,203,35)'],
        [0.47843137254901963, 'rgb(230,203,35)'],
        [0.4823529411764706, 'rgb(232,203,35)'],
        [0.48627450980392156, 'rgb(234,203,35)'],
        [0.49019607843137253, 'rgb(236,203,36)'],
        [0.49411764705882355, 'rgb(238,203,36)'],
        [0.4980392156862745, 'rgb(240,203,36)'],
        [0.5019607843137255, 'rgb(242,202,36)'],
        [0.5058823529411764, 'rgb(244,202,36)'],
        [0.5098039215686274, 'rgb(245,201,36)'],
        [0.5137254901960784, 'rgb(246,200,36)'],
        [0.5176470588235295, 'rgb(247,199,36)'],
        [0.5215686274509804, 'rgb(248,198,35)'],
        [0.5254901960784314, 'rgb(249,197,35)'],
        [0.5294117647058824, 'rgb(250,196,35)'],
        [0.5333333333333333, 'rgb(251,194,35)'],
        [0.5372549019607843, 'rgb(251,193,34)'],
        [0.5411764705882353, 'rgb(252,192,34)'],
        [0.5450980392156862, 'rgb(252,190,33)'],
        [0.5490196078431373, 'rgb(252,188,33)'],
        [0.5529411764705883, 'rgb(252,187,33)'],
        [0.5568627450980392, 'rgb(253,185,32)'],
        [0.5607843137254902, 'rgb(253,184,32)'],
        [0.5647058823529412, 'rgb(253,182,31)'],
        [0.5686274509803921, 'rgb(253,180,31)'],
        [0.5725490196078431, 'rgb(253,179,30)'],
        [0.5764705882352941, 'rgb(253,177,30)'],
        [0.5803921568627451, 'rgb(253,175,30)'],
        [0.5843137254901961, 'rgb(254,174,29)'],
        [0.5882352941176471, 'rgb(254,172,29)'],
        [0.592156862745098, 'rgb(254,170,28)'],
        [0.596078431372549, 'rgb(254,169,28)'],
        [0.6, 'rgb(254,167,27)'],
        [0.6039215686274509, 'rgb(254,165,27)'],
        [0.6078431372549019, 'rgb(254,164,26)'],
        [0.611764705882353, 'rgb(254,162,26)'],
        [0.615686274509804, 'rgb(254,160,26)'],
        [0.6196078431372549, 'rgb(254,158,25)'],
        [0.6235294117647059, 'rgb(254,157,25)'],
        [0.6274509803921569, 'rgb(254,155,24)'],
        [0.6313725490196078, 'rgb(254,153,24)'],
        [0.6352941176470588, 'rgb(254,151,23)'],
        [0.6392156862745098, 'rgb(254,150,23)'],
        [0.6431372549019608, 'rgb(254,148,23)'],
        [0.6470588235294118, 'rgb(254,146,22)'],
        [0.6509803921568628, 'rgb(254,144,22)'],
        [0.6549019607843137, 'rgb(254,142,21)'],
        [0.6588235294117647, 'rgb(254,141,21)'],
        [0.6627450980392157, 'rgb(254,139,21)'],
        [0.6666666666666666, 'rgb(254,137,20)'],
        [0.6705882352941176, 'rgb(254,135,20)'],
        [0.6745098039215687, 'rgb(254,133,19)'],
        [0.6784313725490196, 'rgb(253,131,19)'],
        [0.6823529411764706, 'rgb(253,130,19)'],
        [0.6862745098039216, 'rgb(253,128,18)'],
        [0.6901960784313725, 'rgb(253,126,18)'],
        [0.6941176470588235, 'rgb(253,124,18)'],
        [0.6980392156862745, 'rgb(253,122,17)'],
        [0.7019607843137254, 'rgb(253,120,17)'],
        [0.7058823529411765, 'rgb(253,118,16)'],
        [0.7098039215686275, 'rgb(253,116,16)'],
        [0.7137254901960784, 'rgb(253,114,16)'],
        [0.7176470588235294, 'rgb(253,112,15)'],
        [0.7215686274509804, 'rgb(252,110,15)'],
        [0.7254901960784313, 'rgb(252,108,15)'],
        [0.7294117647058823, 'rgb(252,106,15)'],
        [0.7333333333333333, 'rgb(252,104,14)'],
        [0.7372549019607844, 'rgb(252,102,14)'],
        [0.7411764705882353, 'rgb(252,99,14)'],
        [0.7450980392156863, 'rgb(252,97,14)'],
        [0.7490196078431373, 'rgb(252,95,14)'],
        [0.7529411764705882, 'rgb(251,93,14)'],
        [0.7568627450980392, 'rgb(251,91,15)'],
        [0.7607843137254902, 'rgb(251,89,15)'],
        [0.7647058823529411, 'rgb(251,87,16)'],
        [0.7686274509803922, 'rgb(251,85,17)'],
        [0.7725490196078432, 'rgb(251,83,18)'],
        [0.7764705882352941, 'rgb(251,81,20)'],
        [0.7803921568627451, 'rgb(251,79,22)'],
        [0.7843137254901961, 'rgb(251,77,24)'],
        [0.788235294117647, 'rgb(251,76,26)'],
        [0.792156862745098, 'rgb(251,75,28)'],
        [0.796078431372549, 'rgb(252,74,31)'],
        [0.8, 'rgb(252,73,34)'],
        [0.803921568627451, 'rgb(252,72,37)'],
        [0.807843137254902, 'rgb(253,72,40)'],
        [0.8117647058823529, 'rgb(253,72,43)'],
        [0.8156862745098039, 'rgb(253,72,47)'],
        [0.8196078431372549, 'rgb(254,73,50)'],
        [0.8235294117647058, 'rgb(254,73,54)'],
        [0.8274509803921568, 'rgb(255,74,58)'],
        [0.8313725490196079, 'rgb(255,75,62)'],
        [0.8352941176470589, 'rgb(255,77,66)'],
        [0.8392156862745098, 'rgb(255,78,70)'],
        [0.8431372549019608, 'rgb(255,80,74)'],
        [0.8470588235294118, 'rgb(255,81,78)'],
        [0.8509803921568627, 'rgb(255,83,82)'],
        [0.8549019607843137, 'rgb(255,84,87)'],
        [0.8588235294117647, 'rgb(255,86,91)'],
        [0.8627450980392157, 'rgb(255,88,95)'],
        [0.8666666666666667, 'rgb(255,89,99)'],
        [0.8705882352941177, 'rgb(255,91,104)'],
        [0.8745098039215686, 'rgb(255,93,108)'],
        [0.8784313725490196, 'rgb(255,94,112)'],
        [0.8823529411764706, 'rgb(255,96,116)'],
        [0.8862745098039215, 'rgb(255,98,121)'],
        [0.8901960784313725, 'rgb(255,99,125)'],
        [0.8941176470588236, 'rgb(255,101,129)'],
        [0.8980392156862745, 'rgb(255,103,134)'],
        [0.9019607843137255, 'rgb(255,105,138)'],
        [0.9058823529411765, 'rgb(255,106,142)'],
        [0.9098039215686274, 'rgb(255,108,147)'],
        [0.9137254901960784, 'rgb(255,110,151)'],
        [0.9176470588235294, 'rgb(255,111,155)'],
        [0.9215686274509803, 'rgb(255,113,160)'],
        [0.9254901960784314, 'rgb(255,115,164)'],
        [0.9294117647058824, 'rgb(255,116,169)'],
        [0.9333333333333333, 'rgb(255,118,173)'],
        [0.9372549019607843, 'rgb(255,119,177)'],
        [0.9411764705882353, 'rgb(255,121,182)'],
        [0.9450980392156862, 'rgb(255,123,186)'],
        [0.9490196078431372, 'rgb(255,124,191)'],
        [0.9529411764705882, 'rgb(255,126,195)'],
        [0.9568627450980393, 'rgb(255,128,200)'],
        [0.9607843137254902, 'rgb(255,129,204)'],
        [0.9647058823529412, 'rgb(255,131,209)'],
        [0.9686274509803922, 'rgb(255,133,213)'],
        [0.9725490196078431, 'rgb(255,134,218)'],
        [0.9764705882352941, 'rgb(255,136,222)'],
        [0.9803921568627451, 'rgb(255,138,227)'],
        [0.984313725490196, 'rgb(255,139,232)'],
        [0.9882352941176471, 'rgb(255,141,236)'],
        [0.9921568627450981, 'rgb(255,142,241)'],
        [0.996078431372549, 'rgb(254,144,245)'],
        [1.0, 'rgb(253,146,250)'],
    ],
    # sciviscolor colormaps converted for Plotly
    'svc.blue1': [
        [0.0, 'rgb(3,4,26)'],
        [0.1, 'rgb(17,20,51)'],
        [0.2, 'rgb(30,43,82)'],
        [0.3, 'rgb(42,60,102)'],
        [0.4, 'rgb(60,85,128)'],
        [0.5, 'rgb(74,106,148)'],
        [0.6, 'rgb(91,128,166)'],
        [0.7, 'rgb(112,156,186)'],
        [0.8, 'rgb(133,183,204)'],
        [0.9, 'rgb(164,212,224)'],
        [0.95, 'rgb(199,236,242)'],
        [1.0, 'rgb(237,255,255)'],
    ],
    'svc.blue2': [
        [0.0, 'rgb(237,254,255)'],
        [0.1, 'rgb(198,237,247)'],
        [0.2, 'rgb(156,207,230)'],
        [0.3, 'rgb(130,181,217)'],
        [0.4, 'rgb(110,157,204)'],
        [0.5, 'rgb(88,131,191)'],
        [0.6, 'rgb(72,109,181)'],
        [0.7, 'rgb(58,86,171)'],
        [0.8, 'rgb(45,60,161)'],
        [0.9, 'rgb(32,34,145)'],
        [1.0, 'rgb(35,27,133)'],
    ],
    'svc.blue3': [
        [0.0, 'rgb(204,255,251)'],
        [0.02, 'rgb(163,247,245)'],
        [0.05, 'rgb(142,234,237)'],
        [0.1, 'rgb(122,217,230)'],
        [0.15, 'rgb(102,198,222)'],
        [0.2, 'rgb(87,180,217)'],
        [0.25, 'rgb(72,163,212)'],
        [0.3, 'rgb(58,147,207)'],
        [0.35, 'rgb(44,128,201)'],
        [0.4, 'rgb(31,111,196)'],
        [0.45, 'rgb(23,93,191)'],
        [0.6, 'rgb(22,80,186)'],
        [0.65, 'rgb(20,66,181)'],
        [0.7, 'rgb(21,54,173)'],
        [0.75, 'rgb(23,42,163)'],
        [0.8, 'rgb(26,34,153)'],
        [0.85, 'rgb(28,28,140)'],
        [0.9, 'rgb(39,29,128)'],
        [0.95, 'rgb(42,28,107)'],
        [1.0, 'rgb(33,15,77)'],
    ],
    'svc.blue4': [
        [0.0, 'rgb(77,47,77)'],
        [0.052358, 'rgb(80,51,89)'],
        [0.101655, 'rgb(82,54,102)'],
        [0.15013, 'rgb(82,57,115)'],
        [0.206421, 'rgb(77,60,128)'],
        [0.248108, 'rgb(75,62,140)'],
        [0.350915, 'rgb(82,73,179)'],
        [0.44508, 'rgb(90,90,204)'],
        [0.59366, 'rgb(105,117,224)'],
        [0.743782, 'rgb(129,149,230)'],
        [0.856626, 'rgb(145,175,235)'],
        [1.0, 'rgb(186,209,247)'],
    ],
    'svc.blue5': [
        [0.0, 'rgb(225,250,246)'],
        [0.1, 'rgb(176,235,233)'],
        [0.2, 'rgb(141,210,217)'],
        [0.3, 'rgb(122,188,204)'],
        [0.4, 'rgb(98,152,179)'],
        [0.5, 'rgb(82,125,163)'],
        [0.6, 'rgb(67,100,148)'],
        [0.7, 'rgb(53,77,133)'],
        [0.8, 'rgb(40,53,115)'],
        [0.9, 'rgb(31,37,102)'],
        [1.0, 'rgb(25,22,89)'],
    ],
    'svc.blue6': [
        [0.0, 'rgb(242,255,250)'],
        [0.1, 'rgb(230,255,242)'],
        [0.15, 'rgb(212,250,234)'],
        [0.2, 'rgb(196,245,228)'],
        [0.25, 'rgb(178,237,220)'],
        [0.3, 'rgb(163,230,215)'],
        [0.35, 'rgb(150,222,211)'],
        [0.4, 'rgb(138,212,205)'],
        [0.45, 'rgb(128,204,203)'],
        [0.5, 'rgb(116,190,194)'],
        [0.55, 'rgb(107,177,186)'],
        [0.6, 'rgb(97,161,176)'],
        [0.65, 'rgb(88,148,168)'],
        [0.7, 'rgb(81,134,158)'],
        [0.75, 'rgb(78,120,148)'],
        [0.8, 'rgb(74,106,135)'],
        [0.85, 'rgb(71,90,120)'],
        [0.9, 'rgb(66,76,102)'],
        [0.95, 'rgb(60,63,84)'],
        [1.0, 'rgb(46,45,59)'],
    ],
    'svc.blue7': [
        [0.0, 'rgb(202,224,221)'],
        [0.1, 'rgb(178,217,235)'],
        [0.2, 'rgb(158,207,240)'],
        [0.3, 'rgb(137,196,245)'],
        [0.4, 'rgb(121,180,242)'],
        [0.5, 'rgb(110,166,240)'],
        [0.6, 'rgb(100,150,237)'],
        [0.7, 'rgb(94,138,235)'],
        [0.8, 'rgb(88,124,232)'],
        [0.9, 'rgb(82,116,227)'],
        [1.0, 'rgb(72,96,217)'],
    ],
    'svc.blue8': [
        [0.0, 'rgb(245,252,255)'],
        [0.05, 'rgb(220,240,250)'],
        [0.1, 'rgb(199,225,242)'],
        [0.2, 'rgb(182,206,227)'],
        [0.3, 'rgb(159,184,209)'],
        [0.4, 'rgb(136,161,189)'],
        [0.5, 'rgb(116,140,168)'],
        [0.6, 'rgb(98,120,148)'],
        [0.7, 'rgb(80,101,128)'],
        [0.8, 'rgb(64,82,107)'],
        [0.9, 'rgb(51,66,89)'],
        [1.0, 'rgb(38,50,71)'],
    ],
    'svc.blue9': [
        [0.0, 'rgb(242,255,253)'],
        [0.05, 'rgb(215,250,247)'],
        [0.1, 'rgb(196,245,245)'],
        [0.2, 'rgb(176,227,232)'],
        [0.3, 'rgb(155,202,212)'],
        [0.4, 'rgb(136,179,194)'],
        [0.5, 'rgb(118,158,179)'],
        [0.6, 'rgb(106,142,166)'],
        [0.7, 'rgb(93,125,153)'],
        [0.75, 'rgb(86,114,145)'],
        [0.8, 'rgb(81,105,140)'],
        [0.85, 'rgb(77,96,135)'],
        [0.9, 'rgb(74,89,130)'],
        [0.95, 'rgb(70,81,125)'],
        [1.0, 'rgb(65,73,117)'],
    ],
    'svc.blue10': [
        [0.0, 'rgb(77,47,77)'],
        [0.052358, 'rgb(80,51,89)'],
        [0.101655, 'rgb(82,54,102)'],
        [0.15013, 'rgb(82,57,115)'],
        [0.206421, 'rgb(77,60,128)'],
        [0.248108, 'rgb(75,62,140)'],
        [0.350915, 'rgb(82,73,179)'],
        [0.44508, 'rgb(90,90,204)'],
        [0.59366, 'rgb(105,117,224)'],
        [0.743782, 'rgb(129,149,230)'],
        [0.856626, 'rgb(145,175,235)'],
        [1.0, 'rgb(186,209,247)'],
    ],
    'svc.blue11': [
        [0.0, 'rgb(255,255,255)'],
        [0.05, 'rgb(225,239,250)'],
        [0.1, 'rgb(208,228,242)'],
        [0.2, 'rgb(188,210,227)'],
        [0.3, 'rgb(171,192,209)'],
        [0.4, 'rgb(153,171,189)'],
        [0.5, 'rgb(138,153,168)'],
        [0.6, 'rgb(123,134,148)'],
        [0.7, 'rgb(111,121,133)'],
        [0.8, 'rgb(105,113,122)'],
        [0.9, 'rgb(101,106,112)'],
        [1.0, 'rgb(97,100,102)'],
    ],
    'svc.brown1': [
        [0.0, 'rgb(255,241,214)'],
        [0.05, 'rgb(240,222,194)'],
        [0.1, 'rgb(224,193,153)'],
        [0.15, 'rgb(209,173,134)'],
        [0.2, 'rgb(199,159,123)'],
        [0.25, 'rgb(189,145,113)'],
        [0.3, 'rgb(181,133,105)'],
        [0.35, 'rgb(171,119,96)'],
        [0.4, 'rgb(163,108,88)'],
        [0.45, 'rgb(156,97,81)'],
        [0.5, 'rgb(148,88,74)'],
        [0.55, 'rgb(140,79,69)'],
        [0.6, 'rgb(133,72,64)'],
        [0.65, 'rgb(125,64,59)'],
        [0.7, 'rgb(117,57,54)'],
        [0.75, 'rgb(110,50,49)'],
        [0.8, 'rgb(102,44,47)'],
        [0.85, 'rgb(94,39,43)'],
        [0.9, 'rgb(84,33,39)'],
        [0.95, 'rgb(74,27,34)'],
        [1.0, 'rgb(64,22,29)'],
    ],
    'svc.brown2': [
        [0.0, 'rgb(255,251,204)'],
        [0.1, 'rgb(250,231,135)'],
        [0.2, 'rgb(245,208,98)'],
        [0.3, 'rgb(214,168,75)'],
        [0.4, 'rgb(184,130,55)'],
        [0.5, 'rgb(166,106,46)'],
        [0.6, 'rgb(140,79,35)'],
        [0.7, 'rgb(115,55,25)'],
        [0.8, 'rgb(89,30,11)'],
        [0.9, 'rgb(64,15,5)'],
        [1.0, 'rgb(38,1,0)'],
    ],
    'svc.brown3': [
        [0.0, 'rgb(245,235,208)'],
        [0.05, 'rgb(230,216,184)'],
        [0.1, 'rgb(217,199,165)'],
        [0.2, 'rgb(194,169,132)'],
        [0.3, 'rgb(173,143,108)'],
        [0.4, 'rgb(158,123,89)'],
        [0.5, 'rgb(145,109,74)'],
        [0.6, 'rgb(133,94,61)'],
        [0.7, 'rgb(115,77,48)'],
        [0.8, 'rgb(99,65,40)'],
        [0.9, 'rgb(87,53,30)'],
        [1.0, 'rgb(71,40,20)'],
    ],
    'svc.brown4': [
        [0.0, 'rgb(179,175,157)'],
        [0.05, 'rgb(168,161,140)'],
        [0.1, 'rgb(153,142,121)'],
        [0.2, 'rgb(138,119,92)'],
        [0.3, 'rgb(125,102,80)'],
        [0.4, 'rgb(110,86,67)'],
        [0.5, 'rgb(94,70,56)'],
        [0.6, 'rgb(77,56,44)'],
        [0.7, 'rgb(64,45,36)'],
        [0.8, 'rgb(51,35,29)'],
        [0.9, 'rgb(38,24,19)'],
        [1.0, 'rgb(26,14,11)'],
    ],
    'svc.brown5': [
        [0.0, 'rgb(240,240,228)'],
        [0.05, 'rgb(224,224,206)'],
        [0.1, 'rgb(209,209,188)'],
        [0.15, 'rgb(201,200,179)'],
        [0.2, 'rgb(191,189,168)'],
        [0.25, 'rgb(179,176,155)'],
        [0.3, 'rgb(166,163,144)'],
        [0.35, 'rgb(156,151,134)'],
        [0.4, 'rgb(148,142,126)'],
        [0.45, 'rgb(138,131,116)'],
        [0.5, 'rgb(130,122,109)'],
        [0.55, 'rgb(125,116,104)'],
        [0.6, 'rgb(120,110,99)'],
        [0.65, 'rgb(115,104,94)'],
        [0.7, 'rgb(107,96,88)'],
        [0.75, 'rgb(99,87,81)'],
        [0.8, 'rgb(92,80,74)'],
        [0.85, 'rgb(84,72,68)'],
        [0.9, 'rgb(77,64,61)'],
        [0.95, 'rgb(64,52,51)'],
        [1.0, 'rgb(56,46,45)'],
    ],
    'svc.brown6': [
        [0.0, 'rgb(252,252,247)'],
        [0.02, 'rgb(245,243,228)'],
        [0.1, 'rgb(230,226,204)'],
        [0.2, 'rgb(214,208,182)'],
        [0.3, 'rgb(201,193,163)'],
        [0.4, 'rgb(186,176,145)'],
        [0.5, 'rgb(171,159,130)'],
        [0.6, 'rgb(158,145,117)'],
        [0.7, 'rgb(148,133,106)'],
        [0.8, 'rgb(138,122,96)'],
        [0.9, 'rgb(122,106,83)'],
        [1.0, 'rgb(107,89,69)'],
    ],
    'svc.brown7': [
        [0.0, 'rgb(240,233,221)'],
        [0.05, 'rgb(222,206,182)'],
        [0.1, 'rgb(214,189,167)'],
        [0.15, 'rgb(204,173,143)'],
        [0.2, 'rgb(189,160,126)'],
        [0.3, 'rgb(168,147,108)'],
        [0.4, 'rgb(153,124,92)'],
        [0.5, 'rgb(135,101,76)'],
        [0.6, 'rgb(115,87,60)'],
        [0.7, 'rgb(94,71,42)'],
        [0.8, 'rgb(82,53,29)'],
        [0.9, 'rgb(69,37,17)'],
        [0.95, 'rgb(56,34,11)'],
        [1.0, 'rgb(46,27,5)'],
    ],
    'svc.brown8': [
        [0.0, 'rgb(255,238,204)'],
        [0.2, 'rgb(204,184,122)'],
        [0.4, 'rgb(153,140,77)'],
        [0.6, 'rgb(102,97,41)'],
        [0.8, 'rgb(77,77,15)'],
        [1.0, 'rgb(47,51,0)'],
    ],
    'svc.brown9': [
        [0.0, 'rgb(252,252,242)'],
        [0.05, 'rgb(237,237,218)'],
        [0.1, 'rgb(219,219,197)'],
        [0.15, 'rgb(204,202,180)'],
        [0.2, 'rgb(191,188,166)'],
        [0.25, 'rgb(179,175,154)'],
        [0.3, 'rgb(166,161,141)'],
        [0.35, 'rgb(153,147,129)'],
        [0.4, 'rgb(140,133,116)'],
        [0.45, 'rgb(130,121,107)'],
        [0.5, 'rgb(120,110,97)'],
        [0.55, 'rgb(112,101,90)'],
        [0.6, 'rgb(105,93,83)'],
        [0.65, 'rgb(97,84,76)'],
        [0.7, 'rgb(89,76,69)'],
        [0.75, 'rgb(82,68,62)'],
        [0.8, 'rgb(74,60,55)'],
        [0.85, 'rgb(66,52,48)'],
        [0.9, 'rgb(59,44,42)'],
        [0.95, 'rgb(51,37,35)'],
        [1.0, 'rgb(46,32,31)'],
    ],
    'svc.red1': [
        [0.0, 'rgb(252,249,232)'],
        [0.05, 'rgb(247,236,190)'],
        [0.1, 'rgb(242,215,150)'],
        [0.15, 'rgb(240,197,132)'],
        [0.2, 'rgb(237,175,114)'],
        [0.25, 'rgb(232,157,100)'],
        [0.3, 'rgb(230,142,92)'],
        [0.35, 'rgb(227,121,86)'],
        [0.4, 'rgb(224,103,79)'],
        [0.45, 'rgb(214,84,66)'],
        [0.5, 'rgb(204,71,61)'],
        [0.55, 'rgb(191,54,54)'],
        [0.6, 'rgb(179,46,53)'],
        [0.65, 'rgb(168,42,53)'],
        [0.7, 'rgb(153,34,48)'],
        [0.75, 'rgb(138,29,47)'],
        [0.8, 'rgb(128,25,46)'],
        [0.85, 'rgb(112,20,42)'],
        [0.9, 'rgb(107,17,41)'],
        [0.95, 'rgb(87,13,35)'],
        [1.0, 'rgb(71,10,30)'],
    ],
    'svc.red2': [
        [0.0, 'rgb(255,235,204)'],
        [0.08, 'rgb(250,201,137)'],
        [0.16, 'rgb(247,173,99)'],
        [0.22, 'rgb(245,148,73)'],
        [0.28, 'rgb(242,126,58)'],
        [0.34, 'rgb(237,109,45)'],
        [0.4, 'rgb(232,92,37)'],
        [0.48, 'rgb(227,74,32)'],
        [0.54, 'rgb(222,53,27)'],
        [0.6, 'rgb(214,37,21)'],
        [0.66, 'rgb(204,30,24)'],
        [0.72, 'rgb(191,27,27)'],
        [0.78, 'rgb(179,29,34)'],
        [0.84, 'rgb(163,29,38)'],
        [0.89, 'rgb(153,31,43)'],
        [0.94, 'rgb(138,30,46)'],
        [1.0, 'rgb(122,32,51)'],
    ],
    'svc.red3': [
        [0.0, 'rgb(252,225,215)'],
        [0.04, 'rgb(247,203,188)'],
        [0.08, 'rgb(247,181,158)'],
        [0.16, 'rgb(245,153,127)'],
        [0.22, 'rgb(242,126,97)'],
        [0.28, 'rgb(235,104,75)'],
        [0.34, 'rgb(224,84,56)'],
        [0.4, 'rgb(214,72,47)'],
        [0.48, 'rgb(201,60,38)'],
        [0.54, 'rgb(189,46,30)'],
        [0.6, 'rgb(179,35,25)'],
        [0.66, 'rgb(168,25,20)'],
        [0.72, 'rgb(158,22,22)'],
        [0.78, 'rgb(148,24,28)'],
        [0.84, 'rgb(138,25,34)'],
        [0.89, 'rgb(128,25,39)'],
        [0.94, 'rgb(117,26,41)'],
        [1.0, 'rgb(107,28,45)'],
    ],
    'svc.red4': [
        [0.0, 'rgb(255,248,242)'],
        [0.05, 'rgb(240,221,211)'],
        [0.1, 'rgb(224,194,180)'],
        [0.15, 'rgb(209,172,159)'],
        [0.2, 'rgb(199,155,143)'],
        [0.25, 'rgb(189,139,128)'],
        [0.3, 'rgb(181,126,116)'],
        [0.35, 'rgb(171,112,104)'],
        [0.4, 'rgb(163,102,96)'],
        [0.45, 'rgb(156,93,90)'],
        [0.5, 'rgb(148,85,84)'],
        [0.55, 'rgb(140,77,79)'],
        [0.6, 'rgb(133,70,74)'],
        [0.65, 'rgb(125,64,70)'],
        [0.7, 'rgb(117,57,65)'],
        [0.75, 'rgb(110,52,61)'],
        [0.8, 'rgb(102,46,57)'],
        [0.85, 'rgb(94,40,52)'],
        [0.9, 'rgb(84,34,47)'],
        [0.95, 'rgb(74,27,41)'],
        [1.0, 'rgb(64,20,28)'],
    ],
    'svc.maroon': [
        [0.0, 'rgb(252,240,245)'],
        [0.1, 'rgb(232,200,211)'],
        [0.2, 'rgb(191,153,165)'],
        [0.3, 'rgb(166,116,130)'],
        [0.4, 'rgb(140,91,103)'],
        [0.5, 'rgb(128,77,88)'],
        [0.6, 'rgb(117,62,72)'],
        [0.7, 'rgb(107,48,57)'],
        [0.8, 'rgb(97,38,45)'],
        [0.9, 'rgb(87,29,33)'],
        [0.96, 'rgb(77,21,24)'],
        [1.0, 'rgb(71,16,17)'],
    ],
    'svc.purple1': [
        [0.0, 'rgb(237,235,250)'],
        [0.1, 'rgb(203,195,232)'],
        [0.2, 'rgb(178,167,209)'],
        [0.3, 'rgb(153,140,184)'],
        [0.4, 'rgb(131,116,161)'],
        [0.5, 'rgb(117,99,145)'],
        [0.6, 'rgb(103,85,130)'],
        [0.7, 'rgb(88,67,115)'],
        [0.8, 'rgb(77,53,102)'],
        [0.9, 'rgb(68,42,92)'],
        [0.96, 'rgb(61,34,84)'],
        [1.0, 'rgb(54,23,77)'],
    ],
    'svc.purple2': [
        [0.0, 'rgb(245,246,255)'],
        [0.05, 'rgb(218,220,240)'],
        [0.1, 'rgb(202,202,227)'],
        [0.2, 'rgb(190,182,209)'],
        [0.3, 'rgb(164,158,184)'],
        [0.4, 'rgb(142,134,158)'],
        [0.5, 'rgb(129,120,143)'],
        [0.6, 'rgb(117,106,128)'],
        [0.7, 'rgb(106,94,115)'],
        [0.8, 'rgb(96,83,102)'],
        [0.9, 'rgb(85,71,89)'],
        [0.96, 'rgb(74,59,77)'],
        [1.0, 'rgb(62,48,64)'],
    ],
    'svc.purple3': [
        [0.0, 'rgb(64,4,43)'],
        [0.1, 'rgb(41,13,56)'],
        [0.2, 'rgb(48,27,77)'],
        [0.3, 'rgb(55,41,99)'],
        [0.4, 'rgb(71,58,140)'],
        [0.5, 'rgb(82,73,179)'],
        [0.6, 'rgb(90,90,204)'],
        [0.7, 'rgb(105,117,224)'],
        [0.8, 'rgb(129,149,230)'],
        [0.9, 'rgb(145,175,235)'],
        [1.0, 'rgb(186,209,247)'],
    ],
    'svc.green1': [
        [0.0, 'rgb(14,28,31)'],
        [0.05, 'rgb(19,44,46)'],
        [0.1, 'rgb(22,59,56)'],
        [0.15, 'rgb(24,71,64)'],
        [0.2, 'rgb(28,89,71)'],
        [0.25, 'rgb(29,102,71)'],
        [0.3, 'rgb(30,115,69)'],
        [0.35, 'rgb(30,125,62)'],
        [0.4, 'rgb(29,133,52)'],
        [0.45, 'rgb(28,140,39)'],
        [0.5, 'rgb(21,150,21)'],
        [0.55, 'rgb(28,161,13)'],
        [0.6, 'rgb(54,173,21)'],
        [0.65, 'rgb(81,184,29)'],
        [0.7, 'rgb(110,194,41)'],
        [0.75, 'rgb(142,204,61)'],
        [0.8, 'rgb(170,214,75)'],
        [0.85, 'rgb(200,224,101)'],
        [0.9, 'rgb(226,235,136)'],
        [0.95, 'rgb(245,242,171)'],
        [1.0, 'rgb(255,251,230)'],
    ],
    'svc.green2': [
        [0.0, 'rgb(237,250,241)'],
        [0.02, 'rgb(206,242,218)'],
        [0.05, 'rgb(178,235,206)'],
        [0.1, 'rgb(153,224,192)'],
        [0.15, 'rgb(124,214,169)'],
        [0.2, 'rgb(105,199,144)'],
        [0.25, 'rgb(94,189,123)'],
        [0.3, 'rgb(84,176,100)'],
        [0.35, 'rgb(80,168,77)'],
        [0.4, 'rgb(80,161,67)'],
        [0.45, 'rgb(67,148,50)'],
        [0.5, 'rgb(54,140,42)'],
        [0.55, 'rgb(40,133,37)'],
        [0.6, 'rgb(33,128,43)'],
        [0.65, 'rgb(30,120,48)'],
        [0.7, 'rgb(26,110,49)'],
        [0.75, 'rgb(21,97,49)'],
        [0.8, 'rgb(18,87,56)'],
        [0.85, 'rgb(15,77,66)'],
        [0.9, 'rgb(12,69,69)'],
        [0.95, 'rgb(10,57,61)'],
        [0.98, 'rgb(9,44,51)'],
        [1.0, 'rgb(8,32,38)'],
    ],
    'svc.green3': [
        [0.0, 'rgb(38,69,48)'],
        [0.02, 'rgb(36,71,46)'],
        [0.05, 'rgb(34,77,44)'],
        [0.1, 'rgb(35,84,43)'],
        [0.15, 'rgb(36,94,43)'],
        [0.2, 'rgb(37,105,39)'],
        [0.25, 'rgb(38,115,37)'],
        [0.3, 'rgb(43,125,37)'],
        [0.35, 'rgb(49,135,38)'],
        [0.4, 'rgb(56,143,39)'],
        [0.45, 'rgb(63,150,39)'],
        [0.5, 'rgb(75,158,44)'],
        [0.55, 'rgb(89,166,53)'],
        [0.6, 'rgb(105,176,63)'],
        [0.65, 'rgb(121,189,75)'],
        [0.7, 'rgb(137,201,85)'],
        [0.75, 'rgb(157,217,98)'],
        [0.8, 'rgb(181,232,114)'],
        [0.85, 'rgb(199,240,129)'],
        [0.9, 'rgb(216,245,149)'],
        [0.95, 'rgb(233,247,186)'],
        [0.98, 'rgb(245,250,220)'],
        [1.0, 'rgb(254,255,245)'],
    ],
    'svc.green4': [
        [0.0, 'rgb(232,250,212)'],
        [0.05, 'rgb(217,242,189)'],
        [0.1, 'rgb(199,230,161)'],
        [0.2, 'rgb(173,214,120)'],
        [0.3, 'rgb(154,196,94)'],
        [0.4, 'rgb(140,184,73)'],
        [0.5, 'rgb(129,171,62)'],
        [0.6, 'rgb(115,153,49)'],
        [0.7, 'rgb(101,135,38)'],
        [0.8, 'rgb(87,115,28)'],
        [0.9, 'rgb(73,94,19)'],
        [1.0, 'rgb(56,71,11)'],
    ],
    'svc.green5': [
        [0.0, 'rgb(234,255,230)'],
        [0.1, 'rgb(181,242,177)'],
        [0.2, 'rgb(142,230,144)'],
        [0.3, 'rgb(107,214,116)'],
        [0.4, 'rgb(78,194,95)'],
        [0.5, 'rgb(54,179,79)'],
        [0.6, 'rgb(32,158,63)'],
        [0.7, 'rgb(17,140,58)'],
        [0.8, 'rgb(10,122,57)'],
        [0.9, 'rgb(10,102,56)'],
        [1.0, 'rgb(8,77,48)'],
    ],
    'svc.green6': [
        [0.0, 'rgb(14,26,3)'],
        [0.1, 'rgb(27,46,8)'],
        [0.2, 'rgb(42,66,19)'],
        [0.3, 'rgb(58,87,29)'],
        [0.4, 'rgb(76,107,45)'],
        [0.5, 'rgb(96,128,64)'],
        [0.6, 'rgb(117,148,86)'],
        [0.7, 'rgb(140,168,111)'],
        [0.8, 'rgb(164,189,140)'],
        [0.9, 'rgb(190,209,171)'],
        [1.0, 'rgb(218,230,207)'],
    ],
    'svc.green7': [
        [0.0, 'rgb(246,252,240)'],
        [0.1, 'rgb(228,245,215)'],
        [0.2, 'rgb(203,235,192)'],
        [0.3, 'rgb(191,227,184)'],
        [0.4, 'rgb(177,217,173)'],
        [0.5, 'rgb(165,209,165)'],
        [0.6, 'rgb(155,199,159)'],
        [0.7, 'rgb(143,189,151)'],
        [0.8, 'rgb(132,179,144)'],
        [0.9, 'rgb(119,168,136)'],
        [1.0, 'rgb(104,150,123)'],
    ],
    'svc.green8': [
        [0.0, 'rgb(249,255,242)'],
        [0.05, 'rgb(241,250,232)'],
        [0.1, 'rgb(231,242,223)'],
        [0.15, 'rgb(221,235,213)'],
        [0.2, 'rgb(210,227,204)'],
        [0.25, 'rgb(197,217,193)'],
        [0.3, 'rgb(188,209,186)'],
        [0.35, 'rgb(175,199,175)'],
        [0.4, 'rgb(166,189,168)'],
        [0.45, 'rgb(155,179,159)'],
        [0.5, 'rgb(146,168,152)'],
        [0.55, 'rgb(134,156,141)'],
        [0.6, 'rgb(127,148,136)'],
        [0.65, 'rgb(119,140,130)'],
        [0.7, 'rgb(113,133,124)'],
        [0.75, 'rgb(108,128,121)'],
        [0.8, 'rgb(105,122,118)'],
        [0.85, 'rgb(103,117,115)'],
        [0.9, 'rgb(101,112,111)'],
        [0.95, 'rgb(99,107,107)'],
        [1.0, 'rgb(97,101,102)'],
    ],
    'svc.yellow1': [
        [0.0, 'rgb(255,254,227)'],
        [0.1, 'rgb(252,247,182)'],
        [0.2, 'rgb(250,238,150)'],
        [0.3, 'rgb(247,230,129)'],
        [0.4, 'rgb(245,220,108)'],
        [0.5, 'rgb(242,212,92)'],
        [0.6, 'rgb(240,204,77)'],
        [0.7, 'rgb(237,196,62)'],
        [0.8, 'rgb(235,187,42)'],
        [0.9, 'rgb(232,176,23)'],
        [0.96, 'rgb(230,168,11)'],
        [1.0, 'rgb(227,163,0)'],
    ],
    'svc.yellow2': [
        [0.0, 'rgb(255,254,227)'],
        [0.1, 'rgb(250,244,180)'],
        [0.2, 'rgb(245,234,152)'],
        [0.3, 'rgb(242,225,126)'],
        [0.4, 'rgb(237,213,104)'],
        [0.5, 'rgb(232,204,93)'],
        [0.6, 'rgb(227,194,84)'],
        [0.7, 'rgb(222,183,75)'],
        [0.8, 'rgb(219,175,70)'],
        [0.9, 'rgb(217,166,65)'],
        [0.96, 'rgb(214,158,60)'],
        [1.0, 'rgb(212,150,57)'],
    ],
    'svc.yellow3': [
        [0.0, 'rgb(245,245,215)'],
        [0.05, 'rgb(242,240,189)'],
        [0.1, 'rgb(240,235,168)'],
        [0.2, 'rgb(235,226,145)'],
        [0.3, 'rgb(230,217,135)'],
        [0.4, 'rgb(224,208,128)'],
        [0.5, 'rgb(219,200,121)'],
        [0.6, 'rgb(214,190,116)'],
        [0.7, 'rgb(209,180,111)'],
        [0.8, 'rgb(207,172,107)'],
        [0.9, 'rgb(201,162,103)'],
        [1.0, 'rgb(199,152,95)'],
    ],
    'svc.orange1': [
        [0.0, 'rgb(255,250,240)'],
        [0.05, 'rgb(250,232,200)'],
        [0.1, 'rgb(247,218,171)'],
        [0.15, 'rgb(245,207,149)'],
        [0.2, 'rgb(242,196,131)'],
        [0.25, 'rgb(240,186,115)'],
        [0.3, 'rgb(237,175,100)'],
        [0.35, 'rgb(235,166,87)'],
        [0.4, 'rgb(232,154,70)'],
        [0.45, 'rgb(230,140,50)'],
        [0.5, 'rgb(230,131,39)'],
        [0.55, 'rgb(227,124,45)'],
        [0.6, 'rgb(227,118,50)'],
        [0.65, 'rgb(224,111,54)'],
        [0.7, 'rgb(224,108,58)'],
        [0.75, 'rgb(222,104,64)'],
        [0.8, 'rgb(222,101,71)'],
        [0.85, 'rgb(219,98,77)'],
        [0.9, 'rgb(219,97,83)'],
        [0.95, 'rgb(214,96,90)'],
        [1.0, 'rgb(209,96,96)'],
    ],
    'svc.orange2': [
        [0.0, 'rgb(255,255,252)'],
        [0.002, 'rgb(255,255,252)'],
        [0.05, 'rgb(251,252,215)'],
        [0.1, 'rgb(252,252,189)'],
        [0.15, 'rgb(250,247,167)'],
        [0.2, 'rgb(250,241,147)'],
        [0.25, 'rgb(247,231,124)'],
        [0.3, 'rgb(247,220,99)'],
        [0.35, 'rgb(245,205,73)'],
        [0.4, 'rgb(242,189,56)'],
        [0.45, 'rgb(240,173,38)'],
        [0.5, 'rgb(237,155,24)'],
        [0.55, 'rgb(235,139,14)'],
        [0.6, 'rgb(232,124,9)'],
        [0.65, 'rgb(227,105,5)'],
        [0.7, 'rgb(204,78,0)'],
        [0.75, 'rgb(194,61,0)'],
        [0.8, 'rgb(173,46,3)'],
        [0.85, 'rgb(153,31,6)'],
        [0.9, 'rgb(128,14,8)'],
        [0.95, 'rgb(102,10,15)'],
        [1.0, 'rgb(77,12,23)'],
    ],
    'svc.orange3': [
        [0.0, 'rgb(240,204,141)'],
        [0.05, 'rgb(235,190,122)'],
        [0.1, 'rgb(230,174,101)'],
        [0.2, 'rgb(219,153,81)'],
        [0.3, 'rgb(209,135,71)'],
        [0.4, 'rgb(204,120,59)'],
        [0.5, 'rgb(199,106,52)'],
        [0.6, 'rgb(194,92,45)'],
        [0.7, 'rgb(189,82,40)'],
        [0.8, 'rgb(184,72,35)'],
        [0.9, 'rgb(179,64,32)'],
        [0.95, 'rgb(173,58,29)'],
        [1.0, 'rgb(166,50,27)'],
    ],
    'svc.yellow4': [
        [0.0, 'rgb(255,254,240)'],
        [0.02, 'rgb(250,249,220)'],
        [0.05, 'rgb(247,244,203)'],
        [0.1, 'rgb(240,231,173)'],
        [0.2, 'rgb(230,211,138)'],
        [0.3, 'rgb(217,187,117)'],
        [0.4, 'rgb(204,165,102)'],
        [0.5, 'rgb(194,143,89)'],
        [0.55, 'rgb(184,130,79)'],
        [0.6, 'rgb(176,118,70)'],
        [0.65, 'rgb(168,109,72)'],
        [0.7, 'rgb(161,103,74)'],
        [0.75, 'rgb(153,97,75)'],
        [0.8, 'rgb(140,90,73)'],
        [0.85, 'rgb(130,83,72)'],
        [0.9, 'rgb(120,77,70)'],
        [0.95, 'rgb(110,70,67)'],
        [1.0, 'rgb(97,65,63)'],
    ],
    'svc.yellow5': [
        [0.0, 'rgb(252,252,222)'],
        [0.05, 'rgb(247,246,193)'],
        [0.1, 'rgb(242,237,170)'],
        [0.2, 'rgb(237,228,142)'],
        [0.3, 'rgb(217,204,119)'],
        [0.4, 'rgb(199,182,99)'],
        [0.5, 'rgb(179,162,96)'],
        [0.6, 'rgb(166,149,99)'],
        [0.7, 'rgb(150,135,98)'],
        [0.8, 'rgb(128,113,89)'],
        [0.9, 'rgb(102,90,77)'],
        [1.0, 'rgb(77,68,61)'],
    ],
    'svc.div-blue-orange': [
        [0.0, 'rgb(22,1,76)'],
        [0.030334, 'rgb(29,6,115)'],
        [0.055527, 'rgb(27,13,130)'],
        [0.073008, 'rgb(10,10,143)'],
        [0.089974, 'rgb(8,25,153)'],
        [0.106427, 'rgb(11,42,163)'],
        [0.130077, 'rgb(14,62,173)'],
        [0.16144, 'rgb(14,81,181)'],
        [0.2, 'rgb(13,101,189)'],
        [0.225, 'rgb(10,119,196)'],
        [0.25, 'rgb(8,137,201)'],
        [0.276093, 'rgb(8,157,207)'],
        [0.302828, 'rgb(6,181,212)'],
        [0.329563, 'rgb(13,204,217)'],
        [0.351671, 'rgb(18,218,222)'],
        [0.372237, 'rgb(67,230,220)'],
        [0.390231, 'rgb(108,240,223)'],
        [0.417995, 'rgb(146,246,213)'],
        [0.436504, 'rgb(168,250,215)'],
        [0.456041, 'rgb(195,250,221)'],
        [0.468895, 'rgb(211,250,226)'],
        [0.482262, 'rgb(227,252,236)'],
        [0.492545, 'rgb(233,252,239)'],
        [0.501285, 'rgb(255,255,248)'],
        [0.510026, 'rgb(252,252,231)'],
        [0.526478, 'rgb(253,248,205)'],
        [0.539846, 'rgb(253,246,182)'],
        [0.554756, 'rgb(252,244,164)'],
        [0.576864, 'rgb(250,234,130)'],
        [0.599486, 'rgb(247,223,104)'],
        [0.620051, 'rgb(242,210,82)'],
        [0.636504, 'rgb(237,198,71)'],
        [0.660668, 'rgb(232,183,60)'],
        [0.682262, 'rgb(227,168,50)'],
        [0.7, 'rgb(224,158,43)'],
        [0.725, 'rgb(222,140,40)'],
        [0.75, 'rgb(217,121,37)'],
        [0.775, 'rgb(212,105,34)'],
        [0.8, 'rgb(207,88,29)'],
        [0.825, 'rgb(201,68,24)'],
        [0.85, 'rgb(189,47,19)'],
        [0.875, 'rgb(176,32,16)'],
        [0.9, 'rgb(158,16,11)'],
        [0.923393, 'rgb(140,7,18)'],
        [0.943959, 'rgb(120,4,23)'],
        [0.967095, 'rgb(102,1,26)'],
        [1.0, 'rgb(48,0,18)'],
    ],
    'svc.div-gray-gold': [
        [0.0, 'rgb(51,43,41)'],
        [0.1, 'rgb(102,93,87)'],
        [0.2, 'rgb(166,159,149)'],
        [0.3, 'rgb(204,199,190)'],
        [0.4, 'rgb(230,226,218)'],
        [0.5, 'rgb(255,254,247)'],
        [0.52, 'rgb(252,248,207)'],
        [0.6, 'rgb(240,224,163)'],
        [0.7, 'rgb(224,187,121)'],
        [0.8, 'rgb(204,141,86)'],
        [0.9, 'rgb(184,96,59)'],
        [0.95, 'rgb(163,61,41)'],
        [1.0, 'rgb(143,34,29)'],
    ],
    'svc.div-green-brown': [
        [0.0, 'rgb(6,38,25)'],
        [0.025, 'rgb(13,51,31)'],
        [0.05, 'rgb(21,61,36)'],
        [0.1, 'rgb(45,82,54)'],
        [0.15, 'rgb(69,105,73)'],
        [0.2, 'rgb(98,133,95)'],
        [0.25, 'rgb(120,158,108)'],
        [0.3, 'rgb(140,179,111)'],
        [0.35, 'rgb(179,204,137)'],
        [0.4, 'rgb(209,224,162)'],
        [0.45, 'rgb(234,240,194)'],
        [0.475, 'rgb(242,242,203)'],
        [0.5, 'rgb(247,242,218)'],
        [0.55, 'rgb(235,216,178)'],
        [0.6, 'rgb(212,183,144)'],
        [0.65, 'rgb(189,153,117)'],
        [0.7, 'rgb(166,125,96)'],
        [0.75, 'rgb(140,97,76)'],
        [0.8, 'rgb(115,74,56)'],
        [0.85, 'rgb(92,50,39)'],
        [0.9, 'rgb(77,33,24)'],
        [0.95, 'rgb(54,19,15)'],
        [0.975, 'rgb(41,14,12)'],
        [1.0, 'rgb(31,13,12)'],
    ],
    'svc.div-turqoise-olive': [
        [0.0, 'rgb(42,53,61)'],
        [0.025, 'rgb(47,66,77)'],
        [0.05, 'rgb(48,77,92)'],
        [0.1, 'rgb(47,103,122)'],
        [0.15, 'rgb(54,136,153)'],
        [0.2, 'rgb(54,174,179)'],
        [0.25, 'rgb(71,204,200)'],
        [0.3, 'rgb(99,230,212)'],
        [0.35, 'rgb(125,240,209)'],
        [0.4, 'rgb(147,245,204)'],
        [0.45, 'rgb(202,252,223)'],
        [0.49, 'rgb(224,255,235)'],
        [0.5, 'rgb(252,248,212)'],
        [0.55, 'rgb(235,221,155)'],
        [0.6, 'rgb(227,206,129)'],
        [0.65, 'rgb(214,184,114)'],
        [0.7, 'rgb(194,161,95)'],
        [0.75, 'rgb(166,145,76)'],
        [0.8, 'rgb(138,131,61)'],
        [0.85, 'rgb(112,112,47)'],
        [0.9, 'rgb(78,92,32)'],
        [0.95, 'rgb(52,66,30)'],
        [1.0, 'rgb(30,41,25)'],
    ],
    'svc.div-orange-blue': [
        [0.0, 'rgb(112,2,24)'],
        [0.012629084133952861, 'rgb(124,5,22)'],
        [0.021508782979816177, 'rgb(134,6,20)'],
        [0.02940210449019076, 'rgb(142,8,17)'],
        [0.03838044106960298, 'rgb(150,12,14)'],
        [0.04797555133700371, 'rgb(159,17,11)'],
        [0.05757066160440444, 'rgb(167,25,14)'],
        [0.06716577187180522, 'rgb(175,31,16)'],
        [0.0767608821392059, 'rgb(181,38,17)'],
        [0.08635599240660669, 'rgb(187,45,19)'],
        [0.09595110267400742, 'rgb(193,54,20)'],
        [0.10554621294140815, 'rgb(198,63,23)'],
        [0.11514132320880893, 'rgb(202,72,25)'],
        [0.12194924584573508, 'rgb(204,79,27)'],
        [0.1302371182903051, 'rgb(206,86,29)'],
        [0.13951136807036402, 'rgb(209,94,31)'],
        [0.14582610203954577, 'rgb(210,99,32)'],
        [0.15371903974550963, 'rgb(212,105,34)'],
        [0.1624014631242752, 'rgb(214,112,35)'],
        [0.17088661103594302, 'rgb(216,118,36)'],
        [0.1766091347994208, 'rgb(217,123,37)'],
        [0.18173983216160536, 'rgb(219,127,38)'],
        [0.18805418232637644, 'rgb(220,133,39)'],
        [0.19140901668027044, 'rgb(221,136,39)'],
        [0.19476346722975374, 'rgb(222,139,40)'],
        [0.198710127984941, 'rgb(222,142,40)'],
        [0.20384044154271483, 'rgb(223,146,41)'],
        [0.2087738634378016, 'rgb(223,151,42)'],
        [0.21627225020956992, 'rgb(224,157,43)'],
        [0.22337608604714274, 'rgb(225,162,46)'],
        [0.23403203170570733, 'rgb(227,169,51)'],
        [0.24093820827177168, 'rgb(229,175,54)'],
        [0.2488315297821462, 'rgb(231,181,59)'],
        [0.25731667769381406, 'rgb(234,187,63)'],
        [0.2675776886137724, 'rgb(236,195,69)'],
        [0.27783869953373075, 'rgb(239,203,76)'],
        [0.28785330802202225, 'rgb(243,211,85)'],
        [0.297448418289423, 'rgb(245,219,97)'],
        [0.3070435285568237, 'rgb(248,225,109)'],
        [0.32184302663326264, 'rgb(250,233,129)'],
        [0.3338802843659222, 'rgb(251,240,150)'],
        [0.3429572586788833, 'rgb(252,244,166)'],
        [0.3492719926480651, 'rgb(253,245,175)'],
        [0.35578361827993393, 'rgb(253,246,185)'],
        [0.36249290318331123, 'rgb(253,247,198)'],
        [0.3721620877019763, 'rgb(253,250,217)'],
        [0.38380441069602966, 'rgb(254,254,240)'],
        [0.3838144106960296, 'rgb(251,255,246)'],
        [0.40408999751207675, 'rgb(228,252,236)'],
        [0.4183460673062134, 'rgb(214,250,228)'],
        [0.43101854013583885, 'rgb(202,250,223)'],
        [0.44543296962642664, 'rgb(187,250,219)'],
        [0.46083760935902596, 'rgb(169,250,215)'],
        [0.47624224909162516, 'rgb(154,247,214)'],
        [0.49164688882422447, 'rgb(139,245,215)'],
        [0.5070515285568237, 'rgb(123,242,220)'],
        [0.5224561682894229, 'rgb(102,238,223)'],
        [0.5378608080220222, 'rgb(74,231,220)'],
        [0.5532654477546215, 'rgb(50,224,221)'],
        [0.5686700874872208, 'rgb(18,217,222)'],
        [0.5795999874702946, 'rgb(16,211,220)'],
        [0.5929058990857246, 'rgb(13,204,217)'],
        [0.6077954076656656, 'rgb(12,194,215)'],
        [0.6179335091664839, 'rgb(9,187,213)'],
        [0.63060536581052, 'rgb(7,178,211)'],
        [0.6445447162117544, 'rgb(9,168,209)'],
        [0.6581673472200866, 'rgb(8,158,207)'],
        [0.6673546743566088, 'rgb(9,152,206)'],
        [0.6755918433144243, 'rgb(10,147,204)'],
        [0.6857293286296532, 'rgb(9,141,202)'],
        [0.6911154068657592, 'rgb(8,137,201)'],
        [0.6965008689162759, 'rgb(9,134,200)'],
        [0.7028371053310887, 'rgb(10,131,199)'],
        [0.7110736581033148, 'rgb(11,126,198)'],
        [0.718994107668228, 'rgb(10,121,197)'],
        [0.7310325255264597, 'rgb(12,114,194)'],
        [0.7424375045988869, 'rgb(13,107,192)'],
        [0.7595452813003223, 'rgb(14,98,188)'],
        [0.770632924794258, 'rgb(15,94,186)'],
        [0.7833053976238834, 'rgb(15,88,184)'],
        [0.7969280286322156, 'rgb(14,83,182)'],
        [0.8134017503622573, 'rgb(15,75,178)'],
        [0.829875472092299, 'rgb(15,67,175)'],
        [0.8459536026740074, 'rgb(14,58,171)'],
        [0.8613582424066066, 'rgb(13,47,166)'],
        [0.876762882139206, 'rgb(10,36,159)'],
        [0.9005229984627671, 'rgb(9,17,148)'],
        [0.9198484271001075, 'rgb(20,11,137)'],
        [0.9344212162871464, 'rgb(27,12,129)'],
        [0.9445593177879645, 'rgb(28,10,124)'],
        [0.9550135224960957, 'rgb(29,8,119)'],
        [0.9657850627827185, 'rgb(28,6,112)'],
        [0.9813086263340534, 'rgb(26,3,95)'],
        [1.0, 'rgb(22,1,76)'],
    ],
    'svc.rainbow-mellow': [
        [0.0, 'rgb(255,252,247)'],
        [0.025, 'rgb(255,245,222)'],
        [0.05, 'rgb(247,235,195)'],
        [0.075, 'rgb(245,233,171)'],
        [0.1, 'rgb(240,231,153)'],
        [0.125, 'rgb(237,234,138)'],
        [0.15, 'rgb(229,232,128)'],
        [0.175, 'rgb(216,227,118)'],
        [0.2, 'rgb(197,219,110)'],
        [0.225, 'rgb(175,212,102)'],
        [0.25, 'rgb(154,204,94)'],
        [0.275, 'rgb(132,196,86)'],
        [0.3, 'rgb(106,184,77)'],
        [0.325, 'rgb(83,173,69)'],
        [0.35, 'rgb(63,166,63)'],
        [0.375, 'rgb(56,156,68)'],
        [0.4, 'rgb(49,148,72)'],
        [0.425, 'rgb(40,143,74)'],
        [0.45, 'rgb(30,138,75)'],
        [0.475, 'rgb(23,133,78)'],
        [0.5, 'rgb(18,130,83)'],
        [0.525, 'rgb(21,130,94)'],
        [0.55, 'rgb(23,133,105)'],
        [0.575, 'rgb(24,135,117)'],
        [0.6, 'rgb(26,138,128)'],
        [0.625, 'rgb(29,140,140)'],
        [0.65, 'rgb(33,135,143)'],
        [0.675, 'rgb(37,133,148)'],
        [0.7, 'rgb(40,127,153)'],
        [0.725, 'rgb(42,114,156)'],
        [0.75, 'rgb(44,101,158)'],
        [0.775, 'rgb(45,87,161)'],
        [0.8, 'rgb(47,80,163)'],
        [0.825, 'rgb(47,70,158)'],
        [0.85, 'rgb(47,60,153)'],
        [0.875, 'rgb(47,51,148)'],
        [0.9, 'rgb(55,50,143)'],
        [0.925, 'rgb(60,49,130)'],
        [0.95, 'rgb(67,51,122)'],
        [0.975, 'rgb(73,56,112)'],
        [1.0, 'rgb(77,61,102)'],
    ],
    'svc.rainbow-mellow-wave': [
        [0.0, 'rgb(251,246,188)'],
        [0.0206315793981833, 'rgb(247,237,162)'],
        [0.0412631587963664, 'rgb(244,230,140)'],
        [0.0618947381945497, 'rgb(241,221,119)'],
        [0.0825263175927329, 'rgb(236,212,103)'],
        [0.103157896990916, 'rgb(232,204,94)'],
        [0.123789476389099, 'rgb(228,196,86)'],
        [0.144421055787283, 'rgb(224,187,79)'],
        [0.172792568802834, 'rgb(209,169,74)'],
        [0.188001692295074, 'rgb(195,152,65)'],
        [0.205745667219162, 'rgb(156,107,71)'],
        [0.214195191860199, 'rgb(143,92,63)'],
        [0.241656109690666, 'rgb(150,101,68)'],
        [0.26404732465744, 'rgb(163,115,79)'],
        [0.314744412899017, 'rgb(204,162,114)'],
        [0.333755820989609, 'rgb(218,181,129)'],
        [0.355724543333054, 'rgb(232,201,151)'],
        [0.374313473701477, 'rgb(237,212,171)'],
        [0.386987745761871, 'rgb(242,225,197)'],
        [0.399239540100098, 'rgb(226,235,218)'],
        [0.426700472831726, 'rgb(189,201,183)'],
        [0.44317701458931, 'rgb(169,186,166)'],
        [0.449438721180243, 'rgb(163,181,161)'],
        [0.459711895186179, 'rgb(155,176,155)'],
        [0.469985069192115, 'rgb(150,171,152)'],
        [0.48025824319805, 'rgb(144,166,148)'],
        [0.490531417203985, 'rgb(140,161,145)'],
        [0.500804591209921, 'rgb(134,156,141)'],
        [0.511077765215856, 'rgb(129,150,138)'],
        [0.521350939221792, 'rgb(124,145,134)'],
        [0.531624113227727, 'rgb(119,140,131)'],
        [0.541897287233663, 'rgb(114,135,128)'],
        [0.552170461239598, 'rgb(109,130,125)'],
        [0.562443635245534, 'rgb(104,125,121)'],
        [0.572716809251469, 'rgb(97,117,116)'],
        [0.582989983257404, 'rgb(91,110,110)'],
        [0.593155920505524, 'rgb(86,104,104)'],
        [0.61339865781734, 'rgb(78,98,125)'],
        [0.633523952055547, 'rgb(92,113,141)'],
        [0.653649246293753, 'rgb(106,129,157)'],
        [0.67377454053196, 'rgb(121,145,173)'],
        [0.693899834770166, 'rgb(137,162,190)'],
        [0.714025129008373, 'rgb(155,180,205)'],
        [0.73415042324658, 'rgb(173,198,220)'],
        [0.749894380569458, 'rgb(189,214,233)'],
        [0.76932829618454, 'rgb(208,231,245)'],
        [0.789607107639313, 'rgb(225,242,251)'],
        [0.806083679199219, 'rgb(211,244,236)'],
        [0.822137713432312, 'rgb(179,230,219)'],
        [0.841994106769562, 'rgb(143,204,195)'],
        [0.857625722885132, 'rgb(119,191,186)'],
        [0.876721907366196, 'rgb(90,166,166)'],
        [0.897268256138496, 'rgb(68,139,145)'],
        [0.917814604910797, 'rgb(50,116,125)'],
        [0.938360953683098, 'rgb(34,96,107)'],
        [0.958907302455399, 'rgb(24,84,97)'],
        [0.979453651227699, 'rgb(12,67,82)'],
        [1.0, 'rgb(0,48,64)'],
    ],
    'svc.rainbow-blue': [
        [0.0, 'rgb(251,252,242)'],
        [0.05, 'rgb(236,245,211)'],
        [0.1, 'rgb(219,242,189)'],
        [0.15, 'rgb(202,240,177)'],
        [0.2, 'rgb(174,237,161)'],
        [0.25, 'rgb(150,235,156)'],
        [0.275, 'rgb(143,235,158)'],
        [0.3, 'rgb(138,237,164)'],
        [0.325, 'rgb(132,240,171)'],
        [0.35, 'rgb(126,242,180)'],
        [0.375, 'rgb(121,237,185)'],
        [0.4, 'rgb(117,235,192)'],
        [0.425, 'rgb(110,230,200)'],
        [0.45, 'rgb(103,230,208)'],
        [0.475, 'rgb(98,227,216)'],
        [0.5, 'rgb(90,224,224)'],
        [0.55, 'rgb(84,206,222)'],
        [0.6, 'rgb(74,181,217)'],
        [0.65, 'rgb(64,159,214)'],
        [0.7, 'rgb(58,139,224)'],
        [0.75, 'rgb(60,122,214)'],
        [0.8, 'rgb(62,107,199)'],
        [0.85, 'rgb(64,99,189)'],
        [0.875, 'rgb(70,97,179)'],
        [0.9, 'rgb(76,97,166)'],
        [0.95, 'rgb(76,90,145)'],
        [1.0, 'rgb(71,78,115)'],
    ],
    'svc.3wave-blue-green-red': [
        [0.0, 'rgb(191,231,238)'],
        [0.015698778629302978, 'rgb(162,210,222)'],
        [0.031397557258605956, 'rgb(147,196,213)'],
        [0.06279511451721191, 'rgb(123,170,195)'],
        [0.09419267177581787, 'rgb(103,144,177)'],
        [0.12559022903442382, 'rgb(85,120,159)'],
        [0.15698778629302979, 'rgb(70,100,142)'],
        [0.18838534355163575, 'rgb(56,79,122)'],
        [0.21978290081024168, 'rgb(40,57,98)'],
        [0.25118045806884765, 'rgb(28,40,78)'],
        [0.28257801532745364, 'rgb(16,19,49)'],
        [0.3139855725860596, 'rgb(14,28,31)'],
        [0.3320312050611973, 'rgb(19,43,45)'],
        [0.350076837536335, 'rgb(22,57,55)'],
        [0.3681224700114727, 'rgb(24,69,62)'],
        [0.38616810248661043, 'rgb(27,84,69)'],
        [0.4042137349617481, 'rgb(29,98,71)'],
        [0.42225936743688586, 'rgb(30,110,70)'],
        [0.44030499991202354, 'rgb(30,121,65)'],
        [0.4583506323871612, 'rgb(30,129,57)'],
        [0.47639626486229897, 'rgb(29,136,47)'],
        [0.4944418973374367, 'rgb(26,144,33)'],
        [0.5124875298125744, 'rgb(23,153,19)'],
        [0.5305331622877121, 'rgb(35,164,15)'],
        [0.5485787947628498, 'rgb(59,175,22)'],
        [0.5666244272379876, 'rgb(85,185,30)'],
        [0.5846700597131252, 'rgb(112,194,42)'],
        [0.6027156921882629, 'rgb(142,204,61)'],
        [0.6207613246634006, 'rgb(168,213,74)'],
        [0.6388069571385384, 'rgb(196,223,97)'],
        [0.6568525896136761, 'rgb(221,233,129)'],
        [0.6748982220888138, 'rgb(240,240,162)'],
        [0.6749082220888137, 'rgb(251,249,177)'],
        [0.6755584056446361, 'rgb(251,249,176)'],
        [0.691162810984373, 'rgb(250,244,159)'],
        [0.7074173998799324, 'rgb(249,238,140)'],
        [0.7236719887754917, 'rgb(247,229,120)'],
        [0.739926577671051, 'rgb(247,219,98)'],
        [0.7561811665666103, 'rgb(245,206,75)'],
        [0.7724357554621696, 'rgb(243,192,60)'],
        [0.7886903443577289, 'rgb(241,179,44)'],
        [0.8049449332532882, 'rgb(238,164,31)'],
        [0.8211995221488475, 'rgb(236,149,20)'],
        [0.8374541110444068, 'rgb(234,135,13)'],
        [0.8537086999399661, 'rgb(231,121,8)'],
        [0.8699632888355254, 'rgb(227,104,5)'],
        [0.8862178777310847, 'rgb(206,81,0)'],
        [0.902472466626644, 'rgb(196,65,0)'],
        [0.9187270555222034, 'rgb(181,51,2)'],
        [0.9349816444177628, 'rgb(163,39,5)'],
        [0.951236233313322, 'rgb(143,25,7)'],
        [0.9674908222088814, 'rgb(121,13,10)'],
        [0.9837454111044406, 'rgb(99,10,16)'],
        [1.0, 'rgb(99,10,16)'],
    ],
    'svc.3wave-blue-gray-brown': [
        [0.0, 'rgb(242,255,253)'],
        [0.015698778629302978, 'rgb(215,250,247)'],
        [0.031397557258605956, 'rgb(196,245,245)'],
        [0.06279511451721191, 'rgb(176,227,232)'],
        [0.09419267177581787, 'rgb(155,202,212)'],
        [0.12559022903442382, 'rgb(136,179,194)'],
        [0.15698778629302979, 'rgb(118,158,179)'],
        [0.18838534355163575, 'rgb(106,142,166)'],
        [0.21978290081024168, 'rgb(93,125,153)'],
        [0.23548167943954468, 'rgb(86,114,145)'],
        [0.25118045806884765, 'rgb(81,105,140)'],
        [0.2668792366981506, 'rgb(77,96,135)'],
        [0.28257801532745364, 'rgb(74,89,130)'],
        [0.2982767939567566, 'rgb(70,81,125)'],
        [0.31397557258605957, 'rgb(65,73,117)'],
        [0.3139855725860596, 'rgb(97,101,102)'],
        [0.3320312050611973, 'rgb(99,107,107)'],
        [0.350076837536335, 'rgb(101,111,110)'],
        [0.3681224700114727, 'rgb(103,116,114)'],
        [0.38616810248661043, 'rgb(104,121,117)'],
        [0.4042137349617481, 'rgb(107,126,120)'],
        [0.42225936743688586, 'rgb(111,131,123)'],
        [0.44030499991202354, 'rgb(116,137,127)'],
        [0.4583506323871612, 'rgb(123,144,133)'],
        [0.47639626486229897, 'rgb(130,151,138)'],
        [0.4944418973374367, 'rgb(138,160,145)'],
        [0.5124875298125744, 'rgb(149,171,154)'],
        [0.5305331622877121, 'rgb(158,181,161)'],
        [0.5485787947628498, 'rgb(168,191,169)'],
        [0.5666244272379876, 'rgb(176,200,176)'],
        [0.5846700597131252, 'rgb(188,209,186)'],
        [0.6027156921882629, 'rgb(197,217,193)'],
        [0.6207613246634006, 'rgb(209,226,203)'],
        [0.6388069571385384, 'rgb(219,234,212)'],
        [0.6568525896136761, 'rgb(229,241,221)'],
        [0.6748982220888138, 'rgb(238,248,230)'],
        [0.6749082220888137, 'rgb(246,242,198)'],
        [0.6814100576470374, 'rgb(243,237,186)'],
        [0.691162810984373, 'rgb(239,230,171)'],
        [0.7074173998799324, 'rgb(235,220,154)'],
        [0.739926577671051, 'rgb(224,200,128)'],
        [0.7724357554621696, 'rgb(212,178,111)'],
        [0.8049449332532882, 'rgb(201,157,97)'],
        [0.8374541110444068, 'rgb(188,135,83)'],
        [0.8537086999399661, 'rgb(180,124,74)'],
        [0.8699632888355254, 'rgb(172,114,71)'],
        [0.8862178777310847, 'rgb(165,107,73)'],
        [0.902472466626644, 'rgb(158,101,74)'],
        [0.9187270555222034, 'rgb(149,95,74)'],
        [0.9349816444177628, 'rgb(138,88,73)'],
        [0.951236233313322, 'rgb(128,82,72)'],
        [0.9674908222088814, 'rgb(119,76,70)'],
        [0.9837454111044406, 'rgb(109,70,67)'],
        [1.0, 'rgb(109,70,67)'],
    ],
    'svc.3wave-gray-brown-yellow': [
        [0.0, 'rgb(249,255,242)'],
        [0.016675401479005814, 'rgb(241,250,232)'],
        [0.03335080295801163, 'rgb(231,242,223)'],
        [0.05002620443701744, 'rgb(221,235,213)'],
        [0.06670160591602325, 'rgb(210,227,204)'],
        [0.08337700739502907, 'rgb(197,217,193)'],
        [0.10005240887403488, 'rgb(188,209,186)'],
        [0.11672781035304068, 'rgb(175,199,175)'],
        [0.1334032118320465, 'rgb(166,189,168)'],
        [0.15007861331105232, 'rgb(155,179,159)'],
        [0.16675401479005814, 'rgb(146,168,152)'],
        [0.18342941626906398, 'rgb(134,156,141)'],
        [0.20010481774806976, 'rgb(127,148,136)'],
        [0.21678021922707558, 'rgb(119,140,130)'],
        [0.23345562070608136, 'rgb(113,133,124)'],
        [0.2501310221850872, 'rgb(108,128,121)'],
        [0.266806423664093, 'rgb(105,122,118)'],
        [0.28348182514309883, 'rgb(103,117,115)'],
        [0.30015722662210464, 'rgb(101,112,111)'],
        [0.31683262810111046, 'rgb(99,107,107)'],
        [0.33350802958011627, 'rgb(97,101,102)'],
        [0.3335180295801163, 'rgb(107,89,69)'],
        [0.36664071947002413, 'rgb(122,106,83)'],
        [0.39976340935993193, 'rgb(138,122,96)'],
        [0.4328860992498398, 'rgb(148,133,106)'],
        [0.46600878913974764, 'rgb(158,145,117)'],
        [0.4991314790296555, 'rgb(171,159,130)'],
        [0.5322541689195632, 'rgb(186,176,145)'],
        [0.5653768588094712, 'rgb(201,193,163)'],
        [0.5984995486993789, 'rgb(214,208,182)'],
        [0.6316222385892868, 'rgb(230,226,204)'],
        [0.6581203905012131, 'rgb(245,243,228)'],
        [0.6647449284791946, 'rgb(252,252,247)'],
        [0.6647549284791946, 'rgb(255,254,227)'],
        [0.6982794356312751, 'rgb(250,244,180)'],
        [0.7318039427833557, 'rgb(245,234,152)'],
        [0.7653284499354363, 'rgb(242,225,126)'],
        [0.7988529570875167, 'rgb(237,213,104)'],
        [0.8323774642395972, 'rgb(232,204,93)'],
        [0.8659019713916778, 'rgb(227,194,84)'],
        [0.8994264785437583, 'rgb(222,183,75)'],
        [0.9329509856958389, 'rgb(219,175,70)'],
        [0.9664754928479193, 'rgb(217,166,65)'],
        [0.9865901971391677, 'rgb(214,158,60)'],
        [1.0, 'rgb(212,150,57)'],
    ],
    'svc.3wave-brown-to-green': [
        [0.0, 'rgb(255,253,212)'],
        [0.0196, 'rgb(250,242,175)'],
        [0.0392, 'rgb(245,230,144)'],
        [0.0588, 'rgb(240,219,134)'],
        [0.0784, 'rgb(230,203,124)'],
        [0.098, 'rgb(219,188,114)'],
        [0.1176, 'rgb(207,170,103)'],
        [0.1372, 'rgb(194,152,89)'],
        [0.1568, 'rgb(184,137,79)'],
        [0.1764, 'rgb(176,123,70)'],
        [0.196, 'rgb(168,115,71)'],
        [0.2156, 'rgb(161,107,71)'],
        [0.2352, 'rgb(153,99,70)'],
        [0.2548, 'rgb(145,94,70)'],
        [0.2744, 'rgb(138,88,69)'],
        [0.294, 'rgb(128,82,66)'],
        [0.3136, 'rgb(117,75,63)'],
        [0.3332, 'rgb(107,69,60)'],
        [0.3635, 'rgb(79,60,33)'],
        [0.3938, 'rgb(89,72,40)'],
        [0.4241, 'rgb(102,86,49)'],
        [0.4544, 'rgb(115,102,59)'],
        [0.4847, 'rgb(128,117,69)'],
        [0.515, 'rgb(143,135,81)'],
        [0.5453, 'rgb(163,156,100)'],
        [0.5756, 'rgb(184,177,118)'],
        [0.6059, 'rgb(209,204,142)'],
        [0.6362, 'rgb(237,233,180)'],
        [0.65, 'rgb(242,240,189)'],
        [0.666, 'rgb(247,246,203)'],
        [0.667, 'rgb(236,247,203)'],
        [0.6845, 'rgb(222,240,182)'],
        [0.702, 'rgb(208,232,162)'],
        [0.7195, 'rgb(188,222,138)'],
        [0.737, 'rgb(170,209,119)'],
        [0.7545, 'rgb(152,199,99)'],
        [0.772, 'rgb(136,184,88)'],
        [0.7895, 'rgb(120,173,76)'],
        [0.807, 'rgb(107,166,68)'],
        [0.8245, 'rgb(98,158,63)'],
        [0.842, 'rgb(86,148,58)'],
        [0.8595, 'rgb(71,138,51)'],
        [0.877, 'rgb(57,128,43)'],
        [0.8945, 'rgb(44,117,36)'],
        [0.912, 'rgb(32,105,29)'],
        [0.9295, 'rgb(24,94,26)'],
        [0.947, 'rgb(19,87,27)'],
        [0.9645, 'rgb(15,79,27)'],
        [0.982, 'rgb(11,71,27)'],
        [0.9995, 'rgb(8,61,27)'],
        [1.0, 'rgb(5,51,25)'],
    ],
    'svc.3wave-red-gray-blue': [
        [0.0, 'rgb(77,12,23)'],
        [0.01639024615287782, 'rgb(101,10,15)'],
        [0.03278049230575558, 'rgb(126,14,9)'],
        [0.049170738458633456, 'rgb(150,29,6)'],
        [0.06556098461151122, 'rgb(169,43,4)'],
        [0.08195123076438904, 'rgb(189,58,1)'],
        [0.09834147691726686, 'rgb(201,74,0)'],
        [0.11473172307014465, 'rgb(220,97,3)'],
        [0.13112196922302247, 'rgb(230,117,7)'],
        [0.14751221537590026, 'rgb(234,133,12)'],
        [0.16390246152877808, 'rgb(236,148,20)'],
        [0.18029270768165587, 'rgb(239,164,31)'],
        [0.19668295383453369, 'rgb(241,181,47)'],
        [0.2130731999874115, 'rgb(243,196,63)'],
        [0.2294634461402893, 'rgb(246,211,83)'],
        [0.24585369229316711, 'rgb(247,224,108)'],
        [0.26224393844604493, 'rgb(248,234,131)'],
        [0.27863418459892275, 'rgb(250,242,152)'],
        [0.2950244307518005, 'rgb(250,248,171)'],
        [0.31141467690467833, 'rgb(252,252,193)'],
        [0.32714931321144103, 'rgb(251,252,218)'],
        [0.32780492305755615, 'rgb(252,252,219)'],
        [0.32781492305755616, 'rgb(243,243,228)'],
        [0.34483569985938073, 'rgb(227,227,206)'],
        [0.3618564766612053, 'rgb(211,210,188)'],
        [0.37887725346302986, 'rgb(198,195,173)'],
        [0.39589803026485443, 'rgb(185,182,160)'],
        [0.412918807066679, 'rgb(173,169,148)'],
        [0.42993958386850356, 'rgb(161,155,136)'],
        [0.4469603606703281, 'rgb(148,142,124)'],
        [0.46398113747215275, 'rgb(137,129,113)'],
        [0.4810019142739773, 'rgb(127,117,104)'],
        [0.4980226910758019, 'rgb(118,107,95)'],
        [0.5150434678776264, 'rgb(110,99,88)'],
        [0.532064244679451, 'rgb(103,91,81)'],
        [0.5490850214812756, 'rgb(95,82,75)'],
        [0.5661057982831001, 'rgb(88,75,68)'],
        [0.5831265750849247, 'rgb(81,67,61)'],
        [0.6001473518867493, 'rgb(73,59,54)'],
        [0.6171681286885738, 'rgb(65,51,47)'],
        [0.6341889054903984, 'rgb(59,44,42)'],
        [0.651209682292223, 'rgb(51,37,35)'],
        [0.6682404590940476, 'rgb(38,50,71)'],
        [0.7014164131846428, 'rgb(51,65,88)'],
        [0.734592367275238, 'rgb(63,81,106)'],
        [0.7677683213658333, 'rgb(78,99,126)'],
        [0.8009442754564285, 'rgb(95,117,145)'],
        [0.8341202295470238, 'rgb(113,136,164)'],
        [0.867296183637619, 'rgb(132,157,185)'],
        [0.9004721377282143, 'rgb(153,178,204)'],
        [0.9336480918188095, 'rgb(175,200,222)'],
        [0.9668240459094047, 'rgb(194,219,237)'],
        [0.9834120229547024, 'rgb(206,230,245)'],
        [1.0, 'rgb(227,244,251)'],
    ],
    'svc.3wave-gray-green-blue': [
        [0.0, 'rgb(56,46,45)'],
        [0.016675401479005814, 'rgb(64,52,51)'],
        [0.03335080295801163, 'rgb(77,64,61)'],
        [0.05002620443701744, 'rgb(84,72,68)'],
        [0.06670160591602325, 'rgb(92,80,74)'],
        [0.08337700739502907, 'rgb(99,87,81)'],
        [0.10005240887403491, 'rgb(107,96,88)'],
        [0.1167278103530407, 'rgb(115,104,94)'],
        [0.1334032118320465, 'rgb(120,110,99)'],
        [0.1500786133110523, 'rgb(125,116,104)'],
        [0.16675401479005814, 'rgb(130,122,109)'],
        [0.18342941626906395, 'rgb(138,131,116)'],
        [0.20010481774806976, 'rgb(148,142,126)'],
        [0.21678021922707558, 'rgb(156,151,134)'],
        [0.2334556207060814, 'rgb(166,163,144)'],
        [0.2501310221850872, 'rgb(179,176,155)'],
        [0.266806423664093, 'rgb(191,189,168)'],
        [0.28348182514309883, 'rgb(201,200,179)'],
        [0.30015722662210464, 'rgb(209,209,188)'],
        [0.31683262810111046, 'rgb(224,224,206)'],
        [0.33350802958011627, 'rgb(240,240,228)'],
        [0.3335180295801163, 'rgb(232,250,212)'],
        [0.3500793745250702, 'rgb(217,242,189)'],
        [0.36664071947002413, 'rgb(199,230,161)'],
        [0.39976340935993193, 'rgb(173,214,120)'],
        [0.4328860992498398, 'rgb(154,196,94)'],
        [0.46600878913974764, 'rgb(140,184,73)'],
        [0.4991314790296555, 'rgb(129,171,62)'],
        [0.5322541689195632, 'rgb(115,153,49)'],
        [0.5653768588094711, 'rgb(101,135,38)'],
        [0.5984995486993789, 'rgb(87,115,28)'],
        [0.6316222385892868, 'rgb(73,94,19)'],
        [0.6647449284791946, 'rgb(56,71,11)'],
        [0.6647549284791947, 'rgb(25,22,89)'],
        [0.6982794356312751, 'rgb(31,37,102)'],
        [0.7318039427833557, 'rgb(40,53,115)'],
        [0.7653284499354363, 'rgb(53,77,133)'],
        [0.7988529570875168, 'rgb(67,100,148)'],
        [0.8323774642395974, 'rgb(82,125,163)'],
        [0.8659019713916778, 'rgb(98,152,179)'],
        [0.8994264785437585, 'rgb(122,188,204)'],
        [0.9329509856958389, 'rgb(141,210,217)'],
        [0.9664754928479194, 'rgb(176,235,233)'],
        [1.0, 'rgb(225,250,246)'],
    ],
    'svc.3wave-gray-blue-gray': [
        [0.0, 'rgb(56,46,45)'],
        [0.016675401479005814, 'rgb(64,52,51)'],
        [0.03335080295801163, 'rgb(77,64,61)'],
        [0.05002620443701744, 'rgb(84,72,68)'],
        [0.06670160591602325, 'rgb(92,80,74)'],
        [0.08337700739502907, 'rgb(99,87,81)'],
        [0.10005240887403491, 'rgb(107,96,88)'],
        [0.1167278103530407, 'rgb(115,104,94)'],
        [0.1334032118320465, 'rgb(120,110,99)'],
        [0.1500786133110523, 'rgb(125,116,104)'],
        [0.16675401479005814, 'rgb(130,122,109)'],
        [0.18342941626906395, 'rgb(138,131,116)'],
        [0.20010481774806976, 'rgb(148,142,126)'],
        [0.21678021922707558, 'rgb(156,151,134)'],
        [0.2334556207060814, 'rgb(166,163,144)'],
        [0.2501310221850872, 'rgb(179,176,155)'],
        [0.266806423664093, 'rgb(191,189,168)'],
        [0.28348182514309883, 'rgb(201,200,179)'],
        [0.30015722662210464, 'rgb(209,209,188)'],
        [0.31683262810111046, 'rgb(224,224,206)'],
        [0.33350802958011627, 'rgb(240,240,228)'],
        [0.3335180295801163, 'rgb(242,255,253)'],
        [0.3500793745250702, 'rgb(215,250,247)'],
        [0.36664071947002413, 'rgb(196,245,245)'],
        [0.39976340935993193, 'rgb(176,227,232)'],
        [0.4328860992498398, 'rgb(155,202,212)'],
        [0.46600878913974764, 'rgb(136,179,194)'],
        [0.4991314790296555, 'rgb(118,158,179)'],
        [0.5322541689195632, 'rgb(106,142,166)'],
        [0.5653768588094711, 'rgb(93,125,153)'],
        [0.5819382037544251, 'rgb(86,114,145)'],
        [0.5984995486993789, 'rgb(81,105,140)'],
        [0.6150608936443329, 'rgb(77,96,135)'],
        [0.6316222385892868, 'rgb(74,89,130)'],
        [0.6481835835342407, 'rgb(70,81,125)'],
        [0.6647449284791946, 'rgb(65,73,117)'],
        [0.6647549284791947, 'rgb(97,101,102)'],
        [0.6815171820552349, 'rgb(99,107,107)'],
        [0.6982794356312751, 'rgb(101,112,111)'],
        [0.7150416892073155, 'rgb(103,117,115)'],
        [0.7318039427833557, 'rgb(105,122,118)'],
        [0.7485661963593959, 'rgb(108,128,121)'],
        [0.7653284499354363, 'rgb(113,133,124)'],
        [0.7820907035114766, 'rgb(119,140,130)'],
        [0.7988529570875168, 'rgb(127,148,136)'],
        [0.815615210663557, 'rgb(134,156,141)'],
        [0.8323774642395974, 'rgb(146,168,152)'],
        [0.8491397178156376, 'rgb(155,179,159)'],
        [0.8659019713916778, 'rgb(166,189,168)'],
        [0.8826642249677181, 'rgb(175,199,175)'],
        [0.8994264785437585, 'rgb(188,209,186)'],
        [0.9161887321197987, 'rgb(197,217,193)'],
        [0.9329509856958389, 'rgb(210,227,204)'],
        [0.9497132392718792, 'rgb(221,235,213)'],
        [0.9664754928479194, 'rgb(231,242,223)'],
        [0.9832377464239598, 'rgb(241,250,232)'],
        [1.0, 'rgb(249,255,242)'],
    ],
    'svc.4wave-blue-to-red': [
        [0.0, 'rgb(198,243,236)'],
        [0.005025125628140704, 'rgb(194,241,235)'],
        [0.010050251256281407, 'rgb(190,239,234)'],
        [0.012623878568410874, 'rgb(188,238,233)'],
        [0.01507537688442211, 'rgb(186,237,233)'],
        [0.020100502512562814, 'rgb(182,234,233)'],
        [0.02512562814070352, 'rgb(177,232,232)'],
        [0.025247757136821748, 'rgb(177,232,232)'],
        [0.03015075376884422, 'rgb(174,229,230)'],
        [0.035175879396984924, 'rgb(171,225,227)'],
        [0.04020100502512563, 'rgb(168,222,225)'],
        [0.04522613065326633, 'rgb(164,218,222)'],
        [0.05025125628140704, 'rgb(161,215,220)'],
        [0.050495514273643495, 'rgb(161,215,220)'],
        [0.05527638190954774, 'rgb(158,211,218)'],
        [0.06030150753768844, 'rgb(155,208,215)'],
        [0.06532663316582915, 'rgb(152,204,213)'],
        [0.07035175879396985, 'rgb(149,201,211)'],
        [0.07537688442211056, 'rgb(146,198,208)'],
        [0.07574327141046523, 'rgb(146,197,208)'],
        [0.08040201005025126, 'rgb(143,194,206)'],
        [0.08542713567839195, 'rgb(141,190,203)'],
        [0.09045226130653267, 'rgb(138,186,200)'],
        [0.09547738693467336, 'rgb(135,182,197)'],
        [0.10050251256281408, 'rgb(132,178,194)'],
        [0.10099102854728699, 'rgb(132,178,194)'],
        [0.10552763819095477, 'rgb(129,174,191)'],
        [0.11055276381909548, 'rgb(125,170,188)'],
        [0.11557788944723618, 'rgb(122,166,185)'],
        [0.12060301507537688, 'rgb(119,162,182)'],
        [0.12562814070351758, 'rgb(115,157,179)'],
        [0.12623878568410873, 'rgb(115,157,179)'],
        [0.1306532663316583, 'rgb(113,154,177)'],
        [0.135678391959799, 'rgb(110,151,174)'],
        [0.1407035175879397, 'rgb(107,147,172)'],
        [0.1457286432160804, 'rgb(105,144,169)'],
        [0.15075376884422112, 'rgb(102,141,166)'],
        [0.15148654282093046, 'rgb(101,140,166)'],
        [0.15577889447236182, 'rgb(99,137,164)'],
        [0.16080402010050251, 'rgb(97,134,161)'],
        [0.1658291457286432, 'rgb(94,130,159)'],
        [0.1708542713567839, 'rgb(92,127,156)'],
        [0.17587939698492464, 'rgb(89,124,153)'],
        [0.17673429995775222, 'rgb(89,123,153)'],
        [0.18090452261306533, 'rgb(86,119,150)'],
        [0.18592964824120603, 'rgb(82,114,147)'],
        [0.1893581785261631, 'rgb(79,110,145)'],
        [0.19095477386934673, 'rgb(78,109,144)'],
        [0.19597989949748745, 'rgb(76,105,142)'],
        [0.20100502512562815, 'rgb(73,101,140)'],
        [0.20198205709457398, 'rgb(73,100,140)'],
        [0.20603015075376885, 'rgb(71,97,138)'],
        [0.21105527638190955, 'rgb(68,92,136)'],
        [0.21460593566298483, 'rgb(66,89,135)'],
        [0.21608040201005024, 'rgb(65,87,134)'],
        [0.22110552763819097, 'rgb(63,83,132)'],
        [0.22613065326633167, 'rgb(60,79,130)'],
        [0.22722981423139574, 'rgb(59,78,130)'],
        [0.23115577889447236, 'rgb(57,75,128)'],
        [0.23618090452261306, 'rgb(54,70,126)'],
        [0.2398536927998066, 'rgb(52,66,125)'],
        [0.24120603015075376, 'rgb(51,65,124)'],
        [0.24623115577889448, 'rgb(47,60,121)'],
        [0.25125628140703515, 'rgb(43,54,118)'],
        [0.25247757136821747, 'rgb(42,53,117)'],
        [0.2524875713682175, 'rgb(68,87,13)'],
        [0.2562814070351759, 'rgb(70,89,15)'],
        [0.2613065326633166, 'rgb(72,92,16)'],
        [0.2663316582914573, 'rgb(75,96,18)'],
        [0.271356783919598, 'rgb(77,99,19)'],
        [0.2763819095477387, 'rgb(79,102,21)'],
        [0.2772426960417306, 'rgb(80,103,21)'],
        [0.2814070351758794, 'rgb(81,105,22)'],
        [0.2864321608040201, 'rgb(83,108,24)'],
        [0.2914572864321608, 'rgb(85,111,25)'],
        [0.2964824120603015, 'rgb(87,115,27)'],
        [0.30150753768844224, 'rgb(89,118,29)'],
        [0.3019978207152437, 'rgb(89,118,29)'],
        [0.3065326633165829, 'rgb(91,121,30)'],
        [0.31155778894472363, 'rgb(94,125,32)'],
        [0.3165829145728643, 'rgb(96,128,34)'],
        [0.32160804020100503, 'rgb(99,131,36)'],
        [0.32663316582914576, 'rgb(101,135,38)'],
        [0.3267529453887568, 'rgb(101,135,38)'],
        [0.3316582914572864, 'rgb(104,139,40)'],
        [0.33668341708542715, 'rgb(107,142,42)'],
        [0.3417085427135678, 'rgb(109,146,45)'],
        [0.34673366834170855, 'rgb(112,150,47)'],
        [0.3515080700622699, 'rgb(115,153,49)'],
        [0.35175879396984927, 'rgb(115,153,49)'],
        [0.35678391959798994, 'rgb(118,157,52)'],
        [0.36180904522613067, 'rgb(121,160,54)'],
        [0.36683417085427134, 'rgb(124,164,57)'],
        [0.37185929648241206, 'rgb(126,168,60)'],
        [0.37626319473578307, 'rgb(129,171,62)'],
        [0.3768844221105528, 'rgb(129,171,62)'],
        [0.38190954773869346, 'rgb(132,174,66)'],
        [0.3869346733668342, 'rgb(135,177,69)'],
        [0.3919597989949749, 'rgb(137,179,73)'],
        [0.3969849246231156, 'rgb(140,182,76)'],
        [0.40101831940929616, 'rgb(142,184,79)'],
        [0.4020100502512563, 'rgb(143,184,80)'],
        [0.40703517587939697, 'rgb(146,187,84)'],
        [0.4120603015075377, 'rgb(148,189,88)'],
        [0.4170854271356784, 'rgb(151,192,92)'],
        [0.4221105527638191, 'rgb(154,194,96)'],
        [0.42577344408280926, 'rgb(156,196,99)'],
        [0.4271356783919598, 'rgb(157,197,100)'],
        [0.4321608040201005, 'rgb(159,199,103)'],
        [0.4371859296482412, 'rgb(161,201,107)'],
        [0.44221105527638194, 'rgb(163,203,110)'],
        [0.4472361809045226, 'rgb(166,205,114)'],
        [0.45052856875632236, 'rgb(167,207,116)'],
        [0.45226130653266333, 'rgb(168,208,118)'],
        [0.457286432160804, 'rgb(172,210,122)'],
        [0.4623115577889447, 'rgb(175,213,127)'],
        [0.46733668341708545, 'rgb(178,215,132)'],
        [0.4723618090452261, 'rgb(181,218,136)'],
        [0.4752836934298355, 'rgb(183,219,139)'],
        [0.47738693467336685, 'rgb(185,220,142)'],
        [0.4824120603015075, 'rgb(188,222,148)'],
        [0.48743718592964824, 'rgb(192,224,155)'],
        [0.48766125576659203, 'rgb(192,224,155)'],
        [0.49246231155778897, 'rgb(197,227,160)'],
        [0.49748743718592964, 'rgb(203,230,165)'],
        [0.5000388181033486, 'rgb(206,232,168)'],
        [0.5000488181033486, 'rgb(237,233,172)'],
        [0.5025125628140703, 'rgb(236,232,170)'],
        [0.507537688442211, 'rgb(236,231,166)'],
        [0.5125628140703518, 'rgb(236,230,162)'],
        [0.5175879396984925, 'rgb(235,229,158)'],
        [0.5226130653266332, 'rgb(235,227,154)'],
        [0.5254803406404335, 'rgb(235,227,152)'],
        [0.5276381909547738, 'rgb(234,226,150)'],
        [0.5326633165829145, 'rgb(234,224,146)'],
        [0.5376884422110553, 'rgb(233,223,143)'],
        [0.542713567839196, 'rgb(233,221,139)'],
        [0.5477386934673367, 'rgb(232,220,135)'],
        [0.5509118631775183, 'rgb(232,219,133)'],
        [0.5527638190954774, 'rgb(232,218,132)'],
        [0.5577889447236181, 'rgb(231,217,129)'],
        [0.5628140703517588, 'rgb(231,216,125)'],
        [0.5678391959798995, 'rgb(230,214,122)'],
        [0.5728643216080402, 'rgb(230,213,119)'],
        [0.5763433857146032, 'rgb(230,212,117)'],
        [0.577889447236181, 'rgb(229,212,116)'],
        [0.5829145728643216, 'rgb(229,210,113)'],
        [0.5879396984924623, 'rgb(228,208,110)'],
        [0.592964824120603, 'rgb(227,206,108)'],
        [0.5979899497487438, 'rgb(226,205,105)'],
        [0.6017749082516881, 'rgb(226,203,102)'],
        [0.6030150753768845, 'rgb(225,203,102)'],
        [0.6080402010050251, 'rgb(224,201,99)'],
        [0.6130653266331658, 'rgb(223,199,96)'],
        [0.6180904522613065, 'rgb(222,197,93)'],
        [0.6231155778894473, 'rgb(221,195,90)'],
        [0.6272064307887729, 'rgb(220,193,88)'],
        [0.628140703517588, 'rgb(220,193,87)'],
        [0.6331658291457286, 'rgb(219,191,86)'],
        [0.6381909547738693, 'rgb(218,189,84)'],
        [0.6432160804020101, 'rgb(218,187,82)'],
        [0.6482412060301508, 'rgb(217,185,81)'],
        [0.6526379533258578, 'rgb(216,184,79)'],
        [0.6532663316582915, 'rgb(216,183,79)'],
        [0.6582914572864321, 'rgb(215,182,77)'],
        [0.6633165829145728, 'rgb(215,180,76)'],
        [0.6683417085427136, 'rgb(214,178,75)'],
        [0.6733668341708543, 'rgb(213,176,73)'],
        [0.6780694758629426, 'rgb(212,174,72)'],
        [0.678391959798995, 'rgb(212,174,72)'],
        [0.6834170854271356, 'rgb(212,173,71)'],
        [0.6884422110552764, 'rgb(211,171,70)'],
        [0.6934673366834171, 'rgb(210,170,69)'],
        [0.6984924623115578, 'rgb(210,168,68)'],
        [0.7035009984000276, 'rgb(209,167,67)'],
        [0.7035175879396985, 'rgb(209,167,67)'],
        [0.7085427135678392, 'rgb(208,165,66)'],
        [0.7135678391959799, 'rgb(207,163,65)'],
        [0.7185929648241206, 'rgb(206,161,63)'],
        [0.7236180904522613, 'rgb(205,159,62)'],
        [0.7286432160804021, 'rgb(204,156,61)'],
        [0.7289325209371125, 'rgb(204,156,61)'],
        [0.7336683417085427, 'rgb(204,155,60)'],
        [0.7386934673366834, 'rgb(204,153,59)'],
        [0.7437185929648241, 'rgb(203,152,58)'],
        [0.7487437185929648, 'rgb(203,150,57)'],
        [0.75, 'rgb(203,150,57)'],
        [0.7537688442211056, 'rgb(182,96,51)'],
        [0.7543740434741975, 'rgb(179,87,50)'],
        [0.7587939698492463, 'rgb(180,87,50)'],
        [0.7638190954773869, 'rgb(182,87,50)'],
        [0.7666553413004875, 'rgb(183,86,51)'],
        [0.7688442211055276, 'rgb(184,87,51)'],
        [0.7738693467336684, 'rgb(185,88,53)'],
        [0.7788944723618091, 'rgb(187,89,54)'],
        [0.7789366391267777, 'rgb(187,89,54)'],
        [0.7839195979899498, 'rgb(188,89,56)'],
        [0.7889447236180904, 'rgb(189,90,57)'],
        [0.7939698492462312, 'rgb(190,90,59)'],
        [0.7989949748743719, 'rgb(191,91,61)'],
        [0.8034992347793579, 'rgb(192,92,62)'],
        [0.8040201005025126, 'rgb(192,92,62)'],
        [0.8090452261306533, 'rgb(193,93,64)'],
        [0.8140703517587939, 'rgb(195,94,66)'],
        [0.8190954773869347, 'rgb(196,95,68)'],
        [0.8241206030150754, 'rgb(197,97,70)'],
        [0.8280618304319382, 'rgb(199,98,71)'],
        [0.8291457286432161, 'rgb(199,98,72)'],
        [0.8341708542713568, 'rgb(200,101,75)'],
        [0.8391959798994975, 'rgb(202,104,78)'],
        [0.8442211055276382, 'rgb(203,107,81)'],
        [0.8492462311557789, 'rgb(204,110,84)'],
        [0.8526244260845184, 'rgb(205,112,87)'],
        [0.8542713567839196, 'rgb(206,113,88)'],
        [0.8592964824120604, 'rgb(207,116,90)'],
        [0.864321608040201, 'rgb(209,118,93)'],
        [0.8693467336683417, 'rgb(211,121,96)'],
        [0.8743718592964824, 'rgb(212,124,99)'],
        [0.8771870217370987, 'rgb(213,125,101)'],
        [0.8793969849246231, 'rgb(214,126,102)'],
        [0.8844221105527639, 'rgb(215,129,105)'],
        [0.8894472361809045, 'rgb(217,131,108)'],
        [0.8944723618090452, 'rgb(218,134,111)'],
        [0.8994974874371859, 'rgb(220,137,114)'],
        [0.901749617389679, 'rgb(220,138,115)'],
        [0.9045226130653267, 'rgb(221,140,117)'],
        [0.9095477386934674, 'rgb(223,142,121)'],
        [0.914572864321608, 'rgb(224,145,124)'],
        [0.9195979899497487, 'rgb(225,148,127)'],
        [0.9246231155778895, 'rgb(227,151,131)'],
        [0.9263122130422592, 'rgb(227,152,132)'],
        [0.9296482412060302, 'rgb(228,153,134)'],
        [0.9346733668341709, 'rgb(229,154,136)'],
        [0.9396984924623115, 'rgb(229,156,139)'],
        [0.9447236180904522, 'rgb(230,157,141)'],
        [0.949748743718593, 'rgb(231,159,144)'],
        [0.9508748086948395, 'rgb(231,159,144)'],
        [0.9547738693467337, 'rgb(233,162,147)'],
        [0.9597989949748744, 'rgb(234,165,151)'],
        [0.964824120603015, 'rgb(236,169,155)'],
        [0.9698492462311558, 'rgb(238,172,159)'],
        [0.9748743718592965, 'rgb(240,175,163)'],
        [0.9754374043474198, 'rgb(240,176,163)'],
        [0.9798994974874372, 'rgb(242,180,169)'],
        [0.9849246231155779, 'rgb(244,185,175)'],
        [0.9877187021737098, 'rgb(245,187,178)'],
        [0.9899497487437187, 'rgb(246,191,182)'],
        [0.9949748743718593, 'rgb(249,199,191)'],
        [1.0, 'rgb(251,207,200)'],
    ],
    'svc.4wave-blue-to-gray': [
        [0.0, 'rgb(199,233,230)'],
        [0.012623878568410874, 'rgb(199,233,230)'],
        [0.01694915254237288, 'rgb(191,230,228)'],
        [0.025247757136821748, 'rgb(177,224,224)'],
        [0.03389830508474576, 'rgb(170,219,221)'],
        [0.050495514273643495, 'rgb(159,209,214)'],
        [0.05084745762711865, 'rgb(159,209,214)'],
        [0.06779661016949153, 'rgb(150,198,206)'],
        [0.07574327141046523, 'rgb(146,193,203)'],
        [0.0847457627118644, 'rgb(141,186,198)'],
        [0.10099102854728699, 'rgb(132,174,189)'],
        [0.1016949152542373, 'rgb(132,173,188)'],
        [0.11864406779661017, 'rgb(121,161,180)'],
        [0.12623878568410873, 'rgb(116,155,176)'],
        [0.13559322033898305, 'rgb(112,149,171)'],
        [0.15148654282093046, 'rgb(104,140,164)'],
        [0.15254237288135594, 'rgb(104,139,163)'],
        [0.1694915254237288, 'rgb(95,128,154)'],
        [0.17673429995775222, 'rgb(91,123,150)'],
        [0.1864406779661017, 'rgb(87,116,146)'],
        [0.1893581785261631, 'rgb(86,114,145)'],
        [0.20198205709457398, 'rgb(80,104,138)'],
        [0.2033898305084746, 'rgb(79,102,137)'],
        [0.21460593566298483, 'rgb(72,90,127)'],
        [0.22033898305084745, 'rgb(70,85,123)'],
        [0.22722981423139574, 'rgb(67,80,119)'],
        [0.23728813559322035, 'rgb(61,69,111)'],
        [0.2398536927998066, 'rgb(60,67,109)'],
        [0.25247757136821747, 'rgb(55,56,103)'],
        [0.2524875713682175, 'rgb(54,70,4)'],
        [0.2542372881355932, 'rgb(54,71,4)'],
        [0.2711864406779661, 'rgb(57,77,2)'],
        [0.2772426960417306, 'rgb(58,79,2)'],
        [0.288135593220339, 'rgb(62,86,2)'],
        [0.3019978207152437, 'rgb(66,95,3)'],
        [0.3050847457627119, 'rgb(69,98,5)'],
        [0.3220338983050847, 'rgb(82,115,18)'],
        [0.3267529453887568, 'rgb(86,120,22)'],
        [0.3389830508474576, 'rgb(95,131,30)'],
        [0.3515080700622699, 'rgb(105,143,39)'],
        [0.3559322033898305, 'rgb(108,147,42)'],
        [0.3728813559322034, 'rgb(120,162,54)'],
        [0.37626319473578307, 'rgb(123,165,56)'],
        [0.3898305084745763, 'rgb(132,175,65)'],
        [0.40101831940929616, 'rgb(140,184,73)'],
        [0.4067796610169492, 'rgb(144,187,78)'],
        [0.423728813559322, 'rgb(154,196,94)'],
        [0.42577344408280926, 'rgb(155,197,95)'],
        [0.4406779661016949, 'rgb(167,208,111)'],
        [0.45052856875632236, 'rgb(174,215,121)'],
        [0.4576271186440678, 'rgb(182,220,133)'],
        [0.4745762711864407, 'rgb(199,230,160)'],
        [0.4752836934298355, 'rgb(200,231,162)'],
        [0.48766125576659203, 'rgb(217,242,189)'],
        [0.4915254237288136, 'rgb(220,243,195)'],
        [0.5000388181033486, 'rgb(228,246,208)'],
        [0.5000488181033486, 'rgb(242,240,206)'],
        [0.5084745762711864, 'rgb(242,238,193)'],
        [0.5254237288135594, 'rgb(240,233,166)'],
        [0.5254803406404335, 'rgb(240,233,166)'],
        [0.5423728813559322, 'rgb(234,224,146)'],
        [0.5509118631775183, 'rgb(232,219,136)'],
        [0.559322033898305, 'rgb(230,215,127)'],
        [0.576271186440678, 'rgb(226,208,109)'],
        [0.5763433857146032, 'rgb(226,208,109)'],
        [0.5932203389830508, 'rgb(220,199,94)'],
        [0.6017749082516881, 'rgb(216,194,86)'],
        [0.6101694915254238, 'rgb(213,190,81)'],
        [0.6271186440677966, 'rgb(207,181,71)'],
        [0.6272064307887729, 'rgb(207,181,71)'],
        [0.6440677966101694, 'rgb(202,172,62)'],
        [0.6526379533258578, 'rgb(199,167,58)'],
        [0.6610169491525424, 'rgb(197,163,54)'],
        [0.6779661016949152, 'rgb(192,155,48)'],
        [0.6780694758629426, 'rgb(192,155,48)'],
        [0.6949152542372882, 'rgb(186,147,41)'],
        [0.7035009984000276, 'rgb(183,143,37)'],
        [0.711864406779661, 'rgb(181,139,34)'],
        [0.7288135593220338, 'rgb(177,131,28)'],
        [0.7289325209371125, 'rgb(177,131,28)'],
        [0.7457627118644068, 'rgb(173,123,21)'],
        [0.75, 'rgb(172,121,19)'],
        [0.7627118644067796, 'rgb(68,76,67)'],
        [0.7666553413004875, 'rgb(71,77,69)'],
        [0.7789366391267777, 'rgb(80,84,74)'],
        [0.7796610169491526, 'rgb(80,84,74)'],
        [0.7912179369530679, 'rgb(87,90,80)'],
        [0.7966101694915254, 'rgb(91,93,83)'],
        [0.8034992347793579, 'rgb(97,97,87)'],
        [0.8135593220338984, 'rgb(104,102,91)'],
        [0.815780532605648, 'rgb(106,103,92)'],
        [0.8280618304319382, 'rgb(113,109,97)'],
        [0.8305084745762712, 'rgb(115,110,98)'],
        [0.8403431282582283, 'rgb(122,113,101)'],
        [0.847457627118644, 'rgb(125,116,104)'],
        [0.8526244260845184, 'rgb(127,118,106)'],
        [0.864406779661017, 'rgb(132,124,111)'],
        [0.8649057239108086, 'rgb(132,124,111)'],
        [0.8771870217370987, 'rgb(139,132,117)'],
        [0.8813559322033898, 'rgb(142,135,120)'],
        [0.8894683195633888, 'rgb(148,142,126)'],
        [0.8983050847457628, 'rgb(153,148,131)'],
        [0.901749617389679, 'rgb(155,150,133)'],
        [0.9140309152159691, 'rgb(164,160,142)'],
        [0.9152542372881356, 'rgb(165,161,143)'],
        [0.9263122130422592, 'rgb(175,172,151)'],
        [0.9322033898305084, 'rgb(180,177,156)'],
        [0.9385935108685494, 'rgb(186,183,162)'],
        [0.9491525423728814, 'rgb(194,192,171)'],
        [0.9508748086948395, 'rgb(195,194,173)'],
        [0.9631561065211296, 'rgb(204,203,182)'],
        [0.9661016949152542, 'rgb(206,205,184)'],
        [0.9754374043474198, 'rgb(212,212,192)'],
        [0.9830508474576272, 'rgb(218,218,199)'],
        [0.9877187021737098, 'rgb(221,221,203)'],
        [1.0, 'rgb(232,232,221)'],
    ],
    'svc.4wave-blue-to-yellow': [
        [0.0, 'rgb(65,73,117)'],
        [0.012534940242767356, 'rgb(70,81,125)'],
        [0.025069880485534657, 'rgb(74,89,130)'],
        [0.03760482072830201, 'rgb(77,96,135)'],
        [0.050139760971069314, 'rgb(81,105,140)'],
        [0.06267470121383667, 'rgb(86,114,145)'],
        [0.07520964145660403, 'rgb(93,125,153)'],
        [0.10027952194213868, 'rgb(106,142,166)'],
        [0.12534940242767334, 'rgb(118,158,179)'],
        [0.150419282913208, 'rgb(136,179,194)'],
        [0.17548916339874268, 'rgb(155,202,212)'],
        [0.20055904388427734, 'rgb(176,227,232)'],
        [0.22562892436981202, 'rgb(196,245,245)'],
        [0.23816386461257935, 'rgb(215,250,247)'],
        [0.2506988048553467, 'rgb(242,255,253)'],
        [0.2507088048553467, 'rgb(249,255,242)'],
        [0.2631296883283211, 'rgb(241,250,232)'],
        [0.2755505718012955, 'rgb(231,242,223)'],
        [0.2879714552742699, 'rgb(221,235,213)'],
        [0.30039233874724436, 'rgb(210,227,204)'],
        [0.31281322222021873, 'rgb(197,217,193)'],
        [0.32523410569319317, 'rgb(188,209,186)'],
        [0.33765498916616754, 'rgb(175,199,175)'],
        [0.35007587263914197, 'rgb(166,189,168)'],
        [0.3624967561121164, 'rgb(155,179,159)'],
        [0.37491763958509083, 'rgb(146,168,152)'],
        [0.38733852305806526, 'rgb(134,156,141)'],
        [0.3997594065310396, 'rgb(127,148,136)'],
        [0.412180290004014, 'rgb(119,140,130)'],
        [0.42460117347698845, 'rgb(113,133,124)'],
        [0.4370220569499629, 'rgb(108,128,121)'],
        [0.4494429404229373, 'rgb(105,122,118)'],
        [0.4618638238959117, 'rgb(103,117,115)'],
        [0.4742847073688861, 'rgb(101,112,111)'],
        [0.4867055908418605, 'rgb(99,107,107)'],
        [0.4991264743148349, 'rgb(97,101,102)'],
        [0.49913647431483493, 'rgb(107,89,69)'],
        [0.5247644066067096, 'rgb(122,106,83)'],
        [0.5503923388985843, 'rgb(138,122,96)'],
        [0.576020271190459, 'rgb(148,133,106)'],
        [0.6016482034823336, 'rgb(158,145,117)'],
        [0.6272761357742083, 'rgb(171,159,130)'],
        [0.6529040680660829, 'rgb(186,176,145)'],
        [0.6785320003579576, 'rgb(201,193,163)'],
        [0.7041599326498322, 'rgb(214,208,182)'],
        [0.7297878649417069, 'rgb(230,226,204)'],
        [0.7502902107752066, 'rgb(245,243,228)'],
        [0.7554157972335815, 'rgb(252,252,247)'],
        [0.7554257972335815, 'rgb(255,254,227)'],
        [0.7798832175102234, 'rgb(250,244,180)'],
        [0.8043406377868652, 'rgb(245,234,152)'],
        [0.828798058063507, 'rgb(242,225,126)'],
        [0.8532554783401489, 'rgb(237,213,104)'],
        [0.8777128986167907, 'rgb(232,204,93)'],
        [0.9021703188934326, 'rgb(227,194,84)'],
        [0.9266277391700743, 'rgb(222,183,75)'],
        [0.9510851594467162, 'rgb(219,175,70)'],
        [0.9755425797233581, 'rgb(217,166,65)'],
        [0.9902170318893432, 'rgb(214,158,60)'],
        [1.0, 'rgb(212,150,57)'],
    ],
    'svc.4wave-yellow-green-gray': [
        [0.0, 'rgb(77,68,61)'],
        [0.024999999999999994, 'rgb(100,88,76)'],
        [0.04999999999999999, 'rgb(123,109,87)'],
        [0.07500000000000001, 'rgb(144,129,96)'],
        [0.1, 'rgb(160,144,99)'],
        [0.125, 'rgb(173,156,97)'],
        [0.15, 'rgb(188,171,97)'],
        [0.175, 'rgb(206,190,106)'],
        [0.2, 'rgb(223,211,125)'],
        [0.225, 'rgb(238,230,147)'],
        [0.2375, 'rgb(240,234,160)'],
        [0.25, 'rgb(243,239,175)'],
        [0.25001, 'rgb(232,250,212)'],
        [0.2626268708937131, 'rgb(217,242,189)'],
        [0.27524374178742617, 'rgb(199,230,161)'],
        [0.3004774835748524, 'rgb(173,214,120)'],
        [0.32571122536227853, 'rgb(154,196,94)'],
        [0.3509449671497047, 'rgb(140,184,73)'],
        [0.3761787089371309, 'rgb(129,171,62)'],
        [0.401412450724557, 'rgb(115,153,49)'],
        [0.4266461925119832, 'rgb(101,135,38)'],
        [0.4518799342994094, 'rgb(87,115,28)'],
        [0.4771136760868356, 'rgb(73,94,19)'],
        [0.5023474178742617, 'rgb(56,71,11)'],
        [0.5023574178742618, 'rgb(46,45,59)'],
        [0.5149156027099379, 'rgb(58,61,81)'],
        [0.5274737875456139, 'rgb(65,73,97)'],
        [0.5400319723812901, 'rgb(69,85,113)'],
        [0.5525901572169661, 'rgb(73,98,127)'],
        [0.5651483420526422, 'rgb(76,111,140)'],
        [0.5777065268883184, 'rgb(79,123,150)'],
        [0.5902647117239945, 'rgb(82,136,159)'],
        [0.6028228965596706, 'rgb(88,148,168)'],
        [0.6153810813953466, 'rgb(96,159,175)'],
        [0.6279392662310228, 'rgb(104,173,183)'],
        [0.6404974510666989, 'rgb(112,185,191)'],
        [0.6530556359023749, 'rgb(122,197,198)'],
        [0.6656138207380511, 'rgb(132,207,204)'],
        [0.6781720055737273, 'rgb(141,214,206)'],
        [0.6907301904094033, 'rgb(151,223,211)'],
        [0.7032883752450794, 'rgb(163,230,215)'],
        [0.7158465600807555, 'rgb(176,236,219)'],
        [0.7284047449164316, 'rgb(191,243,226)'],
        [0.7535211145877838, 'rgb(220,252,238)'],
        [0.7535311145877838, 'rgb(197,218,233)'],
        [0.7658545588583946, 'rgb(188,210,227)'],
        [0.7781780031290054, 'rgb(181,203,220)'],
        [0.802824891670227, 'rgb(166,187,204)'],
        [0.8274717802114486, 'rgb(152,169,187)'],
        [0.8521186687526703, 'rgb(139,154,169)'],
        [0.8767655572938918, 'rgb(126,138,152)'],
        [0.9014124458351135, 'rgb(115,126,139)'],
        [0.926059334376335, 'rgb(108,117,128)'],
        [0.9507062229175567, 'rgb(104,111,119)'],
        [0.9753531114587783, 'rgb(100,105,110)'],
        [1.0, 'rgb(98,99,101)'],
    ],
    'svc.4wave-orange-green-gray': [
        [0.0, 'rgb(77,12,23)'],
        [0.0125, 'rgb(102,10,15)'],
        [0.025, 'rgb(128,14,8)'],
        [0.0375, 'rgb(153,31,6)'],
        [0.05, 'rgb(173,46,3)'],
        [0.0625, 'rgb(194,61,0)'],
        [0.075, 'rgb(204,78,0)'],
        [0.0875, 'rgb(227,105,5)'],
        [0.1, 'rgb(232,124,9)'],
        [0.1125, 'rgb(235,139,14)'],
        [0.125, 'rgb(237,155,24)'],
        [0.1375, 'rgb(240,173,38)'],
        [0.15, 'rgb(242,189,56)'],
        [0.1625, 'rgb(245,205,73)'],
        [0.175, 'rgb(247,220,99)'],
        [0.1875, 'rgb(247,231,124)'],
        [0.2, 'rgb(250,241,147)'],
        [0.2125, 'rgb(250,247,167)'],
        [0.225, 'rgb(252,252,189)'],
        [0.2375, 'rgb(251,252,215)'],
        [0.2495, 'rgb(255,255,252)'],
        [0.25, 'rgb(255,255,252)'],
        [0.25001, 'rgb(232,250,212)'],
        [0.2625095, 'rgb(217,242,189)'],
        [0.275009, 'rgb(199,230,161)'],
        [0.300008, 'rgb(173,214,120)'],
        [0.325007, 'rgb(154,196,94)'],
        [0.35000600000000004, 'rgb(140,184,73)'],
        [0.37500500000000003, 'rgb(129,171,62)'],
        [0.400004, 'rgb(115,153,49)'],
        [0.425003, 'rgb(101,135,38)'],
        [0.450002, 'rgb(87,115,28)'],
        [0.475001, 'rgb(73,94,19)'],
        [0.5, 'rgb(56,71,11)'],
        [0.50001, 'rgb(65,73,117)'],
        [0.5000199995999999, 'rgb(97,100,102)'],
        [0.52501799964, 'rgb(101,106,112)'],
        [0.55001599968, 'rgb(105,113,122)'],
        [0.57501399972, 'rgb(111,121,133)'],
        [0.60001199976, 'rgb(123,134,148)'],
        [0.6250099997999999, 'rgb(138,153,168)'],
        [0.6500079998399999, 'rgb(153,171,189)'],
        [0.67500599988, 'rgb(171,192,209)'],
        [0.70000399992, 'rgb(188,210,227)'],
        [0.7250019999599999, 'rgb(208,228,242)'],
        [0.73750099998, 'rgb(225,239,250)'],
        [0.75, 'rgb(255,255,255)'],
        [0.75001, 'rgb(255,255,255)'],
        [0.7500199995999999, 'rgb(252,252,242)'],
        [0.7625189996199999, 'rgb(237,237,218)'],
        [0.77501799964, 'rgb(219,219,197)'],
        [0.7875169996599999, 'rgb(204,202,180)'],
        [0.80001599968, 'rgb(191,188,166)'],
        [0.8125149997, 'rgb(179,175,154)'],
        [0.82501399972, 'rgb(166,161,141)'],
        [0.83751299974, 'rgb(153,147,129)'],
        [0.85001199976, 'rgb(140,133,116)'],
        [0.86251099978, 'rgb(130,121,107)'],
        [0.8750099997999999, 'rgb(120,110,97)'],
        [0.88750899982, 'rgb(112,101,90)'],
        [0.9000079998399999, 'rgb(105,93,83)'],
        [0.91250699986, 'rgb(97,84,76)'],
        [0.92500599988, 'rgb(89,76,69)'],
        [0.9375049999, 'rgb(82,68,62)'],
        [0.95000399992, 'rgb(74,60,55)'],
        [0.96250299994, 'rgb(66,52,48)'],
        [0.9750019999599999, 'rgb(59,44,42)'],
        [0.98750099998, 'rgb(51,37,35)'],
        [1.0, 'rgb(46,32,31)'],
    ],
    'svc.4wave-gray-blue-red': [
        [0.0, 'rgb(56,46,45)'],
        [0.012534940242767356, 'rgb(64,52,51)'],
        [0.025069880485534657, 'rgb(77,64,61)'],
        [0.03760482072830201, 'rgb(84,72,68)'],
        [0.050139760971069314, 'rgb(92,80,74)'],
        [0.06267470121383667, 'rgb(99,87,81)'],
        [0.07520964145660403, 'rgb(107,96,88)'],
        [0.08774458169937133, 'rgb(115,104,94)'],
        [0.10027952194213868, 'rgb(120,110,99)'],
        [0.11281446218490598, 'rgb(125,116,104)'],
        [0.12534940242767334, 'rgb(130,122,109)'],
        [0.13788434267044067, 'rgb(138,131,116)'],
        [0.150419282913208, 'rgb(148,142,126)'],
        [0.16295422315597535, 'rgb(156,151,134)'],
        [0.17548916339874268, 'rgb(166,163,144)'],
        [0.18802410364151, 'rgb(179,176,155)'],
        [0.20055904388427734, 'rgb(191,189,168)'],
        [0.21309398412704467, 'rgb(201,200,179)'],
        [0.22562892436981202, 'rgb(209,209,188)'],
        [0.23816386461257935, 'rgb(224,224,206)'],
        [0.2506988048553467, 'rgb(240,240,228)'],
        [0.2507088048553467, 'rgb(255,255,255)'],
        [0.2631296883283211, 'rgb(225,239,250)'],
        [0.2755505718012955, 'rgb(208,228,242)'],
        [0.30039233874724436, 'rgb(188,210,227)'],
        [0.32523410569319317, 'rgb(171,192,209)'],
        [0.35007587263914197, 'rgb(153,171,189)'],
        [0.37491763958509083, 'rgb(138,153,168)'],
        [0.3997594065310396, 'rgb(123,134,148)'],
        [0.42460117347698845, 'rgb(111,121,133)'],
        [0.4494429404229373, 'rgb(105,113,122)'],
        [0.4742847073688861, 'rgb(101,106,112)'],
        [0.4991264743148349, 'rgb(97,100,102)'],
        [0.49913647431483493, 'rgb(61,65,86)'],
        [0.5119504404607723, 'rgb(66,77,103)'],
        [0.5247644066067096, 'rgb(71,90,120)'],
        [0.537578372752647, 'rgb(74,105,134)'],
        [0.5503923388985843, 'rgb(78,119,147)'],
        [0.5632063050445215, 'rgb(81,132,156)'],
        [0.576020271190459, 'rgb(86,145,166)'],
        [0.5888342373363962, 'rgb(95,157,174)'],
        [0.6016482034823336, 'rgb(104,172,183)'],
        [0.6144621696282708, 'rgb(113,185,191)'],
        [0.6272761357742083, 'rgb(123,198,199)'],
        [0.6400901019201456, 'rgb(133,208,204)'],
        [0.6529040680660829, 'rgb(143,216,208)'],
        [0.6657180342120202, 'rgb(155,225,213)'],
        [0.6785320003579576, 'rgb(168,232,217)'],
        [0.6913459665038949, 'rgb(183,239,222)'],
        [0.7041599326498322, 'rgb(200,246,229)'],
        [0.7169738987957696, 'rgb(215,251,235)'],
        [0.7297878649417069, 'rgb(231,255,242)'],
        [0.7554157972335815, 'rgb(242,255,250)'],
        [0.7554257972335815, 'rgb(252,249,232)'],
        [0.7676545073719024, 'rgb(247,236,190)'],
        [0.7798832175102234, 'rgb(242,215,150)'],
        [0.7921119276485442, 'rgb(240,197,132)'],
        [0.8043406377868652, 'rgb(237,175,114)'],
        [0.8165693479251861, 'rgb(232,157,100)'],
        [0.828798058063507, 'rgb(230,142,92)'],
        [0.841026768201828, 'rgb(227,121,86)'],
        [0.8532554783401489, 'rgb(224,103,79)'],
        [0.8654841884784699, 'rgb(214,84,66)'],
        [0.8777128986167907, 'rgb(204,71,61)'],
        [0.8899416087551116, 'rgb(191,54,54)'],
        [0.9021703188934326, 'rgb(179,46,53)'],
        [0.9143990290317535, 'rgb(168,42,53)'],
        [0.9266277391700743, 'rgb(153,34,48)'],
        [0.9388564493083953, 'rgb(138,29,47)'],
        [0.9510851594467162, 'rgb(128,25,46)'],
        [0.9633138695850372, 'rgb(112,20,42)'],
        [0.9755425797233581, 'rgb(107,17,41)'],
        [0.9877712898616791, 'rgb(87,13,35)'],
        [1.0, 'rgb(71,10,30)'],
    ],
    'svc.4wave-red-blue': [
        [0.0, 'rgb(71,10,30)'],
        [0.012534940242767356, 'rgb(87,13,35)'],
        [0.025069880485534657, 'rgb(107,17,41)'],
        [0.03760482072830201, 'rgb(112,20,42)'],
        [0.050139760971069314, 'rgb(128,25,46)'],
        [0.06267470121383667, 'rgb(138,29,47)'],
        [0.07520964145660403, 'rgb(153,34,48)'],
        [0.08774458169937133, 'rgb(168,42,53)'],
        [0.10027952194213868, 'rgb(179,46,53)'],
        [0.11281446218490598, 'rgb(191,54,54)'],
        [0.12534940242767334, 'rgb(204,71,61)'],
        [0.13788434267044067, 'rgb(214,84,66)'],
        [0.150419282913208, 'rgb(224,103,79)'],
        [0.16295422315597535, 'rgb(227,121,86)'],
        [0.17548916339874268, 'rgb(230,142,92)'],
        [0.18802410364151, 'rgb(232,157,100)'],
        [0.20055904388427734, 'rgb(237,175,114)'],
        [0.21309398412704467, 'rgb(240,197,132)'],
        [0.22562892436981202, 'rgb(242,215,150)'],
        [0.23816386461257935, 'rgb(247,236,190)'],
        [0.2506988048553467, 'rgb(252,249,232)'],
        [0.2507088048553467, 'rgb(252,252,222)'],
        [0.2631296883283211, 'rgb(247,246,193)'],
        [0.2755505718012955, 'rgb(242,237,170)'],
        [0.30039233874724436, 'rgb(237,228,142)'],
        [0.32523410569319317, 'rgb(217,204,119)'],
        [0.35007587263914197, 'rgb(199,182,99)'],
        [0.37491763958509083, 'rgb(179,162,96)'],
        [0.3997594065310396, 'rgb(166,149,99)'],
        [0.42460117347698845, 'rgb(150,135,98)'],
        [0.4494429404229373, 'rgb(128,113,89)'],
        [0.4742847073688861, 'rgb(102,90,77)'],
        [0.4991264743148349, 'rgb(77,68,61)'],
        [0.49913647431483493, 'rgb(61,65,86)'],
        [0.5119504404607723, 'rgb(66,77,103)'],
        [0.5247644066067096, 'rgb(71,90,120)'],
        [0.537578372752647, 'rgb(74,105,134)'],
        [0.5503923388985843, 'rgb(78,119,147)'],
        [0.5632063050445215, 'rgb(81,132,156)'],
        [0.576020271190459, 'rgb(86,145,166)'],
        [0.5888342373363962, 'rgb(95,157,174)'],
        [0.6016482034823336, 'rgb(104,172,183)'],
        [0.6144621696282708, 'rgb(113,185,191)'],
        [0.6272761357742083, 'rgb(123,198,199)'],
        [0.6400901019201456, 'rgb(133,208,204)'],
        [0.6529040680660829, 'rgb(143,216,208)'],
        [0.6657180342120202, 'rgb(155,225,213)'],
        [0.6785320003579576, 'rgb(168,232,217)'],
        [0.6913459665038949, 'rgb(183,239,222)'],
        [0.7041599326498322, 'rgb(200,246,229)'],
        [0.7169738987957696, 'rgb(215,251,235)'],
        [0.7297878649417069, 'rgb(231,255,242)'],
        [0.7554157972335815, 'rgb(242,255,250)'],
        [0.7554257972335815, 'rgb(204,255,251)'],
        [0.7603172812889099, 'rgb(163,247,245)'],
        [0.7676545073719024, 'rgb(142,234,237)'],
        [0.7798832175102234, 'rgb(122,217,230)'],
        [0.7921119276485442, 'rgb(102,198,222)'],
        [0.8043406377868652, 'rgb(87,180,217)'],
        [0.8165693479251861, 'rgb(72,163,212)'],
        [0.828798058063507, 'rgb(58,147,207)'],
        [0.841026768201828, 'rgb(44,128,201)'],
        [0.8532554783401489, 'rgb(31,111,196)'],
        [0.8654841884784699, 'rgb(23,93,191)'],
        [0.9021703188934326, 'rgb(22,80,186)'],
        [0.9143990290317535, 'rgb(20,66,181)'],
        [0.9266277391700743, 'rgb(21,54,173)'],
        [0.9388564493083953, 'rgb(23,42,163)'],
        [0.9510851594467162, 'rgb(26,34,153)'],
        [0.9633138695850372, 'rgb(28,28,140)'],
        [0.9755425797233581, 'rgb(39,29,128)'],
        [0.9877712898616791, 'rgb(42,28,107)'],
        [1.0, 'rgb(33,15,77)'],
    ],
    'svc.5wave-yellow-to-blue': [
        [0.0, 'rgb(218,169,67)'],
        [0.00805280566215516, 'rgb(218,172,68)'],
        [0.020132014155387873, 'rgb(220,176,71)'],
        [0.040264028310775746, 'rgb(222,184,75)'],
        [0.060396042466163646, 'rgb(227,193,83)'],
        [0.08052805662155152, 'rgb(231,202,91)'],
        [0.10066007077693939, 'rgb(235,210,100)'],
        [0.12079208493232726, 'rgb(240,219,116)'],
        [0.14092409908771514, 'rgb(243,229,136)'],
        [0.16105611324310304, 'rgb(246,237,159)'],
        [0.1811881273984909, 'rgb(251,245,186)'],
        [0.20132014155387878, 'rgb(255,254,227)'],
        [0.2112306313098669, 'rgb(228,226,145)'],
        [0.22113112106585503, 'rgb(223,223,129)'],
        [0.24093210057783127, 'rgb(208,212,99)'],
        [0.2607330800898075, 'rgb(190,196,73)'],
        [0.2805340596017838, 'rgb(172,184,58)'],
        [0.30033503911376, 'rgb(157,174,49)'],
        [0.32013601862573626, 'rgb(145,165,39)'],
        [0.3399369981377125, 'rgb(132,157,29)'],
        [0.35973797764968873, 'rgb(117,145,20)'],
        [0.37953895716166497, 'rgb(104,134,16)'],
        [0.3894394469176531, 'rgb(96,127,14)'],
        [0.3993399366736412, 'rgb(89,120,12)'],
        [0.3993499366736412, 'rgb(59,102,77)'],
        [0.41956345781350135, 'rgb(79,128,95)'],
        [0.43977697895336154, 'rgb(96,148,109)'],
        [0.4599905000932217, 'rgb(111,163,120)'],
        [0.4802040212330818, 'rgb(127,179,131)'],
        [0.500417542372942, 'rgb(141,194,141)'],
        [0.5206310635128021, 'rgb(161,209,157)'],
        [0.5408445846526623, 'rgb(177,219,169)'],
        [0.5610581057925225, 'rgb(192,230,179)'],
        [0.5812716269323825, 'rgb(222,242,203)'],
        [0.6014851480722427, 'rgb(247,252,240)'],
        [0.6114781466753483, 'rgb(216,247,236)'],
        [0.6214611452784538, 'rgb(186,240,226)'],
        [0.6314441438815593, 'rgb(160,234,219)'],
        [0.6414271424846649, 'rgb(138,228,214)'],
        [0.6514101410877704, 'rgb(122,222,210)'],
        [0.661393139690876, 'rgb(114,214,206)'],
        [0.6713761382939815, 'rgb(106,207,203)'],
        [0.681359136897087, 'rgb(100,201,199)'],
        [0.6913421355001926, 'rgb(95,193,194)'],
        [0.7013251341032981, 'rgb(89,181,186)'],
        [0.7113081327064037, 'rgb(84,170,178)'],
        [0.7212911313095092, 'rgb(79,160,171)'],
        [0.7312741299126148, 'rgb(72,149,164)'],
        [0.7412571285157203, 'rgb(63,137,156)'],
        [0.7512401271188258, 'rgb(61,126,148)'],
        [0.7612231257219314, 'rgb(59,115,140)'],
        [0.771206124325037, 'rgb(58,107,135)'],
        [0.7811891229281425, 'rgb(58,100,131)'],
        [0.791172121531248, 'rgb(59,92,127)'],
        [0.8011551201343536, 'rgb(58,82,120)'],
        [0.8011651201343537, 'rgb(40,44,148)'],
        [0.8110227569734528, 'rgb(45,56,155)'],
        [0.8171902172771254, 'rgb(47,63,160)'],
        [0.8282830163899499, 'rgb(53,76,167)'],
        [0.845570118515229, 'rgb(61,95,178)'],
        [0.8675594667144507, 'rgb(73,117,188)'],
        [0.8916564646402483, 'rgb(89,142,198)'],
        [0.908911355514989, 'rgb(104,161,210)'],
        [0.9300542636306226, 'rgb(124,186,223)'],
        [0.9516111459661366, 'rgb(152,211,235)'],
        [0.9749346762092568, 'rgb(194,240,248)'],
        [0.9874032138558717, 'rgb(218,250,252)'],
        [1.0, 'rgb(237,255,254)'],
    ],
    'svc.5wave-yellow-brown-blue': [
        [0.0, 'rgb(251,246,188)'],
        [0.04042904376983643, 'rgb(247,237,162)'],
        [0.060643565654754636, 'rgb(244,230,140)'],
        [0.08085808753967286, 'rgb(241,221,119)'],
        [0.10107260942459106, 'rgb(236,212,103)'],
        [0.12128713130950927, 'rgb(232,204,94)'],
        [0.14150165319442748, 'rgb(228,196,86)'],
        [0.16171617507934571, 'rgb(224,187,79)'],
        [0.18193069696426392, 'rgb(221,180,73)'],
        [0.19405941009521482, 'rgb(219,176,70)'],
        [0.20214521884918213, 'rgb(219,173,69)'],
        [0.20215521884918214, 'rgb(119,60,43)'],
        [0.21205570860517026, 'rgb(124,67,46)'],
        [0.22195619836115837, 'rgb(130,74,51)'],
        [0.2318566881171465, 'rgb(136,82,56)'],
        [0.2417571778731346, 'rgb(143,92,63)'],
        [0.2516576676291227, 'rgb(150,101,68)'],
        [0.2615581573851109, 'rgb(156,109,73)'],
        [0.271458647141099, 'rgb(163,118,78)'],
        [0.28135913689708714, 'rgb(170,127,85)'],
        [0.2912596266530752, 'rgb(178,138,91)'],
        [0.30116011640906337, 'rgb(187,149,98)'],
        [0.3110606061650515, 'rgb(196,160,105)'],
        [0.3209610959210396, 'rgb(204,171,112)'],
        [0.3308615856770277, 'rgb(211,181,119)'],
        [0.34076207543301584, 'rgb(218,192,127)'],
        [0.35066256518900396, 'rgb(225,203,138)'],
        [0.3605630549449921, 'rgb(232,215,151)'],
        [0.3704635447009802, 'rgb(237,226,169)'],
        [0.3803640344569683, 'rgb(242,236,194)'],
        [0.39026452421295643, 'rgb(248,246,219)'],
        [0.40016501396894455, 'rgb(255,255,242)'],
        [0.40017501396894456, 'rgb(244,250,237)'],
        [0.4102405206741095, 'rgb(226,235,218)'],
        [0.42030602737927436, 'rgb(204,214,197)'],
        [0.4303715340844393, 'rgb(189,201,183)'],
        [0.4404370407896042, 'rgb(177,191,172)'],
        [0.4505025474947691, 'rgb(169,186,166)'],
        [0.460568054199934, 'rgb(163,181,161)'],
        [0.4706335609050989, 'rgb(155,176,155)'],
        [0.4806990676102638, 'rgb(150,171,152)'],
        [0.49076457431542875, 'rgb(144,166,148)'],
        [0.5008300810205937, 'rgb(140,161,145)'],
        [0.5108955877257586, 'rgb(134,156,141)'],
        [0.5209610944309234, 'rgb(129,150,138)'],
        [0.5310266011360883, 'rgb(124,145,134)'],
        [0.5410921078412533, 'rgb(119,140,131)'],
        [0.5511576145464182, 'rgb(114,135,128)'],
        [0.5612231212515831, 'rgb(109,130,125)'],
        [0.571288627956748, 'rgb(104,125,121)'],
        [0.5813541346619129, 'rgb(97,117,116)'],
        [0.5914196413670778, 'rgb(91,110,110)'],
        [0.6014851480722427, 'rgb(84,102,102)'],
        [0.6014951480722428, 'rgb(65,83,108)'],
        [0.6212136191096306, 'rgb(78,98,125)'],
        [0.6409320901470185, 'rgb(92,113,141)'],
        [0.6606505611844062, 'rgb(106,129,157)'],
        [0.6803690322217941, 'rgb(121,145,173)'],
        [0.700087503259182, 'rgb(137,162,190)'],
        [0.7198059742965698, 'rgb(155,180,205)'],
        [0.7395244453339577, 'rgb(173,198,220)'],
        [0.7592429163713456, 'rgb(189,214,233)'],
        [0.7789613874087333, 'rgb(208,231,245)'],
        [0.7888206229274273, 'rgb(225,242,251)'],
        [0.7986798584461212, 'rgb(245,252,255)'],
        [0.7986898584461212, 'rgb(225,250,244)'],
        [0.818820872601509, 'rgb(179,230,219)'],
        [0.8389518867568969, 'rgb(143,204,195)'],
        [0.8590829009122848, 'rgb(119,191,186)'],
        [0.8792139150676727, 'rgb(90,166,166)'],
        [0.8993449292230605, 'rgb(68,139,145)'],
        [0.9194759433784484, 'rgb(50,116,125)'],
        [0.9396069575338363, 'rgb(34,96,107)'],
        [0.9597379716892243, 'rgb(24,84,97)'],
        [0.9798689858446121, 'rgb(12,67,82)'],
        [1.0, 'rgb(0,48,64)'],
    ],
    'svc.5wave-yellow-and-green': [
        [0.0, 'rgb(252,252,247)'],
        [0.004042904376983643, 'rgb(245,243,228)'],
        [0.020214521884918214, 'rgb(230,226,204)'],
        [0.04042904376983643, 'rgb(214,209,186)'],
        [0.060643565654754636, 'rgb(201,194,169)'],
        [0.08085808753967286, 'rgb(186,177,151)'],
        [0.10107260942459106, 'rgb(171,161,135)'],
        [0.12128713130950927, 'rgb(158,147,123)'],
        [0.14150165319442748, 'rgb(148,136,114)'],
        [0.16171617507934571, 'rgb(138,125,105)'],
        [0.18193069696426392, 'rgb(122,110,92)'],
        [0.20214521884918213, 'rgb(102,90,75)'],
        [0.20215521884918214, 'rgb(97,101,102)'],
        [0.21205570860517026, 'rgb(99,107,107)'],
        [0.22195619836115837, 'rgb(101,112,111)'],
        [0.2318566881171465, 'rgb(103,117,115)'],
        [0.2417571778731346, 'rgb(105,122,118)'],
        [0.2516576676291227, 'rgb(108,128,121)'],
        [0.2615581573851109, 'rgb(113,133,124)'],
        [0.271458647141099, 'rgb(119,140,130)'],
        [0.28135913689708714, 'rgb(127,148,136)'],
        [0.2912596266530752, 'rgb(134,156,141)'],
        [0.30116011640906337, 'rgb(146,168,152)'],
        [0.3110606061650515, 'rgb(155,179,159)'],
        [0.3209610959210396, 'rgb(166,189,168)'],
        [0.3308615856770277, 'rgb(175,199,175)'],
        [0.34076207543301584, 'rgb(188,209,186)'],
        [0.35066256518900396, 'rgb(197,217,193)'],
        [0.3605630549449921, 'rgb(210,227,204)'],
        [0.3704635447009802, 'rgb(221,235,213)'],
        [0.3803640344569683, 'rgb(231,242,223)'],
        [0.39026452421295643, 'rgb(241,250,232)'],
        [0.40016501396894455, 'rgb(249,255,242)'],
        [0.40017501396894456, 'rgb(255,254,227)'],
        [0.42030602737927436, 'rgb(250,244,180)'],
        [0.4404370407896042, 'rgb(245,234,152)'],
        [0.460568054199934, 'rgb(242,225,126)'],
        [0.4806990676102638, 'rgb(237,213,104)'],
        [0.5008300810205937, 'rgb(232,204,93)'],
        [0.5209610944309234, 'rgb(227,194,84)'],
        [0.5410921078412533, 'rgb(222,183,75)'],
        [0.5612231212515831, 'rgb(219,175,70)'],
        [0.5813541346619129, 'rgb(217,166,65)'],
        [0.5934327427081107, 'rgb(214,158,60)'],
        [0.6014851480722427, 'rgb(212,150,57)'],
        [0.6014951480722428, 'rgb(56,71,11)'],
        [0.6212136191096306, 'rgb(73,94,19)'],
        [0.6409320901470185, 'rgb(87,115,28)'],
        [0.6606505611844062, 'rgb(101,135,38)'],
        [0.6803690322217941, 'rgb(115,153,49)'],
        [0.700087503259182, 'rgb(129,171,62)'],
        [0.7198059742965698, 'rgb(140,184,73)'],
        [0.7395244453339577, 'rgb(154,196,94)'],
        [0.7592429163713456, 'rgb(173,214,120)'],
        [0.7789613874087333, 'rgb(199,230,161)'],
        [0.7888206229274273, 'rgb(217,242,189)'],
        [0.7986798584461212, 'rgb(232,250,212)'],
        [0.7986898584461212, 'rgb(255,255,255)'],
        [0.8087553655238151, 'rgb(225,239,250)'],
        [0.818820872601509, 'rgb(208,228,242)'],
        [0.8389518867568969, 'rgb(188,210,227)'],
        [0.8590829009122848, 'rgb(171,192,209)'],
        [0.8792139150676727, 'rgb(153,171,189)'],
        [0.8993449292230605, 'rgb(138,153,168)'],
        [0.9194759433784484, 'rgb(123,134,148)'],
        [0.9396069575338363, 'rgb(111,121,133)'],
        [0.9597379716892243, 'rgb(105,113,122)'],
        [0.9798689858446121, 'rgb(101,106,112)'],
        [1.0, 'rgb(97,100,102)'],
    ],
    'svc.5wave-blue-red-blue': [
        [0.0, 'rgb(3,4,26)'],
        [0.020143255591392517, 'rgb(17,20,51)'],
        [0.040286511182785034, 'rgb(30,43,82)'],
        [0.06042976677417755, 'rgb(42,60,102)'],
        [0.08057302236557007, 'rgb(60,85,128)'],
        [0.10071627795696259, 'rgb(74,106,148)'],
        [0.1208595335483551, 'rgb(91,128,166)'],
        [0.14100278913974762, 'rgb(112,156,186)'],
        [0.16114604473114014, 'rgb(133,183,204)'],
        [0.18128930032253265, 'rgb(164,212,224)'],
        [0.1913609281182289, 'rgb(199,236,242)'],
        [0.20143255591392517, 'rgb(237,255,255)'],
        [0.20144255591392518, 'rgb(255,255,252)'],
        [0.20183771411273957, 'rgb(255,255,252)'],
        [0.21132151088428497, 'rgb(251,252,215)'],
        [0.22120046585464478, 'rgb(252,252,189)'],
        [0.2310794208250046, 'rgb(250,247,167)'],
        [0.2409583757953644, 'rgb(250,241,147)'],
        [0.2508373307657242, 'rgb(247,231,124)'],
        [0.26071628573608396, 'rgb(247,220,99)'],
        [0.2705952407064438, 'rgb(245,205,73)'],
        [0.2804741956768036, 'rgb(242,189,56)'],
        [0.2903531506471634, 'rgb(240,173,38)'],
        [0.3002321056175232, 'rgb(237,155,24)'],
        [0.310111060587883, 'rgb(235,139,14)'],
        [0.3199900155582428, 'rgb(232,124,9)'],
        [0.32986897052860265, 'rgb(227,105,5)'],
        [0.3397479254989624, 'rgb(204,78,0)'],
        [0.3496268804693222, 'rgb(194,61,0)'],
        [0.359505835439682, 'rgb(173,46,3)'],
        [0.3693847904100418, 'rgb(153,31,6)'],
        [0.37926374538040164, 'rgb(128,14,8)'],
        [0.3891427003507614, 'rgb(102,10,15)'],
        [0.3990216553211212, 'rgb(77,12,23)'],
        [0.3990316553211212, 'rgb(56,46,45)'],
        [0.4090940484286547, 'rgb(64,52,51)'],
        [0.41915644153618814, 'rgb(77,64,61)'],
        [0.42921883464372157, 'rgb(84,72,68)'],
        [0.439281227751255, 'rgb(92,80,74)'],
        [0.4493436208587885, 'rgb(99,87,81)'],
        [0.45940601396632197, 'rgb(107,96,88)'],
        [0.4694684070738554, 'rgb(115,104,94)'],
        [0.4795308001813889, 'rgb(120,110,99)'],
        [0.4895931932889223, 'rgb(125,116,104)'],
        [0.4996555863964558, 'rgb(130,122,109)'],
        [0.5097179795039892, 'rgb(138,131,116)'],
        [0.5197803726115227, 'rgb(148,142,126)'],
        [0.5298427657190561, 'rgb(156,151,134)'],
        [0.5399051588265896, 'rgb(166,163,144)'],
        [0.5499675519341231, 'rgb(179,176,155)'],
        [0.5600299450416565, 'rgb(191,189,168)'],
        [0.5700923381491899, 'rgb(201,200,179)'],
        [0.5801547312567235, 'rgb(209,209,188)'],
        [0.5902171243642569, 'rgb(224,224,206)'],
        [0.6002795174717903, 'rgb(240,240,228)'],
        [0.6002895174717903, 'rgb(255,254,240)'],
        [0.6042410993109226, 'rgb(250,249,220)'],
        [0.610168472069621, 'rgb(247,244,203)'],
        [0.6200474266674518, 'rgb(240,231,173)'],
        [0.6398053358631134, 'rgb(230,211,138)'],
        [0.659563245058775, 'rgb(217,187,117)'],
        [0.6793211542544364, 'rgb(204,165,102)'],
        [0.699079063450098, 'rgb(194,143,89)'],
        [0.7089580180479288, 'rgb(184,130,79)'],
        [0.7188369726457595, 'rgb(176,118,70)'],
        [0.7287159272435904, 'rgb(168,109,72)'],
        [0.7385948818414211, 'rgb(161,103,74)'],
        [0.7484738364392518, 'rgb(153,97,75)'],
        [0.7583527910370826, 'rgb(140,90,73)'],
        [0.7682317456349134, 'rgb(130,83,72)'],
        [0.7781107002327442, 'rgb(120,77,70)'],
        [0.7879896548305749, 'rgb(110,70,67)'],
        [0.7978686094284058, 'rgb(97,65,63)'],
        [0.7978786094284058, 'rgb(38,50,71)'],
        [0.8180907484855652, 'rgb(51,66,89)'],
        [0.8383028875427246, 'rgb(64,82,107)'],
        [0.858515026599884, 'rgb(80,101,128)'],
        [0.8787271656570435, 'rgb(98,120,148)'],
        [0.8989393047142029, 'rgb(116,140,168)'],
        [0.9191514437713623, 'rgb(136,161,189)'],
        [0.9393635828285217, 'rgb(159,184,209)'],
        [0.9595757218856812, 'rgb(182,206,227)'],
        [0.9797878609428405, 'rgb(199,225,242)'],
        [0.9898939304714203, 'rgb(220,240,250)'],
        [1.0, 'rgb(245,252,255)'],
    ],
    'svc.5wave-orange-to-green': [
        [0.0, 'rgb(97,11,17)'],
        [0.010049019753932954, 'rgb(97,11,17)'],
        [0.020098039507865907, 'rgb(118,12,11)'],
        [0.030147059261798857, 'rgb(139,22,8)'],
        [0.040196079015731814, 'rgb(158,35,5)'],
        [0.050245098769664764, 'rgb(175,47,3)'],
        [0.060294118523597715, 'rgb(192,59,0)'],
        [0.07034313827753066, 'rgb(201,73,0)'],
        [0.08039215803146363, 'rgb(216,92,2)'],
        [0.09044117778539658, 'rgb(229,112,6)'],
        [0.10049019753932953, 'rgb(232,126,10)'],
        [0.11053921729326249, 'rgb(235,139,14)'],
        [0.12058823704719543, 'rgb(237,152,22)'],
        [0.1306372568011284, 'rgb(239,166,33)'],
        [0.14068627655506133, 'rgb(241,180,46)'],
        [0.1507352963089943, 'rgb(243,193,60)'],
        [0.16078431606292726, 'rgb(245,206,74)'],
        [0.1708333358168602, 'rgb(247,218,95)'],
        [0.18088235557079316, 'rgb(247,227,116)'],
        [0.1909313753247261, 'rgb(249,236,135)'],
        [0.20057843428850175, 'rgb(250,243,152)'],
        [0.20098039507865906, 'rgb(250,243,153)'],
        [0.20099039507865907, 'rgb(245,240,194)'],
        [0.20498179162840843, 'rgb(242,235,183)'],
        [0.2109688864530325, 'rgb(239,229,169)'],
        [0.22094737782740595, 'rgb(234,219,153)'],
        [0.2409043605761528, 'rgb(223,199,127)'],
        [0.2608613433248997, 'rgb(211,177,110)'],
        [0.28081832607364654, 'rgb(200,156,97)'],
        [0.30077530882239345, 'rgb(188,135,83)'],
        [0.31075380019676685, 'rgb(179,123,74)'],
        [0.3207322915711403, 'rgb(172,113,71)'],
        [0.3307107829455137, 'rgb(165,106,73)'],
        [0.34068927431988716, 'rgb(158,101,74)'],
        [0.3506677656942606, 'rgb(149,95,74)'],
        [0.36064625706863407, 'rgb(137,88,73)'],
        [0.37062474844300747, 'rgb(128,82,72)'],
        [0.3806032398173809, 'rgb(119,76,70)'],
        [0.3905817311917543, 'rgb(109,70,67)'],
        [0.4005702225661278, 'rgb(46,32,31)'],
        [0.41054871431303025, 'rgb(51,37,35)'],
        [0.4205272060599327, 'rgb(58,43,41)'],
        [0.4305056978068352, 'rgb(64,50,47)'],
        [0.44048418955373764, 'rgb(71,57,53)'],
        [0.4504626813006401, 'rgb(79,65,59)'],
        [0.4604411730475426, 'rgb(86,72,66)'],
        [0.4704196647944451, 'rgb(92,79,72)'],
        [0.48039815654134754, 'rgb(100,87,78)'],
        [0.49037664828824995, 'rgb(107,95,85)'],
        [0.5003551400351525, 'rgb(114,103,91)'],
        [0.5103336317820549, 'rgb(121,111,98)'],
        [0.5203121235289574, 'rgb(130,121,107)'],
        [0.5302906152758599, 'rgb(140,132,116)'],
        [0.5402691070227623, 'rgb(151,145,127)'],
        [0.5502475987696648, 'rgb(163,158,138)'],
        [0.5602260905165672, 'rgb(175,171,150)'],
        [0.5702045822634697, 'rgb(187,183,162)'],
        [0.5801830740103722, 'rgb(198,196,174)'],
        [0.5901615657572746, 'rgb(211,210,188)'],
        [0.6001400575041771, 'rgb(226,226,205)'],
        [0.600150057504177, 'rgb(255,238,204)'],
        [0.6404841910438537, 'rgb(204,184,122)'],
        [0.6808183245835304, 'rgb(153,140,77)'],
        [0.721152458123207, 'rgb(102,97,41)'],
        [0.7614865916628837, 'rgb(77,77,15)'],
        [0.8018207252025604, 'rgb(47,51,0)'],
        [0.8018307252025605, 'rgb(14,28,31)'],
        [0.8117391889424324, 'rgb(19,44,46)'],
        [0.8216476526823044, 'rgb(22,59,56)'],
        [0.8315561164221763, 'rgb(24,71,64)'],
        [0.8414645801620484, 'rgb(28,89,71)'],
        [0.8513730439019203, 'rgb(29,102,71)'],
        [0.8612815076417923, 'rgb(30,115,69)'],
        [0.8711899713816643, 'rgb(30,125,62)'],
        [0.8810984351215363, 'rgb(29,133,52)'],
        [0.8910068988614083, 'rgb(28,140,39)'],
        [0.9009153626012802, 'rgb(21,150,21)'],
        [0.9108238263411522, 'rgb(28,161,13)'],
        [0.9207322900810242, 'rgb(54,173,21)'],
        [0.9306407538208962, 'rgb(81,184,29)'],
        [0.9405492175607681, 'rgb(110,194,41)'],
        [0.9504576813006401, 'rgb(142,204,61)'],
        [0.9603661450405121, 'rgb(170,214,75)'],
        [0.9702746087803841, 'rgb(200,224,101)'],
        [0.980183072520256, 'rgb(226,235,136)'],
        [0.990091536260128, 'rgb(245,242,171)'],
        [1.0, 'rgb(255,251,230)'],
    ],
    'svc.insert-green-0-10': [
        [0.0, 'rgb(14,28,31)'],
        [0.004999999701976787, 'rgb(19,44,46)'],
        [0.009999999403953547, 'rgb(22,59,56)'],
        [0.014999999105930334, 'rgb(24,71,64)'],
        [0.019999998807907093, 'rgb(28,89,71)'],
        [0.02499999850988388, 'rgb(29,102,71)'],
        [0.029999998211860668, 'rgb(30,115,69)'],
        [0.03499999791383743, 'rgb(30,125,62)'],
        [0.039999997615814215, 'rgb(29,133,52)'],
        [0.04499999731779098, 'rgb(28,140,39)'],
        [0.04999999701976776, 'rgb(21,150,21)'],
        [0.054999996721744535, 'rgb(28,161,13)'],
        [0.05999999642372131, 'rgb(54,173,21)'],
        [0.0649999961256981, 'rgb(81,184,29)'],
        [0.06999999582767487, 'rgb(110,194,41)'],
        [0.07499999552965164, 'rgb(142,204,61)'],
        [0.07999999523162842, 'rgb(170,214,75)'],
        [0.08499999493360519, 'rgb(200,224,101)'],
        [0.08999999463558198, 'rgb(226,235,136)'],
        [0.09499999433755875, 'rgb(245,242,171)'],
        [0.09999999403953552, 'rgb(255,251,230)'],
        [0.1, 'rgb(211,210,188)'],
        [0.10000999403953552, 'rgb(211,210,188)'],
        [0.15, 'rgb(201,198,176)'],
        [0.2, 'rgb(191,188,166)'],
        [0.25, 'rgb(183,179,158)'],
        [0.3, 'rgb(174,169,149)'],
        [0.35, 'rgb(164,159,139)'],
        [0.4, 'rgb(155,149,131)'],
        [0.45, 'rgb(145,139,121)'],
        [0.5, 'rgb(137,129,113)'],
        [0.55, 'rgb(130,121,107)'],
        [0.6, 'rgb(122,113,99)'],
        [0.65, 'rgb(116,106,94)'],
        [0.7, 'rgb(111,99,89)'],
        [0.75, 'rgb(106,94,84)'],
        [0.8, 'rgb(100,87,79)'],
        [0.85, 'rgb(94,81,73)'],
        [0.9, 'rgb(88,75,68)'],
        [0.95, 'rgb(83,70,63)'],
        [1.0, 'rgb(78,64,58)'],
    ],
    'svc.insert-green-10-20': [
        [0.0, 'rgb(235,235,216)'],
        [0.05, 'rgb(222,222,201)'],
        [0.1, 'rgb(211,210,188)'],
        [0.10487692803144455, 'rgb(19,44,46)'],
        [0.10988013446331024, 'rgb(22,59,56)'],
        [0.11488334089517593, 'rgb(24,71,64)'],
        [0.11988654732704163, 'rgb(28,89,71)'],
        [0.12488975375890732, 'rgb(29,102,71)'],
        [0.129892960190773, 'rgb(30,115,69)'],
        [0.1348961666226387, 'rgb(30,125,62)'],
        [0.1398993730545044, 'rgb(29,133,52)'],
        [0.1449025794863701, 'rgb(28,140,39)'],
        [0.14990578591823578, 'rgb(21,150,21)'],
        [0.15490899235010147, 'rgb(28,161,13)'],
        [0.15991219878196716, 'rgb(54,173,21)'],
        [0.16491540521383286, 'rgb(81,184,29)'],
        [0.16991861164569855, 'rgb(110,194,41)'],
        [0.17492181807756424, 'rgb(142,204,61)'],
        [0.17992502450942993, 'rgb(170,214,75)'],
        [0.18492823094129562, 'rgb(200,224,101)'],
        [0.18993143737316132, 'rgb(226,235,136)'],
        [0.194934643805027, 'rgb(245,242,171)'],
        [0.1999378502368927, 'rgb(255,251,230)'],
        [0.1999478502368927, 'rgb(191,188,166)'],
        [0.2, 'rgb(191,188,166)'],
        [0.25, 'rgb(183,179,158)'],
        [0.3, 'rgb(174,169,149)'],
        [0.35, 'rgb(164,159,139)'],
        [0.4, 'rgb(155,149,131)'],
        [0.45, 'rgb(145,139,121)'],
        [0.5, 'rgb(137,129,113)'],
        [0.55, 'rgb(130,121,107)'],
        [0.6, 'rgb(122,113,99)'],
        [0.65, 'rgb(116,106,94)'],
        [0.7, 'rgb(111,99,89)'],
        [0.75, 'rgb(106,94,84)'],
        [0.8, 'rgb(100,87,79)'],
        [0.85, 'rgb(94,81,73)'],
        [0.9, 'rgb(88,75,68)'],
        [0.95, 'rgb(83,70,63)'],
        [1.0, 'rgb(78,64,58)'],
    ],
    'svc.insert-green-20-30': [
        [0.0, 'rgb(235,235,216)'],
        [0.05, 'rgb(222,222,201)'],
        [0.1, 'rgb(211,210,188)'],
        [0.15, 'rgb(201,198,176)'],
        [0.2, 'rgb(191,188,166)'],
        [0.20056928562164306, 'rgb(191,188,166)'],
        [0.20057928562164307, 'rgb(14,28,31)'],
        [0.20551835000514984, 'rgb(19,44,46)'],
        [0.21045741438865662, 'rgb(22,59,56)'],
        [0.2153964787721634, 'rgb(24,71,64)'],
        [0.22033554315567017, 'rgb(28,89,71)'],
        [0.22527460753917694, 'rgb(29,102,71)'],
        [0.23021367192268372, 'rgb(30,115,69)'],
        [0.2351527363061905, 'rgb(30,125,62)'],
        [0.24009180068969727, 'rgb(29,133,52)'],
        [0.24503086507320404, 'rgb(28,140,39)'],
        [0.24996992945671082, 'rgb(21,150,21)'],
        [0.2549089938402176, 'rgb(28,161,13)'],
        [0.25984805822372437, 'rgb(54,173,21)'],
        [0.26478712260723114, 'rgb(81,184,29)'],
        [0.2697261869907379, 'rgb(110,194,41)'],
        [0.2746652513742447, 'rgb(142,204,61)'],
        [0.27960431575775146, 'rgb(170,214,75)'],
        [0.28454338014125824, 'rgb(200,224,101)'],
        [0.289482444524765, 'rgb(226,235,136)'],
        [0.2944215089082718, 'rgb(245,242,171)'],
        [0.29936057329177856, 'rgb(255,251,230)'],
        [0.2993705732917786, 'rgb(174,169,149)'],
        [0.3, 'rgb(174,169,149)'],
        [0.35, 'rgb(164,159,139)'],
        [0.4, 'rgb(155,149,131)'],
        [0.45, 'rgb(145,139,121)'],
        [0.5, 'rgb(137,129,113)'],
        [0.55, 'rgb(130,121,107)'],
        [0.6, 'rgb(122,113,99)'],
        [0.65, 'rgb(116,106,94)'],
        [0.7, 'rgb(111,99,89)'],
        [0.75, 'rgb(106,94,84)'],
        [0.8, 'rgb(100,87,79)'],
        [0.85, 'rgb(94,81,73)'],
        [0.9, 'rgb(88,75,68)'],
        [0.95, 'rgb(83,70,63)'],
        [1.0, 'rgb(78,64,58)'],
    ],
    'svc.insert-green-30-40': [
        [0.0, 'rgb(235,235,216)'],
        [0.05, 'rgb(222,222,201)'],
        [0.1, 'rgb(211,210,188)'],
        [0.15, 'rgb(201,198,176)'],
        [0.2, 'rgb(191,188,166)'],
        [0.25, 'rgb(183,179,158)'],
        [0.2999920086765289, 'rgb(174,169,149)'],
        [0.3, 'rgb(174,169,149)'],
        [0.30000200867652893, 'rgb(14,28,31)'],
        [0.3050372876226902, 'rgb(19,44,46)'],
        [0.31007256656885146, 'rgb(22,59,56)'],
        [0.31510784551501275, 'rgb(24,71,64)'],
        [0.320143124461174, 'rgb(28,89,71)'],
        [0.3251784034073353, 'rgb(29,102,71)'],
        [0.3302136823534966, 'rgb(30,115,69)'],
        [0.3352489612996578, 'rgb(30,125,62)'],
        [0.3402842402458191, 'rgb(29,133,52)'],
        [0.34531951919198034, 'rgb(28,140,39)'],
        [0.35035479813814163, 'rgb(21,150,21)'],
        [0.3553900770843029, 'rgb(28,161,13)'],
        [0.36042535603046416, 'rgb(54,173,21)'],
        [0.36546063497662545, 'rgb(81,184,29)'],
        [0.3704959139227867, 'rgb(110,194,41)'],
        [0.375531192868948, 'rgb(142,204,61)'],
        [0.3805664718151093, 'rgb(170,214,75)'],
        [0.3856017507612705, 'rgb(200,224,101)'],
        [0.3906370297074318, 'rgb(226,235,136)'],
        [0.39567230865359304, 'rgb(245,242,171)'],
        [0.40070758759975433, 'rgb(255,251,230)'],
        [0.40071758759975434, 'rgb(155,149,131)'],
        [0.45, 'rgb(145,139,121)'],
        [0.5, 'rgb(137,129,113)'],
        [0.55, 'rgb(130,121,107)'],
        [0.6, 'rgb(122,113,99)'],
        [0.65, 'rgb(116,106,94)'],
        [0.7, 'rgb(111,99,89)'],
        [0.75, 'rgb(106,94,84)'],
        [0.8, 'rgb(100,87,79)'],
        [0.85, 'rgb(94,81,73)'],
        [0.9, 'rgb(88,75,68)'],
        [0.95, 'rgb(83,70,63)'],
        [1.0, 'rgb(78,64,58)'],
    ],
    'svc.insert-green-40-50': [
        [0.0, 'rgb(235,235,216)'],
        [0.05, 'rgb(222,222,201)'],
        [0.1, 'rgb(211,210,188)'],
        [0.15, 'rgb(201,198,176)'],
        [0.2, 'rgb(191,188,166)'],
        [0.25, 'rgb(183,179,158)'],
        [0.3, 'rgb(174,169,149)'],
        [0.35, 'rgb(164,159,139)'],
        [0.4, 'rgb(155,149,131)'],
        [0.40005614476442336, 'rgb(155,149,131)'],
        [0.40006614476442337, 'rgb(14,28,31)'],
        [0.4050693521188805, 'rgb(19,44,46)'],
        [0.4100725594733376, 'rgb(22,59,56)'],
        [0.41507576682779473, 'rgb(24,71,64)'],
        [0.4200789741822518, 'rgb(28,89,71)'],
        [0.42508218153670896, 'rgb(29,102,71)'],
        [0.4300853888911661, 'rgb(30,115,69)'],
        [0.4350885962456232, 'rgb(30,125,62)'],
        [0.4400918036000803, 'rgb(29,133,52)'],
        [0.4450950109545374, 'rgb(28,140,39)'],
        [0.45009821830899455, 'rgb(21,150,21)'],
        [0.4551014256634517, 'rgb(28,161,13)'],
        [0.46010463301790877, 'rgb(54,173,21)'],
        [0.4651078403723659, 'rgb(81,184,29)'],
        [0.470111047726823, 'rgb(110,194,41)'],
        [0.47511425508128013, 'rgb(142,204,61)'],
        [0.4801174624357373, 'rgb(170,214,75)'],
        [0.48512066979019436, 'rgb(200,224,101)'],
        [0.4901238771446515, 'rgb(226,235,136)'],
        [0.4951270844991086, 'rgb(245,242,171)'],
        [0.5001302918535657, 'rgb(255,251,230)'],
        [0.5001402918535657, 'rgb(137,129,113)'],
        [0.55, 'rgb(130,121,107)'],
        [0.6, 'rgb(122,113,99)'],
        [0.65, 'rgb(116,106,94)'],
        [0.7, 'rgb(111,99,89)'],
        [0.75, 'rgb(106,94,84)'],
        [0.8, 'rgb(100,87,79)'],
        [0.85, 'rgb(94,81,73)'],
        [0.9, 'rgb(88,75,68)'],
        [0.95, 'rgb(83,70,63)'],
        [1.0, 'rgb(78,64,58)'],
    ],
    'svc.insert-green-50-60': [
        [0.0, 'rgb(235,235,216)'],
        [0.05, 'rgb(222,222,201)'],
        [0.1, 'rgb(211,210,188)'],
        [0.15, 'rgb(201,198,176)'],
        [0.2, 'rgb(191,188,166)'],
        [0.25, 'rgb(183,179,158)'],
        [0.3, 'rgb(174,169,149)'],
        [0.35, 'rgb(164,159,139)'],
        [0.4, 'rgb(155,149,131)'],
        [0.45, 'rgb(145,139,121)'],
        [0.5, 'rgb(137,129,113)'],
        [0.5007617286935077, 'rgb(137,129,113)'],
        [0.5007717286935076, 'rgb(14,28,31)'],
        [0.505742863850901, 'rgb(19,44,46)'],
        [0.5107139990082942, 'rgb(22,59,56)'],
        [0.5156851341656875, 'rgb(24,71,64)'],
        [0.5206562693230807, 'rgb(28,89,71)'],
        [0.5256274044804741, 'rgb(29,102,71)'],
        [0.5305985396378674, 'rgb(30,115,69)'],
        [0.5355696747952606, 'rgb(30,125,62)'],
        [0.540540809952654, 'rgb(29,133,52)'],
        [0.5455119451100472, 'rgb(28,140,39)'],
        [0.5504830802674405, 'rgb(21,150,21)'],
        [0.5554542154248339, 'rgb(28,161,13)'],
        [0.5604253505822271, 'rgb(54,173,21)'],
        [0.5653964857396204, 'rgb(81,184,29)'],
        [0.5703676208970136, 'rgb(110,194,41)'],
        [0.575338756054407, 'rgb(142,204,61)'],
        [0.5803098912118003, 'rgb(170,214,75)'],
        [0.5852810263691935, 'rgb(200,224,101)'],
        [0.5902521615265869, 'rgb(226,235,136)'],
        [0.5952232966839801, 'rgb(245,242,171)'],
        [0.6001944318413734, 'rgb(255,251,230)'],
        [0.6002044318413734, 'rgb(122,113,99)'],
        [0.65, 'rgb(116,106,94)'],
        [0.7, 'rgb(111,99,89)'],
        [0.75, 'rgb(106,94,84)'],
        [0.8, 'rgb(100,87,79)'],
        [0.85, 'rgb(94,81,73)'],
        [0.9, 'rgb(88,75,68)'],
        [0.95, 'rgb(83,70,63)'],
        [1.0, 'rgb(78,64,58)'],
    ],
    'svc.insert-green-60-70': [
        [0.0, 'rgb(235,235,216)'],
        [0.05, 'rgb(222,222,201)'],
        [0.1, 'rgb(211,210,188)'],
        [0.15, 'rgb(201,198,176)'],
        [0.2, 'rgb(191,188,166)'],
        [0.25, 'rgb(183,179,158)'],
        [0.3, 'rgb(174,169,149)'],
        [0.35, 'rgb(164,159,139)'],
        [0.4, 'rgb(155,149,131)'],
        [0.45, 'rgb(145,139,121)'],
        [0.5, 'rgb(137,129,113)'],
        [0.55, 'rgb(130,121,107)'],
        [0.6, 'rgb(122,113,99)'],
        [0.6001844318413735, 'rgb(122,113,99)'],
        [0.6001944318413734, 'rgb(14,28,31)'],
        [0.6051976393908263, 'rgb(19,44,46)'],
        [0.610200846940279, 'rgb(22,59,56)'],
        [0.6152040544897318, 'rgb(24,71,64)'],
        [0.6202072620391845, 'rgb(28,89,71)'],
        [0.6252104695886374, 'rgb(29,102,71)'],
        [0.6302136771380902, 'rgb(30,115,69)'],
        [0.6352168846875429, 'rgb(30,125,62)'],
        [0.6402200922369957, 'rgb(29,133,52)'],
        [0.6452232997864484, 'rgb(28,140,39)'],
        [0.6502265073359013, 'rgb(21,150,21)'],
        [0.6552297148853541, 'rgb(28,161,13)'],
        [0.6602329224348068, 'rgb(54,173,21)'],
        [0.6652361299842596, 'rgb(81,184,29)'],
        [0.6702393375337123, 'rgb(110,194,41)'],
        [0.6752425450831652, 'rgb(142,204,61)'],
        [0.680245752632618, 'rgb(170,214,75)'],
        [0.6852489601820707, 'rgb(200,224,101)'],
        [0.6902521677315235, 'rgb(226,235,136)'],
        [0.6952553752809763, 'rgb(245,242,171)'],
        [0.7002585828304291, 'rgb(255,251,230)'],
        [0.700268582830429, 'rgb(111,99,89)'],
        [0.75, 'rgb(106,94,84)'],
        [0.8, 'rgb(100,87,79)'],
        [0.85, 'rgb(94,81,73)'],
        [0.9, 'rgb(88,75,68)'],
        [0.95, 'rgb(83,70,63)'],
        [1.0, 'rgb(78,64,58)'],
    ],
    'svc.insert-green-70-80': [
        [0.0, 'rgb(235,235,216)'],
        [0.05, 'rgb(222,222,201)'],
        [0.1, 'rgb(211,210,188)'],
        [0.15, 'rgb(201,198,176)'],
        [0.2, 'rgb(191,188,166)'],
        [0.25, 'rgb(183,179,158)'],
        [0.3, 'rgb(174,169,149)'],
        [0.35, 'rgb(164,159,139)'],
        [0.4, 'rgb(155,149,131)'],
        [0.45, 'rgb(145,139,121)'],
        [0.5, 'rgb(137,129,113)'],
        [0.55, 'rgb(130,121,107)'],
        [0.6, 'rgb(122,113,99)'],
        [0.65, 'rgb(116,106,94)'],
        [0.7, 'rgb(111,99,89)'],
        [0.7002485828304291, 'rgb(111,99,89)'],
        [0.7002585828304291, 'rgb(14,28,31)'],
        [0.7052617892622948, 'rgb(19,44,46)'],
        [0.7102649956941605, 'rgb(22,59,56)'],
        [0.7152682021260262, 'rgb(24,71,64)'],
        [0.7202714085578918, 'rgb(28,89,71)'],
        [0.7252746149897575, 'rgb(29,102,71)'],
        [0.7302778214216232, 'rgb(30,115,69)'],
        [0.7352810278534889, 'rgb(30,125,62)'],
        [0.7402842342853546, 'rgb(29,133,52)'],
        [0.7452874407172203, 'rgb(28,140,39)'],
        [0.750290647149086, 'rgb(21,150,21)'],
        [0.7552938535809517, 'rgb(28,161,13)'],
        [0.7602970600128174, 'rgb(54,173,21)'],
        [0.7653002664446831, 'rgb(81,184,29)'],
        [0.7703034728765488, 'rgb(110,194,41)'],
        [0.7753066793084145, 'rgb(142,204,61)'],
        [0.7803098857402802, 'rgb(170,214,75)'],
        [0.7853130921721458, 'rgb(200,224,101)'],
        [0.7903162986040115, 'rgb(226,235,136)'],
        [0.7953195050358772, 'rgb(245,242,171)'],
        [0.8003227114677429, 'rgb(255,251,230)'],
        [0.8003327114677429, 'rgb(100,87,78)'],
        [0.85, 'rgb(94,81,73)'],
        [0.9, 'rgb(88,75,68)'],
        [0.95, 'rgb(83,70,63)'],
        [1.0, 'rgb(78,64,58)'],
    ],
    'svc.insert-green-80-90': [
        [0.0, 'rgb(235,235,216)'],
        [0.05, 'rgb(222,222,201)'],
        [0.1, 'rgb(211,210,188)'],
        [0.15, 'rgb(201,198,176)'],
        [0.2, 'rgb(191,188,166)'],
        [0.25, 'rgb(183,179,158)'],
        [0.3, 'rgb(174,169,149)'],
        [0.35, 'rgb(164,159,139)'],
        [0.4, 'rgb(155,149,131)'],
        [0.45, 'rgb(145,139,121)'],
        [0.5, 'rgb(137,129,113)'],
        [0.55, 'rgb(130,121,107)'],
        [0.6, 'rgb(122,113,99)'],
        [0.65, 'rgb(116,106,94)'],
        [0.7, 'rgb(111,99,89)'],
        [0.75, 'rgb(106,94,84)'],
        [0.8, 'rgb(100,87,79)'],
        [0.800312711467743, 'rgb(100,87,78)'],
        [0.8003227114677429, 'rgb(14,28,31)'],
        [0.8053259193897248, 'rgb(19,44,46)'],
        [0.8103291273117066, 'rgb(22,59,56)'],
        [0.8153323352336883, 'rgb(24,71,64)'],
        [0.8203355431556701, 'rgb(28,89,71)'],
        [0.825338751077652, 'rgb(29,102,71)'],
        [0.8303419589996338, 'rgb(30,115,69)'],
        [0.8353451669216156, 'rgb(30,125,62)'],
        [0.8403483748435974, 'rgb(29,133,52)'],
        [0.8453515827655792, 'rgb(28,140,39)'],
        [0.850354790687561, 'rgb(21,150,21)'],
        [0.8553579986095429, 'rgb(28,161,13)'],
        [0.8603612065315247, 'rgb(54,173,21)'],
        [0.8653644144535064, 'rgb(81,184,29)'],
        [0.8703676223754883, 'rgb(110,194,41)'],
        [0.8753708302974701, 'rgb(142,204,61)'],
        [0.8803740382194519, 'rgb(170,214,75)'],
        [0.8853772461414338, 'rgb(200,224,101)'],
        [0.8903804540634155, 'rgb(226,235,136)'],
        [0.8953836619853973, 'rgb(245,242,171)'],
        [0.9003868699073792, 'rgb(255,251,230)'],
        [0.9003968699073791, 'rgb(88,75,68)'],
        [0.95, 'rgb(83,70,63)'],
        [1.0, 'rgb(78,64,58)'],
    ],
    'svc.insert-green-90-100': [
        [0.0, 'rgb(235,235,216)'],
        [0.05, 'rgb(222,222,201)'],
        [0.1, 'rgb(211,210,188)'],
        [0.15, 'rgb(201,198,176)'],
        [0.2, 'rgb(191,188,166)'],
        [0.25, 'rgb(183,179,158)'],
        [0.3, 'rgb(174,169,149)'],
        [0.35, 'rgb(164,159,139)'],
        [0.4, 'rgb(155,149,131)'],
        [0.45, 'rgb(145,139,121)'],
        [0.5, 'rgb(137,129,113)'],
        [0.55, 'rgb(130,121,107)'],
        [0.6, 'rgb(122,113,99)'],
        [0.65, 'rgb(116,106,94)'],
        [0.7, 'rgb(111,99,89)'],
        [0.75, 'rgb(106,94,84)'],
        [0.8, 'rgb(100,87,79)'],
        [0.85, 'rgb(94,81,73)'],
        [0.9, 'rgb(88,75,68)'],
        [0.9003768699073792, 'rgb(88,75,68)'],
        [0.9003868699073792, 'rgb(14,28,31)'],
        [0.9053675264120102, 'rgb(19,44,46)'],
        [0.9103481829166412, 'rgb(22,59,56)'],
        [0.9153288394212723, 'rgb(24,71,64)'],
        [0.9203094959259033, 'rgb(28,89,71)'],
        [0.9252901524305344, 'rgb(29,102,71)'],
        [0.9302708089351654, 'rgb(30,115,69)'],
        [0.9352514654397964, 'rgb(30,125,62)'],
        [0.9402321219444275, 'rgb(29,133,52)'],
        [0.9452127784490585, 'rgb(28,140,39)'],
        [0.9501934349536896, 'rgb(21,150,21)'],
        [0.9551740914583207, 'rgb(28,161,13)'],
        [0.9601547479629516, 'rgb(54,173,21)'],
        [0.9651354044675827, 'rgb(81,184,29)'],
        [0.9701160609722137, 'rgb(110,194,41)'],
        [0.9750967174768448, 'rgb(142,204,61)'],
        [0.9800773739814759, 'rgb(170,214,75)'],
        [0.9850580304861069, 'rgb(200,224,101)'],
        [0.9900386869907379, 'rgb(226,235,136)'],
        [0.9950193434953689, 'rgb(245,242,171)'],
        [1.0, 'rgb(255,251,230)'],
    ],
    'svc.insert-green-0-20': [
        [0.0, 'rgb(29,38,23)'],
        [0.01, 'rgb(45,61,31)'],
        [0.02, 'rgb(55,77,31)'],
        [0.03, 'rgb(66,92,28)'],
        [0.04, 'rgb(79,102,29)'],
        [0.05, 'rgb(75,115,29)'],
        [0.06, 'rgb(70,128,29)'],
        [0.07, 'rgb(69,138,29)'],
        [0.08, 'rgb(64,148,28)'],
        [0.09, 'rgb(68,158,35)'],
        [0.1, 'rgb(73,168,44)'],
        [0.11, 'rgb(79,179,54)'],
        [0.12, 'rgb(99,189,64)'],
        [0.13, 'rgb(119,199,76)'],
        [0.14, 'rgb(137,207,85)'],
        [0.15, 'rgb(158,214,94)'],
        [0.16, 'rgb(183,222,115)'],
        [0.17, 'rgb(207,232,139)'],
        [0.18, 'rgb(230,240,168)'],
        [0.19, 'rgb(246,247,198)'],
        [0.2, 'rgb(255,253,230)'],
        [0.200001, 'rgb(191,189,168)'],
        [0.25, 'rgb(179,176,155)'],
        [0.3, 'rgb(166,163,144)'],
        [0.35, 'rgb(156,151,134)'],
        [0.4, 'rgb(148,142,126)'],
        [0.45, 'rgb(138,131,116)'],
        [0.5, 'rgb(130,122,109)'],
        [0.55, 'rgb(125,116,104)'],
        [0.6, 'rgb(120,110,99)'],
        [0.65, 'rgb(115,104,94)'],
        [0.7, 'rgb(107,96,88)'],
        [0.75, 'rgb(99,87,81)'],
        [0.8, 'rgb(92,80,74)'],
        [0.85, 'rgb(84,72,68)'],
        [0.9, 'rgb(77,64,61)'],
        [0.95, 'rgb(64,52,51)'],
        [1.0, 'rgb(56,46,45)'],
    ],
    'svc.insert-green-20-40': [
        [0.0, 'rgb(240,240,228)'],
        [0.05, 'rgb(224,224,206)'],
        [0.1, 'rgb(209,209,188)'],
        [0.15, 'rgb(201,200,179)'],
        [0.199999, 'rgb(191,189,168)'],
        [0.2, 'rgb(29,38,23)'],
        [0.21, 'rgb(45,61,31)'],
        [0.22, 'rgb(55,77,31)'],
        [0.23, 'rgb(66,92,28)'],
        [0.24, 'rgb(79,102,29)'],
        [0.25, 'rgb(75,115,29)'],
        [0.26, 'rgb(70,128,29)'],
        [0.27, 'rgb(69,138,29)'],
        [0.28, 'rgb(64,148,28)'],
        [0.29, 'rgb(68,158,35)'],
        [0.3, 'rgb(73,168,44)'],
        [0.31, 'rgb(79,179,54)'],
        [0.32, 'rgb(99,189,64)'],
        [0.33, 'rgb(119,199,76)'],
        [0.34, 'rgb(137,207,85)'],
        [0.35, 'rgb(158,214,94)'],
        [0.36, 'rgb(183,222,115)'],
        [0.37, 'rgb(207,232,139)'],
        [0.38, 'rgb(230,240,168)'],
        [0.39, 'rgb(246,247,198)'],
        [0.4, 'rgb(255,253,230)'],
        [0.400001, 'rgb(148,142,126)'],
        [0.45, 'rgb(138,131,116)'],
        [0.5, 'rgb(130,122,109)'],
        [0.55, 'rgb(125,116,104)'],
        [0.6, 'rgb(120,110,99)'],
        [0.65, 'rgb(115,104,94)'],
        [0.7, 'rgb(107,96,88)'],
        [0.75, 'rgb(99,87,81)'],
        [0.8, 'rgb(92,80,74)'],
        [0.85, 'rgb(84,72,68)'],
        [0.9, 'rgb(77,64,61)'],
        [0.95, 'rgb(64,52,51)'],
        [1.0, 'rgb(56,46,45)'],
    ],
    'svc.insert-green-40-60': [
        [0.0, 'rgb(240,240,228)'],
        [0.05, 'rgb(224,224,206)'],
        [0.1, 'rgb(209,209,188)'],
        [0.15, 'rgb(201,200,179)'],
        [0.2, 'rgb(191,189,168)'],
        [0.25, 'rgb(179,176,155)'],
        [0.3, 'rgb(166,163,144)'],
        [0.35, 'rgb(156,151,134)'],
        [0.399999, 'rgb(148,142,126)'],
        [0.4, 'rgb(29,38,23)'],
        [0.41, 'rgb(45,61,31)'],
        [0.42, 'rgb(55,77,31)'],
        [0.43, 'rgb(66,92,28)'],
        [0.44, 'rgb(79,102,29)'],
        [0.45, 'rgb(75,115,29)'],
        [0.46, 'rgb(70,128,29)'],
        [0.47, 'rgb(69,138,29)'],
        [0.48, 'rgb(64,148,28)'],
        [0.49, 'rgb(68,158,35)'],
        [0.5, 'rgb(73,168,44)'],
        [0.51, 'rgb(79,179,54)'],
        [0.52, 'rgb(99,189,64)'],
        [0.53, 'rgb(119,199,76)'],
        [0.54, 'rgb(137,207,85)'],
        [0.55, 'rgb(158,214,94)'],
        [0.56, 'rgb(183,222,115)'],
        [0.57, 'rgb(207,232,139)'],
        [0.58, 'rgb(230,240,168)'],
        [0.59, 'rgb(246,247,198)'],
        [0.6, 'rgb(255,253,230)'],
        [0.600001, 'rgb(120,110,99)'],
        [0.65, 'rgb(115,104,94)'],
        [0.7, 'rgb(107,96,88)'],
        [0.75, 'rgb(99,87,81)'],
        [0.8, 'rgb(92,80,74)'],
        [0.85, 'rgb(84,72,68)'],
        [0.9, 'rgb(77,64,61)'],
        [0.95, 'rgb(64,52,51)'],
        [1.0, 'rgb(56,46,45)'],
    ],
    'svc.insert-green-60-80': [
        [0.0, 'rgb(240,240,228)'],
        [0.05, 'rgb(224,224,206)'],
        [0.1, 'rgb(209,209,188)'],
        [0.15, 'rgb(201,200,179)'],
        [0.2, 'rgb(191,189,168)'],
        [0.25, 'rgb(179,176,155)'],
        [0.3, 'rgb(166,163,144)'],
        [0.35, 'rgb(156,151,134)'],
        [0.4, 'rgb(148,142,126)'],
        [0.45, 'rgb(138,131,116)'],
        [0.5, 'rgb(130,122,109)'],
        [0.55, 'rgb(125,116,104)'],
        [0.599999, 'rgb(120,110,99)'],
        [0.6, 'rgb(29,38,23)'],
        [0.61, 'rgb(45,61,31)'],
        [0.62, 'rgb(55,77,31)'],
        [0.63, 'rgb(66,92,28)'],
        [0.64, 'rgb(79,102,29)'],
        [0.65, 'rgb(75,115,29)'],
        [0.66, 'rgb(70,128,29)'],
        [0.67, 'rgb(69,138,29)'],
        [0.68, 'rgb(64,148,28)'],
        [0.69, 'rgb(68,158,35)'],
        [0.7, 'rgb(73,168,44)'],
        [0.71, 'rgb(79,179,54)'],
        [0.72, 'rgb(99,189,64)'],
        [0.73, 'rgb(119,199,76)'],
        [0.74, 'rgb(137,207,85)'],
        [0.75, 'rgb(158,214,94)'],
        [0.76, 'rgb(183,222,115)'],
        [0.77, 'rgb(207,232,139)'],
        [0.78, 'rgb(230,240,168)'],
        [0.79, 'rgb(246,247,198)'],
        [0.8, 'rgb(255,253,230)'],
        [0.800001, 'rgb(92,80,74)'],
        [0.85, 'rgb(84,72,68)'],
        [0.9, 'rgb(77,64,61)'],
        [0.95, 'rgb(64,52,51)'],
        [1.0, 'rgb(56,46,45)'],
    ],
    'svc.insert-green-80-100': [
        [0.0, 'rgb(240,240,228)'],
        [0.05, 'rgb(224,224,206)'],
        [0.1, 'rgb(209,209,188)'],
        [0.15, 'rgb(201,200,179)'],
        [0.2, 'rgb(191,189,168)'],
        [0.25, 'rgb(179,176,155)'],
        [0.3, 'rgb(166,163,144)'],
        [0.35, 'rgb(156,151,134)'],
        [0.4, 'rgb(148,142,126)'],
        [0.45, 'rgb(138,131,116)'],
        [0.5, 'rgb(130,122,109)'],
        [0.55, 'rgb(125,116,104)'],
        [0.6, 'rgb(120,110,99)'],
        [0.65, 'rgb(115,104,94)'],
        [0.7, 'rgb(107,96,88)'],
        [0.75, 'rgb(99,87,81)'],
        [0.799999, 'rgb(92,80,74)'],
        [0.8, 'rgb(29,38,23)'],
        [0.81, 'rgb(45,61,31)'],
        [0.82, 'rgb(55,77,31)'],
        [0.83, 'rgb(66,92,28)'],
        [0.84, 'rgb(79,102,29)'],
        [0.85, 'rgb(75,115,29)'],
        [0.86, 'rgb(70,128,29)'],
        [0.87, 'rgb(69,138,29)'],
        [0.88, 'rgb(64,148,28)'],
        [0.89, 'rgb(68,158,35)'],
        [0.9, 'rgb(73,168,44)'],
        [0.91, 'rgb(79,179,54)'],
        [0.92, 'rgb(99,189,64)'],
        [0.93, 'rgb(119,199,76)'],
        [0.94, 'rgb(137,207,85)'],
        [0.95, 'rgb(158,214,94)'],
        [0.96, 'rgb(183,222,115)'],
        [0.97, 'rgb(207,232,139)'],
        [0.98, 'rgb(230,240,168)'],
        [0.99, 'rgb(246,247,198)'],
        [1.0, 'rgb(255,253,230)'],
    ],
    'svc.outlier-gray-5': [
        [0.0, 'rgb(0,48,64)'],
        [0.0009778923309179677, 'rgb(12,67,82)'],
        [0.0019557846618358937, 'rgb(24,84,97)'],
        [0.0029336769927538614, 'rgb(34,96,107)'],
        [0.003911569323671836, 'rgb(50,116,125)'],
        [0.004889461654589804, 'rgb(68,139,145)'],
        [0.00586735398550773, 'rgb(90,166,166)'],
        [0.006776226533169442, 'rgb(119,191,186)'],
        [0.00752020482774006, 'rgb(143,204,195)'],
        [0.008465259103775935, 'rgb(179,230,219)'],
        [0.009229342159642315, 'rgb(211,244,236)'],
        [0.010013535650505986, 'rgb(225,242,251)'],
        [0.010978694687837617, 'rgb(208,231,245)'],
        [0.011903641365726969, 'rgb(189,214,233)'],
        [0.012652966479155286, 'rgb(173,198,220)'],
        [0.013610818947791557, 'rgb(155,180,205)'],
        [0.014568671416427821, 'rgb(137,162,190)'],
        [0.015526523885064043, 'rgb(121,145,173)'],
        [0.01648437635370031, 'rgb(106,129,157)'],
        [0.01744222882233653, 'rgb(92,113,141)'],
        [0.018400081290972797, 'rgb(78,98,125)'],
        [0.019363523399027454, 'rgb(86,104,104)'],
        [0.01984736567103891, 'rgb(91,110,110)'],
        [0.02033631181840175, 'rgb(97,117,116)'],
        [0.020825257965764583, 'rgb(104,125,121)'],
        [0.021314204113127462, 'rgb(109,130,125)'],
        [0.021803150260490296, 'rgb(114,135,128)'],
        [0.022292096407853183, 'rgb(119,140,131)'],
        [0.022781042555216017, 'rgb(124,145,134)'],
        [0.0232699887025789, 'rgb(129,150,138)'],
        [0.02375893484994173, 'rgb(134,156,141)'],
        [0.024247880997304617, 'rgb(140,161,145)'],
        [0.02473682714466745, 'rgb(144,166,148)'],
        [0.025225773292030285, 'rgb(150,171,152)'],
        [0.025714719439393168, 'rgb(155,176,155)'],
        [0.02620366558675605, 'rgb(163,181,161)'],
        [0.026501688117259708, 'rgb(169,186,166)'],
        [0.027285880189698023, 'rgb(189,201,183)'],
        [0.028592868395520537, 'rgb(226,235,218)'],
        [0.029175985904919006, 'rgb(242,225,197)'],
        [0.02977921101246395, 'rgb(237,212,171)'],
        [0.030663941075634842, 'rgb(232,201,151)'],
        [0.03170953050555257, 'rgb(218,181,129)'],
        [0.032614368166870036, 'rgb(204,162,114)'],
        [0.03502726859704986, 'rgb(163,115,79)'],
        [0.0360929663343268, 'rgb(150,101,68)'],
        [0.03739995383093664, 'rgb(143,92,63)'],
        [0.037802104375441736, 'rgb(156,107,71)'],
        [0.03864661924231962, 'rgb(195,152,65)'],
        [0.03937048922953099, 'rgb(209,169,74)'],
        [0.04072081601030916, 'rgb(224,187,79)'],
        [0.04170276484665951, 'rgb(228,196,86)'],
        [0.04268471368300981, 'rgb(232,204,94)'],
        [0.04366666251936011, 'rgb(236,212,103)'],
        [0.044648611355710424, 'rgb(241,221,119)'],
        [0.045630560192060736, 'rgb(244,230,140)'],
        [0.04661250902841104, 'rgb(247,237,162)'],
        [0.04759445786476135, 'rgb(251,246,188)'],
        [0.05, 'rgb(252,252,242)'],
        [0.0952242349715233, 'rgb(237,237,218)'],
        [0.14284401207828523, 'rgb(219,219,197)'],
        [0.19046378918504717, 'rgb(204,202,180)'],
        [0.2380835662918091, 'rgb(191,188,166)'],
        [0.285703343398571, 'rgb(179,175,154)'],
        [0.33332312050533297, 'rgb(166,161,141)'],
        [0.3809428976120949, 'rgb(153,147,129)'],
        [0.42856267471885684, 'rgb(140,133,116)'],
        [0.4761824518256188, 'rgb(130,121,107)'],
        [0.5238022289323807, 'rgb(120,110,97)'],
        [0.5714220060391426, 'rgb(112,101,90)'],
        [0.6190417831459045, 'rgb(105,93,83)'],
        [0.6666615602526664, 'rgb(97,84,76)'],
        [0.7142813373594283, 'rgb(89,76,69)'],
        [0.7619011144661904, 'rgb(82,68,62)'],
        [0.8095208915729523, 'rgb(74,60,55)'],
        [0.8571406686797142, 'rgb(66,52,48)'],
        [0.9047604457864762, 'rgb(59,44,42)'],
        [0.952380222893238, 'rgb(51,37,35)'],
        [1.0, 'rgb(46,32,31)'],
    ],
    'svc.outlier-gray-10': [
        [0.0, 'rgb(0,48,64)'],
        [0.0020452348936668696, 'rgb(12,67,82)'],
        [0.004090469787333656, 'rgb(24,84,97)'],
        [0.006135704681000526, 'rgb(34,96,107)'],
        [0.008180939574667395, 'rgb(50,116,125)'],
        [0.010226174468334279, 'rgb(68,139,145)'],
        [0.012271409362001051, 'rgb(90,166,166)'],
        [0.014172291278754287, 'rgb(119,191,186)'],
        [0.01572830140387535, 'rgb(143,204,195)'],
        [0.017704856409622494, 'rgb(179,230,219)'],
        [0.019302915089610878, 'rgb(211,244,236)'],
        [0.020943034190857163, 'rgb(225,242,251)'],
        [0.022961637751471614, 'rgb(208,231,245)'],
        [0.024896138269156154, 'rgb(189,214,233)'],
        [0.026463331118747116, 'rgb(173,198,220)'],
        [0.028466653192048233, 'rgb(155,180,205)'],
        [0.03046997526534935, 'rgb(137,162,190)'],
        [0.03247329733865037, 'rgb(121,145,173)'],
        [0.03447661941195149, 'rgb(106,129,157)'],
        [0.03647994148525249, 'rgb(92,113,141)'],
        [0.03848326355855361, 'rgb(78,98,125)'],
        [0.040498276208843685, 'rgb(86,104,104)'],
        [0.04151021900301608, 'rgb(91,110,110)'],
        [0.04253283641200192, 'rgb(97,117,116)'],
        [0.04355545382098776, 'rgb(104,125,121)'],
        [0.04457807122997369, 'rgb(109,130,125)'],
        [0.045600688638959525, 'rgb(114,135,128)'],
        [0.04662330604794547, 'rgb(119,140,131)'],
        [0.047645923456931305, 'rgb(124,145,134)'],
        [0.04866854086591724, 'rgb(129,150,138)'],
        [0.04969115827490307, 'rgb(134,156,141)'],
        [0.05071377568388901, 'rgb(140,161,145)'],
        [0.05173639309287485, 'rgb(144,166,148)'],
        [0.05275901050186068, 'rgb(150,171,152)'],
        [0.05378162791084662, 'rgb(155,176,155)'],
        [0.05480424531983256, 'rgb(163,181,161)'],
        [0.05542755123932249, 'rgb(169,186,166)'],
        [0.05706766737397118, 'rgb(189,201,183)'],
        [0.05980119723164986, 'rgb(226,235,218)'],
        [0.061020771452270174, 'rgb(242,225,197)'],
        [0.062282400160952996, 'rgb(237,212,171)'],
        [0.06413278873591462, 'rgb(232,201,151)'],
        [0.0663196102487795, 'rgb(218,181,129)'],
        [0.06821205331180383, 'rgb(204,162,114)'],
        [0.07325856814653521, 'rgb(163,115,79)'],
        [0.07548744563076151, 'rgb(150,101,68)'],
        [0.07822097400514139, 'rgb(143,92,63)'],
        [0.07906206079979583, 'rgb(156,107,71)'],
        [0.08082834039863235, 'rgb(195,152,65)'],
        [0.0823422945523919, 'rgb(209,169,74)'],
        [0.08516646584669776, 'rgb(224,187,79)'],
        [0.0872201848098213, 'rgb(228,196,86)'],
        [0.08927390377294472, 'rgb(232,204,94)'],
        [0.09132762273606818, 'rgb(236,212,103)'],
        [0.09338134169919163, 'rgb(241,221,119)'],
        [0.0954350606623151, 'rgb(244,230,140)'],
        [0.09748877962543855, 'rgb(247,237,162)'],
        [0.09954249858856201, 'rgb(251,246,188)'],
        [0.1, 'rgb(252,252,242)'],
        [0.1445748736591339, 'rgb(237,237,218)'],
        [0.18959724872970582, 'rgb(219,219,197)'],
        [0.23461962380027773, 'rgb(204,202,180)'],
        [0.2796419988708496, 'rgb(191,188,166)'],
        [0.3246643739414215, 'rgb(179,175,154)'],
        [0.36968674901199344, 'rgb(166,161,141)'],
        [0.41470912408256533, 'rgb(153,147,129)'],
        [0.45973149915313727, 'rgb(140,133,116)'],
        [0.5047538742237091, 'rgb(130,121,107)'],
        [0.549776249294281, 'rgb(120,110,97)'],
        [0.594798624364853, 'rgb(112,101,90)'],
        [0.6398209994354248, 'rgb(105,93,83)'],
        [0.6848433745059967, 'rgb(97,84,76)'],
        [0.7298657495765686, 'rgb(89,76,69)'],
        [0.7748881246471405, 'rgb(82,68,62)'],
        [0.8199104997177125, 'rgb(74,60,55)'],
        [0.8649328747882843, 'rgb(66,52,48)'],
        [0.9099552498588562, 'rgb(59,44,42)'],
        [0.9549776249294281, 'rgb(51,37,35)'],
        [1.0, 'rgb(46,32,31)'],
    ],
    'svc.outlier-gray-15': [
        [0.0, 'rgb(0,48,64)'],
        [0.0030398046147776525, 'rgb(12,67,82)'],
        [0.006079609229555166, 'rgb(24,84,97)'],
        [0.009119413844332847, 'rgb(34,96,107)'],
        [0.012159218459110499, 'rgb(50,116,125)'],
        [0.01519902307388818, 'rgb(68,139,145)'],
        [0.018238827688665693, 'rgb(90,166,166)'],
        [0.0210640824506427, 'rgb(119,191,186)'],
        [0.023376758991430407, 'rgb(143,204,195)'],
        [0.026314485629303164, 'rgb(179,230,219)'],
        [0.028689658361372466, 'rgb(211,244,236)'],
        [0.031127344921577177, 'rgb(225,242,251)'],
        [0.03412756775073153, 'rgb(208,231,245)'],
        [0.037002789378895784, 'rgb(189,214,233)'],
        [0.03933208664992559, 'rgb(173,198,220)'],
        [0.042309596813752556, 'rgb(155,180,205)'],
        [0.04528710697757951, 'rgb(137,162,190)'],
        [0.04826461714140634, 'rgb(121,145,173)'],
        [0.05124212730523331, 'rgb(106,129,157)'],
        [0.054219637469060125, 'rgb(92,113,141)'],
        [0.057197147632887094, 'rgb(78,98,125)'],
        [0.06019203334120066, 'rgb(86,104,104)'],
        [0.06169607005851929, 'rgb(91,110,110)'],
        [0.06321597230965577, 'rgb(97,117,116)'],
        [0.06473587456079223, 'rgb(104,125,121)'],
        [0.06625577681192883, 'rgb(109,130,125)'],
        [0.06777567906306528, 'rgb(114,135,128)'],
        [0.06929558131420191, 'rgb(119,140,131)'],
        [0.07081548356533836, 'rgb(124,145,134)'],
        [0.07233538581647497, 'rgb(129,150,138)'],
        [0.07385528806761142, 'rgb(134,156,141)'],
        [0.07537519031874804, 'rgb(140,161,145)'],
        [0.0768950925698845, 'rgb(144,166,148)'],
        [0.07841499482102096, 'rgb(150,171,152)'],
        [0.07993489707215758, 'rgb(155,176,155)'],
        [0.08145479932329419, 'rgb(163,181,161)'],
        [0.08238121037580987, 'rgb(169,186,166)'],
        [0.0848188925268012, 'rgb(189,201,183)'],
        [0.08888170052100003, 'rgb(226,235,218)'],
        [0.09069433698411983, 'rgb(242,225,197)'],
        [0.09256947845694796, 'rgb(237,212,171)'],
        [0.09531968565648169, 'rgb(232,201,151)'],
        [0.09856992852447008, 'rgb(218,181,129)'],
        [0.10138264073371245, 'rgb(204,162,114)'],
        [0.10888320662502518, 'rgb(163,115,79)'],
        [0.11219595670732876, 'rgb(150,101,68)'],
        [0.11625876249692091, 'rgb(143,92,63)'],
        [0.11750885828187752, 'rgb(156,107,71)'],
        [0.12013405546199436, 'rgb(195,152,65)'],
        [0.12238422478846671, 'rgb(209,169,74)'],
        [0.12658175190867035, 'rgb(224,187,79)'],
        [0.12963416627969965, 'rgb(228,196,86)'],
        [0.1326865806507288, 'rgb(232,204,94)'],
        [0.13573899502175796, 'rgb(236,212,103)'],
        [0.1387914093927871, 'rgb(241,221,119)'],
        [0.1418438237638163, 'rgb(244,230,140)'],
        [0.14489623813484545, 'rgb(247,237,162)'],
        [0.14794865250587463, 'rgb(251,246,188)'],
        [0.15, 'rgb(252,252,242)'],
        [0.19056071988058093, 'rgb(237,237,218)'],
        [0.2331627872552872, 'rgb(219,219,197)'],
        [0.27576485462999345, 'rgb(204,202,180)'],
        [0.31836692200469974, 'rgb(191,188,166)'],
        [0.360968989379406, 'rgb(179,175,154)'],
        [0.40357105675411226, 'rgb(166,161,141)'],
        [0.44617312412881854, 'rgb(153,147,129)'],
        [0.48877519150352483, 'rgb(140,133,116)'],
        [0.5313772588782311, 'rgb(130,121,107)'],
        [0.5739793262529373, 'rgb(120,110,97)'],
        [0.6165813936276436, 'rgb(112,101,90)'],
        [0.6591834610023499, 'rgb(105,93,83)'],
        [0.7017855283770562, 'rgb(97,84,76)'],
        [0.7443875957517625, 'rgb(89,76,69)'],
        [0.7869896631264688, 'rgb(82,68,62)'],
        [0.8295917305011751, 'rgb(74,60,55)'],
        [0.8721937978758811, 'rgb(66,52,48)'],
        [0.9147958652505874, 'rgb(59,44,42)'],
        [0.9573979326252937, 'rgb(51,37,35)'],
        [1.0, 'rgb(46,32,31)'],
    ],
    'svc.outlier-gray-20': [
        [0.0, 'rgb(0,48,64)'],
        [0.0041071471775265544, 'rgb(12,67,82)'],
        [0.008214294355052942, 'rgb(24,84,97)'],
        [0.012321441532579497, 'rgb(34,96,107)'],
        [0.01642858871010608, 'rgb(50,116,125)'],
        [0.020535735887632633, 'rgb(68,139,145)'],
        [0.024642883065158994, 'rgb(90,166,166)'],
        [0.028460147196227553, 'rgb(119,191,186)'],
        [0.031584855567565684, 'rgb(143,204,195)'],
        [0.03555408293514972, 'rgb(179,230,219)'],
        [0.038763231291341016, 'rgb(211,244,236)'],
        [0.04205684346192834, 'rgb(225,242,251)'],
        [0.04611051081436551, 'rgb(208,231,245)'],
        [0.04999528628232497, 'rgb(189,214,233)'],
        [0.05314245128951742, 'rgb(173,198,220)'],
        [0.057165431058009225, 'rgb(155,180,205)'],
        [0.06118841082650103, 'rgb(137,162,190)'],
        [0.06521139059499267, 'rgb(121,145,173)'],
        [0.06923437036348448, 'rgb(106,129,157)'],
        [0.0732573501319761, 'rgb(92,113,141)'],
        [0.0772803299004679, 'rgb(78,98,125)'],
        [0.08132678615101689, 'rgb(86,104,104)'],
        [0.08335892339049647, 'rgb(91,110,110)'],
        [0.08541249690325595, 'rgb(97,117,116)'],
        [0.0874660704160154, 'rgb(104,125,121)'],
        [0.08951964392877505, 'rgb(109,130,125)'],
        [0.09157321744153452, 'rgb(114,135,128)'],
        [0.0936267909542942, 'rgb(119,140,131)'],
        [0.09568036446705365, 'rgb(124,145,134)'],
        [0.0977339379798133, 'rgb(129,150,138)'],
        [0.09978751149257277, 'rgb(134,156,141)'],
        [0.10184108500533244, 'rgb(140,161,145)'],
        [0.1038946585180919, 'rgb(144,166,148)'],
        [0.10594823203085137, 'rgb(150,171,152)'],
        [0.10800180554361102, 'rgb(155,176,155)'],
        [0.1100553790563707, 'rgb(163,181,161)'],
        [0.11130707349787265, 'rgb(169,186,166)'],
        [0.11460067971107436, 'rgb(189,201,183)'],
        [0.12009002935712935, 'rgb(226,235,218)'],
        [0.12253912253147099, 'rgb(242,225,197)'],
        [0.125072667605437, 'rgb(237,212,171)'],
        [0.12878853331676146, 'rgb(232,201,151)'],
        [0.133180008267697, 'rgb(218,181,129)'],
        [0.13698032587864623, 'rgb(204,162,114)'],
        [0.14711450617451052, 'rgb(163,115,79)'],
        [0.15159043600376348, 'rgb(150,101,68)'],
        [0.15707978267112566, 'rgb(143,92,63)'],
        [0.1587688147062316, 'rgb(156,107,71)'],
        [0.1623157766183071, 'rgb(195,152,65)'],
        [0.16535603011132763, 'rgb(209,169,74)'],
        [0.17102740174505895, 'rgb(224,187,79)'],
        [0.17515158624286142, 'rgb(228,196,86)'],
        [0.1792757707406637, 'rgb(232,204,94)'],
        [0.183399955238466, 'rgb(236,212,103)'],
        [0.18752413973626833, 'rgb(241,221,119)'],
        [0.19164832423407066, 'rgb(244,230,140)'],
        [0.19577250873187296, 'rgb(247,237,162)'],
        [0.1998966932296753, 'rgb(251,246,188)'],
        [0.2, 'rgb(252,252,242)'],
        [0.23991135856819154, 'rgb(237,237,218)'],
        [0.2799160239067078, 'rgb(219,219,197)'],
        [0.319920689245224, 'rgb(204,202,180)'],
        [0.35992535458374025, 'rgb(191,188,166)'],
        [0.3999300199222565, 'rgb(179,175,154)'],
        [0.43993468526077273, 'rgb(166,161,141)'],
        [0.47993935059928894, 'rgb(153,147,129)'],
        [0.5199440159378053, 'rgb(140,133,116)'],
        [0.5599486812763215, 'rgb(130,121,107)'],
        [0.5999533466148377, 'rgb(120,110,97)'],
        [0.6399580119533539, 'rgb(112,101,90)'],
        [0.6799626772918701, 'rgb(105,93,83)'],
        [0.7199673426303863, 'rgb(97,84,76)'],
        [0.7599720079689025, 'rgb(89,76,69)'],
        [0.799976673307419, 'rgb(82,68,62)'],
        [0.8399813386459352, 'rgb(74,60,55)'],
        [0.8799860039844514, 'rgb(66,52,48)'],
        [0.9199906693229676, 'rgb(59,44,42)'],
        [0.9599953346614838, 'rgb(51,37,35)'],
        [1.0, 'rgb(46,32,31)'],
    ],
    'svc.outlier-gray-25': [
        [0.0, 'rgb(0,48,64)'],
        [0.005125974308407083, 'rgb(12,67,82)'],
        [0.010251948616813944, 'rgb(24,84,97)'],
        [0.015377922925221027, 'rgb(34,96,107)'],
        [0.02050389723362811, 'rgb(50,116,125)'],
        [0.025629871542035193, 'rgb(68,139,145)'],
        [0.030755845850442054, 'rgb(90,166,166)'],
        [0.035520028144986754, 'rgb(119,191,186)'],
        [0.03941985791499997, 'rgb(143,204,195)'],
        [0.04437369974998262, 'rgb(179,230,219)'],
        [0.048378915856119364, 'rgb(211,244,236)'],
        [0.05248954803912648, 'rgb(225,242,251)'],
        [0.05754877621023263, 'rgb(208,231,245)'],
        [0.06239721683871835, 'rgb(189,214,233)'],
        [0.06632507388252207, 'rgb(173,198,220)'],
        [0.07134600204632591, 'rgb(155,180,205)'],
        [0.07636693021012972, 'rgb(137,162,190)'],
        [0.08138785837393334, 'rgb(121,145,173)'],
        [0.08640878653773715, 'rgb(106,129,157)'],
        [0.09142971470154074, 'rgb(92,113,141)'],
        [0.09645064286534455, 'rgb(78,98,125)'],
        [0.10150087113422748, 'rgb(86,104,104)'],
        [0.10403710439553535, 'rgb(91,110,110)'],
        [0.10660009145488142, 'rgb(97,117,116)'],
        [0.10916307851422749, 'rgb(104,125,121)'],
        [0.11172606557357379, 'rgb(109,130,125)'],
        [0.11428905263291986, 'rgb(114,135,128)'],
        [0.11685203969226618, 'rgb(119,140,131)'],
        [0.11941502675161225, 'rgb(124,145,134)'],
        [0.12197801381095855, 'rgb(129,150,138)'],
        [0.12454100087030462, 'rgb(134,156,141)'],
        [0.12710398792965094, 'rgb(140,161,145)'],
        [0.129666974988997, 'rgb(144,166,148)'],
        [0.13222996204834309, 'rgb(150,171,152)'],
        [0.13479294910768938, 'rgb(155,176,155)'],
        [0.1373559361670357, 'rgb(163,181,161)'],
        [0.1389181284313458, 'rgb(169,186,166)'],
        [0.1430287531791663, 'rgb(189,201,183)'],
        [0.14987980186072028, 'rgb(226,235,218)'],
        [0.1529364219787582, 'rgb(242,225,197)'],
        [0.1560984433032928, 'rgb(237,212,171)'],
        [0.1607360740835978, 'rgb(232,201,151)'],
        [0.16621690708069176, 'rgb(218,181,129)'],
        [0.17095993906749393, 'rgb(204,162,114)'],
        [0.18360802436563267, 'rgb(163,115,79)'],
        [0.18919426228681685, 'rgb(150,101,68)'],
        [0.1960453072507775, 'rgb(143,92,63)'],
        [0.19815332394552954, 'rgb(156,107,71)'],
        [0.20258015231284088, 'rgb(195,152,65)'],
        [0.20637457715876362, 'rgb(209,169,74)'],
        [0.21345280056575705, 'rgb(224,187,79)'],
        [0.21860003850613144, 'rgb(228,196,86)'],
        [0.22374727644650558, 'rgb(232,204,94)'],
        [0.22889451438687972, 'rgb(236,212,103)'],
        [0.2340417523272539, 'rgb(241,221,119)'],
        [0.2391889902676281, 'rgb(244,230,140)'],
        [0.24433622820800227, 'rgb(247,237,162)'],
        [0.24948346614837646, 'rgb(251,246,188)'],
        [0.25, 'rgb(252,252,242)'],
        [0.28701879284095766, 'rgb(237,237,218)'],
        [0.32454411953353884, 'rgb(219,219,197)'],
        [0.36206944622612003, 'rgb(204,202,180)'],
        [0.3995947729187012, 'rgb(191,188,166)'],
        [0.4371200996112824, 'rgb(179,175,154)'],
        [0.4746454263038635, 'rgb(166,161,141)'],
        [0.5121707529964448, 'rgb(153,147,129)'],
        [0.549696079689026, 'rgb(140,133,116)'],
        [0.587221406381607, 'rgb(130,121,107)'],
        [0.6247467330741883, 'rgb(120,110,97)'],
        [0.6622720597667695, 'rgb(112,101,90)'],
        [0.6997973864593505, 'rgb(105,93,83)'],
        [0.7373227131519318, 'rgb(97,84,76)'],
        [0.774848039844513, 'rgb(89,76,69)'],
        [0.8123733665370942, 'rgb(82,68,62)'],
        [0.8498986932296755, 'rgb(74,60,55)'],
        [0.8874240199222565, 'rgb(66,52,48)'],
        [0.9249493466148377, 'rgb(59,44,42)'],
        [0.9624746733074188, 'rgb(51,37,35)'],
        [1.0, 'rgb(46,32,31)'],
    ],
    'svc.outlier-green-blue': [
        [0.0, 'rgb(46,51,42)'],
        [0.011, 'rgb(56,74,39)'],
        [0.022, 'rgb(65,89,31)'],
        [0.033, 'rgb(78,102,31)'],
        [0.044, 'rgb(89,115,32)'],
        [0.055, 'rgb(84,128,34)'],
        [0.066, 'rgb(80,140,36)'],
        [0.077, 'rgb(75,153,38)'],
        [0.088, 'rgb(81,166,45)'],
        [0.099, 'rgb(87,179,54)'],
        [0.11, 'rgb(92,191,61)'],
        [0.121, 'rgb(97,201,71)'],
        [0.132, 'rgb(121,212,85)'],
        [0.143, 'rgb(143,222,100)'],
        [0.154, 'rgb(166,232,116)'],
        [0.165, 'rgb(187,237,130)'],
        [0.176, 'rgb(207,242,145)'],
        [0.187, 'rgb(224,247,161)'],
        [0.198, 'rgb(242,252,177)'],
        [0.199999, 'rgb(244,253,182)'],
        [0.2, 'rgb(246,252,240)'],
        [0.23, 'rgb(228,245,215)'],
        [0.26, 'rgb(203,235,192)'],
        [0.29, 'rgb(191,227,184)'],
        [0.32, 'rgb(177,217,173)'],
        [0.35, 'rgb(165,209,165)'],
        [0.38, 'rgb(155,199,159)'],
        [0.41, 'rgb(143,189,151)'],
        [0.44, 'rgb(132,179,144)'],
        [0.47, 'rgb(119,168,136)'],
        [0.499999, 'rgb(104,150,123)'],
        [0.5, 'rgb(102,123,148)'],
        [0.53, 'rgb(119,143,168)'],
        [0.56, 'rgb(140,164,189)'],
        [0.59, 'rgb(151,175,199)'],
        [0.62, 'rgb(163,188,209)'],
        [0.65, 'rgb(171,196,217)'],
        [0.68, 'rgb(182,207,227)'],
        [0.71, 'rgb(190,215,235)'],
        [0.74, 'rgb(199,224,242)'],
        [0.77, 'rgb(220,238,250)'],
        [0.8, 'rgb(247,251,252)'],
        [0.800001, 'rgb(232,252,249)'],
        [0.804, 'rgb(223,247,246)'],
        [0.81, 'rgb(191,245,241)'],
        [0.82, 'rgb(173,240,240)'],
        [0.83, 'rgb(138,223,230)'],
        [0.84, 'rgb(117,210,224)'],
        [0.85, 'rgb(111,196,217)'],
        [0.86, 'rgb(94,175,204)'],
        [0.87, 'rgb(84,159,196)'],
        [0.88, 'rgb(75,143,191)'],
        [0.9, 'rgb(68,120,184)'],
        [0.92, 'rgb(53,104,176)'],
        [0.94, 'rgb(55,95,166)'],
        [0.96, 'rgb(50,80,148)'],
        [0.98, 'rgb(46,67,133)'],
        [0.99, 'rgb(32,47,120)'],
        [1.0, 'rgb(31,37,102)'],
    ],
    'svc.outlier-green-blue-2': [
        [0.0, 'rgb(255,251,230)'],
        [0.004987770318984986, 'rgb(245,242,171)'],
        [0.009975540637969972, 'rgb(226,235,136)'],
        [0.014963310956954955, 'rgb(200,224,101)'],
        [0.019951081275939943, 'rgb(170,214,75)'],
        [0.024938851594924927, 'rgb(142,204,61)'],
        [0.02992662191390991, 'rgb(110,194,41)'],
        [0.03491439223289489, 'rgb(81,184,29)'],
        [0.03990216255187989, 'rgb(54,173,21)'],
        [0.04488993287086487, 'rgb(28,161,13)'],
        [0.049877703189849854, 'rgb(21,150,21)'],
        [0.05486547350883484, 'rgb(28,140,39)'],
        [0.05985324382781982, 'rgb(29,133,52)'],
        [0.0648410141468048, 'rgb(30,125,62)'],
        [0.06982878446578979, 'rgb(30,115,69)'],
        [0.07481655478477478, 'rgb(29,102,71)'],
        [0.07980432510375977, 'rgb(28,89,71)'],
        [0.08479209542274475, 'rgb(24,71,64)'],
        [0.08977986574172973, 'rgb(22,59,56)'],
        [0.09476763606071471, 'rgb(19,44,46)'],
        [0.09975540637969971, 'rgb(14,28,31)'],
        [0.09976540637969972, 'rgb(97,101,102)'],
        [0.11968104887388464, 'rgb(99,107,107)'],
        [0.13959669136806951, 'rgb(101,112,111)'],
        [0.15951233386225444, 'rgb(103,117,115)'],
        [0.17942797635643926, 'rgb(105,122,118)'],
        [0.19934361885062418, 'rgb(108,128,121)'],
        [0.2192592613448091, 'rgb(113,133,124)'],
        [0.23917490383899398, 'rgb(119,140,130)'],
        [0.2590905463331789, 'rgb(127,148,136)'],
        [0.2790061888273637, 'rgb(134,156,141)'],
        [0.2989218313215487, 'rgb(146,168,152)'],
        [0.3188374738157336, 'rgb(155,179,159)'],
        [0.33875311630991845, 'rgb(166,189,168)'],
        [0.35866875880410337, 'rgb(175,199,175)'],
        [0.3785844012982883, 'rgb(188,209,186)'],
        [0.39850004379247317, 'rgb(197,217,193)'],
        [0.41841568628665804, 'rgb(210,227,204)'],
        [0.43833132878084297, 'rgb(221,235,213)'],
        [0.45824697127502784, 'rgb(231,242,223)'],
        [0.47816261376921276, 'rgb(241,250,232)'],
        [0.49807825626339763, 'rgb(249,255,242)'],
        [0.49808825626339764, 'rgb(255,255,255)'],
        [0.5181873365804348, 'rgb(225,239,250)'],
        [0.538286416897472, 'rgb(208,228,242)'],
        [0.5784845775315464, 'rgb(188,210,227)'],
        [0.6186827381656207, 'rgb(171,192,209)'],
        [0.658880898799695, 'rgb(153,171,189)'],
        [0.6990790594337695, 'rgb(138,153,168)'],
        [0.7392772200678438, 'rgb(123,134,148)'],
        [0.7794753807019181, 'rgb(111,121,133)'],
        [0.8196735413359926, 'rgb(105,113,122)'],
        [0.8598717019700669, 'rgb(101,106,112)'],
        [0.9000698626041412, 'rgb(97,100,102)'],
        [0.9000798626041412, 'rgb(33,15,77)'],
        [0.9050758694739341, 'rgb(42,28,107)'],
        [0.9100718763437271, 'rgb(39,29,128)'],
        [0.9150678832135201, 'rgb(28,28,140)'],
        [0.920063890083313, 'rgb(26,34,153)'],
        [0.9250598969531059, 'rgb(23,42,163)'],
        [0.9300559038228988, 'rgb(21,54,173)'],
        [0.9350519106926918, 'rgb(20,66,181)'],
        [0.9400479175624847, 'rgb(22,80,186)'],
        [0.9550359381718636, 'rgb(23,93,191)'],
        [0.9600319450416565, 'rgb(31,111,196)'],
        [0.9650279519114494, 'rgb(44,128,201)'],
        [0.9700239587812424, 'rgb(58,147,207)'],
        [0.9750199656510353, 'rgb(72,163,212)'],
        [0.9800159725208283, 'rgb(87,180,217)'],
        [0.9850119793906212, 'rgb(102,198,222)'],
        [0.9900079862604141, 'rgb(122,217,230)'],
        [0.995003993130207, 'rgb(142,234,237)'],
        [0.9980015972520828, 'rgb(163,247,245)'],
        [1.0, 'rgb(204,255,251)'],
    ],
    'svc.outlier-blue-red': [
        [0.0, 'rgb(33,15,77)'],
        [0.004987770318984994, 'rgb(42,28,107)'],
        [0.009975540637969973, 'rgb(39,29,128)'],
        [0.014963310956954953, 'rgb(28,28,140)'],
        [0.019951081275939933, 'rgb(26,34,153)'],
        [0.024938851594924927, 'rgb(23,42,163)'],
        [0.02992662191390992, 'rgb(21,54,173)'],
        [0.0349143922328949, 'rgb(20,66,181)'],
        [0.03990216255187989, 'rgb(22,80,186)'],
        [0.05486547350883484, 'rgb(23,93,191)'],
        [0.05985324382781982, 'rgb(31,111,196)'],
        [0.06484101414680482, 'rgb(44,128,201)'],
        [0.0698287844657898, 'rgb(58,147,207)'],
        [0.07481655478477478, 'rgb(72,163,212)'],
        [0.07980432510375976, 'rgb(87,180,217)'],
        [0.08479209542274475, 'rgb(102,198,222)'],
        [0.08977986574172973, 'rgb(122,217,230)'],
        [0.09476763606071473, 'rgb(142,234,237)'],
        [0.0977602982521057, 'rgb(163,247,245)'],
        [0.09975540637969971, 'rgb(204,255,251)'],
        [0.0997654063796997, 'rgb(242,255,253)'],
        [0.1196810488738846, 'rgb(215,250,247)'],
        [0.13959669136806951, 'rgb(196,245,245)'],
        [0.1794279763564393, 'rgb(176,227,232)'],
        [0.21925926134480905, 'rgb(155,202,212)'],
        [0.2590905463331789, 'rgb(136,179,194)'],
        [0.29892183132154865, 'rgb(118,158,179)'],
        [0.33875311630991845, 'rgb(106,142,166)'],
        [0.37858440129828824, 'rgb(93,125,153)'],
        [0.39850004379247317, 'rgb(86,114,145)'],
        [0.4184156862866581, 'rgb(81,105,140)'],
        [0.4383313287808429, 'rgb(77,96,135)'],
        [0.45824697127502784, 'rgb(74,89,130)'],
        [0.4781626137692127, 'rgb(70,81,125)'],
        [0.49807825626339763, 'rgb(65,73,117)'],
        [0.49808825626339764, 'rgb(97,65,63)'],
        [0.5181873365804348, 'rgb(110,70,67)'],
        [0.5382864168974719, 'rgb(120,77,70)'],
        [0.5583854972145093, 'rgb(130,83,72)'],
        [0.5784845775315464, 'rgb(140,90,73)'],
        [0.5985836578485835, 'rgb(153,97,75)'],
        [0.6186827381656208, 'rgb(161,103,74)'],
        [0.6387818184826579, 'rgb(168,109,72)'],
        [0.658880898799695, 'rgb(176,118,70)'],
        [0.6789799791167322, 'rgb(184,130,79)'],
        [0.6990790594337695, 'rgb(194,143,89)'],
        [0.7392772200678438, 'rgb(204,165,102)'],
        [0.7794753807019181, 'rgb(217,187,117)'],
        [0.8196735413359926, 'rgb(230,211,138)'],
        [0.8598717019700669, 'rgb(240,231,173)'],
        [0.879970782287104, 'rgb(247,244,203)'],
        [0.8920302304773263, 'rgb(250,249,220)'],
        [0.9000698626041412, 'rgb(255,254,240)'],
        [0.9000798626041412, 'rgb(252,252,192)'],
        [0.9002797028789329, 'rgb(252,252,191)'],
        [0.9050758694739341, 'rgb(250,248,171)'],
        [0.9100718763437271, 'rgb(250,243,153)'],
        [0.91506788321352, 'rgb(248,235,133)'],
        [0.9200638900833129, 'rgb(247,225,111)'],
        [0.9250598969531059, 'rgb(246,214,88)'],
        [0.9300559038228988, 'rgb(244,200,68)'],
        [0.9350519106926918, 'rgb(242,185,52)'],
        [0.9400479175624847, 'rgb(240,171,36)'],
        [0.9450439244322777, 'rgb(237,154,24)'],
        [0.9500399313020705, 'rgb(235,140,15)'],
        [0.9550359381718635, 'rgb(232,126,10)'],
        [0.9600319450416565, 'rgb(228,110,6)'],
        [0.9650279519114494, 'rgb(212,87,1)'],
        [0.9700239587812424, 'rgb(198,69,0)'],
        [0.9750199656510352, 'rgb(184,54,2)'],
        [0.9800159725208282, 'rgb(165,40,4)'],
        [0.9850119793906211, 'rgb(146,26,7)'],
        [0.9900079862604141, 'rgb(123,13,10)'],
        [0.995003993130207, 'rgb(100,10,16)'],
        [1.0, 'rgb(77,7,22)'],
    ],
    'svc.outlier-blue-red-middle': [
        [0.0, 'rgb(14,17,23)'],
        [0.004941057855941542, 'rgb(19,22,29)'],
        [0.009882115711883084, 'rgb(23,27,34)'],
        [0.014823173567824626, 'rgb(27,31,40)'],
        [0.019764231423766168, 'rgb(30,36,46)'],
        [0.02470528927970771, 'rgb(34,41,53)'],
        [0.029646347135649252, 'rgb(38,45,59)'],
        [0.03275440931320189, 'rgb(41,49,63)'],
        [0.0345874049915908, 'rgb(42,50,64)'],
        [0.039528462847532336, 'rgb(45,54,69)'],
        [0.044469520703473875, 'rgb(48,57,73)'],
        [0.04941057855941542, 'rgb(52,61,77)'],
        [0.054351636415356966, 'rgb(55,65,82)'],
        [0.059292694271298504, 'rgb(58,69,86)'],
        [0.06423375212724004, 'rgb(62,73,91)'],
        [0.06550881862640379, 'rgb(62,74,92)'],
        [0.0691748099831816, 'rgb(65,77,95)'],
        [0.07411586783912313, 'rgb(68,80,99)'],
        [0.07905692569506467, 'rgb(72,84,103)'],
        [0.08399798355100621, 'rgb(75,88,107)'],
        [0.08893904140694775, 'rgb(78,92,111)'],
        [0.0938800992628893, 'rgb(82,96,115)'],
        [0.09826322793960574, 'rgb(85,99,118)'],
        [0.09882115711883084, 'rgb(85,100,119)'],
        [0.10376221497477238, 'rgb(89,104,123)'],
        [0.10870327283071393, 'rgb(93,108,127)'],
        [0.11364433068665547, 'rgb(97,112,131)'],
        [0.11858538854259701, 'rgb(101,116,136)'],
        [0.12352644639853855, 'rgb(105,120,140)'],
        [0.12846750425448009, 'rgb(109,125,144)'],
        [0.13101763725280763, 'rgb(111,127,146)'],
        [0.13340856211042162, 'rgb(113,128,148)'],
        [0.1383496199663632, 'rgb(116,132,151)'],
        [0.14329067782230473, 'rgb(119,135,154)'],
        [0.14823173567824627, 'rgb(122,138,158)'],
        [0.1531727935341878, 'rgb(125,142,161)'],
        [0.15811385139012935, 'rgb(129,145,164)'],
        [0.16305490924607088, 'rgb(132,148,168)'],
        [0.16377204656600952, 'rgb(132,149,168)'],
        [0.16799596710201242, 'rgb(135,151,171)'],
        [0.17293702495795396, 'rgb(138,155,174)'],
        [0.1778780828138955, 'rgb(141,158,177)'],
        [0.18281914066983707, 'rgb(144,161,180)'],
        [0.1877601985257786, 'rgb(147,164,183)'],
        [0.19270125638172014, 'rgb(150,167,187)'],
        [0.19652645587921141, 'rgb(153,170,189)'],
        [0.19764231423766168, 'rgb(153,171,190)'],
        [0.20258337209360322, 'rgb(157,174,193)'],
        [0.20752442994954476, 'rgb(160,177,196)'],
        [0.2124654878054863, 'rgb(163,180,199)'],
        [0.21740654566142786, 'rgb(166,184,202)'],
        [0.2223476035173694, 'rgb(170,187,205)'],
        [0.22728866137331094, 'rgb(173,190,208)'],
        [0.22928086519241334, 'rgb(174,192,209)'],
        [0.23222971922925248, 'rgb(176,193,210)'],
        [0.23717077708519402, 'rgb(179,196,212)'],
        [0.24211183494113556, 'rgb(181,198,214)'],
        [0.2470528927970771, 'rgb(184,200,216)'],
        [0.25199395065301866, 'rgb(187,203,218)'],
        [0.25693500850896017, 'rgb(190,206,220)'],
        [0.26187606636490174, 'rgb(192,208,222)'],
        [0.26203527450561526, 'rgb(193,208,222)'],
        [0.26681712422084325, 'rgb(194,210,223)'],
        [0.2717581820767848, 'rgb(195,211,224)'],
        [0.2766992399327264, 'rgb(196,213,225)'],
        [0.2816402977886679, 'rgb(198,214,227)'],
        [0.28658135564460946, 'rgb(199,216,228)'],
        [0.29152241350055097, 'rgb(200,217,229)'],
        [0.29478968381881715, 'rgb(201,218,230)'],
        [0.29646347135649254, 'rgb(201,219,230)'],
        [0.30140452921243405, 'rgb(202,221,232)'],
        [0.3063455870683756, 'rgb(204,223,234)'],
        [0.31116688847541807, 'rgb(205,225,235)'],
        [0.3112866449243171, 'rgb(205,225,235)'],
        [0.3162277027802587, 'rgb(205,232,239)'],
        [0.32116876063620026, 'rgb(205,238,242)'],
        [0.32610981849214177, 'rgb(205,245,246)'],
        [0.32754409313201904, 'rgb(205,246,247)'],
        [0.32755409313201905, 'rgb(186,251,238)'],
        [0.33105087634808333, 'rgb(177,248,236)'],
        [0.33599193420402484, 'rgb(164,245,232)'],
        [0.3361017611958813, 'rgb(164,245,232)'],
        [0.3409329920599664, 'rgb(147,239,231)'],
        [0.34464942925974357, 'rgb(133,235,230)'],
        [0.3458740499159079, 'rgb(132,234,230)'],
        [0.3508151077718495, 'rgb(126,230,229)'],
        [0.355756165627791, 'rgb(120,225,228)'],
        [0.36069722348373257, 'rgb(113,221,226)'],
        [0.361744765387468, 'rgb(112,220,226)'],
        [0.36563828133967413, 'rgb(108,213,224)'],
        [0.37057933919561564, 'rgb(103,205,221)'],
        [0.3755203970515572, 'rgb(98,196,218)'],
        [0.37884010151519254, 'rgb(94,190,216)'],
        [0.3804614549074987, 'rgb(93,188,215)'],
        [0.3854025127634403, 'rgb(90,180,213)'],
        [0.3903435706193818, 'rgb(86,173,211)'],
        [0.39528462847532336, 'rgb(82,165,209)'],
        [0.39593543764291705, 'rgb(82,164,209)'],
        [0.40022568633126493, 'rgb(79,157,205)'],
        [0.40516674418720644, 'rgb(75,149,200)'],
        [0.410107802043148, 'rgb(72,140,195)'],
        [0.41303077377064157, 'rgb(70,136,192)'],
        [0.4150488598990895, 'rgb(69,133,190)'],
        [0.4199899177550311, 'rgb(66,126,185)'],
        [0.4249309756109726, 'rgb(62,120,181)'],
        [0.42987203346691416, 'rgb(59,113,176)'],
        [0.430126109898366, 'rgb(59,113,175)'],
        [0.4348130913228557, 'rgb(56,107,170)'],
        [0.43975414917879724, 'rgb(53,100,164)'],
        [0.4446952070347388, 'rgb(50,93,158)'],
        [0.44722144602609054, 'rgb(48,90,154)'],
        [0.4496362648906803, 'rgb(47,87,151)'],
        [0.4545773227466219, 'rgb(44,81,145)'],
        [0.4595183806025634, 'rgb(42,75,139)'],
        [0.464316782153815, 'rgb(39,70,133)'],
        [0.46445943845850496, 'rgb(39,70,133)'],
        [0.46940049631444647, 'rgb(36,62,126)'],
        [0.47434155417038804, 'rgb(32,54,120)'],
        [0.4792826120263296, 'rgb(28,47,113)'],
        [0.4814121182815395, 'rgb(27,43,110)'],
        [0.4842236698822711, 'rgb(25,39,105)'],
        [0.4891647277382127, 'rgb(23,30,95)'],
        [0.4941057855941542, 'rgb(20,22,86)'],
        [0.49850745440926403, 'rgb(17,14,78)'],
        [0.49851745440926404, 'rgb(77,12,23)'],
        [0.49904684345009576, 'rgb(78,12,23)'],
        [0.5039879013060373, 'rgb(91,11,19)'],
        [0.5068615950211678, 'rgb(99,10,16)'],
        [0.5089289591619788, 'rgb(104,11,15)'],
        [0.5138700170179203, 'rgb(117,13,11)'],
        [0.5152057356330715, 'rgb(121,13,10)'],
        [0.5188110748738619, 'rgb(130,18,9)'],
        [0.5235498762449753, 'rgb(143,25,7)'],
        [0.5237521327298035, 'rgb(143,25,7)'],
        [0.528693190585745, 'rgb(155,33,6)'],
        [0.531894016856879, 'rgb(162,38,5)'],
        [0.5336342484416865, 'rgb(166,41,4)'],
        [0.5385753062976281, 'rgb(176,48,3)'],
        [0.5402381574687827, 'rgb(180,51,2)'],
        [0.5435163641535696, 'rgb(186,57,2)'],
        [0.5484574220095112, 'rgb(196,65,2)'],
        [0.5485822980806865, 'rgb(196,65,2)'],
        [0.5533984798654528, 'rgb(205,76,4)'],
        [0.5569264386925903, 'rgb(211,84,5)'],
        [0.5583395377213942, 'rgb(213,87,5)'],
        [0.5632805955773358, 'rgb(222,99,5)'],
        [0.565270579304494, 'rgb(225,103,5)'],
        [0.5682216534332774, 'rgb(227,109,6)'],
        [0.5731627112892189, 'rgb(231,119,8)'],
        [0.5736147199163977, 'rgb(231,120,8)'],
        [0.5781037691451604, 'rgb(233,128,10)'],
        [0.5819588605283015, 'rgb(234,134,12)'],
        [0.5830448270011019, 'rgb(234,136,13)'],
        [0.5879858848570435, 'rgb(235,144,17)'],
        [0.5903030011402052, 'rgb(236,148,19)'],
        [0.5929269427129851, 'rgb(237,152,23)'],
        [0.5978680005689266, 'rgb(238,161,29)'],
        [0.598647141752109, 'rgb(238,162,30)'],
        [0.6028090584248681, 'rgb(240,170,37)'],
        [0.6069912823640127, 'rgb(241,177,43)'],
        [0.6077501162808097, 'rgb(241,178,44)'],
        [0.6126911741367512, 'rgb(242,187,53)'],
        [0.6153354229759164, 'rgb(242,191,58)'],
        [0.6176322319926928, 'rgb(243,195,62)'],
        [0.6225732898486342, 'rgb(245,203,71)'],
        [0.6236795635878202, 'rgb(245,205,73)'],
        [0.6275143477045758, 'rgb(246,211,83)'],
        [0.6320237041997239, 'rgb(247,218,95)'],
        [0.6324554055605174, 'rgb(247,219,96)'],
        [0.637396463416459, 'rgb(247,224,109)'],
        [0.6403678448116277, 'rgb(247,228,117)'],
        [0.6423375212724005, 'rgb(248,230,122)'],
        [0.647278579128342, 'rgb(249,235,134)'],
        [0.6487119854235314, 'rgb(249,237,138)'],
        [0.6522196369842835, 'rgb(249,240,146)'],
        [0.6570561260354352, 'rgb(250,244,156)'],
        [0.6571606948402251, 'rgb(250,244,156)'],
        [0.6621017526961667, 'rgb(251,247,175)'],
        [0.6650665010228627, 'rgb(251,249,186)'],
        [0.6654002666473389, 'rgb(251,249,174)'],
        [0.6670428105521081, 'rgb(247,241,181)'],
        [0.67, 'rgb(239,226,192)'],
        [0.6719838684080497, 'rgb(238,224,193)'],
        [0.6769249262639913, 'rgb(235,217,196)'],
        [0.6818659841199328, 'rgb(232,211,198)'],
        [0.6821397533149719, 'rgb(231,210,198)'],
        [0.6868070419758744, 'rgb(230,208,197)'],
        [0.6917480998318158, 'rgb(229,205,195)'],
        [0.6966891576877574, 'rgb(227,202,193)'],
        [0.698869239982605, 'rgb(227,201,192)'],
        [0.701630215543699, 'rgb(226,199,190)'],
        [0.7065712733996405, 'rgb(224,195,186)'],
        [0.711512331255582, 'rgb(222,191,183)'],
        [0.7155987266502379, 'rgb(220,187,180)'],
        [0.7164533891115236, 'rgb(220,187,179)'],
        [0.7213944469674651, 'rgb(218,183,175)'],
        [0.7263355048234067, 'rgb(216,180,170)'],
        [0.7312765626793483, 'rgb(214,176,166)'],
        [0.732328213317871, 'rgb(213,176,165)'],
        [0.7362176205352897, 'rgb(211,173,162)'],
        [0.7411586783912313, 'rgb(208,169,158)'],
        [0.7460997362471729, 'rgb(205,166,154)'],
        [0.7490576999855041, 'rgb(204,163,151)'],
        [0.7510407941031144, 'rgb(203,162,150)'],
        [0.755981851959056, 'rgb(200,160,147)'],
        [0.7609229098149974, 'rgb(197,157,144)'],
        [0.7657871866531372, 'rgb(194,155,141)'],
        [0.765863967670939, 'rgb(194,155,140)'],
        [0.7708050255268806, 'rgb(192,152,137)'],
        [0.7757460833828221, 'rgb(191,150,134)'],
        [0.7806871412387636, 'rgb(189,147,131)'],
        [0.7825166733207702, 'rgb(188,146,130)'],
        [0.7856281990947052, 'rgb(186,144,128)'],
        [0.7905692569506467, 'rgb(183,141,126)'],
        [0.7955103148065883, 'rgb(180,137,123)'],
        [0.7992461599884033, 'rgb(177,134,120)'],
        [0.8004513726625299, 'rgb(177,133,120)'],
        [0.8053924305184713, 'rgb(174,130,117)'],
        [0.8103334883744129, 'rgb(172,127,115)'],
        [0.8152745462303544, 'rgb(169,124,113)'],
        [0.8159756466560364, 'rgb(169,124,112)'],
        [0.820215604086296, 'rgb(167,121,110)'],
        [0.8251566619422375, 'rgb(164,118,107)'],
        [0.830097719798179, 'rgb(162,115,105)'],
        [0.8327051333236694, 'rgb(160,113,103)'],
        [0.8350387776541206, 'rgb(159,111,102)'],
        [0.8399798355100622, 'rgb(157,109,100)'],
        [0.8449208933660037, 'rgb(154,106,98)'],
        [0.8494346199913024, 'rgb(152,103,96)'],
        [0.8498619512219452, 'rgb(151,103,95)'],
        [0.8548030090778868, 'rgb(149,100,93)'],
        [0.8597440669338283, 'rgb(146,96,90)'],
        [0.8646851247897699, 'rgb(143,93,87)'],
        [0.8661641066589355, 'rgb(142,92,86)'],
        [0.8696261826457115, 'rgb(139,90,84)'],
        [0.8745672405016529, 'rgb(136,86,82)'],
        [0.8795082983575945, 'rgb(133,83,79)'],
        [0.8828935933265686, 'rgb(130,81,77)'],
        [0.884449356213536, 'rgb(129,80,77)'],
        [0.8893904140694776, 'rgb(126,77,74)'],
        [0.8943314719254191, 'rgb(122,74,71)'],
        [0.8992725297813606, 'rgb(119,71,69)'],
        [0.8996230799942015, 'rgb(119,71,68)'],
        [0.9042135876373022, 'rgb(116,68,66)'],
        [0.9091546454932438, 'rgb(113,65,64)'],
        [0.9140957033491853, 'rgb(109,62,62)'],
        [0.9163525666618346, 'rgb(108,61,61)'],
        [0.9190367612051268, 'rgb(107,59,60)'],
        [0.9239778190610684, 'rgb(104,57,59)'],
        [0.9289188769170099, 'rgb(102,55,57)'],
        [0.9330820533294677, 'rgb(100,54,56)'],
        [0.9338599347729515, 'rgb(100,53,56)'],
        [0.9388009926288929, 'rgb(97,52,54)'],
        [0.9437420504848345, 'rgb(95,50,53)'],
        [0.9486831083407761, 'rgb(93,48,51)'],
        [0.9498115399971008, 'rgb(92,48,51)'],
        [0.9536241661967176, 'rgb(90,47,50)'],
        [0.9585652240526592, 'rgb(87,45,49)'],
        [0.9635062819086007, 'rgb(85,44,48)'],
        [0.9665410266647338, 'rgb(83,43,47)'],
        [0.9684473397645422, 'rgb(82,42,47)'],
        [0.9733883976204838, 'rgb(79,40,45)'],
        [0.9783294554764254, 'rgb(76,39,44)'],
        [0.9832705133323669, 'rgb(73,37,42)'],
        [1.0, 'rgb(73,37,42)'],
    ],
    'svc.outlier-brown-gray-blue': [
        [0.0, 'rgb(252,252,247)'],
        [0.006051711738109589, 'rgb(245,243,228)'],
        [0.030258558690547943, 'rgb(230,226,204)'],
        [0.060517117381095886, 'rgb(214,208,182)'],
        [0.09077567607164383, 'rgb(201,193,163)'],
        [0.12103423476219177, 'rgb(186,176,145)'],
        [0.15129279345273972, 'rgb(171,159,130)'],
        [0.18155135214328766, 'rgb(158,145,117)'],
        [0.2118099108338356, 'rgb(148,133,106)'],
        [0.24206846952438354, 'rgb(138,122,96)'],
        [0.2723270282149315, 'rgb(122,106,83)'],
        [0.30258558690547943, 'rgb(107,89,69)'],
        [0.30259558690547944, 'rgb(97,101,102)'],
        [0.317479783433795, 'rgb(99,107,107)'],
        [0.33236397996211053, 'rgb(101,112,111)'],
        [0.34724817649042605, 'rgb(103,117,115)'],
        [0.36213237301874157, 'rgb(105,122,118)'],
        [0.37701656954705715, 'rgb(108,128,121)'],
        [0.3919007660753727, 'rgb(113,133,124)'],
        [0.40678496260368824, 'rgb(119,140,130)'],
        [0.42166915913200376, 'rgb(127,148,136)'],
        [0.43655335566031933, 'rgb(134,156,141)'],
        [0.4514375521886349, 'rgb(146,168,152)'],
        [0.4663217487169504, 'rgb(155,179,159)'],
        [0.48120594524526594, 'rgb(166,189,168)'],
        [0.4960901417735815, 'rgb(175,199,175)'],
        [0.5109743383018971, 'rgb(188,209,186)'],
        [0.5258585348302126, 'rgb(197,217,193)'],
        [0.5407427313585281, 'rgb(210,227,204)'],
        [0.5556269278868436, 'rgb(221,235,213)'],
        [0.5705111244151593, 'rgb(231,242,223)'],
        [0.5853953209434748, 'rgb(241,250,232)'],
        [0.6002795174717903, 'rgb(249,255,242)'],
        [0.6002895174717903, 'rgb(255,255,255)'],
        [0.6153047399104833, 'rgb(225,239,250)'],
        [0.6303199623491763, 'rgb(208,228,242)'],
        [0.6603504072265625, 'rgb(188,210,227)'],
        [0.6903808521039485, 'rgb(171,192,209)'],
        [0.7204112969813347, 'rgb(153,171,189)'],
        [0.7504417418587207, 'rgb(138,153,168)'],
        [0.7804721867361069, 'rgb(123,134,148)'],
        [0.8105026316134929, 'rgb(111,121,133)'],
        [0.840533076490879, 'rgb(105,113,122)'],
        [0.8705635213682651, 'rgb(101,106,112)'],
        [0.9005939662456512, 'rgb(97,100,102)'],
        [0.9006039662456512, 'rgb(33,15,77)'],
        [0.9055737679333686, 'rgb(42,28,107)'],
        [0.9105435696210861, 'rgb(39,29,128)'],
        [0.9155133713088035, 'rgb(28,28,140)'],
        [0.920483172996521, 'rgb(26,34,153)'],
        [0.9254529746842384, 'rgb(23,42,163)'],
        [0.9304227763719559, 'rgb(21,54,173)'],
        [0.9353925780596734, 'rgb(20,66,181)'],
        [0.9403623797473908, 'rgb(22,80,186)'],
        [0.9552717848105431, 'rgb(23,93,191)'],
        [0.9602415864982605, 'rgb(31,111,196)'],
        [0.965211388185978, 'rgb(44,128,201)'],
        [0.9701811898736954, 'rgb(58,147,207)'],
        [0.9751509915614128, 'rgb(72,163,212)'],
        [0.9801207932491303, 'rgb(87,180,217)'],
        [0.9850905949368477, 'rgb(102,198,222)'],
        [0.9900603966245651, 'rgb(122,217,230)'],
        [0.9950301983122826, 'rgb(142,234,237)'],
        [0.998012079324913, 'rgb(163,247,245)'],
        [1.0, 'rgb(204,255,251)'],
    ],
    'svc.outlier-brown-orange': [
        [0.0, 'rgb(46,32,31)'],
        [0.020029699057340644, 'rgb(51,37,35)'],
        [0.04005939811468123, 'rgb(59,44,42)'],
        [0.06008909717202188, 'rgb(66,52,48)'],
        [0.08011879622936247, 'rgb(74,60,55)'],
        [0.10014849528670311, 'rgb(82,68,62)'],
        [0.12017819434404375, 'rgb(89,76,69)'],
        [0.14020789340138434, 'rgb(97,84,76)'],
        [0.160237592458725, 'rgb(105,93,83)'],
        [0.18026729151606558, 'rgb(112,101,90)'],
        [0.20029699057340622, 'rgb(120,110,97)'],
        [0.22032668963074684, 'rgb(130,121,107)'],
        [0.24035638868808745, 'rgb(140,133,116)'],
        [0.2603860877454281, 'rgb(153,147,129)'],
        [0.2804157868027687, 'rgb(166,161,141)'],
        [0.30044548586010933, 'rgb(179,175,154)'],
        [0.32047518491745, 'rgb(191,188,166)'],
        [0.34050488397479056, 'rgb(204,202,180)'],
        [0.3605345830321312, 'rgb(219,219,197)'],
        [0.3805642820894718, 'rgb(237,237,218)'],
        [0.40059398114681244, 'rgb(252,252,242)'],
        [0.40060398114681245, 'rgb(252,252,221)'],
        [0.4010022839972782, 'rgb(252,252,219)'],
        [0.4105615524084568, 'rgb(252,252,194)'],
        [0.4205191236701012, 'rgb(251,248,172)'],
        [0.43047669493174556, 'rgb(250,243,152)'],
        [0.4404342661933899, 'rgb(248,234,131)'],
        [0.45039183745503425, 'rgb(247,224,108)'],
        [0.4603494087166786, 'rgb(246,211,84)'],
        [0.470306979978323, 'rgb(243,196,64)'],
        [0.48026455123996736, 'rgb(241,181,47)'],
        [0.49022212250161173, 'rgb(239,165,32)'],
        [0.5001796937632561, 'rgb(236,148,20)'],
        [0.5101372650249004, 'rgb(234,133,12)'],
        [0.5200948362865447, 'rgb(230,118,7)'],
        [0.5300524075481892, 'rgb(220,97,3)'],
        [0.5400099788098335, 'rgb(201,74,0)'],
        [0.5499675500714779, 'rgb(189,58,1)'],
        [0.5599251213331222, 'rgb(170,44,4)'],
        [0.5698826925947666, 'rgb(150,29,6)'],
        [0.579840263856411, 'rgb(126,14,9)'],
        [0.5897978351180553, 'rgb(101,10,15)'],
        [0.5997654063796998, 'rgb(97,65,63)'],
        [0.6197771360607147, 'rgb(110,70,67)'],
        [0.6397888657417297, 'rgb(120,77,70)'],
        [0.6598005954227448, 'rgb(130,83,72)'],
        [0.6798123251037598, 'rgb(140,90,73)'],
        [0.6998240547847747, 'rgb(153,97,75)'],
        [0.7198357844657899, 'rgb(161,103,74)'],
        [0.7398475141468048, 'rgb(168,109,72)'],
        [0.7598592438278198, 'rgb(176,118,70)'],
        [0.7798709735088348, 'rgb(184,130,79)'],
        [0.7998827031898499, 'rgb(194,143,89)'],
        [0.8399061625518799, 'rgb(204,165,102)'],
        [0.8799296219139099, 'rgb(217,187,117)'],
        [0.91995308127594, 'rgb(230,211,138)'],
        [0.95997654063797, 'rgb(240,231,173)'],
        [0.9799882703189849, 'rgb(247,244,203)'],
        [0.991995308127594, 'rgb(250,249,220)'],
        [1.0, 'rgb(255,254,240)'],
    ],
    'svc.outlier-blue-orange': [
        [0.0, 'rgb(97,101,102)'],
        [0.020029699057340644, 'rgb(99,107,107)'],
        [0.04005939811468123, 'rgb(101,112,111)'],
        [0.06008909717202188, 'rgb(103,117,115)'],
        [0.08011879622936247, 'rgb(105,122,118)'],
        [0.10014849528670311, 'rgb(108,128,121)'],
        [0.12017819434404375, 'rgb(113,133,124)'],
        [0.14020789340138434, 'rgb(119,140,130)'],
        [0.160237592458725, 'rgb(127,148,136)'],
        [0.18026729151606558, 'rgb(134,156,141)'],
        [0.20029699057340622, 'rgb(146,168,152)'],
        [0.22032668963074684, 'rgb(155,179,159)'],
        [0.24035638868808745, 'rgb(166,189,168)'],
        [0.2603860877454281, 'rgb(175,199,175)'],
        [0.2804157868027687, 'rgb(188,209,186)'],
        [0.30044548586010933, 'rgb(197,217,193)'],
        [0.32047518491745, 'rgb(210,227,204)'],
        [0.34050488397479056, 'rgb(221,235,213)'],
        [0.3605345830321312, 'rgb(231,242,223)'],
        [0.3805642820894718, 'rgb(241,250,232)'],
        [0.40059398114681244, 'rgb(249,255,242)'],
        [0.40060398114681245, 'rgb(252,252,221)'],
        [0.4010033322194624, 'rgb(252,252,219)'],
        [0.41058775796306135, 'rgb(252,252,194)'],
        [0.42057153477931025, 'rgb(251,248,172)'],
        [0.43055531159555915, 'rgb(250,243,152)'],
        [0.440539088411808, 'rgb(248,234,131)'],
        [0.4505228652280569, 'rgb(247,224,108)'],
        [0.4605066420443058, 'rgb(246,211,84)'],
        [0.4704904188605547, 'rgb(243,196,64)'],
        [0.4804741956768036, 'rgb(241,181,47)'],
        [0.4904579724930525, 'rgb(239,165,32)'],
        [0.5004417493093014, 'rgb(236,148,20)'],
        [0.5104255261255503, 'rgb(234,133,12)'],
        [0.5204093029417991, 'rgb(230,118,7)'],
        [0.5303930797580481, 'rgb(220,97,3)'],
        [0.5403768565742969, 'rgb(201,74,0)'],
        [0.5503606333905459, 'rgb(189,58,1)'],
        [0.5603444102067947, 'rgb(170,44,4)'],
        [0.5703281870230437, 'rgb(150,29,6)'],
        [0.5803119638392925, 'rgb(126,14,9)'],
        [0.5902957406555414, 'rgb(101,10,15)'],
        [0.6002895174717903, 'rgb(242,255,253)'],
        [0.6202750415982008, 'rgb(215,250,247)'],
        [0.6402605657246112, 'rgb(196,245,245)'],
        [0.6802316139774323, 'rgb(176,227,232)'],
        [0.7202026622302532, 'rgb(155,202,212)'],
        [0.7601737104830741, 'rgb(136,179,194)'],
        [0.8001447587358951, 'rgb(118,158,179)'],
        [0.840115806988716, 'rgb(106,142,166)'],
        [0.8800868552415371, 'rgb(93,125,153)'],
        [0.9000723793679475, 'rgb(86,114,145)'],
        [0.920057903494358, 'rgb(81,105,140)'],
        [0.9400434276207685, 'rgb(77,96,135)'],
        [0.960028951747179, 'rgb(74,89,130)'],
        [0.9800144758735894, 'rgb(70,81,125)'],
        [1.0, 'rgb(65,73,117)'],
    ],
    'svc.outlier-orange-turqoise': [
        [0.0, 'rgb(250,255,255)'],
        [0.01, 'rgb(240,247,252)'],
        [0.03, 'rgb(206,223,235)'],
        [0.06, 'rgb(180,204,224)'],
        [0.1, 'rgb(161,187,212)'],
        [0.13, 'rgb(143,170,199)'],
        [0.16, 'rgb(128,155,189)'],
        [0.2, 'rgb(114,141,179)'],
        [0.23, 'rgb(104,130,171)'],
        [0.26, 'rgb(96,120,163)'],
        [0.29, 'rgb(90,111,156)'],
        [0.31, 'rgb(84,102,148)'],
        [0.34, 'rgb(77,93,140)'],
        [0.37, 'rgb(70,84,133)'],
        [0.4, 'rgb(64,75,125)'],
        [0.433, 'rgb(57,66,117)'],
        [0.466, 'rgb(52,58,110)'],
        [0.5, 'rgb(46,51,102)'],
        [0.525, 'rgb(41,42,97)'],
        [0.55, 'rgb(209,146,88)'],
        [0.585, 'rgb(235,190,113)'],
        [0.61, 'rgb(247,221,134)'],
        [0.635, 'rgb(252,238,157)'],
        [0.67, 'rgb(255,248,186)'],
        [0.71, 'rgb(255,254,240)'],
        [0.73, 'rgb(214,255,254)'],
        [0.76, 'rgb(177,247,252)'],
        [0.8, 'rgb(117,221,235)'],
        [0.83, 'rgb(63,182,209)'],
        [0.86, 'rgb(36,140,179)'],
        [0.9, 'rgb(14,96,140)'],
        [0.93, 'rgb(37,37,107)'],
        [0.96, 'rgb(31,25,92)'],
        [0.99, 'rgb(29,15,77)'],
        [1.0, 'rgb(0,0,0)'],
    ],
    'svc.discrete-7': [
        [0.0, 'rgb(194,204,184)'],
        [0.14, 'rgb(194,204,184)'],
        [0.140001, 'rgb(135,130,114)'],
        [0.28, 'rgb(135,130,114)'],
        [0.280001, 'rgb(219,159,90)'],
        [0.42, 'rgb(219,159,90)'],
        [0.420001, 'rgb(255,241,148)'],
        [0.56, 'rgb(255,241,148)'],
        [0.560001, 'rgb(170,230,171)'],
        [0.7, 'rgb(170,230,171)'],
        [0.700001, 'rgb(126,189,196)'],
        [0.85, 'rgb(126,189,196)'],
        [0.850001, 'rgb(92,146,204)'],
        [1.0, 'rgb(92,146,204)'],
    ],
    'svc.discrete-5-dark': [
        [0.0, 'rgb(49,105,57)'],
        [0.2, 'rgb(49,105,57)'],
        [0.200001, 'rgb(116,140,56)'],
        [0.4, 'rgb(116,140,56)'],
        [0.400001, 'rgb(255,237,99)'],
        [0.6, 'rgb(255,237,99)'],
        [0.600001, 'rgb(207,127,41)'],
        [0.8, 'rgb(207,127,41)'],
        [0.800001, 'rgb(117,63,59)'],
        [1.0, 'rgb(117,63,59)'],
    ],
    'svc.discrete-5-autumn': [
        [0.0, 'rgb(184,82,51)'],
        [0.2, 'rgb(184,82,51)'],
        [0.200001, 'rgb(232,178,90)'],
        [0.4, 'rgb(232,178,90)'],
        [0.400001, 'rgb(255,244,145)'],
        [0.6, 'rgb(255,244,145)'],
        [0.600001, 'rgb(153,209,115)'],
        [0.8, 'rgb(153,209,115)'],
        [0.800001, 'rgb(74,145,79)'],
        [1.0, 'rgb(74,145,79)'],
    ],
    'svc.discrete-4-light': [
        [0.0, 'rgb(86,171,75)'],
        [0.25, 'rgb(86,171,75)'],
        [0.250001, 'rgb(164,227,116)'],
        [0.5, 'rgb(164,227,116)'],
        [0.500001, 'rgb(255,253,122)'],
        [0.75, 'rgb(255,253,122)'],
        [0.750001, 'rgb(235,185,35)'],
        [1.0, 'rgb(235,185,35)'],
    ],
    'svc.discrete-4-blue-orange': [
        [0.0, 'rgb(70,125,197)'],
        [0.25, 'rgb(70,125,197)'],
        [0.250001, 'rgb(139,203,223)'],
        [0.5, 'rgb(139,203,223)'],
        [0.500001, 'rgb(218,215,130)'],
        [0.75, 'rgb(218,215,130)'],
        [0.750001, 'rgb(212,174,58)'],
        [1.0, 'rgb(212,174,58)'],
    ],
    'svc.discrete-4-blue-green': [
        [0.0, 'rgb(45,81,163)'],
        [0.25, 'rgb(45,81,163)'],
        [0.25001, 'rgb(52,194,221)'],
        [0.5, 'rgb(52,194,221)'],
        [0.50001, 'rgb(166,215,108)'],
        [0.75, 'rgb(166,215,108)'],
        [0.75001, 'rgb(49,111,52)'],
        [1.0, 'rgb(49,111,52)'],
    ],
    'svc.discrete-4-van-eyck': [
        [0.0, 'rgb(130,53,25)'],
        [0.25, 'rgb(130,53,25)'],
        [0.250001, 'rgb(255,221,97)'],
        [0.5, 'rgb(255,221,97)'],
        [0.500001, 'rgb(141,194,235)'],
        [0.75, 'rgb(141,194,235)'],
        [0.750001, 'rgb(72,110,43)'],
        [1.0, 'rgb(72,110,43)'],
    ],
}

# Matplotlib custom colormaps
MATPLOTLIB_EXTERNAL_COLORMAPS = {
    # Plotly colormaps converted for Matplotlib
    'aggrnyl': [
        (0.0, [0.1411764705882353, 0.33725490196078434, 0.40784313725490196, 1.0]),
        (0.16666666666666666, [0.058823529411764705, 0.4470588235294118, 0.4745098039215686, 1.0]),
        (0.3333333333333333, [0.050980392156862744, 0.5607843137254902, 0.5058823529411764, 1.0]),
        (0.5, [0.2235294117647059, 0.6705882352941176, 0.49411764705882355, 1.0]),
        (0.6666666666666666, [0.43137254901960786, 0.7725490196078432, 0.4549019607843137, 1.0]),
        (0.8333333333333334, [0.6627450980392157, 0.8627450980392157, 0.403921568627451, 1.0]),
        (1.0, [0.9294117647058824, 0.9372549019607843, 0.36470588235294116, 1.0]),
    ],
    'agsunset': [
        (0.0, [0.29411764705882354, 0.1607843137254902, 0.5686274509803921, 1.0]),
        (0.16666666666666666, [0.5294117647058824, 0.17254901960784313, 0.6352941176470588, 1.0]),
        (0.3333333333333333, [0.7529411764705882, 0.21176470588235294, 0.615686274509804, 1.0]),
        (0.5, [0.9176470588235294, 0.30980392156862746, 0.5333333333333333, 1.0]),
        (0.6666666666666666, [0.9803921568627451, 0.47058823529411764, 0.4627450980392157, 1.0]),
        (0.8333333333333334, [0.9647058823529412, 0.6627450980392157, 0.47843137254901963, 1.0]),
        (1.0, [0.9294117647058824, 0.8509803921568627, 0.6392156862745098, 1.0]),
    ],
    'algae': [
        (0.0, [0.8392156862745098, 0.9764705882352941, 0.8117647058823529, 1.0]),
        (0.09090909090909091, [0.7294117647058823, 0.8941176470588236, 0.6823529411764706, 1.0]),
        (0.18181818181818182, [0.611764705882353, 0.8196078431372549, 0.5607843137254902, 1.0]),
        (0.2727272727272727, [0.48627450980392156, 0.7490196078431373, 0.45098039215686275, 1.0]),
        (0.36363636363636365, [0.3333333333333333, 0.6823529411764706, 0.3568627450980392, 1.0]),
        (0.45454545454545453, [0.1450980392156863, 0.615686274509804, 0.3176470588235294, 1.0]),
        (0.5454545454545454, [0.027450980392156862, 0.5411764705882353, 0.3058823529411765, 1.0]),
        (0.6363636363636364, [0.050980392156862744, 0.4588235294117647, 0.2784313725490196, 1.0]),
        (0.7272727272727273, [0.09019607843137255, 0.37254901960784315, 0.23921568627450981, 1.0]),
        (0.8181818181818182, [0.09803921568627451, 0.29411764705882354, 0.19215686274509805, 1.0]),
        (0.9090909090909091, [0.09019607843137255, 0.21568627450980393, 0.13725490196078433, 1.0]),
        (1.0, [0.06666666666666667, 0.1411764705882353, 0.0784313725490196, 1.0]),
    ],
    'amp': [
        (0.0, [0.9450980392156862, 0.9254901960784314, 0.9254901960784314, 1.0]),
        (0.09090909090909091, [0.9019607843137255, 0.8196078431372549, 0.796078431372549, 1.0]),
        (0.18181818181818182, [0.8666666666666667, 0.7137254901960784, 0.6666666666666666, 1.0]),
        (0.2727272727272727, [0.8352941176470589, 0.611764705882353, 0.5372549019607843, 1.0]),
        (0.36363636363636365, [0.803921568627451, 0.5058823529411764, 0.403921568627451, 1.0]),
        (0.45454545454545453, [0.7686274509803922, 0.4, 0.28627450980392155, 1.0]),
        (0.5454545454545454, [0.7294117647058823, 0.2901960784313726, 0.1843137254901961, 1.0]),
        (0.6363636363636364, [0.6745098039215687, 0.17254901960784313, 0.1411764705882353, 1.0]),
        (0.7272727272727273, [0.5843137254901961, 0.07450980392156863, 0.15294117647058825, 1.0]),
        (0.8181818181818182, [0.47058823529411764, 0.054901960784313725, 0.1568627450980392, 1.0]),
        (0.9090909090909091, [0.34901960784313724, 0.050980392156862744, 0.12156862745098039, 1.0]),
        (1.0, [0.23529411764705882, 0.03529411764705882, 0.06666666666666667, 1.0]),
    ],
    'armyrose': [
        (0.0, [0.4745098039215686, 0.5098039215686274, 0.20392156862745098, 1.0]),
        (0.16666666666666666, [0.6392156862745098, 0.6784313725490196, 0.3843137254901961, 1.0]),
        (0.3333333333333333, [0.8156862745098039, 0.8274509803921568, 0.6352941176470588, 1.0]),
        (0.5, [0.9921568627450981, 0.984313725490196, 0.8941176470588236, 1.0]),
        (0.6666666666666666, [0.9411764705882353, 0.7764705882352941, 0.7647058823529411, 1.0]),
        (0.8333333333333334, [0.8745098039215686, 0.5686274509803921, 0.6392156862745098, 1.0]),
        (1.0, [0.8313725490196079, 0.403921568627451, 0.5019607843137255, 1.0]),
    ],
    'balance': [
        (0.0, [0.09019607843137255, 0.10980392156862745, 0.25882352941176473, 1.0]),
        (0.09090909090909091, [0.1607843137254902, 0.22745098039215686, 0.5607843137254902, 1.0]),
        (0.18181818181818182, [0.043137254901960784, 0.4, 0.7411764705882353, 1.0]),
        (0.2727272727272727, [0.27058823529411763, 0.5647058823529412, 0.7254901960784313, 1.0]),
        (0.36363636363636365, [0.5568627450980392, 0.7098039215686275, 0.7607843137254902, 1.0]),
        (0.45454545454545453, [0.8235294117647058, 0.8470588235294118, 0.8588235294117647, 1.0]),
        (0.5454545454545454, [0.9019607843137255, 0.8235294117647058, 0.8, 1.0]),
        (0.6363636363636364, [0.8352941176470589, 0.615686274509804, 0.5372549019607843, 1.0]),
        (0.7272727272727273, [0.7686274509803922, 0.396078431372549, 0.2823529411764706, 1.0]),
        (0.8181818181818182, [0.6745098039215687, 0.16862745098039217, 0.1411764705882353, 1.0]),
        (0.9090909090909091, [0.47058823529411764, 0.054901960784313725, 0.1568627450980392, 1.0]),
        (1.0, [0.23529411764705882, 0.03529411764705882, 0.06666666666666667, 1.0]),
    ],
    'blackbody': [
        (0.0, [0.0, 0.0, 0.0, 1.0]),
        (0.25, [0.9019607843137255, 0.0, 0.0, 1.0]),
        (0.5, [0.9019607843137255, 0.8235294117647058, 0.0, 1.0]),
        (0.75, [1.0, 1.0, 1.0, 1.0]),
        (1.0, [0.6274509803921569, 0.7843137254901961, 1.0, 1.0]),
    ],
    'bluered': [
        (0.0, [0.0, 0.0, 1.0, 1.0]),
        (1.0, [1.0, 0.0, 0.0, 1.0]),
    ],
    'blugrn': [
        (0.0, [0.7686274509803922, 0.9019607843137255, 0.7647058823529411, 1.0]),
        (0.16666666666666666, [0.5882352941176471, 0.8235294117647058, 0.6431372549019608, 1.0]),
        (0.3333333333333333, [0.42745098039215684, 0.7372549019607844, 0.5647058823529412, 1.0]),
        (0.5, [0.30196078431372547, 0.6352941176470588, 0.5176470588235295, 1.0]),
        (0.6666666666666666, [0.21176470588235294, 0.5294117647058824, 0.47843137254901963, 1.0]),
        (0.8333333333333334, [0.14901960784313725, 0.4196078431372549, 0.43137254901960786, 1.0]),
        (1.0, [0.11372549019607843, 0.30980392156862746, 0.3764705882352941, 1.0]),
    ],
    'bluyl': [
        (0.0, [0.9686274509803922, 0.996078431372549, 0.6823529411764706, 1.0]),
        (0.16666666666666666, [0.7176470588235294, 0.9019607843137255, 0.6470588235294118, 1.0]),
        (0.3333333333333333, [0.48627450980392156, 0.796078431372549, 0.6352941176470588, 1.0]),
        (0.5, [0.27450980392156865, 0.6823529411764706, 0.6274509803921569, 1.0]),
        (0.6666666666666666, [0.03137254901960784, 0.5647058823529412, 0.6, 1.0]),
        (0.8333333333333334, [0.0, 0.44313725490196076, 0.5450980392156862, 1.0]),
        (1.0, [0.01568627450980392, 0.3215686274509804, 0.4588235294117647, 1.0]),
    ],
    'brwnyl': [
        (0.0, [0.9294117647058824, 0.8980392156862745, 0.8117647058823529, 1.0]),
        (0.16666666666666666, [0.8784313725490196, 0.7607843137254902, 0.6352941176470588, 1.0]),
        (0.3333333333333333, [0.8274509803921568, 0.611764705882353, 0.5137254901960784, 1.0]),
        (0.5, [0.7568627450980392, 0.4627450980392157, 0.43529411764705883, 1.0]),
        (0.6666666666666666, [0.6509803921568628, 0.32941176470588235, 0.3803921568627451, 1.0]),
        (0.8333333333333334, [0.5058823529411764, 0.21568627450980393, 0.3254901960784314, 1.0]),
        (1.0, [0.32941176470588235, 0.12156862745098039, 0.24705882352941178, 1.0]),
    ],
    'burg': [
        (0.0, [1.0, 0.7764705882352941, 0.7686274509803922, 1.0]),
        (0.16666666666666666, [0.9568627450980393, 0.6392156862745098, 0.6588235294117647, 1.0]),
        (0.3333333333333333, [0.8901960784313725, 0.5058823529411764, 0.5686274509803921, 1.0]),
        (0.5, [0.8, 0.3764705882352941, 0.49019607843137253, 1.0]),
        (0.6666666666666666, [0.6784313725490196, 0.27450980392156865, 0.4235294117647059, 1.0]),
        (0.8333333333333334, [0.5450980392156862, 0.18823529411764706, 0.34509803921568627, 1.0]),
        (1.0, [0.403921568627451, 0.12549019607843137, 0.26666666666666666, 1.0]),
    ],
    'burgyl': [
        (0.0, [0.984313725490196, 0.9019607843137255, 0.7725490196078432, 1.0]),
        (0.16666666666666666, [0.9607843137254902, 0.7294117647058823, 0.596078431372549, 1.0]),
        (0.3333333333333333, [0.9333333333333333, 0.5411764705882353, 0.5098039215686274, 1.0]),
        (0.5, [0.8627450980392157, 0.44313725490196076, 0.4627450980392157, 1.0]),
        (0.6666666666666666, [0.7843137254901961, 0.34509803921568627, 0.4235294117647059, 1.0]),
        (0.8333333333333334, [0.611764705882353, 0.24705882352941178, 0.36470588235294116, 1.0]),
        (1.0, [0.4392156862745098, 0.1568627450980392, 0.2901960784313726, 1.0]),
    ],
    'curl': [
        (0.0, [0.0784313725490196, 0.11372549019607843, 0.2627450980392157, 1.0]),
        (0.09090909090909091, [0.10980392156862745, 0.2823529411764706, 0.36470588235294116, 1.0]),
        (0.18181818181818182, [0.07058823529411765, 0.45098039215686275, 0.4588235294117647, 1.0]),
        (0.2727272727272727, [0.24705882352941178, 0.611764705882353, 0.5058823529411764, 1.0]),
        (0.36363636363636365, [0.6, 0.7411764705882353, 0.611764705882353, 1.0]),
        (0.45454545454545453, [0.8745098039215686, 0.8823529411764706, 0.8274509803921568, 1.0]),
        (0.5454545454545454, [0.9450980392156862, 0.8549019607843137, 0.807843137254902, 1.0]),
        (0.6363636363636364, [0.8784313725490196, 0.6274509803921569, 0.5372549019607843, 1.0]),
        (0.7272727272727273, [0.796078431372549, 0.396078431372549, 0.38823529411764707, 1.0]),
        (0.8181818181818182, [0.6431372549019608, 0.21176470588235294, 0.3764705882352941, 1.0]),
        (0.9090909090909091, [0.43529411764705883, 0.09019607843137255, 0.3568627450980392, 1.0]),
        (1.0, [0.2, 0.050980392156862744, 0.20784313725490197, 1.0]),
    ],
    'darkmint': [
        (0.0, [0.8235294117647058, 0.984313725490196, 0.8313725490196079, 1.0]),
        (0.16666666666666666, [0.6470588235294118, 0.8588235294117647, 0.7607843137254902, 1.0]),
        (0.3333333333333333, [0.4823529411764706, 0.7372549019607844, 0.6901960784313725, 1.0]),
        (0.5, [0.3333333333333333, 0.611764705882353, 0.6196078431372549, 1.0]),
        (0.6666666666666666, [0.22745098039215686, 0.48627450980392156, 0.5372549019607843, 1.0]),
        (0.8333333333333334, [0.13725490196078433, 0.36470588235294116, 0.4470588235294118, 1.0]),
        (1.0, [0.07058823529411765, 0.24705882352941178, 0.35294117647058826, 1.0]),
    ],
    'deep': [
        (0.0, [0.9921568627450981, 0.9921568627450981, 0.8, 1.0]),
        (0.09090909090909091, [0.807843137254902, 0.9254901960784314, 0.7019607843137254, 1.0]),
        (0.18181818181818182, [0.611764705882353, 0.8588235294117647, 0.6470588235294118, 1.0]),
        (0.2727272727272727, [0.43529411764705883, 0.788235294117647, 0.6392156862745098, 1.0]),
        (0.36363636363636365, [0.33725490196078434, 0.6941176470588235, 0.6392156862745098, 1.0]),
        (0.45454545454545453, [0.2980392156862745, 0.6, 0.6274509803921569, 1.0]),
        (0.5454545454545454, [0.26666666666666666, 0.5098039215686274, 0.6078431372549019, 1.0]),
        (0.6363636363636364, [0.24313725490196078, 0.4235294117647059, 0.5882352941176471, 1.0]),
        (0.7272727272727273, [0.24313725490196078, 0.3215686274509804, 0.5607843137254902, 1.0]),
        (0.8181818181818182, [0.25098039215686274, 0.23529411764705882, 0.45098039215686275, 1.0]),
        (0.9090909090909091, [0.21176470588235294, 0.16862745098039217, 0.30196078431372547, 1.0]),
        (1.0, [0.15294117647058825, 0.10196078431372549, 0.17254901960784313, 1.0]),
    ],
    'delta': [
        (0.0, [0.06274509803921569, 0.12156862745098039, 0.24705882352941178, 1.0]),
        (0.09090909090909091, [0.14901960784313725, 0.24313725490196078, 0.5647058823529412, 1.0]),
        (0.18181818181818182, [0.11764705882352941, 0.43137254901960786, 0.6313725490196078, 1.0]),
        (0.2727272727272727, [0.23529411764705882, 0.6039215686274509, 0.6705882352941176, 1.0]),
        (0.36363636363636365, [0.5490196078431373, 0.7568627450980392, 0.7294117647058823, 1.0]),
        (0.45454545454545453, [0.8509803921568627, 0.8980392156862745, 0.8549019607843137, 1.0]),
        (0.5454545454545454, [0.9372549019607843, 0.8862745098039215, 0.611764705882353, 1.0]),
        (0.6363636363636364, [0.7647058823529411, 0.7137254901960784, 0.23137254901960785, 1.0]),
        (0.7272727272727273, [0.45098039215686275, 0.596078431372549, 0.0196078431372549, 1.0]),
        (0.8181818181818182, [0.13333333333333333, 0.47058823529411764, 0.1411764705882353, 1.0]),
        (0.9090909090909091, [0.07058823529411765, 0.3058823529411765, 0.16862745098039217, 1.0]),
        (1.0, [0.09019607843137255, 0.13725490196078433, 0.07058823529411765, 1.0]),
    ],
    'dense': [
        (0.0, [0.9019607843137255, 0.9411764705882353, 0.9411764705882353, 1.0]),
        (0.09090909090909091, [0.7490196078431373, 0.8666666666666667, 0.8980392156862745, 1.0]),
        (0.18181818181818182, [0.611764705882353, 0.788235294117647, 0.8862745098039215, 1.0]),
        (0.2727272727272727, [0.5058823529411764, 0.7058823529411765, 0.8901960784313725, 1.0]),
        (0.36363636363636365, [0.45098039215686275, 0.6039215686274509, 0.8941176470588236, 1.0]),
        (0.45454545454545453, [0.4588235294117647, 0.4980392156862745, 0.8666666666666667, 1.0]),
        (0.5454545454545454, [0.47058823529411764, 0.39215686274509803, 0.792156862745098, 1.0]),
        (0.6363636363636364, [0.4666666666666667, 0.2901960784313726, 0.6862745098039216, 1.0]),
        (0.7272727272727273, [0.44313725490196076, 0.19607843137254902, 0.5529411764705883, 1.0]),
        (0.8181818181818182, [0.39215686274509803, 0.12156862745098039, 0.40784313725490196, 1.0]),
        (0.9090909090909091, [0.3137254901960784, 0.0784313725490196, 0.25882352941176473, 1.0]),
        (1.0, [0.21176470588235294, 0.054901960784313725, 0.1411764705882353, 1.0]),
    ],
    'earth': [
        (0.0, [0.6313725490196078, 0.4117647058823529, 0.1568627450980392, 1.0]),
        (0.16666666666666666, [0.7411764705882353, 0.5725490196078431, 0.35294117647058826, 1.0]),
        (0.3333333333333333, [0.8392156862745098, 0.7411764705882353, 0.5529411764705883, 1.0]),
        (0.5, [0.9294117647058824, 0.9176470588235294, 0.7607843137254902, 1.0]),
        (0.6666666666666666, [0.7098039215686275, 0.7843137254901961, 0.7215686274509804, 1.0]),
        (0.8333333333333334, [0.4745098039215686, 0.6549019607843137, 0.6745098039215687, 1.0]),
        (1.0, [0.1568627450980392, 0.5294117647058824, 0.6313725490196078, 1.0]),
    ],
    'edge': [
        (0.0, [0.19215686274509805, 0.19215686274509805, 0.19215686274509805, 1.0]),
        (0.0625, [0.23921568627450981, 0.00392156862745098, 0.615686274509804, 1.0]),
        (0.125, [0.2196078431372549, 0.06274509803921569, 0.8627450980392157, 1.0]),
        (0.1875, [0.17647058823529413, 0.2784313725490196, 0.9764705882352941, 1.0]),
        (0.25, [0.1450980392156863, 0.5764705882352941, 1.0, 1.0]),
        (0.3125, [0.16470588235294117, 0.8705882352941177, 0.9647058823529412, 1.0]),
        (0.375, [0.3764705882352941, 0.9921568627450981, 0.9803921568627451, 1.0]),
        (0.4375, [0.6823529411764706, 0.9921568627450981, 1.0, 1.0]),
        (0.5, [0.9529411764705882, 0.9529411764705882, 0.9450980392156862, 1.0]),
        (0.5625, [1.0, 0.9921568627450981, 0.6627450980392157, 1.0]),
        (0.625, [0.9803921568627451, 0.9921568627450981, 0.3568627450980392, 1.0]),
        (0.6875, [0.9686274509803922, 0.8549019607843137, 0.1607843137254902, 1.0]),
        (0.75, [1.0, 0.5568627450980392, 0.1450980392156863, 1.0]),
        (0.8125, [0.9725490196078431, 0.2627450980392157, 0.17647058823529413, 1.0]),
        (0.875, [0.8509803921568627, 0.050980392156862744, 0.2235294117647059, 1.0]),
        (0.9375, [0.592156862745098, 0.00784313725490196, 0.23921568627450981, 1.0]),
        (1.0, [0.19215686274509805, 0.19215686274509805, 0.19215686274509805, 1.0]),
    ],
    'electric': [
        (0.0, [0.0, 0.0, 0.0, 1.0]),
        (0.2, [0.11764705882352941, 0.0, 0.39215686274509803, 1.0]),
        (0.4, [0.47058823529411764, 0.0, 0.39215686274509803, 1.0]),
        (0.6, [0.6274509803921569, 0.35294117647058826, 0.0, 1.0]),
        (0.8, [0.9019607843137255, 0.7843137254901961, 0.0, 1.0]),
        (1.0, [1.0, 0.9803921568627451, 0.8627450980392157, 1.0]),
    ],
    'emrld': [
        (0.0, [0.8274509803921568, 0.9490196078431372, 0.6392156862745098, 1.0]),
        (0.16666666666666666, [0.592156862745098, 0.8823529411764706, 0.5882352941176471, 1.0]),
        (0.3333333333333333, [0.4235294117647059, 0.7529411764705882, 0.5450980392156862, 1.0]),
        (0.5, [0.2980392156862745, 0.6078431372549019, 0.5098039215686274, 1.0]),
        (0.6666666666666666, [0.12941176470588237, 0.47843137254901963, 0.4745098039215686, 1.0]),
        (0.8333333333333334, [0.06274509803921569, 0.34901960784313724, 0.396078431372549, 1.0]),
        (1.0, [0.027450980392156862, 0.25098039215686274, 0.3137254901960784, 1.0]),
    ],
    'fall': [
        (0.0, [0.23921568627450981, 0.34901960784313724, 0.2549019607843137, 1.0]),
        (0.16666666666666666, [0.4666666666666667, 0.5333333333333333, 0.40784313725490196, 1.0]),
        (0.3333333333333333, [0.7098039215686275, 0.7254901960784313, 0.5686274509803921, 1.0]),
        (0.5, [0.9647058823529412, 0.9294117647058824, 0.7411764705882353, 1.0]),
        (0.6666666666666666, [0.9294117647058824, 0.7333333333333333, 0.5411764705882353, 1.0]),
        (0.8333333333333334, [0.8705882352941177, 0.5411764705882353, 0.35294117647058826, 1.0]),
        (1.0, [0.792156862745098, 0.33725490196078434, 0.17254901960784313, 1.0]),
    ],
    'geyser': [
        (0.0, [0.0, 0.5019607843137255, 0.5019607843137255, 1.0]),
        (0.16666666666666666, [0.4392156862745098, 0.6431372549019608, 0.5803921568627451, 1.0]),
        (0.3333333333333333, [0.7058823529411765, 0.7843137254901961, 0.6588235294117647, 1.0]),
        (0.5, [0.9647058823529412, 0.9294117647058824, 0.7411764705882353, 1.0]),
        (0.6666666666666666, [0.9294117647058824, 0.7333333333333333, 0.5411764705882353, 1.0]),
        (0.8333333333333334, [0.8705882352941177, 0.5411764705882353, 0.35294117647058826, 1.0]),
        (1.0, [0.792156862745098, 0.33725490196078434, 0.17254901960784313, 1.0]),
    ],
    'haline': [
        (0.0, [0.1607843137254902, 0.09411764705882353, 0.4196078431372549, 1.0]),
        (0.09090909090909091, [0.16470588235294117, 0.13725490196078433, 0.6274509803921569, 1.0]),
        (0.18181818181818182, [0.058823529411764705, 0.2784313725490196, 0.6, 1.0]),
        (0.2727272727272727, [0.07058823529411765, 0.37254901960784315, 0.5568627450980392, 1.0]),
        (0.36363636363636365, [0.14901960784313725, 0.4549019607843137, 0.5372549019607843, 1.0]),
        (0.45454545454545453, [0.20784313725490197, 0.5333333333333333, 0.5333333333333333, 1.0]),
        (0.5454545454545454, [0.2549019607843137, 0.615686274509804, 0.5215686274509804, 1.0]),
        (0.6363636363636364, [0.3176470588235294, 0.6980392156862745, 0.48627450980392156, 1.0]),
        (0.7272727272727273, [0.43529411764705883, 0.7764705882352941, 0.4196078431372549, 1.0]),
        (0.8181818181818182, [0.6274509803921569, 0.8392156862745098, 0.3568627450980392, 1.0]),
        (0.9090909090909091, [0.8313725490196079, 0.8823529411764706, 0.4392156862745098, 1.0]),
        (1.0, [0.9921568627450981, 0.9333333333333333, 0.6, 1.0]),
    ],
    'ice': [
        (0.0, [0.011764705882352941, 0.0196078431372549, 0.07058823529411765, 1.0]),
        (0.09090909090909091, [0.09803921568627451, 0.09803921568627451, 0.2, 1.0]),
        (0.18181818181818182, [0.17254901960784313, 0.16470588235294117, 0.3411764705882353, 1.0]),
        (0.2727272727272727, [0.22745098039215686, 0.23529411764705882, 0.49019607843137253, 1.0]),
        (0.36363636363636365, [0.24313725490196078, 0.3254901960784314, 0.6274509803921569, 1.0]),
        (0.45454545454545453, [0.24313725490196078, 0.42745098039215684, 0.6980392156862745, 1.0]),
        (0.5454545454545454, [0.2823529411764706, 0.5254901960784314, 0.7333333333333333, 1.0]),
        (0.6363636363636364, [0.34901960784313724, 0.6235294117647059, 0.7686274509803922, 1.0]),
        (0.7272727272727273, [0.4470588235294118, 0.7215686274509804, 0.803921568627451, 1.0]),
        (0.8181818181818182, [0.5843137254901961, 0.8117647058823529, 0.8470588235294118, 1.0]),
        (0.9090909090909091, [0.7529411764705882, 0.8980392156862745, 0.9098039215686274, 1.0]),
        (1.0, [0.9176470588235294, 0.9882352941176471, 0.9921568627450981, 1.0]),
    ],
    'icefire': [
        (0.0, [0.0, 0.0, 0.0, 1.0]),
        (0.0625, [0.0, 0.12156862745098039, 0.30196078431372547, 1.0]),
        (0.125, [0.0, 0.21568627450980393, 0.5254901960784314, 1.0]),
        (0.1875, [0.054901960784313725, 0.34509803921568627, 0.6588235294117647, 1.0]),
        (0.25, [0.12941176470588237, 0.49411764705882355, 0.7215686274509804, 1.0]),
        (0.3125, [0.18823529411764706, 0.6431372549019608, 0.792156862745098, 1.0]),
        (0.375, [0.32941176470588235, 0.7843137254901961, 0.8745098039215686, 1.0]),
        (0.4375, [0.6078431372549019, 0.8941176470588236, 0.9372549019607843, 1.0]),
        (0.5, [0.8823529411764706, 0.9137254901960784, 0.8196078431372549, 1.0]),
        (0.5625, [0.9529411764705882, 0.8352941176470589, 0.45098039215686275, 1.0]),
        (0.625, [0.9058823529411765, 0.6901960784313725, 0.0, 1.0]),
        (0.6875, [0.8549019607843137, 0.5098039215686274, 0.0, 1.0]),
        (0.75, [0.7764705882352941, 0.32941176470588235, 0.0, 1.0]),
        (0.8125, [0.6745098039215687, 0.13725490196078433, 0.00392156862745098, 1.0]),
        (0.875, [0.5098039215686274, 0.0, 0.0, 1.0]),
        (0.9375, [0.2980392156862745, 0.0, 0.0, 1.0]),
        (1.0, [0.0, 0.0, 0.0, 1.0]),
    ],
    'magenta': [
        (0.0, [0.9529411764705882, 0.796078431372549, 0.8274509803921568, 1.0]),
        (0.16666666666666666, [0.9176470588235294, 0.6627450980392157, 0.7411764705882353, 1.0]),
        (0.3333333333333333, [0.8666666666666667, 0.5333333333333333, 0.6745098039215687, 1.0]),
        (0.5, [0.792156862745098, 0.4117647058823529, 0.615686274509804, 1.0]),
        (0.6666666666666666, [0.6941176470588235, 0.30196078431372547, 0.5568627450980392, 1.0]),
        (0.8333333333333334, [0.5686274509803921, 0.20784313725490197, 0.49019607843137253, 1.0]),
        (1.0, [0.4235294117647059, 0.12941176470588237, 0.403921568627451, 1.0]),
    ],
    'matter': [
        (0.0, [0.9921568627450981, 0.9294117647058824, 0.6901960784313725, 1.0]),
        (0.09090909090909091, [0.9803921568627451, 0.803921568627451, 0.5686274509803921, 1.0]),
        (0.18181818181818182, [0.9647058823529412, 0.6784313725490196, 0.4666666666666667, 1.0]),
        (0.2727272727272727, [0.9411764705882353, 0.5568627450980392, 0.3843137254901961, 1.0]),
        (0.36363636363636365, [0.9058823529411765, 0.42745098039215684, 0.32941176470588235, 1.0]),
        (0.45454545454545453, [0.8470588235294118, 0.3137254901960784, 0.3254901960784314, 1.0]),
        (0.5454545454545454, [0.7647058823529411, 0.2196078431372549, 0.35294117647058826, 1.0]),
        (0.6363636363636364, [0.6588235294117647, 0.1568627450980392, 0.3764705882352941, 1.0]),
        (0.7272727272727273, [0.5411764705882353, 0.11372549019607843, 0.38823529411764707, 1.0]),
        (0.8181818181818182, [0.4196078431372549, 0.09411764705882353, 0.36470588235294116, 1.0]),
        (0.9090909090909091, [0.2980392156862745, 0.08235294117647059, 0.3137254901960784, 1.0]),
        (1.0, [0.1843137254901961, 0.058823529411764705, 0.23921568627450981, 1.0]),
    ],
    'mint': [
        (0.0, [0.8941176470588236, 0.9450980392156862, 0.8823529411764706, 1.0]),
        (0.16666666666666666, [0.7058823529411765, 0.8509803921568627, 0.8, 1.0]),
        (0.3333333333333333, [0.5372549019607843, 0.7529411764705882, 0.7137254901960784, 1.0]),
        (0.5, [0.38823529411764707, 0.6509803921568628, 0.6274509803921569, 1.0]),
        (0.6666666666666666, [0.26666666666666666, 0.5490196078431373, 0.5411764705882353, 1.0]),
        (0.8333333333333334, [0.1568627450980392, 0.4470588235294118, 0.4549019607843137, 1.0]),
        (1.0, [0.050980392156862744, 0.34509803921568627, 0.37254901960784315, 1.0]),
    ],
    'mrybm': [
        (0.0, [0.9725490196078431, 0.5176470588235295, 0.9686274509803922, 1.0]),
        (0.0625, [0.9764705882352941, 0.40784313725490196, 0.7686274509803922, 1.0]),
        (0.125, [0.9176470588235294, 0.2627450980392157, 0.5333333333333333, 1.0]),
        (0.1875, [0.8117647058823529, 0.1411764705882353, 0.29411764705882354, 1.0]),
        (0.25, [0.7098039215686275, 0.10196078431372549, 0.08235294117647059, 1.0]),
        (0.3125, [0.7411764705882353, 0.2627450980392157, 0.01568627450980392, 1.0]),
        (0.375, [0.8, 0.4117647058823529, 0.01568627450980392, 1.0]),
        (0.4375, [0.8352941176470589, 0.5607843137254902, 0.01568627450980392, 1.0]),
        (0.5, [0.8117647058823529, 0.6666666666666666, 0.15294117647058825, 1.0]),
        (0.5625, [0.6313725490196078, 0.6235294117647059, 0.3843137254901961, 1.0]),
        (0.625, [0.34509803921568627, 0.5411764705882353, 0.5764705882352941, 1.0]),
        (0.6875, [0.13333333333333333, 0.4117647058823529, 0.7686274509803922, 1.0]),
        (0.75, [0.24313725490196078, 0.24313725490196078, 0.9411764705882353, 1.0]),
        (0.8125, [0.4196078431372549, 0.3058823529411765, 0.9764705882352941, 1.0]),
        (0.875, [0.5843137254901961, 0.4196078431372549, 0.9803921568627451, 1.0]),
        (0.9375, [0.803921568627451, 0.49019607843137253, 0.996078431372549, 1.0]),
        (1.0, [0.9725490196078431, 0.5176470588235295, 0.9686274509803922, 1.0]),
    ],
    'mygbm': [
        (0.0, [0.9372549019607843, 0.3333333333333333, 0.9450980392156862, 1.0]),
        (0.0625, [0.984313725490196, 0.5176470588235295, 0.807843137254902, 1.0]),
        (0.125, [0.984313725490196, 0.6862745098039216, 0.6313725490196078, 1.0]),
        (0.1875, [0.9882352941176471, 0.8313725490196079, 0.44313725490196076, 1.0]),
        (0.25, [0.9411764705882353, 0.9294117647058824, 0.20784313725490197, 1.0]),
        (0.3125, [0.7764705882352941, 0.8980392156862745, 0.08627450980392157, 1.0]),
        (0.375, [0.5882352941176471, 0.8274509803921568, 0.06274509803921569, 1.0]),
        (0.4375, [0.3803921568627451, 0.7568627450980392, 0.043137254901960784, 1.0]),
        (0.5, [0.19215686274509805, 0.6745098039215687, 0.1568627450980392, 1.0]),
        (0.5625, [0.2627450980392157, 0.5647058823529412, 0.39215686274509803, 1.0]),
        (0.625, [0.23921568627450981, 0.44313725490196076, 0.6039215686274509, 1.0]),
        (0.6875, [0.1568627450980392, 0.3058823529411765, 0.7843137254901961, 1.0]),
        (0.75, [0.1803921568627451, 0.12941176470588237, 0.9176470588235294, 1.0]),
        (0.8125, [0.38823529411764707, 0.1411764705882353, 0.9607843137254902, 1.0]),
        (0.875, [0.5686274509803921, 0.2235294117647059, 0.9803921568627451, 1.0]),
        (0.9375, [0.7725490196078432, 0.2627450980392157, 0.9803921568627451, 1.0]),
        (1.0, [0.9372549019607843, 0.3333333333333333, 0.9450980392156862, 1.0]),
    ],
    'oryel': [
        (0.0, [0.9254901960784314, 0.8549019607843137, 0.6039215686274509, 1.0]),
        (0.16666666666666666, [0.9372549019607843, 0.7686274509803922, 0.49411764705882355, 1.0]),
        (0.3333333333333333, [0.9529411764705882, 0.6784313725490196, 0.41568627450980394, 1.0]),
        (0.5, [0.9686274509803922, 0.5803921568627451, 0.36470588235294116, 1.0]),
        (0.6666666666666666, [0.9764705882352941, 0.4823529411764706, 0.3411764705882353, 1.0]),
        (0.8333333333333334, [0.9647058823529412, 0.38823529411764707, 0.33725490196078434, 1.0]),
        (1.0, [0.9333333333333333, 0.30196078431372547, 0.35294117647058826, 1.0]),
    ],
    'peach': [
        (0.0, [0.9921568627450981, 0.8784313725490196, 0.7725490196078432, 1.0]),
        (0.16666666666666666, [0.9803921568627451, 0.796078431372549, 0.6509803921568628, 1.0]),
        (0.3333333333333333, [0.9725490196078431, 0.7098039215686275, 0.5450980392156862, 1.0]),
        (0.5, [0.9607843137254902, 0.6196078431372549, 0.4470588235294118, 1.0]),
        (0.6666666666666666, [0.9490196078431372, 0.5215686274509804, 0.36470588235294116, 1.0]),
        (0.8333333333333334, [0.9372549019607843, 0.41568627450980394, 0.2980392156862745, 1.0]),
        (1.0, [0.9215686274509803, 0.2901960784313726, 0.25098039215686274, 1.0]),
    ],
    'phase': [
        (0.0, [0.6549019607843137, 0.4666666666666667, 0.047058823529411764, 1.0]),
        (0.09090909090909091, [0.7725490196078432, 0.3764705882352941, 0.2, 1.0]),
        (0.18181818181818182, [0.8509803921568627, 0.2627450980392157, 0.3764705882352941, 1.0]),
        (0.2727272727272727, [0.8666666666666667, 0.14901960784313725, 0.6392156862745098, 1.0]),
        (0.36363636363636365, [0.7686274509803922, 0.23137254901960785, 0.8784313725490196, 1.0]),
        (0.45454545454545453, [0.6, 0.3803921568627451, 0.9568627450980393, 1.0]),
        (0.5454545454545454, [0.37254901960784315, 0.4980392156862745, 0.8941176470588236, 1.0]),
        (0.6363636363636364, [0.1568627450980392, 0.5647058823529412, 0.7176470588235294, 1.0]),
        (0.7272727272727273, [0.058823529411764705, 0.592156862745098, 0.5333333333333333, 1.0]),
        (0.8181818181818182, [0.15294117647058825, 0.6, 0.30980392156862746, 1.0]),
        (0.9090909090909091, [0.4666666666666667, 0.5529411764705883, 0.06666666666666667, 1.0]),
        (1.0, [0.6549019607843137, 0.4666666666666667, 0.047058823529411764, 1.0]),
    ],
    'picnic': [
        (0.0, [0.0, 0.0, 1.0, 1.0]),
        (0.1, [0.2, 0.6, 1.0, 1.0]),
        (0.2, [0.4, 0.8, 1.0, 1.0]),
        (0.3, [0.6, 0.8, 1.0, 1.0]),
        (0.4, [0.8, 0.8, 1.0, 1.0]),
        (0.5, [1.0, 1.0, 1.0, 1.0]),
        (0.6, [1.0, 0.8, 1.0, 1.0]),
        (0.7, [1.0, 0.6, 1.0, 1.0]),
        (0.8, [1.0, 0.4, 0.8, 1.0]),
        (0.9, [1.0, 0.4, 0.4, 1.0]),
        (1.0, [1.0, 0.0, 0.0, 1.0]),
    ],
    'pinkyl': [
        (0.0, [0.996078431372549, 0.9647058823529412, 0.7098039215686275, 1.0]),
        (0.16666666666666666, [1.0, 0.8666666666666667, 0.6039215686274509, 1.0]),
        (0.3333333333333333, [1.0, 0.7607843137254902, 0.5215686274509804, 1.0]),
        (0.5, [1.0, 0.6509803921568628, 0.4745098039215686, 1.0]),
        (0.6666666666666666, [0.9803921568627451, 0.5411764705882353, 0.4627450980392157, 1.0]),
        (0.8333333333333334, [0.9450980392156862, 0.42745098039215684, 0.47843137254901963, 1.0]),
        (1.0, [0.8823529411764706, 0.3254901960784314, 0.5137254901960784, 1.0]),
    ],
    'plotly3': [
        (0.0, [0.0196078431372549, 0.03137254901960784, 0.7215686274509804, 1.0]),
        (0.08333333333333333, [0.09803921568627451, 0.06274509803921569, 0.8470588235294118, 1.0]),
        (0.16666666666666666, [0.23529411764705882, 0.09803921568627451, 0.9411764705882353, 1.0]),
        (0.25, [0.4196078431372549, 0.10980392156862745, 0.984313725490196, 1.0]),
        (0.3333333333333333, [0.596078431372549, 0.10980392156862745, 0.9921568627450981, 1.0]),
        (0.4166666666666667, [0.7490196078431373, 0.10980392156862745, 0.9921568627450981, 1.0]),
        (0.5, [0.8666666666666667, 0.16862745098039217, 0.9921568627450981, 1.0]),
        (0.5833333333333334, [0.9490196078431372, 0.27450980392156865, 0.996078431372549, 1.0]),
        (0.6666666666666666, [0.9882352941176471, 0.403921568627451, 0.9921568627450981, 1.0]),
        (0.75, [0.996078431372549, 0.5333333333333333, 0.9882352941176471, 1.0]),
        (0.8333333333333334, [0.996078431372549, 0.6470588235294118, 0.9921568627450981, 1.0]),
        (0.9166666666666666, [0.996078431372549, 0.7450980392156863, 0.996078431372549, 1.0]),
        (1.0, [0.996078431372549, 0.7647058823529411, 0.996078431372549, 1.0]),
    ],
    'portland': [
        (0.0, [0.047058823529411764, 0.2, 0.5137254901960784, 1.0]),
        (0.25, [0.0392156862745098, 0.5333333333333333, 0.7294117647058823, 1.0]),
        (0.5, [0.9490196078431372, 0.8274509803921568, 0.2196078431372549, 1.0]),
        (0.75, [0.9490196078431372, 0.5607843137254902, 0.2196078431372549, 1.0]),
        (1.0, [0.8509803921568627, 0.11764705882352941, 0.11764705882352941, 1.0]),
    ],
    'purp': [
        (0.0, [0.9529411764705882, 0.8784313725490196, 0.9686274509803922, 1.0]),
        (0.16666666666666666, [0.8941176470588236, 0.7803921568627451, 0.9450980392156862, 1.0]),
        (0.3333333333333333, [0.8196078431372549, 0.6862745098039216, 0.9098039215686274, 1.0]),
        (0.5, [0.7254901960784313, 0.596078431372549, 0.8666666666666667, 1.0]),
        (0.6666666666666666, [0.6235294117647059, 0.5098039215686274, 0.807843137254902, 1.0]),
        (0.8333333333333334, [0.5098039215686274, 0.42745098039215684, 0.7294117647058823, 1.0]),
        (1.0, [0.38823529411764707, 0.34509803921568627, 0.6235294117647059, 1.0]),
    ],
    'purpor': [
        (0.0, [0.9764705882352941, 0.8666666666666667, 0.8549019607843137, 1.0]),
        (0.16666666666666666, [0.9490196078431372, 0.7254901960784313, 0.7686274509803922, 1.0]),
        (0.3333333333333333, [0.8980392156862745, 0.592156862745098, 0.7254901960784313, 1.0]),
        (0.5, [0.807843137254902, 0.47058823529411764, 0.7019607843137254, 1.0]),
        (0.6666666666666666, [0.6784313725490196, 0.37254901960784315, 0.6784313725490196, 1.0]),
        (0.8333333333333334, [0.5137254901960784, 0.29411764705882354, 0.6274509803921569, 1.0]),
        (1.0, [0.3411764705882353, 0.23137254901960785, 0.5333333333333333, 1.0]),
    ],
    'redor': [
        (0.0, [0.9647058823529412, 0.8235294117647058, 0.6627450980392157, 1.0]),
        (0.16666666666666666, [0.9607843137254902, 0.7176470588235294, 0.5568627450980392, 1.0]),
        (0.3333333333333333, [0.9450980392156862, 0.611764705882353, 0.48627450980392156, 1.0]),
        (0.5, [0.9176470588235294, 0.5058823529411764, 0.44313725490196076, 1.0]),
        (0.6666666666666666, [0.8666666666666667, 0.40784313725490196, 0.4235294117647059, 1.0]),
        (0.8333333333333334, [0.792156862745098, 0.3215686274509804, 0.40784313725490196, 1.0]),
        (1.0, [0.6941176470588235, 0.24705882352941178, 0.39215686274509803, 1.0]),
    ],
    'solar': [
        (0.0, [0.2, 0.07450980392156863, 0.09019607843137255, 1.0]),
        (0.09090909090909091, [0.30980392156862746, 0.10980392156862745, 0.12941176470588237, 1.0]),
        (0.18181818181818182, [0.4235294117647059, 0.1411764705882353, 0.1411764705882353, 1.0]),
        (0.2727272727272727, [0.5294117647058824, 0.1843137254901961, 0.12549019607843137, 1.0]),
        (0.36363636363636365, [0.615686274509804, 0.25882352941176473, 0.09803921568627451, 1.0]),
        (0.45454545454545453, [0.6823529411764706, 0.34509803921568627, 0.0784313725490196, 1.0]),
        (0.5454545454545454, [0.7372549019607844, 0.43529411764705883, 0.07450980392156863, 1.0]),
        (0.6363636363636364, [0.7803921568627451, 0.5372549019607843, 0.08627450980392157, 1.0]),
        (0.7272727272727273, [0.8196078431372549, 0.6431372549019608, 0.12549019607843137, 1.0]),
        (0.8181818181818182, [0.8509803921568627, 0.7529411764705882, 0.17254901960784313, 1.0]),
        (0.9090909090909091, [0.8705882352941177, 0.8705882352941177, 0.23137254901960785, 1.0]),
        (1.0, [0.8784313725490196, 0.9921568627450981, 0.2901960784313726, 1.0]),
    ],
    'speed': [
        (0.0, [0.996078431372549, 0.9882352941176471, 0.803921568627451, 1.0]),
        (0.09090909090909091, [0.9372549019607843, 0.8823529411764706, 0.611764705882353, 1.0]),
        (0.18181818181818182, [0.8666666666666667, 0.788235294117647, 0.41568627450980394, 1.0]),
        (0.2727272727272727, [0.7607843137254902, 0.7137254901960784, 0.23137254901960785, 1.0]),
        (0.36363636363636365, [0.615686274509804, 0.6549019607843137, 0.08235294117647059, 1.0]),
        (0.45454545454545453, [0.4549019607843137, 0.6, 0.0196078431372549, 1.0]),
        (0.5454545454545454, [0.29411764705882354, 0.5411764705882353, 0.0784313725490196, 1.0]),
        (0.6363636363636364, [0.13725490196078433, 0.4745098039215686, 0.1411764705882353, 1.0]),
        (0.7272727272727273, [0.043137254901960784, 0.39215686274509803, 0.17254901960784313, 1.0]),
        (0.8181818181818182, [0.07058823529411765, 0.3058823529411765, 0.16862745098039217, 1.0]),
        (0.9090909090909091, [0.09803921568627451, 0.2196078431372549, 0.13333333333333333, 1.0]),
        (1.0, [0.09019607843137255, 0.13725490196078433, 0.07058823529411765, 1.0]),
    ],
    'sunset': [
        (0.0, [0.9529411764705882, 0.9058823529411765, 0.6078431372549019, 1.0]),
        (0.16666666666666666, [0.9803921568627451, 0.7686274509803922, 0.5176470588235295, 1.0]),
        (0.3333333333333333, [0.9725490196078431, 0.6274509803921569, 0.49411764705882355, 1.0]),
        (0.5, [0.9215686274509803, 0.4980392156862745, 0.5254901960784314, 1.0]),
        (0.6666666666666666, [0.807843137254902, 0.4, 0.5764705882352941, 1.0]),
        (0.8333333333333334, [0.6274509803921569, 0.34901960784313724, 0.6274509803921569, 1.0]),
        (1.0, [0.3607843137254902, 0.3254901960784314, 0.6470588235294118, 1.0]),
    ],
    'sunsetdark': [
        (0.0, [0.9882352941176471, 0.8705882352941177, 0.611764705882353, 1.0]),
        (0.16666666666666666, [0.9803921568627451, 0.6431372549019608, 0.4627450980392157, 1.0]),
        (0.3333333333333333, [0.9411764705882353, 0.4549019607843137, 0.43137254901960786, 1.0]),
        (0.5, [0.8901960784313725, 0.30980392156862746, 0.43529411764705883, 1.0]),
        (0.6666666666666666, [0.8627450980392157, 0.2235294117647059, 0.4666666666666667, 1.0]),
        (0.8333333333333334, [0.7254901960784313, 0.1450980392156863, 0.47843137254901963, 1.0]),
        (1.0, [0.48627450980392156, 0.11372549019607843, 0.43529411764705883, 1.0]),
    ],
    'teal': [
        (0.0, [0.8196078431372549, 0.9333333333333333, 0.9176470588235294, 1.0]),
        (0.16666666666666666, [0.6588235294117647, 0.8588235294117647, 0.8509803921568627, 1.0]),
        (0.3333333333333333, [0.5215686274509804, 0.7686274509803922, 0.788235294117647, 1.0]),
        (0.5, [0.40784313725490196, 0.6705882352941176, 0.7215686274509804, 1.0]),
        (0.6666666666666666, [0.30980392156862746, 0.5647058823529412, 0.6509803921568628, 1.0]),
        (0.8333333333333334, [0.23137254901960785, 0.45098039215686275, 0.5607843137254902, 1.0]),
        (1.0, [0.16470588235294117, 0.33725490196078434, 0.4549019607843137, 1.0]),
    ],
    'tealgrn': [
        (0.0, [0.6901960784313725, 0.9490196078431372, 0.7372549019607844, 1.0]),
        (0.16666666666666666, [0.5372549019607843, 0.9098039215686274, 0.6745098039215687, 1.0]),
        (0.3333333333333333, [0.403921568627451, 0.8588235294117647, 0.6470588235294118, 1.0]),
        (0.5, [0.2980392156862745, 0.7843137254901961, 0.6392156862745098, 1.0]),
        (0.6666666666666666, [0.2196078431372549, 0.6980392156862745, 0.6392156862745098, 1.0]),
        (0.8333333333333334, [0.17254901960784313, 0.596078431372549, 0.6274509803921569, 1.0]),
        (1.0, [0.1450980392156863, 0.49019607843137253, 0.596078431372549, 1.0]),
    ],
    'tealrose': [
        (0.0, [0.0, 0.5764705882352941, 0.5725490196078431, 1.0]),
        (0.16666666666666666, [0.4470588235294118, 0.6666666666666666, 0.6313725490196078, 1.0]),
        (0.3333333333333333, [0.6941176470588235, 0.7803921568627451, 0.7019607843137254, 1.0]),
        (0.5, [0.9450980392156862, 0.9176470588235294, 0.7843137254901961, 1.0]),
        (0.6666666666666666, [0.8980392156862745, 0.7254901960784313, 0.6784313725490196, 1.0]),
        (0.8333333333333334, [0.8509803921568627, 0.5372549019607843, 0.5803921568627451, 1.0]),
        (1.0, [0.8156862745098039, 0.34509803921568627, 0.49411764705882355, 1.0]),
    ],
    'tempo': [
        (0.0, [0.996078431372549, 0.9607843137254902, 0.9568627450980393, 1.0]),
        (0.09090909090909091, [0.8705882352941177, 0.8784313725490196, 0.8235294117647058, 1.0]),
        (0.18181818181818182, [0.7411764705882353, 0.807843137254902, 0.7098039215686275, 1.0]),
        (0.2727272727272727, [0.6, 0.7411764705882353, 0.611764705882353, 1.0]),
        (0.36363636363636365, [0.43137254901960786, 0.6784313725490196, 0.5411764705882353, 1.0]),
        (0.45454545454545453, [0.2549019607843137, 0.615686274509804, 0.5058823529411764, 1.0]),
        (0.5454545454545454, [0.09803921568627451, 0.5372549019607843, 0.49019607843137253, 1.0]),
        (0.6363636363636364, [0.07058823529411765, 0.4549019607843137, 0.4588235294117647, 1.0]),
        (0.7272727272727273, [0.09803921568627451, 0.3686274509803922, 0.41568627450980394, 1.0]),
        (0.8181818181818182, [0.10980392156862745, 0.2823529411764706, 0.36470588235294116, 1.0]),
        (0.9090909090909091, [0.09803921568627451, 0.2, 0.3137254901960784, 1.0]),
        (1.0, [0.0784313725490196, 0.11372549019607843, 0.2627450980392157, 1.0]),
    ],
    'temps': [
        (0.0, [0.0, 0.5764705882352941, 0.5725490196078431, 1.0]),
        (0.16666666666666666, [0.2235294117647059, 0.6941176470588235, 0.5215686274509804, 1.0]),
        (0.3333333333333333, [0.611764705882353, 0.796078431372549, 0.5254901960784314, 1.0]),
        (0.5, [0.9137254901960784, 0.8862745098039215, 0.611764705882353, 1.0]),
        (0.6666666666666666, [0.9333333333333333, 0.7058823529411765, 0.4745098039215686, 1.0]),
        (0.8333333333333334, [0.9098039215686274, 0.5176470588235295, 0.44313725490196076, 1.0]),
        (1.0, [0.8117647058823529, 0.34901960784313724, 0.49411764705882355, 1.0]),
    ],
    'thermal': [
        (0.0, [0.011764705882352941, 0.13725490196078433, 0.2, 1.0]),
        (0.09090909090909091, [0.050980392156862744, 0.18823529411764706, 0.39215686274509803, 1.0]),
        (0.18181818181818182, [0.20784313725490197, 0.19607843137254902, 0.6078431372549019, 1.0]),
        (0.2727272727272727, [0.36470588235294116, 0.24313725490196078, 0.6, 1.0]),
        (0.36363636363636365, [0.49411764705882355, 0.30196078431372547, 0.5607843137254902, 1.0]),
        (0.45454545454545453, [0.6196078431372549, 0.34901960784313724, 0.5294117647058824, 1.0]),
        (0.5454545454545454, [0.7568627450980392, 0.39215686274509803, 0.4745098039215686, 1.0]),
        (0.6363636363636364, [0.8823529411764706, 0.44313725490196076, 0.3803921568627451, 1.0]),
        (0.7272727272727273, [0.9647058823529412, 0.5450980392156862, 0.27058823529411763, 1.0]),
        (0.8181818181818182, [0.984313725490196, 0.6784313725490196, 0.23529411764705882, 1.0]),
        (0.9090909090909091, [0.9647058823529412, 0.8274509803921568, 0.27450980392156865, 1.0]),
        (1.0, [0.9058823529411765, 0.9803921568627451, 0.35294117647058826, 1.0]),
    ],
    'tropic': [
        (0.0, [0.0, 0.6078431372549019, 0.6196078431372549, 1.0]),
        (0.16666666666666666, [0.25882352941176473, 0.7176470588235294, 0.7254901960784313, 1.0]),
        (0.3333333333333333, [0.6549019607843137, 0.8274509803921568, 0.8313725490196079, 1.0]),
        (0.5, [0.9450980392156862, 0.9450980392156862, 0.9450980392156862, 1.0]),
        (0.6666666666666666, [0.8941176470588236, 0.7568627450980392, 0.8509803921568627, 1.0]),
        (0.8333333333333334, [0.8392156862745098, 0.5686274509803921, 0.7568627450980392, 1.0]),
        (1.0, [0.7803921568627451, 0.36470588235294116, 0.6705882352941176, 1.0]),
    ],
    'turbid': [
        (0.0, [0.9098039215686274, 0.9607843137254902, 0.6705882352941176, 1.0]),
        (0.09090909090909091, [0.8627450980392157, 0.8588235294117647, 0.5372549019607843, 1.0]),
        (0.18181818181818182, [0.8196078431372549, 0.7568627450980392, 0.4196078431372549, 1.0]),
        (0.2727272727272727, [0.7803921568627451, 0.6588235294117647, 0.3254901960784314, 1.0]),
        (0.36363636363636365, [0.7294117647058823, 0.5607843137254902, 0.25882352941176473, 1.0]),
        (0.45454545454545453, [0.6666666666666666, 0.4745098039215686, 0.23529411764705882, 1.0]),
        (0.5454545454545454, [0.592156862745098, 0.403921568627451, 0.22745098039215686, 1.0]),
        (0.6363636363636364, [0.5058823529411764, 0.3411764705882353, 0.2196078431372549, 1.0]),
        (0.7272727272727273, [0.40784313725490196, 0.2823529411764706, 0.20784313725490197, 1.0]),
        (0.8181818181818182, [0.3137254901960784, 0.23137254901960785, 0.1803921568627451, 1.0]),
        (0.9090909090909091, [0.2235294117647059, 0.17647058823529413, 0.1450980392156863, 1.0]),
        (1.0, [0.13333333333333333, 0.11764705882352941, 0.10588235294117647, 1.0]),
    ],
    # CMasher colormaps converted for Matplotlib
    'cmr.amber': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000270219205, 0.000192123479, 0.00020586722, 1.0],
        [0.000963039776, 0.000657034537, 0.000711879806, 1.0],
        [0.00204508353, 0.0013436642, 0.00147063126, 1.0],
        [0.00350855673, 0.00222748639, 0.00246041009, 1.0],
        [0.00535221178, 0.00329213811, 0.00366701417, 1.0],
        [0.00757776175, 0.00452536193, 0.00507987984, 1.0],
        [0.0101885627, 0.00591736777, 0.0066905503, 1.0],
        [0.0131889988, 0.00746000625, 0.0084919147, 1.0],
        [0.0165841522, 0.00914629388, 0.0104777767, 1.0],
        [0.0203796096, 0.0109701158, 0.0126425869, 1.0],
        [0.0245813401, 0.0129260276, 0.0149812668, 1.0],
        [0.029195614, 0.0150091175, 0.0174890855, 1.0],
        [0.0342289477, 0.0172149055, 0.0201615719, 1.0],
        [0.0396880632, 0.0195392696, 0.0229944488, 1.0],
        [0.0453186823, 0.021978388, 0.0259835825, 1.0],
        [0.0509056612, 0.0245286952, 0.0291249439, 1.0],
        [0.0564622028, 0.0271868468, 0.032414577, 1.0],
        [0.0619922688, 0.0299496912, 0.035848574, 1.0],
        [0.0674993033, 0.0328142463, 0.0394230543, 1.0],
        [0.0729863217, 0.0357776815, 0.0430396878, 1.0],
        [0.0784559822, 0.0388373016, 0.0465895527, 1.0],
        [0.0839107941, 0.0419480501, 0.050084494, 1.0],
        [0.0893527215, 0.0450014516, 0.0535265159, 1.0],
        [0.0947836413, 0.0480080968, 0.0569173388, 1.0],
        [0.100205242, 0.050970147, 0.0602584676, 1.0],
        [0.10561922, 0.0538894668, 0.0635511599, 1.0],
        [0.11102684, 0.0567679342, 0.0667966009, 1.0],
        [0.116429304, 0.0596072443, 0.0699958111, 1.0],
        [0.121827917, 0.0624088295, 0.0731496016, 1.0],
        [0.12722366, 0.0651741511, 0.0762587461, 1.0],
        [0.132617373, 0.0679046058, 0.0793239368, 1.0],
        [0.138010234, 0.0706012303, 0.0823456011, 1.0],
        [0.14340273, 0.0732653853, 0.0853243319, 1.0],
        [0.148795825, 0.0758980074, 0.0882604179, 1.0],
        [0.154190047, 0.0785002163, 0.0911542354, 1.0],
        [0.15958614, 0.0810728975, 0.0940059742, 1.0],
        [0.16498455, 0.0836170507, 0.0968158769, 1.0],
        [0.170385967, 0.0861334374, 0.099583991, 1.0],
        [0.175790639, 0.0886230463, 0.102310507, 1.0],
        [0.181199308, 0.0910864693, 0.104995296, 1.0],
        [0.186612115, 0.0935246483, 0.107638472, 1.0],
        [0.192029472, 0.0959382903, 0.110239952, 1.0],
        [0.197451875, 0.0983279946, 0.112799541, 1.0],
        [0.202879425, 0.100694589, 0.11531721, 1.0],
        [0.208312404, 0.103038737, 0.11779278, 1.0],
        [0.213751162, 0.105361019, 0.120225975, 1.0],
        [0.219195868, 0.107662104, 0.122616579, 1.0],
        [0.224646639, 0.109942672, 0.124964368, 1.0],
        [0.230103634, 0.112203343, 0.127269042, 1.0],
        [0.235566986, 0.114444731, 0.129530282, 1.0],
        [0.241036796, 0.116667448, 0.13174774, 1.0],
        [0.246513142, 0.118872102, 0.133921051, 1.0],
        [0.251996072, 0.121059305, 0.136049828, 1.0],
        [0.257485608, 0.123229667, 0.138133666, 1.0],
        [0.262981743, 0.125383805, 0.140172143, 1.0],
        [0.268484448, 0.127522341, 0.142164823, 1.0],
        [0.273993663, 0.129645902, 0.144111256, 1.0],
        [0.279509303, 0.131755126, 0.146010978, 1.0],
        [0.285031258, 0.133850661, 0.147863518, 1.0],
        [0.290559389, 0.135933165, 0.149668394, 1.0],
        [0.296093532, 0.138003309, 0.151425117, 1.0],
        [0.301633598, 0.1400617, 0.153133095, 1.0],
        [0.307179344, 0.142109059, 0.154791846, 1.0],
        [0.312730463, 0.144146149, 0.156400926, 1.0],
        [0.318286742, 0.146173661, 0.157959772, 1.0],
        [0.323847994, 0.148192261, 0.159467758, 1.0],
        [0.329413733, 0.150202847, 0.160924547, 1.0],
        [0.334983797, 0.152206062, 0.162329427, 1.0],
        [0.340557687, 0.154202814, 0.16368203, 1.0],
        [0.346135105, 0.156193856, 0.164981737, 1.0],
        [0.351715546, 0.158180101, 0.166228145, 1.0],
        [0.357298674, 0.160162334, 0.167420623, 1.0],
        [0.362883858, 0.162141575, 0.168558882, 1.0],
        [0.36847077, 0.164118606, 0.16964223, 1.0],
        [0.374058752, 0.166094474, 0.170670376, 1.0],
        [0.379647225, 0.16807017, 0.171642912, 1.0],
        [0.385235679, 0.170046631, 0.172559319, 1.0],
        [0.390823465, 0.172024909, 0.173419245, 1.0],
        [0.396409886, 0.1740061, 0.174222404, 1.0],
        [0.401994265, 0.175991288, 0.174968466, 1.0],
        [0.407575893, 0.177981586, 0.175657139, 1.0],
        [0.413154027, 0.179978136, 0.176288173, 1.0],
        [0.418727896, 0.181982111, 0.17686136, 1.0],
        [0.424296695, 0.18399471, 0.17737654, 1.0],
        [0.42985959, 0.18601716, 0.177833604, 1.0],
        [0.435415718, 0.18805071, 0.178232495, 1.0],
        [0.44096419, 0.190096636, 0.178573214, 1.0],
        [0.446504087, 0.192156233, 0.178855817, 1.0],
        [0.452034468, 0.194230815, 0.179080426, 1.0],
        [0.457554367, 0.196321712, 0.179247225, 1.0],
        [0.4630628, 0.19843027, 0.179356464, 1.0],
        [0.468558776, 0.200557827, 0.179408427, 1.0],
        [0.4740413, 0.202705725, 0.179403437, 1.0],
        [0.479509291, 0.204875362, 0.179342054, 1.0],
        [0.484961699, 0.207068104, 0.179224814, 1.0],
        [0.490397508, 0.209285273, 0.179052216, 1.0],
        [0.495815623, 0.211528247, 0.178825017, 1.0],
        [0.501214955, 0.213798375, 0.178544027, 1.0],
        [0.506594485, 0.216096939, 0.178209944, 1.0],
        [0.511953092, 0.218425275, 0.177823821, 1.0],
        [0.517289735, 0.22078464, 0.177386596, 1.0],
        [0.522603357, 0.223176273, 0.176899335, 1.0],
        [0.527892901, 0.22560139, 0.176363229, 1.0],
        [0.533157362, 0.228061136, 0.17577943, 1.0],
        [0.538395706, 0.230556648, 0.175149304, 1.0],
        [0.543606972, 0.233088975, 0.174474132, 1.0],
        [0.548790181, 0.235659144, 0.173755403, 1.0],
        [0.553944418, 0.2382681, 0.172994542, 1.0],
        [0.559068775, 0.240916741, 0.172193127, 1.0],
        [0.5641624, 0.243605891, 0.171352717, 1.0],
        [0.569224466, 0.246336311, 0.170474959, 1.0],
        [0.574254192, 0.24910869, 0.169561526, 1.0],
        [0.579250842, 0.251923645, 0.168614118, 1.0],
        [0.584213718, 0.25478172, 0.167634497, 1.0],
        [0.589142181, 0.257683384, 0.1666244, 1.0],
        [0.594035624, 0.260629036, 0.165585653, 1.0],
        [0.598893507, 0.263618991, 0.164520006, 1.0],
        [0.603715319, 0.266653504, 0.163429343, 1.0],
        [0.608500622, 0.269732743, 0.162315383, 1.0],
        [0.613249, 0.272856821, 0.161180087, 1.0],
        [0.617960119, 0.276025767, 0.160025116, 1.0],
        [0.622633662, 0.279239557, 0.158852422, 1.0],
        [0.627269383, 0.282498095, 0.15766372, 1.0],
        [0.631867075, 0.285801229, 0.156460779, 1.0],
        [0.636426565, 0.28914875, 0.155245529, 1.0],
        [0.640947745, 0.292540394, 0.154019559, 1.0],
        [0.645430534, 0.295975851, 0.152784628, 1.0],
        [0.64987489, 0.299454756, 0.151542651, 1.0],
        [0.65428082, 0.302976715, 0.15029515, 1.0],
        [0.658648358, 0.30654129, 0.149043823, 1.0],
        [0.662977573, 0.310148008, 0.147790349, 1.0],
        [0.667268569, 0.313796359, 0.146536485, 1.0],
        [0.671521475, 0.317485815, 0.145283828, 1.0],
        [0.67573645, 0.321215828, 0.144033953, 1.0],
        [0.679913675, 0.324985822, 0.142788476, 1.0],
        [0.684053355, 0.328795211, 0.141549, 1.0],
        [0.688155717, 0.33264339, 0.140317119, 1.0],
        [0.692221002, 0.336529747, 0.139094415, 1.0],
        [0.696249473, 0.340453663, 0.137882462, 1.0],
        [0.700241403, 0.344414515, 0.136682828, 1.0],
        [0.704197077, 0.348411676, 0.135497078, 1.0],
        [0.708116802, 0.352444511, 0.134326855, 1.0],
        [0.712000897, 0.356512381, 0.133173827, 1.0],
        [0.71584966, 0.360614686, 0.132039427, 1.0],
        [0.719663407, 0.364750819, 0.130925224, 1.0],
        [0.723442473, 0.36892016, 0.129832894, 1.0],
        [0.72718723, 0.373122062, 0.12876431, 1.0],
        [0.730897952, 0.377356004, 0.127720734, 1.0],
        [0.734575012, 0.38162136, 0.126704056, 1.0],
        [0.738218757, 0.385917553, 0.125715994, 1.0],
        [0.741829481, 0.39024407, 0.124758016, 1.0],
        [0.745407596, 0.394600286, 0.123832229, 1.0],
        [0.748953361, 0.398985748, 0.122939978, 1.0],
        [0.752467174, 0.40339987, 0.122083332, 1.0],
        [0.755949344, 0.407842171, 0.121263951, 1.0],
        [0.75940015, 0.412312207, 0.120483415, 1.0],
        [0.762820059, 0.416809362, 0.119744128, 1.0],
        [0.766209272, 0.421333289, 0.119047394, 1.0],
        [0.769568114, 0.425883533, 0.118395079, 1.0],
        [0.772896945, 0.430459614, 0.117789192, 1.0],
        [0.776196111, 0.435061076, 0.117231688, 1.0],
        [0.779465857, 0.43968757, 0.11672417, 1.0],
        [0.782706491, 0.444338693, 0.116268489, 1.0],
        [0.785918318, 0.449014059, 0.115866475, 1.0],
        [0.789101634, 0.453713293, 0.115519931, 1.0],
        [0.792256732, 0.458436039, 0.115230627, 1.0],
        [0.795383896, 0.46318195, 0.115000292, 1.0],
        [0.798483406, 0.467950698, 0.114830608, 1.0],
        [0.801555533, 0.472741967, 0.114723202, 1.0],
        [0.804600542, 0.477555453, 0.114679641, 1.0],
        [0.807618691, 0.482390869, 0.114701419, 1.0],
        [0.81061023, 0.487247939, 0.114789959, 1.0],
        [0.813575401, 0.492126401, 0.114946597, 1.0],
        [0.816514512, 0.497025949, 0.115172754, 1.0],
        [0.819427837, 0.501946311, 0.115469677, 1.0],
        [0.822315509, 0.506887333, 0.115838206, 1.0],
        [0.82517774, 0.511848803, 0.116279292, 1.0],
        [0.828014898, 0.516830398, 0.116794109, 1.0],
        [0.830827169, 0.521831938, 0.117383338, 1.0],
        [0.833614631, 0.526853334, 0.118047351, 1.0],
        [0.83637773, 0.531894223, 0.118787147, 1.0],
        [0.839116524, 0.53695454, 0.119602848, 1.0],
        [0.841831212, 0.542034118, 0.120494761, 1.0],
        [0.844522158, 0.547132677, 0.121463361, 1.0],
        [0.84718932, 0.552250237, 0.122508317, 1.0],
        [0.849833189, 0.557386438, 0.123630093, 1.0],
        [0.852453669, 0.562541344, 0.124828091, 1.0],
        [0.855051183, 0.56771466, 0.126102435, 1.0],
        [0.857625792, 0.572906344, 0.127452601, 1.0],
        [0.86017762, 0.578116318, 0.128878084, 1.0],
        [0.862707127, 0.583344278, 0.130378745, 1.0],
        [0.865214151, 0.588590347, 0.131953533, 1.0],
        [0.867699024, 0.593854318, 0.133601985, 1.0],
        [0.870162049, 0.59913601, 0.135323508, 1.0],
        [0.872603152, 0.604435495, 0.137117005, 1.0],
        [0.875022517, 0.609752675, 0.138981646, 1.0],
        [0.87742056, 0.615087311, 0.140916786, 1.0],
        [0.879797284, 0.620439435, 0.14292129, 1.0],
        [0.882152781, 0.62580902, 0.144994099, 1.0],
        [0.88448722, 0.631195997, 0.147134203, 1.0],
        [0.886800766, 0.6366003, 0.149340565, 1.0],
        [0.88909364, 0.642021836, 0.15161217, 1.0],
        [0.891366051, 0.647460522, 0.15394797, 1.0],
        [0.893618018, 0.652916394, 0.156346759, 1.0],
        [0.89584969, 0.658389412, 0.158807435, 1.0],
        [0.898061211, 0.663879541, 0.161328894, 1.0],
        [0.900252723, 0.669386751, 0.163910031, 1.0],
        [0.902424362, 0.674911019, 0.166549744, 1.0],
        [0.904576262, 0.680452327, 0.169246937, 1.0],
        [0.906708551, 0.686010661, 0.172000526, 1.0],
        [0.908821353, 0.691586014, 0.174809439, 1.0],
        [0.910914789, 0.697178383, 0.177672616, 1.0],
        [0.912988974, 0.70278777, 0.180589017, 1.0],
        [0.915044019, 0.708414184, 0.183557618, 1.0],
        [0.917080031, 0.714057637, 0.186577418, 1.0],
        [0.919097217, 0.719718089, 0.189647476, 1.0],
        [0.921095722, 0.725395538, 0.192766846, 1.0],
        [0.923075522, 0.731090077, 0.195934538, 1.0],
        [0.925036707, 0.736801736, 0.199149639, 1.0],
        [0.92697936, 0.742530552, 0.20241126, 1.0],
        [0.928903557, 0.748276568, 0.205718533, 1.0],
        [0.930809625, 0.754039699, 0.209070692, 1.0],
        [0.932697602, 0.759820013, 0.212466898, 1.0],
        [0.934567369, 0.765617662, 0.215906305, 1.0],
        [0.936418985, 0.771432704, 0.219388145, 1.0],
        [0.938252815, 0.777265047, 0.222911744, 1.0],
        [0.940068905, 0.783114764, 0.226476369, 1.0],
        [0.941867027, 0.788982063, 0.230081261, 1.0],
        [0.943647372, 0.794866946, 0.233725776, 1.0],
        [0.945410404, 0.800769287, 0.237409327, 1.0],
        [0.947155602, 0.806689439, 0.241131186, 1.0],
        [0.94888326, 0.812627361, 0.244890787, 1.0],
        [0.950593708, 0.818583001, 0.248687573, 1.0],
        [0.952286404, 0.82455672, 0.252520905, 1.0],
        [0.953962043, 0.830548296, 0.256390308, 1.0],
        [0.955620227, 0.836558026, 0.260295207, 1.0],
        [0.957261035, 0.842585982, 0.264235099, 1.0],
        [0.958884834, 0.848632103, 0.268209516, 1.0],
        [0.960491021, 0.85469678, 0.272217942, 1.0],
        [0.962080512, 0.860779708, 0.276259973, 1.0],
        [0.963652252, 0.866881479, 0.280335115, 1.0],
        [0.965207457, 0.873001664, 0.284442994, 1.0],
        [0.966744863, 0.879140943, 0.28858316, 1.0],
        [0.968265762, 0.885298862, 0.292755253, 1.0],
        [0.969768911, 0.891476088, 0.296958874, 1.0],
        [0.971255417, 0.897672258, 0.301193672, 1.0],
        [0.97272433, 0.903887907, 0.305459294, 1.0],
        [0.9741763, 0.910122875, 0.309755404, 1.0],
        [0.975610944, 0.916377452, 0.314081683, 1.0],
        [0.977028174, 0.922651799, 0.318437827, 1.0],
        [0.97842846, 0.928945845, 0.322823525, 1.0],
        [0.97981096, 0.935260068, 0.327238519, 1.0],
        [0.981176459, 0.941594269, 0.331682509, 1.0],
        [0.982524379, 0.947948818, 0.336155254, 1.0],
        [0.983854395, 0.954323974, 0.340656523, 1.0],
    ],
    'cmr.apple': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000345220173, 0.00019190863, 0.000222295331, 1.0],
        [0.00125316625, 0.00064517119, 0.000766558877, 1.0],
        [0.00270346228, 0.00129798548, 0.00157931597, 1.0],
        [0.00470211932, 0.00211827475, 0.00263526221, 1.0],
        [0.00726113418, 0.00308337294, 0.00391731079, 1.0],
        [0.010394808, 0.00417548448, 0.00541234402, 1.0],
        [0.0141186375, 0.00537976199, 0.00710951628, 1.0],
        [0.0184490034, 0.00668326431, 0.00899939181, 1.0],
        [0.0234031351, 0.00807431456, 0.0110734391, 1.0],
        [0.0289979513, 0.00954252884, 0.0133238416, 1.0],
        [0.0352511267, 0.01107815, 0.0157431801, 1.0],
        [0.0421312486, 0.0126718537, 0.0183242756, 1.0],
        [0.0490938316, 0.0143152744, 0.0210602979, 1.0],
        [0.0560282878, 0.0159999861, 0.0239443894, 1.0],
        [0.0629406897, 0.0177181359, 0.026969835, 1.0],
        [0.0698359822, 0.0194622548, 0.030129979, 1.0],
        [0.076719279, 0.0212246078, 0.033417955, 1.0],
        [0.0835935183, 0.0229985289, 0.0368271769, 1.0],
        [0.0904631146, 0.0247763514, 0.040350514, 1.0],
        [0.0973298549, 0.0265519512, 0.0438374257, 1.0],
        [0.104197383, 0.0283178651, 0.0472480493, 1.0],
        [0.111067077, 0.0300681392, 0.0505859036, 1.0],
        [0.117941523, 0.031795849, 0.0538521737, 1.0],
        [0.124822404, 0.0334946829, 0.057047955, 1.0],
        [0.131710891, 0.0351587411, 0.0601742, 1.0],
        [0.138609455, 0.0367808533, 0.0632311132, 1.0],
        [0.145518569, 0.0383556498, 0.0662193312, 1.0],
        [0.152439403, 0.0398771028, 0.0691390116, 1.0],
        [0.159373547, 0.0413181789, 0.0719899088, 1.0],
        [0.166321851, 0.0426601825, 0.0747718398, 1.0],
        [0.173284899, 0.0439102455, 0.0774845363, 1.0],
        [0.180263529, 0.0450676929, 0.0801274321, 1.0],
        [0.187258489, 0.0461316596, 0.0826998039, 1.0],
        [0.194270446, 0.0471010954, 0.0852007753, 1.0],
        [0.201299982, 0.0479747678, 0.0876293197, 1.0],
        [0.2083476, 0.0487512643, 0.0899842621, 1.0],
        [0.215413719, 0.0494289941, 0.0922642807, 1.0],
        [0.222498675, 0.0500061889, 0.0944679063, 1.0],
        [0.229602716, 0.0504809043, 0.0965935231, 1.0],
        [0.236726002, 0.05085102, 0.0986393669, 1.0],
        [0.243868594, 0.0511142411, 0.100603525, 1.0],
        [0.251030453, 0.0512681001, 0.102483933, 1.0],
        [0.258211742, 0.0513094748, 0.104278163, 1.0],
        [0.265412833, 0.0512344917, 0.10598337, 1.0],
        [0.272632586, 0.0510412781, 0.107597497, 1.0],
        [0.279871561, 0.0507248086, 0.109117006, 1.0],
        [0.287128804, 0.0502820709, 0.110539147, 1.0],
        [0.294404364, 0.0497078351, 0.111860068, 1.0],
        [0.301696835, 0.0489989192, 0.113076716, 1.0],
        [0.309006507, 0.048148406, 0.114184221, 1.0],
        [0.316331883, 0.0471520413, 0.115178759, 1.0],
        [0.323671812, 0.0460042594, 0.116055741, 1.0],
        [0.331025108, 0.0446987786, 0.116810051, 1.0],
        [0.338390277, 0.0432291011, 0.117436233, 1.0],
        [0.34576546, 0.0415886159, 0.117928492, 1.0],
        [0.353148383, 0.0397626237, 0.118280696, 1.0],
        [0.360537183, 0.0377745449, 0.118485311, 1.0],
        [0.367928321, 0.0356644446, 0.11853569, 1.0],
        [0.375318576, 0.0334436698, 0.118423679, 1.0],
        [0.382703524, 0.0311282035, 0.118141322, 1.0],
        [0.390078966, 0.0287350595, 0.117678808, 1.0],
        [0.397438918, 0.0262881015, 0.117027044, 1.0],
        [0.40477679, 0.0238151748, 0.11617589, 1.0],
        [0.412084714, 0.0213504041, 0.115114951, 1.0],
        [0.419352723, 0.0189371127, 0.113834997, 1.0],
        [0.426570742, 0.0166224567, 0.11232422, 1.0],
        [0.433725129, 0.0144682396, 0.110574776, 1.0],
        [0.440800995, 0.0125445969, 0.108578823, 1.0],
        [0.447780992, 0.0109341219, 0.106331686, 1.0],
        [0.454646057, 0.00972993081, 0.103831334, 1.0],
        [0.461374407, 0.00903875437, 0.101083575, 1.0],
        [0.467943867, 0.00897333957, 0.098098937, 1.0],
        [0.474332037, 0.00965079659, 0.0948965003, 1.0],
        [0.480518085, 0.0111852657, 0.0915036915, 1.0],
        [0.486484602, 0.0136798254, 0.0879551508, 1.0],
        [0.492219263, 0.017218844, 0.0842902141, 1.0],
        [0.497715857, 0.0218626551, 0.0805497029, 1.0],
        [0.502974461, 0.0276455908, 0.0767726562, 1.0],
        [0.508000816, 0.034577548, 0.0729932913, 1.0],
        [0.512805043, 0.0425782994, 0.0692386981, 1.0],
        [0.517400121, 0.0508402514, 0.0655288787, 1.0],
        [0.521800517, 0.0591181556, 0.0618772701, 1.0],
        [0.526020851, 0.0673602677, 0.0582898648, 1.0],
        [0.530075508, 0.0755322822, 0.0547703989, 1.0],
        [0.533977613, 0.0836143272, 0.05131678, 1.0],
        [0.537739248, 0.0915949094, 0.0479258557, 1.0],
        [0.541371164, 0.0994689338, 0.0445925733, 1.0],
        [0.544882773, 0.107235673, 0.0413105904, 1.0],
        [0.548282664, 0.114896196, 0.0380760523, 1.0],
        [0.551577719, 0.122454969, 0.0350111958, 1.0],
        [0.554774696, 0.129915472, 0.0321246475, 1.0],
        [0.557878762, 0.137283559, 0.0294033275, 1.0],
        [0.560894775, 0.144564373, 0.0268372138, 1.0],
        [0.563826925, 0.151763219, 0.0244174876, 1.0],
        [0.566678815, 0.158885403, 0.0221365016, 1.0],
        [0.569453537, 0.165936126, 0.0199877302, 1.0],
        [0.572153881, 0.172920179, 0.0179660285, 1.0],
        [0.574782485, 0.179841794, 0.0160676895, 1.0],
        [0.577340918, 0.186706159, 0.0142882549, 1.0],
        [0.579831603, 0.193516432, 0.0126265556, 1.0],
        [0.582255494, 0.20027739, 0.0110796622, 1.0],
        [0.584614617, 0.206991685, 0.00964788529, 1.0],
        [0.586909745, 0.213663274, 0.00833016539, 1.0],
        [0.589141917, 0.220295265, 0.00712690849, 1.0],
        [0.591312092, 0.226890484, 0.00603920403, 1.0],
        [0.593421279, 0.233451351, 0.00506895055, 1.0],
        [0.595469903, 0.239980699, 0.00421783174, 1.0],
        [0.59745851, 0.246480898, 0.00348840788, 1.0],
        [0.599387567, 0.252954153, 0.00288373936, 1.0],
        [0.601257445, 0.259402531, 0.00240734229, 1.0],
        [0.603068435, 0.265827975, 0.00206318103, 1.0],
        [0.604820763, 0.272232296, 0.00185567512, 1.0],
        [0.606514791, 0.278616985, 0.00178990843, 1.0],
        [0.608150425, 0.284983843, 0.00187093242, 1.0],
        [0.609727696, 0.291334375, 0.00210445239, 1.0],
        [0.611246587, 0.297669992, 0.00249661019, 1.0],
        [0.612707101, 0.303991957, 0.00305404059, 1.0],
        [0.614109434, 0.310301242, 0.00378401163, 1.0],
        [0.61545312, 0.316599319, 0.00469364819, 1.0],
        [0.616738001, 0.322887263, 0.0057908496, 1.0],
        [0.617964315, 0.32916572, 0.00708428371, 1.0],
        [0.619131467, 0.335435967, 0.00858241672, 1.0],
        [0.620239297, 0.341698823, 0.0102945444, 1.0],
        [0.621287824, 0.347954893, 0.0122305338, 1.0],
        [0.622276407, 0.354205243, 0.0144002979, 1.0],
        [0.623205158, 0.360450277, 0.0168146978, 1.0],
        [0.624073484, 0.366690887, 0.0194846631, 1.0],
        [0.62488127, 0.372927543, 0.022421877, 1.0],
        [0.625628126, 0.379160872, 0.0256383701, 1.0],
        [0.626313762, 0.385391375, 0.0291467215, 1.0],
        [0.626937869, 0.391619525, 0.0329599994, 1.0],
        [0.627500098, 0.39784578, 0.0370917674, 1.0],
        [0.628000142, 0.404070528, 0.0415289618, 1.0],
        [0.628437662, 0.410294147, 0.0460375144, 1.0],
        [0.628812316, 0.416516978, 0.0505905514, 1.0],
        [0.629123802, 0.422739308, 0.0551886166, 1.0],
        [0.629371737, 0.428961444, 0.0598323278, 1.0],
        [0.629555852, 0.435183596, 0.0645223594, 1.0],
        [0.629675746, 0.441406029, 0.0692594205, 1.0],
        [0.629731148, 0.447628905, 0.0740442372, 1.0],
        [0.629721684, 0.453852424, 0.0788775538, 1.0],
        [0.629647027, 0.460076741, 0.0837601182, 1.0],
        [0.629506864, 0.466301977, 0.0886926779, 1.0],
        [0.629300805, 0.472528283, 0.0936759956, 1.0],
        [0.629028571, 0.478755727, 0.098710815, 1.0],
        [0.62868975, 0.484984433, 0.103797911, 1.0],
        [0.628284038, 0.491214451, 0.108938039, 1.0],
        [0.627811039, 0.497445864, 0.114131989, 1.0],
        [0.627270386, 0.503678721, 0.119380554, 1.0],
        [0.626661711, 0.509913058, 0.124684549, 1.0],
        [0.625984571, 0.516148932, 0.130044835, 1.0],
        [0.625238609, 0.522386344, 0.135462278, 1.0],
        [0.624423343, 0.528625337, 0.140937822, 1.0],
        [0.623538345, 0.534865914, 0.146472441, 1.0],
        [0.6225832, 0.541108055, 0.152067156, 1.0],
        [0.621557261, 0.547351828, 0.157723138, 1.0],
        [0.620460372, 0.553597068, 0.163441444, 1.0],
        [0.619291432, 0.559844004, 0.169223586, 1.0],
        [0.618050561, 0.566092319, 0.175070681, 1.0],
        [0.616736705, 0.572342179, 0.180984431, 1.0],
        [0.615349492, 0.578593441, 0.18696638, 1.0],
        [0.613888651, 0.584845908, 0.193018154, 1.0],
        [0.61235295, 0.591099746, 0.199141957, 1.0],
        [0.610742292, 0.597354644, 0.20533966, 1.0],
        [0.609056286, 0.603610396, 0.211613442, 1.0],
        [0.607294249, 0.609866882, 0.217965827, 1.0],
        [0.605455313, 0.616124027, 0.224399669, 1.0],
        [0.603539624, 0.622381357, 0.23091759, 1.0],
        [0.601546862, 0.628638555, 0.237522719, 1.0],
        [0.599476826, 0.634895241, 0.244218445, 1.0],
        [0.597329474, 0.641150957, 0.251008434, 1.0],
        [0.595104966, 0.64740516, 0.257896647, 1.0],
        [0.592803723, 0.653657204, 0.264887354, 1.0],
        [0.590426489, 0.659906322, 0.271985154, 1.0],
        [0.587974412, 0.66615161, 0.279194984, 1.0],
        [0.585449139, 0.672392, 0.286522139, 1.0],
        [0.582852924, 0.678626242, 0.293972279, 1.0],
        [0.580188761, 0.684852872, 0.301551441, 1.0],
        [0.577459821, 0.691070384, 0.309266472, 1.0],
        [0.574670663, 0.697276889, 0.317124445, 1.0],
        [0.571828249, 0.703469864, 0.325132119, 1.0],
        [0.56893823, 0.709647193, 0.333298412, 1.0],
        [0.56601138, 0.71580544, 0.341630497, 1.0],
        [0.563056745, 0.721941711, 0.3501384, 1.0],
        [0.560089414, 0.728051649, 0.358830061, 1.0],
        [0.557125265, 0.734130846, 0.367715029, 1.0],
        [0.554183268, 0.740174278, 0.376803179, 1.0],
        [0.551287126, 0.746175974, 0.386103679, 1.0],
        [0.548465036, 0.75212914, 0.395625264, 1.0],
        [0.54574957, 0.758026251, 0.405376475, 1.0],
        [0.543179217, 0.763858768, 0.415364376, 1.0],
        [0.540799047, 0.769617094, 0.425593632, 1.0],
        [0.538659811, 0.77529084, 0.436066731, 1.0],
        [0.536817536, 0.780868963, 0.446783548, 1.0],
        [0.535335343, 0.78633953, 0.457737534, 1.0],
        [0.534278761, 0.791690666, 0.468918338, 1.0],
        [0.533715511, 0.796910672, 0.480308636, 1.0],
        [0.533711709, 0.801988767, 0.491884238, 1.0],
        [0.534327642, 0.806915841, 0.503614745, 1.0],
        [0.53561395, 0.811685098, 0.515463722, 1.0],
        [0.537607635, 0.816292665, 0.527390329, 1.0],
        [0.54032907, 0.820737946, 0.539351951, 1.0],
        [0.543780949, 0.825023653, 0.55130587, 1.0],
        [0.547948638, 0.8291556, 0.563211325, 1.0],
        [0.55280224, 0.833142057, 0.575033368, 1.0],
        [0.558299957, 0.836993211, 0.586741619, 1.0],
        [0.564391283, 0.840720608, 0.598310539, 1.0],
        [0.571021443, 0.844336052, 0.609723142, 1.0],
        [0.578133893, 0.847851494, 0.620966664, 1.0],
        [0.585671889, 0.851278922, 0.632031031, 1.0],
        [0.593583217, 0.854628895, 0.642914613, 1.0],
        [0.601817475, 0.857911955, 0.65361483, 1.0],
        [0.610330112, 0.861137195, 0.664134379, 1.0],
        [0.61907874, 0.86431372, 0.674474137, 1.0],
        [0.628027429, 0.867449073, 0.684639388, 1.0],
        [0.637144203, 0.870550136, 0.694635674, 1.0],
        [0.646399461, 0.873623646, 0.704467255, 1.0],
        [0.655768813, 0.876675113, 0.714140715, 1.0],
        [0.665231937, 0.87970917, 0.723663503, 1.0],
        [0.674767553, 0.882731305, 0.733039168, 1.0],
        [0.684361951, 0.885744742, 0.742276253, 1.0],
        [0.693997517, 0.888754503, 0.751377326, 1.0],
        [0.703664959, 0.891762958, 0.760350712, 1.0],
        [0.713353054, 0.894773463, 0.769201151, 1.0],
        [0.72305222, 0.897789043, 0.77793338, 1.0],
        [0.732754323, 0.900812417, 0.786552081, 1.0],
        [0.742452495, 0.903846034, 0.795061843, 1.0],
        [0.752140978, 0.906892098, 0.803467129, 1.0],
        [0.761814971, 0.909952597, 0.81177225, 1.0],
        [0.771470496, 0.91302933, 0.819981342, 1.0],
        [0.781104285, 0.916123931, 0.828098348, 1.0],
        [0.79071163, 0.919238677, 0.836125645, 1.0],
        [0.800289792, 0.922375176, 0.84406647, 1.0],
        [0.809839077, 0.925533917, 0.851925535, 1.0],
        [0.819352928, 0.928718119, 0.859702687, 1.0],
        [0.828834401, 0.931927295, 0.867403505, 1.0],
        [0.838277414, 0.935164594, 0.875027488, 1.0],
        [0.847685083, 0.938429566, 0.882579409, 1.0],
        [0.857051716, 0.941725303, 0.890058452, 1.0],
        [0.866379155, 0.945051921, 0.897467925, 1.0],
        [0.875666602, 0.948410614, 0.90480923, 1.0],
        [0.884910046, 0.951803928, 0.91208173, 1.0],
        [0.894110256, 0.955232496, 0.919287094, 1.0],
        [0.903266377, 0.958697643, 0.92642573, 1.0],
        [0.912376723, 0.962201081, 0.93349724, 1.0],
        [0.921439357, 0.965744671, 0.940500717, 1.0],
        [0.930451314, 0.969330763, 0.947434349, 1.0],
        [0.93940998, 0.972961625, 0.95429606, 1.0],
        [0.948312072, 0.976639873, 0.961083012, 1.0],
        [0.957152227, 0.980369068, 0.967791105, 1.0],
        [0.965922871, 0.984153757, 0.974415316, 1.0],
        [0.974613024, 0.987999918, 0.98095011, 1.0],
        [0.983206531, 0.991915541, 0.987390771, 1.0],
        [0.991679773, 0.995911208, 0.993736879, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.arctic': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000233171379, 0.000230277145, 0.000274527507, 1.0],
        [0.000804618956, 0.000798357412, 0.000978696655, 1.0],
        [0.00165943451, 0.00165368583, 0.00207937053, 1.0],
        [0.00277258813, 0.00277420763, 0.00357020156, 1.0],
        [0.00412796982, 0.00414626223, 0.00545173197, 1.0],
        [0.0057138499, 0.00576031172, 0.00772779252, 1.0],
        [0.00752106657, 0.00760925143, 0.0104042114, 1.0],
        [0.00954214633, 0.00968757701, 0.0134880607, 1.0],
        [0.0117708304, 0.011990919, 0.016987078, 1.0],
        [0.0142017007, 0.0145157369, 0.0209098047, 1.0],
        [0.016829958, 0.0172591232, 0.0252655309, 1.0],
        [0.0196513259, 0.0202186812, 0.0300639016, 1.0],
        [0.0226619646, 0.0233924335, 0.0353147318, 1.0],
        [0.0258583238, 0.0267787353, 0.0410162996, 1.0],
        [0.0292371099, 0.0303762265, 0.0468033596, 1.0],
        [0.0327951699, 0.0341837741, 0.0525675026, 1.0],
        [0.0365296325, 0.0382004809, 0.0583133115, 1.0],
        [0.0404377416, 0.0423654461, 0.0640449173, 1.0],
        [0.0443371164, 0.046481954, 0.0697660223, 1.0],
        [0.0481816522, 0.0505544107, 0.0754799015, 1.0],
        [0.0519746336, 0.0545860426, 0.0811894744, 1.0],
        [0.0557187871, 0.0585797283, 0.0868974638, 1.0],
        [0.0594165314, 0.0625380542, 0.0926063336, 1.0],
        [0.063070092, 0.0664633724, 0.0983180132, 1.0],
        [0.0666814153, 0.0703578077, 0.104034465, 1.0],
        [0.0702522464, 0.0742232969, 0.109757491, 1.0],
        [0.0737841531, 0.0780616126, 0.115488751, 1.0],
        [0.0772785466, 0.0818743834, 0.121229783, 1.0],
        [0.0807366986, 0.0856631105, 0.126982017, 1.0],
        [0.0841597562, 0.0894291826, 0.132746786, 1.0],
        [0.0875487542, 0.0931738883, 0.138525338, 1.0],
        [0.0909046262, 0.0968984267, 0.144318844, 1.0],
        [0.0942282138, 0.100603917, 0.150128408, 1.0],
        [0.0975202746, 0.104291407, 0.155955069, 1.0],
        [0.100781489, 0.107961878, 0.161799811, 1.0],
        [0.104012469, 0.111616256, 0.167663567, 1.0],
        [0.107213757, 0.115255412, 0.173547224, 1.0],
        [0.11038584, 0.118880169, 0.179451622, 1.0],
        [0.113529145, 0.122491309, 0.185377565, 1.0],
        [0.116644047, 0.126089572, 0.191325815, 1.0],
        [0.119730755, 0.129675641, 0.197297537, 1.0],
        [0.122789631, 0.133250205, 0.203293117, 1.0],
        [0.125820921, 0.136813908, 0.209313169, 1.0],
        [0.12882482, 0.140367367, 0.21535833, 1.0],
        [0.131801479, 0.143911173, 0.221429212, 1.0],
        [0.134750946, 0.147445881, 0.227526627, 1.0],
        [0.137673166, 0.150972017, 0.233651583, 1.0],
        [0.140568349, 0.154490141, 0.239804013, 1.0],
        [0.143436501, 0.158000766, 0.245984427, 1.0],
        [0.146277439, 0.16150436, 0.252193832, 1.0],
        [0.149091036, 0.1650014, 0.258432884, 1.0],
        [0.151877389, 0.168492386, 0.26470139, 1.0],
        [0.154636193, 0.17197775, 0.271000337, 1.0],
        [0.157367168, 0.175457924, 0.277330492, 1.0],
        [0.160070392, 0.178933391, 0.283691361, 1.0],
        [0.162745192, 0.182404518, 0.290084693, 1.0],
        [0.165391624, 0.185871779, 0.29650983, 1.0],
        [0.168009165, 0.189335562, 0.302967779, 1.0],
        [0.170597506, 0.192796288, 0.309458769, 1.0],
        [0.173156235, 0.196254363, 0.31598321, 1.0],
        [0.175684919, 0.199710195, 0.322541447, 1.0],
        [0.178182987, 0.203164175, 0.329134093, 1.0],
        [0.180650173, 0.206616739, 0.335760757, 1.0],
        [0.183085426, 0.210068228, 0.342423136, 1.0],
        [0.185488654, 0.21351911, 0.349120099, 1.0],
        [0.187858967, 0.216969762, 0.355852595, 1.0],
        [0.190195513, 0.220420576, 0.362621301, 1.0],
        [0.192497853, 0.223871999, 0.369425641, 1.0],
        [0.194765156, 0.227324445, 0.376265946, 1.0],
        [0.196996298, 0.23077831, 0.383143124, 1.0],
        [0.199190486, 0.234234037, 0.390057046, 1.0],
        [0.201346869, 0.237692078, 0.397007588, 1.0],
        [0.203464399, 0.24115288, 0.403994929, 1.0],
        [0.205541967, 0.244616901, 0.411019207, 1.0],
        [0.207578404, 0.248084613, 0.418080507, 1.0],
        [0.209572473, 0.251556503, 0.425178858, 1.0],
        [0.211522872, 0.255033071, 0.432314228, 1.0],
        [0.213428228, 0.258514839, 0.439486516, 1.0],
        [0.215287095, 0.262002344, 0.446695545, 1.0],
        [0.217097952, 0.265496146, 0.453941054, 1.0],
        [0.218859201, 0.268996828, 0.461222691, 1.0],
        [0.220568556, 0.272504964, 0.468541227, 1.0],
        [0.222224688, 0.276021217, 0.475895158, 1.0],
        [0.22382576, 0.279546253, 0.48328375, 1.0],
        [0.225368961, 0.283080732, 0.490707812, 1.0],
        [0.226852716, 0.28662541, 0.498165397, 1.0],
        [0.228274203, 0.290181035, 0.505656556, 1.0],
        [0.22963128, 0.293748426, 0.513179675, 1.0],
        [0.230920575, 0.297328417, 0.520734907, 1.0],
        [0.232139897, 0.300921925, 0.528319852, 1.0],
        [0.233286007, 0.304529898, 0.535933474, 1.0],
        [0.234355049, 0.308153341, 0.543575168, 1.0],
        [0.235343955, 0.311793336, 0.551242462, 1.0],
        [0.236248975, 0.315451027, 0.558933391, 1.0],
        [0.237066091, 0.319127633, 0.566645747, 1.0],
        [0.237791074, 0.322824453, 0.574376926, 1.0],
        [0.238418694, 0.326542887, 0.582124964, 1.0],
        [0.238944707, 0.330284414, 0.589885687, 1.0],
        [0.239364262, 0.334050616, 0.597654955, 1.0],
        [0.239670357, 0.337843235, 0.605430392, 1.0],
        [0.239858557, 0.341664055, 0.613205367, 1.0],
        [0.239921821, 0.345515059, 0.620975383, 1.0],
        [0.239853218, 0.349398358, 0.628734538, 1.0],
        [0.239646145, 0.353316179, 0.636475324, 1.0],
        [0.239293189, 0.357270922, 0.644189794, 1.0],
        [0.238786055, 0.361265184, 0.651869412, 1.0],
        [0.238117129, 0.365301666, 0.659503461, 1.0],
        [0.237278621, 0.36938322, 0.66707989, 1.0],
        [0.236262155, 0.373512884, 0.674585545, 1.0],
        [0.235059583, 0.377693824, 0.682005403, 1.0],
        [0.233664382, 0.38192919, 0.689321651, 1.0],
        [0.2320698, 0.386222262, 0.696515171, 1.0],
        [0.230272156, 0.390576102, 0.70356355, 1.0],
        [0.228269532, 0.394993631, 0.71044243, 1.0],
        [0.226063977, 0.399477335, 0.717124823, 1.0],
        [0.22366202, 0.40402912, 0.723581758, 1.0],
        [0.221076959, 0.408649947, 0.729782417, 1.0],
        [0.21832968, 0.413339603, 0.735695345, 1.0],
        [0.215449884, 0.41809642, 0.741289724, 1.0],
        [0.212477606, 0.422916942, 0.746536881, 1.0],
        [0.209463074, 0.427795815, 0.751412347, 1.0],
        [0.206465491, 0.432725854, 0.755897846, 1.0],
        [0.20355123, 0.437698244, 0.759982868, 1.0],
        [0.200790629, 0.442702971, 0.763665648, 1.0],
        [0.198254295, 0.447729383, 0.766953291, 1.0],
        [0.196009139, 0.452766823, 0.769860989, 1.0],
        [0.194114951, 0.457805201, 0.772410527, 1.0],
        [0.192621965, 0.462835416, 0.774628409, 1.0],
        [0.191569348, 0.467849635, 0.776543907, 1.0],
        [0.19098524, 0.472841292, 0.778187567, 1.0],
        [0.190885698, 0.477805369, 0.779589234, 1.0],
        [0.19127741, 0.482737902, 0.780777858, 1.0],
        [0.192157514, 0.487636156, 0.781780144, 1.0],
        [0.193516056, 0.492498211, 0.782620837, 1.0],
        [0.195336929, 0.497322934, 0.783322277, 1.0],
        [0.19759934, 0.502109824, 0.783904389, 1.0],
        [0.200279192, 0.506858881, 0.784384786, 1.0],
        [0.203350478, 0.511570398, 0.784779328, 1.0],
        [0.206785951, 0.516244993, 0.785101857, 1.0],
        [0.210558133, 0.520883449, 0.785364775, 1.0],
        [0.21463978, 0.525486773, 0.785578633, 1.0],
        [0.21900458, 0.530056012, 0.785753024, 1.0],
        [0.223627381, 0.534592295, 0.785896348, 1.0],
        [0.228484449, 0.539096805, 0.786015955, 1.0],
        [0.233553633, 0.54357075, 0.786118277, 1.0],
        [0.238814372, 0.548015301, 0.786209326, 1.0],
        [0.244247775, 0.552431669, 0.786294111, 1.0],
        [0.249836618, 0.556821063, 0.786376932, 1.0],
        [0.255565073, 0.561184601, 0.78646219, 1.0],
        [0.261418931, 0.565523442, 0.78655322, 1.0],
        [0.267385341, 0.569838701, 0.786653101, 1.0],
        [0.273452573, 0.574131425, 0.786764969, 1.0],
        [0.279610172, 0.578402659, 0.786891329, 1.0],
        [0.285848805, 0.58265342, 0.78703432, 1.0],
        [0.292160043, 0.586884681, 0.787196017, 1.0],
        [0.298536346, 0.591097378, 0.787378267, 1.0],
        [0.304970976, 0.595292419, 0.78758272, 1.0],
        [0.311457922, 0.599470679, 0.78781085, 1.0],
        [0.31799178, 0.603632999, 0.788064059, 1.0],
        [0.324567662, 0.607780186, 0.788343719, 1.0],
        [0.331181434, 0.611913034, 0.788650686, 1.0],
        [0.337829318, 0.616032296, 0.788985923, 1.0],
        [0.344507793, 0.620138696, 0.789350557, 1.0],
        [0.351213857, 0.624232937, 0.789745396, 1.0],
        [0.357945018, 0.628315697, 0.790170911, 1.0],
        [0.364698543, 0.632387627, 0.790628337, 1.0],
        [0.371472702, 0.636449356, 0.791117743, 1.0],
        [0.378265294, 0.640501495, 0.791640206, 1.0],
        [0.385074989, 0.644544624, 0.7921958, 1.0],
        [0.391899948, 0.648579321, 0.792785568, 1.0],
        [0.398739225, 0.652606122, 0.793409493, 1.0],
        [0.405591483, 0.656625563, 0.794068296, 1.0],
        [0.412455751, 0.660638156, 0.79476235, 1.0],
        [0.41933127, 0.664644391, 0.795491889, 1.0],
        [0.426217137, 0.668644756, 0.796257468, 1.0],
        [0.433112697, 0.672639715, 0.797059421, 1.0],
        [0.440017472, 0.676629713, 0.797897951, 1.0],
        [0.446930955, 0.680615189, 0.798773396, 1.0],
        [0.453852643, 0.684596572, 0.799686162, 1.0],
        [0.460782169, 0.688574277, 0.800636552, 1.0],
        [0.467719305, 0.692548699, 0.801624758, 1.0],
        [0.474663794, 0.696520228, 0.802651067, 1.0],
        [0.481615423, 0.700489244, 0.803715761, 1.0],
        [0.488574025, 0.704456118, 0.804819112, 1.0],
        [0.495539466, 0.708421212, 0.80596139, 1.0],
        [0.502511648, 0.712384878, 0.807142859, 1.0],
        [0.509490468, 0.716347464, 0.80836382, 1.0],
        [0.516475923, 0.720309302, 0.809624485, 1.0],
        [0.523467994, 0.724270721, 0.810925111, 1.0],
        [0.53046668, 0.728232045, 0.812265957, 1.0],
        [0.537471997, 0.732193588, 0.813647284, 1.0],
        [0.544483974, 0.736155662, 0.815069356, 1.0],
        [0.551502655, 0.740118572, 0.816532436, 1.0],
        [0.558528093, 0.744082616, 0.818036793, 1.0],
        [0.565560351, 0.748048092, 0.819582695, 1.0],
        [0.572599494, 0.752015291, 0.821170421, 1.0],
        [0.579645572, 0.755984504, 0.822800274, 1.0],
        [0.586698691, 0.759956011, 0.824472509, 1.0],
        [0.593758934, 0.763930095, 0.82618741, 1.0],
        [0.600826384, 0.767907032, 0.827945267, 1.0],
        [0.607901129, 0.7718871, 0.829746373, 1.0],
        [0.61498325, 0.775870574, 0.831591029, 1.0],
        [0.622072834, 0.779857725, 0.833479537, 1.0],
        [0.629169958, 0.783848826, 0.835412205, 1.0],
        [0.6362747, 0.787844149, 0.83738935, 1.0],
        [0.643387067, 0.791843978, 0.839411351, 1.0],
        [0.650507192, 0.795848572, 0.841478467, 1.0],
        [0.657635139, 0.799858201, 0.843591026, 1.0],
        [0.664770965, 0.803873137, 0.845749356, 1.0],
        [0.671914719, 0.807893655, 0.847953794, 1.0],
        [0.6790664, 0.811920038, 0.850204719, 1.0],
        [0.686226039, 0.815952565, 0.852502471, 1.0],
        [0.693393708, 0.819991503, 0.854847355, 1.0],
        [0.700569422, 0.824037135, 0.857239719, 1.0],
        [0.707753182, 0.828089747, 0.859679918, 1.0],
        [0.714944891, 0.832149648, 0.862168381, 1.0],
        [0.722144634, 0.836217106, 0.864705376, 1.0],
        [0.729352388, 0.840292417, 0.867291253, 1.0],
        [0.736568084, 0.844375889, 0.869926392, 1.0],
        [0.743791613, 0.84846784, 0.872611193, 1.0],
        [0.751023008, 0.852568559, 0.875345929, 1.0],
        [0.758262202, 0.856678357, 0.878130945, 1.0],
        [0.765508972, 0.860797591, 0.880966691, 1.0],
        [0.772763339, 0.864926558, 0.883853414, 1.0],
        [0.780025213, 0.869065585, 0.886791435, 1.0],
        [0.787294319, 0.873215052, 0.889781195, 1.0],
        [0.794570638, 0.877375274, 0.892822926, 1.0],
        [0.801854042, 0.881546599, 0.895916926, 1.0],
        [0.809144173, 0.885729441, 0.899063637, 1.0],
        [0.816441048, 0.889924117, 0.902263216, 1.0],
        [0.823744365, 0.894131035, 0.905516019, 1.0],
        [0.831053886, 0.89835059, 0.908822338, 1.0],
        [0.838369506, 0.902583145, 0.912182351, 1.0],
        [0.845690727, 0.90682918, 0.915596469, 1.0],
        [0.85301755, 0.911089037, 0.919064754, 1.0],
        [0.860349445, 0.915363219, 0.922587577, 1.0],
        [0.867686293, 0.919652113, 0.926165022, 1.0],
        [0.8750276, 0.923956223, 0.929797371, 1.0],
        [0.882373139, 0.928275982, 0.933484713, 1.0],
        [0.889722392, 0.932611918, 0.93722727, 1.0],
        [0.897075091, 0.936964489, 0.941025082, 1.0],
        [0.904430596, 0.941334277, 0.944878356, 1.0],
        [0.91178868, 0.945721742, 0.948787026, 1.0],
        [0.919148458, 0.950127565, 0.952751328, 1.0],
        [0.926509697, 0.954552226, 0.956771099, 1.0],
        [0.933871535, 0.95899642, 0.96084644, 1.0],
        [0.941233327, 0.963460782, 0.964977268, 1.0],
        [0.94859441, 0.96794597, 0.969163437, 1.0],
        [0.955953566, 0.972452838, 0.973404963, 1.0],
        [0.963310039, 0.976982106, 0.977701539, 1.0],
        [0.970662646, 0.981534657, 0.982052927, 1.0],
        [0.978009723, 0.986111562, 0.986458936, 1.0],
        [0.985349764, 0.990713869, 0.99091911, 1.0],
        [0.992680732, 0.995342843, 0.995432977, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.chroma': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000162867116, 0.000246906118, 0.000384764277, 1.0],
        [0.000519993908, 0.000863609112, 0.00144924295, 1.0],
        [0.000991978257, 0.00180186459, 0.0032393913, 1.0],
        [0.00153234818, 0.00304049097, 0.00583126671, 1.0],
        [0.00210618239, 0.00456526582, 0.0093128832, 1.0],
        [0.00268501352, 0.0063647194, 0.0137822567, 1.0],
        [0.00324478964, 0.00842841367, 0.0193474325, 1.0],
        [0.00376493586, 0.0107460096, 0.0261270805, 1.0],
        [0.00422793538, 0.0133066532, 0.0342513135, 1.0],
        [0.00461816299, 0.0160984983, 0.0437304615, 1.0],
        [0.00492406847, 0.0191082323, 0.053594826, 1.0],
        [0.00513754817, 0.0223207832, 0.063669881, 1.0],
        [0.00525200581, 0.0257187495, 0.0739796288, 1.0],
        [0.00526599893, 0.0292820795, 0.0845420823, 1.0],
        [0.00518252557, 0.0329875945, 0.0953747815, 1.0],
        [0.00500962767, 0.0368084448, 0.106495347, 1.0],
        [0.00475964126, 0.0407080221, 0.117927213, 1.0],
        [0.00445538187, 0.0444750705, 0.129682333, 1.0],
        [0.00412594668, 0.0480574592, 0.141779969, 1.0],
        [0.00381077952, 0.0514374017, 0.154238229, 1.0],
        [0.00356168625, 0.0545935047, 0.167073324, 1.0],
        [0.00344509937, 0.057500435, 0.180298553, 1.0],
        [0.00354340473, 0.0601271585, 0.193929745, 1.0],
        [0.00395980127, 0.0624374524, 0.207976463, 1.0],
        [0.00482098309, 0.0643888005, 0.222442775, 1.0],
        [0.00628057305, 0.0659318223, 0.237324328, 1.0],
        [0.00852237986, 0.0670081804, 0.252609804, 1.0],
        [0.0117632265, 0.0675524495, 0.268268772, 1.0],
        [0.0162536969, 0.0674900098, 0.284253726, 1.0],
        [0.0222732585, 0.0667426449, 0.300483253, 1.0],
        [0.0301236762, 0.0652266824, 0.31684808, 1.0],
        [0.040105743, 0.0628670169, 0.333189427, 1.0],
        [0.051392982, 0.0596086525, 0.349299507, 1.0],
        [0.0631263967, 0.0554241731, 0.364937781, 1.0],
        [0.0751477676, 0.050334401, 0.379839063, 1.0],
        [0.0872844624, 0.0444105699, 0.393751145, 1.0],
        [0.0993702701, 0.0377796935, 0.406467596, 1.0],
        [0.111265297, 0.0311190155, 0.417856049, 1.0],
        [0.122868668, 0.0248888878, 0.427867571, 1.0],
        [0.13412122, 0.0192876752, 0.436527697, 1.0],
        [0.145000137, 0.0144324348, 0.443916563, 1.0],
        [0.155507524, 0.0103728263, 0.450145951, 1.0],
        [0.165665958, 0.00710022775, 0.455343005, 1.0],
        [0.175503848, 0.00457595756, 0.4596343, 1.0],
        [0.185055923, 0.00273638862, 0.463139978, 1.0],
        [0.194355399, 0.00151036146, 0.465968621, 1.0],
        [0.203434097, 0.000823163825, 0.468216269, 1.0],
        [0.212321383, 0.000601260984, 0.469966234, 1.0],
        [0.221043701, 0.000775122754, 0.471289789, 1.0],
        [0.22962448, 0.00128071822, 0.472247294, 1.0],
        [0.238084231, 0.00206016545, 0.472889489, 1.0],
        [0.246439324, 0.00306382431, 0.473259644, 1.0],
        [0.254706823, 0.00424370268, 0.473392189, 1.0],
        [0.262898675, 0.00556154361, 0.473317182, 1.0],
        [0.271027611, 0.00698049584, 0.473057707, 1.0],
        [0.279102788, 0.00847102625, 0.472633794, 1.0],
        [0.287133317, 0.0100058064, 0.472060636, 1.0],
        [0.295126873, 0.0115614619, 0.471350303, 1.0],
        [0.303089873, 0.0131181559, 0.470512278, 1.0],
        [0.311027639, 0.0146592117, 0.469553886, 1.0],
        [0.318945399, 0.0161694876, 0.468479688, 1.0],
        [0.326847277, 0.0176367296, 0.4672929, 1.0],
        [0.334736783, 0.0190507461, 0.465995244, 1.0],
        [0.342616868, 0.020403234, 0.464587172, 1.0],
        [0.350489971, 0.0216876336, 0.463068069, 1.0],
        [0.358358059, 0.0228990085, 0.461436423, 1.0],
        [0.366222657, 0.0240339481, 0.45968998, 1.0],
        [0.374084878, 0.025090491, 0.457825874, 1.0],
        [0.381945443, 0.0260680734, 0.455840759, 1.0],
        [0.389804721, 0.0269674453, 0.453730875, 1.0],
        [0.397662717, 0.0277906915, 0.451492189, 1.0],
        [0.405519096, 0.0285412032, 0.449120468, 1.0],
        [0.4133732, 0.0292236666, 0.446611352, 1.0],
        [0.421224051, 0.0298440706, 0.443960426, 1.0],
        [0.429070365, 0.0304097256, 0.441163283, 1.0],
        [0.436910557, 0.0309292923, 0.438215586, 1.0],
        [0.444742743, 0.0314128207, 0.435113126, 1.0],
        [0.452564744, 0.0318718, 0.431851874, 1.0],
        [0.460374089, 0.0323192174, 0.42842803, 1.0],
        [0.468168015, 0.0327696268, 0.424838076, 1.0],
        [0.475943512, 0.0332391286, 0.421078712, 1.0],
        [0.483697327, 0.033745447, 0.417146881, 1.0],
        [0.491425707, 0.0343085614, 0.413040396, 1.0],
        [0.499124707, 0.034950166, 0.408757301, 1.0],
        [0.506790078, 0.0356940001, 0.40429615, 1.0],
        [0.514417491, 0.0365654816, 0.399655442, 1.0],
        [0.522002001, 0.037592972, 0.394835037, 1.0],
        [0.529538329, 0.0388072937, 0.389835546, 1.0],
        [0.537021243, 0.040241021, 0.384657209, 1.0],
        [0.544444894, 0.0418899226, 0.379301856, 1.0],
        [0.551803077, 0.0437735281, 0.373772288, 1.0],
        [0.559089726, 0.0459131817, 0.368070612, 1.0],
        [0.566297793, 0.0483260011, 0.362202173, 1.0],
        [0.573420692, 0.0510249749, 0.356170533, 1.0],
        [0.580450913, 0.0540213239, 0.349982698, 1.0],
        [0.587381143, 0.0573224611, 0.343644988, 1.0],
        [0.594203767, 0.0609329561, 0.337165079, 1.0],
        [0.600910852, 0.0648546392, 0.330552498, 1.0],
        [0.607494575, 0.0690863205, 0.323816831, 1.0],
        [0.613947071, 0.0736243565, 0.316968583, 1.0],
        [0.620260347, 0.0784629764, 0.310020289, 1.0],
        [0.626426667, 0.0835943046, 0.302984707, 1.0],
        [0.632438517, 0.0890087483, 0.29587544, 1.0],
        [0.638288709, 0.0946952345, 0.288706809, 1.0],
        [0.643970491, 0.100641429, 0.281493689, 1.0],
        [0.649477655, 0.106833955, 0.274251252, 1.0],
        [0.654804632, 0.113258549, 0.266994984, 1.0],
        [0.6599466, 0.119900288, 0.259740173, 1.0],
        [0.664899549, 0.126743767, 0.252501729, 1.0],
        [0.669660343, 0.133773286, 0.245293961, 1.0],
        [0.674226747, 0.140973033, 0.238130323, 1.0],
        [0.678597438, 0.148327267, 0.231023194, 1.0],
        [0.682771989, 0.155820498, 0.223983682, 1.0],
        [0.686750819, 0.163437654, 0.217021457, 1.0],
        [0.690535134, 0.171164236, 0.210144643, 1.0],
        [0.694126836, 0.178986457, 0.203359744, 1.0],
        [0.69752843, 0.186891352, 0.196671622, 1.0],
        [0.700743028, 0.194866575, 0.190084162, 1.0],
        [0.703773982, 0.202901161, 0.183598729, 1.0],
        [0.706624942, 0.210985054, 0.177215463, 1.0],
        [0.70929981, 0.219109032, 0.170933532, 1.0],
        [0.711802772, 0.227264504, 0.164751604, 1.0],
        [0.714137486, 0.235444868, 0.158665205, 1.0],
        [0.716308246, 0.243643115, 0.152671597, 1.0],
        [0.718318516, 0.251854344, 0.146764809, 1.0],
        [0.720172319, 0.26007321, 0.140940649, 1.0],
        [0.721872606, 0.268296464, 0.135191821, 1.0],
        [0.723423147, 0.27651989, 0.129513737, 1.0],
        [0.724826487, 0.2847413, 0.123898851, 1.0],
        [0.726085228, 0.29295851, 0.118340448, 1.0],
        [0.727201857, 0.301169574, 0.112832176, 1.0],
        [0.728178778, 0.309372733, 0.107368129, 1.0],
        [0.729017465, 0.317567379, 0.101941021, 1.0],
        [0.729719489, 0.325752724, 0.0965446617, 1.0],
        [0.730286153, 0.333928244, 0.0911731401, 1.0],
        [0.730718493, 0.342093636, 0.0858209181, 1.0],
        [0.7310173, 0.350248779, 0.0804829453, 1.0],
        [0.731183129, 0.358393699, 0.0751547954, 1.0],
        [0.731216315, 0.366528539, 0.0698328359, 1.0],
        [0.731116993, 0.374653527, 0.0645144468, 1.0],
        [0.730885401, 0.38276869, 0.0591988872, 1.0],
        [0.73052128, 0.390874418, 0.0538864433, 1.0],
        [0.730024077, 0.398971235, 0.0485793411, 1.0],
        [0.729393274, 0.407059514, 0.0432830834, 1.0],
        [0.728628447, 0.415139444, 0.0380102295, 1.0],
        [0.7277292, 0.423211108, 0.0330725763, 1.0],
        [0.726694134, 0.431275288, 0.028578539, 1.0],
        [0.725522481, 0.439332154, 0.0245309879, 1.0],
        [0.724213709, 0.447381624, 0.0209345748, 1.0],
        [0.722765968, 0.455424499, 0.0177932038, 1.0],
        [0.721178603, 0.463460614, 0.0151139005, 1.0],
        [0.719450034, 0.471490385, 0.0129034121, 1.0],
        [0.717578728, 0.479514093, 0.0111696237, 1.0],
        [0.715563473, 0.487531726, 0.00992167759, 1.0],
        [0.713402011, 0.49554386, 0.00916835746, 1.0],
        [0.711093082, 0.503550348, 0.0089202484, 1.0],
        [0.708633928, 0.511551874, 0.00918715968, 1.0],
        [0.706022885, 0.519548358, 0.00998055273, 1.0],
        [0.703256797, 0.527540497, 0.0113112827, 1.0],
        [0.700333308, 0.535528403, 0.0131914645, 1.0],
        [0.697248836, 0.543512754, 0.0156330268, 1.0],
        [0.694000118, 0.551493913, 0.0186488222, 1.0],
        [0.690583003, 0.559472567, 0.0222519914, 1.0],
        [0.686993159, 0.567449327, 0.0264564846, 1.0],
        [0.683225628, 0.575424941, 0.0312769913, 1.0],
        [0.67927489, 0.583400234, 0.036729172, 1.0],
        [0.675134865, 0.591376076, 0.0427509268, 1.0],
        [0.670798729, 0.599353448, 0.048912375, 1.0],
        [0.666258945, 0.607333387, 0.055154944, 1.0],
        [0.661507217, 0.615316976, 0.0614667048, 1.0],
        [0.656534234, 0.62330542, 0.0678401362, 1.0],
        [0.651329933, 0.631299887, 0.074271105, 1.0],
        [0.645883015, 0.639301674, 0.0807581459, 1.0],
        [0.640181118, 0.647312078, 0.0873019542, 1.0],
        [0.634210936, 0.655332309, 0.0939049938, 1.0],
        [0.627956874, 0.663363935, 0.1005714, 1.0],
        [0.621403808, 0.671407803, 0.107306437, 1.0],
        [0.614531776, 0.679465883, 0.114117128, 1.0],
        [0.607322678, 0.687538811, 0.12101115, 1.0],
        [0.599754661, 0.695627797, 0.127997639, 1.0],
        [0.591801878, 0.703734509, 0.135087294, 1.0],
        [0.583439746, 0.711859307, 0.142291328, 1.0],
        [0.574638962, 0.720003042, 0.149622601, 1.0],
        [0.565366923, 0.728166424, 0.157095387, 1.0],
        [0.55558604, 0.736350308, 0.164725785, 1.0],
        [0.545257929, 0.744554359, 0.172530767, 1.0],
        [0.534337843, 0.752778386, 0.180529474, 1.0],
        [0.522775708, 0.761021762, 0.188743035, 1.0],
        [0.510515333, 0.769283312, 0.197194796, 1.0],
        [0.497493503, 0.777561172, 0.205910588, 1.0],
        [0.483634506, 0.785853509, 0.214920226, 1.0],
        [0.468859095, 0.794156075, 0.22425512, 1.0],
        [0.453075331, 0.80246365, 0.233950671, 1.0],
        [0.436166044, 0.810771415, 0.244049843, 1.0],
        [0.418014515, 0.819069364, 0.25459574, 1.0],
        [0.398466974, 0.827347769, 0.265642088, 1.0],
        [0.377353041, 0.835592127, 0.27724696, 1.0],
        [0.354474232, 0.843783445, 0.289475347, 1.0],
        [0.329594196, 0.851897475, 0.302400858, 1.0],
        [0.302434518, 0.859902648, 0.316105006, 1.0],
        [0.272692702, 0.867755914, 0.330668567, 1.0],
        [0.240014665, 0.875403442, 0.34617503, 1.0],
        [0.2040322, 0.882776128, 0.362692416, 1.0],
        [0.164415609, 0.889788886, 0.380250268, 1.0],
        [0.120980526, 0.896345124, 0.39881067, 1.0],
        [0.0740277319, 0.902348679, 0.418240542, 1.0],
        [0.0277588786, 0.907722788, 0.438293044, 1.0],
        [0.0127789185, 0.912431752, 0.458635213, 1.0],
        [0.0393179496, 0.916491048, 0.478922144, 1.0],
        [0.0871928025, 0.919959629, 0.498858624, 1.0],
        [0.133328898, 0.922920417, 0.518244914, 1.0],
        [0.176375421, 0.925461393, 0.536972167, 1.0],
        [0.216411634, 0.92766353, 0.555001352, 1.0],
        [0.253735141, 0.929595772, 0.572338103, 1.0],
        [0.288652031, 0.931315764, 0.589007926, 1.0],
        [0.321458374, 0.93286847, 0.605054746, 1.0],
        [0.352396293, 0.934291956, 0.6205184, 1.0],
        [0.381685935, 0.935615479, 0.635444286, 1.0],
        [0.409520082, 0.936861748, 0.649877377, 1.0],
        [0.43603052, 0.938054767, 0.663844355, 1.0],
        [0.461372763, 0.939207375, 0.677389198, 1.0],
        [0.48565757, 0.940333925, 0.690541118, 1.0],
        [0.508980779, 0.941446605, 0.703326643, 1.0],
        [0.531428755, 0.942555183, 0.715771194, 1.0],
        [0.553079254, 0.94366743, 0.727898804, 1.0],
        [0.5739983, 0.944790449, 0.7397302, 1.0],
        [0.594227037, 0.945934675, 0.751276523, 1.0],
        [0.613843594, 0.947098972, 0.762566752, 1.0],
        [0.632863755, 0.948295861, 0.773602965, 1.0],
        [0.651353569, 0.94952298, 0.784410542, 1.0],
        [0.669333275, 0.950788565, 0.794995073, 1.0],
        [0.68683568, 0.9520962, 0.805368319, 1.0],
        [0.703896821, 0.953447167, 0.815543888, 1.0],
        [0.720540733, 0.954845112, 0.825530415, 1.0],
        [0.736789782, 0.956293264, 0.835336084, 1.0],
        [0.752664767, 0.957794492, 0.844968614, 1.0],
        [0.768185007, 0.959351368, 0.854435231, 1.0],
        [0.783368427, 0.960966214, 0.863742657, 1.0],
        [0.798231621, 0.962641157, 0.872897087, 1.0],
        [0.812789913, 0.964378176, 0.881904158, 1.0],
        [0.827057406, 0.966179153, 0.890768921, 1.0],
        [0.841047005, 0.968045921, 0.899495786, 1.0],
        [0.854767774, 0.969981318, 0.908087374, 1.0],
        [0.868222635, 0.971990189, 0.916543559, 1.0],
        [0.881430468, 0.974071084, 0.924870307, 1.0],
        [0.894399475, 0.976226231, 0.933068602, 1.0],
        [0.907123054, 0.978463482, 0.941132913, 1.0],
        [0.919616588, 0.980782027, 0.949065298, 1.0],
        [0.931882459, 0.983186045, 0.956861211, 1.0],
        [0.943909764, 0.985685186, 0.964509322, 1.0],
        [0.955708766, 0.98828074, 0.972003341, 1.0],
        [0.967250754, 0.990990257, 0.979320134, 1.0],
        [0.978527005, 0.99382353, 0.986441171, 1.0],
        [0.989471812, 0.996813902, 0.993334732, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.dusk': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000225036546, 0.000228327198, 0.000325089265, 1.0],
        [0.000772173553, 0.000789716201, 0.00118974705, 1.0],
        [0.00158437653, 0.00163173767, 0.00258887866, 1.0],
        [0.00263486115, 0.00273041342, 0.00454336709, 1.0],
        [0.00390604117, 0.00407008298, 0.007080819, 1.0],
        [0.00538485891, 0.0056390861, 0.0102329422, 1.0],
        [0.00706082302, 0.00742799729, 0.0140356337, 1.0],
        [0.00892568441, 0.0094290702, 0.0185231924, 1.0],
        [0.0109723005, 0.0116354901, 0.0237332235, 1.0],
        [0.0131941164, 0.0140409362, 0.0297087555, 1.0],
        [0.015585517, 0.016639685, 0.036492837, 1.0],
        [0.0181419275, 0.0194266828, 0.0439721402, 1.0],
        [0.0208581855, 0.0223964683, 0.0515385255, 1.0],
        [0.0237302706, 0.0255442586, 0.0591473864, 1.0],
        [0.0267545244, 0.0288654859, 0.0668034952, 1.0],
        [0.0299262451, 0.0323546676, 0.0745214572, 1.0],
        [0.0332430526, 0.0360080586, 0.0822969717, 1.0],
        [0.0366999423, 0.0398196426, 0.0901472541, 1.0],
        [0.0402948385, 0.0436541538, 0.0980668135, 1.0],
        [0.0438767569, 0.0474163685, 0.106067697, 1.0],
        [0.0473997313, 0.051116673, 0.11415237, 1.0],
        [0.0508691721, 0.054757675, 0.122321125, 1.0],
        [0.0542860749, 0.0583400602, 0.130586123, 1.0],
        [0.0576526408, 0.0618658127, 0.138947632, 1.0],
        [0.0609704442, 0.0653364649, 0.147407743, 1.0],
        [0.0642403438, 0.0687529617, 0.15597129, 1.0],
        [0.0674628775, 0.0721160974, 0.16464288, 1.0],
        [0.0706382601, 0.0754265586, 0.173426842, 1.0],
        [0.0737663729, 0.078684969, 0.182327155, 1.0],
        [0.0768467461, 0.0818919398, 0.191347359, 1.0],
        [0.079878532, 0.0850481248, 0.20049046, 1.0],
        [0.0828604694, 0.0881542834, 0.209758801, 1.0],
        [0.0857908379, 0.0912113538, 0.219153922, 1.0],
        [0.0886657196, 0.0942181738, 0.22868957, 1.0],
        [0.0914833705, 0.0971777973, 0.238356277, 1.0],
        [0.0942382863, 0.10008947, 0.24816691, 1.0],
        [0.0969262865, 0.10295609, 0.258115676, 1.0],
        [0.099540163, 0.105778522, 0.268209736, 1.0],
        [0.10207143, 0.108558652, 0.278453139, 1.0],
        [0.104510498, 0.111300288, 0.288843233, 1.0],
        [0.106844018, 0.114006569, 0.299385121, 1.0],
        [0.109057411, 0.116684386, 0.310070433, 1.0],
        [0.1111303, 0.11934022, 0.32090032, 1.0],
        [0.113038378, 0.12198451, 0.33186575, 1.0],
        [0.114749734, 0.124630199, 0.342958131, 1.0],
        [0.116225101, 0.127296288, 0.354155589, 1.0],
        [0.117410887, 0.130006202, 0.365437553, 1.0],
        [0.118242136, 0.132795304, 0.37675293, 1.0],
        [0.118629846, 0.135708648, 0.388042191, 1.0],
        [0.11846639, 0.138810246, 0.399194384, 1.0],
        [0.117615027, 0.142182052, 0.410056591, 1.0],
        [0.115924034, 0.145925887, 0.420399185, 1.0],
        [0.113258155, 0.15015004, 0.429911449, 1.0],
        [0.109546854, 0.154936741, 0.438247945, 1.0],
        [0.10484845, 0.160299084, 0.445117162, 1.0],
        [0.0993518341, 0.166160674, 0.450393522, 1.0],
        [0.0933149422, 0.172383599, 0.454142315, 1.0],
        [0.0869971012, 0.178818405, 0.456551516, 1.0],
        [0.0806284456, 0.185338572, 0.457846037, 1.0],
        [0.074415189, 0.191850174, 0.458235726, 1.0],
        [0.0685554496, 0.198288225, 0.457897553, 1.0],
        [0.0632524141, 0.204609438, 0.456975623, 1.0],
        [0.0587166274, 0.21078627, 0.455585971, 1.0],
        [0.0551602987, 0.216801865, 0.453823282, 1.0],
        [0.0527787066, 0.222646735, 0.451766402, 1.0],
        [0.0517210829, 0.228317008, 0.449481071, 1.0],
        [0.0520647149, 0.233812536, 0.447023718, 1.0],
        [0.0537984241, 0.239136225, 0.444442172, 1.0],
        [0.0568281829, 0.244293002, 0.441777814, 1.0],
        [0.0609994158, 0.249289375, 0.439065993, 1.0],
        [0.0661274729, 0.254132769, 0.436337773, 1.0],
        [0.0720246675, 0.258831681, 0.433617617, 1.0],
        [0.0785187368, 0.263394728, 0.430927282, 1.0],
        [0.0854613781, 0.267830707, 0.42828479, 1.0],
        [0.0927305703, 0.272148422, 0.425704583, 1.0],
        [0.10022898, 0.276356511, 0.423197933, 1.0],
        [0.107880596, 0.280463302, 0.420773409, 1.0],
        [0.115625433, 0.284476567, 0.418439886, 1.0],
        [0.12341936, 0.288403917, 0.416200834, 1.0],
        [0.131227867, 0.292252334, 0.414060584, 1.0],
        [0.139024965, 0.296028366, 0.412022062, 1.0],
        [0.146791321, 0.299738119, 0.410087001, 1.0],
        [0.154512753, 0.303387261, 0.408256158, 1.0],
        [0.162179049, 0.306981034, 0.406529521, 1.0],
        [0.169783039, 0.31052427, 0.404906478, 1.0],
        [0.177319519, 0.314021429, 0.403386454, 1.0],
        [0.184784595, 0.317476648, 0.40196914, 1.0],
        [0.192177013, 0.320893702, 0.4006522, 1.0],
        [0.199495076, 0.324276125, 0.399435094, 1.0],
        [0.206738657, 0.327627159, 0.398316052, 1.0],
        [0.213908268, 0.330949789, 0.397293125, 1.0],
        [0.22100441, 0.334246809, 0.39636487, 1.0],
        [0.228027771, 0.337520831, 0.395529948, 1.0],
        [0.234979537, 0.340774271, 0.394786606, 1.0],
        [0.241861066, 0.344009379, 0.394133028, 1.0],
        [0.248673604, 0.347228284, 0.393567629, 1.0],
        [0.255418412, 0.350432998, 0.393088828, 1.0],
        [0.262096519, 0.353625455, 0.392695309, 1.0],
        [0.268709137, 0.356807478, 0.39238543, 1.0],
        [0.275257376, 0.359980822, 0.392157543, 1.0],
        [0.281742123, 0.363147203, 0.392010085, 1.0],
        [0.288164083, 0.366308311, 0.391941471, 1.0],
        [0.294523358, 0.369465892, 0.391950556, 1.0],
        [0.300820499, 0.372621605, 0.392035196, 1.0],
        [0.307055579, 0.375777172, 0.392193334, 1.0],
        [0.313227892, 0.378934464, 0.392423285, 1.0],
        [0.319337115, 0.382095323, 0.392722061, 1.0],
        [0.325382257, 0.385261766, 0.393086567, 1.0],
        [0.331361872, 0.388435977, 0.393513132, 1.0],
        [0.337274731, 0.391620208, 0.393996376, 1.0],
        [0.343118773, 0.394817002, 0.394530385, 1.0],
        [0.348892711, 0.398028907, 0.395106331, 1.0],
        [0.354594859, 0.401258703, 0.395713949, 1.0],
        [0.36022506, 0.404509006, 0.396338913, 1.0],
        [0.36578418, 0.4077823, 0.396963964, 1.0],
        [0.371276142, 0.411080406, 0.397566868, 1.0],
        [0.376708412, 0.414404168, 0.398121365, 1.0],
        [0.382093831, 0.417752788, 0.398596778, 1.0],
        [0.387451425, 0.421123294, 0.398959807, 1.0],
        [0.39280683, 0.42451008, 0.399176831, 1.0],
        [0.39819151, 0.427904816, 0.399217093, 1.0],
        [0.403640262, 0.431296901, 0.399056652, 1.0],
        [0.409187969, 0.434674398, 0.398680831, 1.0],
        [0.414865604, 0.438025344, 0.398085909, 1.0],
        [0.420697226, 0.441339004, 0.397278249, 1.0],
        [0.426698307, 0.444606804, 0.396272117, 1.0],
        [0.432875825, 0.447822715, 0.395086469, 1.0],
        [0.439229391, 0.450983209, 0.393742287, 1.0],
        [0.445753457, 0.4540868, 0.392259724, 1.0],
        [0.452438961, 0.457133569, 0.390657301, 1.0],
        [0.459275329, 0.460124569, 0.388950649, 1.0],
        [0.466251569, 0.463061412, 0.387152657, 1.0],
        [0.473356971, 0.465945966, 0.385273868, 1.0],
        [0.480582007, 0.468780026, 0.383322107, 1.0],
        [0.487917716, 0.471565387, 0.381304235, 1.0],
        [0.495356964, 0.474303452, 0.379224592, 1.0],
        [0.50289283, 0.476995626, 0.377087805, 1.0],
        [0.510520347, 0.479642797, 0.3748962, 1.0],
        [0.518234416, 0.482245913, 0.372653063, 1.0],
        [0.526031604, 0.48480543, 0.370359897, 1.0],
        [0.533908438, 0.487321819, 0.368018972, 1.0],
        [0.541862253, 0.489795293, 0.365631999, 1.0],
        [0.54989122, 0.492225784, 0.363200077, 1.0],
        [0.557993005, 0.494613376, 0.360725596, 1.0],
        [0.566166506, 0.496957727, 0.358209669, 1.0],
        [0.574410627, 0.499258466, 0.355653899, 1.0],
        [0.582724047, 0.501515284, 0.353060662, 1.0],
        [0.591106052, 0.503727632, 0.350431905, 1.0],
        [0.599556401, 0.505894761, 0.347769338, 1.0],
        [0.608074574, 0.508015988, 0.345075485, 1.0],
        [0.616660031, 0.510090614, 0.34235332, 1.0],
        [0.62531256, 0.51211778, 0.339605774, 1.0],
        [0.634032016, 0.514096568, 0.336836131, 1.0],
        [0.642818293, 0.516026002, 0.334048068, 1.0],
        [0.651671301, 0.517905065, 0.331245714, 1.0],
        [0.660590942, 0.519732699, 0.328433709, 1.0],
        [0.669577082, 0.521507824, 0.325617267, 1.0],
        [0.678629973, 0.523229142, 0.322801665, 1.0],
        [0.687749536, 0.52489545, 0.319993234, 1.0],
        [0.696934983, 0.526505833, 0.317199875, 1.0],
        [0.706186451, 0.528058902, 0.314428993, 1.0],
        [0.715503776, 0.529553355, 0.311689167, 1.0],
        [0.724885946, 0.530988257, 0.308990861, 1.0],
        [0.734332513, 0.532362355, 0.306344727, 1.0],
        [0.743842962, 0.533674377, 0.303762489, 1.0],
        [0.753415491, 0.534923673, 0.301258452, 1.0],
        [0.763048828, 0.536109293, 0.298847395, 1.0],
        [0.772741239, 0.537230498, 0.296545841, 1.0],
        [0.782490439, 0.538286827, 0.294372215, 1.0],
        [0.792293494, 0.539278172, 0.292347003, 1.0],
        [0.802146714, 0.540204864, 0.290492894, 1.0],
        [0.81204707, 0.541066867, 0.288833444, 1.0],
        [0.821988159, 0.541866157, 0.287397108, 1.0],
        [0.831965579, 0.542603596, 0.286212059, 1.0],
        [0.84197126, 0.543282347, 0.285311557, 1.0],
        [0.851997117, 0.543905728, 0.284730576, 1.0],
        [0.862033228, 0.544478371, 0.284507511, 1.0],
        [0.872067531, 0.545006481, 0.284684415, 1.0],
        [0.882087007, 0.545497108, 0.285306528, 1.0],
        [0.892073303, 0.545961142, 0.28642519, 1.0],
        [0.902006208, 0.546411069, 0.288096311, 1.0],
        [0.911860107, 0.546863448, 0.29038328, 1.0],
        [0.921601991, 0.547340447, 0.293358885, 1.0],
        [0.931190423, 0.547870658, 0.297108001, 1.0],
        [0.94056883, 0.548494149, 0.301731674, 1.0],
        [0.949660923, 0.549266053, 0.307351127, 1.0],
        [0.95836037, 0.550264711, 0.314110122, 1.0],
        [0.966519027, 0.551601462, 0.32216869, 1.0],
        [0.973937891, 0.553429722, 0.331669694, 1.0],
        [0.980385065, 0.555934591, 0.342661497, 1.0],
        [0.985666111, 0.559282252, 0.354979696, 1.0],
        [0.989733764, 0.5635324, 0.368215204, 1.0],
        [0.992724216, 0.568600188, 0.381863166, 1.0],
        [0.994868638, 0.574316114, 0.395535378, 1.0],
        [0.996390418, 0.580507321, 0.409015519, 1.0],
        [0.997461713, 0.587036044, 0.422215116, 1.0],
        [0.998201891, 0.593804045, 0.435118082, 1.0],
        [0.998696145, 0.600740825, 0.447731141, 1.0],
        [0.998998743, 0.607799899, 0.460082683, 1.0],
        [0.999153904, 0.614944868, 0.472191299, 1.0],
        [0.999187376, 0.622153195, 0.484087055, 1.0],
        [0.999119518, 0.629407602, 0.495793441, 1.0],
        [0.998974103, 0.636690474, 0.507319005, 1.0],
        [0.998754081, 0.643997318, 0.518694662, 1.0],
        [0.998474506, 0.651317581, 0.529927838, 1.0],
        [0.998144762, 0.658644657, 0.541029704, 1.0],
        [0.997772664, 0.665973374, 0.552010094, 1.0],
        [0.997361709, 0.673301327, 0.562881436, 1.0],
        [0.996913236, 0.68062753, 0.573656231, 1.0],
        [0.996438497, 0.687946003, 0.584333385, 1.0],
        [0.995933948, 0.695258787, 0.594927812, 1.0],
        [0.995413397, 0.702559098, 0.605433313, 1.0],
        [0.994870775, 0.70985053, 0.615865211, 1.0],
        [0.994311015, 0.717131117, 0.626225491, 1.0],
        [0.993738226, 0.724399451, 0.636516479, 1.0],
        [0.993155786, 0.7316546, 0.646740777, 1.0],
        [0.992566416, 0.738896035, 0.656901204, 1.0],
        [0.991972263, 0.746123565, 0.667000741, 1.0],
        [0.991374964, 0.75333728, 0.677042484, 1.0],
        [0.990775721, 0.760537498, 0.687029601, 1.0],
        [0.990175356, 0.767724726, 0.696965291, 1.0],
        [0.989580284, 0.774896988, 0.706847195, 1.0],
        [0.988995676, 0.782052981, 0.716674126, 1.0],
        [0.98841322, 0.789197339, 0.726457222, 1.0],
        [0.987844771, 0.796325863, 0.736188723, 1.0],
        [0.98728949, 0.803439947, 0.745872533, 1.0],
        [0.986746123, 0.810541117, 0.755512676, 1.0],
        [0.986225265, 0.817625962, 0.765102597, 1.0],
        [0.98572071, 0.824698099, 0.77465049, 1.0],
        [0.98524062, 0.831755214, 0.784151894, 1.0],
        [0.984787894, 0.838797213, 0.793606955, 1.0],
        [0.984355217, 0.845828042, 0.803024317, 1.0],
        [0.983966419, 0.852839382, 0.812386517, 1.0],
        [0.983606171, 0.859838354, 0.821708819, 1.0],
        [0.983278335, 0.866824484, 0.830990329, 1.0],
        [0.983001151, 0.873791935, 0.840218671, 1.0],
        [0.982767679, 0.880744494, 0.849401943, 1.0],
        [0.982580301, 0.887682371, 0.858540626, 1.0],
        [0.982444525, 0.894604639, 0.867632777, 1.0],
        [0.982373124, 0.901507807, 0.876670956, 1.0],
        [0.982369642, 0.908391818, 0.885655118, 1.0],
        [0.982436783, 0.91525691, 0.894585959, 1.0],
        [0.9825832, 0.922101229, 0.903459817, 1.0],
        [0.982819209, 0.928922401, 0.912272134, 1.0],
        [0.983157556, 0.935717276, 0.921017064, 1.0],
        [0.983614715, 0.942481486, 0.929686835, 1.0],
        [0.984213258, 0.949208641, 0.93827066, 1.0],
        [0.984986752, 0.955888601, 0.946752852, 1.0],
        [0.98599189, 0.962502887, 0.955111087, 1.0],
        [0.987362188, 0.968994884, 0.963397871, 1.0],
        [0.990152568, 0.975015711, 0.97094078, 1.0],
        [0.992906793, 0.981131369, 0.977966737, 1.0],
        [0.995422785, 0.987349697, 0.985171861, 1.0],
        [0.997777892, 0.993642381, 0.992523576, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.eclipse': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000207517779, 0.000210625536, 0.000264510973, 1.0],
        [0.000712572983, 0.000730616561, 0.000949475382, 1.0],
        [0.00146225238, 0.00151423381, 0.00203025033, 1.0],
        [0.00243078526, 0.00254181697, 0.00350650496, 1.0],
        [0.00360049565, 0.00380143028, 0.00538381777, 1.0],
        [0.00495755524, 0.00528496381, 0.00767078602, 1.0],
        [0.00649035251, 0.00698659933, 0.0103776726, 1.0],
        [0.00818873039, 0.00890205203, 0.0135155309, 1.0],
        [0.0100433115, 0.0110281313, 0.017096767, 1.0],
        [0.0120455163, 0.0133624891, 0.0211335767, 1.0],
        [0.0141869468, 0.0159034314, 0.0256396198, 1.0],
        [0.0164596956, 0.0186498138, 0.0306280164, 1.0],
        [0.0188558519, 0.021600947, 0.0361129347, 1.0],
        [0.0213676021, 0.024756541, 0.0420617974, 1.0],
        [0.023987308, 0.0281166597, 0.0480627202, 1.0],
        [0.0267069926, 0.0316816869, 0.0540526568, 1.0],
        [0.0295188193, 0.035452302, 0.0600356007, 1.0],
        [0.0324148583, 0.0394294588, 0.0660149067, 1.0],
        [0.0353869306, 0.0434930157, 0.0719937137, 1.0],
        [0.0384265262, 0.0475122439, 0.0779750343, 1.0],
        [0.0414989566, 0.0515002703, 0.0839609823, 1.0],
        [0.0444830679, 0.0554602832, 0.0899533252, 1.0],
        [0.0473835605, 0.059395209, 0.0959537413, 1.0],
        [0.0502006572, 0.0633077506, 0.101963641, 1.0],
        [0.0529342578, 0.0672004215, 0.107984186, 1.0],
        [0.0555839615, 0.0710755733, 0.11401631, 1.0],
        [0.0581490844, 0.07493542, 0.120060722, 1.0],
        [0.0606286734, 0.0787820574, 0.126117919, 1.0],
        [0.063021448, 0.0826174854, 0.132188302, 1.0],
        [0.0653256077, 0.086443639, 0.138272478, 1.0],
        [0.0675397075, 0.0902623363, 0.144369837, 1.0],
        [0.0696617777, 0.0940753514, 0.150480037, 1.0],
        [0.0716889981, 0.0978844578, 0.156603387, 1.0],
        [0.0736190695, 0.101691322, 0.162738785, 1.0],
        [0.0754490307, 0.105497609, 0.16888548, 1.0],
        [0.0771754873, 0.109304969, 0.175042662, 1.0],
        [0.078794894, 0.113115022, 0.181209047, 1.0],
        [0.0803036966, 0.116929338, 0.187382731, 1.0],
        [0.0816969235, 0.120749588, 0.193562797, 1.0],
        [0.0829703096, 0.12457733, 0.199746748, 1.0],
        [0.0841188593, 0.128414153, 0.205932186, 1.0],
        [0.0851370063, 0.132261664, 0.21211653, 1.0],
        [0.0860187661, 0.136121473, 0.218296777, 1.0],
        [0.0867577246, 0.139995188, 0.224469467, 1.0],
        [0.0873470284, 0.143884412, 0.230630638, 1.0],
        [0.0877787186, 0.147790818, 0.236776295, 1.0],
        [0.0880448203, 0.151716015, 0.24290141, 1.0],
        [0.0881372411, 0.155661541, 0.24900005, 1.0],
        [0.0880454594, 0.159629144, 0.255066899, 1.0],
        [0.0877603171, 0.163620295, 0.261094511, 1.0],
        [0.0872710666, 0.167636539, 0.267075325, 1.0],
        [0.0865661085, 0.171679383, 0.273001015, 1.0],
        [0.0856333894, 0.175750226, 0.278862211, 1.0],
        [0.0844605366, 0.179850313, 0.284648432, 1.0],
        [0.0830350472, 0.183980686, 0.290348045, 1.0],
        [0.0813435237, 0.188142252, 0.295948608, 1.0],
        [0.0793731525, 0.192335569, 0.301436341, 1.0],
        [0.0771113447, 0.196560864, 0.306796447, 1.0],
        [0.0745475527, 0.200817801, 0.312012837, 1.0],
        [0.0716726081, 0.20510556, 0.317068727, 1.0],
        [0.0684809116, 0.209422603, 0.321946586, 1.0],
        [0.0649714972, 0.213766617, 0.326628626, 1.0],
        [0.0611494128, 0.218134471, 0.331097341, 1.0],
        [0.0570305993, 0.222521888, 0.335335907, 1.0],
        [0.0526414914, 0.226923791, 0.339329357, 1.0],
        [0.0480243681, 0.231334157, 0.343065188, 1.0],
        [0.0432424215, 0.235746085, 0.346534261, 1.0],
        [0.0383798926, 0.240152156, 0.349731583, 1.0],
        [0.0337984938, 0.244544656, 0.352656783, 1.0],
        [0.0297201953, 0.24891592, 0.355314297, 1.0],
        [0.0262539025, 0.253258676, 0.357713187, 1.0],
        [0.023497683, 0.257566347, 0.359866603, 1.0],
        [0.0215359752, 0.261833292, 0.361790985, 1.0],
        [0.0204380729, 0.266054952, 0.363505107, 1.0],
        [0.0202578619, 0.270227903, 0.365029081, 1.0],
        [0.0210346112, 0.274349826, 0.366383447, 1.0],
        [0.0227950431, 0.278419345, 0.367588674, 1.0],
        [0.0255540526, 0.282436041, 0.368664108, 1.0],
        [0.0293179724, 0.286400143, 0.369628189, 1.0],
        [0.0340854546, 0.290312539, 0.370497557, 1.0],
        [0.0398500389, 0.294174501, 0.371287591, 1.0],
        [0.0462492145, 0.297987645, 0.372012071, 1.0],
        [0.0529305048, 0.301753828, 0.372683209, 1.0],
        [0.0598083087, 0.305475062, 0.373311722, 1.0],
        [0.0668134863, 0.309153447, 0.373906943, 1.0],
        [0.0738946896, 0.312791059, 0.374477788, 1.0],
        [0.081014871, 0.31639008, 0.375030712, 1.0],
        [0.0881461312, 0.319952561, 0.375572797, 1.0],
        [0.0952687878, 0.323480577, 0.376109045, 1.0],
        [0.102368299, 0.326976111, 0.376644254, 1.0],
        [0.10943415, 0.330441082, 0.377182595, 1.0],
        [0.116458874, 0.333877334, 0.377727627, 1.0],
        [0.123437283, 0.337286637, 0.378282372, 1.0],
        [0.130365908, 0.340670682, 0.378849383, 1.0],
        [0.137242567, 0.344031081, 0.379430802, 1.0],
        [0.144065521, 0.347369387, 0.38002895, 1.0],
        [0.150834563, 0.35068706, 0.380645001, 1.0],
        [0.157549585, 0.353985498, 0.381280318, 1.0],
        [0.16421063, 0.357266051, 0.381936269, 1.0],
        [0.170818564, 0.360529978, 0.38261349, 1.0],
        [0.17737419, 0.363778495, 0.383312706, 1.0],
        [0.183878117, 0.367012787, 0.384034815, 1.0],
        [0.190331831, 0.370233932, 0.384779818, 1.0],
        [0.196736401, 0.373442994, 0.385548056, 1.0],
        [0.203092964, 0.376640991, 0.386339728, 1.0],
        [0.209402524, 0.379828914, 0.387155067, 1.0],
        [0.215666528, 0.383007674, 0.387993788, 1.0],
        [0.2218862, 0.386178165, 0.388855717, 1.0],
        [0.228062758, 0.389341242, 0.38974059, 1.0],
        [0.234197412, 0.392497728, 0.390648041, 1.0],
        [0.240291366, 0.395648413, 0.391577611, 1.0],
        [0.246345677, 0.398794074, 0.392528881, 1.0],
        [0.252361572, 0.401935434, 0.393501164, 1.0],
        [0.258340279, 0.405073186, 0.394493676, 1.0],
        [0.264282962, 0.408208002, 0.395505592, 1.0],
        [0.270190779, 0.411340526, 0.396536001, 1.0],
        [0.276064627, 0.414471414, 0.397584153, 1.0],
        [0.281905789, 0.417601239, 0.39864883, 1.0],
        [0.287715544, 0.420730549, 0.399728732, 1.0],
        [0.293494829, 0.423859916, 0.40082281, 1.0],
        [0.299244881, 0.426989846, 0.401929646, 1.0],
        [0.304967119, 0.430120784, 0.403047559, 1.0],
        [0.310662356, 0.433253252, 0.404175417, 1.0],
        [0.316332345, 0.436387592, 0.405311073, 1.0],
        [0.321978116, 0.439524239, 0.406453067, 1.0],
        [0.32760132, 0.442663495, 0.407599257, 1.0],
        [0.333203276, 0.445805694, 0.408747819, 1.0],
        [0.338785749, 0.448951058, 0.409896437, 1.0],
        [0.344350231, 0.45209983, 0.411043086, 1.0],
        [0.349898778, 0.455252117, 0.412185145, 1.0],
        [0.355432984, 0.458408074, 0.413320528, 1.0],
        [0.360955215, 0.46156768, 0.414446349, 1.0],
        [0.366467454, 0.464730941, 0.415560217, 1.0],
        [0.371972103, 0.467897745, 0.416659362, 1.0],
        [0.377471722, 0.471067902, 0.417740947, 1.0],
        [0.382968697, 0.47424121, 0.418802473, 1.0],
        [0.388466015, 0.477417298, 0.419840897, 1.0],
        [0.393966549, 0.480595766, 0.420853483, 1.0],
        [0.399473191, 0.483776154, 0.421837677, 1.0],
        [0.404989247, 0.486957863, 0.422790622, 1.0],
        [0.410517954, 0.490140251, 0.423709771, 1.0],
        [0.416062508, 0.493322623, 0.424592849, 1.0],
        [0.421626396, 0.496504171, 0.425437437, 1.0],
        [0.427213005, 0.499684045, 0.426241456, 1.0],
        [0.432825654, 0.502861358, 0.427003111, 1.0],
        [0.438467666, 0.506035168, 0.427720782, 1.0],
        [0.444142309, 0.509204494, 0.42839306, 1.0],
        [0.449852673, 0.512368353, 0.429018883, 1.0],
        [0.455601648, 0.515525762, 0.429597525, 1.0],
        [0.461392001, 0.518675733, 0.430128447, 1.0],
        [0.467226238, 0.52181731, 0.430611444, 1.0],
        [0.473106594, 0.524949576, 0.431046603, 1.0],
        [0.479035021, 0.528071664, 0.431434279, 1.0],
        [0.485013203, 0.531182764, 0.43177504, 1.0],
        [0.491042495, 0.534282139, 0.432069698, 1.0],
        [0.497123949, 0.53736913, 0.432319252, 1.0],
        [0.503258359, 0.540443151, 0.43252479, 1.0],
        [0.509446155, 0.543503721, 0.43268762, 1.0],
        [0.515687509, 0.546550442, 0.432809101, 1.0],
        [0.521982361, 0.549583, 0.43289061, 1.0],
        [0.528330458, 0.552601153, 0.432933478, 1.0],
        [0.534731194, 0.555604785, 0.432939203, 1.0],
        [0.541183841, 0.55859384, 0.432909156, 1.0],
        [0.547687646, 0.561568302, 0.432844459, 1.0],
        [0.554241534, 0.564528275, 0.432746382, 1.0],
        [0.560844315, 0.56747393, 0.432616089, 1.0],
        [0.567494897, 0.570405444, 0.432454376, 1.0],
        [0.574192037, 0.57332307, 0.43226201, 1.0],
        [0.580934247, 0.576227164, 0.432039852, 1.0],
        [0.587720377, 0.579118019, 0.431788135, 1.0],
        [0.594549029, 0.581996029, 0.431507217, 1.0],
        [0.601418623, 0.584861679, 0.431197512, 1.0],
        [0.608328284, 0.587715267, 0.430858363, 1.0],
        [0.615276179, 0.590557417, 0.430490163, 1.0],
        [0.622261289, 0.59338853, 0.430092107, 1.0],
        [0.629282179, 0.596209168, 0.429663755, 1.0],
        [0.63633758, 0.599019868, 0.429204284, 1.0],
        [0.643426268, 0.601821182, 0.428712645, 1.0],
        [0.650546961, 0.604613713, 0.428187674, 1.0],
        [0.657698296, 0.607398119, 0.427628114, 1.0],
        [0.66487935, 0.610174945, 0.427031927, 1.0],
        [0.672088311, 0.612945066, 0.426397983, 1.0],
        [0.679324489, 0.615709012, 0.425723436, 1.0],
        [0.686586244, 0.618467674, 0.425006375, 1.0],
        [0.69387202, 0.621221959, 0.424244452, 1.0],
        [0.70118041, 0.623972766, 0.423434749, 1.0],
        [0.708510362, 0.62672091, 0.422573411, 1.0],
        [0.71585967, 0.629467675, 0.421657651, 1.0],
        [0.723226493, 0.632214276, 0.42068362, 1.0],
        [0.730608763, 0.634962078, 0.419647116, 1.0],
        [0.738004125, 0.637712627, 0.418543568, 1.0],
        [0.745409863, 0.640467692, 0.417368028, 1.0],
        [0.752822812, 0.643229309, 0.416115164, 1.0],
        [0.760239908, 0.645999594, 0.414778244, 1.0],
        [0.767656489, 0.648781395, 0.413351526, 1.0],
        [0.775067194, 0.651577984, 0.411828743, 1.0],
        [0.782467197, 0.654392615, 0.410200764, 1.0],
        [0.789848176, 0.657230076, 0.408461919, 1.0],
        [0.797202842, 0.660095015, 0.406602145, 1.0],
        [0.80452028, 0.662993736, 0.404614613, 1.0],
        [0.811788251, 0.665933371, 0.402491542, 1.0],
        [0.818992031, 0.668922348, 0.400226044, 1.0],
        [0.826113886, 0.671970614, 0.397813235, 1.0],
        [0.833132772, 0.675089739, 0.395251373, 1.0],
        [0.840024726, 0.678292725, 0.392542031, 1.0],
        [0.846761842, 0.681594244, 0.389694935, 1.0],
        [0.853314455, 0.685009619, 0.386726375, 1.0],
        [0.859651987, 0.688554169, 0.383662475, 1.0],
        [0.865745779, 0.692241759, 0.380538152, 1.0],
        [0.871571891, 0.696083354, 0.377395989, 1.0],
        [0.877113987, 0.700085649, 0.374282589, 1.0],
        [0.882365297, 0.704250314, 0.371242784, 1.0],
        [0.887328591, 0.708574087, 0.368317382, 1.0],
        [0.892015211, 0.713049652, 0.36553621, 1.0],
        [0.89644246, 0.717666887, 0.362920433, 1.0],
        [0.900631157, 0.722414262, 0.360480779, 1.0],
        [0.904603566, 0.727279735, 0.358221818, 1.0],
        [0.908381333, 0.732252004, 0.356139118, 1.0],
        [0.911985382, 0.737320105, 0.354228653, 1.0],
        [0.915433981, 0.742474841, 0.352478848, 1.0],
        [0.918743621, 0.747707899, 0.350879063, 1.0],
        [0.921929804, 0.753011369, 0.349421661, 1.0],
        [0.925004192, 0.758379699, 0.348091716, 1.0],
        [0.927978539, 0.763807005, 0.346881019, 1.0],
        [0.930861574, 0.769289179, 0.345777107, 1.0],
        [0.933662251, 0.774821809, 0.344772498, 1.0],
        [0.936388081, 0.780401282, 0.343859117, 1.0],
        [0.93904454, 0.786025118, 0.343026985, 1.0],
        [0.941638102, 0.791690163, 0.342270957, 1.0],
        [0.944172811, 0.797394647, 0.341582527, 1.0],
        [0.946652148, 0.803137054, 0.340954052, 1.0],
        [0.949079897, 0.808915648, 0.340380104, 1.0],
        [0.951460984, 0.814728035, 0.339858564, 1.0],
        [0.953795301, 0.820574615, 0.339378975, 1.0],
        [0.956088241, 0.826452703, 0.338942047, 1.0],
        [0.958340089, 0.832362423, 0.338540041, 1.0],
        [0.960552113, 0.83830332, 0.338167899, 1.0],
        [0.962728332, 0.844273459, 0.337825789, 1.0],
        [0.964869193, 0.850272818, 0.337508378, 1.0],
        [0.966975327, 0.856301253, 0.337211242, 1.0],
        [0.96904808, 0.862358233, 0.336931587, 1.0],
        [0.971088583, 0.868443333, 0.336666655, 1.0],
        [0.973097773, 0.874556226, 0.336413723, 1.0],
        [0.9750764, 0.880696674, 0.336170099, 1.0],
        [0.977025044, 0.886864522, 0.335933113, 1.0],
        [0.978944121, 0.89305969, 0.335700119, 1.0],
        [0.980833901, 0.899282165, 0.335468483, 1.0],
        [0.982694509, 0.905531996, 0.335235583, 1.0],
        [0.984528415, 0.91180809, 0.335002383, 1.0],
        [0.986334645, 0.918111039, 0.334764988, 1.0],
        [0.988111987, 0.924441528, 0.334519366, 1.0],
        [0.989860091, 0.93079981, 0.334262892, 1.0],
        [0.991583502, 0.93718382, 0.334000024, 1.0],
        [0.993278187, 0.943595566, 0.333723115, 1.0],
        [0.994942662, 0.950035812, 0.333428313, 1.0],
    ],
    'cmr.ember': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000173486371, 0.000195329789, 0.00025655381, 1.0],
        [0.000592213667, 0.000677498612, 0.000929838986, 1.0],
        [0.00121203002, 0.00140234391, 0.00200730525, 1.0],
        [0.00201643708, 0.00234817084, 0.00349881874, 1.0],
        [0.00299956488, 0.00349901052, 0.00541963319, 1.0],
        [0.00416254911, 0.00484105204, 0.00778709732, 1.0],
        [0.00551226372, 0.0063612074, 0.0106189727, 1.0],
        [0.00706076284, 0.00804639123, 0.013932401, 1.0],
        [0.00882503442, 0.00988326491, 0.0177414998, 1.0],
        [0.0108264714, 0.0118580712, 0.0220574417, 1.0],
        [0.0130903162, 0.0139568628, 0.0268859177, 1.0],
        [0.0156446668, 0.0161657821, 0.032226583, 1.0],
        [0.0185192677, 0.0184714636, 0.0380726091, 1.0],
        [0.0217441375, 0.0208614794, 0.044238427, 1.0],
        [0.0253482934, 0.0233246768, 0.0503177603, 1.0],
        [0.0293588512, 0.0258513126, 0.0563003099, 1.0],
        [0.0338005062, 0.0284330585, 0.0621791351, 1.0],
        [0.03869539, 0.0310628831, 0.0679494902, 1.0],
        [0.0439143239, 0.0337347181, 0.0736090672, 1.0],
        [0.0491960412, 0.0364432569, 0.0791575047, 1.0],
        [0.0545402342, 0.0391837658, 0.0845959051, 1.0],
        [0.059940222, 0.0419109204, 0.0899264938, 1.0],
        [0.065390406, 0.04454725, 0.0951523688, 1.0],
        [0.0708857137, 0.0471065257, 0.100276681, 1.0],
        [0.0764222344, 0.049592082, 0.105302977, 1.0],
        [0.0819963002, 0.0520070966, 0.110234424, 1.0],
        [0.0876054324, 0.0543539661, 0.115074421, 1.0],
        [0.0932473212, 0.0566349664, 0.119825919, 1.0],
        [0.0989201055, 0.0588520625, 0.12449165, 1.0],
        [0.104622292, 0.0610069515, 0.129074108, 1.0],
        [0.110352685, 0.063101102, 0.133575541, 1.0],
        [0.116110322, 0.0651357886, 0.137997959, 1.0],
        [0.121894049, 0.0671123916, 0.142343018, 1.0],
        [0.12770344, 0.0690317393, 0.146612383, 1.0],
        [0.133537916, 0.0708947251, 0.150807424, 1.0],
        [0.139396642, 0.0727023953, 0.154929258, 1.0],
        [0.145279502, 0.0744552261, 0.15897902, 1.0],
        [0.151185851, 0.076154046, 0.162957564, 1.0],
        [0.157115345, 0.0777994211, 0.166865687, 1.0],
        [0.163067814, 0.0793917403, 0.170704093, 1.0],
        [0.169042786, 0.0809315899, 0.174473337, 1.0],
        [0.175039893, 0.0824194415, 0.178173908, 1.0],
        [0.181059031, 0.0838555153, 0.181806237, 1.0],
        [0.187099918, 0.0852401387, 0.185370664, 1.0],
        [0.19316229, 0.0865735883, 0.188867465, 1.0],
        [0.1992459, 0.0878560927, 0.19229686, 1.0],
        [0.205350514, 0.0890878357, 0.195659015, 1.0],
        [0.211475909, 0.0902689584, 0.198954047, 1.0],
        [0.217621871, 0.0913995614, 0.20218203, 1.0],
        [0.223788191, 0.092479707, 0.205342991, 1.0],
        [0.229974666, 0.0935094202, 0.20843692, 1.0],
        [0.236181097, 0.094488691, 0.211463768, 1.0],
        [0.242407285, 0.0954174748, 0.214423449, 1.0],
        [0.248653033, 0.0962956941, 0.217315846, 1.0],
        [0.254918146, 0.0971232392, 0.220140807, 1.0],
        [0.261202425, 0.0978999689, 0.22289815, 1.0],
        [0.267505672, 0.0986257115, 0.225587662, 1.0],
        [0.273827684, 0.0993002649, 0.228209102, 1.0],
        [0.280168214, 0.0999234438, 0.230762217, 1.0],
        [0.286527087, 0.100494952, 0.233246701, 1.0],
        [0.292904117, 0.101014475, 0.235662223, 1.0],
        [0.299299087, 0.101481691, 0.238008434, 1.0],
        [0.305711775, 0.101896252, 0.240284957, 1.0],
        [0.312141953, 0.102257782, 0.242491394, 1.0],
        [0.318589368, 0.102565895, 0.244627325, 1.0],
        [0.325053819, 0.102820114, 0.246692285, 1.0],
        [0.331535055, 0.103019976, 0.248685794, 1.0],
        [0.33803282, 0.10316499, 0.250607354, 1.0],
        [0.344546845, 0.103254637, 0.252456437, 1.0],
        [0.351076877, 0.103288342, 0.25423248, 1.0],
        [0.357622623, 0.103265536, 0.25593491, 1.0],
        [0.364183781, 0.10318562, 0.257563126, 1.0],
        [0.370760038, 0.103047966, 0.259116502, 1.0],
        [0.377351067, 0.10285192, 0.260594389, 1.0],
        [0.383956569, 0.102596747, 0.261996082, 1.0],
        [0.390576171, 0.10228176, 0.263320888, 1.0],
        [0.397209483, 0.101906255, 0.264568091, 1.0],
        [0.40385611, 0.101469485, 0.265736942, 1.0],
        [0.410515637, 0.100970683, 0.266826663, 1.0],
        [0.41718763, 0.100409065, 0.267836455, 1.0],
        [0.42387163, 0.0997838299, 0.268765489, 1.0],
        [0.43056722, 0.0990940626, 0.269612856, 1.0],
        [0.437273825, 0.0983390454, 0.270377735, 1.0],
        [0.443990902, 0.0975179602, 0.271059225, 1.0],
        [0.450717882, 0.0966299926, 0.271656404, 1.0],
        [0.45745416, 0.0956743388, 0.272168324, 1.0],
        [0.464199096, 0.0946502147, 0.272594015, 1.0],
        [0.470952011, 0.0935568659, 0.272932487, 1.0],
        [0.477712185, 0.0923935807, 0.273182727, 1.0],
        [0.484478852, 0.0911597046, 0.273343703, 1.0],
        [0.491251201, 0.0898546586, 0.273414368, 1.0],
        [0.498028368, 0.0884779606, 0.273393658, 1.0],
        [0.504809432, 0.0870292511, 0.273280497, 1.0],
        [0.511593415, 0.0855083238, 0.273073798, 1.0],
        [0.518379342, 0.0839150122, 0.27277238, 1.0],
        [0.525166134, 0.0822494515, 0.272375098, 1.0],
        [0.531952539, 0.0805122834, 0.271880942, 1.0],
        [0.538737298, 0.0787043509, 0.271288821, 1.0],
        [0.545519067, 0.0768269213, 0.27059766, 1.0],
        [0.552296623, 0.0748812386, 0.269806076, 1.0],
        [0.559068347, 0.0728699039, 0.268913162, 1.0],
        [0.565832532, 0.0707962594, 0.267918039, 1.0],
        [0.57258771, 0.0686635981, 0.266819305, 1.0],
        [0.579331934, 0.066477287, 0.26561621, 1.0],
        [0.586063254, 0.0642436714, 0.264307878, 1.0],
        [0.592779794, 0.0619700208, 0.262893141, 1.0],
        [0.59947918, 0.05966658, 0.261371598, 1.0],
        [0.606159287, 0.0573445471, 0.259742219, 1.0],
        [0.612817585, 0.0550185447, 0.258004603, 1.0],
        [0.619451388, 0.0527062755, 0.256158529, 1.0],
        [0.626058265, 0.0504274362, 0.254203051, 1.0],
        [0.632635052, 0.0482078149, 0.252138672, 1.0],
        [0.639178736, 0.0460765022, 0.24996544, 1.0],
        [0.645686145, 0.0440673835, 0.247683646, 1.0],
        [0.652154034, 0.0422189157, 0.24529361, 1.0],
        [0.65857878, 0.0405753364, 0.242796538, 1.0],
        [0.664956734, 0.0391749768, 0.24019368, 1.0],
        [0.671284117, 0.0380988058, 0.237486642, 1.0],
        [0.677557026, 0.0373849955, 0.234677441, 1.0],
        [0.683771458, 0.037071012, 0.23176853, 1.0],
        [0.689923336, 0.0371957541, 0.228762821, 1.0],
        [0.696008545, 0.0377993224, 0.225663672, 1.0],
        [0.702022989, 0.0389227175, 0.222474813, 1.0],
        [0.707962522, 0.040605177, 0.219200808, 1.0],
        [0.713823124, 0.0428152698, 0.215846529, 1.0],
        [0.719600903, 0.0455509927, 0.212417307, 1.0],
        [0.725292166, 0.0487906753, 0.20891881, 1.0],
        [0.730893419, 0.052504378, 0.205357244, 1.0],
        [0.736401449, 0.0566564938, 0.201739196, 1.0],
        [0.741813395, 0.0612082326, 0.198071388, 1.0],
        [0.747126766, 0.0661198342, 0.194360771, 1.0],
        [0.752339481, 0.0713521459, 0.19061439, 1.0],
        [0.757449908, 0.0768677198, 0.186839205, 1.0],
        [0.762456864, 0.0826314942, 0.183042221, 1.0],
        [0.767359644, 0.0886111334, 0.179230099, 1.0],
        [0.772158005, 0.0947771849, 0.175409115, 1.0],
        [0.776852146, 0.101103032, 0.171585232, 1.0],
        [0.78144269, 0.107564768, 0.167763999, 1.0],
        [0.78593066, 0.114140972, 0.163950648, 1.0],
        [0.790317418, 0.120812734, 0.160149383, 1.0],
        [0.794604635, 0.127563263, 0.156364069, 1.0],
        [0.798794245, 0.134377758, 0.152597983, 1.0],
        [0.802888392, 0.141243231, 0.148853803, 1.0],
        [0.806889384, 0.148148338, 0.14513362, 1.0],
        [0.810799686, 0.155083088, 0.141439247, 1.0],
        [0.814621838, 0.162038874, 0.13777184, 1.0],
        [0.818358362, 0.16900849, 0.134131654, 1.0],
        [0.822011806, 0.175985716, 0.130518691, 1.0],
        [0.825584913, 0.182964649, 0.126933774, 1.0],
        [0.829080054, 0.189941244, 0.123375392, 1.0],
        [0.832499822, 0.196911376, 0.119843312, 1.0],
        [0.835846551, 0.20387208, 0.116336064, 1.0],
        [0.839122742, 0.210820344, 0.11285311, 1.0],
        [0.84233043, 0.217754563, 0.10939203, 1.0],
        [0.845471918, 0.224672683, 0.105951884, 1.0],
        [0.848549348, 0.231573211, 0.102531262, 1.0],
        [0.851564531, 0.238455464, 0.0991277593, 1.0],
        [0.854519355, 0.245318645, 0.0957396155, 1.0],
        [0.8574156, 0.252162215, 0.0923649868, 1.0],
        [0.860254941, 0.258985854, 0.0890019586, 1.0],
        [0.863038948, 0.26578944, 0.0856485599, 1.0],
        [0.865769086, 0.272573015, 0.0823027753, 1.0],
        [0.868446718, 0.279336765, 0.0789625561, 1.0],
        [0.871073108, 0.286080997, 0.07562583, 1.0],
        [0.873649599, 0.292805842, 0.0722910881, 1.0],
        [0.876177423, 0.299511576, 0.068956738, 1.0],
        [0.878657342, 0.306199145, 0.0656199479, 1.0],
        [0.881090375, 0.312869014, 0.0622790299, 1.0],
        [0.883477905, 0.319521067, 0.0589337677, 1.0],
        [0.885820121, 0.326156876, 0.05558035, 1.0],
        [0.88811848, 0.332776117, 0.052219413, 1.0],
        [0.890373119, 0.339380266, 0.0488475887, 1.0],
        [0.892585344, 0.345969125, 0.0454657078, 1.0],
        [0.894755093, 0.352544282, 0.0420704006, 1.0],
        [0.896883784, 0.359105308, 0.038656978, 1.0],
        [0.89897132, 0.365653694, 0.035354863, 1.0],
        [0.901018186, 0.372190097, 0.032210812, 1.0],
        [0.903025558, 0.3787143, 0.0292268466, 1.0],
        [0.904993218, 0.385227734, 0.0264009469, 1.0],
        [0.906921602, 0.391730969, 0.0237336682, 1.0],
        [0.908811112, 0.398224572, 0.0212258407, 1.0],
        [0.910662374, 0.404708821, 0.0188792772, 1.0],
        [0.912475532, 0.411184498, 0.0166947717, 1.0],
        [0.914250744, 0.417652316, 0.0146735519, 1.0],
        [0.915988274, 0.42411283, 0.0128174796, 1.0],
        [0.917688355, 0.430566591, 0.0111286604, 1.0],
        [0.91935119, 0.437014141, 0.00960943927, 1.0],
        [0.920976957, 0.443456016, 0.0082623978, 1.0],
        [0.922565807, 0.449892743, 0.00709035029, 1.0],
        [0.924117867, 0.456324842, 0.00609634086, 1.0],
        [0.925633243, 0.462752821, 0.00528364041, 1.0],
        [0.927112016, 0.46917718, 0.0046557438, 1.0],
        [0.928554249, 0.47559841, 0.00421636708, 1.0],
        [0.929959984, 0.482016989, 0.00396944486, 1.0],
        [0.931329343, 0.4884333, 0.00391930853, 1.0],
        [0.932662599, 0.494847571, 0.0040707866, 1.0],
        [0.933959441, 0.501260525, 0.00442786218, 1.0],
        [0.935219845, 0.5076726, 0.00499530857, 1.0],
        [0.936443775, 0.514084223, 0.00577810504, 1.0],
        [0.937631309, 0.5204957, 0.00678164462, 1.0],
        [0.938782857, 0.526907052, 0.00801202063, 1.0],
        [0.939897796, 0.533319138, 0.00947389995, 1.0],
        [0.940976042, 0.53973234, 0.0111730493, 1.0],
        [0.942018001, 0.546146634, 0.0131161327, 1.0],
        [0.943023502, 0.552562451, 0.0153091295, 1.0],
        [0.943992046, 0.55898045, 0.0177578064, 1.0],
        [0.944924066, 0.565400553, 0.0204693627, 1.0],
        [0.945819408, 0.571823127, 0.0234503712, 1.0],
        [0.946677454, 0.578248864, 0.0267070528, 1.0],
        [0.947499063, 0.584677347, 0.0302475356, 1.0],
        [0.948283302, 0.591109469, 0.0340780276, 1.0],
        [0.949030364, 0.597545285, 0.0382061904, 1.0],
        [0.949740354, 0.603984907, 0.0425698454, 1.0],
        [0.950412555, 0.610429015, 0.046955877, 1.0],
        [0.951047798, 0.616877197, 0.0513641749, 1.0],
        [0.951644767, 0.623330515, 0.055792482, 1.0],
        [0.952204718, 0.629788267, 0.0602407659, 1.0],
        [0.952726048, 0.636251666, 0.064707376, 1.0],
        [0.953210101, 0.642719959, 0.0691926085, 1.0],
        [0.953655291, 0.649194307, 0.0736953593, 1.0],
        [0.954062829, 0.655674047, 0.0782159662, 1.0],
        [0.954431364, 0.662160153, 0.0827537663, 1.0],
        [0.954761683, 0.668652237, 0.0873089763, 1.0],
        [0.955052976, 0.6751509, 0.0918813143, 1.0],
        [0.955305328, 0.681656184, 0.0964708164, 1.0],
        [0.95551873, 0.688168186, 0.101077489, 1.0],
        [0.955692309, 0.694687506, 0.1057012, 1.0],
        [0.955827096, 0.701213617, 0.110342144, 1.0],
        [0.955921701, 0.707747405, 0.115000141, 1.0],
        [0.955976394, 0.71428878, 0.11967526, 1.0],
        [0.955991177, 0.720837804, 0.124367505, 1.0],
        [0.955965163, 0.727395036, 0.129076818, 1.0],
        [0.955898786, 0.733960287, 0.133803218, 1.0],
        [0.955791514, 0.740533901, 0.138546653, 1.0],
        [0.955642701, 0.747116271, 0.143307086, 1.0],
        [0.955452708, 0.753707242, 0.148084467, 1.0],
        [0.955220923, 0.760307177, 0.152878733, 1.0],
        [0.954946698, 0.766916444, 0.157689828, 1.0],
        [0.954630095, 0.773535035, 0.162517664, 1.0],
        [0.954270846, 0.78016311, 0.167362141, 1.0],
        [0.95386807, 0.78680113, 0.1722232, 1.0],
        [0.953421366, 0.793449301, 0.177100747, 1.0],
        [0.952931058, 0.800107472, 0.181994611, 1.0],
        [0.952395958, 0.806776223, 0.186904745, 1.0],
        [0.951815534, 0.813455802, 0.191831047, 1.0],
        [0.95118934, 0.820146407, 0.196773397, 1.0],
        [0.950517391, 0.826848014, 0.201731615, 1.0],
        [0.949798443, 0.833561179, 0.206705663, 1.0],
        [0.949031874, 0.840286154, 0.211695432, 1.0],
        [0.948217026, 0.847023196, 0.216700816, 1.0],
        [0.947353715, 0.853772343, 0.22172164, 1.0],
        [0.946440777, 0.860534061, 0.226757863, 1.0],
        [0.945477316, 0.867308679, 0.23180941, 1.0],
        [0.944462505, 0.874096484, 0.236876199, 1.0],
        [0.943395466, 0.880897769, 0.241958158, 1.0],
    ],
    'cmr.flamingo': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000320937993, 0.000205053732, 0.000187624915, 1.0],
        [0.0011542036, 0.000698088053, 0.000631313077, 1.0],
        [0.00246983383, 0.00142160483, 0.00127199902, 1.0],
        [0.00426478339, 0.00234745685, 0.00208029107, 1.0],
        [0.00654250799, 0.00345656417, 0.00303628261, 1.0],
        [0.00930925288, 0.00473442301, 0.00412495818, 1.0],
        [0.0125724716, 0.00616937441, 0.00533442254, 1.0],
        [0.0163410077, 0.00775142091, 0.00665457751, 1.0],
        [0.0206234969, 0.00947213093, 0.00807714365, 1.0],
        [0.0254300751, 0.0113236698, 0.00959446233, 1.0],
        [0.0307698598, 0.0132993925, 0.0112003234, 1.0],
        [0.0366537602, 0.0153927146, 0.0128885413, 1.0],
        [0.0429990713, 0.017598069, 0.0146541956, 1.0],
        [0.0493444288, 0.0199097294, 0.0164921659, 1.0],
        [0.0556518828, 0.0223227453, 0.0183983054, 1.0],
        [0.061927174, 0.0248321185, 0.0203684328, 1.0],
        [0.0681750508, 0.0274331329, 0.0223987465, 1.0],
        [0.074399045, 0.0301215566, 0.0244860551, 1.0],
        [0.0806036939, 0.0328925287, 0.0266264884, 1.0],
        [0.086790823, 0.035742554, 0.0288178001, 1.0],
        [0.092964446, 0.0386668145, 0.0310562942, 1.0],
        [0.0991261438, 0.0416312219, 0.0333398661, 1.0],
        [0.105278143, 0.0445292542, 0.0356659845, 1.0],
        [0.111423294, 0.047369395, 0.0380315787, 1.0],
        [0.117562269, 0.0501543883, 0.040435273, 1.0],
        [0.123697366, 0.0528855751, 0.042793264, 1.0],
        [0.129830254, 0.055564429, 0.0451046059, 1.0],
        [0.135961586, 0.0581928911, 0.0473720526, 1.0],
        [0.142093184, 0.0607718621, 0.049596938, 1.0],
        [0.148226484, 0.0633023047, 0.0517807119, 1.0],
        [0.154361866, 0.0657857731, 0.0539255285, 1.0],
        [0.160500389, 0.0682231745, 0.0560328112, 1.0],
        [0.166644104, 0.0706145162, 0.0581030052, 1.0],
        [0.172792886, 0.0729612988, 0.0601382555, 1.0],
        [0.178947577, 0.0752641864, 0.0621397789, 1.0],
        [0.185109008, 0.0775237382, 0.0641086976, 1.0],
        [0.191278732, 0.0797398289, 0.0660454262, 1.0],
        [0.197456798, 0.0819134194, 0.0679515666, 1.0],
        [0.203643792, 0.0840449681, 0.0698281921, 1.0],
        [0.209840386, 0.0861347794, 0.0716762321, 1.0],
        [0.216047221, 0.0881831032, 0.0734965796, 1.0],
        [0.222265052, 0.0901900155, 0.0752899732, 1.0],
        [0.228494716, 0.0921554424, 0.0770570292, 1.0],
        [0.234736316, 0.0940798739, 0.0787989444, 1.0],
        [0.240990384, 0.0959633718, 0.0805165057, 1.0],
        [0.247257433, 0.0978059556, 0.0822104808, 1.0],
        [0.253537954, 0.0996076039, 0.0838816213, 1.0],
        [0.259832418, 0.101368256, 0.0855306653, 1.0],
        [0.266141277, 0.103087813, 0.0871583403, 1.0],
        [0.272464964, 0.104766141, 0.0887653649, 1.0],
        [0.278803897, 0.106403068, 0.090352452, 1.0],
        [0.285158475, 0.107998388, 0.0919203106, 1.0],
        [0.291529081, 0.109551862, 0.093469648, 1.0],
        [0.297916083, 0.111063218, 0.0950011723, 1.0],
        [0.304319831, 0.112532151, 0.0965155944, 1.0],
        [0.310740661, 0.113958324, 0.0980136298, 1.0],
        [0.317178894, 0.115341369, 0.0994960012, 1.0],
        [0.32363486, 0.116680862, 0.100963419, 1.0],
        [0.330109538, 0.117975637, 0.102416048, 1.0],
        [0.336602587, 0.119225869, 0.103855164, 1.0],
        [0.343114264, 0.120431063, 0.105281536, 1.0],
        [0.349644814, 0.121590695, 0.106695955, 1.0],
        [0.356194799, 0.122703836, 0.108098951, 1.0],
        [0.362765033, 0.123769196, 0.109490861, 1.0],
        [0.369354881, 0.124787078, 0.110873227, 1.0],
        [0.375964575, 0.12575677, 0.112246885, 1.0],
        [0.382595794, 0.12667578, 0.113611512, 1.0],
        [0.389247216, 0.12754509, 0.11496925, 1.0],
        [0.395919842, 0.128362877, 0.116320368, 1.0],
        [0.402614027, 0.129128007, 0.11766569, 1.0],
        [0.409329438, 0.12984014, 0.119006613, 1.0],
        [0.416067218, 0.13049701, 0.120343391, 1.0],
        [0.422826731, 0.131098527, 0.121677717, 1.0],
        [0.429608766, 0.131642703, 0.123010199, 1.0],
        [0.436413555, 0.132128167, 0.124341925, 1.0],
        [0.443240597, 0.132554465, 0.125674586, 1.0],
        [0.45009137, 0.132918345, 0.127008407, 1.0],
        [0.456965285, 0.133219277, 0.128345246, 1.0],
        [0.463862404, 0.133455751, 0.129686516, 1.0],
        [0.470783052, 0.133625763, 0.131033494, 1.0],
        [0.477727743, 0.133726892, 0.132387393, 1.0],
        [0.484696724, 0.133756945, 0.133749706, 1.0],
        [0.49168982, 0.133714231, 0.135122308, 1.0],
        [0.498707215, 0.133596364, 0.136506906, 1.0],
        [0.505749045, 0.133400858, 0.137905339, 1.0],
        [0.512815438, 0.133125046, 0.139319561, 1.0],
        [0.519907099, 0.132765078, 0.140751272, 1.0],
        [0.52702351, 0.132318895, 0.142203124, 1.0],
        [0.534164552, 0.13178357, 0.143677641, 1.0],
        [0.541330415, 0.131155367, 0.145177309, 1.0],
        [0.548521888, 0.130429111, 0.146704449, 1.0],
        [0.555737527, 0.129603369, 0.148262952, 1.0],
        [0.562978929, 0.128670688, 0.149855118, 1.0],
        [0.570244699, 0.127628816, 0.151485278, 1.0],
        [0.577534835, 0.126472434, 0.153157232, 1.0],
        [0.584849601, 0.125195096, 0.154874999, 1.0],
        [0.592188564, 0.123791137, 0.156643371, 1.0],
        [0.599550972, 0.122254935, 0.158467735, 1.0],
        [0.606936886, 0.120578319, 0.160353615, 1.0],
        [0.614345134, 0.118754968, 0.162307711, 1.0],
        [0.621774278, 0.116778352, 0.164337487, 1.0],
        [0.629224581, 0.114636674, 0.166450603, 1.0],
        [0.636693369, 0.112324051, 0.168656806, 1.0],
        [0.644179325, 0.10982989, 0.170966515, 1.0],
        [0.651680309, 0.107144062, 0.173391868, 1.0],
        [0.659193134, 0.104257579, 0.175947004, 1.0],
        [0.666714112, 0.101161053, 0.178648283, 1.0],
        [0.67423831, 0.0978468655, 0.181514911, 1.0],
        [0.68175993, 0.0943081013, 0.184569564, 1.0],
        [0.689270327, 0.0905456366, 0.187839252, 1.0],
        [0.696758138, 0.0865694686, 0.191356123, 1.0],
        [0.704208704, 0.0824032624, 0.195158707, 1.0],
        [0.711601491, 0.0780990541, 0.19929276, 1.0],
        [0.718909192, 0.0737495289, 0.203812305, 1.0],
        [0.726093608, 0.0695201, 0.208778032, 1.0],
        [0.733104912, 0.0656726552, 0.214254745, 1.0],
        [0.739878375, 0.0626044236, 0.220299557, 1.0],
        [0.746339501, 0.0608296655, 0.22694591, 1.0],
        [0.752414614, 0.0608878421, 0.234179342, 1.0],
        [0.758050571, 0.0631462987, 0.241924975, 1.0],
        [0.763230997, 0.0676279846, 0.250058577, 1.0],
        [0.767977797, 0.0740146683, 0.258440612, 1.0],
        [0.77233771, 0.0818169694, 0.266949754, 1.0],
        [0.776365757, 0.0905539133, 0.275496613, 1.0],
        [0.780113613, 0.0998450862, 0.284024596, 1.0],
        [0.78362559, 0.109422381, 0.292498875, 1.0],
        [0.786937105, 0.119111259, 0.300901754, 1.0],
        [0.790076674, 0.128801487, 0.309223443, 1.0],
        [0.793066614, 0.138427032, 0.317460501, 1.0],
        [0.795924415, 0.147950263, 0.325613033, 1.0],
        [0.798664468, 0.157350207, 0.333681878, 1.0],
        [0.801297984, 0.166617931, 0.341669762, 1.0],
        [0.803834621, 0.175750223, 0.349578786, 1.0],
        [0.806281888, 0.184749074, 0.357412181, 1.0],
        [0.80864651, 0.193618015, 0.365172311, 1.0],
        [0.810933833, 0.202362658, 0.372862075, 1.0],
        [0.813148706, 0.21098879, 0.380483745, 1.0],
        [0.815295226, 0.219502685, 0.388039612, 1.0],
        [0.817376884, 0.227910757, 0.395531914, 1.0],
        [0.81939736, 0.236218353, 0.402961911, 1.0],
        [0.821358911, 0.244432195, 0.410332139, 1.0],
        [0.823264666, 0.252557007, 0.417643491, 1.0],
        [0.825116507, 0.260598634, 0.424897987, 1.0],
        [0.826916729, 0.268561725, 0.432096767, 1.0],
        [0.828667536, 0.276450534, 0.4392408, 1.0],
        [0.830370618, 0.284269497, 0.446331378, 1.0],
        [0.832027646, 0.292022614, 0.453369584, 1.0],
        [0.833640283, 0.299713487, 0.460356313, 1.0],
        [0.83521022, 0.307345342, 0.46729229, 1.0],
        [0.836738724, 0.314921563, 0.474178514, 1.0],
        [0.838227122, 0.322445163, 0.481015795, 1.0],
        [0.839676722, 0.329918901, 0.48780485, 1.0],
        [0.84108927, 0.337344834, 0.494545935, 1.0],
        [0.842465402, 0.344725986, 0.501240194, 1.0],
        [0.84380674, 0.352064134, 0.507887852, 1.0],
        [0.845114179, 0.359361633, 0.514489687, 1.0],
        [0.846389111, 0.366620167, 0.521046021, 1.0],
        [0.847632288, 0.373841904, 0.52755763, 1.0],
        [0.84884536, 0.381028006, 0.534024572, 1.0],
        [0.850028886, 0.388180557, 0.540447682, 1.0],
        [0.851184035, 0.395300937, 0.546827308, 1.0],
        [0.852312175, 0.402390259, 0.55316365, 1.0],
        [0.853413995, 0.409450151, 0.559457346, 1.0],
        [0.854490552, 0.416481819, 0.56570876, 1.0],
        [0.855542889, 0.423486404, 0.57191825, 1.0],
        [0.856572188, 0.430464859, 0.578086076, 1.0],
        [0.857579325, 0.437418334, 0.584212678, 1.0],
        [0.858565259, 0.444347837, 0.590298425, 1.0],
        [0.859530998, 0.451254287, 0.59634365, 1.0],
        [0.860477541, 0.458138554, 0.602348681, 1.0],
        [0.861405886, 0.465001464, 0.608313844, 1.0],
        [0.862317027, 0.471843802, 0.614239458, 1.0],
        [0.863211957, 0.478666313, 0.620125838, 1.0],
        [0.86409167, 0.485469706, 0.625973296, 1.0],
        [0.86495716, 0.492254655, 0.631782138, 1.0],
        [0.865809424, 0.499021801, 0.637552667, 1.0],
        [0.866649463, 0.505771754, 0.643285183, 1.0],
        [0.867478281, 0.512505095, 0.648979982, 1.0],
        [0.868296886, 0.519222378, 0.654637356, 1.0],
        [0.869106293, 0.525924129, 0.660257593, 1.0],
        [0.869907523, 0.532610853, 0.66584098, 1.0],
        [0.870701602, 0.539283028, 0.671387799, 1.0],
        [0.871489566, 0.545941112, 0.67689833, 1.0],
        [0.872272465, 0.552585538, 0.682372849, 1.0],
        [0.873051401, 0.55921669, 0.687811613, 1.0],
        [0.87382737, 0.565835009, 0.693214917, 1.0],
        [0.874601443, 0.572440876, 0.698583029, 1.0],
        [0.875374698, 0.579034655, 0.703916216, 1.0],
        [0.876148226, 0.585616694, 0.709214743, 1.0],
        [0.876923129, 0.592187327, 0.714478871, 1.0],
        [0.877700526, 0.598746866, 0.719708858, 1.0],
        [0.878481568, 0.605295601, 0.724904957, 1.0],
        [0.879267347, 0.61183385, 0.730067434, 1.0],
        [0.880059016, 0.618361889, 0.73519654, 1.0],
        [0.880857737, 0.624879984, 0.740292526, 1.0],
        [0.88166469, 0.631388387, 0.74535564, 1.0],
        [0.882481071, 0.637887338, 0.750386127, 1.0],
        [0.883308082, 0.644377071, 0.755384232, 1.0],
        [0.884146936, 0.650857809, 0.760350198, 1.0],
        [0.884998875, 0.657329761, 0.765284263, 1.0],
        [0.885865154, 0.663793123, 0.770186664, 1.0],
        [0.88674705, 0.670248084, 0.775057635, 1.0],
        [0.887645836, 0.676694828, 0.779897411, 1.0],
        [0.888562825, 0.683133523, 0.784706221, 1.0],
        [0.889499358, 0.689564319, 0.789484291, 1.0],
        [0.890456786, 0.695987363, 0.794231847, 1.0],
        [0.891436484, 0.702402788, 0.798949113, 1.0],
        [0.89243985, 0.708810721, 0.803636311, 1.0],
        [0.893468266, 0.715211293, 0.808293661, 1.0],
        [0.894523192, 0.721604602, 0.812921379, 1.0],
        [0.895606115, 0.72799073, 0.817519682, 1.0],
        [0.896718532, 0.734369758, 0.822088785, 1.0],
        [0.897861971, 0.740741755, 0.8266289, 1.0],
        [0.899037988, 0.747106778, 0.831140242, 1.0],
        [0.900248171, 0.75346487, 0.835623023, 1.0],
        [0.90149414, 0.759816062, 0.840077453, 1.0],
        [0.902777503, 0.766160395, 0.844503743, 1.0],
        [0.904100007, 0.772497844, 0.848902108, 1.0],
        [0.905463389, 0.778828393, 0.853272762, 1.0],
        [0.906869428, 0.785152009, 0.857615922, 1.0],
        [0.908319953, 0.791468642, 0.861931808, 1.0],
        [0.909816838, 0.797778221, 0.866220645, 1.0],
        [0.911362014, 0.804080652, 0.870482661, 1.0],
        [0.912957472, 0.81037582, 0.874718094, 1.0],
        [0.914605265, 0.816663582, 0.878927188, 1.0],
        [0.916307518, 0.822943768, 0.883110201, 1.0],
        [0.918066432, 0.829216176, 0.887267405, 1.0],
        [0.919884297, 0.835480568, 0.891399088, 1.0],
        [0.921763494, 0.841736668, 0.895505561, 1.0],
        [0.923706513, 0.847984152, 0.899587164, 1.0],
        [0.925715965, 0.854222651, 0.903644274, 1.0],
        [0.927794593, 0.860451734, 0.907677311, 1.0],
        [0.929945295, 0.866670906, 0.911686754, 1.0],
        [0.932171105, 0.872879614, 0.915673149, 1.0],
        [0.934475267, 0.879077209, 0.919637138, 1.0],
        [0.936861324, 0.885262908, 0.923579524, 1.0],
        [0.939333022, 0.891435833, 0.927501272, 1.0],
        [0.941894393, 0.89759497, 0.931403583, 1.0],
        [0.944549779, 0.90373915, 0.93528799, 1.0],
        [0.947303747, 0.909867077, 0.939156422, 1.0],
        [0.95016136, 0.915977183, 0.943011527, 1.0],
        [0.953127907, 0.922067725, 0.946856824, 1.0],
        [0.956208739, 0.928136815, 0.95069706, 1.0],
        [0.959408812, 0.934182557, 0.954538605, 1.0],
        [0.962732463, 0.940203047, 0.95839033, 1.0],
        [0.966181773, 0.946196978, 0.962263999, 1.0],
        [0.969754665, 0.952164352, 0.966174709, 1.0],
        [0.973442608, 0.95810737, 0.970140927, 1.0],
        [0.977227055, 0.964032066, 0.974182187, 1.0],
        [0.981077719, 0.969949414, 0.978314679, 1.0],
        [0.984954316, 0.9758753, 0.982544391, 1.0],
        [0.988813264, 0.981828491, 0.986860615, 1.0],
        [0.992618443, 0.987826429, 0.991235239, 1.0],
        [0.996348727, 0.993881649, 0.995628664, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.freeze': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000250900473, 0.000221803191, 0.000289250261, 1.0],
        [0.000875490123, 0.000764275127, 0.00103973501, 1.0],
        [0.00182388438, 0.00157413245, 0.00222592534, 1.0],
        [0.00307531017, 0.00262692935, 0.00384875237, 1.0],
        [0.00461723855, 0.00390688107, 0.00591605079, 1.0],
        [0.00644106962, 0.0054025046, 0.00843895457, 1.0],
        [0.0085404541, 0.00710487745, 0.0114305979, 1.0],
        [0.0109104712, 0.00900676571, 0.0149055235, 1.0],
        [0.0135471685, 0.011102126, 0.0188793762, 1.0],
        [0.0164472795, 0.0133857952, 0.0233687315, 1.0],
        [0.0196080395, 0.0158532839, 0.0283909946, 1.0],
        [0.0230270587, 0.018500633, 0.033964341, 1.0],
        [0.0267022312, 0.0213243096, 0.0401076809, 1.0],
        [0.0306316681, 0.0243211292, 0.0464656995, 1.0],
        [0.0348136459, 0.0274881967, 0.0528130137, 1.0],
        [0.0392465665, 0.0308228593, 0.0591603356, 1.0],
        [0.0437883705, 0.0343226701, 0.0655127258, 1.0],
        [0.0482653005, 0.0379853422, 0.0718747124, 1.0],
        [0.0526908305, 0.0417730329, 0.0782503148, 1.0],
        [0.0570681892, 0.0455119491, 0.0846429426, 1.0],
        [0.0614002137, 0.0492021733, 0.0910557904, 1.0],
        [0.0656893983, 0.0528465878, 0.0974917667, 1.0],
        [0.0699379447, 0.056447773, 0.103953538, 1.0],
        [0.0741478021, 0.0600080497, 0.110443565, 1.0],
        [0.0783207208, 0.063529456, 0.116964432, 1.0],
        [0.0824582278, 0.0670139169, 0.12351815, 1.0],
        [0.0865616826, 0.0704631867, 0.130106595, 1.0],
        [0.0906323033, 0.0738788453, 0.136731655, 1.0],
        [0.0946711739, 0.0772623403, 0.143395115, 1.0],
        [0.0986792853, 0.0806148938, 0.15009922, 1.0],
        [0.102657468, 0.0839378049, 0.156845208, 1.0],
        [0.106606472, 0.0872322259, 0.163634525, 1.0],
        [0.110526959, 0.090499206, 0.170468649, 1.0],
        [0.114419539, 0.0937395581, 0.177349824, 1.0],
        [0.118284683, 0.0969543187, 0.184278764, 1.0],
        [0.122122817, 0.10014435, 0.191256717, 1.0],
        [0.125934319, 0.103310316, 0.198285612, 1.0],
        [0.129719475, 0.10645298, 0.205366589, 1.0],
        [0.133478507, 0.109573134, 0.212500391, 1.0],
        [0.137211606, 0.112671257, 0.219689093, 1.0],
        [0.140918878, 0.115748048, 0.226933472, 1.0],
        [0.144600381, 0.118804175, 0.234234247, 1.0],
        [0.148256134, 0.121839906, 0.241593984, 1.0],
        [0.15188608, 0.124856082, 0.249012238, 1.0],
        [0.155490125, 0.127852961, 0.256491323, 1.0],
        [0.159068119, 0.130831175, 0.264031582, 1.0],
        [0.162619859, 0.133791103, 0.271634502, 1.0],
        [0.166145092, 0.136733226, 0.279300983, 1.0],
        [0.169643507, 0.139657962, 0.287032146, 1.0],
        [0.173114749, 0.142565777, 0.29482882, 1.0],
        [0.176558393, 0.145457001, 0.302692451, 1.0],
        [0.179973988, 0.148332253, 0.310623017, 1.0],
        [0.183360964, 0.151191614, 0.318623123, 1.0],
        [0.18671878, 0.154035869, 0.326691891, 1.0],
        [0.190046752, 0.156865225, 0.334831289, 1.0],
        [0.193344163, 0.159680122, 0.343042141, 1.0],
        [0.196610263, 0.162481181, 0.351324414, 1.0],
        [0.19984417, 0.165268726, 0.359679571, 1.0],
        [0.20304493, 0.168043147, 0.368108801, 1.0],
        [0.206211583, 0.170805144, 0.376611835, 1.0],
        [0.209343035, 0.173555235, 0.38518939, 1.0],
        [0.212438107, 0.176293967, 0.393842128, 1.0],
        [0.215495473, 0.17902179, 0.40257132, 1.0],
        [0.218513791, 0.181739455, 0.411376888, 1.0],
        [0.221491598, 0.184447696, 0.420258991, 1.0],
        [0.2244273, 0.187147256, 0.429217935, 1.0],
        [0.227319181, 0.189838941, 0.438253912, 1.0],
        [0.230165399, 0.192523632, 0.447366983, 1.0],
        [0.232963971, 0.195202292, 0.456557058, 1.0],
        [0.235712772, 0.197875975, 0.46582388, 1.0],
        [0.238409517, 0.200545841, 0.475167004, 1.0],
        [0.24105165, 0.203212984, 0.484586659, 1.0],
        [0.243636541, 0.205878837, 0.494081806, 1.0],
        [0.246161412, 0.208545021, 0.503650889, 1.0],
        [0.248623231, 0.211213233, 0.513292456, 1.0],
        [0.251018451, 0.213884951, 0.523006709, 1.0],
        [0.253343678, 0.216562403, 0.532790656, 1.0],
        [0.255595132, 0.219247827, 0.542641884, 1.0],
        [0.257768395, 0.221943295, 0.55255957, 1.0],
        [0.259859325, 0.224651788, 0.56253898, 1.0],
        [0.261862891, 0.227375947, 0.572578004, 1.0],
        [0.263773897, 0.230118934, 0.582672767, 1.0],
        [0.265586961, 0.232884393, 0.592817827, 1.0],
        [0.267295992, 0.235676035, 0.603008475, 1.0],
        [0.268894266, 0.238497832, 0.61323986, 1.0],
        [0.270374966, 0.241354445, 0.62350459, 1.0],
        [0.271730644, 0.244250844, 0.633794883, 1.0],
        [0.272953265, 0.247192402, 0.644102113, 1.0],
        [0.274033905, 0.250184796, 0.654417502, 1.0],
        [0.274963524, 0.253234439, 0.664729396, 1.0],
        [0.275732509, 0.256348199, 0.675024834, 1.0],
        [0.2763302, 0.259533241, 0.685290629, 1.0],
        [0.276745438, 0.262797272, 0.695511594, 1.0],
        [0.276966851, 0.266148538, 0.70566997, 1.0],
        [0.276982578, 0.269595641, 0.71574631, 1.0],
        [0.276779406, 0.27314731, 0.72572114, 1.0],
        [0.276345187, 0.276812743, 0.735570337, 1.0],
        [0.275667131, 0.280601046, 0.745269095, 1.0],
        [0.274732651, 0.284521185, 0.75479072, 1.0],
        [0.273529659, 0.288581732, 0.76410686, 1.0],
        [0.272046335, 0.292790603, 0.773188499, 1.0],
        [0.270273406, 0.297154712, 0.782004172, 1.0],
        [0.268202347, 0.301679622, 0.79052335, 1.0],
        [0.265826682, 0.306369242, 0.798715952, 1.0],
        [0.263143039, 0.311225423, 0.806552739, 1.0],
        [0.260150856, 0.316247729, 0.8140069, 1.0],
        [0.256852104, 0.321433367, 0.821055176, 1.0],
        [0.253253104, 0.326776866, 0.827677752, 1.0],
        [0.249362984, 0.332270371, 0.833859898, 1.0],
        [0.245194039, 0.337903775, 0.839592115, 1.0],
        [0.24076142, 0.343665045, 0.844870373, 1.0],
        [0.236082814, 0.349540616, 0.849696069, 1.0],
        [0.231177748, 0.355515916, 0.85407576, 1.0],
        [0.226067103, 0.361575849, 0.858020621, 1.0],
        [0.220772647, 0.367705261, 0.861545739, 1.0],
        [0.215316912, 0.373889281, 0.864669372, 1.0],
        [0.209722622, 0.380113712, 0.867412181, 1.0],
        [0.204011687, 0.386365464, 0.869796342, 1.0],
        [0.198207159, 0.392632245, 0.871845144, 1.0],
        [0.192330524, 0.398903275, 0.87358201, 1.0],
        [0.186404358, 0.405168723, 0.875030465, 1.0],
        [0.180449691, 0.411420319, 0.876213169, 1.0],
        [0.174490034, 0.417650452, 0.877152578, 1.0],
        [0.168546894, 0.42385314, 0.877869515, 1.0],
        [0.162643518, 0.430023172, 0.878383946, 1.0],
        [0.156804241, 0.436156229, 0.878714672, 1.0],
        [0.15105467, 0.44224882, 0.87887926, 1.0],
        [0.145422007, 0.448298184, 0.878894035, 1.0],
        [0.139935365, 0.454302202, 0.878774107, 1.0],
        [0.134626051, 0.460259311, 0.878533411, 1.0],
        [0.129527801, 0.466168426, 0.878184765, 1.0],
        [0.124676907, 0.472028869, 0.877739936, 1.0],
        [0.120112195, 0.477840306, 0.877209706, 1.0],
        [0.115874927, 0.48360267, 0.876604003, 1.0],
        [0.11200905, 0.489315996, 0.875932293, 1.0],
        [0.108557405, 0.494980857, 0.875202383, 1.0],
        [0.105563996, 0.500597768, 0.874421939, 1.0],
        [0.10307166, 0.506167284, 0.873598257, 1.0],
        [0.101117658, 0.511690391, 0.87273708, 1.0],
        [0.0997362361, 0.51716776, 0.87184481, 1.0],
        [0.0989517149, 0.522600528, 0.870926074, 1.0],
        [0.098781719, 0.527989508, 0.869986256, 1.0],
        [0.0992317239, 0.53333589, 0.86902915, 1.0],
        [0.100298678, 0.538640571, 0.868059272, 1.0],
        [0.101968013, 0.543904721, 0.867079827, 1.0],
        [0.104217186, 0.549129362, 0.86609426, 1.0],
        [0.107016305, 0.554315526, 0.86510567, 1.0],
        [0.110329834, 0.559464315, 0.864116556, 1.0],
        [0.114119375, 0.564576717, 0.863129574, 1.0],
        [0.118344837, 0.569653748, 0.862146959, 1.0],
        [0.122966144, 0.574696417, 0.861170639, 1.0],
        [0.12794465, 0.579705671, 0.860202537, 1.0],
        [0.133243818, 0.584682423, 0.859244411, 1.0],
        [0.138829708, 0.589627595, 0.858297667, 1.0],
        [0.144671431, 0.594542047, 0.85736371, 1.0],
        [0.150741167, 0.599426598, 0.856443848, 1.0],
        [0.157014085, 0.604282046, 0.855539184, 1.0],
        [0.163468241, 0.609109149, 0.854650734, 1.0],
        [0.170084366, 0.613908621, 0.85377945, 1.0],
        [0.176845638, 0.618681141, 0.852926169, 1.0],
        [0.183737442, 0.623427349, 0.85209166, 1.0],
        [0.190747139, 0.62814784, 0.851276644, 1.0],
        [0.19786384, 0.632843171, 0.85048178, 1.0],
        [0.205078239, 0.637513871, 0.849707559, 1.0],
        [0.212382351, 0.642160405, 0.848954621, 1.0],
        [0.219769403, 0.646783207, 0.848223497, 1.0],
        [0.227233705, 0.651382677, 0.847514595, 1.0],
        [0.234770479, 0.655959169, 0.846828353, 1.0],
        [0.242375695, 0.660512982, 0.846165327, 1.0],
        [0.2500461, 0.665044389, 0.845525889, 1.0],
        [0.257779086, 0.669553624, 0.844910364, 1.0],
        [0.265572433, 0.674040856, 0.844319398, 1.0],
        [0.273424568, 0.678506237, 0.843753286, 1.0],
        [0.281334256, 0.682949866, 0.843212501, 1.0],
        [0.289300487, 0.68737179, 0.842697759, 1.0],
        [0.29732295, 0.691772047, 0.842209159, 1.0],
        [0.305401043, 0.696150593, 0.84174776, 1.0],
        [0.313534922, 0.700507378, 0.841313818, 1.0],
        [0.321724493, 0.704842291, 0.84090833, 1.0],
        [0.329970207, 0.7091552, 0.840531785, 1.0],
        [0.338272224, 0.713445925, 0.840185338, 1.0],
        [0.346631304, 0.717714259, 0.83986954, 1.0],
        [0.355047646, 0.721959964, 0.839585861, 1.0],
        [0.363522125, 0.726182769, 0.839335051, 1.0],
        [0.372055103, 0.730382386, 0.839118625, 1.0],
        [0.380647037, 0.734558508, 0.838938059, 1.0],
        [0.389298695, 0.7387108, 0.83879454, 1.0],
        [0.398010198, 0.742838936, 0.838690044, 1.0],
        [0.406781767, 0.746942588, 0.838626428, 1.0],
        [0.415613501, 0.751021428, 0.838605675, 1.0],
        [0.424505482, 0.755075132, 0.83862976, 1.0],
        [0.433457177, 0.759103429, 0.838701226, 1.0],
        [0.44246798, 0.763106074, 0.838822592, 1.0],
        [0.451537005, 0.767082867, 0.838996531, 1.0],
        [0.460663043, 0.771033673, 0.839225882, 1.0],
        [0.46984454, 0.774958428, 0.83951363, 1.0],
        [0.479079573, 0.778857156, 0.839862897, 1.0],
        [0.488365838, 0.782729982, 0.840276911, 1.0],
        [0.497700643, 0.78657714, 0.840758984, 1.0],
        [0.507080909, 0.790398989, 0.841312477, 1.0],
        [0.516503178, 0.794196019, 0.84194076, 1.0],
        [0.525963637, 0.79796886, 0.842647174, 1.0],
        [0.535458139, 0.801718284, 0.843434985, 1.0],
        [0.544982251, 0.805445212, 0.844307339, 1.0],
        [0.554531293, 0.809150707, 0.845267214, 1.0],
        [0.564100395, 0.812835974, 0.846317378, 1.0],
        [0.573684558, 0.81650235, 0.847460344, 1.0],
        [0.583278719, 0.820151295, 0.848698337, 1.0],
        [0.592877814, 0.823784377, 0.850033255, 1.0],
        [0.602476849, 0.827403257, 0.851466653, 1.0],
        [0.612070961, 0.831009672, 0.852999717, 1.0],
        [0.621655379, 0.834605437, 0.854633318, 1.0],
        [0.63122562, 0.838192398, 0.85636792, 1.0],
        [0.640777591, 0.841772397, 0.858203557, 1.0],
        [0.650307461, 0.845347293, 0.860139944, 1.0],
        [0.659811748, 0.848918928, 0.862176457, 1.0],
        [0.669286927, 0.852489212, 0.864312378, 1.0],
        [0.678730317, 0.856059905, 0.866546441, 1.0],
        [0.688139761, 0.859632678, 0.868877062, 1.0],
        [0.697512366, 0.863209411, 0.871302979, 1.0],
        [0.706847103, 0.866791547, 0.873821989, 1.0],
        [0.716141794, 0.870380828, 0.876432447, 1.0],
        [0.725395984, 0.873978567, 0.879131915, 1.0],
        [0.73460771, 0.877586468, 0.881918675, 1.0],
        [0.743777175, 0.881205667, 0.884790069, 1.0],
        [0.752903803, 0.884837491, 0.887743855, 1.0],
        [0.761986655, 0.888483364, 0.890777991, 1.0],
        [0.771026197, 0.892144306, 0.893889905, 1.0],
        [0.780022463, 0.895821439, 0.897077287, 1.0],
        [0.788975595, 0.899515838, 0.900337853, 1.0],
        [0.797885859, 0.903228521, 0.903669347, 1.0],
        [0.806753631, 0.906960454, 0.907069544, 1.0],
        [0.815579373, 0.910712555, 0.910536265, 1.0],
        [0.824363623, 0.9144857, 0.914067378, 1.0],
        [0.833106968, 0.918280725, 0.917660808, 1.0],
        [0.841810037, 0.922098432, 0.921314538, 1.0],
        [0.850473477, 0.925939595, 0.925026615, 1.0],
        [0.859097578, 0.929805083, 0.928795277, 1.0],
        [0.867683055, 0.933695606, 0.932618673, 1.0],
        [0.87623077, 0.937611811, 0.93649497, 1.0],
        [0.884741157, 0.94155446, 0.940422531, 1.0],
        [0.893214216, 0.945524445, 0.944399908, 1.0],
        [0.901651102, 0.949522259, 0.948425322, 1.0],
        [0.910051557, 0.953548851, 0.952497488, 1.0],
        [0.918416194, 0.957604867, 0.956614869, 1.0],
        [0.926744955, 0.961691167, 0.960776163, 1.0],
        [0.935037937, 0.965808553, 0.964980024, 1.0],
        [0.943294771, 0.969957981, 0.969225246, 1.0],
        [0.951515411, 0.974140292, 0.973510497, 1.0],
        [0.959698535, 0.978356779, 0.977834789, 1.0],
        [0.967843737, 0.982608418, 0.982196767, 1.0],
        [0.975949164, 0.986896714, 0.986595395, 1.0],
        [0.984012514, 0.991223356, 0.991029585, 1.0],
        [0.99203098, 0.995590254, 0.995498132, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.fusion': [
        [0.15269566, 0.0159421, 0.06988881, 1.0],
        [0.16381559, 0.01801391, 0.07904903, 1.0],
        [0.17497227, 0.02, 0.08806795, 1.0],
        [0.18618125, 0.02186079, 0.09693475, 1.0],
        [0.19745571, 0.02355734, 0.10563546, 1.0],
        [0.20880647, 0.02505241, 0.11415254, 1.0],
        [0.22024232, 0.02631087, 0.12246503, 1.0],
        [0.23176973, 0.02730126, 0.13054822, 1.0],
        [0.24339322, 0.02799614, 0.13837386, 1.0],
        [0.25511451, 0.02837495, 0.14590987, 1.0],
        [0.26693291, 0.02842451, 0.15312083, 1.0],
        [0.27884443, 0.0281422, 0.15996819, 1.0],
        [0.29084134, 0.02753849, 0.16641124, 1.0],
        [0.30291252, 0.02663769, 0.17240825, 1.0],
        [0.31504239, 0.02548174, 0.17791823, 1.0],
        [0.32721154, 0.02413013, 0.18290307, 1.0],
        [0.33939638, 0.02266162, 0.18733027, 1.0],
        [0.35157038, 0.02117156, 0.19117542, 1.0],
        [0.36370491, 0.0197698, 0.19442473, 1.0],
        [0.37577077, 0.01857585, 0.19707658, 1.0],
        [0.38773974, 0.01771347, 0.19914209, 1.0],
        [0.39958615, 0.01730503, 0.20064439, 1.0],
        [0.41128814, 0.01746625, 0.20161659, 1.0],
        [0.42282828, 0.01830274, 0.2020992, 1.0],
        [0.43419385, 0.019908, 0.20213703, 1.0],
        [0.4453765, 0.02236329, 0.2017766, 1.0],
        [0.45637175, 0.02573832, 0.20106358, 1.0],
        [0.46717826, 0.0300931, 0.20004129, 1.0],
        [0.47779699, 0.03547995, 0.19874971, 1.0],
        [0.48823063, 0.04190477, 0.19722484, 1.0],
        [0.49848295, 0.0488556, 0.19549855, 1.0],
        [0.50855829, 0.05613794, 0.19359908, 1.0],
        [0.51846134, 0.06368175, 0.19155052, 1.0],
        [0.52819668, 0.07143406, 0.18937444, 1.0],
        [0.53776881, 0.07935505, 0.18708888, 1.0],
        [0.54718187, 0.0874152, 0.18470977, 1.0],
        [0.55643964, 0.09559271, 0.18225093, 1.0],
        [0.56554545, 0.10387162, 0.1797247, 1.0],
        [0.57450218, 0.11224039, 0.17714162, 1.0],
        [0.58331227, 0.12069081, 0.17451137, 1.0],
        [0.59197769, 0.12921716, 0.17184282, 1.0],
        [0.60049995, 0.1378156, 0.16914425, 1.0],
        [0.60888014, 0.14648377, 0.16642339, 1.0],
        [0.61711892, 0.15522035, 0.16368797, 1.0],
        [0.62521654, 0.16402486, 0.16094574, 1.0],
        [0.63317286, 0.17289743, 0.15820467, 1.0],
        [0.64098737, 0.18183867, 0.15547315, 1.0],
        [0.64865919, 0.19084955, 0.15276021, 1.0],
        [0.65618709, 0.19993128, 0.15007576, 1.0],
        [0.6635695, 0.20908526, 0.14743075, 1.0],
        [0.67080453, 0.21831301, 0.1448375, 1.0],
        [0.67788999, 0.22761609, 0.14230996, 1.0],
        [0.68482337, 0.23699614, 0.1398638, 1.0],
        [0.69160188, 0.24645478, 0.13751682, 1.0],
        [0.69822249, 0.25599358, 0.13528928, 1.0],
        [0.70468187, 0.26561404, 0.13320407, 1.0],
        [0.71097649, 0.27531759, 0.13128691, 1.0],
        [0.71710262, 0.28510549, 0.12956671, 1.0],
        [0.72305631, 0.29497887, 0.12807554, 1.0],
        [0.72883351, 0.30493864, 0.12684874, 1.0],
        [0.73443003, 0.31498551, 0.12592479, 1.0],
        [0.73984165, 0.32511988, 0.12534501, 1.0],
        [0.74506413, 0.33534188, 0.12515309, 1.0],
        [0.75009333, 0.34565125, 0.12539436, 1.0],
        [0.75492525, 0.35604733, 0.12611484, 1.0],
        [0.75955612, 0.36652901, 0.12736013, 1.0],
        [0.76398258, 0.37709464, 0.12917414, 1.0],
        [0.7682017, 0.38774203, 0.13159774, 1.0],
        [0.77221122, 0.39846833, 0.13466751, 1.0],
        [0.77600962, 0.40927004, 0.13841463, 1.0],
        [0.77959637, 0.4201429, 0.142864, 1.0],
        [0.78297201, 0.43108193, 0.14803371, 1.0],
        [0.78613838, 0.44208132, 0.15393484, 1.0],
        [0.78909879, 0.45313449, 0.16057155, 1.0],
        [0.79185809, 0.46423414, 0.16794145, 1.0],
        [0.79442299, 0.47537209, 0.17603613, 1.0],
        [0.79680179, 0.48653975, 0.18484187, 1.0],
        [0.79900496, 0.49772771, 0.19434016, 1.0],
        [0.80104441, 0.50892642, 0.20450869, 1.0],
        [0.80293413, 0.52012589, 0.21532172, 1.0],
        [0.80468967, 0.53131609, 0.22675077, 1.0],
        [0.80632783, 0.54248721, 0.23876543, 1.0],
        [0.8078667, 0.55362968, 0.25133358, 1.0],
        [0.80932526, 0.56473444, 0.26442207, 1.0],
        [0.81072299, 0.57579311, 0.27799721, 1.0],
        [0.81207972, 0.58679806, 0.29202509, 1.0],
        [0.81341552, 0.59774241, 0.30647173, 1.0],
        [0.81474926, 0.60862071, 0.32130478, 1.0],
        [0.81610036, 0.61942795, 0.33649157, 1.0],
        [0.81748695, 0.63016037, 0.35200121, 1.0],
        [0.81892611, 0.64081526, 0.3678044, 1.0],
        [0.82043411, 0.65139072, 0.38387313, 1.0],
        [0.82202656, 0.66188554, 0.40018042, 1.0],
        [0.82371744, 0.67229949, 0.41670163, 1.0],
        [0.82551949, 0.68263309, 0.43341401, 1.0],
        [0.82744484, 0.69288728, 0.45029574, 1.0],
        [0.8295049, 0.70306338, 0.46732598, 1.0],
        [0.83170905, 0.71316357, 0.48448704, 1.0],
        [0.83406629, 0.72319019, 0.50176173, 1.0],
        [0.83658533, 0.73314569, 0.51913321, 1.0],
        [0.83927317, 0.74303306, 0.53658732, 1.0],
        [0.84213588, 0.75285557, 0.55411142, 1.0],
        [0.84518059, 0.76261608, 0.57169073, 1.0],
        [0.84841181, 0.77231818, 0.58931505, 1.0],
        [0.85183442, 0.78196527, 0.60697334, 1.0],
        [0.855453, 0.79156074, 0.62465496, 1.0],
        [0.85927157, 0.80110804, 0.64235012, 1.0],
        [0.86329372, 0.81061062, 0.66004984, 1.0],
        [0.8675227, 0.82007195, 0.6777458, 1.0],
        [0.87196152, 0.82949538, 0.69543018, 1.0],
        [0.87661459, 0.83888389, 0.71309208, 1.0],
        [0.88148352, 0.84824093, 0.73072734, 1.0],
        [0.8865733, 0.85756911, 0.74832427, 1.0],
        [0.89188662, 0.86687134, 0.76587761, 1.0],
        [0.89742844, 0.8761499, 0.78337778, 1.0],
        [0.90320498, 0.88540665, 0.80081379, 1.0],
        [0.90922288, 0.89464305, 0.81817656, 1.0],
        [0.91549189, 0.90385964, 0.83545317, 1.0],
        [0.92202532, 0.91305582, 0.85262744, 1.0],
        [0.92884183, 0.92222945, 0.86967767, 1.0],
        [0.9359681, 0.93137619, 0.88657233, 1.0],
        [0.94344228, 0.94048919, 0.90326058, 1.0],
        [0.95131441, 0.94955998, 0.9196623, 1.0],
        [0.95963758, 0.95858437, 0.93564471, 1.0],
        [0.96842214, 0.96758121, 0.95101597, 1.0],
        [0.97753779, 0.97662151, 0.96561627, 1.0],
        [0.98668707, 0.985816, 0.97953727, 1.0],
        [0.99562415, 0.99522369, 0.99316724, 1.0],
        [0.9928673, 0.99599373, 0.99614814, 1.0],
        [0.978505, 0.98807098, 0.98857659, 1.0],
        [0.9640298, 0.9802583, 0.98118343, 1.0],
        [0.94945385, 0.97254703, 0.97397122, 1.0],
        [0.93478367, 0.96493074, 0.966943, 1.0],
        [0.92002294, 0.95740406, 0.96010196, 1.0],
        [0.90517453, 0.94996196, 0.95345107, 1.0],
        [0.89023871, 0.94260026, 0.94699415, 1.0],
        [0.8752151, 0.93531495, 0.94073521, 1.0],
        [0.86010366, 0.92810186, 0.93467806, 1.0],
        [0.84490304, 0.92095716, 0.92882722, 1.0],
        [0.82961175, 0.91387698, 0.92318739, 1.0],
        [0.81422838, 0.9068573, 0.91776342, 1.0],
        [0.79875172, 0.89989396, 0.91256023, 1.0],
        [0.78317989, 0.89298284, 0.90758344, 1.0],
        [0.76751212, 0.88611942, 0.90283832, 1.0],
        [0.75174803, 0.87929894, 0.89833027, 1.0],
        [0.73588801, 0.87251632, 0.89406462, 1.0],
        [0.7199323, 0.86576642, 0.89004726, 1.0],
        [0.7038831, 0.8590435, 0.88628335, 1.0],
        [0.68774337, 0.85234156, 0.88277813, 1.0],
        [0.67151833, 0.84565401, 0.87953598, 1.0],
        [0.65521541, 0.83897379, 0.87656047, 1.0],
        [0.63884212, 0.8322938, 0.87385586, 1.0],
        [0.62241137, 0.82560593, 0.87142346, 1.0],
        [0.60593731, 0.81890198, 0.86926455, 1.0],
        [0.58943783, 0.81217323, 0.86737864, 1.0],
        [0.57293484, 0.8054106, 0.86576323, 1.0],
        [0.5564545, 0.79860469, 0.86441358, 1.0],
        [0.54002602, 0.79174613, 0.86332368, 1.0],
        [0.52368496, 0.78482526, 0.86248343, 1.0],
        [0.50746978, 0.7778328, 0.86188137, 1.0],
        [0.49142353, 0.77075975, 0.86150313, 1.0],
        [0.47559348, 0.76359762, 0.86133146, 1.0],
        [0.4600297, 0.75633872, 0.86134727, 1.0],
        [0.4447851, 0.74897626, 0.86152922, 1.0],
        [0.4299142, 0.74150451, 0.8618545, 1.0],
        [0.41547206, 0.73391896, 0.86229955, 1.0],
        [0.40151344, 0.72621629, 0.86284042, 1.0],
        [0.38809192, 0.71839442, 0.86345317, 1.0],
        [0.37525864, 0.71045242, 0.86411483, 1.0],
        [0.36306172, 0.70239045, 0.86480345, 1.0],
        [0.35154527, 0.69420955, 0.86549871, 1.0],
        [0.34074877, 0.68591156, 0.8661821, 1.0],
        [0.3307064, 0.67749892, 0.86683699, 1.0],
        [0.32144646, 0.66897446, 0.86744888, 1.0],
        [0.31299088, 0.66034135, 0.86800502, 1.0],
        [0.30535474, 0.65160283, 0.86849481, 1.0],
        [0.29854589, 0.64276223, 0.86890904, 1.0],
        [0.29256481, 0.63382273, 0.86924036, 1.0],
        [0.28740445, 0.62478736, 0.8694827, 1.0],
        [0.28305032, 0.61565894, 0.86963107, 1.0],
        [0.27948085, 0.60644, 0.86968153, 1.0],
        [0.27666802, 0.59713272, 0.86963109, 1.0],
        [0.2745779, 0.58773898, 0.8694773, 1.0],
        [0.27317167, 0.57826027, 0.86921827, 1.0],
        [0.27240657, 0.56869773, 0.86885245, 1.0],
        [0.272237, 0.5590521, 0.86837857, 1.0],
        [0.27261552, 0.54932379, 0.8677955, 1.0],
        [0.27349393, 0.53951278, 0.86710216, 1.0],
        [0.27482409, 0.52961871, 0.86629742, 1.0],
        [0.27655872, 0.51964085, 0.86538002, 1.0],
        [0.27865202, 0.5095781, 0.86434849, 1.0],
        [0.28106012, 0.49942901, 0.86320111, 1.0],
        [0.28374143, 0.48919175, 0.86193579, 1.0],
        [0.28665689, 0.47886417, 0.86055007, 1.0],
        [0.28976997, 0.46844372, 0.85904101, 1.0],
        [0.29304674, 0.45792755, 0.85740514, 1.0],
        [0.29645577, 0.44731243, 0.85563839, 1.0],
        [0.29996801, 0.4365948, 0.85373605, 1.0],
        [0.30355667, 0.42577074, 0.85169266, 1.0],
        [0.307197, 0.41483597, 0.84950198, 1.0],
        [0.31086609, 0.40378588, 0.84715686, 1.0],
        [0.31454262, 0.39261551, 0.84464919, 1.0],
        [0.31820667, 0.38131959, 0.84196975, 1.0],
        [0.32183955, 0.36989247, 0.83910817, 1.0],
        [0.32542357, 0.35832819, 0.83605279, 1.0],
        [0.32894179, 0.3466205, 0.83279049, 1.0],
        [0.3323777, 0.33476293, 0.82930654, 1.0],
        [0.33571517, 0.32274878, 0.82558443, 1.0],
        [0.33893835, 0.31057115, 0.82160578, 1.0],
        [0.34203131, 0.29822306, 0.81735002, 1.0],
        [0.34497749, 0.28569784, 0.8127941, 1.0],
        [0.34776019, 0.27298888, 0.80791239, 1.0],
        [0.35036187, 0.26009021, 0.80267628, 1.0],
        [0.35276371, 0.24699702, 0.79705382, 1.0],
        [0.35494577, 0.23370596, 0.79100948, 1.0],
        [0.35688639, 0.22021618, 0.78450372, 1.0],
        [0.35856226, 0.20653021, 0.77749264, 1.0],
        [0.35994704, 0.19265635, 0.7699277, 1.0],
        [0.36101234, 0.17861026, 0.76175533, 1.0],
        [0.36172584, 0.16441945, 0.75291711, 1.0],
        [0.36205178, 0.15012794, 0.74334985, 1.0],
        [0.36195053, 0.1358038, 0.73298618, 1.0],
        [0.36137727, 0.12155071, 0.72175694, 1.0],
        [0.36028326, 0.1075222, 0.7095933, 1.0],
        [0.35861556, 0.09394195, 0.69643248, 1.0],
        [0.35631884, 0.08112583, 0.68222517, 1.0],
        [0.35333851, 0.06949832, 0.66694595, 1.0],
        [0.34962566, 0.05958143, 0.65060635, 1.0],
        [0.34514413, 0.05192004, 0.63326796, 1.0],
        [0.33987862, 0.04692002, 0.61505025, 1.0],
        [0.33384136, 0.04465176, 0.5961284, 1.0],
        [0.3270745, 0.04476563, 0.576718, 1.0],
        [0.31964641, 0.04661505, 0.55704886, 1.0],
        [0.31164264, 0.04949023, 0.5373365, 1.0],
        [0.3031553, 0.05279265, 0.51776318, 1.0],
        [0.29427335, 0.05610064, 0.49846566, 1.0],
        [0.28507738, 0.05914747, 0.47954053, 1.0],
        [0.27563583, 0.06178694, 0.46104509, 1.0],
        [0.26600531, 0.06394863, 0.44300913, 1.0],
        [0.25623172, 0.06560784, 0.42544305, 1.0],
        [0.2463514, 0.06676744, 0.40834278, 1.0],
        [0.23639355, 0.06744271, 0.39169711, 1.0],
        [0.22638008, 0.06765865, 0.37548663, 1.0],
        [0.21632909, 0.06743924, 0.35969209, 1.0],
        [0.20625363, 0.06681103, 0.34429018, 1.0],
        [0.19616452, 0.0657967, 0.32925957, 1.0],
        [0.186069, 0.06441903, 0.31457681, 1.0],
        [0.1759733, 0.0626959, 0.30022161, 1.0],
        [0.16588073, 0.06064493, 0.286172, 1.0],
        [0.15579384, 0.05827961, 0.27240858, 1.0],
        [0.14571404, 0.05561056, 0.25891321, 1.0],
        [0.13564028, 0.05264791, 0.24566637, 1.0],
        [0.12557198, 0.0493964, 0.23265254, 1.0],
        [0.11550677, 0.04585913, 0.2198558, 1.0],
        [0.10544091, 0.04203645, 0.20726079, 1.0],
        [0.09536987, 0.03792887, 0.19485383, 1.0],
    ],
    'cmr.gem': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000373410169, 0.000188169904, 0.000155454595, 1.0],
        [0.00136212701, 0.00063088258, 0.000508499973, 1.0],
        [0.00295039934, 0.00126560796, 0.000998198223, 1.0],
        [0.00514840144, 0.0020594529, 0.00159408215, 1.0],
        [0.00797157969, 0.00298895734, 0.00227615563, 1.0],
        [0.0114374232, 0.0040354486, 0.00303001816, 1.0],
        [0.0155645572, 0.00518308679, 0.00384476115, 1.0],
        [0.0203723851, 0.00641786484, 0.00471188896, 1.0],
        [0.0258802533, 0.00772725781, 0.00562494259, 1.0],
        [0.0321079807, 0.00909965168, 0.00657885754, 1.0],
        [0.0390756034, 0.0105241708, 0.00756978513, 1.0],
        [0.0464320172, 0.0119905132, 0.00859491805, 1.0],
        [0.0537443441, 0.0134880835, 0.00965168993, 1.0],
        [0.0610278927, 0.0150078392, 0.0107395094, 1.0],
        [0.0682885449, 0.0165406334, 0.0118581553, 1.0],
        [0.0755338604, 0.0180761341, 0.0130069887, 1.0],
        [0.0827658383, 0.019606585, 0.0141880839, 1.0],
        [0.089990145, 0.0211220585, 0.0154023605, 1.0],
        [0.0972086251, 0.0226146379, 0.0166529208, 1.0],
        [0.104425967, 0.0240743598, 0.0179420583, 1.0],
        [0.111642828, 0.0254938134, 0.019274567, 1.0],
        [0.118862656, 0.0268634117, 0.0206545331, 1.0],
        [0.126087365, 0.028174446, 0.0220874972, 1.0],
        [0.133317901, 0.0294188855, 0.023580282, 1.0],
        [0.140555861, 0.0305880026, 0.0251402719, 1.0],
        [0.147802542, 0.0316731393, 0.0267759902, 1.0],
        [0.155058946, 0.0326657437, 0.0284972238, 1.0],
        [0.162325771, 0.0335574172, 0.0303151648, 1.0],
        [0.169603405, 0.0343399705, 0.0322425701, 1.0],
        [0.176891915, 0.0350054898, 0.0342939422, 1.0],
        [0.184191028, 0.0355464142, 0.0364857311, 1.0],
        [0.191501553, 0.0359536332, 0.0388360071, 1.0],
        [0.198821793, 0.0362213017, 0.0413449228, 1.0],
        [0.206151148, 0.036342133, 0.0439484814, 1.0],
        [0.213488096, 0.0363101874, 0.0466672969, 1.0],
        [0.220831653, 0.0361187256, 0.0495141505, 1.0],
        [0.22817879, 0.0357643903, 0.0525027527, 1.0],
        [0.235527075, 0.0352431381, 0.0556471197, 1.0],
        [0.24287336, 0.0345524088, 0.0589618517, 1.0],
        [0.250213735, 0.0336913973, 0.0624620137, 1.0],
        [0.257543498, 0.0326613261, 0.0661629752, 1.0],
        [0.264857253, 0.031465468, 0.070080242, 1.0],
        [0.272149747, 0.0301075218, 0.0742296155, 1.0],
        [0.279412903, 0.0285981983, 0.078625867, 1.0],
        [0.286640169, 0.0269460991, 0.083284068, 1.0],
        [0.293822479, 0.0251669195, 0.0882174093, 1.0],
        [0.300950864, 0.0232779079, 0.0934379641, 1.0],
        [0.308015793, 0.0212995955, 0.0989558978, 1.0],
        [0.315007294, 0.019255821, 0.104778942, 1.0],
        [0.321915221, 0.0171733354, 0.110912, 1.0],
        [0.328729541, 0.015081263, 0.117356867, 1.0],
        [0.335440617, 0.0130104557, 0.124112082, 1.0],
        [0.34203959, 0.0109923779, 0.13117321, 1.0],
        [0.348518154, 0.00905989409, 0.138532031, 1.0],
        [0.354869253, 0.00724490078, 0.146177862, 1.0],
        [0.361086974, 0.00557839848, 0.154097597, 1.0],
        [0.367166544, 0.00409027249, 0.162275969, 1.0],
        [0.373104404, 0.00280858858, 0.170696366, 1.0],
        [0.378898092, 0.00175965562, 0.179341142, 1.0],
        [0.384546183, 0.000967703297, 0.188192373, 1.0],
        [0.39004807, 0.000455460891, 0.197231716, 1.0],
        [0.395403901, 0.000243887199, 0.206441169, 1.0],
        [0.400614436, 0.000352333896, 0.215803416, 1.0],
        [0.405680863, 0.000799115842, 0.225301565, 1.0],
        [0.410604721, 0.00160157009, 0.234919451, 1.0],
        [0.415387794, 0.00277627331, 0.244641688, 1.0],
        [0.420032036, 0.00433922646, 0.254453715, 1.0],
        [0.424539498, 0.0063059109, 0.264342032, 1.0],
        [0.428912276, 0.00869167956, 0.274293712, 1.0],
        [0.433152478, 0.0115117214, 0.284296627, 1.0],
        [0.437262179, 0.0147811036, 0.294339575, 1.0],
        [0.441243411, 0.0185149425, 0.304412012, 1.0],
        [0.445098141, 0.0227284282, 0.314504073, 1.0],
        [0.448828281, 0.0274368891, 0.324606385, 1.0],
        [0.452435745, 0.032655834, 0.334709717, 1.0],
        [0.455922201, 0.0384006638, 0.344806614, 1.0],
        [0.45928939, 0.04449525, 0.354889069, 1.0],
        [0.462538965, 0.0505815679, 0.364949753, 1.0],
        [0.465672396, 0.0566662469, 0.374982377, 1.0],
        [0.468691297, 0.0627517581, 0.384980031, 1.0],
        [0.47159697, 0.068840254, 0.394937401, 1.0],
        [0.474390873, 0.074933548, 0.404848596, 1.0],
        [0.477074303, 0.0810332093, 0.414708559, 1.0],
        [0.479648438, 0.0871406175, 0.424512809, 1.0],
        [0.482114693, 0.0932567795, 0.43425621, 1.0],
        [0.484474089, 0.0993827086, 0.443935152, 1.0],
        [0.486727754, 0.105519169, 0.453545793, 1.0],
        [0.488876874, 0.111666704, 0.463084328, 1.0],
        [0.49092253, 0.117825765, 0.472547459, 1.0],
        [0.492865676, 0.123996743, 0.481932385, 1.0],
        [0.494707324, 0.130179861, 0.491236319, 1.0],
        [0.496448456, 0.136375239, 0.500456722, 1.0],
        [0.498090039, 0.142582904, 0.509591268, 1.0],
        [0.499633054, 0.148802771, 0.518637781, 1.0],
        [0.501078319, 0.155034789, 0.527594581, 1.0],
        [0.502426706, 0.161278787, 0.53646002, 1.0],
        [0.503679062, 0.167534541, 0.545232644, 1.0],
        [0.504836206, 0.173801784, 0.55391119, 1.0],
        [0.505898932, 0.180080212, 0.562494574, 1.0],
        [0.506868007, 0.186369486, 0.570981878, 1.0],
        [0.507744171, 0.192669245, 0.579372348, 1.0],
        [0.508528134, 0.198979104, 0.587665379, 1.0],
        [0.50922058, 0.205298665, 0.595860511, 1.0],
        [0.50982216, 0.211627516, 0.603957418, 1.0],
        [0.510333495, 0.217965241, 0.6119559, 1.0],
        [0.510755175, 0.224311418, 0.619855875, 1.0],
        [0.511087752, 0.230665625, 0.627657373, 1.0],
        [0.511331747, 0.237027445, 0.635360525, 1.0],
        [0.51148764, 0.243396465, 0.642965557, 1.0],
        [0.511555876, 0.249772281, 0.650472784, 1.0],
        [0.511536856, 0.2561545, 0.6578826, 1.0],
        [0.511430992, 0.262542708, 0.665195429, 1.0],
        [0.511238548, 0.268936574, 0.672411854, 1.0],
        [0.510959791, 0.275335746, 0.679532468, 1.0],
        [0.510594943, 0.281739894, 0.686557919, 1.0],
        [0.510144171, 0.288148703, 0.6934889, 1.0],
        [0.509607593, 0.294561879, 0.700326144, 1.0],
        [0.508985272, 0.300979147, 0.707070419, 1.0],
        [0.508277221, 0.307400248, 0.713722513, 1.0],
        [0.507483424, 0.313824932, 0.720283224, 1.0],
        [0.506603714, 0.320253015, 0.726753419, 1.0],
        [0.505637913, 0.326684308, 0.733133939, 1.0],
        [0.504585777, 0.333118646, 0.739425635, 1.0],
        [0.503446993, 0.339555881, 0.745629358, 1.0],
        [0.50222118, 0.345995888, 0.75174595, 1.0],
        [0.500907917, 0.352438547, 0.757776236, 1.0],
        [0.49950663, 0.358883798, 0.763721055, 1.0],
        [0.498016711, 0.365331578, 0.769581209, 1.0],
        [0.496437474, 0.371781842, 0.775357476, 1.0],
        [0.49476815, 0.378234566, 0.781050607, 1.0],
        [0.493007894, 0.384689739, 0.786661318, 1.0],
        [0.491155759, 0.391147373, 0.792190295, 1.0],
        [0.489210707, 0.3976075, 0.797638182, 1.0],
        [0.487171622, 0.404070156, 0.803005576, 1.0],
        [0.485037293, 0.410535396, 0.80829303, 1.0],
        [0.482806413, 0.417003284, 0.81350104, 1.0],
        [0.480477547, 0.423473909, 0.818630059, 1.0],
        [0.478049206, 0.42994735, 0.823680468, 1.0],
        [0.475519783, 0.4364237, 0.828652591, 1.0],
        [0.472887567, 0.442903061, 0.83354669, 1.0],
        [0.47015074, 0.449385537, 0.838362956, 1.0],
        [0.467307348, 0.455871248, 0.843101515, 1.0],
        [0.464355321, 0.462360316, 0.847762414, 1.0],
        [0.461292546, 0.468852836, 0.852345622, 1.0],
        [0.458116755, 0.475348917, 0.85685103, 1.0],
        [0.454825563, 0.481848665, 0.861278447, 1.0],
        [0.451416465, 0.488352179, 0.865627597, 1.0],
        [0.447886835, 0.494859551, 0.869898118, 1.0],
        [0.444233819, 0.5013709, 0.874089554, 1.0],
        [0.440454626, 0.507886268, 0.878201357, 1.0],
        [0.436546271, 0.514405704, 0.882232883, 1.0],
        [0.432505637, 0.520929248, 0.886183391, 1.0],
        [0.428329479, 0.527456917, 0.890052037, 1.0],
        [0.424014433, 0.533988708, 0.893837875, 1.0],
        [0.419557011, 0.540524592, 0.897539852, 1.0],
        [0.414953607, 0.547064512, 0.901156805, 1.0],
        [0.410200502, 0.55360838, 0.904687461, 1.0],
        [0.405293869, 0.560156072, 0.90813043, 1.0],
        [0.400229784, 0.566707427, 0.911484206, 1.0],
        [0.395004205, 0.573262249, 0.91474716, 1.0],
        [0.389613073, 0.579820279, 0.917917543, 1.0],
        [0.384052275, 0.586381209, 0.920993485, 1.0],
        [0.378317646, 0.592944681, 0.923972982, 1.0],
        [0.372404927, 0.599510299, 0.926853886, 1.0],
        [0.366310026, 0.606077568, 0.929633934, 1.0],
        [0.360028892, 0.612645933, 0.932310717, 1.0],
        [0.353557621, 0.61921476, 0.934881688, 1.0],
        [0.346892537, 0.625783327, 0.93734416, 1.0],
        [0.34003028, 0.632350823, 0.939695299, 1.0],
        [0.332967939, 0.63891633, 0.941932129, 1.0],
        [0.325703199, 0.645478823, 0.944051525, 1.0],
        [0.318234278, 0.652037206, 0.946050165, 1.0],
        [0.310560111, 0.658590305, 0.947924508, 1.0],
        [0.302682154, 0.665136575, 0.949671103, 1.0],
        [0.294602989, 0.671674438, 0.951286236, 1.0],
        [0.286326461, 0.678202313, 0.952765837, 1.0],
        [0.277860138, 0.684718273, 0.954105875, 1.0],
        [0.269216141, 0.691220047, 0.955302395, 1.0],
        [0.260408283, 0.697705627, 0.956350621, 1.0],
        [0.251460094, 0.704172171, 0.957246534, 1.0],
        [0.242399485, 0.710617081, 0.957985235, 1.0],
        [0.233266775, 0.717037084, 0.958562392, 1.0],
        [0.224111651, 0.723429024, 0.958972855, 1.0],
        [0.215003222, 0.729788895, 0.959212433, 1.0],
        [0.206026386, 0.736112834, 0.959275961, 1.0],
        [0.19729238, 0.742396292, 0.959158945, 1.0],
        [0.18894168, 0.748634273, 0.95885715, 1.0],
        [0.181147467, 0.754821441, 0.958366351, 1.0],
        [0.174119694, 0.760951959, 0.957682735, 1.0],
        [0.168104731, 0.767019466, 0.956803062, 1.0],
        [0.163378912, 0.77301705, 0.955724872, 1.0],
        [0.160233337, 0.778937248, 0.954446727, 1.0],
        [0.158948864, 0.784772043, 0.952968502, 1.0],
        [0.159763808, 0.790512904, 0.951291709, 1.0],
        [0.162841476, 0.796150844, 0.949419875, 1.0],
        [0.168247331, 0.801676537, 0.94735882, 1.0],
        [0.175943727, 0.807080498, 0.94511675, 1.0],
        [0.185802826, 0.812353056, 0.94270642, 1.0],
        [0.197630689, 0.817484952, 0.940143098, 1.0],
        [0.211195238, 0.822467434, 0.937446781, 1.0],
        [0.226250199, 0.827292753, 0.934641321, 1.0],
        [0.242551634, 0.831954547, 0.931754773, 1.0],
        [0.259867899, 0.836448276, 0.928818849, 1.0],
        [0.277984691, 0.84077159, 0.925868105, 1.0],
        [0.296706338, 0.844924625, 0.922939311, 1.0],
        [0.315857513, 0.848910101, 0.920069415, 1.0],
        [0.335282378, 0.8527333, 0.917294717, 1.0],
        [0.35484305, 0.856401972, 0.914650176, 1.0],
        [0.37442369, 0.859925678, 0.912165907, 1.0],
        [0.393925357, 0.863315622, 0.909868768, 1.0],
        [0.41326691, 0.866584045, 0.907780859, 1.0],
        [0.432384122, 0.869743682, 0.90591919, 1.0],
        [0.451228471, 0.872807248, 0.904295684, 1.0],
        [0.469761631, 0.875787531, 0.902919237, 1.0],
        [0.487959428, 0.878696417, 0.901793563, 1.0],
        [0.505805565, 0.881545237, 0.9009198, 1.0],
        [0.523293431, 0.884344147, 0.900295555, 1.0],
        [0.540418934, 0.887102935, 0.899917854, 1.0],
        [0.557183353, 0.889830418, 0.899781809, 1.0],
        [0.573592284, 0.89253443, 0.899881036, 1.0],
        [0.589654702, 0.895221834, 0.900208045, 1.0],
        [0.605382129, 0.897898573, 0.900754581, 1.0],
        [0.620784092, 0.900570513, 0.901513362, 1.0],
        [0.63587085, 0.903242962, 0.902476962, 1.0],
        [0.650656783, 0.905919896, 0.903636583, 1.0],
        [0.665155604, 0.908604923, 0.904983893, 1.0],
        [0.679372949, 0.911303053, 0.906513578, 1.0],
        [0.693325864, 0.914016293, 0.908216406, 1.0],
        [0.707025283, 0.916747609, 0.910085494, 1.0],
        [0.720481939, 0.919499645, 0.912114165, 1.0],
        [0.733706454, 0.922274715, 0.914295918, 1.0],
        [0.746709248, 0.925074839, 0.916624463, 1.0],
        [0.759499976, 0.927901919, 0.919093896, 1.0],
        [0.772083727, 0.930758823, 0.921699823, 1.0],
        [0.78447408, 0.933645822, 0.924435373, 1.0],
        [0.796680175, 0.936564095, 0.927295206, 1.0],
        [0.80870215, 0.939517218, 0.930276653, 1.0],
        [0.820555604, 0.942504059, 0.933372707, 1.0],
        [0.832240419, 0.945527902, 0.93658089, 1.0],
        [0.843769301, 0.948587998, 0.939895272, 1.0],
        [0.855139746, 0.951688097, 0.94331405, 1.0],
        [0.866364184, 0.954827159, 0.946831535, 1.0],
        [0.877445363, 0.958007015, 0.950444613, 1.0],
        [0.888383781, 0.961230147, 0.954150665, 1.0],
        [0.899187427, 0.964496484, 0.957945228, 1.0],
        [0.909858966, 0.967807583, 0.96182509, 1.0],
        [0.920400581, 0.971165095, 0.965787035, 1.0],
        [0.930813739, 0.97457086, 0.969827831, 1.0],
        [0.941098038, 0.978027339, 0.973944383, 1.0],
        [0.951255426, 0.981536158, 0.978132713, 1.0],
        [0.961284513, 0.985100129, 0.982389014, 1.0],
        [0.97118208, 0.988722782, 0.986709046, 1.0],
        [0.980942148, 0.992408774, 0.991087965, 1.0],
        [0.990554242, 0.996164613, 0.995520221, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.gothic': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000226447742, 0.000229091396, 0.00031205176, 1.0],
        [0.000778233562, 0.000792865741, 0.00113478521, 1.0],
        [0.0015994305, 0.00163922797, 0.00245504224, 1.0],
        [0.00266447419, 0.00274447647, 0.00428571645, 1.0],
        [0.00395711178, 0.00409317898, 0.00664639843, 1.0],
        [0.00546581534, 0.00567389447, 0.00956002375, 1.0],
        [0.00718194603, 0.0074774783, 0.0130517282, 1.0],
        [0.00909883627, 0.00949623752, 0.0171483603, 1.0],
        [0.0112112314, 0.0117234276, 0.0218786189, 1.0],
        [0.0135149071, 0.0141529025, 0.0272736927, 1.0],
        [0.016006814, 0.0167791298, 0.0333635945, 1.0],
        [0.0186845589, 0.0195968373, 0.0401807916, 1.0],
        [0.021546427, 0.0226009738, 0.04728996, 1.0],
        [0.0245913122, 0.0257866296, 0.0544130359, 1.0],
        [0.0278183052, 0.0291486126, 0.0615647415, 1.0],
        [0.0312276638, 0.032682324, 0.0687479088, 1.0],
        [0.0348198944, 0.0363829474, 0.0759674866, 1.0],
        [0.0385959611, 0.0402455896, 0.0832281202, 1.0],
        [0.0424908016, 0.044102189, 0.0905388938, 1.0],
        [0.0463429955, 0.0478909017, 0.0978998199, 1.0],
        [0.0501632764, 0.0516171688, 0.105313662, 1.0],
        [0.0539556203, 0.0552823395, 0.112787152, 1.0],
        [0.05772405, 0.0588878596, 0.120323439, 1.0],
        [0.0614725762, 0.0624354195, 0.12792196, 1.0],
        [0.0652045214, 0.0659251662, 0.135590365, 1.0],
        [0.0689234776, 0.0693579772, 0.143329665, 1.0],
        [0.0726329282, 0.0727348054, 0.151139207, 1.0],
        [0.076335829, 0.0760543069, 0.159030401, 1.0],
        [0.0800357043, 0.0793181101, 0.166996152, 1.0],
        [0.0837355183, 0.0825246429, 0.175046374, 1.0],
        [0.0874384896, 0.0856743991, 0.183178484, 1.0],
        [0.0911476837, 0.0887660607, 0.191398537, 1.0],
        [0.0948662031, 0.0917993822, 0.199706084, 1.0],
        [0.0985971776, 0.0947727116, 0.208106696, 1.0],
        [0.102343642, 0.0976858758, 0.216598028, 1.0],
        [0.106108918, 0.100535954, 0.225189499, 1.0],
        [0.109895905, 0.103323363, 0.233874694, 1.0],
        [0.113708149, 0.106044413, 0.242664306, 1.0],
        [0.117548702, 0.10869837, 0.25155543, 1.0],
        [0.121420718, 0.111283628, 0.260548309, 1.0],
        [0.125328117, 0.113795832, 0.269652904, 1.0],
        [0.12927396, 0.116233903, 0.278865482, 1.0],
        [0.133261663, 0.118595297, 0.288187289, 1.0],
        [0.137294832, 0.120876864, 0.297620854, 1.0],
        [0.141377704, 0.123073811, 0.307173142, 1.0],
        [0.145513654, 0.125183703, 0.316841993, 1.0],
        [0.149706467, 0.127202852, 0.32662861, 1.0],
        [0.153960122, 0.129127001, 0.336534919, 1.0],
        [0.158278696, 0.130951581, 0.34656263, 1.0],
        [0.16266636, 0.132671692, 0.356713192, 1.0],
        [0.167127364, 0.134282096, 0.366987747, 1.0],
        [0.171666036, 0.135777204, 0.377387075, 1.0],
        [0.176286763, 0.137151064, 0.387911532, 1.0],
        [0.180993972, 0.138397357, 0.398560985, 1.0],
        [0.185792345, 0.139508946, 0.409335765, 1.0],
        [0.190687746, 0.140476075, 0.42024045, 1.0],
        [0.195683509, 0.141293423, 0.431267545, 1.0],
        [0.200784045, 0.141953039, 0.442414164, 1.0],
        [0.205996676, 0.142440998, 0.453687675, 1.0],
        [0.211323714, 0.142752084, 0.465075169, 1.0],
        [0.216772022, 0.142871868, 0.476580044, 1.0],
        [0.222344392, 0.142792628, 0.488190378, 1.0],
        [0.22804878, 0.142496131, 0.499910607, 1.0],
        [0.23388712, 0.141974202, 0.511724558, 1.0],
        [0.239864394, 0.141211823, 0.52362522, 1.0],
        [0.245985216, 0.140193278, 0.535603295, 1.0],
        [0.252253672, 0.138902283, 0.547646858, 1.0],
        [0.258673139, 0.137322167, 0.559741026, 1.0],
        [0.265246089, 0.135436097, 0.571867641, 1.0],
        [0.271973875, 0.133227369, 0.584004993, 1.0],
        [0.278856515, 0.130679758, 0.596127603, 1.0],
        [0.285894587, 0.127773496, 0.608210561, 1.0],
        [0.293085614, 0.124492547, 0.620221587, 1.0],
        [0.300425576, 0.120821649, 0.632125065, 1.0],
        [0.307907501, 0.116749651, 0.643879806, 1.0],
        [0.315524192, 0.11226371, 0.655444841, 1.0],
        [0.323264717, 0.107357697, 0.666773444, 1.0],
        [0.331114877, 0.102032445, 0.6778154, 1.0],
        [0.339059128, 0.0962922571, 0.688521228, 1.0],
        [0.347079506, 0.0901490684, 0.698841382, 1.0],
        [0.355155269, 0.0836258523, 0.708727162, 1.0],
        [0.363265133, 0.0767530915, 0.718135003, 1.0],
        [0.371388813, 0.0695663192, 0.727028874, 1.0],
        [0.379503974, 0.0621195393, 0.735377513, 1.0],
        [0.387591741, 0.0544709974, 0.74316081, 1.0],
        [0.395633939, 0.0466973157, 0.750366708, 1.0],
        [0.403615908, 0.0388806244, 0.756993256, 1.0],
        [0.411525299, 0.0316404719, 0.763046692, 1.0],
        [0.419353041, 0.0254381469, 0.768541032, 1.0],
        [0.427092985, 0.0203111365, 0.773496488, 1.0],
        [0.434741518, 0.0162762626, 0.777937976, 1.0],
        [0.442297417, 0.0133316889, 0.781893759, 1.0],
        [0.449761346, 0.011460668, 0.78539411, 1.0],
        [0.45713549, 0.0106346333, 0.788470222, 1.0],
        [0.46442309, 0.0108165942, 0.791153339, 1.0],
        [0.471628545, 0.0119621799, 0.793473971, 1.0],
        [0.478756077, 0.0140257944, 0.795461713, 1.0],
        [0.485811145, 0.0169564805, 0.797144349, 1.0],
        [0.492798791, 0.0207047236, 0.798548164, 1.0],
        [0.499723912, 0.025221949, 0.799697804, 1.0],
        [0.50659185, 0.0304591746, 0.800615705, 1.0],
        [0.513407454, 0.0363704266, 0.80132269, 1.0],
        [0.520175335, 0.0428290813, 0.801837849, 1.0],
        [0.5268998, 0.0493006894, 0.802178667, 1.0],
        [0.533585131, 0.0556951381, 0.802360777, 1.0],
        [0.540235172, 0.0619919638, 0.802398482, 1.0],
        [0.546853492, 0.0681792256, 0.802304698, 1.0],
        [0.553443381, 0.0742506603, 0.802091064, 1.0],
        [0.560007865, 0.0802038196, 0.801768035, 1.0],
        [0.566549701, 0.0860388397, 0.801344986, 1.0],
        [0.573071435, 0.0917575605, 0.800830238, 1.0],
        [0.579575339, 0.0973630569, 0.80023124, 1.0],
        [0.586063456, 0.102859204, 0.799554605, 1.0],
        [0.592537604, 0.108250413, 0.798806175, 1.0],
        [0.598999392, 0.113541451, 0.797991088, 1.0],
        [0.605450228, 0.118737312, 0.797113822, 1.0],
        [0.611891416, 0.123843064, 0.796178071, 1.0],
        [0.618323894, 0.128864013, 0.795187304, 1.0],
        [0.624748475, 0.133805465, 0.79414436, 1.0],
        [0.631165777, 0.138672772, 0.793051613, 1.0],
        [0.637576367, 0.143471232, 0.791910695, 1.0],
        [0.643980503, 0.148206275, 0.790723059, 1.0],
        [0.650378081, 0.152883479, 0.789490127, 1.0],
        [0.656769134, 0.157508292, 0.78821218, 1.0],
        [0.663153279, 0.162086388, 0.786889572, 1.0],
        [0.669529775, 0.166623642, 0.785522618, 1.0],
        [0.675898048, 0.171125887, 0.784110262, 1.0],
        [0.682256741, 0.175599445, 0.782652341, 1.0],
        [0.688604415, 0.180050801, 0.781147805, 1.0],
        [0.694939632, 0.184486653, 0.77959431, 1.0],
        [0.701259889, 0.188914427, 0.777990898, 1.0],
        [0.707562612, 0.193341919, 0.776335203, 1.0],
        [0.713844663, 0.197777604, 0.774624504, 1.0],
        [0.720102214, 0.202230793, 0.772855769, 1.0],
        [0.726330596, 0.206711819, 0.771025705, 1.0],
        [0.732524546, 0.211232184, 0.76912938, 1.0],
        [0.738677125, 0.215805065, 0.767162905, 1.0],
        [0.744780412, 0.220445502, 0.765120147, 1.0],
        [0.750824243, 0.225171063, 0.762995604, 1.0],
        [0.756796336, 0.230002454, 0.760781956, 1.0],
        [0.762681066, 0.234964463, 0.758471831, 1.0],
        [0.768459197, 0.240087477, 0.756054068, 1.0],
        [0.774104867, 0.245408821, 0.753520688, 1.0],
        [0.779584812, 0.250975771, 0.750860165, 1.0],
        [0.784854173, 0.256848769, 0.748062344, 1.0],
        [0.789851706, 0.263106436, 0.745119189, 1.0],
        [0.794492325, 0.269850627, 0.742033203, 1.0],
        [0.798658014, 0.277211589, 0.738827845, 1.0],
        [0.802191235, 0.28533969, 0.735581626, 1.0],
        [0.804910443, 0.294361042, 0.732480709, 1.0],
        [0.80668515, 0.304265021, 0.72986371, 1.0],
        [0.807559935, 0.314793014, 0.728137635, 1.0],
        [0.807770182, 0.325531167, 0.727540551, 1.0],
        [0.807590024, 0.33614784, 0.728036571, 1.0],
        [0.807214059, 0.346482921, 0.729440873, 1.0],
        [0.806750229, 0.356494498, 0.731553024, 1.0],
        [0.806252931, 0.366192954, 0.734208725, 1.0],
        [0.805749159, 0.375605511, 0.737284354, 1.0],
        [0.805251239, 0.3847633, 0.740688356, 1.0],
        [0.804766307, 0.393693721, 0.744352835, 1.0],
        [0.804295563, 0.402423277, 0.748226237, 1.0],
        [0.803840884, 0.410972637, 0.752269121, 1.0],
        [0.803400999, 0.419361525, 0.756450531, 1.0],
        [0.80297646, 0.42760499, 0.76074589, 1.0],
        [0.80256676, 0.435716721, 0.765135307, 1.0],
        [0.802170858, 0.443708986, 0.76960252, 1.0],
        [0.801787823, 0.451592425, 0.774134064, 1.0],
        [0.801418472, 0.459375079, 0.778718539, 1.0],
        [0.801061589, 0.467065614, 0.783346393, 1.0],
        [0.800717014, 0.474671014, 0.788009397, 1.0],
        [0.800384751, 0.482197457, 0.792700426, 1.0],
        [0.800064737, 0.489650579, 0.797413273, 1.0],
        [0.799756901, 0.497035521, 0.802142481, 1.0],
        [0.799461198, 0.50435697, 0.806883207, 1.0],
        [0.799177952, 0.511618985, 0.811631081, 1.0],
        [0.7989075, 0.518825304, 0.816382151, 1.0],
        [0.798649376, 0.525979913, 0.821132873, 1.0],
        [0.798404521, 0.533085623, 0.825879859, 1.0],
        [0.798172578, 0.540145875, 0.830620048, 1.0],
        [0.797954287, 0.547163217, 0.835350459, 1.0],
        [0.797749403, 0.55414065, 0.840068308, 1.0],
        [0.797558867, 0.561080294, 0.844770811, 1.0],
        [0.797382393, 0.567984892, 0.849455307, 1.0],
        [0.797220527, 0.574856565, 0.854119086, 1.0],
        [0.797073678, 0.581697424, 0.858759421, 1.0],
        [0.796941986, 0.588509651, 0.863373532, 1.0],
        [0.796825894, 0.595295177, 0.867958524, 1.0],
        [0.79672587, 0.602055861, 0.872511369, 1.0],
        [0.796642224, 0.608793604, 0.87702887, 1.0],
        [0.796575474, 0.615510148, 0.881507616, 1.0],
        [0.796526159, 0.622207201, 0.885943952, 1.0],
        [0.796494894, 0.628886411, 0.890333932, 1.0],
        [0.796482469, 0.635549331, 0.894673283, 1.0],
        [0.796489759, 0.642197473, 0.898957363, 1.0],
        [0.796517697, 0.648832336, 0.903181101, 1.0],
        [0.796567752, 0.655455173, 0.907338996, 1.0],
        [0.796641459, 0.662067246, 0.911425032, 1.0],
        [0.79674047, 0.668669814, 0.915432621, 1.0],
        [0.796867437, 0.675263696, 0.919354676, 1.0],
        [0.797024851, 0.68184988, 0.923183416, 1.0],
        [0.797216217, 0.688428939, 0.926910498, 1.0],
        [0.7974456, 0.695001279, 0.930526944, 1.0],
        [0.797717732, 0.701567099, 0.934023134, 1.0],
        [0.798038534, 0.70812614, 0.93738897, 1.0],
        [0.798414813, 0.714677847, 0.940613862, 1.0],
        [0.798854502, 0.721221248, 0.943686895, 1.0],
        [0.799367226, 0.727754669, 0.94659724, 1.0],
        [0.79996338, 0.73427618, 0.949334035, 1.0],
        [0.800655355, 0.740782941, 0.951887296, 1.0],
        [0.801456708, 0.747271579, 0.95424806, 1.0],
        [0.802382116, 0.753738137, 0.956408945, 1.0],
        [0.803447337, 0.760178002, 0.95836491, 1.0],
        [0.804668607, 0.766586102, 0.960113744, 1.0],
        [0.806062004, 0.772957114, 0.961656489, 1.0],
        [0.807643138, 0.779285481, 0.962998185, 1.0],
        [0.809425825, 0.785566009, 0.964147386, 1.0],
        [0.811421581, 0.791794049, 0.965116069, 1.0],
        [0.81364007, 0.797965127, 0.965920837, 1.0],
        [0.816086268, 0.804076646, 0.966578421, 1.0],
        [0.818763508, 0.810126035, 0.967110139, 1.0],
        [0.821670693, 0.81611261, 0.967535925, 1.0],
        [0.82480425, 0.822036495, 0.967876454, 1.0],
        [0.828158274, 0.827898673, 0.968152119, 1.0],
        [0.831724827, 0.833701, 0.968381976, 1.0],
        [0.835494471, 0.839446051, 0.968583201, 1.0],
        [0.839456802, 0.845136954, 0.968770748, 1.0],
        [0.8436015, 0.850776489, 0.968961486, 1.0],
        [0.847917061, 0.856368833, 0.969163914, 1.0],
        [0.852393082, 0.861916955, 0.969392414, 1.0],
        [0.857018752, 0.867424924, 0.969653021, 1.0],
        [0.861784114, 0.872896093, 0.969954579, 1.0],
        [0.866679642, 0.878333778, 0.970304516, 1.0],
        [0.871696329, 0.883741212, 0.970708952, 1.0],
        [0.876825753, 0.889121519, 0.97117283, 1.0],
        [0.882060106, 0.894477679, 0.971700057, 1.0],
        [0.887392204, 0.899812519, 0.972293655, 1.0],
        [0.892815479, 0.905128696, 0.972955905, 1.0],
        [0.89832334, 0.910428343, 0.973693758, 1.0],
        [0.903910476, 0.915714044, 0.974505735, 1.0],
        [0.909571321, 0.920987782, 0.97539652, 1.0],
        [0.915301246, 0.926251677, 0.976366329, 1.0],
        [0.921095076, 0.931507435, 0.977421031, 1.0],
        [0.926949172, 0.936757032, 0.978558675, 1.0],
        [0.93285924, 0.942002087, 0.979782843, 1.0],
        [0.938820604, 0.947244125, 0.981099434, 1.0],
        [0.944829941, 0.952484857, 0.982507858, 1.0],
        [0.950883073, 0.957725877, 0.984011716, 1.0],
        [0.956975487, 0.962968876, 0.985614991, 1.0],
        [0.963102008, 0.968215764, 0.987322159, 1.0],
        [0.969256293, 0.973468857, 0.989138275, 1.0],
        [0.975430034, 0.978731202, 0.991068895, 1.0],
        [0.981611707, 0.984007125, 0.993119605, 1.0],
        [0.987784736, 0.989303107, 0.995294561, 1.0],
        [0.993925162, 0.994629095, 0.997592784, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.heat': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000186928655, 0.000243138159, 0.000327218414, 1.0],
        [0.000617924867, 0.000849591308, 0.00119960729, 1.0],
        [0.00122235499, 0.0017720852, 0.00261491023, 1.0],
        [0.00196125525, 0.00299120651, 0.00459723106, 1.0],
        [0.0028051714, 0.00449550357, 0.00717986247, 1.0],
        [0.00373131551, 0.00627697643, 0.0103973079, 1.0],
        [0.00471979735, 0.0083297607, 0.0142880218, 1.0],
        [0.00575150296, 0.0106494644, 0.0188969888, 1.0],
        [0.00681108698, 0.0132321645, 0.0242665934, 1.0],
        [0.00788387143, 0.0160745477, 0.0304432478, 1.0],
        [0.00895368843, 0.0191739208, 0.0374832093, 1.0],
        [0.0100100332, 0.0225271425, 0.0451831287, 1.0],
        [0.0110375376, 0.026131791, 0.0529551051, 1.0],
        [0.0120267872, 0.029984798, 0.0607871426, 1.0],
        [0.0129641064, 0.0340834734, 0.0686938142, 1.0],
        [0.0138412915, 0.0384244667, 0.0766772344, 1.0],
        [0.0146447133, 0.0429169391, 0.0847522474, 1.0],
        [0.0153691294, 0.0473442978, 0.0929167793, 1.0],
        [0.0160005691, 0.051713323, 0.101187346, 1.0],
        [0.0165342073, 0.0560256464, 0.109563482, 1.0],
        [0.0169632117, 0.0602825656, 0.118050263, 1.0],
        [0.0172763379, 0.0644849302, 0.126661594, 1.0],
        [0.0174706913, 0.0686330039, 0.135398184, 1.0],
        [0.0175420027, 0.072726696, 0.14426513, 1.0],
        [0.0174862066, 0.0767654855, 0.153269111, 1.0],
        [0.0173005743, 0.0807484127, 0.162416765, 1.0],
        [0.0169839661, 0.084674075, 0.171714652, 1.0],
        [0.0165371312, 0.0885406191, 0.181169201, 1.0],
        [0.0159630635, 0.092345728, 0.190786639, 1.0],
        [0.0152674187, 0.0960866051, 0.200572891, 1.0],
        [0.0144590033, 0.0997599564, 0.210533455, 1.0],
        [0.0135503414, 0.103361972, 0.220673244, 1.0],
        [0.0125583286, 0.106888311, 0.230996381, 1.0],
        [0.0114959728, 0.110332805, 0.241520182, 1.0],
        [0.0103974825, 0.113690483, 0.252237429, 1.0],
        [0.00928915482, 0.11695347, 0.263163477, 1.0],
        [0.00821698618, 0.120114774, 0.274294116, 1.0],
        [0.0072251957, 0.123164083, 0.28564361, 1.0],
        [0.00637773642, 0.126091216, 0.297211766, 1.0],
        [0.00575192008, 0.128884405, 0.308998057, 1.0],
        [0.00544127379, 0.131529734, 0.321002423, 1.0],
        [0.00555945613, 0.134010016, 0.333227562, 1.0],
        [0.00625591456, 0.136310142, 0.345648205, 1.0],
        [0.00770467683, 0.138406647, 0.358262101, 1.0],
        [0.0101312711, 0.140280153, 0.371025295, 1.0],
        [0.0138102258, 0.141907074, 0.383889838, 1.0],
        [0.01907805, 0.143267722, 0.39676907, 1.0],
        [0.0263341021, 0.144348688, 0.409534541, 1.0],
        [0.0360237808, 0.145153978, 0.421992749, 1.0],
        [0.0480165668, 0.145721575, 0.433868506, 1.0],
        [0.0607898836, 0.146133738, 0.444827987, 1.0],
        [0.073947552, 0.146524112, 0.454526221, 1.0],
        [0.0871218213, 0.147046972, 0.462717863, 1.0],
        [0.0999890057, 0.14783154, 0.469333758, 1.0],
        [0.112342422, 0.148948092, 0.474476166, 1.0],
        [0.12409718, 0.150408211, 0.478347113, 1.0],
        [0.135252731, 0.152185008, 0.481175102, 1.0],
        [0.145852093, 0.154234045, 0.48317207, 1.0],
        [0.15595601, 0.156506614, 0.484516825, 1.0],
        [0.165627029, 0.158957193, 0.485353487, 1.0],
        [0.174921086, 0.161546693, 0.485796866, 1.0],
        [0.183887781, 0.16424229, 0.485937392, 1.0],
        [0.192571397, 0.167016705, 0.485845203, 1.0],
        [0.201008125, 0.169848281, 0.485576369, 1.0],
        [0.209227631, 0.17271991, 0.485176284, 1.0],
        [0.217257093, 0.175617479, 0.484679735, 1.0],
        [0.225118903, 0.178529947, 0.48411511, 1.0],
        [0.232831971, 0.181448618, 0.483505541, 1.0],
        [0.240413773, 0.184366326, 0.4828686, 1.0],
        [0.247879222, 0.18727743, 0.482218613, 1.0],
        [0.255239935, 0.190177798, 0.481568659, 1.0],
        [0.26250819, 0.193063668, 0.480927241, 1.0],
        [0.269693791, 0.195932291, 0.480302265, 1.0],
        [0.276806145, 0.198781308, 0.479699343, 1.0],
        [0.283852859, 0.201609039, 0.479123858, 1.0],
        [0.290842425, 0.204413708, 0.478578169, 1.0],
        [0.297781027, 0.207194251, 0.478065699, 1.0],
        [0.304675066, 0.209949607, 0.477588183, 1.0],
        [0.311530905, 0.212678735, 0.477146122, 1.0],
        [0.318353984, 0.215380861, 0.476740066, 1.0],
        [0.325149431, 0.218055283, 0.476369989, 1.0],
        [0.331921818, 0.220701445, 0.476035717, 1.0],
        [0.338676047, 0.223318643, 0.475735885, 1.0],
        [0.345416539, 0.225906276, 0.475469042, 1.0],
        [0.352147432, 0.228463785, 0.475233469, 1.0],
        [0.358872667, 0.230990622, 0.475027114, 1.0],
        [0.365596, 0.233486249, 0.474847618, 1.0],
        [0.37232101, 0.235950136, 0.474692343, 1.0],
        [0.379051105, 0.238381761, 0.47455839, 1.0],
        [0.385789527, 0.240780612, 0.474442621, 1.0],
        [0.39253935, 0.24314619, 0.474341671, 1.0],
        [0.399303486, 0.245478011, 0.474251972, 1.0],
        [0.40608468, 0.247775613, 0.474169763, 1.0],
        [0.412885513, 0.250038557, 0.474091112, 1.0],
        [0.419708394, 0.252266435, 0.474011929, 1.0],
        [0.426555566, 0.25445887, 0.473927985, 1.0],
        [0.433429096, 0.256615529, 0.473834929, 1.0],
        [0.440330877, 0.258736118, 0.473728308, 1.0],
        [0.447262627, 0.260820395, 0.473603583, 1.0],
        [0.454225877, 0.262868171, 0.473456159, 1.0],
        [0.461222001, 0.264879304, 0.47328137, 1.0],
        [0.468252189, 0.266853714, 0.473074531, 1.0],
        [0.475317443, 0.268791384, 0.472830966, 1.0],
        [0.48241859, 0.270692365, 0.472546012, 1.0],
        [0.489556284, 0.27255677, 0.472215041, 1.0],
        [0.496731007, 0.27438478, 0.471833479, 1.0],
        [0.503943078, 0.276176641, 0.471396825, 1.0],
        [0.511192656, 0.277932667, 0.470900666, 1.0],
        [0.518479745, 0.279653235, 0.470340691, 1.0],
        [0.525804207, 0.281338789, 0.469712711, 1.0],
        [0.53316576, 0.282989834, 0.469012666, 1.0],
        [0.540563996, 0.284606937, 0.468236639, 1.0],
        [0.547998381, 0.286190723, 0.467380863, 1.0],
        [0.555468268, 0.287741878, 0.46644173, 1.0],
        [0.562972906, 0.28926114, 0.465415798, 1.0],
        [0.570511444, 0.290749302, 0.464299792, 1.0],
        [0.578082942, 0.292207212, 0.463090606, 1.0],
        [0.585686377, 0.293635766, 0.46178531, 1.0],
        [0.593320652, 0.295035913, 0.46038114, 1.0],
        [0.6009846, 0.296408651, 0.458875503, 1.0],
        [0.60867699, 0.297755031, 0.457265973, 1.0],
        [0.616396534, 0.299076153, 0.455550284, 1.0],
        [0.624141888, 0.30037317, 0.453726328, 1.0],
        [0.631911656, 0.301647292, 0.45179215, 1.0],
        [0.639704395, 0.302899787, 0.449745941, 1.0],
        [0.64751879, 0.304131862, 0.447585727, 1.0],
        [0.65535342, 0.305344827, 0.445309748, 1.0],
        [0.663206483, 0.306540294, 0.442916952, 1.0],
        [0.671076345, 0.307719805, 0.440406039, 1.0],
        [0.678961321, 0.308884987, 0.437775825, 1.0],
        [0.686860444, 0.310037005, 0.435023779, 1.0],
        [0.694771257, 0.311178142, 0.432150111, 1.0],
        [0.702691883, 0.312310341, 0.429153974, 1.0],
        [0.710621369, 0.313434936, 0.426032613, 1.0],
        [0.718556935, 0.314554671, 0.422786803, 1.0],
        [0.726497008, 0.315671491, 0.419414832, 1.0],
        [0.734439562, 0.31678776, 0.415915743, 1.0],
        [0.742382295, 0.317906153, 0.412289032, 1.0],
        [0.750323101, 0.319029298, 0.408533575, 1.0],
        [0.758259755, 0.320160025, 0.404648259, 1.0],
        [0.766189246, 0.321301896, 0.400633524, 1.0],
        [0.774109849, 0.322457608, 0.396486487, 1.0],
        [0.782018215, 0.323631253, 0.392207708, 1.0],
        [0.78991134, 0.324826817, 0.387796578, 1.0],
        [0.797786176, 0.326048478, 0.383252108, 1.0],
        [0.805639429, 0.327300784, 0.378573367, 1.0],
        [0.813467529, 0.328588684, 0.373759504, 1.0],
        [0.821266587, 0.329917578, 0.368809794, 1.0],
        [0.829032361, 0.331293362, 0.363723677, 1.0],
        [0.836760212, 0.332722474, 0.358500815, 1.0],
        [0.844445054, 0.334211948, 0.353141159, 1.0],
        [0.852081303, 0.335769466, 0.347645025, 1.0],
        [0.85966368, 0.337402735, 0.342010184, 1.0],
        [0.86718495, 0.3391213, 0.336239378, 1.0],
        [0.874638457, 0.340934537, 0.330331451, 1.0],
        [0.882015792, 0.342853509, 0.324289566, 1.0],
        [0.889308693, 0.344889474, 0.318113772, 1.0],
        [0.89650743, 0.347055153, 0.311807046, 1.0],
        [0.903601159, 0.349364427, 0.305373917, 1.0],
        [0.910578045, 0.351832233, 0.298819687, 1.0],
        [0.917425306, 0.354474524, 0.292149441, 1.0],
        [0.924128013, 0.357309034, 0.28537467, 1.0],
        [0.930670206, 0.36035443, 0.278507034, 1.0],
        [0.937034124, 0.363630705, 0.27156297, 1.0],
        [0.943200523, 0.367158878, 0.264561284, 1.0],
        [0.949148056, 0.370960979, 0.257530187, 1.0],
        [0.954854012, 0.375059432, 0.250502284, 1.0],
        [0.960294188, 0.379476561, 0.243519942, 1.0],
        [0.965443495, 0.384233624, 0.236636376, 1.0],
        [0.970276633, 0.389349969, 0.229914017, 1.0],
        [0.974769072, 0.39484143, 0.22342891, 1.0],
        [0.978898458, 0.400718736, 0.21726971, 1.0],
        [0.982646014, 0.406986169, 0.211535247, 1.0],
        [0.985998282, 0.413639913, 0.206333005, 1.0],
        [0.988948593, 0.420667166, 0.201773983, 1.0],
        [0.991497714, 0.428046475, 0.197965284, 1.0],
        [0.993654475, 0.435748051, 0.195004287, 1.0],
        [0.995434916, 0.443735889, 0.192970673, 1.0],
        [0.996860996, 0.451970062, 0.191921144, 1.0],
        [0.997959093, 0.460408953, 0.191886616, 1.0],
        [0.998757744, 0.469011962, 0.192871494, 1.0],
        [0.999286105, 0.477741074, 0.194856249, 1.0],
        [0.999572766, 0.486561852, 0.197801551, 1.0],
        [0.999644642, 0.495444189, 0.201653231, 1.0],
        [0.999526328, 0.504362497, 0.206347533, 1.0],
        [0.999239798, 0.513295546, 0.21181593, 1.0],
        [0.99880512, 0.522225413, 0.217988686, 1.0],
        [0.998239367, 0.531138095, 0.22479816, 1.0],
        [0.997558375, 0.540021678, 0.232180021, 1.0],
        [0.996775076, 0.548867473, 0.24007547, 1.0],
        [0.995901448, 0.557668183, 0.248430786, 1.0],
        [0.994947957, 0.566418205, 0.257197883, 1.0],
        [0.993923772, 0.575113312, 0.266334162, 1.0],
        [0.992837278, 0.583750154, 0.275801869, 1.0],
        [0.991696427, 0.592325947, 0.285567413, 1.0],
        [0.990506865, 0.600839694, 0.295602866, 1.0],
        [0.989276374, 0.609289056, 0.305881199, 1.0],
        [0.988009409, 0.617674057, 0.316381417, 1.0],
        [0.986711623, 0.625993968, 0.327083635, 1.0],
        [0.98538878, 0.634248074, 0.337969803, 1.0],
        [0.984045177, 0.642436628, 0.349025197, 1.0],
        [0.982685421, 0.650559712, 0.360236258, 1.0],
        [0.981313992, 0.658617506, 0.371590844, 1.0],
        [0.979935195, 0.666610309, 0.383078111, 1.0],
        [0.978553263, 0.67453848, 0.394688243, 1.0],
        [0.977172807, 0.682402187, 0.406411767, 1.0],
        [0.975797342, 0.690202206, 0.418241233, 1.0],
        [0.974430772, 0.697939097, 0.430169336, 1.0],
        [0.973077521, 0.705613164, 0.442188636, 1.0],
        [0.971741539, 0.713224967, 0.454292716, 1.0],
        [0.970426224, 0.720775339, 0.466476262, 1.0],
        [0.969136506, 0.728264377, 0.478732312, 1.0],
        [0.967875246, 0.73569318, 0.491056873, 1.0],
        [0.966647295, 0.743061911, 0.503443599, 1.0],
        [0.965456004, 0.750371439, 0.51588832, 1.0],
        [0.964305243, 0.757622395, 0.528386373, 1.0],
        [0.963199712, 0.764815063, 0.540932108, 1.0],
        [0.962142592, 0.771950391, 0.553522065, 1.0],
        [0.961137904, 0.779028968, 0.566151754, 1.0],
        [0.960189756, 0.786051354, 0.578816637, 1.0],
        [0.959302347, 0.793018092, 0.591512107, 1.0],
        [0.958479227, 0.799929984, 0.604234519, 1.0],
        [0.957724347, 0.806787674, 0.616979704, 1.0],
        [0.95704164, 0.813591824, 0.629743535, 1.0],
        [0.956435015, 0.820343104, 0.642521925, 1.0],
        [0.955908364, 0.827042197, 0.65531081, 1.0],
        [0.95546556, 0.833689798, 0.66810614, 1.0],
        [0.955110456, 0.840286605, 0.680903874, 1.0],
        [0.954846893, 0.846833326, 0.693699966, 1.0],
        [0.954678703, 0.853330667, 0.706490357, 1.0],
        [0.954609713, 0.859779335, 0.719270963, 1.0],
        [0.954643764, 0.86618003, 0.732037667, 1.0],
        [0.95478472, 0.872533436, 0.744786302, 1.0],
        [0.95503676, 0.878840141, 0.757512192, 1.0],
        [0.95540374, 0.885100814, 0.770211225, 1.0],
        [0.955889661, 0.891316067, 0.782879155, 1.0],
        [0.956498802, 0.897486407, 0.795511435, 1.0],
        [0.957235859, 0.903612203, 0.808103054, 1.0],
        [0.958105959, 0.90969367, 0.82064865, 1.0],
        [0.959114178, 0.915730973, 0.833143625, 1.0],
        [0.960266799, 0.921723882, 0.845582205, 1.0],
        [0.961571664, 0.927671665, 0.857957236, 1.0],
        [0.963037288, 0.933573229, 0.870262672, 1.0],
        [0.964675635, 0.939426385, 0.882489494, 1.0],
        [0.966502466, 0.945227633, 0.894626877, 1.0],
        [0.96853968, 0.950971421, 0.906660521, 1.0],
        [0.970820283, 0.956648824, 0.918566393, 1.0],
        [0.973392449, 0.96224649, 0.930306084, 1.0],
        [0.976327429, 0.96774591, 0.941803948, 1.0],
        [0.979709978, 0.973129849, 0.952922661, 1.0],
        [0.983580251, 0.978407163, 0.963445684, 1.0],
        [0.987802079, 0.98365186, 0.973201103, 1.0],
        [0.992061826, 0.988977271, 0.982308956, 1.0],
        [0.996134486, 0.994434448, 0.991141471, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.horizon': [
        [0.0, 0.0, 0.0, 1.0],
        [0.00026074233, 0.000234190287, 0.00013601808, 1.0],
        [0.000913691188, 0.00081369647, 0.000433185752, 1.0],
        [0.00191036886, 0.00168887728, 0.000827564924, 1.0],
        [0.00323082593, 0.00283869278, 0.00128589144, 1.0],
        [0.00486279104, 0.00425056329, 0.0017856651, 1.0],
        [0.00679747597, 0.00591613005, 0.00230999716, 1.0],
        [0.00902785634, 0.00782958556, 0.00284576603, 1.0],
        [0.0115479054, 0.00998685396, 0.00338233832, 1.0],
        [0.0143521332, 0.012385131, 0.00391090537, 1.0],
        [0.0174352869, 0.0150226042, 0.00442408417, 1.0],
        [0.0207922196, 0.0178982794, 0.00491534487, 1.0],
        [0.024417698, 0.0210118645, 0.00537892795, 1.0],
        [0.0283060007, 0.0243636565, 0.00581084496, 1.0],
        [0.0324513511, 0.027954547, 0.0062065683, 1.0],
        [0.0368473994, 0.0317859448, 0.00656264358, 1.0],
        [0.0414622213, 0.0358597506, 0.00687646212, 1.0],
        [0.0460335746, 0.0401784026, 0.00714508147, 1.0],
        [0.0505273397, 0.0445487621, 0.00736660486, 1.0],
        [0.0549447642, 0.0488818692, 0.00753987233, 1.0],
        [0.0592865839, 0.0531864747, 0.00766251491, 1.0],
        [0.0635526994, 0.0574668748, 0.00773426967, 1.0],
        [0.0677424896, 0.0617271365, 0.00775469563, 1.0],
        [0.0718547567, 0.0659711393, 0.00772352466, 1.0],
        [0.0758877098, 0.0702026047, 0.00764093987, 1.0],
        [0.0798389653, 0.0744251342, 0.00750761609, 1.0],
        [0.0837055401, 0.0786422416, 0.00732476844, 1.0],
        [0.0874838157, 0.0828574034, 0.00709402254, 1.0],
        [0.0911693385, 0.0870742249, 0.00681653349, 1.0],
        [0.0947572872, 0.0912959721, 0.0064966272, 1.0],
        [0.098241567, 0.0955263832, 0.00613626736, 1.0],
        [0.101615755, 0.0997688292, 0.0057409607, 1.0],
        [0.104872164, 0.104027014, 0.00531544657, 1.0],
        [0.108002034, 0.108304739, 0.00486560857, 1.0],
        [0.110995867, 0.112605675, 0.00439962863, 1.0],
        [0.113842731, 0.116933732, 0.00392642128, 1.0],
        [0.116531015, 0.121292594, 0.00345774573, 1.0],
        [0.119047775, 0.125686029, 0.00300701123, 1.0],
        [0.121378965, 0.130117707, 0.00259016588, 1.0],
        [0.123509772, 0.134591006, 0.00222635822, 1.0],
        [0.125425435, 0.139108651, 0.00193878381, 1.0],
        [0.127111111, 0.143672788, 0.0017542238, 1.0],
        [0.128552421, 0.148284779, 0.00170340949, 1.0],
        [0.129738294, 0.15294421, 0.00182237187, 1.0],
        [0.130658982, 0.157649791, 0.00215016002, 1.0],
        [0.131310228, 0.162398041, 0.00273012384, 1.0],
        [0.13169193, 0.167184053, 0.00360774342, 1.0],
        [0.131809357, 0.172001366, 0.00482983393, 1.0],
        [0.131672879, 0.176842352, 0.00644313586, 1.0],
        [0.131297168, 0.181698726, 0.00849308541, 1.0],
        [0.130700038, 0.186562084, 0.011022924, 1.0],
        [0.129901139, 0.191424385, 0.014073215, 1.0],
        [0.128920731, 0.196278312, 0.0176817423, 1.0],
        [0.12777868, 0.201117499, 0.0218837002, 1.0],
        [0.126493766, 0.205936618, 0.0267120573, 1.0],
        [0.125084104, 0.210731188, 0.0321975437, 1.0],
        [0.123565086, 0.215497921, 0.0383699258, 1.0],
        [0.121951581, 0.220234126, 0.0450222502, 1.0],
        [0.120256835, 0.224937855, 0.0517303468, 1.0],
        [0.118493618, 0.229607604, 0.0584894785, 1.0],
        [0.116672771, 0.234242507, 0.0652937807, 1.0],
        [0.114805211, 0.238841917, 0.0721380555, 1.0],
        [0.112901286, 0.243405488, 0.0790180121, 1.0],
        [0.110970931, 0.247933112, 0.0859300566, 1.0],
        [0.109023803, 0.252424871, 0.0928711302, 1.0],
        [0.107069412, 0.256880995, 0.0998385835, 1.0],
        [0.105117742, 0.261301765, 0.106829736, 1.0],
        [0.10317872, 0.265687578, 0.113842223, 1.0],
        [0.101261259, 0.270039033, 0.12087461, 1.0],
        [0.0993768805, 0.274356513, 0.127924001, 1.0],
        [0.0975342237, 0.278640787, 0.134989652, 1.0],
        [0.0957453034, 0.28289233, 0.142068827, 1.0],
        [0.0940196077, 0.287111926, 0.149160679, 1.0],
        [0.0923679979, 0.291300258, 0.156263645, 1.0],
        [0.0908021662, 0.295457978, 0.163375771, 1.0],
        [0.0893324471, 0.299585878, 0.170496105, 1.0],
        [0.0879696546, 0.303684714, 0.177623434, 1.0],
        [0.0867245614, 0.307755248, 0.184756553, 1.0],
        [0.0856076396, 0.311798255, 0.191894362, 1.0],
        [0.0846289314, 0.315814518, 0.199035861, 1.0],
        [0.0837979099, 0.319804828, 0.206180148, 1.0],
        [0.0831233352, 0.323769978, 0.213326421, 1.0],
        [0.0826131113, 0.32771076, 0.220473974, 1.0],
        [0.0822741505, 0.331627968, 0.227622196, 1.0],
        [0.0821122524, 0.335522388, 0.234770571, 1.0],
        [0.0821320048, 0.339394801, 0.241918676, 1.0],
        [0.0823367114, 0.343245981, 0.249066179, 1.0],
        [0.0827283573, 0.347076689, 0.256212836, 1.0],
        [0.0833079336, 0.350887666, 0.26335822, 1.0],
        [0.084074426, 0.35467966, 0.270502544, 1.0],
        [0.0850259444, 0.35845339, 0.27764583, 1.0],
        [0.0861594593, 0.362209557, 0.284788185, 1.0],
        [0.0874711885, 0.365948839, 0.291929545, 1.0],
        [0.0889559712, 0.369671902, 0.29907036, 1.0],
        [0.090608055, 0.373379383, 0.306211039, 1.0],
        [0.0924213273, 0.377071897, 0.313351849, 1.0],
        [0.0943891165, 0.380750032, 0.32049324, 1.0],
        [0.0965042876, 0.384414349, 0.327635931, 1.0],
        [0.0987598755, 0.388065382, 0.33478036, 1.0],
        [0.101148718, 0.391703636, 0.34192721, 1.0],
        [0.103663661, 0.395329582, 0.349077317, 1.0],
        [0.106298008, 0.398943669, 0.35623121, 1.0],
        [0.109044995, 0.402546304, 0.363389871, 1.0],
        [0.111898352, 0.406137867, 0.370554078, 1.0],
        [0.114852167, 0.409718708, 0.377724626, 1.0],
        [0.11790079, 0.413289136, 0.384902536, 1.0],
        [0.121039164, 0.416849437, 0.392088548, 1.0],
        [0.124262467, 0.420399855, 0.399283734, 1.0],
        [0.127566431, 0.423940605, 0.406488948, 1.0],
        [0.130947149, 0.427471869, 0.413705159, 1.0],
        [0.134401141, 0.430993793, 0.420933318, 1.0],
        [0.137925341, 0.434506494, 0.428174332, 1.0],
        [0.141517042, 0.438010052, 0.435429173, 1.0],
        [0.145173936, 0.44150452, 0.442698718, 1.0],
        [0.148894041, 0.444989916, 0.449983896, 1.0],
        [0.152675717, 0.448466228, 0.457285578, 1.0],
        [0.156517636, 0.451933414, 0.464604611, 1.0],
        [0.160418755, 0.455391401, 0.471941824, 1.0],
        [0.164378307, 0.458840088, 0.479298007, 1.0],
        [0.168395779, 0.462279347, 0.486673883, 1.0],
        [0.172470876, 0.465709017, 0.494070218, 1.0],
        [0.176603546, 0.469128922, 0.501487575, 1.0],
        [0.180793897, 0.47253884, 0.508926703, 1.0],
        [0.185042258, 0.475938547, 0.516388023, 1.0],
        [0.189349093, 0.479327779, 0.523872117, 1.0],
        [0.193715033, 0.482706252, 0.531379408, 1.0],
        [0.198140841, 0.486073671, 0.538910188, 1.0],
        [0.202627402, 0.489429687, 0.546464958, 1.0],
        [0.207175714, 0.492773979, 0.55404373, 1.0],
        [0.211786876, 0.496106162, 0.561646793, 1.0],
        [0.216462078, 0.499425852, 0.569274224, 1.0],
        [0.221202572, 0.502732663, 0.576925872, 1.0],
        [0.226009716, 0.506026142, 0.584601875, 1.0],
        [0.230884891, 0.509305873, 0.592301891, 1.0],
        [0.235829531, 0.512571417, 0.600025557, 1.0],
        [0.240845168, 0.515822272, 0.607772725, 1.0],
        [0.245933311, 0.519057981, 0.615542759, 1.0],
        [0.251095503, 0.522278066, 0.623334968, 1.0],
        [0.256333345, 0.525482017, 0.631148704, 1.0],
        [0.261648493, 0.528669292, 0.638983291, 1.0],
        [0.267042507, 0.531839414, 0.646837518, 1.0],
        [0.272517014, 0.534991858, 0.654710274, 1.0],
        [0.278073646, 0.538126095, 0.662600306, 1.0],
        [0.283714101, 0.541241558, 0.670506371, 1.0],
        [0.289439983, 0.544337728, 0.678426809, 1.0],
        [0.295252882, 0.547414087, 0.686359795, 1.0],
        [0.301154407, 0.550470103, 0.694303407, 1.0],
        [0.307146151, 0.553505248, 0.702255529, 1.0],
        [0.313229685, 0.556519004, 0.71021384, 1.0],
        [0.319406555, 0.55951086, 0.718175801, 1.0],
        [0.32567828, 0.562480322, 0.726138638, 1.0],
        [0.332046337, 0.565426912, 0.734099327, 1.0],
        [0.338512167, 0.568350176, 0.742054578, 1.0],
        [0.345077158, 0.571249686, 0.750000814, 1.0],
        [0.351742643, 0.574125047, 0.757934152, 1.0],
        [0.35850989, 0.576975904, 0.765850381, 1.0],
        [0.365380093, 0.579801947, 0.773744941, 1.0],
        [0.372354659, 0.5826028, 0.781613266, 1.0],
        [0.379434434, 0.585378338, 0.789449777, 1.0],
        [0.386620281, 0.588128455, 0.797248649, 1.0],
        [0.393913195, 0.590853027, 0.80500389, 1.0],
        [0.401314094, 0.593551999, 0.81270904, 1.0],
        [0.408823064, 0.596225688, 0.820356432, 1.0],
        [0.41644127, 0.598874043, 0.827939073, 1.0],
        [0.424168107, 0.601497756, 0.835447886, 1.0],
        [0.432004534, 0.604096985, 0.842874771, 1.0],
        [0.43994953, 0.606672721, 0.850209475, 1.0],
        [0.448002849, 0.609225744, 0.857441952, 1.0],
        [0.456163985, 0.611757026, 0.864561415, 1.0],
        [0.464431288, 0.614268076, 0.871555784, 1.0],
        [0.472803145, 0.616760499, 0.87841253, 1.0],
        [0.481277403, 0.619236226, 0.885118287, 1.0],
        [0.489851286, 0.621697555, 0.891658841, 1.0],
        [0.498521295, 0.624147188, 0.898019151, 1.0],
        [0.507283108, 0.62658828, 0.904183384, 1.0],
        [0.516131472, 0.62902448, 0.910134997, 1.0],
        [0.525060255, 0.631459906, 0.915856889, 1.0],
        [0.53406244, 0.633899154, 0.921331536, 1.0],
        [0.543128788, 0.636347747, 0.926540981, 1.0],
        [0.552249873, 0.638811408, 0.931467539, 1.0],
        [0.56141379, 0.641296819, 0.936093797, 1.0],
        [0.570608046, 0.643810938, 0.940403253, 1.0],
        [0.579817663, 0.646361577, 0.944380777, 1.0],
        [0.589026896, 0.648956761, 0.948013194, 1.0],
        [0.598218482, 0.651604894, 0.951289912, 1.0],
        [0.607373831, 0.654314595, 0.954203648, 1.0],
        [0.616473839, 0.657094341, 0.956750904, 1.0],
        [0.625499088, 0.659952297, 0.958932494, 1.0],
        [0.634430339, 0.662896072, 0.960753875, 1.0],
        [0.643249104, 0.66593246, 0.962225264, 1.0],
        [0.651938368, 0.669067177, 0.963361373, 1.0],
        [0.66048301, 0.672304715, 0.964181026, 1.0],
        [0.668869969, 0.6756483, 0.96470677, 1.0],
        [0.67708885, 0.679099768, 0.964963831, 1.0],
        [0.685132321, 0.682659569, 0.96497883, 1.0],
        [0.692994802, 0.686327129, 0.964780495, 1.0],
        [0.700674273, 0.690100609, 0.964396398, 1.0],
        [0.708170509, 0.693977389, 0.963854135, 1.0],
        [0.715485118, 0.697954176, 0.963180459, 1.0],
        [0.722621408, 0.70202715, 0.962400585, 1.0],
        [0.729584117, 0.706192129, 0.961537745, 1.0],
        [0.736379028, 0.710444735, 0.960613103, 1.0],
        [0.743012754, 0.714780518, 0.959645485, 1.0],
        [0.749492326, 0.719195072, 0.958651759, 1.0],
        [0.755824306, 0.723684072, 0.957649178, 1.0],
        [0.762016722, 0.728243362, 0.95664919, 1.0],
        [0.768076614, 0.732868962, 0.955664507, 1.0],
        [0.774010956, 0.737557067, 0.954706536, 1.0],
        [0.779827077, 0.742304167, 0.953783222, 1.0],
        [0.785531732, 0.747106944, 0.952902601, 1.0],
        [0.791131462, 0.751962312, 0.952071464, 1.0],
        [0.796632558, 0.756867418, 0.951295478, 1.0],
        [0.802040784, 0.761819494, 0.95058116, 1.0],
        [0.807362056, 0.766816172, 0.949931436, 1.0],
        [0.81260187, 0.77185527, 0.949349018, 1.0],
        [0.817765048, 0.776934419, 0.948840071, 1.0],
        [0.822856812, 0.782052034, 0.948403409, 1.0],
        [0.82788148, 0.787205927, 0.948045306, 1.0],
        [0.832843657, 0.792394772, 0.947764392, 1.0],
        [0.837747446, 0.797617001, 0.947562711, 1.0],
        [0.842596764, 0.802870984, 0.947443379, 1.0],
        [0.847395426, 0.808155563, 0.947406095, 1.0],
        [0.852147021, 0.813469535, 0.947451606, 1.0],
        [0.856854975, 0.818811752, 0.947580714, 1.0],
        [0.861522576, 0.824181153, 0.947793999, 1.0],
        [0.866152976, 0.829576749, 0.948091858, 1.0],
        [0.870749203, 0.834997622, 0.948474528, 1.0],
        [0.875314176, 0.840442915, 0.948942119, 1.0],
        [0.879850788, 0.845911684, 0.94949551, 1.0],
        [0.884361825, 0.851403115, 0.950134925, 1.0],
        [0.888849884, 0.856916612, 0.950859371, 1.0],
        [0.893317558, 0.862451485, 0.951668654, 1.0],
        [0.897767735, 0.868006627, 0.952565145, 1.0],
        [0.902202735, 0.873581689, 0.953546748, 1.0],
        [0.906625179, 0.879175891, 0.954613988, 1.0],
        [0.911037835, 0.884788307, 0.955768205, 1.0],
        [0.915443025, 0.890418533, 0.957007785, 1.0],
        [0.919843764, 0.896065423, 0.958335191, 1.0],
        [0.924242463, 0.901728513, 0.959749092, 1.0],
        [0.928642094, 0.907406788, 0.961251052, 1.0],
        [0.933045632, 0.913099284, 0.962842254, 1.0],
        [0.937455812, 0.918805297, 0.96452247, 1.0],
        [0.941876167, 0.924523403, 0.966295132, 1.0],
        [0.946309775, 0.930252613, 0.968161513, 1.0],
        [0.950759801, 0.935991805, 0.970123859, 1.0],
        [0.955229507, 0.94173964, 0.972186128, 1.0],
        [0.959722155, 0.947494514, 0.974354876, 1.0],
        [0.964239506, 0.953255563, 0.976635485, 1.0],
        [0.968781936, 0.959022106, 0.979036854, 1.0],
        [0.973346603, 0.96479448, 0.981570447, 1.0],
        [0.977924958, 0.970575046, 0.984249994, 1.0],
        [0.982499323, 0.976369711, 0.98708981, 1.0],
        [0.987039391, 0.982189775, 0.990100089, 1.0],
        [0.991501542, 0.988053082, 0.993277974, 1.0],
        [0.995835534, 0.993982453, 0.996596527, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.iceburn': [
        [0.57869284, 0.947004534, 0.953835089, 1.0],
        [0.567904138, 0.937906186, 0.950550251, 1.0],
        [0.557094001, 0.9288647, 0.947323254, 1.0],
        [0.546260408, 0.919878293, 0.944156633, 1.0],
        [0.535401418, 0.910945148, 0.941052774, 1.0],
        [0.524515168, 0.902063412, 0.938013919, 1.0],
        [0.513599714, 0.893231185, 0.935042546, 1.0],
        [0.502653292, 0.884446544, 0.932140656, 1.0],
        [0.491674325, 0.875707544, 0.929309753, 1.0],
        [0.480660799, 0.867012158, 0.926552467, 1.0],
        [0.469611394, 0.858358385, 0.923869585, 1.0],
        [0.458524236, 0.84974413, 0.921263293, 1.0],
        [0.447397837, 0.84116729, 0.918734745, 1.0],
        [0.436230702, 0.832625718, 0.916285085, 1.0],
        [0.425021288, 0.824117213, 0.913915551, 1.0],
        [0.413768119, 0.815639529, 0.911627211, 1.0],
        [0.402469802, 0.80719037, 0.90942095, 1.0],
        [0.391125045, 0.798767391, 0.907297464, 1.0],
        [0.379732689, 0.790368192, 0.905257244, 1.0],
        [0.368291742, 0.781990315, 0.903300558, 1.0],
        [0.356801422, 0.773631242, 0.901427436, 1.0],
        [0.345260887, 0.765288338, 0.899638516, 1.0],
        [0.333670169, 0.756958978, 0.897932792, 1.0],
        [0.322029122, 0.748640355, 0.896310603, 1.0],
        [0.310338662, 0.740329674, 0.894770632, 1.0],
        [0.298600109, 0.732023987, 0.893312085, 1.0],
        [0.28681572, 0.723720253, 0.891933779, 1.0],
        [0.274988962, 0.715415329, 0.890634084, 1.0],
        [0.263124858, 0.70710597, 0.889410864, 1.0],
        [0.25123043, 0.698788826, 0.888261402, 1.0],
        [0.239315083, 0.690460341, 0.887183219, 1.0],
        [0.227391881, 0.682116958, 0.886171983, 1.0],
        [0.215477996, 0.673754829, 0.885224061, 1.0],
        [0.203596591, 0.665370084, 0.884333945, 1.0],
        [0.191778351, 0.65695868, 0.88349548, 1.0],
        [0.180064006, 0.648516336, 0.882702059, 1.0],
        [0.168507468, 0.640038815, 0.881944496, 1.0],
        [0.157180072, 0.631521552, 0.88121346, 1.0],
        [0.146175578, 0.622960017, 0.880496851, 1.0],
        [0.135616639, 0.614349529, 0.879780903, 1.0],
        [0.125661794, 0.605685341, 0.879049446, 1.0],
        [0.116511563, 0.596962778, 0.878283072, 1.0],
        [0.108411955, 0.588177194, 0.877459198, 1.0],
        [0.101649143, 0.579324204, 0.876550875, 1.0],
        [0.0965299433, 0.5703999, 0.875525883, 1.0],
        [0.0933458797, 0.561400868, 0.874346664, 1.0],
        [0.092319379, 0.552324723, 0.872968423, 1.0],
        [0.0935518714, 0.543170516, 0.871338162, 1.0],
        [0.0969974085, 0.533939078, 0.869394153, 1.0],
        [0.102468098, 0.524634109, 0.867063874, 1.0],
        [0.109675761, 0.515262814, 0.864264188, 1.0],
        [0.118280497, 0.505836943, 0.860901548, 1.0],
        [0.12792818, 0.496373991, 0.856873612, 1.0],
        [0.138274606, 0.486897881, 0.852073885, 1.0],
        [0.148994245, 0.477439269, 0.84639902, 1.0],
        [0.159783445, 0.468034774, 0.839759425, 1.0],
        [0.170365215, 0.458724648, 0.832091774, 1.0],
        [0.180496667, 0.449549147, 0.823370253, 1.0],
        [0.189978991, 0.440544209, 0.813612915, 1.0],
        [0.198666394, 0.431737576, 0.802880303, 1.0],
        [0.206468728, 0.423146613, 0.791266744, 1.0],
        [0.213347437, 0.414778131, 0.77888727, 1.0],
        [0.219305491, 0.406629916, 0.765864489, 1.0],
        [0.22437598, 0.398693013, 0.752317815, 1.0],
        [0.228610197, 0.390954195, 0.738357023, 1.0],
        [0.232068926, 0.383397966, 0.724078812, 1.0],
        [0.234816084, 0.376008051, 0.709565901, 1.0],
        [0.236914105, 0.368768412, 0.694888104, 1.0],
        [0.238422282, 0.361663789, 0.680103136, 1.0],
        [0.239395009, 0.354680041, 0.665258749, 1.0],
        [0.239881773, 0.347804242, 0.650393943, 1.0],
        [0.239926779, 0.341024699, 0.635540879, 1.0],
        [0.239569444, 0.334330882, 0.620725937, 1.0],
        [0.238845424, 0.327713344, 0.605969844, 1.0],
        [0.237785799, 0.321163615, 0.591290231, 1.0],
        [0.236418594, 0.314674104, 0.576700831, 1.0],
        [0.234768626, 0.308237993, 0.562212823, 1.0],
        [0.232857559, 0.301849126, 0.547835919, 1.0],
        [0.230705538, 0.295501982, 0.533576454, 1.0],
        [0.228329868, 0.289191531, 0.519440505, 1.0],
        [0.225746215, 0.282913203, 0.505432497, 1.0],
        [0.222968752, 0.276662836, 0.491555475, 1.0],
        [0.220010239, 0.270436621, 0.477811461, 1.0],
        [0.216881625, 0.264230995, 0.464202867, 1.0],
        [0.213593418, 0.258042718, 0.450729909, 1.0],
        [0.210154732, 0.251868737, 0.437393064, 1.0],
        [0.206573793, 0.245706187, 0.424192274, 1.0],
        [0.202858067, 0.239552372, 0.411126922, 1.0],
        [0.199014302, 0.233404731, 0.398195962, 1.0],
        [0.195048234, 0.227260766, 0.385398932, 1.0],
        [0.190965676, 0.221118165, 0.372733244, 1.0],
        [0.18677107, 0.214974566, 0.360198266, 1.0],
        [0.182468982, 0.208827751, 0.347791363, 1.0],
        [0.178063194, 0.202675486, 0.335510539, 1.0],
        [0.173557047, 0.196515552, 0.323353592, 1.0],
        [0.168953481, 0.190345728, 0.31131809, 1.0],
        [0.164255048, 0.184163774, 0.29940139, 1.0],
        [0.159463922, 0.177967413, 0.287600662, 1.0],
        [0.154581876, 0.171754305, 0.275912999, 1.0],
        [0.149610173, 0.165522006, 0.264335837, 1.0],
        [0.14455007, 0.159268044, 0.252865249, 1.0],
        [0.139402031, 0.15298974, 0.241498612, 1.0],
        [0.134166545, 0.146684356, 0.230231753, 1.0],
        [0.128843336, 0.140348896, 0.219061687, 1.0],
        [0.123432032, 0.133980228, 0.207984146, 1.0],
        [0.117931726, 0.127574952, 0.196995048, 1.0],
        [0.112341037, 0.121129384, 0.186090147, 1.0],
        [0.106658103, 0.114639504, 0.175264889, 1.0],
        [0.10088052, 0.108100903, 0.164514367, 1.0],
        [0.0950052857, 0.101508706, 0.153833276, 1.0],
        [0.0890287064, 0.0948574837, 0.143215838, 1.0],
        [0.0829462963, 0.0881411436, 0.132655723, 1.0],
        [0.0767526386, 0.0813527897, 0.122145928, 1.0],
        [0.0704412107, 0.0744845475, 0.111678639, 1.0],
        [0.0640041036, 0.0675273224, 0.101245258, 1.0],
        [0.0574318124, 0.0604705226, 0.0908357274, 1.0],
        [0.0507128356, 0.0533016572, 0.0804381104, 1.0],
        [0.0438328995, 0.0460057289, 0.0700390473, 1.0],
        [0.0368119799, 0.0385588031, 0.059621576, 1.0],
        [0.0302065532, 0.0314566306, 0.0491655596, 1.0],
        [0.0241766866, 0.0250311454, 0.0386382927, 1.0],
        [0.0187405026, 0.0192894533, 0.028944843, 1.0],
        [0.013918747, 0.0142414639, 0.0207420804, 1.0],
        [0.00973575395, 0.00990087988, 0.0139694399, 1.0],
        [0.00622148215, 0.00628697637, 0.00857157164, 1.0],
        [0.00341513042, 0.0034279018, 0.0045003744, 1.0],
        [0.00137301685, 0.00136800262, 0.00172055651, 1.0],
        [0.000192918273, 0.000190603023, 0.000227925431, 1.0],
        [0.000246152734, 0.000174020355, 0.000186777665, 1.0],
        [0.00186031195, 0.00121724891, 0.00133401792, 1.0],
        [0.00486452704, 0.00298212936, 0.00332570103, 1.0],
        [0.00925390268, 0.00535929851, 0.0060666629, 1.0],
        [0.0150536304, 0.00828217641, 0.0094990878, 1.0],
        [0.0223001574, 0.0117024859, 0.0135798211, 1.0],
        [0.0310358132, 0.0155821311, 0.0182730447, 1.0],
        [0.0412869434, 0.0198895154, 0.0235469878, 1.0],
        [0.0519602296, 0.024597515, 0.0293721538, 1.0],
        [0.0625275001, 0.0296822521, 0.0357202513, 1.0],
        [0.0730138622, 0.0351223141, 0.0424971628, 1.0],
        [0.0834388272, 0.0408892667, 0.0491536802, 1.0],
        [0.0938177632, 0.0466024129, 0.055614502, 1.0],
        [0.104163127, 0.0521505335, 0.0618907767, 1.0],
        [0.114485414, 0.0575467694, 0.0679909851, 1.0],
        [0.124792866, 0.0628026073, 0.0739217703, 1.0],
        [0.135092886, 0.0679276333, 0.0796879535, 1.0],
        [0.145391252, 0.0729305327, 0.0852932304, 1.0],
        [0.155693098, 0.0778188302, 0.0907400895, 1.0],
        [0.166002813, 0.0825992399, 0.0960300718, 1.0],
        [0.176323952, 0.0872779574, 0.101164008, 1.0],
        [0.186659526, 0.0918606536, 0.10614204, 1.0],
        [0.197012139, 0.0963525229, 0.110963661, 1.0],
        [0.207383811, 0.100758535, 0.115627913, 1.0],
        [0.217776098, 0.105083452, 0.120133422, 1.0],
        [0.228190324, 0.109331754, 0.124478316, 1.0],
        [0.238627351, 0.113507872, 0.12866043, 1.0],
        [0.249087729, 0.117616147, 0.132677261, 1.0],
        [0.25957156, 0.121660985, 0.136526128, 1.0],
        [0.270078746, 0.125646726, 0.140204017, 1.0],
        [0.280608835, 0.129577795, 0.143707744, 1.0],
        [0.291161024, 0.133458746, 0.147033988, 1.0],
        [0.301734159, 0.137294295, 0.150179337, 1.0],
        [0.312326736, 0.141089349, 0.153140331, 1.0],
        [0.322937089, 0.144848889, 0.155913296, 1.0],
        [0.333562955, 0.14857834, 0.158494837, 1.0],
        [0.344202021, 0.152283154, 0.160881291, 1.0],
        [0.354851343, 0.155969299, 0.163069416, 1.0],
        [0.365507785, 0.159642922, 0.165055942, 1.0],
        [0.376167827, 0.163310515, 0.166837837, 1.0],
        [0.386827566, 0.166978927, 0.168412364, 1.0],
        [0.39748273, 0.170655357, 0.169777135, 1.0],
        [0.408128837, 0.174347225, 0.17092992, 1.0],
        [0.418760742, 0.178062544, 0.171869436, 1.0],
        [0.429373328, 0.181809343, 0.172594324, 1.0],
        [0.439960852, 0.185596189, 0.173104312, 1.0],
        [0.45051742, 0.189431784, 0.173399523, 1.0],
        [0.461036844, 0.19332505, 0.173480806, 1.0],
        [0.471512689, 0.197285068, 0.173349779, 1.0],
        [0.481938317, 0.201321003, 0.17300887, 1.0],
        [0.49230694, 0.205442019, 0.172461336, 1.0],
        [0.502611713, 0.209657161, 0.171711175, 1.0],
        [0.512845707, 0.213975332, 0.170763376, 1.0],
        [0.523002043, 0.218405129, 0.169623713, 1.0],
        [0.533073965, 0.222954746, 0.168298702, 1.0],
        [0.543054855, 0.227631908, 0.166795722, 1.0],
        [0.552938354, 0.23244374, 0.165122796, 1.0],
        [0.562718407, 0.237396693, 0.163288581, 1.0],
        [0.572389315, 0.242496474, 0.161302312, 1.0],
        [0.581945812, 0.247747974, 0.159173647, 1.0],
        [0.591383091, 0.253155238, 0.156912623, 1.0],
        [0.600696857, 0.258721427, 0.154529492, 1.0],
        [0.609883329, 0.264448829, 0.152034778, 1.0],
        [0.618939289, 0.270338856, 0.149438927, 1.0],
        [0.627862047, 0.276392092, 0.146752563, 1.0],
        [0.636649467, 0.282608325, 0.14398607, 1.0],
        [0.645299918, 0.288986615, 0.141150015, 1.0],
        [0.653812287, 0.295525365, 0.138254533, 1.0],
        [0.662185916, 0.302222391, 0.135309828, 1.0],
        [0.67042058, 0.309075004, 0.13232602, 1.0],
        [0.678516446, 0.316080088, 0.129313174, 1.0],
        [0.686474035, 0.323234183, 0.126281346, 1.0],
        [0.694294172, 0.330533564, 0.123240645, 1.0],
        [0.701977946, 0.337974315, 0.120201313, 1.0],
        [0.709526672, 0.345552384, 0.11717394, 1.0],
        [0.71694188, 0.353263607, 0.11416979, 1.0],
        [0.724225209, 0.361103863, 0.111200188, 1.0],
        [0.73137844, 0.369069016, 0.108277405, 1.0],
        [0.738403465, 0.377154973, 0.10541464, 1.0],
        [0.745302239, 0.38535773, 0.102626015, 1.0],
        [0.752076757, 0.393673408, 0.0999266849, 1.0],
        [0.758729022, 0.402098273, 0.0973329336, 1.0],
        [0.765261026, 0.410628758, 0.094862241, 1.0],
        [0.771674855, 0.419261354, 0.0925339038, 1.0],
        [0.777972438, 0.427992854, 0.0903678372, 1.0],
        [0.784155875, 0.436820031, 0.0883860653, 1.0],
        [0.790227018, 0.44574003, 0.0866107017, 1.0],
        [0.796187797, 0.454750051, 0.085065163, 1.0],
        [0.80204009, 0.463847472, 0.0837731892, 1.0],
        [0.807785705, 0.473029852, 0.0827583538, 1.0],
        [0.813426388, 0.482294917, 0.0820435195, 1.0],
        [0.818964053, 0.491640371, 0.0816508903, 1.0],
        [0.824400102, 0.501064436, 0.081599268, 1.0],
        [0.829736425, 0.510565047, 0.0819063727, 1.0],
        [0.834974379, 0.520140653, 0.0825853419, 1.0],
        [0.840115571, 0.529789595, 0.0836464437, 1.0],
        [0.845161627, 0.539510296, 0.0850960723, 1.0],
        [0.850113843, 0.5493015, 0.0869359358, 1.0],
        [0.854973621, 0.559161955, 0.0891641801, 1.0],
        [0.859742397, 0.569090456, 0.0917754707, 1.0],
        [0.86442151, 0.579085942, 0.0947611881, 1.0],
        [0.869012092, 0.589147558, 0.098109859, 1.0],
        [0.873515394, 0.599274429, 0.101808269, 1.0],
        [0.877932859, 0.609465622, 0.10584204, 1.0],
        [0.882265338, 0.619720645, 0.110195229, 1.0],
        [0.886514164, 0.63003875, 0.114852126, 1.0],
        [0.890680477, 0.640419372, 0.11979682, 1.0],
        [0.89476518, 0.650862138, 0.125013569, 1.0],
        [0.898769364, 0.66136661, 0.13048741, 1.0],
        [0.902694069, 0.671932428, 0.136204095, 1.0],
        [0.906540285, 0.682559309, 0.142150202, 1.0],
        [0.910308946, 0.693247045, 0.148313204, 1.0],
        [0.914000929, 0.703995502, 0.154681488, 1.0],
        [0.917617052, 0.714804618, 0.16124436, 1.0],
        [0.921158092, 0.725674387, 0.167992014, 1.0],
        [0.924625348, 0.736604569, 0.174915637, 1.0],
        [0.928018968, 0.747595569, 0.182006885, 1.0],
        [0.931339999, 0.758647348, 0.189258406, 1.0],
        [0.934589036, 0.769760138, 0.196663419, 1.0],
        [0.937766831, 0.780934124, 0.204215788, 1.0],
        [0.940873614, 0.792169777, 0.211909895, 1.0],
        [0.943910674, 0.803467079, 0.219740719, 1.0],
        [0.946877922, 0.814826711, 0.227703601, 1.0],
        [0.949775863, 0.826249091, 0.235794355, 1.0],
        [0.952604958, 0.837734679, 0.244009169, 1.0],
        [0.955365596, 0.849283996, 0.252344564, 1.0],
        [0.958058107, 0.860897616, 0.26079737, 1.0],
        [0.960682675, 0.872576194, 0.269364699, 1.0],
    ],
    'cmr.jungle': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000193509327, 0.000250024184, 0.000234566888, 1.0],
        [0.000645783269, 0.000878079237, 0.000812470819, 1.0],
        [0.00129010993, 0.00184048334, 0.00167902967, 1.0],
        [0.00209146283, 0.00312127607, 0.00280698432, 1.0],
        [0.00302526281, 0.00471219923, 0.00417682685, 1.0],
        [0.00407249701, 0.00660860152, 0.00577279387, 1.0],
        [0.00521756433, 0.00880790932, 0.00758132768, 1.0],
        [0.00644725394, 0.0113088483, 0.00959033689, 1.0],
        [0.00775007645, 0.0141110388, 0.0117887802, 1.0],
        [0.00911601638, 0.0172146761, 0.0141664457, 1.0],
        [0.0105359012, 0.0206205143, 0.0167137198, 1.0],
        [0.0120015462, 0.024329614, 0.0194215344, 1.0],
        [0.0135054808, 0.0283433169, 0.0222812634, 1.0],
        [0.0150408443, 0.0326631877, 0.0252846614, 1.0],
        [0.0166012774, 0.0372909807, 0.0284238087, 1.0],
        [0.0181808045, 0.0421768152, 0.0316910529, 1.0],
        [0.0197739218, 0.0470388494, 0.0350790238, 1.0],
        [0.0213754403, 0.0518604855, 0.0385805712, 1.0],
        [0.0229804337, 0.056645403, 0.0421385506, 1.0],
        [0.0245842593, 0.0613968237, 0.0456086941, 1.0],
        [0.0261825162, 0.066117593, 0.049000211, 1.0],
        [0.0277710234, 0.0708102397, 0.0523159965, 1.0],
        [0.0293460796, 0.0754769443, 0.0555587456, 1.0],
        [0.0309037223, 0.0801197917, 0.0587307206, 1.0],
        [0.0324402777, 0.0847406284, 0.0618339983, 1.0],
        [0.0339526161, 0.0893410306, 0.0648705944, 1.0],
        [0.0354372888, 0.0939225491, 0.0678421714, 1.0],
        [0.0368911025, 0.09848657, 0.0707502748, 1.0],
        [0.0383114187, 0.103034268, 0.0735964596, 1.0],
        [0.0396949203, 0.107566901, 0.0763818609, 1.0],
        [0.0410270748, 0.112085405, 0.079107869, 1.0],
        [0.0422852722, 0.116590876, 0.0817753688, 1.0],
        [0.0434796369, 0.121084105, 0.0843855501, 1.0],
        [0.0446105683, 0.125566035, 0.0869391266, 1.0],
        [0.0456794258, 0.130037336, 0.0894371255, 1.0],
        [0.0466864932, 0.134498821, 0.0918801279, 1.0],
        [0.0476327496, 0.138951101, 0.0942689409, 1.0],
        [0.0485186436, 0.143394834, 0.0966041341, 1.0],
        [0.0493446637, 0.147830612, 0.098886259, 1.0],
        [0.0501115107, 0.15225894, 0.101115921, 1.0],
        [0.0508193088, 0.156680386, 0.10329347, 1.0],
        [0.0514686058, 0.161095396, 0.105419396, 1.0],
        [0.0520596814, 0.165504426, 0.10749406, 1.0],
        [0.0525926754, 0.169907923, 0.109517739, 1.0],
        [0.053067986, 0.174306254, 0.111490793, 1.0],
        [0.053485695, 0.17869981, 0.113413432, 1.0],
        [0.0538458863, 0.183088953, 0.115285847, 1.0],
        [0.0541487883, 0.187473993, 0.117108263, 1.0],
        [0.0543944101, 0.191855254, 0.118880799, 1.0],
        [0.0545827497, 0.196233034, 0.120603547, 1.0],
        [0.0547138805, 0.200607601, 0.12227661, 1.0],
        [0.05478778, 0.204979216, 0.123900033, 1.0],
        [0.0548043701, 0.209348129, 0.125473817, 1.0],
        [0.0547636127, 0.213714566, 0.126997958, 1.0],
        [0.0546654306, 0.218078741, 0.128472417, 1.0],
        [0.054509714, 0.22244086, 0.129897119, 1.0],
        [0.0542963722, 0.226801108, 0.131271973, 1.0],
        [0.0540252253, 0.231159671, 0.13259683, 1.0],
        [0.0536961898, 0.235516707, 0.133871555, 1.0],
        [0.0533091605, 0.239872366, 0.135095978, 1.0],
        [0.0528639041, 0.244226805, 0.136269847, 1.0],
        [0.0523603371, 0.24858015, 0.137392945, 1.0],
        [0.05179842, 0.252932513, 0.138465036, 1.0],
        [0.0511779138, 0.257284022, 0.139485769, 1.0],
        [0.0504987586, 0.261634778, 0.140454829, 1.0],
        [0.0497610672, 0.265984854, 0.141371923, 1.0],
        [0.0489646087, 0.270334359, 0.142236578, 1.0],
        [0.0481095025, 0.274683359, 0.143048405, 1.0],
        [0.0471960904, 0.279031895, 0.143807045, 1.0],
        [0.0462241055, 0.283380069, 0.144511834, 1.0],
        [0.0451942343, 0.287727889, 0.145162407, 1.0],
        [0.0441069195, 0.292075391, 0.145758218, 1.0],
        [0.0429622767, 0.296422646, 0.146298503, 1.0],
        [0.0417617776, 0.300769608, 0.146782907, 1.0],
        [0.0405056178, 0.305116356, 0.147210466, 1.0],
        [0.0391860415, 0.309462832, 0.147580723, 1.0],
        [0.0378394662, 0.31380906, 0.147892774, 1.0],
        [0.0364719515, 0.318155009, 0.148145882, 1.0],
        [0.0350887198, 0.322500648, 0.148339195, 1.0],
        [0.0336952984, 0.326845945, 0.148471787, 1.0],
        [0.0322977241, 0.331190846, 0.148542721, 1.0],
        [0.0309025193, 0.335535281, 0.148551031, 1.0],
        [0.0295161009, 0.339879208, 0.148495479, 1.0],
        [0.0281467098, 0.344222474, 0.148375306, 1.0],
        [0.0268005354, 0.348565098, 0.14818865, 1.0],
        [0.0254873927, 0.352906861, 0.147934848, 1.0],
        [0.0242156992, 0.357247672, 0.147612357, 1.0],
        [0.0229941383, 0.361587447, 0.147219394, 1.0],
        [0.0218337857, 0.365925962, 0.146754848, 1.0],
        [0.0207452934, 0.370263056, 0.146217042, 1.0],
        [0.0197393466, 0.374598595, 0.145603863, 1.0],
        [0.0188284625, 0.378932355, 0.14491356, 1.0],
        [0.0180260069, 0.383264091, 0.144144275, 1.0],
        [0.0173458437, 0.387593564, 0.143293824, 1.0],
        [0.0168028057, 0.391920511, 0.14235987, 1.0],
        [0.0164127786, 0.396244643, 0.14133991, 1.0],
        [0.0161927954, 0.400565644, 0.140231262, 1.0],
        [0.01616114, 0.404883167, 0.139031053, 1.0],
        [0.016337464, 0.409196828, 0.137736202, 1.0],
        [0.0167429164, 0.41350621, 0.136343403, 1.0],
        [0.0174002872, 0.417810852, 0.134849113, 1.0],
        [0.0183337724, 0.422110272, 0.133249244, 1.0],
        [0.0195690775, 0.426403971, 0.131539013, 1.0],
        [0.0211359806, 0.43069127, 0.129714654, 1.0],
        [0.0230645534, 0.434971568, 0.127770436, 1.0],
        [0.0253884611, 0.439244134, 0.125700817, 1.0],
        [0.0281441623, 0.443508177, 0.123499538, 1.0],
        [0.0313720704, 0.447762776, 0.121160355, 1.0],
        [0.0351144835, 0.452007048, 0.118674245, 1.0],
        [0.0394202122, 0.456239839, 0.1160337, 1.0],
        [0.0441743104, 0.460459942, 0.113229183, 1.0],
        [0.0492091629, 0.464665999, 0.110249993, 1.0],
        [0.0545263389, 0.468856472, 0.107084286, 1.0],
        [0.0601204801, 0.473029658, 0.103717652, 1.0],
        [0.0659897621, 0.477183563, 0.10013507, 1.0],
        [0.0721352511, 0.481315924, 0.0963190793, 1.0],
        [0.0785610931, 0.485424148, 0.0922494352, 1.0],
        [0.0852747785, 0.489505253, 0.0879016445, 1.0],
        [0.092287395, 0.493555741, 0.0832479349, 1.0],
        [0.0996135671, 0.497571498, 0.0782569642, 1.0],
        [0.107271802, 0.501547686, 0.0728918112, 1.0],
        [0.115285355, 0.505478564, 0.0671075132, 1.0],
        [0.123682318, 0.509357259, 0.0608518275, 1.0],
        [0.132494669, 0.513175577, 0.0540676995, 1.0],
        [0.141760365, 0.516923679, 0.0466866189, 1.0],
        [0.151519352, 0.520589962, 0.0386341799, 1.0],
        [0.161809569, 0.52416114, 0.0305165911, 1.0],
        [0.172659668, 0.527622767, 0.0229573971, 1.0],
        [0.184070263, 0.530961229, 0.0162666445, 1.0],
        [0.19599015, 0.53416743, 0.0108421311, 1.0],
        [0.208292268, 0.537242141, 0.00713645494, 1.0],
        [0.220768579, 0.540200728, 0.00557218325, 1.0],
        [0.233172666, 0.543071852, 0.00642421816, 1.0],
        [0.245285674, 0.545889887, 0.0097587789, 1.0],
        [0.256965338, 0.548685624, 0.0154659294, 1.0],
        [0.268149795, 0.551481511, 0.0233460961, 1.0],
        [0.278834836, 0.5542916, 0.0331845843, 1.0],
        [0.289048638, 0.557123539, 0.0445920583, 1.0],
        [0.29883247, 0.559980976, 0.0559255823, 1.0],
        [0.308230659, 0.562865168, 0.0668856579, 1.0],
        [0.317285543, 0.565776056, 0.0774958657, 1.0],
        [0.326035791, 0.568712822, 0.0877902035, 1.0],
        [0.334514511, 0.571674559, 0.0978029595, 1.0],
        [0.342751903, 0.574659928, 0.107567999, 1.0],
        [0.35077332, 0.577667789, 0.117114915, 1.0],
        [0.358601296, 0.580696909, 0.126470552, 1.0],
        [0.366253769, 0.58374655, 0.135656299, 1.0],
        [0.373748785, 0.58681542, 0.144693924, 1.0],
        [0.38110064, 0.589902716, 0.153600506, 1.0],
        [0.388322051, 0.593007678, 0.162391127, 1.0],
        [0.395424488, 0.596129548, 0.171079332, 1.0],
        [0.40241818, 0.599267621, 0.179677126, 1.0],
        [0.409310901, 0.602421648, 0.188193052, 1.0],
        [0.416112177, 0.605590658, 0.196638555, 1.0],
        [0.422827745, 0.6087746, 0.205019473, 1.0],
        [0.429464716, 0.611972856, 0.213343992, 1.0],
        [0.436028842, 0.615185067, 0.221618379, 1.0],
        [0.442525204, 0.618410956, 0.229848, 1.0],
        [0.448958486, 0.621650258, 0.23803775, 1.0],
        [0.455333012, 0.624902723, 0.246192108, 1.0],
        [0.461652774, 0.628168115, 0.254315171, 1.0],
        [0.467921459, 0.631446217, 0.262410691, 1.0],
        [0.474142269, 0.634736901, 0.270481712, 1.0],
        [0.480317856, 0.638040167, 0.278530395, 1.0],
        [0.486451765, 0.641355634, 0.286560781, 1.0],
        [0.492546032, 0.644683405, 0.294574173, 1.0],
        [0.498603341, 0.648023296, 0.302573271, 1.0],
        [0.504625752, 0.651375307, 0.310559686, 1.0],
        [0.510615641, 0.654739274, 0.318535813, 1.0],
        [0.516574351, 0.658115392, 0.326502015, 1.0],
        [0.522504328, 0.661503388, 0.33446111, 1.0],
        [0.528407075, 0.664903324, 0.342414046, 1.0],
        [0.534283755, 0.668315375, 0.35036109, 1.0],
        [0.540136311, 0.671739364, 0.358304362, 1.0],
        [0.545966088, 0.675175336, 0.366244752, 1.0],
        [0.551774359, 0.678623336, 0.374183086, 1.0],
        [0.557562336, 0.682083416, 0.382120129, 1.0],
        [0.563331172, 0.685555632, 0.390056593, 1.0],
        [0.569081963, 0.689040044, 0.397993136, 1.0],
        [0.574815748, 0.692536719, 0.405930355, 1.0],
        [0.580533536, 0.69604572, 0.413868855, 1.0],
        [0.586236263, 0.699567126, 0.421809115, 1.0],
        [0.591924836, 0.703101016, 0.429751631, 1.0],
        [0.597600121, 0.706647471, 0.437696844, 1.0],
        [0.603262943, 0.710206578, 0.445645158, 1.0],
        [0.608914091, 0.71377843, 0.453596944, 1.0],
        [0.614554321, 0.717363122, 0.461552539, 1.0],
        [0.620184357, 0.720960755, 0.469512249, 1.0],
        [0.625804826, 0.724571468, 0.47747616, 1.0],
        [0.631416229, 0.728195457, 0.485444032, 1.0],
        [0.637019428, 0.731832721, 0.493416716, 1.0],
        [0.642615041, 0.735483376, 0.501394409, 1.0],
        [0.648203562, 0.739147595, 0.509376988, 1.0],
        [0.653785409, 0.742825588, 0.517364117, 1.0],
        [0.659361388, 0.746517346, 0.525356679, 1.0],
        [0.664931979, 0.750223028, 0.533354619, 1.0],
        [0.670497428, 0.753942923, 0.541357146, 1.0],
        [0.676058564, 0.757676986, 0.549365353, 1.0],
        [0.681615713, 0.761425447, 0.557378761, 1.0],
        [0.687169281, 0.765188492, 0.565397163, 1.0],
        [0.692719962, 0.76896613, 0.573421325, 1.0],
        [0.698267829, 0.772758734, 0.581449975, 1.0],
        [0.703813682, 0.776566242, 0.589484278, 1.0],
        [0.709357706, 0.780388955, 0.597523349, 1.0],
        [0.714900461, 0.784226945, 0.605567592, 1.0],
        [0.720442284, 0.788080419, 0.613616649, 1.0],
        [0.725983613, 0.791949519, 0.621670514, 1.0],
        [0.731524841, 0.795834415, 0.629729028, 1.0],
        [0.737066372, 0.799735265, 0.637792075, 1.0],
        [0.74260858, 0.803652248, 0.645859419, 1.0],
        [0.748151912, 0.807585497, 0.653931079, 1.0],
        [0.753696666, 0.811535241, 0.662006512, 1.0],
        [0.759243385, 0.815501546, 0.670086076, 1.0],
        [0.764792251, 0.819484725, 0.678168735, 1.0],
        [0.770343895, 0.823484785, 0.686255139, 1.0],
        [0.77589851, 0.827502039, 0.694344212, 1.0],
        [0.781456646, 0.831536553, 0.702436223, 1.0],
        [0.787018681, 0.83558852, 0.71053072, 1.0],
        [0.792584965, 0.839658158, 0.718627064, 1.0],
        [0.798156063, 0.843745536, 0.726725422, 1.0],
        [0.803732277, 0.847850921, 0.734824801, 1.0],
        [0.809314151, 0.851974412, 0.742925109, 1.0],
        [0.8149022, 0.856116141, 0.751026023, 1.0],
        [0.820496762, 0.860276381, 0.759126346, 1.0],
        [0.826098507, 0.864455173, 0.767226129, 1.0],
        [0.831707959, 0.868652679, 0.77532465, 1.0],
        [0.837325589, 0.872869129, 0.783420732, 1.0],
        [0.84295212, 0.877104573, 0.791514086, 1.0],
        [0.848588192, 0.881359152, 0.799603791, 1.0],
        [0.854234397, 0.885633076, 0.807688414, 1.0],
        [0.859891583, 0.889926385, 0.815767307, 1.0],
        [0.865560547, 0.894239196, 0.823839202, 1.0],
        [0.871242083, 0.898571675, 0.831902371, 1.0],
        [0.876937183, 0.902923881, 0.839955442, 1.0],
        [0.882646876, 0.907295896, 0.847996641, 1.0],
        [0.888372233, 0.911687835, 0.85602372, 1.0],
        [0.894114428, 0.916099804, 0.864034173, 1.0],
        [0.899874778, 0.920531867, 0.872025348, 1.0],
        [0.905654637, 0.924984145, 0.87999392, 1.0],
        [0.911455372, 0.929456829, 0.887935828, 1.0],
        [0.917278448, 0.933950111, 0.895846678, 1.0],
        [0.923125247, 0.938464307, 0.903721185, 1.0],
        [0.928996949, 0.942999915, 0.91155311, 1.0],
        [0.934894309, 0.947557714, 0.919335099, 1.0],
        [0.940817457, 0.952138807, 0.927059103, 1.0],
        [0.946765312, 0.956744884, 0.934716014, 1.0],
        [0.952734993, 0.961378403, 0.942296234, 1.0],
        [0.958721021, 0.96604282, 0.949790474, 1.0],
        [0.964714593, 0.970742707, 0.957191443, 1.0],
        [0.970702993, 0.975483786, 0.964495784, 1.0],
        [0.97666993, 0.980272517, 0.971706853, 1.0],
        [0.982597206, 0.985115193, 0.978837064, 1.0],
        [0.988467899, 0.990016592, 0.985908738, 1.0],
        [0.994270146, 0.994978692, 0.992951959, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.lavender': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000226276605, 0.000127312718, 0.000180411323, 1.0],
        [0.000813645546, 0.000428891491, 0.000639834919, 1.0],
        [0.00174260184, 0.000863685259, 0.00135487268, 1.0],
        [0.00301237471, 0.00141020371, 0.00232124316, 1.0],
        [0.00462644578, 0.00205319508, 0.00354022725, 1.0],
        [0.00659022229, 0.00278050385, 0.00501612876, 1.0],
        [0.0089095487, 0.003582081, 0.00675497888, 1.0],
        [0.011590856, 0.00444910184, 0.00876435018, 1.0],
        [0.0146413908, 0.00537339649, 0.0110533959, 1.0],
        [0.0180675978, 0.00634788166, 0.0136318649, 1.0],
        [0.021876634, 0.00736569349, 0.0165109504, 1.0],
        [0.0260757165, 0.00842034129, 0.0197029401, 1.0],
        [0.0306714488, 0.00950591564, 0.0232207803, 1.0],
        [0.0356714051, 0.0106162932, 0.0270791788, 1.0],
        [0.0410685016, 0.011746071, 0.0312931556, 1.0],
        [0.0465285211, 0.0128895898, 0.0358795272, 1.0],
        [0.0519623992, 0.0140414219, 0.0408481551, 1.0],
        [0.0573725657, 0.0151965674, 0.0459230286, 1.0],
        [0.0627621826, 0.0163494237, 0.0510293953, 1.0],
        [0.0681330369, 0.0174950091, 0.0561721676, 1.0],
        [0.0734866739, 0.0186283781, 0.0613560706, 1.0],
        [0.078824636, 0.0197444393, 0.0665859302, 1.0],
        [0.084148199, 0.0208381282, 0.0718664189, 1.0],
        [0.0894585856, 0.0219042363, 0.0772023166, 1.0],
        [0.0947563555, 0.0229379567, 0.0825977765, 1.0],
        [0.100042052, 0.0239343733, 0.0880570739, 1.0],
        [0.105316089, 0.0248885467, 0.0935844918, 1.0],
        [0.110578791, 0.0257954689, 0.0991843886, 1.0],
        [0.115830405, 0.0266500344, 0.10486124, 1.0],
        [0.121070636, 0.0274476067, 0.110618951, 1.0],
        [0.126299179, 0.0281834467, 0.116461601, 1.0],
        [0.13151556, 0.02885291, 0.122393213, 1.0],
        [0.136719884, 0.0294503632, 0.128419043, 1.0],
        [0.141910804, 0.0299720524, 0.13454219, 1.0],
        [0.147087679, 0.0304131133, 0.140767177, 1.0],
        [0.152249518, 0.0307690478, 0.147098213, 1.0],
        [0.157395119, 0.0310355639, 0.153539405, 1.0],
        [0.16252277, 0.031209176, 0.160094125, 1.0],
        [0.167631454, 0.0312849946, 0.166767503, 1.0],
        [0.172718985, 0.031260206, 0.173562572, 1.0],
        [0.177783306, 0.0311317439, 0.180482912, 1.0],
        [0.182822192, 0.0308968391, 0.187532072, 1.0],
        [0.187833129, 0.0305533245, 0.194713278, 1.0],
        [0.1928133, 0.030099748, 0.202029372, 1.0],
        [0.197759572, 0.029535499, 0.209482732, 1.0],
        [0.202668562, 0.0288607301, 0.217075424, 1.0],
        [0.207536822, 0.0280758479, 0.224809818, 1.0],
        [0.212359835, 0.0271846158, 0.232685372, 1.0],
        [0.217133534, 0.026189798, 0.240703356, 1.0],
        [0.221852819, 0.0250978666, 0.248861965, 1.0],
        [0.226512923, 0.023914674, 0.257161011, 1.0],
        [0.23110796, 0.0226507259, 0.265596478, 1.0],
        [0.235632053, 0.0213174337, 0.274164607, 1.0],
        [0.240078898, 0.0199288965, 0.282860163, 1.0],
        [0.244441782, 0.01850215, 0.29167631, 1.0],
        [0.248713619, 0.0170573983, 0.300604515, 1.0],
        [0.25288699, 0.0156182158, 0.309634466, 1.0],
        [0.256954197, 0.0142117103, 0.318754028, 1.0],
        [0.260907438, 0.0128676949, 0.327950264, 1.0],
        [0.264738513, 0.0116214214, 0.337206528, 1.0],
        [0.268439333, 0.0105104322, 0.346505955, 1.0],
        [0.272001719, 0.00957681225, 0.355828951, 1.0],
        [0.275417682, 0.00886512879, 0.365155462, 1.0],
        [0.278679382, 0.00842414452, 0.374462817, 1.0],
        [0.281779365, 0.00830465889, 0.383728003, 1.0],
        [0.284710616, 0.00855960989, 0.392927234, 1.0],
        [0.28746668, 0.00924360942, 0.402036057, 1.0],
        [0.290041783, 0.0104120726, 0.41102988, 1.0],
        [0.292430908, 0.0121202905, 0.419884539, 1.0],
        [0.294629881, 0.0144227121, 0.42857655, 1.0],
        [0.29663543, 0.0173721113, 0.437083472, 1.0],
        [0.298445227, 0.0210187836, 0.44538425, 1.0],
        [0.300057912, 0.0254098035, 0.453459503, 1.0],
        [0.301473093, 0.0305883652, 0.46129177, 1.0],
        [0.302691333, 0.0365932275, 0.468865688, 1.0],
        [0.303714113, 0.0433459818, 0.476168119, 1.0],
        [0.304543788, 0.0503089764, 0.483188214, 1.0],
        [0.305183552, 0.0573972054, 0.48991738, 1.0],
        [0.305637357, 0.0645786844, 0.496349292, 1.0],
        [0.305909774, 0.0718266691, 0.502479894, 1.0],
        [0.306005992, 0.0791185312, 0.508307152, 1.0],
        [0.30593172, 0.0864349607, 0.513830946, 1.0],
        [0.30569335, 0.0937591547, 0.519052743, 1.0],
        [0.305297195, 0.10107699, 0.523975987, 1.0],
        [0.304750235, 0.108375946, 0.528605241, 1.0],
        [0.304059596, 0.115645248, 0.532946397, 1.0],
        [0.303232492, 0.12287565, 0.537006449, 1.0],
        [0.302276329, 0.130059116, 0.540793256, 1.0],
        [0.30119873, 0.137188614, 0.5443154, 1.0],
        [0.300006926, 0.144258482, 0.547582132, 1.0],
        [0.298708466, 0.151263666, 0.550603094, 1.0],
        [0.29731106, 0.158199751, 0.553388297, 1.0],
        [0.295821763, 0.165063524, 0.555947986, 1.0],
        [0.29424783, 0.171852165, 0.55829252, 1.0],
        [0.292596376, 0.178563447, 0.56043231, 1.0],
        [0.290874351, 0.185195677, 0.562377737, 1.0],
        [0.289088529, 0.191747644, 0.564139085, 1.0],
        [0.287245485, 0.198218563, 0.565726484, 1.0],
        [0.285351594, 0.204608035, 0.567149861, 1.0],
        [0.283413456, 0.210915702, 0.568419067, 1.0],
        [0.281436722, 0.217142018, 0.569543432, 1.0],
        [0.279427085, 0.223287509, 0.570532063, 1.0],
        [0.277390446, 0.229352664, 0.571393943, 1.0],
        [0.275332194, 0.23533837, 0.572137624, 1.0],
        [0.273257117, 0.241245918, 0.572771129, 1.0],
        [0.271170901, 0.247076083, 0.573302701, 1.0],
        [0.269077524, 0.252830653, 0.573739488, 1.0],
        [0.266982204, 0.258510682, 0.574089063, 1.0],
        [0.264888879, 0.264117927, 0.574358093, 1.0],
        [0.262801535, 0.269654066, 0.574553043, 1.0],
        [0.260724846, 0.275120374, 0.574680596, 1.0],
        [0.258661851, 0.280518926, 0.574746273, 1.0],
        [0.256616122, 0.285851443, 0.574755724, 1.0],
        [0.254591014, 0.291119686, 0.574714297, 1.0],
        [0.252589881, 0.296325342, 0.574627193, 1.0],
        [0.250615459, 0.301470315, 0.574499066, 1.0],
        [0.248670327, 0.306556485, 0.574334333, 1.0],
        [0.246756966, 0.311585683, 0.574137222, 1.0],
        [0.244877634, 0.316559747, 0.573911702, 1.0],
        [0.24303437, 0.321480509, 0.573661496, 1.0],
        [0.241228992, 0.326349796, 0.573390091, 1.0],
        [0.239463093, 0.331169427, 0.573100744, 1.0],
        [0.237738045, 0.335941206, 0.57279649, 1.0],
        [0.236055089, 0.340666885, 0.572480223, 1.0],
        [0.234415313, 0.345348176, 0.572154692, 1.0],
        [0.232819208, 0.349986913, 0.571822172, 1.0],
        [0.231267247, 0.354584828, 0.571484901, 1.0],
        [0.229759674, 0.359143632, 0.571144938, 1.0],
        [0.228296744, 0.363664926, 0.570804345, 1.0],
        [0.226878372, 0.368150337, 0.570464933, 1.0],
        [0.225503818, 0.372601615, 0.570128014, 1.0],
        [0.224172534, 0.37702034, 0.569795062, 1.0],
        [0.222884153, 0.381407933, 0.569467716, 1.0],
        [0.221637028, 0.385766151, 0.569146629, 1.0],
        [0.220430218, 0.390096415, 0.568833034, 1.0],
        [0.219262307, 0.394400211, 0.568527815, 1.0],
        [0.218131274, 0.398679129, 0.568231398, 1.0],
        [0.217035891, 0.402934418, 0.56794486, 1.0],
        [0.215973349, 0.407167737, 0.567668048, 1.0],
        [0.214942228, 0.411380235, 0.567401924, 1.0],
        [0.213939308, 0.415573526, 0.567146035, 1.0],
        [0.212962851, 0.419748706, 0.566901114, 1.0],
        [0.212009369, 0.423907314, 0.566666509, 1.0],
        [0.211076653, 0.428050447, 0.566442575, 1.0],
        [0.210161233, 0.432179499, 0.566228665, 1.0],
        [0.209260221, 0.43629563, 0.566024572, 1.0],
        [0.20837044, 0.440400029, 0.565829838, 1.0],
        [0.207488259, 0.444493944, 0.565643622, 1.0],
        [0.206610787, 0.448578377, 0.565465614, 1.0],
        [0.205734127, 0.452654541, 0.565294683, 1.0],
        [0.204854699, 0.456723519, 0.565129893, 1.0],
        [0.203969407, 0.460786226, 0.564970605, 1.0],
        [0.203074154, 0.464843787, 0.564815361, 1.0],
        [0.202165314, 0.468897167, 0.564662985, 1.0],
        [0.201239556, 0.472947222, 0.564512433, 1.0],
        [0.200293005, 0.476994905, 0.564362175, 1.0],
        [0.199321941, 0.481041095, 0.564210707, 1.0],
        [0.19832279, 0.485086604, 0.56405653, 1.0],
        [0.197292251, 0.489132157, 0.56389824, 1.0],
        [0.196226488, 0.493178565, 0.563733952, 1.0],
        [0.195122039, 0.49722653, 0.563561938, 1.0],
        [0.193975507, 0.501276713, 0.563380408, 1.0],
        [0.192783762, 0.505329695, 0.563187639, 1.0],
        [0.191543423, 0.509386085, 0.562981631, 1.0],
        [0.19025129, 0.513446432, 0.562760393, 1.0],
        [0.18890433, 0.51751123, 0.562521937, 1.0],
        [0.187499622, 0.521580929, 0.562264235, 1.0],
        [0.186034475, 0.525655916, 0.561985292, 1.0],
        [0.184506168, 0.529736567, 0.561682987, 1.0],
        [0.182912094, 0.533823219, 0.561355165, 1.0],
        [0.181249866, 0.537916149, 0.560999697, 1.0],
        [0.179517253, 0.542015597, 0.560614444, 1.0],
        [0.177712186, 0.546121756, 0.56019726, 1.0],
        [0.175832802, 0.550234776, 0.559746014, 1.0],
        [0.173877415, 0.554354766, 0.559258573, 1.0],
        [0.171844426, 0.558481812, 0.558732749, 1.0],
        [0.16973252, 0.562615948, 0.558166407, 1.0],
        [0.167540603, 0.566757169, 0.557557431, 1.0],
        [0.165267818, 0.570905435, 0.556903717, 1.0],
        [0.162913562, 0.575060667, 0.556203186, 1.0],
        [0.160477508, 0.579222751, 0.555453779, 1.0],
        [0.157959653, 0.583391536, 0.554653475, 1.0],
        [0.155360265, 0.587566847, 0.553800255, 1.0],
        [0.15268001, 0.591748471, 0.552892142, 1.0],
        [0.149919961, 0.595936164, 0.551927197, 1.0],
        [0.147081648, 0.600129652, 0.550903517, 1.0],
        [0.144167107, 0.604328632, 0.549819231, 1.0],
        [0.141178951, 0.608532774, 0.548672507, 1.0],
        [0.138120444, 0.612741721, 0.547461551, 1.0],
        [0.134995517, 0.6169551, 0.546184565, 1.0],
        [0.131809058, 0.6211725, 0.544839848, 1.0],
        [0.128566907, 0.62539349, 0.543425723, 1.0],
        [0.125276014, 0.629617616, 0.541940545, 1.0],
        [0.121944616, 0.633844406, 0.540382708, 1.0],
        [0.118582433, 0.638073361, 0.538750642, 1.0],
        [0.115200891, 0.642303968, 0.537042815, 1.0],
        [0.111813153, 0.646535711, 0.535257624, 1.0],
        [0.108434919, 0.650768024, 0.533393648, 1.0],
        [0.105084411, 0.655000329, 0.531449486, 1.0],
        [0.101782647, 0.659232033, 0.529423739, 1.0],
        [0.0985538432, 0.663462527, 0.527315039, 1.0],
        [0.0954257237, 0.66769118, 0.525122046, 1.0],
        [0.0924291756, 0.671917396, 0.522843158, 1.0],
        [0.0896001472, 0.676140468, 0.520477332, 1.0],
        [0.0869780422, 0.680359713, 0.518023307, 1.0],
        [0.0846060155, 0.684574429, 0.515479849, 1.0],
        [0.0825301048, 0.688783922, 0.512845567, 1.0],
        [0.0807987492, 0.692987473, 0.510119108, 1.0],
        [0.0794622344, 0.697184282, 0.50729957, 1.0],
        [0.0785695703, 0.701373568, 0.504385805, 1.0],
        [0.078166226, 0.70555458, 0.501376261, 1.0],
        [0.0782934535, 0.709726484, 0.49826987, 1.0],
        [0.0789855453, 0.713888391, 0.495065822, 1.0],
        [0.0802667144, 0.718039468, 0.491762664, 1.0],
        [0.0821511806, 0.722178843, 0.488359025, 1.0],
        [0.0846436738, 0.726305515, 0.48485445, 1.0],
        [0.0877372925, 0.730418604, 0.481247108, 1.0],
        [0.091417529, 0.734517083, 0.477536213, 1.0],
        [0.0956626722, 0.738599901, 0.473720978, 1.0],
        [0.100445183, 0.742666076, 0.46979936, 1.0],
        [0.105735811, 0.746714388, 0.465771688, 1.0],
        [0.111502467, 0.750743825, 0.461635123, 1.0],
        [0.117714552, 0.754753046, 0.457390561, 1.0],
        [0.124341602, 0.758740931, 0.453035113, 1.0],
        [0.131355713, 0.762706066, 0.44856941, 1.0],
        [0.13873106, 0.76664714, 0.4439916, 1.0],
        [0.146444562, 0.770562706, 0.439300895, 1.0],
        [0.154475605, 0.774451215, 0.434497312, 1.0],
        [0.162806583, 0.778311121, 0.429579088, 1.0],
        [0.171422174, 0.782140724, 0.424545929, 1.0],
        [0.180309215, 0.785938227, 0.419397985, 1.0],
        [0.189456914, 0.789701749, 0.414134933, 1.0],
        [0.198856493, 0.793429292, 0.408756702, 1.0],
        [0.208501001, 0.797118723, 0.403263535, 1.0],
        [0.218385197, 0.80076777, 0.397655978, 1.0],
        [0.228505055, 0.804374001, 0.391935528, 1.0],
        [0.23885825, 0.807934818, 0.386103684, 1.0],
        [0.249443357, 0.811447438, 0.3801632, 1.0],
        [0.260260024, 0.814908884, 0.374117745, 1.0],
        [0.271308758, 0.81831597, 0.36797226, 1.0],
        [0.282590964, 0.821665281, 0.361733008, 1.0],
        [0.294110727, 0.824953047, 0.355405559, 1.0],
        [0.305868369, 0.828175462, 0.349003188, 1.0],
        [0.317869729, 0.831328156, 0.342535504, 1.0],
        [0.330115919, 0.834406799, 0.336021381, 1.0],
        [0.34261175, 0.837406533, 0.329479311, 1.0],
        [0.355360109, 0.840322355, 0.322934571, 1.0],
        [0.368362036, 0.843149163, 0.316419472, 1.0],
        [0.381617776, 0.845881692, 0.30997279, 1.0],
        [0.395124842, 0.848514754, 0.303642336, 1.0],
        [0.40887749, 0.851043391, 0.297485829, 1.0],
        [0.422865811, 0.853463107, 0.291571898, 1.0],
        [0.437070912, 0.85577071, 0.285983739, 1.0],
        [0.451469752, 0.857963958, 0.280813591, 1.0],
        [0.466027126, 0.860043018, 0.276166797, 1.0],
    ],
    'cmr.neutral': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000283668457, 0.000273455258, 0.000271561415, 1.0],
        [0.000984185114, 0.00094954648, 0.00094312176, 1.0],
        [0.00204009936, 0.00196978022, 0.00195673452, 1.0],
        [0.00342493291, 0.0033091337, 0.00328764601, 1.0],
        [0.00512247907, 0.0049523834, 0.00492081441, 1.0],
        [0.00712157218, 0.00688910599, 0.0068459536, 1.0],
        [0.00941402306, 0.00911170814, 0.00905558041, 1.0],
        [0.0119935953, 0.011614451, 0.0115440479, 1.0],
        [0.014855426, 0.0143928985, 0.0143069991, 1.0],
        [0.0179956674, 0.017443577, 0.0173410292, 1.0],
        [0.0214112512, 0.0207637507, 0.0206434643, 1.0],
        [0.025099725, 0.024351267, 0.0242122072, 1.0],
        [0.0290591354, 0.0282044455, 0.0280456277, 1.0],
        [0.0332879413, 0.0323219953, 0.0321424815, 1.0],
        [0.0377849477, 0.0367029531, 0.036501848, 1.0],
        [0.042483563, 0.0413259159, 0.0411085678, 1.0],
        [0.0471301778, 0.0459329867, 0.0457082175, 1.0],
        [0.0517224194, 0.0504873136, 0.0502554293, 1.0],
        [0.0562647433, 0.0549932537, 0.0547545418, 1.0],
        [0.0607610777, 0.0594546477, 0.0592093793, 1.0],
        [0.0652149095, 0.0638749041, 0.0636233355, 1.0],
        [0.0696293526, 0.0682570666, 0.0679994409, 1.0],
        [0.0740072035, 0.0726038677, 0.0723404161, 1.0],
        [0.0783509857, 0.0769177733, 0.076648716, 1.0],
        [0.0826629873, 0.0812010186, 0.0809265661, 1.0],
        [0.0869452917, 0.0854556387, 0.0851759921, 1.0],
        [0.0911998031, 0.0896834932, 0.0893988455, 1.0],
        [0.0954282681, 0.0938862879, 0.0935968243, 1.0],
        [0.0996322947, 0.0980655926, 0.0977714912, 1.0],
        [0.103813367, 0.102222857, 0.101924289, 1.0],
        [0.10797286, 0.106359421, 0.106056553, 1.0],
        [0.112112049, 0.110476533, 0.110169522, 1.0],
        [0.116232124, 0.11457535, 0.114264352, 1.0],
        [0.120334191, 0.118656955, 0.11834212, 1.0],
        [0.124419289, 0.12272236, 0.122403831, 1.0],
        [0.128488388, 0.126772512, 0.126450429, 1.0],
        [0.132542402, 0.130808303, 0.130482801, 1.0],
        [0.136582189, 0.134830569, 0.134501781, 1.0],
        [0.14060856, 0.1388401, 0.138508155, 1.0],
        [0.144622278, 0.142837643, 0.142502664, 1.0],
        [0.148624067, 0.146823903, 0.146486011, 1.0],
        [0.152614613, 0.150799548, 0.150458862, 1.0],
        [0.156594566, 0.154765212, 0.154421846, 1.0],
        [0.160564543, 0.158721498, 0.158375565, 1.0],
        [0.164525134, 0.16266898, 0.162320589, 1.0],
        [0.168476899, 0.166608204, 0.166257461, 1.0],
        [0.172420372, 0.170539691, 0.170186701, 1.0],
        [0.176356065, 0.17446394, 0.174108805, 1.0],
        [0.180284467, 0.178381428, 0.178024246, 1.0],
        [0.184206045, 0.182292611, 0.18193348, 1.0],
        [0.188121249, 0.186197926, 0.185836941, 1.0],
        [0.19203051, 0.190097793, 0.189735047, 1.0],
        [0.195934241, 0.193992616, 0.193628201, 1.0],
        [0.199832841, 0.197882784, 0.197516788, 1.0],
        [0.203726694, 0.20176867, 0.20140118, 1.0],
        [0.207616168, 0.205650633, 0.205281736, 1.0],
        [0.21150162, 0.209529022, 0.209158801, 1.0],
        [0.215383394, 0.213404172, 0.21303271, 1.0],
        [0.219261823, 0.217276408, 0.216903784, 1.0],
        [0.223137229, 0.221146042, 0.220772337, 1.0],
        [0.227009922, 0.225013378, 0.224638669, 1.0],
        [0.230880205, 0.22887871, 0.228503074, 1.0],
        [0.23474837, 0.232742324, 0.232365835, 1.0],
        [0.238614701, 0.236604496, 0.236227229, 1.0],
        [0.242479474, 0.240465496, 0.240087521, 1.0],
        [0.246342956, 0.244325583, 0.243946973, 1.0],
        [0.250205408, 0.248185013, 0.247805837, 1.0],
        [0.254067084, 0.252044033, 0.25166436, 1.0],
        [0.25792823, 0.255902883, 0.25552278, 1.0],
        [0.261789088, 0.259761798, 0.259381332, 1.0],
        [0.265649892, 0.263621007, 0.263240243, 1.0],
        [0.269510871, 0.267480734, 0.267099736, 1.0],
        [0.273372249, 0.271341197, 0.270960028, 1.0],
        [0.277234245, 0.275202609, 0.274821331, 1.0],
        [0.281097073, 0.279065178, 0.278683854, 1.0],
        [0.284960941, 0.28292911, 0.282547798, 1.0],
        [0.288826055, 0.286794603, 0.286413363, 1.0],
        [0.292692614, 0.290661853, 0.290280744, 1.0],
        [0.296560816, 0.294531053, 0.294150132, 1.0],
        [0.300430854, 0.29840239, 0.298021714, 1.0],
        [0.304302916, 0.302276049, 0.301895673, 1.0],
        [0.308177188, 0.306152212, 0.305772191, 1.0],
        [0.312053854, 0.310031055, 0.309651444, 1.0],
        [0.315933091, 0.313912756, 0.313533608, 1.0],
        [0.319815076, 0.317797485, 0.317418852, 1.0],
        [0.323699983, 0.321685411, 0.321307346, 1.0],
        [0.327587983, 0.325576703, 0.325199256, 1.0],
        [0.331479243, 0.329471523, 0.329094745, 1.0],
        [0.335373929, 0.333370035, 0.332993974, 1.0],
        [0.339272205, 0.337272396, 0.336897103, 1.0],
        [0.343174232, 0.341178766, 0.340804288, 1.0],
        [0.347080167, 0.345089298, 0.344715683, 1.0],
        [0.350990169, 0.349004146, 0.348631441, 1.0],
        [0.354904392, 0.352923462, 0.352551712, 1.0],
        [0.358822989, 0.356847395, 0.356476647, 1.0],
        [0.362746112, 0.360776093, 0.360406391, 1.0],
        [0.366673909, 0.364709702, 0.364341091, 1.0],
        [0.370606528, 0.368648367, 0.368280891, 1.0],
        [0.374544117, 0.372592231, 0.372225932, 1.0],
        [0.378486819, 0.376541436, 0.376176357, 1.0],
        [0.382434779, 0.380496122, 0.380132306, 1.0],
        [0.386388139, 0.384456428, 0.384093916, 1.0],
        [0.390347039, 0.388422493, 0.388061325, 1.0],
        [0.39431162, 0.392394452, 0.392034669, 1.0],
        [0.398282019, 0.396372443, 0.396014084, 1.0],
        [0.402258374, 0.400356598, 0.399999703, 1.0],
        [0.406240823, 0.404347053, 0.40399166, 1.0],
        [0.4102295, 0.40834394, 0.407990087, 1.0],
        [0.41422454, 0.41234739, 0.411995115, 1.0],
        [0.418226076, 0.416357535, 0.416006875, 1.0],
        [0.422234242, 0.420374505, 0.420025496, 1.0],
        [0.426249171, 0.424398429, 0.424051108, 1.0],
        [0.430270992, 0.428429436, 0.428083839, 1.0],
        [0.434299838, 0.432467655, 0.432123817, 1.0],
        [0.438335838, 0.436513214, 0.436171168, 1.0],
        [0.442379122, 0.440566238, 0.44022602, 1.0],
        [0.446429818, 0.444626855, 0.444288498, 1.0],
        [0.450488056, 0.448695191, 0.448358728, 1.0],
        [0.454553964, 0.452771371, 0.452436835, 1.0],
        [0.458627668, 0.456855521, 0.456522945, 1.0],
        [0.462709297, 0.460947765, 0.46061718, 1.0],
        [0.466798978, 0.465048229, 0.464719666, 1.0],
        [0.470896835, 0.469157035, 0.468830526, 1.0],
        [0.475002997, 0.473274308, 0.472949884, 1.0],
        [0.479117589, 0.477400172, 0.477077863, 1.0],
        [0.483240736, 0.48153475, 0.481214585, 1.0],
        [0.487372565, 0.485678166, 0.485360175, 1.0],
        [0.491513201, 0.489830543, 0.489514754, 1.0],
        [0.495662768, 0.493992003, 0.493678445, 1.0],
        [0.499821393, 0.49816267, 0.497851371, 1.0],
        [0.5039892, 0.502342667, 0.502033654, 1.0],
        [0.508166314, 0.506532116, 0.506225417, 1.0],
        [0.51235286, 0.510731141, 0.510426782, 1.0],
        [0.516548964, 0.514939863, 0.514637872, 1.0],
        [0.520754751, 0.519158408, 0.51885881, 1.0],
        [0.524970345, 0.523386896, 0.523089717, 1.0],
        [0.529195871, 0.527625452, 0.527330717, 1.0],
        [0.533431456, 0.531874198, 0.531581932, 1.0],
        [0.537677225, 0.536133259, 0.535843486, 1.0],
        [0.541933303, 0.540402757, 0.540115502, 1.0],
        [0.546199815, 0.544682816, 0.544398102, 1.0],
        [0.550476889, 0.548973561, 0.548691412, 1.0],
        [0.55476465, 0.553275116, 0.552995553, 1.0],
        [0.559063225, 0.557587604, 0.557310652, 1.0],
        [0.563372741, 0.561911152, 0.561636831, 1.0],
        [0.567693324, 0.566245883, 0.565974216, 1.0],
        [0.572025103, 0.570591923, 0.570322932, 1.0],
        [0.576368204, 0.574949399, 0.574683104, 1.0],
        [0.580722756, 0.579318436, 0.579054858, 1.0],
        [0.585088888, 0.583699161, 0.58343832, 1.0],
        [0.589466728, 0.5880917, 0.587833617, 1.0],
        [0.593856405, 0.592496182, 0.592240876, 1.0],
        [0.598258051, 0.596912733, 0.596660224, 1.0],
        [0.602671794, 0.601341483, 0.601091789, 1.0],
        [0.607097765, 0.60578256, 0.605535699, 1.0],
        [0.611536097, 0.610236093, 0.609992084, 1.0],
        [0.61598692, 0.614702213, 0.614461074, 1.0],
        [0.620450367, 0.61918105, 0.618942797, 1.0],
        [0.624926571, 0.623672734, 0.623437386, 1.0],
        [0.629415666, 0.628177398, 0.62794497, 1.0],
        [0.633917785, 0.632695174, 0.632465683, 1.0],
        [0.638433064, 0.637226194, 0.636999656, 1.0],
        [0.642961638, 0.641770593, 0.641547024, 1.0],
        [0.647503643, 0.646328503, 0.646107918, 1.0],
        [0.652059215, 0.650900062, 0.650682475, 1.0],
        [0.656628494, 0.655485403, 0.65527083, 1.0],
        [0.661211616, 0.660084663, 0.659873118, 1.0],
        [0.665808721, 0.66469798, 0.664489477, 1.0],
        [0.670419949, 0.669325492, 0.669120043, 1.0],
        [0.67504544, 0.673967336, 0.673764956, 1.0],
        [0.679685336, 0.678623654, 0.678424354, 1.0],
        [0.684339779, 0.683294584, 0.683098378, 1.0],
        [0.689008912, 0.687980269, 0.687787168, 1.0],
        [0.69369288, 0.69268085, 0.692490866, 1.0],
        [0.698391827, 0.697396471, 0.697209615, 1.0],
        [0.703105899, 0.702127275, 0.701943559, 1.0],
        [0.707835243, 0.706873408, 0.706692842, 1.0],
        [0.712580006, 0.711635015, 0.711457609, 1.0],
        [0.717340338, 0.716412243, 0.716238007, 1.0],
        [0.722116388, 0.721205239, 0.721034183, 1.0],
        [0.726908308, 0.726014154, 0.725846286, 1.0],
        [0.731716248, 0.730839136, 0.730674466, 1.0],
        [0.736540361, 0.735680336, 0.735518873, 1.0],
        [0.741380803, 0.740537907, 0.740379658, 1.0],
        [0.746237727, 0.745412002, 0.745256975, 1.0],
        [0.751111291, 0.750302775, 0.750150977, 1.0],
        [0.756001651, 0.755210382, 0.75506182, 1.0],
        [0.760908966, 0.760134978, 0.759989659, 1.0],
        [0.765833396, 0.765076723, 0.764934653, 1.0],
        [0.770775102, 0.770035774, 0.769896959, 1.0],
        [0.775734246, 0.775012293, 0.774876738, 1.0],
        [0.780710991, 0.78000644, 0.779874151, 1.0],
        [0.785705503, 0.785018378, 0.78488936, 1.0],
        [0.790717948, 0.790048273, 0.789922529, 1.0],
        [0.795748492, 0.795096288, 0.794973823, 1.0],
        [0.800797306, 0.800162591, 0.800043409, 1.0],
        [0.805864558, 0.80524735, 0.805131453, 1.0],
        [0.810950422, 0.810350735, 0.810238127, 1.0],
        [0.816055069, 0.815472916, 0.815363599, 1.0],
        [0.821178674, 0.820614066, 0.820508042, 1.0],
        [0.826321414, 0.825774359, 0.82567163, 1.0],
        [0.831483465, 0.830953971, 0.830854538, 1.0],
        [0.836665008, 0.836153078, 0.836056941, 1.0],
        [0.841866221, 0.841371858, 0.841279019, 1.0],
        [0.847087289, 0.846610493, 0.846520952, 1.0],
        [0.852328394, 0.851869163, 0.851782919, 1.0],
        [0.857589723, 0.857148052, 0.857065105, 1.0],
        [0.862871461, 0.862447345, 0.862367693, 1.0],
        [0.868173798, 0.867767228, 0.86769087, 1.0],
        [0.873496925, 0.87310789, 0.873034825, 1.0],
        [0.878841034, 0.878469522, 0.878399746, 1.0],
        [0.884206319, 0.883852314, 0.883785825, 1.0],
        [0.889592976, 0.88925646, 0.889193255, 1.0],
        [0.895001202, 0.894682157, 0.894622232, 1.0],
        [0.900431198, 0.900129601, 0.900072953, 1.0],
        [0.905883164, 0.905598992, 0.905545615, 1.0],
        [0.911357305, 0.911090531, 0.911040421, 1.0],
        [0.916853826, 0.91660442, 0.916557572, 1.0],
        [0.922372933, 0.922140866, 0.922097274, 1.0],
        [0.927914837, 0.927700075, 0.927659732, 1.0],
        [0.93347975, 0.933282256, 0.933245156, 1.0],
        [0.939067884, 0.93888762, 0.938853757, 1.0],
        [0.944679455, 0.944516382, 0.944485747, 1.0],
        [0.950314682, 0.950168755, 0.950141341, 1.0],
        [0.955973785, 0.955844959, 0.955820757, 1.0],
        [0.961656985, 0.961545212, 0.961524213, 1.0],
        [0.967364507, 0.967269737, 0.967251932, 1.0],
        [0.973096579, 0.973018759, 0.973004138, 1.0],
        [0.978853429, 0.978792503, 0.978781056, 1.0],
        [0.984635289, 0.9845912, 0.984582916, 1.0],
        [0.990442394, 0.99041508, 0.990409948, 1.0],
        [0.996274979, 0.996264378, 0.996262386, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.nuclear': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000218978444, 0.000177540646, 0.000255612013, 1.0],
        [0.00076812458, 0.000608776467, 0.000925389883, 1.0],
        [0.00160743304, 0.00124801543, 0.00199558151, 1.0],
        [0.00272048166, 0.00207363753, 0.00347485305, 1.0],
        [0.00409715583, 0.00307139249, 0.00537786044, 1.0],
        [0.00573018628, 0.00423073344, 0.00772233034, 1.0],
        [0.00761380934, 0.00554335658, 0.0105279395, 1.0],
        [0.00974316966, 0.00700241938, 0.0138160755, 1.0],
        [0.0121139195, 0.00860215564, 0.0176093743, 1.0],
        [0.0147220226, 0.0103375904, 0.0219317037, 1.0],
        [0.017563634, 0.0122043364, 0.0268082763, 1.0],
        [0.0206349585, 0.0141985119, 0.0322653727, 1.0],
        [0.0239321803, 0.0163166491, 0.0383303458, 1.0],
        [0.027451425, 0.0185556037, 0.0448143024, 1.0],
        [0.0311887041, 0.0209125099, 0.0513195203, 1.0],
        [0.0351398654, 0.0233847472, 0.0578545958, 1.0],
        [0.039300518, 0.0259699639, 0.0644243769, 1.0],
        [0.0435416128, 0.0286659924, 0.0710332953, 1.0],
        [0.0477103734, 0.0314708616, 0.0776853131, 1.0],
        [0.0518184827, 0.0343827896, 0.0843839988, 1.0],
        [0.0558674191, 0.0374001823, 0.0911325837, 1.0],
        [0.0598582631, 0.0405203677, 0.0979340035, 1.0],
        [0.0637917313, 0.0436167095, 0.104790928, 1.0],
        [0.0676681997, 0.0466743313, 0.111705782, 1.0],
        [0.071487721, 0.0496957395, 0.118680754, 1.0],
        [0.0752500517, 0.0526832389, 0.125718267, 1.0],
        [0.0789545993, 0.0556392251, 0.132819807, 1.0],
        [0.0826004715, 0.0585660208, 0.139986815, 1.0],
        [0.0861864649, 0.0614658124, 0.147221131, 1.0],
        [0.0897110198, 0.0643409488, 0.154523749, 1.0],
        [0.093172223, 0.0671938134, 0.161895543, 1.0],
        [0.0965677748, 0.0700268571, 0.169337261, 1.0],
        [0.0998949472, 0.0728426366, 0.176849496, 1.0],
        [0.103150569, 0.0756440312, 0.18443178, 1.0],
        [0.106330947, 0.0784340173, 0.192083865, 1.0],
        [0.109431808, 0.0812158616, 0.199804968, 1.0],
        [0.11244824, 0.083993189, 0.20759365, 1.0],
        [0.115374609, 0.0867700585, 0.215447655, 1.0],
        [0.118204478, 0.0895510506, 0.22336372, 1.0],
        [0.12093051, 0.0923413649, 0.231337335, 1.0],
        [0.123544151, 0.0951466855, 0.239363937, 1.0],
        [0.126035909, 0.0979738624, 0.247435348, 1.0],
        [0.128394603, 0.100830347, 0.255543606, 1.0],
        [0.130607778, 0.103724978, 0.263676635, 1.0],
        [0.132661245, 0.106667802, 0.271819724, 1.0],
        [0.134538696, 0.109670176, 0.279955478, 1.0],
        [0.136222488, 0.112745301, 0.288059723, 1.0],
        [0.137692483, 0.115907767, 0.296104969, 1.0],
        [0.138927508, 0.119173938, 0.304055365, 1.0],
        [0.139905289, 0.122561419, 0.311868095, 1.0],
        [0.14060369, 0.126088506, 0.319492294, 1.0],
        [0.141003278, 0.129773055, 0.326868058, 1.0],
        [0.141089047, 0.133630747, 0.333929711, 1.0],
        [0.140854845, 0.137672747, 0.340607651, 1.0],
        [0.140305823, 0.141903258, 0.34683541, 1.0],
        [0.139460917, 0.146317501, 0.352556695, 1.0],
        [0.13835299, 0.150900955, 0.357732791, 1.0],
        [0.137025891, 0.155630563, 0.362347754, 1.0],
        [0.135529983, 0.16047745, 0.366409159, 1.0],
        [0.133916822, 0.165410486, 0.369944837, 1.0],
        [0.132235244, 0.170399391, 0.372996977, 1.0],
        [0.130527691, 0.175417337, 0.375615625, 1.0],
        [0.128830854, 0.180441516, 0.377853384, 1.0],
        [0.127173815, 0.185454032, 0.379761298, 1.0],
        [0.125579932, 0.19044117, 0.381386712, 1.0],
        [0.124066902, 0.195393095, 0.382771914, 1.0],
        [0.122648951, 0.200302743, 0.383954348, 1.0],
        [0.121336886, 0.20516545, 0.384966583, 1.0],
        [0.12013821, 0.209978592, 0.38583641, 1.0],
        [0.119057929, 0.214741032, 0.386587425, 1.0],
        [0.118101117, 0.219452059, 0.387240904, 1.0],
        [0.117268737, 0.224112583, 0.387813587, 1.0],
        [0.116561858, 0.228723615, 0.388320502, 1.0],
        [0.115980312, 0.233286606, 0.388774449, 1.0],
        [0.115522723, 0.237803364, 0.389186215, 1.0],
        [0.11518669, 0.242275932, 0.389564873, 1.0],
        [0.114970282, 0.246706094, 0.389919113, 1.0],
        [0.114868752, 0.25109637, 0.390254789, 1.0],
        [0.114878812, 0.255448673, 0.390578402, 1.0],
        [0.114994902, 0.259765462, 0.39089415, 1.0],
        [0.11521258, 0.264048698, 0.391206811, 1.0],
        [0.115526272, 0.268300543, 0.391519899, 1.0],
        [0.115929805, 0.272523197, 0.391836101, 1.0],
        [0.116417124, 0.276718699, 0.392157945, 1.0],
        [0.116981917, 0.280889053, 0.392487473, 1.0],
        [0.117617671, 0.285036219, 0.392826293, 1.0],
        [0.118317741, 0.28916211, 0.393175634, 1.0],
        [0.119076055, 0.293268398, 0.393537027, 1.0],
        [0.119885357, 0.297357037, 0.393910581, 1.0],
        [0.120738849, 0.301429791, 0.394296559, 1.0],
        [0.121630402, 0.305488197, 0.394695598, 1.0],
        [0.122553375, 0.309533904, 0.39510752, 1.0],
        [0.123501003, 0.313568569, 0.395531708, 1.0],
        [0.124467728, 0.317593499, 0.395968416, 1.0],
        [0.12544666, 0.321610353, 0.396416248, 1.0],
        [0.126432467, 0.325620359, 0.396875003, 1.0],
        [0.127419088, 0.329624938, 0.397343422, 1.0],
        [0.128400696, 0.333625444, 0.397820135, 1.0],
        [0.12937284, 0.337622881, 0.39830475, 1.0],
        [0.130329586, 0.341618634, 0.398795106, 1.0],
        [0.131266108, 0.345613805, 0.399289767, 1.0],
        [0.132178024, 0.349609394, 0.399787373, 1.0],
        [0.133061023, 0.35360639, 0.400286289, 1.0],
        [0.133910625, 0.357605824, 0.400784407, 1.0],
        [0.134722938, 0.361608589, 0.401279843, 1.0],
        [0.135494318, 0.365615525, 0.401770626, 1.0],
        [0.136221365, 0.369627414, 0.402254706, 1.0],
        [0.136900928, 0.373644986, 0.402729961, 1.0],
        [0.137530108, 0.377668915, 0.403194211, 1.0],
        [0.138106334, 0.381699803, 0.403645293, 1.0],
        [0.138627098, 0.385738236, 0.404080848, 1.0],
        [0.139090229, 0.389784726, 0.404498561, 1.0],
        [0.139493823, 0.393839728, 0.404896114, 1.0],
        [0.139836221, 0.397903642, 0.405271174, 1.0],
        [0.140116049, 0.401976808, 0.405621438, 1.0],
        [0.140332173, 0.406059516, 0.405944605, 1.0],
        [0.14048359, 0.410152026, 0.406238307, 1.0],
        [0.140569586, 0.414254539, 0.40650024, 1.0],
        [0.140589678, 0.41836721, 0.406728126, 1.0],
        [0.140543605, 0.42249015, 0.406919716, 1.0],
        [0.140431329, 0.426623427, 0.407072802, 1.0],
        [0.140253031, 0.430767068, 0.407185217, 1.0],
        [0.140009108, 0.434921065, 0.407254839, 1.0],
        [0.139700185, 0.43908537, 0.40727961, 1.0],
        [0.139327361, 0.443259858, 0.4072577, 1.0],
        [0.138891368, 0.447444471, 0.40718694, 1.0],
        [0.138393443, 0.451639073, 0.407065424, 1.0],
        [0.137835033, 0.4558435, 0.406891299, 1.0],
        [0.137217797, 0.460057565, 0.406662773, 1.0],
        [0.136543781, 0.464281031, 0.406378226, 1.0],
        [0.135815013, 0.46851368, 0.406035939, 1.0],
        [0.135033665, 0.472755289, 0.405634193, 1.0],
        [0.134202277, 0.477005594, 0.405171417, 1.0],
        [0.133323627, 0.481264321, 0.404646093, 1.0],
        [0.132400946, 0.48553115, 0.404056888, 1.0],
        [0.131437279, 0.489805818, 0.403402221, 1.0],
        [0.130436159, 0.49408802, 0.402680698, 1.0],
        [0.129401421, 0.498377439, 0.401890977, 1.0],
        [0.128337274, 0.502673741, 0.401031801, 1.0],
        [0.127248083, 0.506976611, 0.400101839, 1.0],
        [0.126138585, 0.511285721, 0.399099811, 1.0],
        [0.125013922, 0.515600733, 0.398024495, 1.0],
        [0.123879597, 0.519921307, 0.396874678, 1.0],
        [0.122741459, 0.524247108, 0.395649132, 1.0],
        [0.121605832, 0.528577789, 0.394346678, 1.0],
        [0.120479482, 0.532912999, 0.392966147, 1.0],
        [0.119369555, 0.537252397, 0.391506323, 1.0],
        [0.118283611, 0.541595645, 0.389965947, 1.0],
        [0.117229917, 0.545942375, 0.388343906, 1.0],
        [0.116217124, 0.550292231, 0.386639005, 1.0],
        [0.115254373, 0.554644856, 0.384850029, 1.0],
        [0.114350903, 0.558999935, 0.382975451, 1.0],
        [0.113517112, 0.563357068, 0.381014218, 1.0],
        [0.112763541, 0.56771589, 0.378965025, 1.0],
        [0.112101139, 0.572076034, 0.376826522, 1.0],
        [0.111541128, 0.576437135, 0.374597246, 1.0],
        [0.111094762, 0.580798857, 0.372275455, 1.0],
        [0.11077423, 0.585160774, 0.369859925, 1.0],
        [0.110591474, 0.589522498, 0.36734907, 1.0],
        [0.11055845, 0.593883635, 0.364741224, 1.0],
        [0.110687012, 0.598243782, 0.362034637, 1.0],
        [0.110988789, 0.602602527, 0.35922746, 1.0],
        [0.111474655, 0.606959494, 0.356317337, 1.0],
        [0.112155791, 0.611314204, 0.353302575, 1.0],
        [0.113042392, 0.615666207, 0.350181003, 1.0],
        [0.114143895, 0.620015039, 0.3469503, 1.0],
        [0.115468904, 0.624360221, 0.343607991, 1.0],
        [0.117025102, 0.628701255, 0.340151435, 1.0],
        [0.118819198, 0.633037619, 0.336577815, 1.0],
        [0.120856893, 0.637368772, 0.332884114, 1.0],
        [0.123142882, 0.641694141, 0.329067103, 1.0],
        [0.125680878, 0.646013126, 0.325123317, 1.0],
        [0.128473667, 0.650325094, 0.321049035, 1.0],
        [0.131523184, 0.654629372, 0.31684026, 1.0],
        [0.134830613, 0.658925248, 0.312492687, 1.0],
        [0.138396502, 0.66321196, 0.30800168, 1.0],
        [0.142220632, 0.667488759, 0.303361206, 1.0],
        [0.146302855, 0.671754747, 0.29856609, 1.0],
        [0.150642739, 0.676008961, 0.293610806, 1.0],
        [0.15523964, 0.680250386, 0.288488963, 1.0],
        [0.160092832, 0.684478012, 0.283191713, 1.0],
        [0.165202103, 0.688690628, 0.27771146, 1.0],
        [0.17056748, 0.692886869, 0.272041195, 1.0],
        [0.176189592, 0.697065481, 0.266166809, 1.0],
        [0.182069443, 0.701224734, 0.260082247, 1.0],
        [0.188209492, 0.705363067, 0.253770047, 1.0],
        [0.194612256, 0.709478441, 0.247220956, 1.0],
        [0.201282185, 0.713568785, 0.240417041, 1.0],
        [0.208225042, 0.717631706, 0.2333398, 1.0],
        [0.215447556, 0.721664459, 0.225971105, 1.0],
        [0.222958742, 0.725663971, 0.218287684, 1.0],
        [0.230769736, 0.72962671, 0.210263187, 1.0],
        [0.238894054, 0.733548601, 0.201867802, 1.0],
        [0.247347874, 0.737424919, 0.193067874, 1.0],
        [0.256153355, 0.741250048, 0.183817223, 1.0],
        [0.265331947, 0.745017518, 0.174077112, 1.0],
        [0.274916319, 0.748719349, 0.163784186, 1.0],
        [0.284939947, 0.752346206, 0.152880519, 1.0],
        [0.295445971, 0.755886631, 0.141292533, 1.0],
        [0.306485395, 0.75932666, 0.128940105, 1.0],
        [0.318119794, 0.762649051, 0.115737789, 1.0],
        [0.330414817, 0.765833241, 0.101625328, 1.0],
        [0.343439338, 0.768854899, 0.0866041228, 1.0],
        [0.357251624, 0.771687052, 0.0708515709, 1.0],
        [0.37185781, 0.774305815, 0.0550121959, 1.0],
        [0.387164283, 0.776699935, 0.0407292968, 1.0],
        [0.402910994, 0.778887386, 0.0317471713, 1.0],
        [0.41868959, 0.780922878, 0.0310965897, 1.0],
        [0.434073695, 0.782883423, 0.0390365919, 1.0],
        [0.448766557, 0.784840147, 0.0534217397, 1.0],
        [0.462656859, 0.786838212, 0.0702746272, 1.0],
        [0.475747356, 0.788901491, 0.0877386707, 1.0],
        [0.488113228, 0.791035929, 0.105019902, 1.0],
        [0.499839881, 0.79324108, 0.12182085, 1.0],
        [0.51101087, 0.795512991, 0.138059636, 1.0],
        [0.521703318, 0.797845796, 0.153746905, 1.0],
        [0.531978461, 0.8002348, 0.168918555, 1.0],
        [0.54189359, 0.802674049, 0.183630257, 1.0],
        [0.551488805, 0.805160409, 0.197923374, 1.0],
        [0.560807871, 0.807688247, 0.211854304, 1.0],
        [0.569878335, 0.810255346, 0.225456465, 1.0],
        [0.578730651, 0.81285768, 0.238772161, 1.0],
        [0.58738639, 0.815493072, 0.251830095, 1.0],
        [0.595865061, 0.818159345, 0.264656953, 1.0],
        [0.604184278, 0.820854362, 0.277277374, 1.0],
        [0.612359929, 0.82357605, 0.28971401, 1.0],
        [0.620404842, 0.82632294, 0.301984545, 1.0],
        [0.628327082, 0.829094887, 0.314097666, 1.0],
        [0.63614348, 0.831888356, 0.326081227, 1.0],
        [0.643854813, 0.834705264, 0.33792996, 1.0],
        [0.651476266, 0.837542104, 0.349669941, 1.0],
        [0.659012358, 0.840399041, 0.361304992, 1.0],
        [0.666467394, 0.84327621, 0.372838682, 1.0],
        [0.673850219, 0.84617184, 0.384285252, 1.0],
        [0.681165558, 0.849085591, 0.395650208, 1.0],
        [0.688417835, 0.852017132, 0.406938711, 1.0],
        [0.695611194, 0.854966141, 0.418155608, 1.0],
        [0.702749517, 0.857932307, 0.429305453, 1.0],
        [0.709836443, 0.860915331, 0.440392532, 1.0],
        [0.716875385, 0.863914927, 0.45142088, 1.0],
        [0.723869544, 0.866930822, 0.462394301, 1.0],
        [0.730821922, 0.86996276, 0.473316382, 1.0],
        [0.73773534, 0.873010497, 0.484190507, 1.0],
        [0.744612445, 0.876073804, 0.49501987, 1.0],
        [0.751453158, 0.879153679, 0.505800795, 1.0],
        [0.758261111, 0.882249356, 0.51653934, 1.0],
        [0.76503948, 0.885360204, 0.527240699, 1.0],
        [0.771789441, 0.8884865, 0.537904998, 1.0],
        [0.778509946, 0.891629602, 0.548526441, 1.0],
        [0.785206578, 0.894787565, 0.559117251, 1.0],
        [0.791878553, 0.897961553, 0.569672624, 1.0],
        [0.798526991, 0.901151777, 0.580192976, 1.0],
        [0.805155731, 0.904357, 0.590686458, 1.0],
        [0.811761481, 0.907579669, 0.601141408, 1.0],
        [0.818351001, 0.910816941, 0.611574531, 1.0],
    ],
    'cmr.ocean': [
        [0.11036298, 0.00169078, 0.25302591, 1.0],
        [0.11229459, 0.00603321, 0.25753772, 1.0],
        [0.11418039, 0.01060839, 0.2620518, 1.0],
        [0.11601976, 0.01542029, 0.26656554, 1.0],
        [0.11781256, 0.02047271, 0.27107617, 1.0],
        [0.11955872, 0.02576938, 0.27558127, 1.0],
        [0.12125791, 0.03131406, 0.28007901, 1.0],
        [0.12291032, 0.03711032, 0.28456726, 1.0],
        [0.12451564, 0.04306596, 0.28904459, 1.0],
        [0.12607398, 0.04880321, 0.29350935, 1.0],
        [0.12758536, 0.05434134, 0.2979601, 1.0],
        [0.12904948, 0.05971483, 0.30239578, 1.0],
        [0.13046681, 0.06494994, 0.3068148, 1.0],
        [0.13183678, 0.07006769, 0.31121644, 1.0],
        [0.13315975, 0.07508463, 0.31559936, 1.0],
        [0.13443582, 0.08001428, 0.31996246, 1.0],
        [0.13566461, 0.08486802, 0.324305, 1.0],
        [0.13684632, 0.08965512, 0.3286259, 1.0],
        [0.13798112, 0.09438344, 0.33292414, 1.0],
        [0.13906902, 0.09905971, 0.33719884, 1.0],
        [0.1401098, 0.10368981, 0.34144923, 1.0],
        [0.14110359, 0.10827871, 0.3456744, 1.0],
        [0.1420506, 0.11283068, 0.34987342, 1.0],
        [0.14295089, 0.11734954, 0.35404547, 1.0],
        [0.14380456, 0.12183862, 0.35818971, 1.0],
        [0.14461171, 0.12630089, 0.36230534, 1.0],
        [0.1453725, 0.13073893, 0.36639155, 1.0],
        [0.14608708, 0.13515508, 0.37044756, 1.0],
        [0.14675568, 0.1395514, 0.37447257, 1.0],
        [0.14737854, 0.14392971, 0.37846582, 1.0],
        [0.14795595, 0.14829167, 0.38242655, 1.0],
        [0.14848823, 0.15263873, 0.38635403, 1.0],
        [0.14897577, 0.15697221, 0.39024752, 1.0],
        [0.14941899, 0.16129329, 0.39410632, 1.0],
        [0.14981839, 0.165603, 0.39792975, 1.0],
        [0.15017448, 0.16990228, 0.40171715, 1.0],
        [0.15048788, 0.17419196, 0.40546789, 1.0],
        [0.15075895, 0.17847288, 0.4091814, 1.0],
        [0.15098858, 0.18274564, 0.41285707, 1.0],
        [0.15117765, 0.18701078, 0.41649434, 1.0],
        [0.15132702, 0.19126881, 0.4200927, 1.0],
        [0.15143729, 0.19552028, 0.4236517, 1.0],
        [0.15150958, 0.19976554, 0.42717089, 1.0],
        [0.15154514, 0.20400486, 0.43064985, 1.0],
        [0.15154485, 0.20823862, 0.43408825, 1.0],
        [0.15150992, 0.21246704, 0.43748576, 1.0],
        [0.15144194, 0.21669026, 0.4408421, 1.0],
        [0.15134177, 0.22090856, 0.44415707, 1.0],
        [0.15121131, 0.22512197, 0.44743047, 1.0],
        [0.15105189, 0.22933064, 0.45066217, 1.0],
        [0.15086511, 0.23353464, 0.45385211, 1.0],
        [0.15065279, 0.23773398, 0.45700024, 1.0],
        [0.15041652, 0.24192875, 0.46010658, 1.0],
        [0.15015834, 0.24611888, 0.46317121, 1.0],
        [0.14988003, 0.25030442, 0.46619422, 1.0],
        [0.1495837, 0.25448531, 0.4691758, 1.0],
        [0.14927143, 0.25866151, 0.47211617, 1.0],
        [0.14894527, 0.26283299, 0.47501556, 1.0],
        [0.1486077, 0.26699964, 0.47787431, 1.0],
        [0.14826061, 0.27116148, 0.48069273, 1.0],
        [0.14790675, 0.27531836, 0.48347126, 1.0],
        [0.14754834, 0.27947023, 0.48621032, 1.0],
        [0.14718783, 0.28361704, 0.48891036, 1.0],
        [0.14682792, 0.28775866, 0.49157193, 1.0],
        [0.14647096, 0.29189507, 0.49419555, 1.0],
        [0.14611965, 0.29602617, 0.4967818, 1.0],
        [0.14577671, 0.30015187, 0.49933131, 1.0],
        [0.14544466, 0.30427214, 0.50184468, 1.0],
        [0.14512624, 0.30838691, 0.5043226, 1.0],
        [0.14482421, 0.31249611, 0.50676574, 1.0],
        [0.14454126, 0.3165997, 0.50917482, 1.0],
        [0.14427999, 0.32069765, 0.51155052, 1.0],
        [0.14404324, 0.3247899, 0.51389361, 1.0],
        [0.14383368, 0.32887643, 0.51620483, 1.0],
        [0.14365391, 0.33295724, 0.51848492, 1.0],
        [0.14350657, 0.33703232, 0.52073465, 1.0],
        [0.14339432, 0.34110164, 0.52295479, 1.0],
        [0.1433197, 0.34516522, 0.52514612, 1.0],
        [0.14328515, 0.34922308, 0.52730938, 1.0],
        [0.14329311, 0.35327524, 0.52944536, 1.0],
        [0.14334599, 0.35732173, 0.53155482, 1.0],
        [0.14344605, 0.36136258, 0.53363854, 1.0],
        [0.1435955, 0.36539784, 0.53569725, 1.0],
        [0.14379638, 0.36942758, 0.53773169, 1.0],
        [0.14405074, 0.37345185, 0.53974261, 1.0],
        [0.14436051, 0.37747071, 0.54173074, 1.0],
        [0.14472745, 0.38148424, 0.5436968, 1.0],
        [0.14515323, 0.38549252, 0.54564147, 1.0],
        [0.14563938, 0.38949565, 0.54756543, 1.0],
        [0.14618737, 0.3934937, 0.54946937, 1.0],
        [0.14679849, 0.39748677, 0.55135394, 1.0],
        [0.14747394, 0.40147496, 0.55321979, 1.0],
        [0.14821476, 0.40545839, 0.55506753, 1.0],
        [0.14902183, 0.40943715, 0.55689775, 1.0],
        [0.14989598, 0.41341137, 0.55871106, 1.0],
        [0.15083789, 0.41738115, 0.56050803, 1.0],
        [0.1518481, 0.42134661, 0.5622892, 1.0],
        [0.15292704, 0.42530787, 0.56405511, 1.0],
        [0.15407502, 0.42926506, 0.56580628, 1.0],
        [0.15529223, 0.43321829, 0.56754318, 1.0],
        [0.15657875, 0.43716769, 0.5692663, 1.0],
        [0.15793461, 0.44111338, 0.5709761, 1.0],
        [0.1593597, 0.44505549, 0.57267302, 1.0],
        [0.16085384, 0.44899414, 0.57435748, 1.0],
        [0.16241677, 0.45292945, 0.57602988, 1.0],
        [0.16404815, 0.45686154, 0.57769062, 1.0],
        [0.16574758, 0.46079053, 0.57934004, 1.0],
        [0.16751459, 0.46471656, 0.5809785, 1.0],
        [0.16934866, 0.46863973, 0.58260632, 1.0],
        [0.17124925, 0.47256015, 0.58422382, 1.0],
        [0.1732158, 0.47647795, 0.5858313, 1.0],
        [0.17524768, 0.48039322, 0.58742905, 1.0],
        [0.17734425, 0.48430608, 0.58901731, 1.0],
        [0.17950488, 0.48821663, 0.59059635, 1.0],
        [0.18172891, 0.49212496, 0.59216639, 1.0],
        [0.18401567, 0.49603117, 0.59372765, 1.0],
        [0.18636453, 0.49993535, 0.59528034, 1.0],
        [0.18877485, 0.50383759, 0.59682463, 1.0],
        [0.191246, 0.50773796, 0.59836071, 1.0],
        [0.19377738, 0.51163653, 0.59988874, 1.0],
        [0.19636843, 0.51553338, 0.60140886, 1.0],
        [0.19901859, 0.51942856, 0.60292121, 1.0],
        [0.20172736, 0.52332213, 0.60442591, 1.0],
        [0.20449428, 0.52721414, 0.60592309, 1.0],
        [0.20731892, 0.53110462, 0.60741283, 1.0],
        [0.2102009, 0.53499361, 0.60889524, 1.0],
        [0.21313989, 0.53888113, 0.6103704, 1.0],
        [0.21613558, 0.5427672, 0.61183834, 1.0],
        [0.21918777, 0.54665182, 0.61329914, 1.0],
        [0.22229631, 0.55053498, 0.61475288, 1.0],
        [0.22546108, 0.55441667, 0.61619963, 1.0],
        [0.22868205, 0.55829685, 0.61763942, 1.0],
        [0.23195924, 0.5621755, 0.61907231, 1.0],
        [0.23529267, 0.56605258, 0.62049821, 1.0],
        [0.23868256, 0.569928, 0.62191727, 1.0],
        [0.24212914, 0.5738017, 0.62332955, 1.0],
        [0.24563267, 0.57767357, 0.624735, 1.0],
        [0.24919352, 0.58154354, 0.62613362, 1.0],
        [0.25281216, 0.58541146, 0.62752556, 1.0],
        [0.25648909, 0.5892772, 0.62891076, 1.0],
        [0.26022491, 0.59314062, 0.63028927, 1.0],
        [0.26402031, 0.59700151, 0.63166124, 1.0],
        [0.26787604, 0.60085972, 0.63302651, 1.0],
        [0.27179297, 0.604715, 0.63438542, 1.0],
        [0.27577199, 0.60856714, 0.63573775, 1.0],
        [0.27981416, 0.61241587, 0.63708388, 1.0],
        [0.28392056, 0.61626091, 0.63842373, 1.0],
        [0.28809239, 0.62010194, 0.63975752, 1.0],
        [0.29233093, 0.62393864, 0.6410855, 1.0],
        [0.29663759, 0.62777064, 0.64240764, 1.0],
        [0.30101382, 0.63159754, 0.64372434, 1.0],
        [0.30546117, 0.63541892, 0.64503589, 1.0],
        [0.3099813, 0.63923432, 0.64634259, 1.0],
        [0.31457598, 0.64304323, 0.64764481, 1.0],
        [0.31924707, 0.64684514, 0.64894289, 1.0],
        [0.32399647, 0.65063947, 0.65023744, 1.0],
        [0.3288262, 0.65442561, 0.65152904, 1.0],
        [0.33373835, 0.65820289, 0.65281838, 1.0],
        [0.33873515, 0.66197064, 0.65410616, 1.0],
        [0.34381881, 0.66572811, 0.6553933, 1.0],
        [0.3489916, 0.66947452, 0.65668086, 1.0],
        [0.35425586, 0.67320902, 0.65797005, 1.0],
        [0.35961394, 0.67693076, 0.65926212, 1.0],
        [0.36506831, 0.68063881, 0.66055847, 1.0],
        [0.37062112, 0.68433222, 0.66186104, 1.0],
        [0.37627487, 0.68800998, 0.66317142, 1.0],
        [0.38203149, 0.69167107, 0.6644921, 1.0],
        [0.3878933, 0.69531443, 0.66582512, 1.0],
        [0.39386193, 0.698939, 0.66717343, 1.0],
        [0.39993898, 0.70254369, 0.66853995, 1.0],
        [0.40612583, 0.70612744, 0.66992783, 1.0],
        [0.4124233, 0.7096892, 0.67134073, 1.0],
        [0.41883173, 0.71322799, 0.67278257, 1.0],
        [0.42535095, 0.71674289, 0.67425759, 1.0],
        [0.43198011, 0.72023305, 0.6757703, 1.0],
        [0.43871767, 0.72369779, 0.67732549, 1.0],
        [0.44556123, 0.72713656, 0.67892818, 1.0],
        [0.45250758, 0.73054898, 0.68058357, 1.0],
        [0.45955261, 0.73393492, 0.68229694, 1.0],
        [0.4666913, 0.73729444, 0.68407356, 1.0],
        [0.47391772, 0.74062788, 0.68591867, 1.0],
        [0.48122519, 0.74393585, 0.68783723, 1.0],
        [0.4886063, 0.7472192, 0.68983393, 1.0],
        [0.49605306, 0.75047904, 0.69191302, 1.0],
        [0.50355706, 0.75371673, 0.69407825, 1.0],
        [0.51110961, 0.75693384, 0.69633279, 1.0],
        [0.51870199, 0.76013211, 0.69867915, 1.0],
        [0.52632555, 0.76331345, 0.70111918, 1.0],
        [0.53397196, 0.76647982, 0.70365405, 1.0],
        [0.54163332, 0.76963326, 0.70628425, 1.0],
        [0.54930234, 0.77277581, 0.70900965, 1.0],
        [0.55697237, 0.77590947, 0.71182953, 1.0],
        [0.56463671, 0.77903637, 0.71474289, 1.0],
        [0.57229081, 0.78215824, 0.7177479, 1.0],
        [0.57992912, 0.7852771, 0.72084282, 1.0],
        [0.58754828, 0.78839452, 0.72402527, 1.0],
        [0.59514475, 0.79151213, 0.72729283, 1.0],
        [0.60271552, 0.79463151, 0.73064297, 1.0],
        [0.61025836, 0.79775402, 0.73407296, 1.0],
        [0.6177716, 0.80088094, 0.73758006, 1.0],
        [0.62525367, 0.80401348, 0.74116153, 1.0],
        [0.63270387, 0.80715267, 0.7448146, 1.0],
        [0.64012176, 0.81029943, 0.74853655, 1.0],
        [0.64750659, 0.81345476, 0.7523248, 1.0],
        [0.6548584, 0.81661944, 0.75617675, 1.0],
        [0.66217728, 0.81979422, 0.76008994, 1.0],
        [0.66946389, 0.82297967, 0.76406197, 1.0],
        [0.67671761, 0.82617671, 0.76809057, 1.0],
        [0.6839398, 0.82938567, 0.77217354, 1.0],
        [0.69113094, 0.8326071, 0.77630879, 1.0],
        [0.69829165, 0.83584151, 0.78049432, 1.0],
        [0.70542264, 0.83908936, 0.78472824, 1.0],
        [0.7125247, 0.84235106, 0.78900873, 1.0],
        [0.7195987, 0.84562698, 0.79333408, 1.0],
        [0.72664555, 0.84891744, 0.79770266, 1.0],
        [0.73366565, 0.85222293, 0.80211288, 1.0],
        [0.74066008, 0.85554371, 0.80656326, 1.0],
        [0.74763018, 0.8588799, 0.81105246, 1.0],
        [0.75457589, 0.86223209, 0.81557902, 1.0],
        [0.76149887, 0.86560029, 0.82014175, 1.0],
        [0.7683993, 0.86898498, 0.82473936, 1.0],
        [0.77527874, 0.87238615, 0.82937078, 1.0],
        [0.78213686, 0.87580444, 0.83403472, 1.0],
        [0.78897545, 0.87923974, 0.83873025, 1.0],
        [0.79579511, 0.88269234, 0.84345633, 1.0],
        [0.80259581, 0.88616273, 0.84821182, 1.0],
        [0.80937888, 0.88965094, 0.85299585, 1.0],
        [0.81614498, 0.89315719, 0.85780751, 1.0],
        [0.8228947, 0.89668175, 0.86264586, 1.0],
        [0.82962861, 0.90022485, 0.86751, 1.0],
        [0.83634729, 0.90378676, 0.87239906, 1.0],
        [0.84305129, 0.90736771, 0.87731217, 1.0],
        [0.84974113, 0.91096796, 0.88224848, 1.0],
        [0.85641734, 0.91458776, 0.88720714, 1.0],
        [0.86308039, 0.91822735, 0.89218732, 1.0],
        [0.86973073, 0.92188701, 0.89718817, 1.0],
        [0.87636879, 0.92556701, 0.90220883, 1.0],
        [0.88299495, 0.92926763, 0.90724844, 1.0],
        [0.88960897, 0.9329894, 0.91230596, 1.0],
        [0.89621156, 0.93673248, 0.91738058, 1.0],
        [0.90280302, 0.94049718, 0.92247137, 1.0],
        [0.90938335, 0.94428393, 0.92757732, 1.0],
        [0.91595203, 0.94809341, 0.93269721, 1.0],
        [0.92250973, 0.95192575, 0.93783015, 1.0],
        [0.92905588, 0.95578166, 0.94297488, 1.0],
        [0.93558995, 0.95966178, 0.94813012, 1.0],
        [0.94211204, 0.96356654, 0.95329477, 1.0],
        [0.94862035, 0.96749711, 0.95846718, 1.0],
        [0.95511504, 0.9714539, 0.96364632, 1.0],
        [0.96159359, 0.97543838, 0.9688305, 1.0],
        [0.96805534, 0.97945125, 0.97401875, 1.0],
        [0.97449688, 0.98349435, 0.97920966, 1.0],
        [0.9809163, 0.98756881, 0.98440279, 1.0],
        [0.98730941, 0.99167667, 0.98959791, 1.0],
        [0.99367218, 0.99581976, 0.99479608, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.rainforest': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000353476194, 0.000182128532, 0.000285292393, 1.0],
        [0.00128648133, 0.000604952487, 0.001028415, 1.0],
        [0.00278017166, 0.00120244959, 0.00221135028, 1.0],
        [0.00484079934, 0.00193869612, 0.0038456055, 1.0],
        [0.00747951036, 0.00278742, 0.00595280407, 1.0],
        [0.010709447, 0.00372704018, 0.00856159, 1.0],
        [0.0145426691, 0.00473958882, 0.0117051323, 1.0],
        [0.0189926028, 0.00580831889, 0.0154230567, 1.0],
        [0.0240709391, 0.00691841293, 0.0197593286, 1.0],
        [0.0297895546, 0.00805560408, 0.0247642589, 1.0],
        [0.0361579283, 0.00920708406, 0.0304925529, 1.0],
        [0.0430901453, 0.0103591405, 0.0370083865, 1.0],
        [0.0500276406, 0.0115003649, 0.0442085031, 1.0],
        [0.0569088885, 0.0126187517, 0.0515557985, 1.0],
        [0.0637372189, 0.0137026074, 0.0590359398, 1.0],
        [0.0705146531, 0.0147405403, 0.0666638341, 1.0],
        [0.0772420892, 0.0157214724, 0.074453538, 1.0],
        [0.0839194424, 0.0166346663, 0.0824183084, 1.0],
        [0.0905457534, 0.0174697689, 0.0905706046, 1.0],
        [0.0971192764, 0.0182168672, 0.0989220532, 1.0],
        [0.103637553, 0.018866558, 0.107483385, 1.0],
        [0.110097962, 0.0194093546, 0.116265536, 1.0],
        [0.116497299, 0.0198361963, 0.125278722, 1.0],
        [0.122830667, 0.0201404192, 0.13452913, 1.0],
        [0.129094391, 0.0203134986, 0.144026364, 1.0],
        [0.135282731, 0.0203504127, 0.153774345, 1.0],
        [0.141390108, 0.0202463701, 0.163777072, 1.0],
        [0.147410864, 0.0199971405, 0.174038136, 1.0],
        [0.153338507, 0.0196008892, 0.184557944, 1.0],
        [0.159166081, 0.019057931, 0.195334444, 1.0],
        [0.164886466, 0.0183702645, 0.206364167, 1.0],
        [0.170492181, 0.0175423736, 0.217641329, 1.0],
        [0.175975498, 0.016581196, 0.229158286, 1.0],
        [0.181328338, 0.015496791, 0.240904992, 1.0],
        [0.186542119, 0.0143035017, 0.252867824, 1.0],
        [0.191608074, 0.0130190896, 0.265031454, 1.0],
        [0.19651733, 0.0116640974, 0.277380326, 1.0],
        [0.201260183, 0.0102664317, 0.289892706, 1.0],
        [0.205826901, 0.00885675152, 0.302547974, 1.0],
        [0.210207067, 0.00747321542, 0.315320539, 1.0],
        [0.214389971, 0.00615792912, 0.328185512, 1.0],
        [0.218364203, 0.00496177901, 0.341112577, 1.0],
        [0.222117899, 0.00394128125, 0.354071, 1.0],
        [0.225638565, 0.00315967025, 0.367028637, 1.0],
        [0.228913107, 0.0026892146, 0.37994912, 1.0],
        [0.231927841, 0.00260910946, 0.392795088, 1.0],
        [0.234668506, 0.00300632621, 0.405527106, 1.0],
        [0.237120326, 0.00397542838, 0.418103792, 1.0],
        [0.239268104, 0.00561814483, 0.430481999, 1.0],
        [0.241096359, 0.00804265142, 0.442617064, 1.0],
        [0.242589506, 0.0113625146, 0.454463142, 1.0],
        [0.243732082, 0.0156952585, 0.465973637, 1.0],
        [0.244509031, 0.0211605299, 0.477101734, 1.0],
        [0.244906024, 0.0278778601, 0.48780105, 1.0],
        [0.244909751, 0.0359640332, 0.498026544, 1.0],
        [0.244508511, 0.0452731733, 0.507734905, 1.0],
        [0.243692554, 0.0548546354, 0.516885797, 1.0],
        [0.24245442, 0.0645968866, 0.525442917, 1.0],
        [0.240789345, 0.0744664269, 0.533374864, 1.0],
        [0.238695762, 0.0844303364, 0.540655881, 1.0],
        [0.236175394, 0.0944560034, 0.547266839, 1.0],
        [0.233233443, 0.104511158, 0.553195767, 1.0],
        [0.229878817, 0.114564021, 0.558438166, 1.0],
        [0.226123592, 0.124584033, 0.562997277, 1.0],
        [0.221983123, 0.134542105, 0.566883744, 1.0],
        [0.217475637, 0.144411136, 0.570115227, 1.0],
        [0.212622022, 0.154166302, 0.572715757, 1.0],
        [0.207444756, 0.16378577, 0.574714842, 1.0],
        [0.201967619, 0.173250746, 0.576146416, 1.0],
        [0.196215325, 0.182545494, 0.577047823, 1.0],
        [0.190212875, 0.191657426, 0.577458734, 1.0],
        [0.183985075, 0.200577021, 0.577420124, 1.0],
        [0.177556785, 0.209297339, 0.576973623, 1.0],
        [0.170951381, 0.2178144, 0.576160245, 1.0],
        [0.164190677, 0.226126769, 0.575019705, 1.0],
        [0.1572956, 0.234234864, 0.573590292, 1.0],
        [0.150287878, 0.242140044, 0.571909442, 1.0],
        [0.143183053, 0.24984699, 0.570009948, 1.0],
        [0.136001211, 0.257359378, 0.567925271, 1.0],
        [0.128755069, 0.264683954, 0.565683245, 1.0],
        [0.121460891, 0.271826562, 0.56331179, 1.0],
        [0.114131497, 0.278794343, 0.560835186, 1.0],
        [0.106778114, 0.285594918, 0.55827508, 1.0],
        [0.0994120817, 0.292235833, 0.555651453, 1.0],
        [0.0920438514, 0.298724787, 0.552982131, 1.0],
        [0.084683132, 0.305069537, 0.550282909, 1.0],
        [0.0773390591, 0.311277811, 0.5475677, 1.0],
        [0.0700203915, 0.317357249, 0.544848666, 1.0],
        [0.0627357496, 0.323315349, 0.542136366, 1.0],
        [0.0554939147, 0.329159427, 0.539439887, 1.0],
        [0.0483042241, 0.334896594, 0.536766974, 1.0],
        [0.0411771146, 0.340533729, 0.534124149, 1.0],
        [0.0343130064, 0.346077433, 0.531516962, 1.0],
        [0.02823151, 0.351533798, 0.528950896, 1.0],
        [0.022911381, 0.356909308, 0.526428283, 1.0],
        [0.0183169164, 0.362209808, 0.523951917, 1.0],
        [0.0144136143, 0.367440623, 0.521524933, 1.0],
        [0.0111600939, 0.372607549, 0.519146969, 1.0],
        [0.00852042533, 0.377715424, 0.516819853, 1.0],
        [0.00645349447, 0.382769424, 0.514542467, 1.0],
        [0.00492165063, 0.387774064, 0.512314948, 1.0],
        [0.00388400837, 0.392734028, 0.510135184, 1.0],
        [0.0033034305, 0.397653366, 0.508002445, 1.0],
        [0.00313921748, 0.402536394, 0.505913292, 1.0],
        [0.00335533946, 0.407386749, 0.503866072, 1.0],
        [0.00391350248, 0.412208237, 0.501856881, 1.0],
        [0.00477762678, 0.417004337, 0.499881992, 1.0],
        [0.00591468686, 0.421778136, 0.497938282, 1.0],
        [0.00729035189, 0.426532866, 0.496020463, 1.0],
        [0.00887382075, 0.431271373, 0.494123841, 1.0],
        [0.0106372833, 0.435996221, 0.492243862, 1.0],
        [0.0125538605, 0.440709946, 0.490374688, 1.0],
        [0.0145999838, 0.445414826, 0.488510504, 1.0],
        [0.0167553831, 0.450112913, 0.48664535, 1.0],
        [0.019003724, 0.454805995, 0.484773356, 1.0],
        [0.0213311377, 0.459495783, 0.482887707, 1.0],
        [0.0237282403, 0.464183719, 0.480981732, 1.0],
        [0.0261899073, 0.468871033, 0.479048639, 1.0],
        [0.0287155064, 0.473558744, 0.477081538, 1.0],
        [0.0313091732, 0.478247653, 0.475073504, 1.0],
        [0.0339793902, 0.482938403, 0.47301725, 1.0],
        [0.0367399915, 0.487631406, 0.470905652, 1.0],
        [0.0396099701, 0.492326871, 0.468731581, 1.0],
        [0.0425449492, 0.497024815, 0.466487941, 1.0],
        [0.0455024227, 0.501725064, 0.464167708, 1.0],
        [0.0485169552, 0.506427268, 0.461763882, 1.0],
        [0.0516145175, 0.511130897, 0.459269609, 1.0],
        [0.0548210513, 0.515835251, 0.45667819, 1.0],
        [0.0581619962, 0.520539465, 0.453983087, 1.0],
        [0.0616618458, 0.525242527, 0.451177941, 1.0],
        [0.0653435732, 0.529943301, 0.44825642, 1.0],
        [0.0692286469, 0.534640487, 0.445212626, 1.0],
        [0.0733364019, 0.539332668, 0.442040819, 1.0],
        [0.0776838422, 0.544018315, 0.43873546, 1.0],
        [0.0822855069, 0.548695792, 0.435291227, 1.0],
        [0.0871532395, 0.553363405, 0.431702653, 1.0],
        [0.0922966911, 0.558019313, 0.427964983, 1.0],
        [0.097723048, 0.5626616, 0.424073623, 1.0],
        [0.103437204, 0.567288286, 0.420024078, 1.0],
        [0.10944196, 0.57189736, 0.415811549, 1.0],
        [0.115738499, 0.576486708, 0.411431828, 1.0],
        [0.122326484, 0.581054122, 0.406881275, 1.0],
        [0.129204237, 0.585597382, 0.402155887, 1.0],
        [0.136369222, 0.590114273, 0.397250689, 1.0],
        [0.143817968, 0.594602378, 0.392163134, 1.0],
        [0.151546519, 0.599059329, 0.386889173, 1.0],
        [0.159550828, 0.603482732, 0.381423983, 1.0],
        [0.167825965, 0.607870015, 0.375765482, 1.0],
        [0.176367917, 0.612218696, 0.369907926, 1.0],
        [0.185171639, 0.616526104, 0.363849032, 1.0],
        [0.194233235, 0.620789592, 0.357583433, 1.0],
        [0.203548047, 0.625006386, 0.351108159, 1.0],
        [0.213112912, 0.629173674, 0.344417163, 1.0],
        [0.222923193, 0.633288534, 0.337508077, 1.0],
        [0.232977119, 0.63734796, 0.330372994, 1.0],
        [0.243270754, 0.64134885, 0.323008812, 1.0],
        [0.253801494, 0.645288007, 0.315410003, 1.0],
        [0.26456806, 0.649162069, 0.307568925, 1.0],
        [0.27556862, 0.652967571, 0.299479136, 1.0],
        [0.286801308, 0.656700935, 0.291134224, 1.0],
        [0.298265145, 0.660358414, 0.282526113, 1.0],
        [0.309959408, 0.663936098, 0.273646054, 1.0],
        [0.321883538, 0.667429922, 0.264484575, 1.0],
        [0.334037042, 0.670835661, 0.255031445, 1.0],
        [0.346419362, 0.67414894, 0.245275629, 1.0],
        [0.359030675, 0.677365138, 0.235203747, 1.0],
        [0.371870886, 0.680479474, 0.224801348, 1.0],
        [0.384936985, 0.683487393, 0.214056654, 1.0],
        [0.39822972, 0.686383673, 0.202949604, 1.0],
        [0.411743899, 0.689163805, 0.191466604, 1.0],
        [0.425478944, 0.691822457, 0.179583211, 1.0],
        [0.439426522, 0.694355468, 0.167283065, 1.0],
        [0.453579155, 0.696758578, 0.154543455, 1.0],
        [0.467926061, 0.699028208, 0.141341125, 1.0],
        [0.482452378, 0.701161782, 0.127652859, 1.0],
        [0.497138395, 0.703158103, 0.113456355, 1.0],
        [0.511958893, 0.705017767, 0.0987316962, 1.0],
        [0.526884735, 0.706743083, 0.0834601182, 1.0],
        [0.541876732, 0.708339871, 0.0676412891, 1.0],
        [0.556892465, 0.709816241, 0.0512958703, 1.0],
        [0.571881773, 0.711184068, 0.0346760376, 1.0],
        [0.586792395, 0.712457856, 0.0209649897, 1.0],
        [0.601568114, 0.713655461, 0.0114450064, 1.0],
        [0.616154664, 0.714796522, 0.00628441703, 1.0],
        [0.630500789, 0.715902031, 0.00561289743, 1.0],
        [0.644561719, 0.716993005, 0.00951989452, 1.0],
        [0.658301168, 0.718089413, 0.0180592372, 1.0],
        [0.671690082, 0.719210135, 0.0312558271, 1.0],
        [0.684711592, 0.720370675, 0.0484904356, 1.0],
        [0.697354375, 0.721585017, 0.06611147, 1.0],
        [0.709615979, 0.722863985, 0.0834727592, 1.0],
        [0.721499953, 0.724215908, 0.100549931, 1.0],
        [0.733013719, 0.725647192, 0.117351596, 1.0],
        [0.74416804, 0.727162345, 0.133899292, 1.0],
        [0.75497589, 0.728764307, 0.150219198, 1.0],
        [0.765450703, 0.730455151, 0.166336935, 1.0],
        [0.775606655, 0.732235933, 0.182277611, 1.0],
        [0.785459269, 0.734106368, 0.198067713, 1.0],
        [0.795020595, 0.736067163, 0.213725321, 1.0],
        [0.804305241, 0.738117145, 0.229273568, 1.0],
        [0.813325398, 0.740255707, 0.244730254, 1.0],
        [0.822091822, 0.74248244, 0.260109798, 1.0],
        [0.830615388, 0.744796344, 0.275427632, 1.0],
        [0.838905818, 0.747196533, 0.29069728, 1.0],
        [0.846971671, 0.749682302, 0.30593027, 1.0],
        [0.854820622, 0.752253017, 0.321136975, 1.0],
        [0.862459468, 0.754908158, 0.33632669, 1.0],
        [0.869893957, 0.757647466, 0.351506872, 1.0],
        [0.877129232, 0.760470699, 0.366684847, 1.0],
        [0.88416978, 0.763377677, 0.381867823, 1.0],
        [0.891019134, 0.766368511, 0.397061523, 1.0],
        [0.897679908, 0.769443648, 0.412269816, 1.0],
        [0.904154205, 0.772603581, 0.427496852, 1.0],
        [0.910443576, 0.775848858, 0.442747359, 1.0],
        [0.916548532, 0.779180573, 0.45802267, 1.0],
        [0.922469234, 0.78259973, 0.473325989, 1.0],
        [0.92820506, 0.786107675, 0.488658912, 1.0],
        [0.933754723, 0.78970603, 0.50402183, 1.0],
        [0.939116393, 0.793396495, 0.519416077, 1.0],
        [0.944287525, 0.797181184, 0.534840323, 1.0],
        [0.949265018, 0.801062274, 0.550294619, 1.0],
        [0.954045137, 0.805042327, 0.565776363, 1.0],
        [0.958623545, 0.809124035, 0.581283689, 1.0],
        [0.962995355, 0.813310402, 0.596812675, 1.0],
        [0.967155101, 0.817604622, 0.612359124, 1.0],
        [0.971096821, 0.822010126, 0.627917381, 1.0],
        [0.974814101, 0.826530545, 0.643480555, 1.0],
        [0.978300108, 0.83116968, 0.659040618, 1.0],
        [0.981547785, 0.835931479, 0.674587533, 1.0],
        [0.98454982, 0.840819971, 0.690110152, 1.0],
        [0.987299046, 0.845839201, 0.705594692, 1.0],
        [0.989788351, 0.850993161, 0.721026119, 1.0],
        [0.99201133, 0.856285638, 0.73638624, 1.0],
        [0.993962157, 0.861720139, 0.751655428, 1.0],
        [0.995636502, 0.867299648, 0.766810613, 1.0],
        [0.99703146, 0.873026523, 0.781827039, 1.0],
        [0.998146534, 0.878902191, 0.796676907, 1.0],
        [0.998983982, 0.884926952, 0.811330289, 1.0],
        [0.999549279, 0.891099767, 0.825755689, 1.0],
        [0.999852301, 0.897417862, 0.839919357, 1.0],
        [0.999906813, 0.903876775, 0.853788057, 1.0],
        [0.999732621, 0.910469718, 0.86732686, 1.0],
        [0.999353324, 0.917188176, 0.880504379, 1.0],
        [0.998800923, 0.92402056, 0.893287138, 1.0],
        [0.998109732, 0.93095404, 0.905649266, 1.0],
        [0.997323589, 0.937972434, 0.917563643, 1.0],
        [0.996492897, 0.945057135, 0.929007032, 1.0],
        [0.995676036, 0.952186765, 0.939959052, 1.0],
        [0.994948959, 0.95933417, 0.950394419, 1.0],
        [0.994422261, 0.966460907, 0.960272181, 1.0],
        [0.994324199, 0.973490281, 0.969478452, 1.0],
        [0.996026094, 0.979967385, 0.977162988, 1.0],
        [0.997755513, 0.98647064, 0.98470323, 1.0],
        [0.999047345, 0.993159479, 0.992341391, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.redshift': [
        [0.57869284, 0.947004534, 0.953835089, 1.0],
        [0.567904138, 0.937906186, 0.950550251, 1.0],
        [0.557094001, 0.9288647, 0.947323254, 1.0],
        [0.546260408, 0.919878293, 0.944156633, 1.0],
        [0.535401418, 0.910945148, 0.941052774, 1.0],
        [0.524515168, 0.902063412, 0.938013919, 1.0],
        [0.513599714, 0.893231185, 0.935042546, 1.0],
        [0.502653292, 0.884446544, 0.932140656, 1.0],
        [0.491674325, 0.875707544, 0.929309753, 1.0],
        [0.480660799, 0.867012158, 0.926552467, 1.0],
        [0.469611394, 0.858358385, 0.923869585, 1.0],
        [0.458524236, 0.84974413, 0.921263293, 1.0],
        [0.447397837, 0.84116729, 0.918734745, 1.0],
        [0.436230702, 0.832625718, 0.916285085, 1.0],
        [0.425021288, 0.824117213, 0.913915551, 1.0],
        [0.413768119, 0.815639529, 0.911627211, 1.0],
        [0.402469802, 0.80719037, 0.90942095, 1.0],
        [0.391125045, 0.798767391, 0.907297464, 1.0],
        [0.379732689, 0.790368192, 0.905257244, 1.0],
        [0.368291742, 0.781990315, 0.903300558, 1.0],
        [0.356801422, 0.773631242, 0.901427436, 1.0],
        [0.345260887, 0.765288338, 0.899638516, 1.0],
        [0.333670169, 0.756958978, 0.897932792, 1.0],
        [0.322029122, 0.748640355, 0.896310603, 1.0],
        [0.310338662, 0.740329674, 0.894770632, 1.0],
        [0.298600109, 0.732023987, 0.893312085, 1.0],
        [0.28681572, 0.723720253, 0.891933779, 1.0],
        [0.274988962, 0.715415329, 0.890634084, 1.0],
        [0.263124858, 0.70710597, 0.889410864, 1.0],
        [0.25123043, 0.698788826, 0.888261402, 1.0],
        [0.239315083, 0.690460341, 0.887183219, 1.0],
        [0.227391881, 0.682116958, 0.886171983, 1.0],
        [0.215477996, 0.673754829, 0.885224061, 1.0],
        [0.203596591, 0.665370084, 0.884333945, 1.0],
        [0.191778351, 0.65695868, 0.88349548, 1.0],
        [0.180064006, 0.648516336, 0.882702059, 1.0],
        [0.168507468, 0.640038815, 0.881944496, 1.0],
        [0.157180072, 0.631521552, 0.88121346, 1.0],
        [0.146175578, 0.622960017, 0.880496851, 1.0],
        [0.135616639, 0.614349529, 0.879780903, 1.0],
        [0.125661794, 0.605685341, 0.879049446, 1.0],
        [0.116511563, 0.596962778, 0.878283072, 1.0],
        [0.108411955, 0.588177194, 0.877459198, 1.0],
        [0.101649143, 0.579324204, 0.876550875, 1.0],
        [0.0965299433, 0.5703999, 0.875525883, 1.0],
        [0.0933458797, 0.561400868, 0.874346664, 1.0],
        [0.092319379, 0.552324723, 0.872968423, 1.0],
        [0.0935518714, 0.543170516, 0.871338162, 1.0],
        [0.0969974085, 0.533939078, 0.869394153, 1.0],
        [0.102468098, 0.524634109, 0.867063874, 1.0],
        [0.109675761, 0.515262814, 0.864264188, 1.0],
        [0.118280497, 0.505836943, 0.860901548, 1.0],
        [0.12792818, 0.496373991, 0.856873612, 1.0],
        [0.138274606, 0.486897881, 0.852073885, 1.0],
        [0.148994245, 0.477439269, 0.84639902, 1.0],
        [0.159783445, 0.468034774, 0.839759425, 1.0],
        [0.170365215, 0.458724648, 0.832091774, 1.0],
        [0.180496667, 0.449549147, 0.823370253, 1.0],
        [0.189978991, 0.440544209, 0.813612915, 1.0],
        [0.198666394, 0.431737576, 0.802880303, 1.0],
        [0.206468728, 0.423146613, 0.791266744, 1.0],
        [0.213347437, 0.414778131, 0.77888727, 1.0],
        [0.219305491, 0.406629916, 0.765864489, 1.0],
        [0.22437598, 0.398693013, 0.752317815, 1.0],
        [0.228610197, 0.390954195, 0.738357023, 1.0],
        [0.232068926, 0.383397966, 0.724078812, 1.0],
        [0.234816084, 0.376008051, 0.709565901, 1.0],
        [0.236914105, 0.368768412, 0.694888104, 1.0],
        [0.238422282, 0.361663789, 0.680103136, 1.0],
        [0.239395009, 0.354680041, 0.665258749, 1.0],
        [0.239881773, 0.347804242, 0.650393943, 1.0],
        [0.239926779, 0.341024699, 0.635540879, 1.0],
        [0.239569444, 0.334330882, 0.620725937, 1.0],
        [0.238845424, 0.327713344, 0.605969844, 1.0],
        [0.237785799, 0.321163615, 0.591290231, 1.0],
        [0.236418594, 0.314674104, 0.576700831, 1.0],
        [0.234768626, 0.308237993, 0.562212823, 1.0],
        [0.232857559, 0.301849126, 0.547835919, 1.0],
        [0.230705538, 0.295501982, 0.533576454, 1.0],
        [0.228329868, 0.289191531, 0.519440505, 1.0],
        [0.225746215, 0.282913203, 0.505432497, 1.0],
        [0.222968752, 0.276662836, 0.491555475, 1.0],
        [0.220010239, 0.270436621, 0.477811461, 1.0],
        [0.216881625, 0.264230995, 0.464202867, 1.0],
        [0.213593418, 0.258042718, 0.450729909, 1.0],
        [0.210154732, 0.251868737, 0.437393064, 1.0],
        [0.206573793, 0.245706187, 0.424192274, 1.0],
        [0.202858067, 0.239552372, 0.411126922, 1.0],
        [0.199014302, 0.233404731, 0.398195962, 1.0],
        [0.195048234, 0.227260766, 0.385398932, 1.0],
        [0.190965676, 0.221118165, 0.372733244, 1.0],
        [0.18677107, 0.214974566, 0.360198266, 1.0],
        [0.182468982, 0.208827751, 0.347791363, 1.0],
        [0.178063194, 0.202675486, 0.335510539, 1.0],
        [0.173557047, 0.196515552, 0.323353592, 1.0],
        [0.168953481, 0.190345728, 0.31131809, 1.0],
        [0.164255048, 0.184163774, 0.29940139, 1.0],
        [0.159463922, 0.177967413, 0.287600662, 1.0],
        [0.154581876, 0.171754305, 0.275912999, 1.0],
        [0.149610173, 0.165522006, 0.264335837, 1.0],
        [0.14455007, 0.159268044, 0.252865249, 1.0],
        [0.139402031, 0.15298974, 0.241498612, 1.0],
        [0.134166545, 0.146684356, 0.230231753, 1.0],
        [0.128843336, 0.140348896, 0.219061687, 1.0],
        [0.123432032, 0.133980228, 0.207984146, 1.0],
        [0.117931726, 0.127574952, 0.196995048, 1.0],
        [0.112341037, 0.121129384, 0.186090147, 1.0],
        [0.106658103, 0.114639504, 0.175264889, 1.0],
        [0.10088052, 0.108100903, 0.164514367, 1.0],
        [0.0950052857, 0.101508706, 0.153833276, 1.0],
        [0.0890287064, 0.0948574837, 0.143215838, 1.0],
        [0.0829462963, 0.0881411436, 0.132655723, 1.0],
        [0.0767526386, 0.0813527897, 0.122145928, 1.0],
        [0.0704412107, 0.0744845475, 0.111678639, 1.0],
        [0.0640041036, 0.0675273224, 0.101245258, 1.0],
        [0.0574318124, 0.0604705226, 0.0908357274, 1.0],
        [0.0507128356, 0.0533016572, 0.0804381104, 1.0],
        [0.0438328995, 0.0460057289, 0.0700390473, 1.0],
        [0.0368119799, 0.0385588031, 0.059621576, 1.0],
        [0.0302065532, 0.0314566306, 0.0491655596, 1.0],
        [0.0241766866, 0.0250311454, 0.0386382927, 1.0],
        [0.0187405026, 0.0192894533, 0.028944843, 1.0],
        [0.013918747, 0.0142414639, 0.0207420804, 1.0],
        [0.00973575395, 0.00990087988, 0.0139694399, 1.0],
        [0.00622148215, 0.00628697637, 0.00857157164, 1.0],
        [0.00341513042, 0.0034279018, 0.0045003744, 1.0],
        [0.00137301685, 0.00136800262, 0.00172055651, 1.0],
        [0.000192918273, 0.000190603023, 0.000227925431, 1.0],
        [0.000250405921, 0.000175018632, 0.000161710024, 1.0],
        [0.00189567776, 0.0012269963, 0.00111291812, 1.0],
        [0.00496160635, 0.00301221751, 0.00268991955, 1.0],
        [0.00944225669, 0.00542394949, 0.00477876441, 1.0],
        [0.0153606337, 0.00839784466, 0.00731068274, 1.0],
        [0.0227501768, 0.0118876142, 0.0102367606, 1.0],
        [0.0316496202, 0.0158569485, 0.0135193608, 1.0],
        [0.0420542897, 0.0202758026, 0.0171281286, 1.0],
        [0.0527839353, 0.0251183799, 0.0210378075, 1.0],
        [0.0633970688, 0.030361918, 0.0252269163, 1.0],
        [0.073918997, 0.0359859018, 0.0296768911, 1.0],
        [0.0843694929, 0.0419298541, 0.0343714996, 1.0],
        [0.0947643935, 0.0477722699, 0.0392964257, 1.0],
        [0.105116646, 0.0534530985, 0.0442646752, 1.0],
        [0.115437094, 0.0589848377, 0.0490784317, 1.0],
        [0.12573513, 0.0643777979, 0.0537596057, 1.0],
        [0.136018216, 0.0696410291, 0.0583191994, 1.0],
        [0.14629329, 0.0747819523, 0.0627664774, 1.0],
        [0.156566443, 0.0798069012, 0.0671096359, 1.0],
        [0.16684265, 0.0847215852, 0.0713563472, 1.0],
        [0.177126932, 0.0895305615, 0.0755130609, 1.0],
        [0.187423286, 0.0942380986, 0.0795860741, 1.0],
        [0.197735422, 0.0988478473, 0.083581097, 1.0],
        [0.208067292, 0.103362578, 0.0875029495, 1.0],
        [0.218421683, 0.10778524, 0.0913568183, 1.0],
        [0.228801578, 0.112118112, 0.0951472407, 1.0],
        [0.239209734, 0.116363147, 0.0988785222, 1.0],
        [0.249648704, 0.120522014, 0.10255479, 1.0],
        [0.260120851, 0.124596132, 0.106180032, 1.0],
        [0.27062837, 0.128586694, 0.109758139, 1.0],
        [0.281173297, 0.132494696, 0.113292933, 1.0],
        [0.291757557, 0.136320927, 0.116788172, 1.0],
        [0.302383423, 0.14006562, 0.120247227, 1.0],
        [0.31305208, 0.143729626, 0.123674247, 1.0],
        [0.323765661, 0.147312795, 0.12707259, 1.0],
        [0.334525317, 0.150815557, 0.130446364, 1.0],
        [0.345333133, 0.154237347, 0.133798973, 1.0],
        [0.356190197, 0.157578234, 0.137134635, 1.0],
        [0.367097926, 0.160837816, 0.140457395, 1.0],
        [0.378057669, 0.164015553, 0.143771459, 1.0],
        [0.38907065, 0.167110832, 0.147081276, 1.0],
        [0.400138057, 0.170122884, 0.150391502, 1.0],
        [0.411261318, 0.173050524, 0.153706852, 1.0],
        [0.42244089, 0.1758933, 0.157032997, 1.0],
        [0.433678349, 0.178649505, 0.16037514, 1.0],
        [0.444974232, 0.181318239, 0.163739582, 1.0],
        [0.456329331, 0.183898166, 0.167132886, 1.0],
        [0.467744278, 0.186387911, 0.170562231, 1.0],
        [0.47921986, 0.188785724, 0.174035309, 1.0],
        [0.490756134, 0.191090398, 0.177560971, 1.0],
        [0.502353573, 0.193300057, 0.181148646, 1.0],
        [0.514011846, 0.195413453, 0.184809217, 1.0],
        [0.525730581, 0.197429142, 0.188554739, 1.0],
        [0.537509421, 0.199345375, 0.192398666, 1.0],
        [0.54934669, 0.20116163, 0.196356788, 1.0],
        [0.56124061, 0.20287722, 0.200446937, 1.0],
        [0.573188571, 0.20449212, 0.204689789, 1.0],
        [0.585186703, 0.206007502, 0.209109565, 1.0],
        [0.597229738, 0.20742593, 0.213734761, 1.0],
        [0.609310296, 0.208752305, 0.218599267, 1.0],
        [0.62141803, 0.209995061, 0.223743711, 1.0],
        [0.633539095, 0.211166979, 0.22921708, 1.0],
        [0.645653345, 0.21228923, 0.235078919, 1.0],
        [0.657732983, 0.213393659, 0.241401524, 1.0],
        [0.669737953, 0.214530055, 0.248271845, 1.0],
        [0.681612637, 0.215772046, 0.255792179, 1.0],
        [0.693278886, 0.217229438, 0.264075428, 1.0],
        [0.7046337, 0.219054575, 0.273231715, 1.0],
        [0.715552162, 0.221441535, 0.283338751, 1.0],
        [0.725906987, 0.224598156, 0.294401565, 1.0],
        [0.735602598, 0.228690528, 0.306323794, 1.0],
        [0.744605521, 0.233787117, 0.318922961, 1.0],
        [0.752946908, 0.239846102, 0.331986705, 1.0],
        [0.760698529, 0.246750603, 0.345327544, 1.0],
        [0.76794452, 0.254356673, 0.35880656, 1.0],
        [0.774763357, 0.262526473, 0.372332346, 1.0],
        [0.781221287, 0.271142442, 0.385847823, 1.0],
        [0.787371724, 0.280109885, 0.399318896, 1.0],
        [0.793257067, 0.289354569, 0.412725807, 1.0],
        [0.798911043, 0.298818882, 0.426057354, 1.0],
        [0.80436035, 0.308458564, 0.439308253, 1.0],
        [0.809626959, 0.318239045, 0.45247549, 1.0],
        [0.814728746, 0.328133626, 0.46555838, 1.0],
        [0.819680611, 0.338121484, 0.478557318, 1.0],
        [0.824495534, 0.348185978, 0.491472731, 1.0],
        [0.829184177, 0.358314417, 0.504306306, 1.0],
        [0.833756388, 0.368496303, 0.517058998, 1.0],
        [0.838220319, 0.378723748, 0.529732744, 1.0],
        [0.842583873, 0.38898999, 0.5423286, 1.0],
        [0.846853989, 0.399289794, 0.554848014, 1.0],
        [0.85103681, 0.40961914, 0.567292684, 1.0],
        [0.8551384, 0.41997453, 0.579663796, 1.0],
        [0.85916418, 0.430353342, 0.591962831, 1.0],
        [0.863119528, 0.440753286, 0.604190941, 1.0],
        [0.867009434, 0.451172614, 0.616349424, 1.0],
        [0.870838557, 0.461610018, 0.628439682, 1.0],
        [0.874611646, 0.472064291, 0.640462844, 1.0],
        [0.878333157, 0.482534573, 0.6524202, 1.0],
        [0.88200763, 0.493020065, 0.664312867, 1.0],
        [0.88563917, 0.503520364, 0.676142293, 1.0],
        [0.889232095, 0.514035, 0.687909685, 1.0],
        [0.892790602, 0.524563661, 0.699616342, 1.0],
        [0.896318786, 0.535106162, 0.711263644, 1.0],
        [0.899820856, 0.545662301, 0.722852902, 1.0],
        [0.903301088, 0.556231883, 0.734385416, 1.0],
        [0.906763092, 0.566815172, 0.745863021, 1.0],
        [0.910211624, 0.577411766, 0.757286781, 1.0],
        [0.913650254, 0.58802202, 0.768658672, 1.0],
        [0.917083153, 0.598645956, 0.779980318, 1.0],
        [0.920514633, 0.609283546, 0.791253353, 1.0],
        [0.923948784, 0.619934921, 0.802479652, 1.0],
        [0.927389602, 0.630600289, 0.81366125, 1.0],
        [0.930841215, 0.641279803, 0.824800211, 1.0],
        [0.934307831, 0.651973593, 0.835898672, 1.0],
        [0.937793672, 0.662681804, 0.846958895, 1.0],
        [0.941302651, 0.67340476, 0.857983438, 1.0],
        [0.94483878, 0.684142743, 0.868974933, 1.0],
        [0.948406446, 0.694895851, 0.879935972, 1.0],
        [0.952009511, 0.705664467, 0.890869552, 1.0],
        [0.955651891, 0.716448947, 0.901778791, 1.0],
        [0.959337703, 0.727249552, 0.912666864, 1.0],
        [0.963070679, 0.738066736, 0.923537276, 1.0],
        [0.966854371, 0.748901041, 0.934393756, 1.0],
        [0.970692994, 0.759752676, 0.94523991, 1.0],
        [0.974589543, 0.770622443, 0.95608, 1.0],
        [0.978547422, 0.781510927, 0.966918257, 1.0],
        [0.982569839, 0.792418797, 0.977759126, 1.0],
        [0.986659787, 0.803346807, 0.988607269, 1.0],
    ],
    'cmr.sunburst': [
        [0.0, 0.0, 0.0, 1.0],
        [0.000286909722, 0.000208352776, 0.000282793739, 1.0],
        [0.00102420841, 0.000709026614, 0.00101020819, 1.0],
        [0.00218032747, 0.00144241992, 0.00214844683, 1.0],
        [0.00375280218, 0.00237790132, 0.00368891334, 1.0],
        [0.00574727296, 0.00349370967, 0.00562841034, 1.0],
        [0.0081735941, 0.00477241971, 0.00796562586, 1.0],
        [0.0110443181, 0.00619914475, 0.0106997616, 1.0],
        [0.0143737793, 0.007760726, 0.0138297028, 1.0],
        [0.0181776428, 0.00944523807, 0.0173536418, 1.0],
        [0.0224727681, 0.0112416151, 0.0212689739, 1.0],
        [0.0272769369, 0.0131394915, 0.025572074, 1.0],
        [0.0326086925, 0.0151290769, 0.0302581889, 1.0],
        [0.0384872063, 0.0172010722, 0.0353213666, 1.0],
        [0.0447222261, 0.0193466133, 0.0407486197, 1.0],
        [0.0509500806, 0.0215572331, 0.0462018871, 1.0],
        [0.057180851, 0.0238248357, 0.0515689235, 1.0],
        [0.0634187681, 0.0261416786, 0.0568507484, 1.0],
        [0.0696672743, 0.0285003609, 0.0620478243, 1.0],
        [0.0759291578, 0.0308938137, 0.0671601906, 1.0],
        [0.0822066577, 0.0333152931, 0.0721875696, 1.0],
        [0.0885015506, 0.0357583739, 0.0771294513, 1.0],
        [0.0948153158, 0.038216868, 0.0819851951, 1.0],
        [0.101148955, 0.0406806343, 0.0867539928, 1.0],
        [0.107503187, 0.0430616118, 0.0914349804, 1.0],
        [0.113878547, 0.0453633225, 0.0960272871, 1.0],
        [0.120275369, 0.0475880815, 0.100530045, 1.0],
        [0.126693882, 0.0497380057, 0.104942421, 1.0],
        [0.133134099, 0.0518151457, 0.109263606, 1.0],
        [0.139595872, 0.0538214735, 0.113492844, 1.0],
        [0.146079025, 0.0557587947, 0.117629459, 1.0],
        [0.152583333, 0.0576287866, 0.121672843, 1.0],
        [0.159108504, 0.0594330341, 0.125622464, 1.0],
        [0.165654125, 0.0611730992, 0.129477863, 1.0],
        [0.172219811, 0.0628503975, 0.133238662, 1.0],
        [0.178805178, 0.0644662366, 0.136904555, 1.0],
        [0.185409797, 0.0660218673, 0.140475307, 1.0],
        [0.19203321, 0.0675184779, 0.143950753, 1.0],
        [0.198674987, 0.0689571516, 0.147330792, 1.0],
        [0.205334722, 0.070338873, 0.150615372, 1.0],
        [0.212011971, 0.0716645951, 0.153804504, 1.0],
        [0.218706315, 0.0729351829, 0.156898243, 1.0],
        [0.225417358, 0.0741514208, 0.159896686, 1.0],
        [0.232144723, 0.0753140142, 0.16279996, 1.0],
        [0.238888015, 0.0764236378, 0.165608235, 1.0],
        [0.245646873, 0.0774808832, 0.168321706, 1.0],
        [0.252420969, 0.0784862568, 0.170940576, 1.0],
        [0.259209961, 0.0794402342, 0.17346508, 1.0],
        [0.266013519, 0.0803432396, 0.175895468, 1.0],
        [0.272831343, 0.0811956204, 0.178231992, 1.0],
        [0.279663171, 0.0819976376, 0.180474895, 1.0],
        [0.286508681, 0.0827495854, 0.18262446, 1.0],
        [0.293367596, 0.083451669, 0.184680955, 1.0],
        [0.300239714, 0.0841039642, 0.186644601, 1.0],
        [0.307124737, 0.0847066282, 0.188515678, 1.0],
        [0.314022396, 0.0852597479, 0.190294446, 1.0],
        [0.320932507, 0.0857632664, 0.191981099, 1.0],
        [0.327854822, 0.0862171742, 0.193575865, 1.0],
        [0.334789052, 0.0866214829, 0.195078994, 1.0],
        [0.341735032, 0.0869760059, 0.196490623, 1.0],
        [0.348692538, 0.0872806004, 0.197810918, 1.0],
        [0.355661249, 0.0875352244, 0.199040109, 1.0],
        [0.362641042, 0.0877395301, 0.20017823, 1.0],
        [0.369631646, 0.0878933428, 0.20122542, 1.0],
        [0.37663272, 0.0879965615, 0.202181863, 1.0],
        [0.383644237, 0.0880485905, 0.203047399, 1.0],
        [0.390665741, 0.0880494409, 0.203822267, 1.0],
        [0.39769703, 0.0879987188, 0.204506413, 1.0],
        [0.404737921, 0.0878959614, 0.205099713, 1.0],
        [0.411787904, 0.0877412073, 0.205602373, 1.0],
        [0.418847045, 0.0875335268, 0.206013879, 1.0],
        [0.425914634, 0.0872732532, 0.206334594, 1.0],
        [0.432990688, 0.0869594767, 0.206563938, 1.0],
        [0.440074552, 0.0865924242, 0.206702117, 1.0],
        [0.447166158, 0.0861712769, 0.206748514, 1.0],
        [0.454264791, 0.0856963715, 0.206703307, 1.0],
        [0.461370423, 0.0851667738, 0.206565656, 1.0],
        [0.46848219, 0.0845831301, 0.206335819, 1.0],
        [0.475600038, 0.0839445393, 0.206012803, 1.0],
        [0.48272316, 0.0832515905, 0.205596622, 1.0],
        [0.489851045, 0.0825043389, 0.205086765, 1.0],
        [0.496983399, 0.0817024154, 0.204482254, 1.0],
        [0.504119272, 0.0808468955, 0.203783036, 1.0],
        [0.511258027, 0.0799383002, 0.202988445, 1.0],
        [0.51839929, 0.078976645, 0.202097209, 1.0],
        [0.525542018, 0.0779635816, 0.201109036, 1.0],
        [0.532685382, 0.0769004851, 0.200023125, 1.0],
        [0.539828516, 0.0757890204, 0.198838551, 1.0],
        [0.546970487, 0.0746312873, 0.197554312, 1.0],
        [0.554110277, 0.0734299038, 0.196169338, 1.0],
        [0.561246784, 0.0721881035, 0.194682482, 1.0],
        [0.568378803, 0.0709098503, 0.193092527, 1.0],
        [0.575505021, 0.0695999704, 0.191398184, 1.0],
        [0.582624002, 0.0682643057, 0.189598093, 1.0],
        [0.589734175, 0.0669098901, 0.187690827, 1.0],
        [0.596833821, 0.0655451489, 0.185674897, 1.0],
        [0.603921055, 0.0641801224, 0.183548753, 1.0],
        [0.61099403, 0.0628259792, 0.181310235, 1.0],
        [0.618050608, 0.0614962511, 0.1789573, 1.0],
        [0.62508803, 0.0602082174, 0.176488904, 1.0],
        [0.632104256, 0.058978506, 0.173901364, 1.0],
        [0.639095785, 0.0578308182, 0.171194184, 1.0],
        [0.646060072, 0.056787525, 0.168363271, 1.0],
        [0.652993262, 0.0558778509, 0.165407315, 1.0],
        [0.659891596, 0.0551326945, 0.162323652, 1.0],
        [0.666750963, 0.0545859754, 0.159109421, 1.0],
        [0.673566797, 0.0542745434, 0.155761785, 1.0],
        [0.680334032, 0.0542376114, 0.152277993, 1.0],
        [0.68704706, 0.0545158871, 0.148655458, 1.0],
        [0.693699685, 0.0551504015, 0.144891848, 1.0],
        [0.700285091, 0.0561810769, 0.140985191, 1.0],
        [0.706796237, 0.0576435451, 0.136931763, 1.0],
        [0.713224652, 0.0595721299, 0.132732028, 1.0],
        [0.719561873, 0.0619929392, 0.128383465, 1.0],
        [0.72579832, 0.0649270119, 0.123886727, 1.0],
        [0.731923874, 0.0683875861, 0.119243091, 1.0],
        [0.737927853, 0.07238015, 0.114455226, 1.0],
        [0.743799113, 0.0769025815, 0.109527932, 1.0],
        [0.749526309, 0.0819453014, 0.104467796, 1.0],
        [0.755098066, 0.0874919188, 0.0992851325, 1.0],
        [0.76050344, 0.0935194867, 0.0939934527, 1.0],
        [0.765732337, 0.0999992342, 0.0886093142, 1.0],
        [0.770775945, 0.106897139, 0.0831539, 1.0],
        [0.77562724, 0.114174686, 0.0776526208, 1.0],
        [0.780281368, 0.121789936, 0.0721349339, 1.0],
        [0.784735944, 0.129698609, 0.0666347777, 1.0],
        [0.788991197, 0.137855344, 0.0611907481, 1.0],
        [0.793049873, 0.146215258, 0.0558459026, 1.0],
        [0.796916985, 0.154735273, 0.0506483497, 1.0],
        [0.800599494, 0.163375121, 0.0456523351, 1.0],
        [0.80410578, 0.172098421, 0.0409187682, 1.0],
        [0.807445021, 0.180873537, 0.0365633012, 1.0],
        [0.810627207, 0.189672606, 0.032848969, 1.0],
        [0.81366202, 0.198473285, 0.0297809531, 1.0],
        [0.816559107, 0.207257026, 0.0273542528, 1.0],
        [0.819327731, 0.216009007, 0.0255636781, 1.0],
        [0.821976558, 0.224717827, 0.0244044475, 1.0],
        [0.824513543, 0.23337504, 0.0238728224, 1.0],
        [0.826945882, 0.241974699, 0.0239665842, 1.0],
        [0.829280004, 0.250512913, 0.0246853696, 1.0],
        [0.831522343, 0.258986251, 0.026031607, 1.0],
        [0.833677554, 0.267394452, 0.0280084987, 1.0],
        [0.835751192, 0.275735872, 0.0306226998, 1.0],
        [0.837746932, 0.284011762, 0.0338817602, 1.0],
        [0.839668705, 0.292222811, 0.0377957713, 1.0],
        [0.841519999, 0.300370199, 0.0423185532, 1.0],
        [0.8433039, 0.308455467, 0.0471817113, 1.0],
        [0.845023136, 0.316480417, 0.052323339, 1.0],
        [0.846680124, 0.324447031, 0.0576984968, 1.0],
        [0.848277003, 0.332357393, 0.063270802, 1.0],
        [0.849815977, 0.340213287, 0.0690109556, 1.0],
        [0.851298995, 0.348016602, 0.0748955428, 1.0],
        [0.852727152, 0.355769991, 0.0809062865, 1.0],
        [0.854102854, 0.363474415, 0.0870279872, 1.0],
        [0.855426529, 0.371132852, 0.0932495243, 1.0],
        [0.856700462, 0.378746074, 0.0995610441, 1.0],
        [0.857925114, 0.386316638, 0.105955702, 1.0],
        [0.859101674, 0.393846154, 0.112427692, 1.0],
        [0.860231836, 0.401335605, 0.118971996, 1.0],
        [0.861316031, 0.408787096, 0.125585441, 1.0],
        [0.862355266, 0.416202023, 0.132265189, 1.0],
        [0.863350492, 0.423581725, 0.139009038, 1.0],
        [0.864302612, 0.430927482, 0.145815298, 1.0],
        [0.865212486, 0.438240513, 0.152682696, 1.0],
        [0.866080942, 0.445521979, 0.159610296, 1.0],
        [0.86690878, 0.452772978, 0.166597437, 1.0],
        [0.867696781, 0.459994548, 0.173643681, 1.0],
        [0.868445712, 0.467187666, 0.180748774, 1.0],
        [0.869156332, 0.474353252, 0.18791261, 1.0],
        [0.869829395, 0.481492166, 0.195135204, 1.0],
        [0.87046566, 0.48860521, 0.202416672, 1.0],
        [0.87106589, 0.495693133, 0.209757209, 1.0],
        [0.87163086, 0.502756626, 0.217157076, 1.0],
        [0.872161623, 0.50979614, 0.224616343, 1.0],
        [0.872658811, 0.516812398, 0.232135528, 1.0],
        [0.873123168, 0.523806001, 0.2397151, 1.0],
        [0.873555546, 0.530777442, 0.247355481, 1.0],
        [0.873957119, 0.537726968, 0.255056838, 1.0],
        [0.874328606, 0.544655118, 0.262819814, 1.0],
        [0.874670845, 0.551562321, 0.270644984, 1.0],
        [0.874985029, 0.558448759, 0.278532635, 1.0],
        [0.87527217, 0.565314715, 0.286483264, 1.0],
        [0.875533135, 0.572160553, 0.294497564, 1.0],
        [0.875769304, 0.578986303, 0.302575772, 1.0],
        [0.875981711, 0.585792206, 0.310718511, 1.0],
        [0.876171468, 0.592578442, 0.318926382, 1.0],
        [0.876340195, 0.599344894, 0.327199529, 1.0],
        [0.876488878, 0.606091811, 0.335538782, 1.0],
        [0.876619141, 0.612819077, 0.34394439, 1.0],
        [0.876732398, 0.619526697, 0.352416865, 1.0],
        [0.876830159, 0.626214628, 0.360956686, 1.0],
        [0.876914211, 0.632882684, 0.369564104, 1.0],
        [0.876986066, 0.639530835, 0.378239722, 1.0],
        [0.877047786, 0.646158771, 0.386983628, 1.0],
        [0.877101044, 0.652766396, 0.39579639, 1.0],
        [0.877148015, 0.659353376, 0.404678112, 1.0],
        [0.877190693, 0.665919479, 0.413629161, 1.0],
        [0.877231368, 0.672464347, 0.422649653, 1.0],
        [0.877272331, 0.678987642, 0.43173978, 1.0],
        [0.877316047, 0.685488962, 0.440899612, 1.0],
        [0.877365088, 0.691967879, 0.450129174, 1.0],
        [0.877422136, 0.698423938, 0.459428441, 1.0],
        [0.877490045, 0.704856633, 0.468797267, 1.0],
        [0.877571747, 0.711265449, 0.478235489, 1.0],
        [0.877670376, 0.717649812, 0.487742774, 1.0],
        [0.877789136, 0.724009148, 0.49731878, 1.0],
        [0.877931451, 0.73034282, 0.506962964, 1.0],
        [0.878100806, 0.7366502, 0.516674769, 1.0],
        [0.878300918, 0.742930599, 0.526453408, 1.0],
        [0.878535556, 0.74918334, 0.536298078, 1.0],
        [0.878808732, 0.755407687, 0.546207706, 1.0],
        [0.879124486, 0.761602932, 0.556181216, 1.0],
        [0.879487121, 0.767768301, 0.566217203, 1.0],
        [0.879900924, 0.773903066, 0.576314291, 1.0],
        [0.880370474, 0.780006432, 0.5864707, 1.0],
        [0.880900271, 0.786077671, 0.596684729, 1.0],
        [0.881495136, 0.792115981, 0.606954181, 1.0],
        [0.882159739, 0.798120653, 0.617277003, 1.0],
        [0.88289909, 0.804090903, 0.627650556, 1.0],
        [0.88371798, 0.810026062, 0.638072403, 1.0],
        [0.884621526, 0.815925395, 0.648539462, 1.0],
        [0.885614592, 0.821788285, 0.659048859, 1.0],
        [0.886702289, 0.827614084, 0.669597115, 1.0],
        [0.887889516, 0.833402244, 0.680180833, 1.0],
        [0.889181222, 0.839152246, 0.690796251, 1.0],
        [0.890582336, 0.844863616, 0.701439304, 1.0],
        [0.892097443, 0.850536012, 0.712106155, 1.0],
        [0.89373153, 0.85616903, 0.722791834, 1.0],
        [0.895488748, 0.861762521, 0.733492452, 1.0],
        [0.897373732, 0.867316252, 0.744202724, 1.0],
        [0.899390578, 0.872830163, 0.754917869, 1.0],
        [0.901543131, 0.878304287, 0.765633089, 1.0],
        [0.903835612, 0.883738618, 0.776342169, 1.0],
        [0.906271323, 0.889133381, 0.78704028, 1.0],
        [0.908853678, 0.894488809, 0.797721785, 1.0],
        [0.911586246, 0.899805146, 0.808379998, 1.0],
        [0.914472044, 0.905082766, 0.819008982, 1.0],
        [0.917514032, 0.910322073, 0.829602437, 1.0],
        [0.920715268, 0.915523473, 0.840153327, 1.0],
        [0.924078938, 0.920687375, 0.850653788, 1.0],
        [0.927608322, 0.925814188, 0.861095312, 1.0],
        [0.931306737, 0.930904299, 0.871469161, 1.0],
        [0.935178037, 0.935958041, 0.881764746, 1.0],
        [0.93922654, 0.94097572, 0.891969652, 1.0],
        [0.943457073, 0.945957665, 0.902068971, 1.0],
        [0.947874825, 0.950904385, 0.912044403, 1.0],
        [0.952484829, 0.955816879, 0.921873185, 1.0],
        [0.957290652, 0.960697263, 0.931527028, 1.0],
        [0.962291713, 0.965549867, 0.940971718, 1.0],
        [0.967478538, 0.970382926, 0.950168874, 1.0],
        [0.972826027, 0.975210567, 0.959082435, 1.0],
        [0.978287385, 0.980053801, 0.967692361, 1.0],
        [0.983795465, 0.984938154, 0.976012541, 1.0],
        [0.989278574, 0.989885972, 0.984104942, 1.0],
        [0.994685265, 0.994907946, 0.992066682, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.voltage': [
        [0.0, 0.0, 0.0, 1.0],
        [0.00031246005, 0.000201110207, 0.000256266737, 1.0],
        [0.00112230605, 0.000681560586, 0.000905152133, 1.0],
        [0.0023989582, 0.00138190201, 0.00190776936, 1.0],
        [0.00413895357, 0.00227217151, 0.00325294407, 1.0],
        [0.00634536547, 0.00333163092, 0.00493739711, 1.0],
        [0.0090240917, 0.00454420798, 0.00696178741, 1.0],
        [0.0121826707, 0.00589657661, 0.0093292711, 1.0],
        [0.0158294489, 0.00737731187, 0.0120446826, 1.0],
        [0.0199732529, 0.0089763499, 0.0151141322, 1.0],
        [0.0246233965, 0.0106845617, 0.0185448635, 1.0],
        [0.0297897928, 0.0124934238, 0.0223452305, 1.0],
        [0.0354823687, 0.0143950806, 0.0265243629, 1.0],
        [0.0416786389, 0.0163822647, 0.0310920519, 1.0],
        [0.0479358206, 0.0184478269, 0.0360591705, 1.0],
        [0.0541565416, 0.0205848959, 0.0414139699, 1.0],
        [0.0603455729, 0.022787243, 0.0468240939, 1.0],
        [0.0665080804, 0.025048174, 0.0522246857, 1.0],
        [0.0726475298, 0.027361757, 0.0576209361, 1.0],
        [0.0787673662, 0.0297218982, 0.0630178589, 1.0],
        [0.0848707535, 0.0321224703, 0.0684201681, 1.0],
        [0.090959886, 0.0345578863, 0.0738317747, 1.0],
        [0.097037482, 0.037021962, 0.0792569424, 1.0],
        [0.103105157, 0.0395092539, 0.0846990445, 1.0],
        [0.109164898, 0.0419705611, 0.0901617324, 1.0],
        [0.115218366, 0.0443492692, 0.0956484053, 1.0],
        [0.121266497, 0.0466564513, 0.101161843, 1.0],
        [0.127311422, 0.0488922167, 0.106705909, 1.0],
        [0.133353532, 0.0510580701, 0.112282955, 1.0],
        [0.139393829, 0.0531546197, 0.117895903, 1.0],
        [0.145433737, 0.0551817276, 0.123548147, 1.0],
        [0.151473722, 0.0571399998, 0.129242228, 1.0],
        [0.157514348, 0.0590297065, 0.134980826, 1.0],
        [0.163556256, 0.0608507983, 0.140766768, 1.0],
        [0.169599998, 0.0626030983, 0.146602871, 1.0],
        [0.175646112, 0.0642862219, 0.152492026, 1.0],
        [0.181695001, 0.0658997202, 0.158437081, 1.0],
        [0.187746773, 0.0674432999, 0.164440639, 1.0],
        [0.193801638, 0.0689163478, 0.170505517, 1.0],
        [0.19985972, 0.070318153, 0.176634541, 1.0],
        [0.20592106, 0.0716479107, 0.182830549, 1.0],
        [0.211985867, 0.0729043736, 0.18909673, 1.0],
        [0.218053879, 0.0740867233, 0.195435806, 1.0],
        [0.224124842, 0.0751939317, 0.201850633, 1.0],
        [0.230198442, 0.0762248553, 0.20834412, 1.0],
        [0.236274267, 0.0771782818, 0.214919186, 1.0],
        [0.242352534, 0.0780517714, 0.221579863, 1.0],
        [0.248432025, 0.0788448776, 0.228328241, 1.0],
        [0.254512222, 0.0795558459, 0.235167603, 1.0],
        [0.260592841, 0.080182232, 0.242101835, 1.0],
        [0.266672415, 0.080723343, 0.249133116, 1.0],
        [0.272750645, 0.0811761744, 0.256265771, 1.0],
        [0.278825999, 0.0815396243, 0.263502274, 1.0],
        [0.284897228, 0.0818118326, 0.270845773, 1.0],
        [0.290963584, 0.081989586, 0.27830065, 1.0],
        [0.29702302, 0.0820719247, 0.28586912, 1.0],
        [0.303073952, 0.0820566661, 0.293554514, 1.0],
        [0.309114595, 0.0819416932, 0.30136007, 1.0],
        [0.315142954, 0.0817249993, 0.309288899, 1.0],
        [0.321156803, 0.0814047407, 0.317343945, 1.0],
        [0.327153682, 0.080979301, 0.325527948, 1.0],
        [0.333130878, 0.0804473661, 0.333843394, 1.0],
        [0.339085417, 0.0798080139, 0.342292465, 1.0],
        [0.345014255, 0.0790602196, 0.350877525, 1.0],
        [0.35091402, 0.0782036131, 0.35960048, 1.0],
        [0.356780594, 0.0772400002, 0.368461493, 1.0],
        [0.362610507, 0.0761690557, 0.377462904, 1.0],
        [0.368398877, 0.0749952225, 0.386603221, 1.0],
        [0.374141515, 0.0737208389, 0.395883312, 1.0],
        [0.379833268, 0.0723522377, 0.405301231, 1.0],
        [0.385468888, 0.0708970343, 0.414854793, 1.0],
        [0.391042906, 0.0693649234, 0.42454112, 1.0],
        [0.396549562, 0.0677684823, 0.434356231, 1.0],
        [0.401982837, 0.0661236406, 0.444294979, 1.0],
        [0.407336505, 0.064450172, 0.454350993, 1.0],
        [0.412604182, 0.0627721808, 0.46451665, 1.0],
        [0.417779395, 0.0611185481, 0.474783068, 1.0],
        [0.422855648, 0.0595232761, 0.485140133, 1.0],
        [0.42782659, 0.0580248632, 0.495577174, 1.0],
        [0.432685822, 0.0566684761, 0.506081251, 1.0],
        [0.437427257, 0.0555032536, 0.516638997, 1.0],
        [0.442045129, 0.0545816498, 0.52723648, 1.0],
        [0.446533967, 0.0539592239, 0.53785824, 1.0],
        [0.450888826, 0.0536902692, 0.548489177, 1.0],
        [0.455105222, 0.0538270115, 0.559113166, 1.0],
        [0.459179265, 0.0544150657, 0.569714505, 1.0],
        [0.463107656, 0.0554913704, 0.580277419, 1.0],
        [0.46688772, 0.0570814523, 0.590786584, 1.0],
        [0.470517411, 0.0591981185, 0.601227244, 1.0],
        [0.473995299, 0.0618411697, 0.611585452, 1.0],
        [0.477320556, 0.0649985143, 0.621848022, 1.0],
        [0.480492905, 0.0686477547, 0.632002975, 1.0],
        [0.483512597, 0.0727588918, 0.642039267, 1.0],
        [0.486380353, 0.077296715, 0.651947052, 1.0],
        [0.489097304, 0.0822232264, 0.661717665, 1.0],
        [0.491664958, 0.0874996826, 0.671343526, 1.0],
        [0.494085138, 0.0930880875, 0.680818164, 1.0],
        [0.496359871, 0.0989522193, 0.690136384, 1.0],
        [0.498491556, 0.105058466, 0.699293426, 1.0],
        [0.500482542, 0.111375904, 0.708286233, 1.0],
        [0.502335426, 0.11787666, 0.717112163, 1.0],
        [0.504053026, 0.124535724, 0.725769072, 1.0],
        [0.505637974, 0.131330853, 0.734256165, 1.0],
        [0.507093069, 0.138242369, 0.742572922, 1.0],
        [0.508421126, 0.14525291, 0.750719379, 1.0],
        [0.509624958, 0.1523472, 0.75869606, 1.0],
        [0.510707361, 0.159511825, 0.76650391, 1.0],
        [0.511671096, 0.166735022, 0.774144241, 1.0],
        [0.512518881, 0.174006481, 0.78161867, 1.0],
        [0.513253384, 0.181317177, 0.788929074, 1.0],
        [0.513877212, 0.188659208, 0.796077541, 1.0],
        [0.514392911, 0.196025659, 0.803066329, 1.0],
        [0.51480296, 0.203410482, 0.80989783, 1.0],
        [0.515109774, 0.210808385, 0.816574536, 1.0],
        [0.515315698, 0.218214742, 0.823099012, 1.0],
        [0.515423013, 0.225625508, 0.829473866, 1.0],
        [0.515434148, 0.233036992, 0.835701593, 1.0],
        [0.51535107, 0.240446248, 0.841784976, 1.0],
        [0.515175858, 0.247850591, 0.847726648, 1.0],
        [0.514910682, 0.255247585, 0.853529141, 1.0],
        [0.514557544, 0.262635175, 0.85919502, 1.0],
        [0.514118222, 0.270011702, 0.864726872, 1.0],
        [0.513594815, 0.277375482, 0.870127062, 1.0],
        [0.512989043, 0.28472528, 0.875398031, 1.0],
        [0.51230269, 0.292059969, 0.880542092, 1.0],
        [0.511537681, 0.299378469, 0.885561429, 1.0],
        [0.510695518, 0.306680109, 0.890458245, 1.0],
        [0.509778215, 0.313963989, 0.895234522, 1.0],
        [0.508787144, 0.321229728, 0.899892275, 1.0],
        [0.5077243, 0.328476633, 0.904433304, 1.0],
        [0.506591056, 0.33570449, 0.908859397, 1.0],
        [0.505389362, 0.342912796, 0.913172168, 1.0],
        [0.504120653, 0.350101439, 0.917373171, 1.0],
        [0.502786813, 0.357270097, 0.921463817, 1.0],
        [0.501389419, 0.364418695, 0.925445423, 1.0],
        [0.4999303, 0.37154707, 0.929319186, 1.0],
        [0.498411211, 0.378655157, 0.93308619, 1.0],
        [0.496833982, 0.38574291, 0.9367474, 1.0],
        [0.495200557, 0.392810272, 0.940303671, 1.0],
        [0.493512855, 0.39985726, 0.943755732, 1.0],
        [0.491772995, 0.406883837, 0.947104204, 1.0],
        [0.489983103, 0.413890029, 0.950349582, 1.0],
        [0.488145473, 0.420875829, 0.953492247, 1.0],
        [0.486262513, 0.427841241, 0.956532459, 1.0],
        [0.484336801, 0.434786248, 0.959470365, 1.0],
        [0.482371019, 0.441710855, 0.962305981, 1.0],
        [0.480368157, 0.448614989, 0.965039233, 1.0],
        [0.478331244, 0.455498642, 0.967669888, 1.0],
        [0.476263725, 0.462361689, 0.970197646, 1.0],
        [0.474169153, 0.469204052, 0.972622055, 1.0],
        [0.472051436, 0.476025581, 0.974942568, 1.0],
        [0.469914807, 0.482826084, 0.977158539, 1.0],
        [0.467763718, 0.489605383, 0.97926917, 1.0],
        [0.465603214, 0.496363151, 0.981273641, 1.0],
        [0.463438419, 0.503099158, 0.983170914, 1.0],
        [0.461275294, 0.509812938, 0.98496001, 1.0],
        [0.459119813, 0.516504171, 0.986639678, 1.0],
        [0.456978932, 0.523172262, 0.988208789, 1.0],
        [0.454859699, 0.529816745, 0.98966594, 1.0],
        [0.45277011, 0.536436919, 0.991009837, 1.0],
        [0.45071855, 0.543032103, 0.992239028, 1.0],
        [0.448714064, 0.549601527, 0.993352024, 1.0],
        [0.446766648, 0.55614422, 0.994347469, 1.0],
        [0.444886387, 0.562659376, 0.995223648, 1.0],
        [0.443084868, 0.569145772, 0.995979309, 1.0],
        [0.441373968, 0.575602276, 0.99661298, 1.0],
        [0.439766195, 0.5820277, 0.997123161, 1.0],
        [0.438275274, 0.588420557, 0.997508765, 1.0],
        [0.436915382, 0.594779369, 0.997768656, 1.0],
        [0.435701179, 0.601102639, 0.997901683, 1.0],
        [0.434648433, 0.607388571, 0.997907266, 1.0],
        [0.43377328, 0.613635348, 0.997784927, 1.0],
        [0.433092318, 0.619841062, 0.997534477, 1.0],
        [0.432622431, 0.626003736, 0.997156005, 1.0],
        [0.43238086, 0.63212125, 0.996650157, 1.0],
        [0.432384872, 0.638191407, 0.996018056, 1.0],
        [0.432651509, 0.644211975, 0.995261305, 1.0],
        [0.433197411, 0.650180681, 0.994382098, 1.0],
        [0.434038559, 0.656095231, 0.993383274, 1.0],
        [0.435190001, 0.661953343, 0.992268365, 1.0],
        [0.436665561, 0.667752774, 0.991041629, 1.0],
        [0.43847758, 0.673491343, 0.98970814, 1.0],
        [0.440636584, 0.679166989, 0.988273711, 1.0],
        [0.443151054, 0.684777803, 0.986744935, 1.0],
        [0.446027196, 0.69032206, 0.985129164, 1.0],
        [0.449268759, 0.695798266, 0.98343447, 1.0],
        [0.452876909, 0.701205188, 0.981669584, 1.0],
        [0.456850173, 0.706541867, 0.979843979, 1.0],
        [0.461184407, 0.711807685, 0.977967522, 1.0],
        [0.465872904, 0.717002397, 0.976050287, 1.0],
        [0.470906553, 0.722126098, 0.974102665, 1.0],
        [0.476273964, 0.727179205, 0.97213557, 1.0],
        [0.481961777, 0.732162534, 0.970159664, 1.0],
        [0.487955128, 0.737077305, 0.968184792, 1.0],
        [0.494237374, 0.741924927, 0.966222262, 1.0],
        [0.50079146, 0.746707288, 0.964280745, 1.0],
        [0.507598898, 0.751426397, 0.96237083, 1.0],
        [0.514641707, 0.756084633, 0.960500039, 1.0],
        [0.52190077, 0.76068447, 0.958677983, 1.0],
        [0.529357967, 0.765228625, 0.956911554, 1.0],
        [0.536995408, 0.769719915, 0.955207464, 1.0],
        [0.544795595, 0.774161244, 0.953572121, 1.0],
        [0.552741752, 0.778555582, 0.952011224, 1.0],
        [0.56081796, 0.782905933, 0.950529757, 1.0],
        [0.569009254, 0.787215299, 0.949131993, 1.0],
        [0.57730169, 0.791486659, 0.947821516, 1.0],
        [0.585682383, 0.795722939, 0.946601248, 1.0],
        [0.594139526, 0.799926995, 0.945473488, 1.0],
        [0.602661938, 0.804101638, 0.944440569, 1.0],
        [0.611238727, 0.808249672, 0.943505263, 1.0],
        [0.619862328, 0.812373555, 0.942666602, 1.0],
        [0.628522601, 0.816476024, 0.94192797, 1.0],
        [0.637214033, 0.82055927, 0.941287329, 1.0],
        [0.645927485, 0.824625931, 0.940748097, 1.0],
        [0.654658978, 0.828677964, 0.940307704, 1.0],
        [0.663402753, 0.832717536, 0.939966517, 1.0],
        [0.672152385, 0.836746925, 0.9397262, 1.0],
        [0.680905064, 0.840767848, 0.939584519, 1.0],
        [0.689656841, 0.844782172, 0.939541121, 1.0],
        [0.698404261, 0.848791671, 0.939595484, 1.0],
        [0.707144319, 0.852798027, 0.93974694, 1.0],
        [0.715874422, 0.856802837, 0.939994695, 1.0],
        [0.724592356, 0.860807608, 0.940337846, 1.0],
        [0.733296245, 0.864813769, 0.940775402, 1.0],
        [0.741984517, 0.868822668, 0.9413063, 1.0],
        [0.75065588, 0.872835581, 0.941929421, 1.0],
        [0.759307445, 0.876854092, 0.942645562, 1.0],
        [0.767939896, 0.880879043, 0.943451876, 1.0],
        [0.776552609, 0.884911508, 0.944347135, 1.0],
        [0.785143494, 0.888952866, 0.945331796, 1.0],
        [0.793712457, 0.89300405, 0.946404369, 1.0],
        [0.802260105, 0.89706581, 0.947562794, 1.0],
        [0.810783464, 0.90113969, 0.948808806, 1.0],
        [0.819285449, 0.905225872, 0.950138242, 1.0],
        [0.827762275, 0.909326076, 0.951553841, 1.0],
        [0.836217015, 0.913440389, 0.953051524, 1.0],
        [0.844647053, 0.91757024, 0.954633003, 1.0],
        [0.85305358, 0.921716129, 0.956296276, 1.0],
        [0.861437023, 0.925878712, 0.958040196, 1.0],
        [0.869794782, 0.930059404, 0.959866622, 1.0],
        [0.878129113, 0.934258378, 0.961772754, 1.0],
        [0.886439724, 0.938476435, 0.963758343, 1.0],
        [0.894725548, 0.94271457, 0.965823928, 1.0],
        [0.902986301, 0.946973572, 0.96796934, 1.0],
        [0.911222625, 0.951253965, 0.970193596, 1.0],
        [0.919434146, 0.955556535, 0.97249673, 1.0],
        [0.92762042, 0.959882079, 0.974878886, 1.0],
        [0.935780912, 0.964231414, 0.97734034, 1.0],
        [0.943914962, 0.968605382, 0.979881533, 1.0],
        [0.952021391, 0.973004973, 0.982503424, 1.0],
        [0.960099542, 0.977431022, 0.985206546, 1.0],
        [0.968148158, 0.981884533, 0.987992024, 1.0],
        [0.976165441, 0.986366669, 0.990861509, 1.0],
        [0.984148975, 0.990878781, 0.993817207, 1.0],
        [0.992095425, 0.995422514, 0.996862062, 1.0],
        [1.0, 1.0, 1.0, 1.0],
    ],
    'cmr.waterlily': [
        [0.12434357, 0.00588452, 0.21400096, 1.0],
        [0.13427605, 0.00761301, 0.22627813, 1.0],
        [0.14419489, 0.00925374, 0.23873832, 1.0],
        [0.15409628, 0.01077599, 0.25139847, 1.0],
        [0.1639749, 0.01214941, 0.26427895, 1.0],
        [0.17382209, 0.0133473, 0.27740161, 1.0],
        [0.18362636, 0.01434494, 0.2907931, 1.0],
        [0.19336978, 0.0151277, 0.30448066, 1.0],
        [0.20302543, 0.01569841, 0.31849056, 1.0],
        [0.21255503, 0.01608416, 0.33284912, 1.0],
        [0.22190089, 0.01636307, 0.34757095, 1.0],
        [0.23097774, 0.01669935, 0.36264494, 1.0],
        [0.23966261, 0.01740014, 0.37800537, 1.0],
        [0.24778982, 0.01898922, 0.39348282, 1.0],
        [0.25517266, 0.02222479, 0.40876847, 1.0],
        [0.26166567, 0.02795975, 0.42345155, 1.0],
        [0.26723479, 0.03684228, 0.43716929, 1.0],
        [0.27196284, 0.04848981, 0.44974895, 1.0],
        [0.27598966, 0.06106965, 0.46121003, 1.0],
        [0.27945476, 0.07396949, 0.47167607, 1.0],
        [0.28247268, 0.08685793, 0.48129838, 1.0],
        [0.28513137, 0.09956639, 0.49021794, 1.0],
        [0.28749631, 0.11201977, 0.49855477, 1.0],
        [0.28961712, 0.12419213, 0.50640676, 1.0],
        [0.29153215, 0.13608239, 0.51385302, 1.0],
        [0.29327113, 0.14770193, 0.52095768, 1.0],
        [0.29485717, 0.15906795, 0.52777294, 1.0],
        [0.29630976, 0.1701988, 0.53434154, 1.0],
        [0.2976446, 0.18111329, 0.54069888, 1.0],
        [0.29887444, 0.19182963, 0.54687447, 1.0],
        [0.30001054, 0.20236443, 0.55289318, 1.0],
        [0.30106201, 0.21273339, 0.558776, 1.0],
        [0.30203696, 0.22295063, 0.5645409, 1.0],
        [0.30294227, 0.23302915, 0.57020328, 1.0],
        [0.30378382, 0.24298087, 0.57577639, 1.0],
        [0.30456679, 0.25281657, 0.58127171, 1.0],
        [0.30529589, 0.26254606, 0.58669927, 1.0],
        [0.30597473, 0.27217857, 0.59206767, 1.0],
        [0.30660696, 0.2817223, 0.59738453, 1.0],
        [0.30719552, 0.29118493, 0.60265644, 1.0],
        [0.30774293, 0.30057358, 0.60788908, 1.0],
        [0.30825149, 0.30989477, 0.61308745, 1.0],
        [0.30872319, 0.31915455, 0.61825584, 1.0],
        [0.30915975, 0.32835858, 0.6233979, 1.0],
        [0.30956268, 0.33751209, 0.62851674, 1.0],
        [0.30993331, 0.34662001, 0.63361494, 1.0],
        [0.31027282, 0.35568691, 0.63869459, 1.0],
        [0.31058231, 0.36471711, 0.64375731, 1.0],
        [0.3108628, 0.37371461, 0.6488043, 1.0],
        [0.31111533, 0.38268321, 0.65383636, 1.0],
        [0.31134094, 0.39162643, 0.65885384, 1.0],
        [0.31154081, 0.40054761, 0.66385675, 1.0],
        [0.31171621, 0.40944984, 0.66884467, 1.0],
        [0.31186865, 0.41833603, 0.67381681, 1.0],
        [0.31199992, 0.4272089, 0.67877201, 1.0],
        [0.31211216, 0.43607095, 0.6837087, 1.0],
        [0.31220796, 0.44492453, 0.68862492, 1.0],
        [0.31229048, 0.45377175, 0.69351832, 1.0],
        [0.31236353, 0.46261456, 0.69838612, 1.0],
        [0.31243174, 0.47145469, 0.70322513, 1.0],
        [0.31250071, 0.48029366, 0.70803171, 1.0],
        [0.31257717, 0.48913278, 0.71280175, 1.0],
        [0.3126692, 0.49797308, 0.71753069, 1.0],
        [0.31278644, 0.50681539, 0.72221344, 1.0],
        [0.31293998, 0.5156603, 0.72684425, 1.0],
        [0.31314366, 0.52450796, 0.73141704, 1.0],
        [0.31341322, 0.5333583, 0.73592494, 1.0],
        [0.31376746, 0.54221081, 0.74036052, 1.0],
        [0.31422803, 0.55106464, 0.74471556, 1.0],
        [0.31482075, 0.55991833, 0.74898134, 1.0],
        [0.31557523, 0.56876997, 0.75314825, 1.0],
        [0.31652582, 0.577617, 0.75720593, 1.0],
        [0.31771222, 0.58645611, 0.76114332, 1.0],
        [0.31918007, 0.59528313, 0.76494869, 1.0],
        [0.3209808, 0.60409308, 0.76860934, 1.0],
        [0.32317357, 0.6128796, 0.77211265, 1.0],
        [0.32582371, 0.62163533, 0.77544516, 1.0],
        [0.32900405, 0.63035134, 0.77859393, 1.0],
        [0.33279358, 0.63901718, 0.78154661, 1.0],
        [0.33727653, 0.64762069, 0.78429266, 1.0],
        [0.34253965, 0.65614801, 0.78682444, 1.0],
        [0.34866835, 0.66458383, 0.78913863, 1.0],
        [0.35574127, 0.67291169, 0.79123827, 1.0],
        [0.36382312, 0.68111477, 0.79313499, 1.0],
        [0.37295618, 0.68917704, 0.79485074, 1.0],
        [0.38315216, 0.69708476, 0.79641869, 1.0],
        [0.39438623, 0.70482817, 0.79788271, 1.0],
        [0.40659514, 0.71240286, 0.79929533, 1.0],
        [0.41968153, 0.7198106, 0.80071327, 1.0],
        [0.43352311, 0.72705927, 0.80219282, 1.0],
        [0.44798499, 0.73416184, 0.80378517, 1.0],
        [0.46293189, 0.74113497, 0.80553339, 1.0],
        [0.47823856, 0.74799715, 0.80747031, 1.0],
        [0.49379555, 0.75476731, 0.80961897, 1.0],
        [0.50951018, 0.76146396, 0.81199484, 1.0],
        [0.5253101, 0.76810393, 0.81460481, 1.0],
        [0.54113819, 0.77470259, 0.81745128, 1.0],
        [0.55695031, 0.78127373, 0.82053353, 1.0],
        [0.57271595, 0.78782912, 0.82384685, 1.0],
        [0.58841174, 0.79437931, 0.82738612, 1.0],
        [0.60402262, 0.8009333, 0.83114456, 1.0],
        [0.61953824, 0.80749903, 0.83511535, 1.0],
        [0.63495307, 0.81408331, 0.83929113, 1.0],
        [0.65026337, 0.82069239, 0.8436654, 1.0],
        [0.66546844, 0.82733162, 0.84823141, 1.0],
        [0.68056996, 0.83400559, 0.85298238, 1.0],
        [0.69557018, 0.84071852, 0.85791228, 1.0],
        [0.71047142, 0.84747442, 0.8630158, 1.0],
        [0.72527708, 0.85427682, 0.86828781, 1.0],
        [0.73999166, 0.86112874, 0.87372319, 1.0],
        [0.75461912, 0.86803319, 0.87931756, 1.0],
        [0.76916383, 0.87499286, 0.88506677, 1.0],
        [0.78362842, 0.88201078, 0.89096784, 1.0],
        [0.79801871, 0.88908894, 0.89701653, 1.0],
        [0.81233783, 0.89622995, 0.90321016, 1.0],
        [0.82659011, 0.90343594, 0.90954568, 1.0],
        [0.84077761, 0.91070961, 0.91602124, 1.0],
        [0.85490492, 0.91805279, 0.92263401, 1.0],
        [0.86897464, 0.92546784, 0.92938214, 1.0],
        [0.88298922, 0.93295708, 0.93626395, 1.0],
        [0.89695077, 0.94052289, 0.94327794, 1.0],
        [0.91086103, 0.94816769, 0.95042279, 1.0],
        [0.92472121, 0.95589406, 0.95769737, 1.0],
        [0.93853161, 0.96370486, 0.96510081, 1.0],
        [0.95229045, 0.97160364, 0.97263292, 1.0],
        [0.96599731, 0.97959353, 0.98029261, 1.0],
        [0.97964739, 0.98767922, 0.98807995, 1.0],
        [0.99323371, 0.99586633, 0.99599488, 1.0],
        [0.99382468, 0.99580955, 0.9943211, 1.0],
        [0.98133737, 0.98755932, 0.98291623, 1.0],
        [0.9687162, 0.97946632, 0.9714033, 1.0],
        [0.95601177, 0.97150926, 0.95976724, 1.0],
        [0.94325899, 0.96367093, 0.9480156, 1.0],
        [0.93048023, 0.95593841, 0.93616364, 1.0],
        [0.9176887, 0.94830248, 0.9242268, 1.0],
        [0.90489128, 0.94075672, 0.91221775, 1.0],
        [0.89209298, 0.93329567, 0.90014782, 1.0],
        [0.87929644, 0.92591504, 0.88802578, 1.0],
        [0.86650188, 0.91861182, 0.87585743, 1.0],
        [0.85371109, 0.91138237, 0.86364908, 1.0],
        [0.84092245, 0.90422469, 0.85140328, 1.0],
        [0.82813695, 0.8971357, 0.83912424, 1.0],
        [0.81535306, 0.89011348, 0.82681335, 1.0],
        [0.80257013, 0.88315578, 0.81447231, 1.0],
        [0.78978762, 0.87626033, 0.80210262, 1.0],
        [0.7770042, 0.86942524, 0.78970464, 1.0],
        [0.7642182, 0.86264876, 0.7772782, 1.0],
        [0.75142905, 0.85592868, 0.76482392, 1.0],
        [0.73863541, 0.84926312, 0.75234153, 1.0],
        [0.72583594, 0.84265022, 0.73983053, 1.0],
        [0.71302926, 0.83608809, 0.72729033, 1.0],
        [0.70021404, 0.82957484, 0.71472015, 1.0],
        [0.68738891, 0.82310857, 0.70211913, 1.0],
        [0.67455209, 0.8166875, 0.68948588, 1.0],
        [0.66170197, 0.81030981, 0.67681901, 1.0],
        [0.64883779, 0.80397327, 0.66411792, 1.0],
        [0.63595742, 0.7976762, 0.65138051, 1.0],
        [0.62305942, 0.7914166, 0.63860522, 1.0],
        [0.61014222, 0.78519249, 0.62579026, 1.0],
        [0.5972048, 0.77900168, 0.61293422, 1.0],
        [0.58424437, 0.77284257, 0.60003373, 1.0],
        [0.57126025, 0.76671277, 0.58708736, 1.0],
        [0.55825089, 0.76061016, 0.57409258, 1.0],
        [0.54521479, 0.7545326, 0.56104662, 1.0],
        [0.53215068, 0.74847782, 0.54794662, 1.0],
        [0.51905677, 0.7424437, 0.53478881, 1.0],
        [0.50593213, 0.73642781, 0.52156981, 1.0],
        [0.49277647, 0.73042751, 0.50828638, 1.0],
        [0.47958828, 0.72444053, 0.49493329, 1.0],
        [0.46636752, 0.71846417, 0.48150597, 1.0],
        [0.45311465, 0.71249558, 0.46799938, 1.0],
        [0.43983048, 0.70653185, 0.45440752, 1.0],
        [0.42651641, 0.70057001, 0.44072338, 1.0],
        [0.41317495, 0.69460685, 0.42693906, 1.0],
        [0.39981074, 0.68863877, 0.41304639, 1.0],
        [0.38642978, 0.68266203, 0.39903534, 1.0],
        [0.37304068, 0.67667256, 0.38489445, 1.0],
        [0.35965554, 0.67066585, 0.37061051, 1.0],
        [0.34629102, 0.66463689, 0.35616809, 1.0],
        [0.33296934, 0.65858021, 0.34154812, 1.0],
        [0.31972276, 0.65248911, 0.32673019, 1.0],
        [0.30659409, 0.64635613, 0.31168812, 1.0],
        [0.29364271, 0.64017234, 0.29639063, 1.0],
        [0.28095161, 0.6339267, 0.28080074, 1.0],
        [0.26863629, 0.62760548, 0.26487263, 1.0],
        [0.25685988, 0.62119091, 0.24855083, 1.0],
        [0.24585388, 0.61465934, 0.23176622, 1.0],
        [0.23595245, 0.60797743, 0.21444164, 1.0],
        [0.2276368, 0.60109698, 0.19649468, 1.0],
        [0.2215957, 0.59394543, 0.17787076, 1.0],
        [0.21875813, 0.58641346, 0.15866027, 1.0],
        [0.22010089, 0.57835804, 0.13940001, 1.0],
        [0.22576821, 0.56968737, 0.12150366, 1.0],
        [0.23408523, 0.56052293, 0.10673965, 1.0],
        [0.24279397, 0.55113254, 0.09568639, 1.0],
        [0.25071449, 0.54170809, 0.08777186, 1.0],
        [0.25755296, 0.53233408, 0.08222038, 1.0],
        [0.26334629, 0.52304018, 0.07841347, 1.0],
        [0.26820823, 0.51383515, 0.07590004, 1.0],
        [0.27225898, 0.50471923, 0.07435148, 1.0],
        [0.27560285, 0.49568993, 0.07352303, 1.0],
        [0.27832605, 0.48674396, 0.07322852, 1.0],
        [0.28050179, 0.4778774, 0.07332683, 1.0],
        [0.28218962, 0.46908672, 0.07370823, 1.0],
        [0.28343947, 0.46036854, 0.07428781, 1.0],
        [0.28429373, 0.4517196, 0.07500001, 1.0],
        [0.28478767, 0.4431371, 0.07579291, 1.0],
        [0.28495246, 0.43461816, 0.07662709, 1.0],
        [0.28481458, 0.42616022, 0.07747135, 1.0],
        [0.28439662, 0.41776102, 0.07830066, 1.0],
        [0.28371934, 0.40941812, 0.0790967, 1.0],
        [0.28280031, 0.40112946, 0.07984429, 1.0],
        [0.28165529, 0.39289298, 0.08053178, 1.0],
        [0.28029846, 0.3847067, 0.08115029, 1.0],
        [0.27874221, 0.3765688, 0.08169251, 1.0],
        [0.27699807, 0.36847738, 0.08215336, 1.0],
        [0.27507588, 0.36043079, 0.08252812, 1.0],
        [0.27298508, 0.35242723, 0.08281395, 1.0],
        [0.27073397, 0.34446502, 0.08300837, 1.0],
        [0.26833013, 0.33654252, 0.08310954, 1.0],
        [0.26578034, 0.32865814, 0.08311591, 1.0],
        [0.26309097, 0.32081024, 0.08302663, 1.0],
        [0.26026785, 0.31299718, 0.08284118, 1.0],
        [0.25731597, 0.30521745, 0.08255864, 1.0],
        [0.25424037, 0.29746936, 0.08217912, 1.0],
        [0.25104534, 0.28975133, 0.08170227, 1.0],
        [0.24773479, 0.28206178, 0.08112785, 1.0],
        [0.24431247, 0.27439902, 0.08045599, 1.0],
        [0.24078169, 0.2667614, 0.07968667, 1.0],
        [0.23714544, 0.25914721, 0.07881988, 1.0],
        [0.23340646, 0.25155471, 0.07785565, 1.0],
        [0.22956719, 0.24398211, 0.07679404, 1.0],
        [0.22562981, 0.23642758, 0.07563509, 1.0],
        [0.22159626, 0.2288892, 0.07437884, 1.0],
        [0.21746812, 0.22136503, 0.07302519, 1.0],
        [0.21324687, 0.21385298, 0.07157431, 1.0],
        [0.20893367, 0.2063509, 0.07002628, 1.0],
        [0.20452931, 0.19885658, 0.06838106, 1.0],
        [0.20003441, 0.19136765, 0.06663882, 1.0],
        [0.19544923, 0.18388164, 0.06479976, 1.0],
        [0.19077364, 0.17639596, 0.06286404, 1.0],
        [0.18600721, 0.16890785, 0.06083214, 1.0],
        [0.18114895, 0.16141447, 0.05870445, 1.0],
        [0.17619746, 0.15391276, 0.05648169, 1.0],
        [0.17115066, 0.14639954, 0.0541647, 1.0],
        [0.16600577, 0.13887151, 0.05175443, 1.0],
        [0.16075924, 0.13132516, 0.04925215, 1.0],
        [0.15540648, 0.1237569, 0.04665909, 1.0],
        [0.14994181, 0.11616299, 0.04397653, 1.0],
        [0.1443583, 0.10853954, 0.04120557, 1.0],
        [0.13864759, 0.10088255, 0.03834377, 1.0],
        [0.1327998, 0.09318781, 0.03550234, 1.0],
        [0.12680354, 0.08545082, 0.03270663, 1.0],
        [0.12064589, 0.07766658, 0.02996323, 1.0],
        [0.11431249, 0.06982925, 0.02727708, 1.0],
        [0.10778769, 0.06193168, 0.02465158, 1.0],
    ],
    # cmocean colormaps converted for Matplotlib
    'cmo.algae': [
        (0.8429022637670928, 0.9769128443086749, 0.8146495714674897, 1.0),
        (0.8379898654100344, 0.9732407342044757, 0.8088430556678033, 1.0),
        (0.8330792003033266, 0.9695822214541993, 0.8030532648620266, 1.0),
        (0.8281700574948732, 0.9659372187629377, 0.7972802422761142, 1.0),
        (0.8232591263824388, 0.9623071583180457, 0.791517749986775, 1.0),
        (0.818349172338333, 0.9586904682961984, 0.7857720506350698, 1.0),
        (0.8134400361234098, 0.955087034641562, 0.780043304061748, 1.0),
        (0.8085287334688994, 0.9514980955891142, 0.7743261813916382, 1.0),
        (0.8036173420648491, 0.9479224436104144, 0.7686253533397396, 1.0),
        (0.7987060409170215, 0.9443598003220095, 0.7629416545120046, 1.0),
        (0.7937925122347355, 0.9408110588423104, 0.7572712382873507, 1.0),
        (0.7888774721308738, 0.9372756747279427, 0.751616046140824, 1.0),
        (0.7839617672758155, 0.9337530574201665, 0.7459781551153893, 1.0),
        (0.779044138086187, 0.9302435915337518, 0.7403557861728766, 1.0),
        (0.774123163835271, 0.9267477183327949, 0.7347469917710997, 1.0),
        (0.7692007373711555, 0.9232643756857684, 0.7291556698393132, 1.0),
        (0.7642766080322838, 0.9197934849334901, 0.7235818576277039, 1.0),
        (0.7593478268473827, 0.9163361556599035, 0.7180210830197954, 1.0),
        (0.7544162681443719, 0.912891348286658, 0.7124771068936172, 1.0),
        (0.749482165899517, 0.9094587642780914, 0.7069508171108205, 1.0),
        (0.74454464453482, 0.9060385878865821, 0.7014412864903699, 1.0),
        (0.7396014349798241, 0.902631587183765, 0.6959454639490867, 1.0),
        (0.7346547940498792, 0.8992365867115312, 0.6904675150024161, 1.0),
        (0.729704431915663, 0.8958535131435326, 0.6850074822882207, 1.0),
        (0.7247490312042899, 0.892482718323318, 0.6795638773235906, 1.0),
        (0.7197871536503424, 0.889124587473117, 0.6741351421211713, 1.0),
        (0.7148205906315451, 0.8857781679670408, 0.6687245323963695, 1.0),
        (0.7098490222489788, 0.8824433898084058, 0.6633320978710509, 1.0),
        (0.7048715598638584, 0.8791204089748886, 0.6579571019276891, 1.0),
        (0.6998858807424098, 0.8758099421807559, 0.6525968888447421, 1.0),
        (0.6948941393454672, 0.8725109084606608, 0.6472550946180131, 1.0),
        (0.6898959788510803, 0.8692232412884601, 0.6419317800561788, 1.0),
        (0.6848910317118896, 0.8659468751996842, 0.6366270089015388, 1.0),
        (0.6798769490247474, 0.8626825033431278, 0.6313382981547221, 1.0),
        (0.6748542718513757, 0.8594296871845805, 0.6260670342676679, 1.0),
        (0.6698236059410383, 0.8561879728828602, 0.6208146206652158, 1.0),
        (0.664784536551286, 0.852957298492747, 0.6155811388293936, 1.0),
        (0.6597366350463847, 0.8497376032066983, 0.6103666749315916, 1.0),
        (0.6546778498073401, 0.8465294186026241, 0.6051694131498633, 1.0),
        (0.6496081377794252, 0.8433325185775548, 0.5999900369339508, 1.0),
        (0.6445282101635998, 0.8401464057748564, 0.5948300803069693, 1.0),
        (0.6394375788791967, 0.8369710226136973, 0.5896896565661723, 1.0),
        (0.634335738151185, 0.8338063126244977, 0.5845688863102625, 1.0),
        (0.6292221635729954, 0.8306522204479636, 0.5794678980553558, 1.0),
        (0.624095063395704, 0.8275091254279797, 0.5743855059995369, 1.0),
        (0.6189539477625068, 0.8243769361676359, 0.5693220109772474, 1.0),
        (0.6137994351057368, 0.8212551782044566, 0.5642788688985793, 1.0),
        (0.6086309233573077, 0.8181437984076061, 0.5592562516207923, 1.0),
        (0.6034477870757419, 0.8150427445292481, 0.5542543429870632, 1.0),
        (0.5982493762730076, 0.8119519651518264, 0.5492733398149425, 1.0),
        (0.5930350151926495, 0.8088714096235919, 0.5443134529660693, 1.0),
        (0.5878040010377326, 0.8058010279811619, 0.5393749085029398, 1.0),
        (0.5825556026472023, 0.8027407708577773, 0.5344579489389234, 1.0),
        (0.5772876663840377, 0.7996910315164064, 0.5295616097386442, 1.0),
        (0.5720007307801391, 0.7966513294788654, 0.5246873967172444, 1.0),
        (0.5666941554135628, 0.7936215585273497, 0.5198357685218711, 1.0),
        (0.5613670944828394, 0.7906016675911841, 0.5150070514423125, 1.0),
        (0.5560186672658552, 0.7875916053777574, 0.5102015958622602, 1.0),
        (0.5506479565076833, 0.7845913201632198, 0.5054197781680846, 1.0),
        (0.5452540067541282, 0.781600759555872, 0.5006620028015225, 1.0),
        (0.5398358226320056, 0.7786198702294979, 0.4959287044657145, 1.0),
        (0.5343923670778303, 0.7756485976236309, 0.4912203504944597, 1.0),
        (0.5289225595174025, 0.7726868856074639, 0.4865374433949326, 1.0),
        (0.5234252739997397, 0.7697346761037857, 0.4818805235744546, 1.0),
        (0.5178993372898966, 0.7667919086690105, 0.47725017226218097, 1.0),
        (0.5123435269266533, 0.7638585200249728, 0.47264701463674325, 1.0),
        (0.5067565692524965, 0.7609344435378137, 0.46807172317094997, 1.0),
        (0.5011371374253174, 0.7580196086388176, 0.46352502120456945, 1.0),
        (0.4954838494233232, 0.7551139401816628, 0.4590076867559156, 1.0),
        (0.48979526605729046, 0.7522173577300404, 0.45452055658246965, 1.0),
        (0.48406815730713787, 0.7493302232220338, 0.45006357977732553, 1.0),
        (0.4783013360124501, 0.7464523294656016, 0.4456380221845723, 1.0),
        (0.47249405060248245, 0.7435833409938816, 0.44124544776964425, 1.0),
        (0.4666445818616462, 0.7407231498818753, 0.43688698757234556, 1.0),
        (0.4607511431720995, 0.7378716377692448, 0.4325638579641651, 1.0),
        (0.4548118791551377, 0.73502867451742, 0.4282773665493129, 1.0),
        (0.4488246916697361, 0.7321941577075957, 0.42402884381983086, 1.0),
        (0.4427816707495263, 0.7293693063882581, 0.4198173776667764, 1.0),
        (0.43668612252925726, 0.7265526435148785, 0.41564705469856233, 1.0),
        (0.4305358706593316, 0.7237439753686813, 0.41151964261071855, 1.0),
        (0.4243286683688641, 0.7209430867475092, 0.4074370373866784, 1.0),
        (0.4180533691692685, 0.7181516616727471, 0.40339835487455805, 1.0),
        (0.4117152151566087, 0.715367699558607, 0.3994086748894249, 1.0),
        (0.4053120447326638, 0.7125908305255363, 0.3954704830581987, 1.0),
        (0.3988310338161633, 0.7098228382481286, 0.39158355869787537, 1.0),
        (0.3922773504125327, 0.7070616628058336, 0.38775317153170563, 1.0),
        (0.38564530363929045, 0.7043074656954598, 0.3839816779215289, 1.0),
        (0.3789264219900637, 0.7015608428874934, 0.380271320464566, 1.0),
        (0.37212491801463854, 0.6988198403254853, 0.3766273561291236, 1.0),
        (0.36522562923090923, 0.696086143252727, 0.37305153422320936, 1.0),
        (0.35823533167826604, 0.6933572072574926, 0.3695499404331015, 1.0),
        (0.3511405088327757, 0.6906341612001636, 0.3661256768699448, 1.0),
        (0.34394206578424186, 0.6879154082481935, 0.3627843734908121, 1.0),
        (0.3366376245587634, 0.6851998988322399, 0.3595313212824274, 1.0),
        (0.32921312842444694, 0.6824884139177085, 0.35637146020240235, 1.0),
        (0.32167445830786484, 0.6797783170102, 0.3533114882245382, 1.0),
        (0.3140172671350763, 0.6770686201449667, 0.35035755319597883, 1.0),
        (0.3062375560076175, 0.6743581777161755, 0.34751621791054604, 1.0),
        (0.2983302406892556, 0.6716458949569478, 0.34479452344856243, 1.0),
        (0.29030037339282966, 0.6689291557488896, 0.34219931212206234, 1.0),
        (0.28214978428885523, 0.6662058429849557, 0.33973735053006743, 1.0),
        (0.2738829008222238, 0.6634735172067439, 0.3374150438308455, 1.0),
        (0.2655071740281889, 0.6607294316207971, 0.33523809788501713, 1.0),
        (0.2570334211300853, 0.6579705722659228, 0.3332111341597795, 1.0),
        (0.2484760249031936, 0.6551937268253881, 0.3313372827145078, 1.0),
        (0.23985293095131166, 0.652395582537771, 0.32961779053809526, 1.0),
        (0.23118417793768986, 0.6495729702230955, 0.32805202591044685, 1.0),
        (0.22249597255532083, 0.6467225401811797, 0.32663604509562677, 1.0),
        (0.21381460810639502, 0.643841468279378, 0.3253637783252084, 1.0),
        (0.2051671661243616, 0.6409273967897468, 0.3242268145630949, 1.0),
        (0.19658051083153188, 0.6379785280095539, 0.32321469473711945, 1.0),
        (0.18808024650713975, 0.6349936851788879, 0.3223153652533573, 1.0),
        (0.1796913740541282, 0.6319722298814686, 0.32151493619243937, 1.0),
        (0.17143307050053763, 0.628914342960667, 0.3208003886075819, 1.0),
        (0.16332235740141832, 0.6258206603139722, 0.3201583938437198, 1.0),
        (0.15537303872307792, 0.6226922583196569, 0.3195761743639153, 1.0),
        (0.14759587388365264, 0.6195305528827302, 0.3190418452926268, 1.0),
        (0.1399989467346694, 0.6163371978378411, 0.31854463643786274, 1.0),
        (0.1325881576814805, 0.613113991634155, 0.3180750084472181, 1.0),
        (0.1253677831749438, 0.6098627973272553, 0.3176246802424351, 1.0),
        (0.11834151252494815, 0.6065854884488631, 0.31718584977413955, 1.0),
        (0.11151260743449265, 0.6032839586583696, 0.31675058900390746, 1.0),
        (0.10488193945150667, 0.5999599650973243, 0.3163157773881626, 1.0),
        (0.09845229630728664, 0.5966151576836507, 0.31587742896515963, 1.0),
        (0.09222723505152297, 0.5932511684885474, 0.3154305788787992, 1.0),
        (0.08620976681204781, 0.589869671329717, 0.31496950472809665, 1.0),
        (0.08040588003861268, 0.5864717566016173, 0.31449635944458343, 1.0),
        (0.0748198699806237, 0.5830590393336594, 0.31400453276580925, 1.0),
        (0.06946029534260434, 0.5796325615836696, 0.31349438649013284, 1.0),
        (0.06433627993915528, 0.5761934589668912, 0.3129640951373787, 1.0),
        (0.059457216444331946, 0.5727428791151662, 0.31241134920751873, 1.0),
        (0.054836765288902266, 0.5692816942618841, 0.3118359557718814, 1.0),
        (0.050490368521068286, 0.5658107385911854, 0.3112374314935371, 1.0),
        (0.046427771549177425, 0.5623311839573433, 0.31061246627219297, 1.0),
        (0.04267873894906259, 0.5588431316231525, 0.309965317720847, 1.0),
        (0.03923368215696796, 0.5553481890828847, 0.30928929963142576, 1.0),
        (0.036215810173316154, 0.5518464055245291, 0.30858828466612254, 1.0),
        (0.03367174260746117, 0.5483382191382968, 0.3078629031746034, 1.0),
        (0.031553571348809616, 0.5448249609075901, 0.30710845901170253, 1.0),
        (0.029841631944320636, 0.5413067537046711, 0.3063273483583937, 1.0),
        (0.02851433193286296, 0.537783858301856, 0.3055207233916586, 1.0),
        (0.02754542481457317, 0.5342567759013213, 0.3046882377538096, 1.0),
        (0.026895704405089572, 0.5307265908415564, 0.3038266898313282, 1.0),
        (0.0265511134734821, 0.5271933424208225, 0.30293806681959906, 1.0),
        (0.026494791142794412, 0.5236572235511334, 0.30202332152308653, 1.0),
        (0.02670582470265942, 0.5201186270434557, 0.3010823500978198, 1.0),
        (0.02716440603849906, 0.5165779238412416, 0.3001150958048797, 1.0),
        (0.0278517744518787, 0.5130354641701924, 0.29912154408382685, 1.0),
        (0.028745076722316982, 0.5094917938725799, 0.298100870103537, 1.0),
        (0.029826660705502935, 0.5059472607886396, 0.29705306778656937, 1.0),
        (0.03108771284944303, 0.5024018586614166, 0.29597941929665506, 1.0),
        (0.03251322799624089, 0.49885586192726367, 0.2948800270305383, 1.0),
        (0.034088992616462, 0.49530952940929923, 0.2937550173740441, 1.0),
        (0.03580154506882658, 0.49176310507657933, 0.2926045381193648, 1.0),
        (0.037638138152309694, 0.48821681875167927, 0.29142875613654534, 1.0),
        (0.03958670383768114, 0.48467088676904396, 0.290227855274037, 1.0),
        (0.04160606223970296, 0.48112551258652875, 0.28900203446522654, 1.0),
        (0.043643691993716295, 0.47758088735264975, 0.28775150601977867, 1.0),
        (0.045696615277651446, 0.4740371904320783, 0.28647649408043596, 1.0),
        (0.04775452753988133, 0.4704945898919369, 0.28517723322760435, 1.0),
        (0.04980869291606533, 0.4669532429514432, 0.28385396721563594, 1.0),
        (0.05185173623572529, 0.46341329639743106, 0.28250694782616875, 1.0),
        (0.05387745614388812, 0.4598748869682287, 0.28113643382525133, 1.0),
        (0.05588065991543698, 0.4563381417083428, 0.27974269001223445, 1.0),
        (0.05785701915204972, 0.4528031782963246, 0.27832598634957584, 1.0),
        (0.059798767063635495, 0.4492703547749641, 0.2768859613477449, 1.0),
        (0.06170040530833438, 0.4457399494079359, 0.2754224910913551, 1.0),
        (0.06356556527046725, 0.4422117069661303, 0.27393677067119526, 1.0),
        (0.06539233256679153, 0.43868571165462156, 0.27242909031324136, 1.0),
        (0.06717918154984043, 0.43516203959574273, 0.270899741762062, 1.0),
        (0.06892491848697405, 0.4316407590421983, 0.26934901774298603, 1.0),
        (0.07062863315353249, 0.42812193057685916, 0.2677772114552923, 1.0),
        (0.07228965757688333, 0.4246056073010453, 0.26618461609192384, 1.0),
        (0.0738964178191889, 0.42109265866359735, 0.264569764989318, 1.0),
        (0.07545434928417494, 0.4175827498520322, 0.2629338431200398, 1.0),
        (0.07696833442757364, 0.41407555225950826, 0.2612779353323397, 1.0),
        (0.07843838726966873, 0.41057109162708516, 0.25960233625447043, 1.0),
        (0.07986463095393956, 0.4070693869948523, 0.25790733832251206, 1.0),
        (0.08124183059024487, 0.40357090455762634, 0.25619236030533726, 1.0),
        (0.08256190184629639, 0.40007639297253267, 0.2544563479235497, 1.0),
        (0.08383876927413886, 0.39658474955297685, 0.2527017537470715, 1.0),
        (0.08507286345646176, 0.39309596858375523, 0.2509288633450959, 1.0),
        (0.08626466273198904, 0.38961003829855795, 0.24913795832584001, 1.0),
        (0.08739775523971838, 0.3861285039195596, 0.24732661515472854, 1.0),
        (0.08848513420336723, 0.3826502629618194, 0.24549710093623411, 1.0),
        (0.08953167205157095, 0.37917489888328454, 0.24365037324263478, 1.0),
        (0.09053797836732039, 0.3757023773832682, 0.24178670003536745, 1.0),
        (0.0914855409761797, 0.3722345634210444, 0.23990331732038073, 1.0),
        (0.09239032630846283, 0.3687699624551819, 0.23800292616107038, 1.0),
        (0.09325665476520709, 0.36530816657931414, 0.23608636306367092, 1.0),
        (0.0940794717829676, 0.36184972050762615, 0.23415298271609408, 1.0),
        (0.09484677589858043, 0.35839594602775404, 0.2322010660237076, 1.0),
        (0.09557752330564703, 0.3549448939617083, 0.23023372474185294, 1.0),
        (0.09627239441888108, 0.3514964944168566, 0.2282511932335975, 1.0),
        (0.09690948221035081, 0.3480532009152631, 0.2262502344543431, 1.0),
        (0.09750943240499499, 0.344612783200771, 0.22423417377746535, 1.0),
        (0.0980754589674667, 0.34117487803030694, 0.22220361934284683, 1.0),
        (0.09858840445742731, 0.33774172054541446, 0.22015579553120368, 1.0),
        (0.09906254148928931, 0.3343117038364874, 0.21809299988456865, 1.0),
        (0.09950470237088999, 0.330884018800639, 0.21601636488554055, 1.0),
        (0.09989442828501457, 0.3274611474658599, 0.21392297168508284, 1.0),
        (0.10024780518406715, 0.3240411780581064, 0.2118153315535568, 1.0),
        (0.10057111713385061, 0.32062332022987877, 0.20969445853590685, 1.0),
        (0.10083895694928949, 0.31721077956536264, 0.20755678489778973, 1.0),
        (0.10107660138309929, 0.3138003866895045, 0.2054060788674455, 1.0),
        (0.10127976106598804, 0.31039266839166185, 0.2032418103374508, 1.0),
        (0.10143361284951741, 0.3069895754355959, 0.20106200247541928, 1.0),
        (0.10156045747196116, 0.30358817426729123, 0.19886988066388311, 1.0),
        (0.10164390430683873, 0.30019063781054184, 0.19666326183366822, 1.0),
        (0.10169001468188824, 0.29679615870099285, 0.19444308672179275, 1.0),
        (0.10170932703070379, 0.29340326419898094, 0.19221085335952173, 1.0),
        (0.10167654448707947, 0.2900154576395236, 0.18996327625620973, 1.0),
        (0.1016196069311546, 0.2866288210415605, 0.1877041478451553, 1.0),
        (0.10152194859744632, 0.28324566551643965, 0.18543136883200317, 1.0),
        (0.10138903077757816, 0.2798651977505757, 0.18314573497333989, 1.0),
        (0.10122816813257937, 0.27648631325819883, 0.18084823244841508, 1.0),
        (0.10102102619606765, 0.27311167968658484, 0.17853664594364904, 1.0),
        (0.10079232565016058, 0.26973759562894356, 0.17621409338974817, 1.0),
        (0.10051751746287685, 0.2663676978648497, 0.17387764941334982, 1.0),
        (0.10021730068672999, 0.26299881758636445, 0.17152986242704915, 1.0),
        (0.09988042668340708, 0.25963261585624003, 0.1691694475105532, 1.0),
        (0.09951032875855423, 0.2562685171837932, 0.1667968626726523, 1.0),
        (0.09911165965335703, 0.25290572757340524, 0.16441266979004485, 1.0),
        (0.09867326641808749, 0.24954595161506415, 0.16201567478792359, 1.0),
        (0.09821309319240137, 0.2461862546952749, 0.15960786709486033, 1.0),
        (0.0977079368834648, 0.24283030470232686, 0.15718679773767946, 1.0),
        (0.09718522833757223, 0.23947356379528656, 0.15475536960660388, 1.0),
        (0.09661611889067362, 0.2361206836681891, 0.15231064240452327, 1.0),
        (0.09602890382911672, 0.23276689397380929, 0.14985547902616578, 1.0),
        (0.09539953637497836, 0.229416115391385, 0.1473875249443533, 1.0),
        (0.09474917991081286, 0.2260646807246796, 0.14490881256585864, 1.0),
        (0.09405984876891313, 0.22271554206652022, 0.1424176598027472, 1.0),
        (0.09334764966575743, 0.2193658224428529, 0.1399155213806155, 1.0),
        (0.09259864172169813, 0.2160178161752644, 0.13740115229988453, 1.0),
        (0.09182582886012353, 0.21266912527193488, 0.13487564372155342, 1.0),
        (0.09101741805439967, 0.20932169466055456, 0.13233799067676233, 1.0),
        (0.09018514688041954, 0.20597329682238585, 0.12978909665464905, 1.0),
        (0.08931758876675888, 0.20262583217634333, 0.1272280374767779, 1.0),
        (0.08842693764273418, 0.19927693889141107, 0.12465566703875203, 1.0),
        (0.08750046390510707, 0.19592877326236974, 0.12207102011301649, 1.0),
        (0.08655243027600307, 0.1925785390204607, 0.1194750015988692, 1.0),
        (0.08556724308545122, 0.1892289432653287, 0.11686652044099588, 1.0),
        (0.08456273936118519, 0.18587646069514413, 0.11424659589579425, 1.0),
        (0.08351900544036733, 0.18252463779337236, 0.11161396311660485, 1.0),
        (0.08245885447713625, 0.1791689319540811, 0.10896978194724044, 1.0),
        (0.08135669872091314, 0.17581401044835696, 0.10631260246582847, 1.0),
        (0.08023864908973366, 0.17245461222920744, 0.10364358377893049, 1.0),
        (0.07908112723260086, 0.1690950585274078, 0.10096150752114275, 1.0),
        (0.0779043952087185, 0.16573113252232335, 0.09826708487284272, 1.0),
        (0.07669293821383047, 0.16236560631917887, 0.09555954478117026, 1.0),
        (0.07545752224924832, 0.15899605942210865, 0.09283909520333206, 1.0),
        (0.07419260617097681, 0.1556232855365611, 0.0901053581132798, 1.0),
        (0.07289843379575939, 0.15224691760015746, 0.08735814807810177, 1.0),
        (0.07158041455970551, 0.14886551232096243, 0.08459734502497687, 1.0),
        (0.07022733114464505, 0.14548100310099987, 0.0818225170848618, 1.0),
        (0.06885643403782271, 0.14208946011590498, 0.07903362825094448, 1.0),
    ],
    'cmo.amp': [
        (0.9463470914425774, 0.9290101343908121, 0.9257532417012246, 1.0),
        (0.9437115115548889, 0.9244624965319422, 0.9206701514370421, 1.0),
        (0.9413263164430621, 0.9198473615841167, 0.9154240958990898, 1.0),
        (0.9390547090113203, 0.9152093965940419, 0.9101090387889319, 1.0),
        (0.9368634575300728, 0.9105592179043572, 0.9047473920040984, 1.0),
        (0.9347358946162059, 0.9059020202913444, 0.8993502288257004, 1.0),
        (0.9326614522721177, 0.9012410121503533, 0.8939244930449518, 1.0),
        (0.9306333250978274, 0.8965781745298963, 0.8884745648022901, 1.0),
        (0.9286461606427049, 0.8919150224616215, 0.8830038737434345, 1.0),
        (0.9266960476646858, 0.8872526027444326, 0.8775148739503741, 1.0),
        (0.9247795820079757, 0.8825918040419665, 0.8720097084454925, 1.0),
        (0.9228944807039247, 0.8779331456742857, 0.866489734491069, 1.0),
        (0.9210380342808241, 0.8732773006486704, 0.8609566713320466, 1.0),
        (0.9192087851735465, 0.8686245228987975, 0.8554113284148981, 1.0),
        (0.9174048150925065, 0.8639752297661512, 0.8498548926033711, 1.0),
        (0.9156244455582712, 0.8593297631172468, 0.8442883976261035, 1.0),
        (0.9138671371679709, 0.8546880756641417, 0.8387120160257572, 1.0),
        (0.9121305737300281, 0.850050740432112, 0.8331273220967562, 1.0),
        (0.9104149075499773, 0.8454174764656699, 0.827533979169154, 1.0),
        (0.9087182868982504, 0.8407887046755945, 0.8219332381316957, 1.0),
        (0.9070398066265999, 0.8361645202367322, 0.816325624248142, 1.0),
        (0.9053796160871284, 0.8315446471258203, 0.8107108259382036, 1.0),
        (0.9037352419915254, 0.8269297416714002, 0.8050906531516163, 1.0),
        (0.902108008390801, 0.8223191128622156, 0.7994638601040017, 1.0),
        (0.9004956244333241, 0.8177133605075643, 0.7938321412777888, 1.0),
        (0.8988977241110836, 0.8131124010808856, 0.7881956419539297, 1.0),
        (0.8973148627806267, 0.8085158161746069, 0.78255374469615, 1.0),
        (0.8957442417382828, 0.8039244072828748, 0.7769086245337948, 1.0),
        (0.8941881096565636, 0.7993371392915322, 0.7712582600059588, 1.0),
        (0.892643723422307, 0.7947548018176209, 0.7656048088583016, 1.0),
        (0.891110961359488, 0.7901772295732086, 0.7599482475326527, 1.0),
        (0.8895909134152744, 0.7856038035950862, 0.7542875143411862, 1.0),
        (0.8880802871606852, 0.7810355387672826, 0.7486252986030704, 1.0),
        (0.8865819248532246, 0.7764711589075004, 0.7429590373479497, 1.0),
        (0.8850930260657449, 0.7719115034698936, 0.7372910251414285, 1.0),
        (0.8836131402967402, 0.7673565360639147, 0.7316215502737657, 1.0),
        (0.8821444223454562, 0.7628052217660783, 0.7259486135652995, 1.0),
        (0.8806827953756126, 0.7582589101067193, 0.7202756895379377, 1.0),
        (0.8792311851397604, 0.753716264993595, 0.7146000961578288, 1.0),
        (0.8777875677079441, 0.7491778548550656, 0.7089235227883948, 1.0),
        (0.8763501988878248, 0.7446441541668698, 0.7032474436364753, 1.0),
        (0.8749232756241082, 0.7401133023432255, 0.6975679937396324, 1.0),
        (0.8735014600514631, 0.7355871888710872, 0.6918898915870101, 1.0),
        (0.8720870217729678, 0.7310647072768981, 0.6862110066741609, 1.0),
        (0.8706800348126627, 0.7265456103843926, 0.6805311805702053, 1.0),
        (0.8692770022519557, 0.7220310948598716, 0.6748535454654478, 1.0),
        (0.8678827146915726, 0.7175190094979649, 0.6691736166956238, 1.0),
        (0.8664927921052478, 0.7130109157552886, 0.6634953613259194, 1.0),
        (0.8651068719926267, 0.7085067580022798, 0.657819065740773, 1.0),
        (0.8637289803901067, 0.7040046558915141, 0.6521408976142409, 1.0),
        (0.8623534679961476, 0.6995067341461494, 0.6464660893001026, 1.0),
        (0.8609830606578612, 0.6950116457163946, 0.6407920274183935, 1.0),
        (0.8596180478330473, 0.6905190440208219, 0.6351183727606341, 1.0),
        (0.858254482501879, 0.686030386918662, 0.6294488360238388, 1.0),
        (0.8568970944227636, 0.681543440054542, 0.6237788543057762, 1.0),
        (0.8555425925651013, 0.6770593865574592, 0.6181115291897924, 1.0),
        (0.8541886800910098, 0.6725790118919016, 0.6124490539806487, 1.0),
        (0.8528418735895523, 0.6680992506239647, 0.6067850786519379, 1.0),
        (0.8514956700712879, 0.6636227191543088, 0.6011258775897346, 1.0),
        (0.8501500355486914, 0.6591492264653024, 0.5954714806881288, 1.0),
        (0.8488106382652111, 0.6546760150904928, 0.5898162979999664, 1.0),
        (0.8474706581846417, 0.6502059048227525, 0.5841670108646531, 1.0),
        (0.8461313452075343, 0.6457381204225884, 0.5785223911431566, 1.0),
        (0.844796915460738, 0.6412705018379198, 0.5728782339090507, 1.0),
        (0.8434612056654143, 0.6368056357299209, 0.5672406638938773, 1.0),
        (0.8421258352164873, 0.6323425572542191, 0.5616080798917625, 1.0),
        (0.8407944708783339, 0.6278793105389964, 0.5559767932481036, 1.0),
        (0.8394611847956942, 0.6234184331258649, 0.5503527766345649, 1.0),
        (0.8381273683455257, 0.6189590462186139, 0.5447346560426543, 1.0),
        (0.8367972635859408, 0.6144988712509785, 0.5391181340824647, 1.0),
        (0.8354646463246349, 0.6100406459813725, 0.5335095625632336, 1.0),
        (0.834129971705899, 0.6055839279215073, 0.5279085280772742, 1.0),
        (0.8327994021627662, 0.601125442556142, 0.5223087380798425, 1.0),
        (0.83146577543999, 0.5966684488411785, 0.5167175843922774, 1.0),
        (0.8301288592609737, 0.5922128365915519, 0.5111353769747372, 1.0),
        (0.828795101168509, 0.5877551092176589, 0.5055554913593263, 1.0),
        (0.8274588476811213, 0.5832978393600146, 0.4999838390239016, 1.0),
        (0.8261188250087038, 0.5788414339387951, 0.49442182831971565, 1.0),
        (0.8247786369803286, 0.5743837798031476, 0.48886577577718565, 1.0),
        (0.8234381838800089, 0.5699246359812502, 0.4833158537977021, 1.0),
        (0.8220935149852323, 0.5654657957469003, 0.47777629940777616, 1.0),
        (0.8207444566974768, 0.5610071021581609, 0.47224740960967865, 1.0),
        (0.8193981033425531, 0.5565444762341526, 0.466721796238239, 1.0),
        (0.8180472685091409, 0.5520814646564632, 0.4612071590527029, 1.0),
        (0.8166916431769154, 0.5476179715812224, 0.45570396315960265, 1.0),
        (0.8153328745786678, 0.5431528161626911, 0.45021059970797356, 1.0),
        (0.8139743540529153, 0.5386837997184832, 0.44472359257433686, 1.0),
        (0.8126106579688792, 0.5342136249170786, 0.4392488743242201, 1.0),
        (0.8112416585089723, 0.5297420805368264, 0.43378675734675415, 1.0),
        (0.8098689150112462, 0.525267978352852, 0.42833575464234885, 1.0),
        (0.808495613534439, 0.5207891399756702, 0.42289263261233284, 1.0),
        (0.8071166424763304, 0.5163081809730884, 0.41746307703963514, 1.0),
        (0.8057318945579316, 0.5118248549122679, 0.4120474263101408, 1.0),
        (0.804341270825559, 0.5073389039757839, 0.4066460228640024, 1.0),
        (0.8029498733805646, 0.5028469116894595, 0.4012536130705924, 1.0),
        (0.801553188840249, 0.4983512104818561, 0.3958753217358975, 1.0),
        (0.8001502657810106, 0.4938520308181938, 0.3905124577505094, 1.0),
        (0.7987410157112331, 0.48934907714377834, 0.3851654167818975, 1.0),
        (0.7973253554907256, 0.48484204162220784, 0.37983460665851754, 1.0),
        (0.7959075773999774, 0.4803278114438007, 0.3745157291750968, 1.0),
        (0.7944838857609586, 0.47580836505566054, 0.3692132449197628, 1.0),
        (0.7930533836294738, 0.4712838795689627, 0.3639285059842315, 1.0),
        (0.7916159847493996, 0.4667540085796574, 0.35866201245046625, 1.0),
        (0.7901716040813833, 0.462218393087859, 0.35341428842631084, 1.0),
        (0.7887201567691978, 0.4576766614569128, 0.34818588503452214, 1.0),
        (0.7872638957915846, 0.4531268310219068, 0.3429748729037092, 1.0),
        (0.7858016971109999, 0.44856916504039107, 0.3377829921447058, 1.0),
        (0.7843319196766079, 0.444004305111186, 0.33261256403590844, 1.0),
        (0.7828544529945841, 0.4394318439857144, 0.3274643000606007, 1.0),
        (0.7813691807701973, 0.43485136281876857, 0.3223389566893521, 1.0),
        (0.7798759793897394, 0.43026243152079025, 0.3172373399087717, 1.0),
        (0.7783747162977331, 0.4256646092089761, 0.31216031007046574, 1.0),
        (0.7768652482649209, 0.4210574447687118, 0.30710878707192407, 1.0),
        (0.7753474195428932, 0.4164404775377301, 0.30208375587932806, 1.0),
        (0.773821059901709, 0.41181323812628107, 0.29708627239997354, 1.0),
        (0.7722859825475274, 0.40717524938750194, 0.29211746970901464, 1.0),
        (0.7707419819180442, 0.40252602755306677, 0.2871785646313977, 1.0),
        (0.7691888313545883, 0.39786508355001254, 0.28227086467510076, 1.0),
        (0.7676262806509283, 0.3931919245154482, 0.2773957753058901, 1.0),
        (0.7660540534803423, 0.3885060555265225, 0.2725548075466421, 1.0),
        (0.7644718447042359, 0.38380698156359944, 0.26774958587562403, 1.0),
        (0.7628793175676447, 0.37909420972500596, 0.26298185638780724, 1.0),
        (0.761276100789314, 0.37436725171190655, 0.25825349517109025, 1.0),
        (0.759661785556749, 0.3696256266018117, 0.2535665168349998, 1.0),
        (0.7580359224396769, 0.36486886392888396, 0.24892308311284322, 1.0),
        (0.7563980182387592, 0.36009650708846586, 0.24432551143916492, 1.0),
        (0.7547475327902162, 0.35530811708211074, 0.23977628338259344, 1.0),
        (0.7530838757510928, 0.3505032766177708, 0.2352780527895847, 1.0),
        (0.7514064033944252, 0.3456815945775676, 0.23083365346717544, 1.0),
        (0.7497144154482879, 0.34084271086277157, 0.2264461062026798, 1.0),
        (0.748009393171987, 0.3359841374696425, 0.22211674532100106, 1.0),
        (0.7462904219476444, 0.3311055722690472, 0.21784921383049938, 1.0),
        (0.7445546708594931, 0.32620860861425116, 0.21364883500906445, 1.0),
        (0.7428011522578348, 0.3212930797652774, 0.20951949320632884, 1.0),
        (0.7410289292300999, 0.31635875567738986, 0.20546518831304655, 1.0),
        (0.7392422371017412, 0.3113999367010875, 0.2014864526930904, 1.0),
        (0.7374344355234757, 0.3064221768888289, 0.19759196639928905, 1.0),
        (0.7356041908206575, 0.30142564567186814, 0.19378648417192806, 1.0),
        (0.7337546411878118, 0.29640553182722634, 0.1900722381207737, 1.0),
        (0.7318814451569351, 0.29136515365589183, 0.18645645143214024, 1.0),
        (0.7299813549163197, 0.2863068267986909, 0.182945445467719, 1.0),
        (0.7280589696708802, 0.2812237436541008, 0.17954175722347615, 1.0),
        (0.726105829580437, 0.276124337113852, 0.17625450021243563, 1.0),
        (0.7241247102013246, 0.27100385207789823, 0.17308755257937375, 1.0),
        (0.7221106804386586, 0.2658668602953934, 0.17004801253705928, 1.0),
        (0.7200637636280236, 0.26071192016057537, 0.16714113401833872, 1.0),
        (0.7179797241720924, 0.25554309236188777, 0.16437319516742166, 1.0),
        (0.7158585660201039, 0.2503590497486887, 0.16174941254951844, 1.0),
        (0.7136946458601574, 0.24516618443455568, 0.15927526874700956, 1.0),
        (0.7114894074734619, 0.23996138539013034, 0.15695555498924318, 1.0),
        (0.7092368038757342, 0.23475217953956656, 0.15479433649983232, 1.0),
        (0.7069352804131668, 0.22954010283245363, 0.15279508846954593, 1.0),
        (0.7045831993890991, 0.22432695052170692, 0.15096086330154884, 1.0),
        (0.7021764206472545, 0.2191186683316912, 0.1492928085088981, 1.0),
        (0.6997128684389146, 0.21391846087313449, 0.1477916611410667, 1.0),
        (0.6971911916356166, 0.20872863248980594, 0.14645779512741267, 1.0),
        (0.694608025694665, 0.20355521970979312, 0.1452888805599515, 1.0),
        (0.691961563516207, 0.1984021504802455, 0.1442823442764896, 1.0),
        (0.6892502621260994, 0.19327328983124586, 0.14343469162407102, 1.0),
        (0.6864728173440261, 0.1881724668500568, 0.14274155730219815, 1.0),
        (0.6836276497375878, 0.18310448616389902, 0.14219685392561915, 1.0),
        (0.6807138936899736, 0.1780732451543535, 0.14179429479397382, 1.0),
        (0.6777309286205458, 0.1730825547177756, 0.14152695682756683, 1.0),
        (0.6746783856387729, 0.16813609211594568, 0.1413874528291548, 1.0),
        (0.6715560313350846, 0.16323763023467802, 0.1413677792054587, 1.0),
        (0.6683639211377227, 0.15839066448905154, 0.14145987720734696, 1.0),
        (0.6651023056640176, 0.1535985670708633, 0.14165564120862914, 1.0),
        (0.6617715794982882, 0.14886466992004516, 0.14194696401843887, 1.0),
        (0.6583721731985414, 0.14419253884866756, 0.14232538764712785, 1.0),
        (0.6549047613747174, 0.13958536264203755, 0.1427832909133252, 1.0),
        (0.6513700233144809, 0.1350465677963596, 0.14331304400411582, 1.0),
        (0.6477686724727176, 0.13057973555955435, 0.14390724624899234, 1.0),
        (0.6441014028993072, 0.12618880404747118, 0.14455831850745404, 1.0),
        (0.6403689740006455, 0.12187774955331993, 0.14525938214890988, 1.0),
        (0.6365721433135939, 0.11765076206264127, 0.1460041387809807, 1.0),
        (0.6327116135602411, 0.1135124987936143, 0.1467862349801432, 1.0),
        (0.6287880597206695, 0.10946810453149933, 0.14759895665192638, 1.0),
        (0.624802160074394, 0.10552294311162347, 0.14843641407810854, 1.0),
        (0.6207545450778899, 0.10168277367723497, 0.14929330206816796, 1.0),
        (0.6166458126074588, 0.0979538813257887, 0.15016403862586306, 1.0),
        (0.6124766416655831, 0.09434293988806133, 0.15104188186284778, 1.0),
        (0.6082475860694412, 0.09085689252672627, 0.15192244241069228, 1.0),
        (0.6039592307964848, 0.08750309254173272, 0.152800549230313, 1.0),
        (0.5996123270243046, 0.08428892340087804, 0.15366992426316123, 1.0),
        (0.5952075850399283, 0.0812218841550103, 0.15452537366009383, 1.0),
        (0.5907456431322212, 0.07830966313722748, 0.1553624952709374, 1.0),
        (0.58622753807226, 0.0755591326365807, 0.1561749022891834, 1.0),
        (0.5816543085194019, 0.07297679500504323, 0.15695715248957273, 1.0),
        (0.5770267606447558, 0.07056924923284622, 0.1577054842373718, 1.0),
        (0.5723466647463711, 0.06834024207619036, 0.15841244074374952, 1.0),
        (0.5676151929412465, 0.06629402087598951, 0.15907416349738407, 1.0),
        (0.5628336935771917, 0.06443348056543877, 0.15968656195818337, 1.0),
        (0.5580050003714496, 0.0627563323208131, 0.16024131648638001, 1.0),
        (0.553129730026375, 0.061264966003670186, 0.16073838722252617, 1.0),
        (0.5482116402359448, 0.059951672463503906, 0.16116862842569016, 1.0),
        (0.5432516061451815, 0.058815478080767876, 0.1615323341086056, 1.0),
        (0.5382535120903691, 0.05784532671126728, 0.16182217249242892, 1.0),
        (0.5332186175206465, 0.05703660923770781, 0.16203840254831997, 1.0),
        (0.5281513818389997, 0.05637398150597447, 0.1621742451273616, 1.0),
        (0.5230520756324539, 0.05585383743496477, 0.16223297446650892, 1.0),
        (0.5179273401770115, 0.055452356173217886, 0.16220493470950484, 1.0),
        (0.5127760391281988, 0.055169000398383204, 0.1620968226308776, 1.0),
        (0.5076034324141471, 0.05498326606891082, 0.16190306770047433, 1.0),
        (0.5024122108869354, 0.054882403402991616, 0.1616236282627719, 1.0),
        (0.49720285658128854, 0.054860414541897294, 0.16126215534793706, 1.0),
        (0.4919800125101928, 0.0548987349034176, 0.16081568532592563, 1.0),
        (0.48674699760887324, 0.0549831981089153, 0.16028395386822858, 1.0),
        (0.4815035401048064, 0.055110746165055007, 0.15967185890833058, 1.0),
        (0.4762519241645499, 0.05527092475320084, 0.15898043230398212, 1.0),
        (0.470994315623295, 0.05545404644646996, 0.15821095299084026, 1.0),
        (0.46573628876914036, 0.055641064029266586, 0.1573608184133624, 1.0),
        (0.460476010638522, 0.05583489737898189, 0.15643639978591814, 1.0),
        (0.45521509064274485, 0.05602873466021515, 0.15543962780955095, 1.0),
        (0.4499550509587918, 0.056216386053933164, 0.1543724780354263, 1.0),
        (0.4446972616844994, 0.056392436572165826, 0.15323702052676988, 1.0),
        (0.4394429409822757, 0.056552205742472376, 0.15203539454572793, 1.0),
        (0.43419315706087913, 0.05669170022106549, 0.15076978501773042, 1.0),
        (0.42894883177826687, 0.05680756188500035, 0.14944240096247172, 1.0),
        (0.42371074563388755, 0.05689701352302535, 0.14805545600978304, 1.0),
        (0.41847954391353076, 0.05695780383827743, 0.14661115105489736, 1.0),
        (0.4132557437526689, 0.05698815310778365, 0.14511165905212195, 1.0),
        (0.40803974189376635, 0.05698670052046274, 0.14355911189938655, 1.0),
        (0.4028318229277384, 0.05695245393890951, 0.14195558932859637, 1.0),
        (0.3976321678282655, 0.056884742599138234, 0.1403031096878759, 1.0),
        (0.39244086260858335, 0.056783173073428124, 0.1386036224809997, 1.0),
        (0.3872615129675307, 0.056638962107115394, 0.13685687326548154, 1.0),
        (0.38209282515750637, 0.05645532265747306, 0.13506562145945913, 1.0),
        (0.37693297008659526, 0.05623657775378712, 0.13323265478171828, 1.0),
        (0.3717817181595341, 0.05598316066775242, 0.13135964702615835, 1.0),
        (0.3666387821359218, 0.05569561666867811, 0.12944818447248363, 1.0),
        (0.3615063297404105, 0.055368905342518086, 0.1274985831214487, 1.0),
        (0.3563880603817025, 0.054994754797365965, 0.12551057343429056, 1.0),
        (0.35127760422970605, 0.054587555256877356, 0.12348844111949916, 1.0),
        (0.34617447939881285, 0.05414817693699587, 0.12143346023387491, 1.0),
        (0.34108130902626443, 0.053670686748314524, 0.11934559230900924, 1.0),
        (0.33600266152923997, 0.053145164202812685, 0.11722421234260874, 1.0),
        (0.330930296651111, 0.05258939733233552, 0.11507351800487464, 1.0),
        (0.32586361621060217, 0.05200433045735336, 0.11289448177283642, 1.0),
        (0.3208133832347068, 0.051366995742713355, 0.11068434154148366, 1.0),
        (0.3157696216592825, 0.05069836482305853, 0.10844733477886831, 1.0),
        (0.31073012669257144, 0.050002635990395956, 0.10618475480366807, 1.0),
        (0.30570613318807954, 0.04925629172594596, 0.10389403862217583, 1.0),
        (0.3006879268630521, 0.04847913366710451, 0.1015787046192155, 1.0),
        (0.29567262172076897, 0.0476765436420881, 0.09923998323658684, 1.0),
        (0.2906746306466352, 0.04681900231021129, 0.09687492161154249, 1.0),
        (0.28567820026472424, 0.0459378923675579, 0.09448789214269404, 1.0),
        (0.2806890017083342, 0.045021283723356655, 0.09207800935320637, 1.0),
        (0.27571029555420035, 0.04406225179606895, 0.0896451310079687, 1.0),
        (0.2707312541226, 0.04308157177910076, 0.08719176105781662, 1.0),
        (0.26576673729336, 0.04204947038025995, 0.08471559044612612, 1.0),
        (0.26080250534025834, 0.04099314121499579, 0.08221947676879418, 1.0),
        (0.25584517470351725, 0.0398918279513597, 0.07970262452812599, 1.0),
        (0.2508938137991354, 0.03876029441108298, 0.07716551375026653, 1.0),
        (0.24594280636291438, 0.037621485497758754, 0.07460911056507216, 1.0),
        (0.24100216006946706, 0.036457466898043946, 0.07203245689473128, 1.0),
        (0.23605636466461405, 0.03529747994604029, 0.06943744239412558, 1.0),
    ],
    'cmo.balance': [
        (0.09317630180115785, 0.11117332947760272, 0.26151238855305475, 1.0),
        (0.09697151501690242, 0.11687021097928418, 0.2730963071061036, 1.0),
        (0.10096884516867825, 0.1223931506799195, 0.2849103610759459, 1.0),
        (0.10499270138647665, 0.1278243708004132, 0.2968738052891421, 1.0),
        (0.10898740202835612, 0.13319350382565795, 0.3089538370897204, 1.0),
        (0.11292230081780658, 0.13851314494597344, 0.3211528356563003, 1.0),
        (0.11677873726714609, 0.1437907235567954, 0.3334763137669405, 1.0),
        (0.12054633687594118, 0.14903304989914884, 0.34591927128228656, 1.0),
        (0.12421596532360021, 0.15424489609911743, 0.3584824902114074, 1.0),
        (0.1277778433781234, 0.15942929976504253, 0.371173718290745, 1.0),
        (0.1312243830518975, 0.16458992746550083, 0.3839938980982077, 1.0),
        (0.13454903857206513, 0.16973077842448914, 0.39694024984651316, 1.0),
        (0.1377440294143188, 0.17485524890812715, 0.4100132193954067, 1.0),
        (0.14079962508394736, 0.1799660943911219, 0.4232173781877684, 1.0),
        (0.14370728407275138, 0.1850671827584921, 0.4365502201613833, 1.0),
        (0.1464560785040432, 0.19016192641870314, 0.4500130967746719, 1.0),
        (0.149034823940225, 0.19525447862886824, 0.4636036238706138, 1.0),
        (0.15143092582666298, 0.20034937458089813, 0.4773185296806869, 1.0),
        (0.15362664681531915, 0.20545037829694926, 0.4911623505831314, 1.0),
        (0.15560730446919063, 0.21056389891883448, 0.5051241984185816, 1.0),
        (0.15735349418521424, 0.21569621295603672, 0.5191977165014443, 1.0),
        (0.15884110777734892, 0.22085406309837297, 0.5333780986311172, 1.0),
        (0.16003963106761285, 0.22604480544888214, 0.5476626851250719, 1.0),
        (0.16092053212308569, 0.2312792188936387, 0.5620307968352062, 1.0),
        (0.16144552665896417, 0.23656875726570425, 0.576466194856672, 1.0),
        (0.1615687582201553, 0.24192717317982598, 0.590947280971239, 1.0),
        (0.16123527693867226, 0.24737118676323502, 0.6054446786315182, 1.0),
        (0.16037933695564538, 0.2529213001868847, 0.619917940349733, 1.0),
        (0.15891657032178305, 0.2586022090180683, 0.6343183928801526, 1.0),
        (0.1567387388150081, 0.2644444177118183, 0.6485832602021305, 1.0),
        (0.1537422741701029, 0.2704875236386606, 0.6625942914402649, 1.0),
        (0.1497539850217275, 0.27677729068691403, 0.6762428866538949, 1.0),
        (0.14461902801419324, 0.28337033710990084, 0.689330315540539, 1.0),
        (0.1381506719438431, 0.29032902660809945, 0.7016166706228141, 1.0),
        (0.13019374811027845, 0.29771374755822616, 0.7127928058673725, 1.0),
        (0.12070562948120826, 0.3055623316038361, 0.7225101391519437, 1.0),
        (0.10982269384149349, 0.31386518829791077, 0.7304694442052537, 1.0),
        (0.09795843445627249, 0.32254310245858836, 0.7365271649499161, 1.0),
        (0.08570023827886969, 0.33146616127518264, 0.7407718073497576, 1.0),
        (0.07367688675533522, 0.3404967458048911, 0.7434693436710166, 1.0),
        (0.06252232597310112, 0.3495197377754474, 0.7449562973790244, 1.0),
        (0.05283258403911514, 0.35846007812371655, 0.745545184770378, 1.0),
        (0.045209385399716286, 0.3672749347230809, 0.7454889092261349, 1.0),
        (0.04023631323597558, 0.3759418522020857, 0.7449841371058433, 1.0),
        (0.03831576485736641, 0.3844536826035842, 0.7441746283479094, 1.0),
        (0.039483495280277246, 0.39281375366701304, 0.7431581338661337, 1.0),
        (0.043458438883964015, 0.40102370971704254, 0.7420243047032399, 1.0),
        (0.04962431895510653, 0.4090953160508888, 0.7408166831290733, 1.0),
        (0.057398001170538865, 0.41703469541680477, 0.739587753987574, 1.0),
        (0.0662601753928873, 0.4248521500099918, 0.738365012211145, 1.0),
        (0.07582789138192139, 0.43255722492309484, 0.7371697936237425, 1.0),
        (0.08583710398799438, 0.44015834330399145, 0.7360206802189788, 1.0),
        (0.09611023898027164, 0.44766357455714456, 0.7349312516211791, 1.0),
        (0.10653038834605708, 0.4550804241299538, 0.7339117735870001, 1.0),
        (0.11702164650203205, 0.46241591119241177, 0.7329693696980988, 1.0),
        (0.12753579832032957, 0.46967671977318937, 0.7321074968220892, 1.0),
        (0.1380432121650686, 0.47686867948587963, 0.7313295149248255, 1.0),
        (0.1485266661140712, 0.48399707474877746, 0.7306374469250059, 1.0),
        (0.15897743673285103, 0.4910666599003393, 0.7300322634722053, 1.0),
        (0.16939270970702336, 0.49808167670078485, 0.729514099015609, 1.0),
        (0.17977385750188757, 0.5050458714090991, 0.7290824177866463, 1.0),
        (0.19012528836535883, 0.5119625097219066, 0.7287361439246872, 1.0),
        (0.20045367419916926, 0.5188343886055642, 0.7284737667569484, 1.0),
        (0.21076743085458277, 0.5256638445778924, 0.7282934299212739, 1.0),
        (0.221076366441748, 0.5324527583974503, 0.7281930113726283, 1.0),
        (0.23139143989901803, 0.5392025564688637, 0.7281702001646749, 1.0),
        (0.241724588828799, 0.545914209630201, 0.7282225751002736, 1.0),
        (0.25208859592177746, 0.5525882304010225, 0.7283476897674903, 1.0),
        (0.26249696935827066, 0.5592246702775623, 0.7285431679898072, 1.0),
        (0.27296381584466384, 0.5658231192947546, 0.7288068131774058, 1.0),
        (0.2835036864649328, 0.572382710845828, 0.7291367343046032, 1.0),
        (0.29413137619056484, 0.5789021356407471, 0.7295314900628433, 1.0),
        (0.3048616586033889, 0.5853796696249742, 0.7299902509334001, 1.0),
        (0.31570893918919773, 0.5918132215225328, 0.7305129762764809, 1.0),
        (0.3266868146870497, 0.5982004061606387, 0.7311005998876301, 1.0),
        (0.3378075337747807, 0.6045386495071959, 0.7317552128195413, 1.0),
        (0.3490818000871771, 0.6108253115449156, 0.7324796800093838, 1.0),
        (0.36051697233349356, 0.6170578982409773, 0.7332792190500568, 1.0),
        (0.3721163789840525, 0.6232343167456089, 0.7341612307067191, 1.0),
        (0.38387987909022564, 0.6293530561660979, 0.7351337469132934, 1.0),
        (0.3958028137607394, 0.6354134382185919, 0.7362060213183361, 1.0),
        (0.4078755353103908, 0.641415857529097, 0.7373884640869047, 1.0),
        (0.42008255996043264, 0.6473620651543986, 0.7386930839012651, 1.0),
        (0.43240665377828136, 0.653254850478041, 0.7401294470548486, 1.0),
        (0.4448270147115061, 0.6590982595876609, 0.7417069328868316, 1.0),
        (0.4573210929073769, 0.6648973878622412, 0.7434335263117878, 1.0),
        (0.4698658823662556, 0.6706581495075844, 0.7453153847182404, 1.0),
        (0.482439163820049, 0.6763869948243976, 0.7473565606883062, 1.0),
        (0.4950205546820442, 0.682090613291995, 0.7495589040396917, 1.0),
        (0.5075922656244506, 0.6877756591216436, 0.7519221394187724, 1.0),
        (0.5201395209800695, 0.6934485275105085, 0.7544440922042097, 1.0),
        (0.5326506556783058, 0.6991151975856019, 0.7571210204550441, 1.0),
        (0.5451151059190834, 0.7047815278674717, 0.7599492971931862, 1.0),
        (0.5575181558550946, 0.7104543187762521, 0.7629291415211208, 1.0),
        (0.5698635397781144, 0.716136513619915, 0.7660488334775966, 1.0),
        (0.5821485860154738, 0.7218322109491161, 0.769302356785558, 1.0),
        (0.59436023680205, 0.7275477994362923, 0.7726916325476315, 1.0),
        (0.6065080899095935, 0.733284447972654, 0.776204111481631, 1.0),
        (0.6185864665812587, 0.7390466790641197, 0.7798383670352863, 1.0),
        (0.6305963554035782, 0.7448373397672364, 0.7835892177406345, 1.0),
        (0.6425403291413835, 0.750658768533136, 0.7874510644025978, 1.0),
        (0.6544185977825304, 0.7565137308188259, 0.7914204294842384, 1.0),
        (0.6662315287143806, 0.7624048800378465, 0.7954941819359623, 1.0),
        (0.6779850393157121, 0.7683332855369555, 0.7996659972294575, 1.0),
        (0.689675501321763, 0.7743024253591546, 0.8039360994237752, 1.0),
        (0.7013107513266423, 0.7803126348729137, 0.8082975524678305, 1.0),
        (0.7128885314512862, 0.7863668558670167, 0.8127502175082055, 1.0),
        (0.7244112448085553, 0.7924667152464016, 0.8172911293271548, 1.0),
        (0.7358836989688381, 0.7986130654557249, 0.821915897164489, 1.0),
        (0.7473044386446878, 0.8048084510111998, 0.8266243361574354, 1.0),
        (0.758675986008732, 0.8110542493572185, 0.8314137476978961, 1.0),
        (0.7700007022560962, 0.8173518180665149, 0.8362815657919247, 1.0),
        (0.7812789490175477, 0.8237030526155881, 0.8412265533654797, 1.0),
        (0.7925116214732782, 0.8301096652946458, 0.846247095671401, 1.0),
        (0.803699751035191, 0.8365733017623518, 0.8513414099007207, 1.0),
        (0.8148431081888104, 0.8430959697406819, 0.8565084542610862, 1.0),
        (0.8259421593641688, 0.849679464615625, 0.8617465433522451, 1.0),
        (0.8369967539127279, 0.8563257710703113, 0.8670541605111353, 1.0),
        (0.8480038340013846, 0.8630377874332209, 0.8724315628924932, 1.0),
        (0.8589628398368314, 0.8698176873531217, 0.877876840786735, 1.0),
        (0.8698718779534677, 0.8766681056859057, 0.8833884311630416, 1.0),
        (0.8807225950585578, 0.8835937613774932, 0.8889689808541468, 1.0),
        (0.8915125639987499, 0.8905976582376063, 0.89461579325232, 1.0),
        (0.9022321856472953, 0.897685181917325, 0.9003303399902122, 1.0),
        (0.9128629530771474, 0.9048646775143293, 0.9061201920398329, 1.0),
        (0.9233906674988954, 0.9121434538185491, 0.9119872701021833, 1.0),
        (0.9337690699519378, 0.9195389121458988, 0.9179604265763981, 1.0),
        (0.9438768578707728, 0.9270905817099515, 0.9241478407896099, 1.0),
        (0.9450241336950317, 0.9267273985243988, 0.9232017297254779, 1.0),
        (0.9401771503305338, 0.9175010969420787, 0.9127353023021862, 1.0),
        (0.9357788176131994, 0.908184960297723, 0.901995897050405, 1.0),
        (0.9316195516453254, 0.8988455936080793, 0.8911247259869568, 1.0),
        (0.9276366903952598, 0.8895015346080178, 0.8801625091446738, 1.0),
        (0.9237963723082157, 0.8801619939913721, 0.8691306632065186, 1.0),
        (0.9200767818087644, 0.87083231155658, 0.8580426479951917, 1.0),
        (0.9164622665155583, 0.8615158650696723, 0.8469079246742293, 1.0),
        (0.912940970001068, 0.852214830207059, 0.8357335125969564, 1.0),
        (0.9095033897880691, 0.842930646131394, 0.8245249535921665, 1.0),
        (0.9061413505699446, 0.8336643536120031, 0.8132870275157045, 1.0),
        (0.9028482401464246, 0.8244164969479622, 0.802023499294289, 1.0),
        (0.8996183458250351, 0.8151873435674267, 0.7907375926293952, 1.0),
        (0.8964464017336835, 0.805977037140355, 0.7794323253122594, 1.0),
        (0.8933280984986638, 0.796785406266844, 0.7681100636805964, 1.0),
        (0.8902585423162623, 0.7876125240246927, 0.756773797154693, 1.0),
        (0.8872341531517662, 0.77845800661117, 0.7454255275413548, 1.0),
        (0.8842515223931736, 0.769321423964533, 0.7340672060990319, 1.0),
        (0.8813075692568397, 0.7602022354826804, 0.7227005864751235, 1.0),
        (0.8783989821496545, 0.7511000050313839, 0.7113277185683903, 1.0),
        (0.8755220238171187, 0.7420144833045194, 0.6999511354610528, 1.0),
        (0.8726749843514796, 0.7329446408023256, 0.688571641186953, 1.0),
        (0.8698547215416584, 0.723890013017027, 0.6771913952144654, 1.0),
        (0.8670596624933959, 0.7148495108503408, 0.665811198810034, 1.0),
        (0.8642855405275951, 0.7058231520382152, 0.6544344321908397, 1.0),
        (0.8615312235931758, 0.6968096810882964, 0.643061652171077, 1.0),
        (0.8587945613193221, 0.6878082471826545, 0.6316944172411574, 1.0),
        (0.8560737697641846, 0.6788178389092563, 0.620334009627433, 1.0),
        (0.8533647514077651, 0.6698384520573988, 0.6089840337795547, 1.0),
        (0.8506671813652187, 0.6608684511065676, 0.597644543026785, 1.0),
        (0.8479803760976425, 0.6519062997089123, 0.5863159553827916, 1.0),
        (0.8452992890124731, 0.6429524288345008, 0.575003093103067, 1.0),
        (0.8426233261680482, 0.6340052727647744, 0.5637064935396089, 1.0),
        (0.8399526706457653, 0.6250628349958034, 0.5524259435430849, 1.0),
        (0.837282360615907, 0.6161255232979982, 0.5411665126797099, 1.0),
        (0.8346115013722665, 0.6071918418882036, 0.5299292934604437, 1.0),
        (0.831941697133216, 0.5982589838531851, 0.5187128588454869, 1.0),
        (0.8292658393187906, 0.5893284247613858, 0.5075248627530007, 1.0),
        (0.8265865191963319, 0.5803968068112989, 0.49636307911450966, 1.0),
        (0.8239007716165898, 0.5714634777707677, 0.4852311209906218, 1.0),
        (0.8212047236427109, 0.5625283035002011, 0.47413373671726455, 1.0),
        (0.8185028441784485, 0.5535866371885466, 0.46306699747606006, 1.0),
        (0.8157857974447502, 0.5446412013022013, 0.4520417208585163, 1.0),
        (0.813059875502444, 0.535686153086953, 0.44105231092425845, 1.0),
        (0.8103157295614865, 0.5267242547499885, 0.4301100025814295, 1.0),
        (0.807560076306781, 0.5177491168092127, 0.41920905177281625, 1.0),
        (0.8047829983640773, 0.5087638530967844, 0.4083617627821872, 1.0),
        (0.8019913643823088, 0.49976162654698647, 0.3975626288212919, 1.0),
        (0.7991776069093209, 0.49074410985075384, 0.38682195104276124, 1.0),
        (0.7963412506983238, 0.4817086347924899, 0.37614267993473127, 1.0),
        (0.7934853391750593, 0.4726500967551418, 0.3655242898980975, 1.0),
        (0.7906020861628313, 0.463570184371689, 0.35497831597860807, 1.0),
        (0.7876922078438238, 0.4544650164439674, 0.3445075235304189, 1.0),
        (0.7847584433242354, 0.4453290095612297, 0.3341130019968927, 1.0),
        (0.781794376348159, 0.4361626378195018, 0.32380621185053277, 1.0),
        (0.7787986023472407, 0.4269628178617235, 0.313593824377752, 1.0),
        (0.7757700306772616, 0.4177259860608659, 0.3034828822113839, 1.0),
        (0.7727073763310283, 0.40844842276677457, 0.29348145476143467, 1.0),
        (0.7696090956246998, 0.39912628016260343, 0.2835988305456279, 1.0),
        (0.7664733140591652, 0.38975562059023594, 0.27384573228244147, 1.0),
        (0.7632977462662783, 0.3803324674237734, 0.26423455393950784, 1.0),
        (0.7600796083228246, 0.3708528707479538, 0.2547796171102232, 1.0),
        (0.7568155232311499, 0.3613129902046506, 0.24549744147363167, 1.0),
        (0.7535014210471865, 0.3517091973617619, 0.23640702046782996, 1.0),
        (0.7501324359996864, 0.34203819978054445, 0.22753008846802553, 1.0),
        (0.7467083678923865, 0.3322917332197801, 0.21888680972230756, 1.0),
        (0.7432206214135255, 0.32246895137228654, 0.21050729653953204, 1.0),
        (0.7396626352495903, 0.312566717636688, 0.20242262578013887, 1.0),
        (0.7360276592028782, 0.3025817058357924, 0.1946669682951214, 1.0),
        (0.7323075054306246, 0.29251159261250903, 0.18727886565935878, 1.0),
        (0.7284886793139783, 0.28235996223936183, 0.180302581654542, 1.0),
        (0.7245597795551689, 0.27212835075246056, 0.17378303911839907, 1.0),
        (0.7205052554891408, 0.26182376999357504, 0.16776810781649396, 1.0),
        (0.7163077524522897, 0.25145684700795434, 0.1623050371038979, 1.0),
        (0.7119477511381475, 0.24104316715230473, 0.15743769157419057, 1.0),
        (0.7074046106878864, 0.23060295769037464, 0.15320277826395726, 1.0),
        (0.7026577763956233, 0.22016032476969405, 0.14962641946742813, 1.0),
        (0.6976856380676357, 0.20974624589830168, 0.1467193374830311, 1.0),
        (0.6924700993857928, 0.19939234809690337, 0.14447575713095867, 1.0),
        (0.6869956304794752, 0.18913262176416293, 0.14287202964513893, 1.0),
        (0.6812509389222788, 0.1790005719286616, 0.14186849196725745, 1.0),
        (0.6752290404511712, 0.16902839517353063, 0.14141261825631932, 1.0),
        (0.6689272347019628, 0.15924601138533828, 0.14144362461877844, 1.0),
        (0.662346293032767, 0.14968149923234314, 0.1418966965532168, 1.0),
        (0.6554894621920682, 0.14036225902197907, 0.14270607585275075, 1.0),
        (0.6483618361407727, 0.13131544910443987, 0.14380937764395385, 1.0),
        (0.6409690900196459, 0.12257089949159498, 0.14514666211244054, 1.0),
        (0.6333171868548846, 0.11416163812993223, 0.14666355322341185, 1.0),
        (0.6254117682555889, 0.10612632074054544, 0.14830833235410426, 1.0),
        (0.6172580943089347, 0.09850955940169046, 0.15003428180550066, 1.0),
        (0.6088612137441752, 0.09136271116346881, 0.1517946748017894, 1.0),
        (0.6002260075568476, 0.0847426884560575, 0.1535471889644062, 1.0),
        (0.5913580665313181, 0.07870937974751123, 0.15524759622631187, 1.0),
        (0.582264072459783, 0.07332110668924821, 0.15685285246285416, 1.0),
        (0.5729523242155735, 0.0686287018258751, 0.15832095225468892, 1.0),
        (0.5634337248699358, 0.06466696013382159, 0.15960971195525955, 1.0),
        (0.5537224099506779, 0.06144626935987179, 0.16067795901538687, 1.0),
        (0.5438351395676242, 0.05894914800814858, 0.1614895452047332, 1.0),
        (0.5337912133736735, 0.057128581028818445, 0.16201381167921866, 1.0),
        (0.5236119994512118, 0.0559109512937423, 0.1622265257547594, 1.0),
        (0.5133214710039554, 0.05519900277454217, 0.16210826979214402, 1.0),
        (0.5029415119053962, 0.05489268743951671, 0.16165212012700822, 1.0),
        (0.4924920560465744, 0.05489497800522934, 0.16085945689671105, 1.0),
        (0.48199704198754206, 0.05509874164212421, 0.15972946784573275, 1.0),
        (0.4714685312956432, 0.055437529587861384, 0.15828035700731968, 1.0),
        (0.4609298385556734, 0.05581817450175155, 0.15651615354985451, 1.0),
        (0.45038823069746997, 0.05620093240974463, 0.15446036095800122, 1.0),
        (0.43985504456676383, 0.05653967482715422, 0.1521296397207116, 1.0),
        (0.4293395854267749, 0.056798929055138545, 0.14954130408815758, 1.0),
        (0.4188488052114383, 0.056953512757200814, 0.14671310199288928, 1.0),
        (0.4083874753510262, 0.056986797359617467, 0.14366261504290215, 1.0),
        (0.397958420697252, 0.05688899115379055, 0.14040679468494072, 1.0),
        (0.3875661805934747, 0.05664744510513378, 0.13695962321933544, 1.0),
        (0.37721625624735117, 0.05624858727791105, 0.13333328824637855, 1.0),
        (0.3669009710312429, 0.055710275774513256, 0.129545631583063, 1.0),
        (0.35662892011622993, 0.05501236188184371, 0.1256041268313333, 1.0),
        (0.3463946141954396, 0.054167130511578995, 0.12152210646815674, 1.0),
        (0.3362018241761821, 0.053165772930087264, 0.11730740371384013, 1.0),
        (0.32604244022614925, 0.05202497987647034, 0.11297138893396706, 1.0),
        (0.3159278573165507, 0.05071934147936142, 0.10851751538318564, 1.0),
        (0.3058440467352614, 0.04927677960771513, 0.10395692102715784, 1.0),
        (0.2957906289005874, 0.04769542811326496, 0.09929501197500162, 1.0),
        (0.2857761694878987, 0.045955169033100075, 0.0945346966420831, 1.0),
        (0.2757883929056377, 0.04407729543414405, 0.08968329380554105, 1.0),
        (0.2658251433737037, 0.042061612749658014, 0.08474472186508704, 1.0),
        (0.2558840557281191, 0.03990046570244704, 0.07972236454569985, 1.0),
        (0.24596222207835025, 0.03762595141506584, 0.07461913567560219, 1.0),
        (0.23605636466461405, 0.03529747994604029, 0.06943744239412558, 1.0),
    ],
    'cmo.curl': [
        (0.08225559928700268, 0.11492440797272951, 0.26479016778008574, 1.0),
        (0.0840052250695638, 0.12312329697089992, 0.2689609110865496, 1.0),
        (0.08575066584057084, 0.13116438555181847, 0.2731858034649912, 1.0),
        (0.08748548635006097, 0.13907170269634647, 0.2774585777836321, 1.0),
        (0.08920347605409938, 0.14686476970133733, 0.2817740375192827, 1.0),
        (0.09089868864490834, 0.1545596741641342, 0.28612786088763803, 1.0),
        (0.09256527135782916, 0.16216989976784674, 0.2905163524637193, 1.0),
        (0.09419469678569685, 0.16970769935391197, 0.2949352146743938, 1.0),
        (0.09578056998452263, 0.1771829937836382, 0.2993814659767585, 1.0),
        (0.09731981667964296, 0.18460348997002407, 0.30385361262208027, 1.0),
        (0.09880654660226455, 0.19197669550194296, 0.30834918519834537, 1.0),
        (0.10023501494687218, 0.19930920335908203, 0.31286587887189854, 1.0),
        (0.10159275802613128, 0.2066085271284308, 0.3173992705458214, 1.0),
        (0.10287833249400813, 0.21387873200202462, 0.3219487171262188, 1.0),
        (0.10408700898758871, 0.22112426281643222, 0.32651234566375287, 1.0),
        (0.10521228213193597, 0.22834954449144917, 0.3310876684491537, 1.0),
        (0.10623969219841285, 0.23556030697292774, 0.33566994569172853, 1.0),
        (0.1071714481123054, 0.2427582189282018, 0.34025917194093946, 1.0),
        (0.10800247879278917, 0.24994634389446194, 0.3448530225259212, 1.0),
        (0.10871519808653357, 0.2571299549311684, 0.3494459034531411, 1.0),
        (0.10931324916570134, 0.2643097431894295, 0.3540376498384017, 1.0),
        (0.10979042634687643, 0.27148823657566606, 0.3586253365534649, 1.0),
        (0.11013071606638404, 0.2786695117891647, 0.3632036902884188, 1.0),
        (0.11034071913156604, 0.2858532911291301, 0.36777260579227933, 1.0),
        (0.11040326517097805, 0.29304342060580457, 0.37232637825936415, 1.0),
        (0.110319534498643, 0.30024032744629703, 0.37686331820977365, 1.0),
        (0.11008130068472377, 0.3074459393658016, 0.38137949575020175, 1.0),
        (0.10968199879239508, 0.31466172642913626, 0.3858712355705275, 1.0),
        (0.10911885907843757, 0.3218884538594922, 0.39033547370862864, 1.0),
        (0.10838500382577251, 0.32912740214168956, 0.3947681530965947, 1.0),
        (0.10747533644294097, 0.3363794736995206, 0.3991654012783324, 1.0),
        (0.10639265615550746, 0.3436443906987675, 0.4035246616093351, 1.0),
        (0.10511930095163163, 0.35092461827894234, 0.4078392419401703, 1.0),
        (0.10367052829346322, 0.35821813777066486, 0.41210843452652374, 1.0),
        (0.10203366053749499, 0.3655266278672804, 0.41632595460435207, 1.0),
        (0.10020909057935531, 0.3728500347294536, 0.42048762195730655, 1.0),
        (0.0982081321232112, 0.3801870995307817, 0.4245907973796719, 1.0),
        (0.09603342130079691, 0.3875377479133643, 0.4286307141218833, 1.0),
        (0.09367933229678464, 0.3949028743526281, 0.4326005023547492, 1.0),
        (0.09117048258933684, 0.4022803013381166, 0.4364979264594859, 1.0),
        (0.08852373097854987, 0.40966909472464885, 0.4403183547610683, 1.0),
        (0.08576170674613784, 0.41706816054136914, 0.4440569615688626, 1.0),
        (0.08291544757909891, 0.4244761358853786, 0.4477088968524857, 1.0),
        (0.08002661508343575, 0.4318913675811574, 0.45126931653749824, 1.0),
        (0.0771500982263116, 0.4393118896272553, 0.45473342156220653, 1.0),
        (0.07435690342254939, 0.4467353999449981, 0.4580965070340901, 1.0),
        (0.07173705860438209, 0.4541592371129329, 0.46135402284409777, 1.0),
        (0.06940198555156094, 0.4615803579659375, 0.4645016470566748, 1.0),
        (0.06748542692270107, 0.46899531715652976, 0.4675353732706046, 1.0),
        (0.06614029377587877, 0.476400345965717, 0.4704513233677624, 1.0),
        (0.06552027778973109, 0.4837922264699241, 0.47324299797136626, 1.0),
        (0.06581202835267624, 0.4911652529553315, 0.47591043838438385, 1.0),
        (0.06717770181852893, 0.49851422618694696, 0.4784518334212326, 1.0),
        (0.06973430889759835, 0.5058347913538036, 0.48086124556559695, 1.0),
        (0.0735928348633972, 0.513119397163752, 0.4831440194543162, 1.0),
        (0.07877826454224815, 0.5203628452912976, 0.48529576455865836, 1.0),
        (0.08529270347117403, 0.527557314983692, 0.48732318037067285, 1.0),
        (0.0930824510216089, 0.5346958222608965, 0.48922998474404417, 1.0),
        (0.10206615155322595, 0.5417710961067783, 0.49102191617156915, 1.0),
        (0.11214794138067784, 0.5487753439976881, 0.4927102565097061, 1.0),
        (0.12322149196322123, 0.5557012057130014, 0.49430735283418176, 1.0),
        (0.1351793098442462, 0.5625416377822807, 0.4958289182869267, 1.0),
        (0.1479161398448063, 0.5692902324081687, 0.4972936205207401, 1.0),
        (0.16133058286371074, 0.575941488604216, 0.4987230848754477, 1.0),
        (0.1753256876692264, 0.5824910924282819, 0.5001414572075986, 1.0),
        (0.1898092679753176, 0.5889361473128865, 0.5015747593053019, 1.0),
        (0.20469412053425318, 0.5952753347755488, 0.5030502031764404, 1.0),
        (0.21989840623432916, 0.6015089905251022, 0.5045953705361923, 1.0),
        (0.23534640730755757, 0.6076390663287686, 0.5062372336538045, 1.0),
        (0.2509690234580317, 0.6136690130350028, 0.508001455462621, 1.0),
        (0.26670393787579966, 0.6196036194345486, 0.5099119159048844, 1.0),
        (0.28249656882404284, 0.6254487177645407, 0.5119898684127202, 1.0),
        (0.2982999681309282, 0.6312109212398802, 0.5142537872571094, 1.0),
        (0.3140744391254991, 0.6368973796897026, 0.5167193647942867, 1.0),
        (0.329787199059567, 0.6425155327157949, 0.5193995187932098, 1.0),
        (0.3454118196827852, 0.6480729013088312, 0.5223045482513375, 1.0),
        (0.360927563962424, 0.6535769188764372, 0.5254423668679755, 1.0),
        (0.3763186732399366, 0.6590348027486642, 0.528818780633342, 1.0),
        (0.39157301140791945, 0.6644535760923366, 0.532437992964945, 1.0),
        (0.4066816705519192, 0.6698399855063795, 0.5363027336857658, 1.0),
        (0.42163999938227675, 0.675200165798346, 0.5404140060091464, 1.0),
        (0.4364450734629256, 0.6805399655288075, 0.5447720022732745, 1.0),
        (0.45109577832158976, 0.6858648571545813, 0.5493761103110252, 1.0),
        (0.46558983580434343, 0.6911805331078363, 0.5542256046056858, 1.0),
        (0.4799313803389065, 0.6964912149899526, 0.5593179635006271, 1.0),
        (0.4941202362761311, 0.7018019300139728, 0.5646513992752608, 1.0),
        (0.5081596152065212, 0.7071168256759207, 0.5702231178628333, 1.0),
        (0.5220524964029736, 0.712439923282474, 0.5760302293524278, 1.0),
        (0.5358029064039997, 0.7177748302088246, 0.5820694880307444, 1.0),
        (0.5494115871900811, 0.7231258514937773, 0.5883377863384495, 1.0),
        (0.5628865444321022, 0.7284951939467186, 0.5948312822545889, 1.0),
        (0.5762272730788999, 0.7338872210019888, 0.6015465140888395, 1.0),
        (0.5894384594031277, 0.7393047268898775, 0.608479578333, 1.0),
        (0.6025256432840854, 0.7447500710340476, 0.6156265933130762, 1.0),
        (0.6154919668996253, 0.7502261557425117, 0.6229836071434767, 1.0),
        (0.6283396497211903, 0.7557360573690735, 0.6305464081902803, 1.0),
        (0.6410712569918845, 0.7612826445691214, 0.6383106037019544, 1.0),
        (0.6536922061958954, 0.7668677339041479, 0.6462721176276125, 1.0),
        (0.666205692909348, 0.7724937233631165, 0.6544265931233765, 1.0),
        (0.6786149134877969, 0.7781629024672311, 0.6627695978820517, 1.0),
        (0.690923063363369, 0.7838774567286636, 0.6712966388096742, 1.0),
        (0.7031333362286155, 0.7896394717689954, 0.680003176461346, 1.0),
        (0.7152489236574753, 0.7954509372237907, 0.6888846391054859, 1.0),
        (0.7272730148159392, 0.8013137505533132, 0.6979364361826499, 1.0),
        (0.7392087960209732, 0.8072297208663534, 0.7071539708226214, 1.0),
        (0.7510578476413627, 0.8132012136155371, 0.7165318585179576, 1.0),
        (0.7628230776844827, 0.8192300180144289, 0.7260651891691922, 1.0),
        (0.7745090036084873, 0.8253171902948918, 0.7357499238372236, 1.0),
        (0.786118814093873, 0.8314642303068641, 0.7455814614234285, 1.0),
        (0.797655302965331, 0.8376727381043849, 0.7555549605179982, 1.0),
        (0.8091179148107861, 0.8439457284429673, 0.7656631487557718, 1.0),
        (0.8205125476680596, 0.8502833911987724, 0.7759029576127159, 1.0),
        (0.8318433050694143, 0.8566865967320583, 0.7862703163635494, 1.0),
        (0.8431085945625512, 0.8631587785358271, 0.7967563596360644, 1.0),
        (0.85431476200083, 0.8696997465226665, 0.8073583462384545, 1.0),
        (0.8654653544151097, 0.8763105471098614, 0.8180710927662461, 1.0),
        (0.8765597694539495, 0.8829942331707201, 0.8288848674036949, 1.0),
        (0.8876071712202898, 0.8897491992682963, 0.8397986248918217, 1.0),
        (0.8986072565705858, 0.8965785010699578, 0.8508007836876992, 1.0),
        (0.9095705187259304, 0.9034799451473727, 0.86188974775266, 1.0),
        (0.9205006027412883, 0.9104548955955598, 0.8730545883040156, 1.0),
        (0.9314125751622389, 0.9174989338390134, 0.8842963003487552, 1.0),
        (0.9423169880681164, 0.924609665893427, 0.8956125066039656, 1.0),
        (0.9532321617635447, 0.931778961448509, 0.9070256570003798, 1.0),
        (0.9641572093234883, 0.9390032732045055, 0.9185878636867152, 1.0),
        (0.9750299632935601, 0.9462996625576243, 0.9303932361561739, 1.0),
        (0.9856926014160364, 0.9537284382596883, 0.9424989632315647, 1.0),
        (0.9960241164073002, 0.9613594854417734, 0.9547319679501318, 1.0),
        (0.9929465713958281, 0.962495047492635, 0.9559434003782296, 1.0),
        (0.9879753322494367, 0.9527413049569491, 0.942976126121031, 1.0),
        (0.9831730056703963, 0.9430026423301274, 0.9298855778851661, 1.0),
        (0.9785300630390107, 0.9332746254060177, 0.9167269677008394, 1.0),
        (0.9740370071358031, 0.9235554826689516, 0.9035305347541083, 1.0),
        (0.9696873783584534, 0.9138435297123753, 0.8903139260056614, 1.0),
        (0.9654705513075988, 0.9041388379347223, 0.8770954595261992, 1.0),
        (0.961379271756676, 0.8944407340601016, 0.8638874867949153, 1.0),
        (0.9574093627706498, 0.8847477323548133, 0.8506977462504841, 1.0),
        (0.953553953048505, 0.8750592970616456, 0.8375363153770161, 1.0),
        (0.9498099448974922, 0.8653737293544497, 0.8244087124000883, 1.0),
        (0.9461696368652127, 0.8556909106680404, 0.8113252056148872, 1.0),
        (0.9426274823107312, 0.8460100833099913, 0.7982934945547431, 1.0),
        (0.9391814031708908, 0.8363293226790545, 0.7853175267180772, 1.0),
        (0.9358291514810045, 0.8266467053893982, 0.7724015779733057, 1.0),
        (0.9325597962274684, 0.8169634618065561, 0.7595588667076636, 1.0),
        (0.9293730414502741, 0.8072770597070236, 0.7467916161366018, 1.0),
        (0.9262675032148144, 0.797585252938998, 0.7341035021423712, 1.0),
        (0.9232310826780414, 0.7878898853693878, 0.7215088802422941, 1.0),
        (0.9202669066494313, 0.778187048319635, 0.7090071532468012, 1.0),
        (0.9173675339667049, 0.7684768287069562, 0.6966083791270554, 1.0),
        (0.9145256225599138, 0.7587594185469312, 0.6843224083884539, 1.0),
        (0.9117446154850777, 0.7490305703079717, 0.6721493775876696, 1.0),
        (0.9090093225943254, 0.7392937652846149, 0.6601066752862057, 1.0),
        (0.90632624322093, 0.7295433927350199, 0.6481923384194881, 1.0),
        (0.9036801677313246, 0.7197831388031627, 0.6364238598248827, 1.0),
        (0.9010734709028646, 0.7100090852010184, 0.6248036449309976, 1.0),
        (0.8984977289947248, 0.7002221017835124, 0.6133435824284196, 1.0),
        (0.8959448175190381, 0.6904230488507196, 0.6020553467014453, 1.0),
        (0.8934169374824112, 0.680607976275453, 0.5909427211818639, 1.0),
        (0.8909007065001139, 0.670780360312407, 0.5800218824162359, 1.0),
        (0.8883901310872971, 0.6609403341412813, 0.5693032410928268, 1.0),
        (0.8858857564182475, 0.6510847408814786, 0.5587929781857633, 1.0),
        (0.8833758335658833, 0.6412167153619233, 0.5485060926536052, 1.0),
        (0.8808526560767699, 0.6313375546451687, 0.5384546284697205, 1.0),
        (0.8783096143626095, 0.6214481400959552, 0.5286499027341696, 1.0),
        (0.87573965777077, 0.611549743703706, 0.5191034986398301, 1.0),
        (0.8731353716009645, 0.6016440218264679, 0.5098271083433153, 1.0),
        (0.8704898517127564, 0.5917325318769301, 0.5008320109921233, 1.0),
        (0.8677933746643062, 0.5818187417523606, 0.4921304720878583, 1.0),
        (0.8650373218768856, 0.5719058009120521, 0.4837336078232043, 1.0),
        (0.8622131882915863, 0.5619971231675625, 0.4756517987453218, 1.0),
        (0.8593125235209843, 0.5520964414910624, 0.4678945932227276, 1.0),
        (0.8563275187113601, 0.5422074374902611, 0.46047043907759344, 1.0),
        (0.8532489208785696, 0.5323351637885095, 0.45338697854057125, 1.0),
        (0.8500682260532614, 0.5224846473771275, 0.446650243240626, 1.0),
        (0.8467773847625143, 0.5126610824354778, 0.4402646357834214, 1.0),
        (0.8433688051200482, 0.5028698296284929, 0.43423282546251, 1.0),
        (0.8398354539387647, 0.49311634061503606, 0.4285556538133931, 1.0),
        (0.8361717411817884, 0.48340544366812965, 0.4232322772488491, 1.0),
        (0.8323715654936779, 0.47374284394375277, 0.41825983342217765, 1.0),
        (0.8284293313178805, 0.4641343679179618, 0.41363338471041056, 1.0),
        (0.8243409819432772, 0.454585072398046, 0.4093463312919965, 1.0),
        (0.820103783941641, 0.44509929799239834, 0.4053907471538567, 1.0),
        (0.8157148858804536, 0.43568188661907276, 0.40175672449072053, 1.0),
        (0.8111724332803932, 0.4263371802012337, 0.39843302219025256, 1.0),
        (0.8064757599987353, 0.41706874571999064, 0.3954075618811594, 1.0),
        (0.8016248401884283, 0.4078798016804561, 0.3926673285955977, 1.0),
        (0.796620070088821, 0.3987733880313178, 0.3901983273313189, 1.0),
        (0.7914627081035047, 0.389751854771431, 0.38798633265931215, 1.0),
        (0.7861544889152464, 0.3808171804305053, 0.3860167727351599, 1.0),
        (0.7806975908286129, 0.37197094787737933, 0.38427494679475227, 1.0),
        (0.7750946065295489, 0.36321431244304153, 0.38274627331488625, 1.0),
        (0.7693483146718877, 0.35454822193728225, 0.3814161101405534, 1.0),
        (0.7634618612562839, 0.34597313668737645, 0.38027039813608277, 1.0),
        (0.7574385093863534, 0.33748928821286506, 0.3792953985858555, 1.0),
        (0.7512815292584121, 0.3290968025926441, 0.3784775538136042, 1.0),
        (0.7449942954937557, 0.3207955301709982, 0.37780394918743454, 1.0),
        (0.7385802092917187, 0.3125851108448209, 0.3772623351671447, 1.0),
        (0.7320425453908825, 0.3044651919795219, 0.37684072522802714, 1.0),
        (0.725384477727238, 0.29643538696010907, 0.37652754100259994, 1.0),
        (0.718609129382888, 0.28849515208212656, 0.376312058774961, 1.0),
        (0.7117194232921723, 0.2806440524599581, 0.37618378660460183, 1.0),
        (0.7047181064770208, 0.2728817278683793, 0.37613260239838336, 1.0),
        (0.697607755331227, 0.26520787122524986, 0.3761489188822343, 1.0),
        (0.6903907309807904, 0.257622340798274, 0.3762234123875396, 1.0),
        (0.6830691788707401, 0.2501251766996479, 0.3763470503165723, 1.0),
        (0.6756450253495924, 0.24271660006329052, 0.37651123762913086, 1.0),
        (0.6681199478897737, 0.23539718741310967, 0.37670721194319357, 1.0),
        (0.6604953975858753, 0.22816780841032921, 0.3769264186249997, 1.0),
        (0.6527725749900093, 0.2210296130195321, 0.3771608935743959, 1.0),
        (0.6449524365361379, 0.21398430765140453, 0.37740202084338853, 1.0),
        (0.6370357121703142, 0.2070340844349906, 0.3776410481065271, 1.0),
        (0.6290228522476589, 0.20018160129392246, 0.3778697638088156, 1.0),
        (0.6209140610654276, 0.19343019688512564, 0.37807952314659277, 1.0),
        (0.61270939731, 0.18678399125463768, 0.3782604862411555, 1.0),
        (0.6044085796632029, 0.18024778594384833, 0.37840364462830206, 1.0),
        (0.5960111033877118, 0.17382730144861094, 0.3784993545513076, 1.0),
        (0.5875164726812397, 0.16752922276680177, 0.3785360763027649, 1.0),
        (0.5789237042080277, 0.16136125382334923, 0.37850362778929986, 1.0),
        (0.5702318749424475, 0.15533219660863865, 0.3783897941981084, 1.0),
        (0.5614400869234114, 0.1494518981119738, 0.3781811015017665, 1.0),
        (0.5525468078192707, 0.14373164813956274, 0.37786562067558516, 1.0),
        (0.5435513399336623, 0.1381834020992216, 0.37742709564697474, 1.0),
        (0.5344523476869228, 0.1328205745591714, 0.3768510547573415, 1.0),
        (0.5252490590860583, 0.12765716429482268, 0.3761206057371028, 1.0),
        (0.5159409166890614, 0.12270776989616491, 0.37521816349310305, 1.0),
        (0.5065275359314099, 0.11798739530680782, 0.3741258481756745, 1.0),
        (0.4970094862606701, 0.11351025072735252, 0.3728240165399555, 1.0),
        (0.4873875147452158, 0.10929008952909393, 0.37129368325302053, 1.0),
        (0.47766368469295983, 0.10533828543222132, 0.3695146443307523, 1.0),
        (0.4678406823644112, 0.10166396968682123, 0.36746759622512615, 1.0),
        (0.4579224062376822, 0.09827257010471381, 0.36513366867221403, 1.0),
        (0.44791422723007374, 0.09516467328823315, 0.3624948693152751, 1.0),
        (0.4378219366632668, 0.09233702804926527, 0.3595359980499558, 1.0),
        (0.4276541498280851, 0.0897783387380786, 0.35624248162140887, 1.0),
        (0.41741838594545977, 0.08747530606546035, 0.3526049060085804, 1.0),
        (0.4071255915345245, 0.08540529631634713, 0.3486150298774421, 1.0),
        (0.39678562861051075, 0.08354411809833145, 0.3442697962542597, 1.0),
        (0.3864089188166675, 0.08186386801088474, 0.33956959861457686, 1.0),
        (0.37600931778476326, 0.08032840910027331, 0.33451732087599406, 1.0),
        (0.36559564864385996, 0.07890908799581267, 0.32912138293196674, 1.0),
        (0.3551788180644855, 0.07757286904404381, 0.3233921177605426, 1.0),
        (0.3447703916185555, 0.07628540593691716, 0.317342512323049, 1.0),
        (0.33438077095836555, 0.07501482989469084, 0.3109880757049466, 1.0),
        (0.3240169794441694, 0.07373607132912786, 0.30434578059749784, 1.0),
        (0.31368672712458384, 0.07242375664999272, 0.29743347922881785, 1.0),
        (0.3033965978597532, 0.07105554456285855, 0.29026956850534724, 1.0),
        (0.2931519745904861, 0.06961223499270855, 0.28287251078335374, 1.0),
        (0.28295702406771844, 0.06807769192330058, 0.27526041562782594, 1.0),
        (0.27281471849600947, 0.0664386473811126, 0.26745069376663216, 1.0),
        (0.2627280103949527, 0.06468251153063607, 0.259460399856185, 1.0),
        (0.25270084603491816, 0.06279554193575385, 0.2513069113026256, 1.0),
        (0.24273001485041681, 0.060776407664084875, 0.2430029358209253, 1.0),
        (0.23281431206633255, 0.0586203458273212, 0.2345611923137641, 1.0),
        (0.22295657962411305, 0.056315820560484724, 0.2259966336722645, 1.0),
        (0.2131544164558207, 0.053859797438667215, 0.21732009162979546, 1.0),
        (0.20340024633740028, 0.051257152851788605, 0.20853720637712653, 1.0),
    ],
    'cmo.deep': [
        (0.992837176538362, 0.9943734553013935, 0.8001361955494933, 1.0),
        (0.9849374457410008, 0.9913545172197537, 0.7953271573982338, 1.0),
        (0.9770418482420035, 0.988341827667376, 0.7905717472557142, 1.0),
        (0.9691488355955474, 0.9853357520972025, 0.7858697059005904, 1.0),
        (0.961238206188806, 0.9823439661710484, 0.7812181455049907, 1.0),
        (0.9533233708513803, 0.9793607550577946, 0.7766197776697654, 1.0),
        (0.9454069776374502, 0.9763847481120443, 0.7720753845210463, 1.0),
        (0.9374799177499438, 0.9734191074102575, 0.7675843461643131, 1.0),
        (0.9295353395208965, 0.9704660061861888, 0.7631467470398153, 1.0),
        (0.9215850348376466, 0.9675205198521025, 0.758764680105783, 1.0),
        (0.9136274030668489, 0.9645828701859077, 0.754438682553034, 1.0),
        (0.9056514559384564, 0.9616567079910524, 0.7501688017241658, 1.0),
        (0.8976569922484586, 0.9587415918264283, 0.7459562027416459, 1.0),
        (0.8896512126622909, 0.9558344072358455, 0.7418023698547456, 1.0),
        (0.8816325974742758, 0.9529352564923027, 0.7377082218108866, 1.0),
        (0.8735986658557798, 0.9500445573198598, 0.7336747582572586, 1.0),
        (0.8655355018678881, 0.9471666805105979, 0.7297031220835452, 1.0),
        (0.8574559441871676, 0.9442965454208677, 0.7257948454644866, 1.0),
        (0.8493586413080322, 0.9414341108550434, 0.7219511807036801, 1.0),
        (0.8412422934868647, 0.9385792958890863, 0.7181734629573161, 1.0),
        (0.8331056602292961, 0.9357319779845386, 0.7144631077114116, 1.0),
        (0.8249438571064255, 0.9328932140048489, 0.7108218561594963, 1.0),
        (0.8167536485550084, 0.9300634438432799, 0.707251602242779, 1.0),
        (0.8085407925860421, 0.9272401607530684, 0.7037535913222746, 1.0),
        (0.8003043988510905, 0.9244230580301132, 0.7003294929842704, 1.0),
        (0.792043685530358, 0.9216117772405966, 0.6969810377273069, 1.0),
        (0.7837579923068554, 0.9188059058340632, 0.6937100117646464, 1.0),
        (0.7754467945117471, 0.9160049747102424, 0.6905182510191696, 1.0),
        (0.7671097184662585, 0.9132084557727712, 0.6874076341947012, 1.0),
        (0.7587465580267132, 0.9104157595099176, 0.6843800748081978, 1.0),
        (0.7503572923166539, 0.9076262326497597, 0.6814375120698908, 1.0),
        (0.7419421046029872, 0.9048391559449654, 0.6785819005039074, 1.0),
        (0.7335014022414248, 0.9020537421501462, 0.6758151982106467, 1.0),
        (0.7250358375800119, 0.8992691342626382, 0.6731393536848669, 1.0),
        (0.7165463296678448, 0.8964844041051395, 0.6705562911206142, 1.0),
        (0.7080340865696405, 0.893698551335699, 0.6680678941563225, 1.0),
        (0.6995006280355557, 0.8909105029766874, 0.6656759880411459, 1.0),
        (0.6909478082204842, 0.8881191135591985, 0.6633823202371272, 1.0),
        (0.6823778380886153, 0.885323165982336, 0.6611885395113677, 1.0),
        (0.6737933070789578, 0.8825213731875581, 0.659096173617844, 1.0),
        (0.6651972035471813, 0.879712380746147, 0.6571066057195337, 1.0),
        (0.6565929334411801, 0.8768947704523612, 0.6552210497573525, 1.0),
        (0.6479843366143702, 0.8740670650055499, 0.6534405250319036, 1.0),
        (0.639375700135305, 0.8712277338509246, 0.6517658303256152, 1.0),
        (0.6307693113306603, 0.868375759308992, 0.6501986071208972, 1.0),
        (0.6221681809999369, 0.8655099786991408, 0.6487403091120448, 1.0),
        (0.613582816211533, 0.8626276255310663, 0.647388875322282, 1.0),
        (0.6050194699551968, 0.8597270135144635, 0.6461439080647282, 1.0),
        (0.5964848373853082, 0.8568064537576968, 0.6450046593443751, 1.0),
        (0.5879840953182007, 0.8538646600753628, 0.6439710905713145, 1.0),
        (0.5795218127572832, 0.8509005270271373, 0.6430435569229607, 1.0),
        (0.5711115213696185, 0.8479112775740022, 0.6422171169895777, 1.0),
        (0.5627614837100215, 0.8448953489705807, 0.64148938544683, 1.0),
        (0.5544783665092803, 0.8418515860497588, 0.6408587965640017, 1.0),
        (0.5462695843545279, 0.8387787842708504, 0.6403232223573597, 1.0),
        (0.5381481232862911, 0.835674892482852, 0.639876366927758, 1.0),
        (0.530122824816535, 0.8325387580839159, 0.6395142187190841, 1.0),
        (0.5221997330825247, 0.8293697946738645, 0.6392346216632595, 1.0),
        (0.5143908532894702, 0.8261665755050032, 0.6390304309659169, 1.0),
        (0.5067050118087177, 0.8229283397233977, 0.638896316298087, 1.0),
        (0.4991495064662724, 0.8196546689563362, 0.6388277739100475, 1.0),
        (0.4917330703220189, 0.8163450533427777, 0.6388184799685107, 1.0),
        (0.4844633050708382, 0.8129992646664957, 0.6388624455765858, 1.0),
        (0.47734697395389086, 0.8096172922533248, 0.6389538165444102, 1.0),
        (0.47039041826956246, 0.806199278691783, 0.6390864379965265, 1.0),
        (0.4635986539031755, 0.8027456073395252, 0.6392548734619343, 1.0),
        (0.45697666183937674, 0.7992567478306369, 0.6394529319719781, 1.0),
        (0.4505287643111087, 0.7957333261733032, 0.6396742566585853, 1.0),
        (0.4442569334258392, 0.7921762343010834, 0.6399148201157261, 1.0),
        (0.4381634653667464, 0.7885863788123393, 0.6401694292235836, 1.0),
        (0.43225138833141213, 0.784964715824557, 0.6404304190942152, 1.0),
        (0.4265195639210724, 0.7813124732411278, 0.6406960731925235, 1.0),
        (0.4209679602144862, 0.7776308288475485, 0.6409622276506294, 1.0),
        (0.41559684078126163, 0.7739210344346504, 0.6412227317683712, 1.0),
        (0.4104045242070184, 0.7701844253858858, 0.6414742347181462, 1.0),
        (0.40538834825229564, 0.7664223146281371, 0.6417151578859575, 1.0),
        (0.4005459328058831, 0.7626360316845265, 0.6419424749255564, 1.0),
        (0.39587502620460746, 0.7588270315806921, 0.6421508285001666, 1.0),
        (0.39137182732408043, 0.7549966666219803, 0.6423387337484185, 1.0),
        (0.38703226151526465, 0.7511462095764532, 0.6425055472082883, 1.0),
        (0.3828523536620308, 0.7472769743775979, 0.6426493131526665, 1.0),
        (0.378827844998963, 0.7433902546660991, 0.6427683061328856, 1.0),
        (0.37495428113676443, 0.73948762866879, 0.6428573615340695, 1.0),
        (0.37122661231062953, 0.7355700686179796, 0.64291896187748, 1.0),
        (0.3676399929257252, 0.7316387718079004, 0.6429520487195033, 1.0),
        (0.3641894512092865, 0.7276949011320993, 0.6429557270674553, 1.0),
        (0.360869920751858, 0.7237395816489647, 0.6429292709767442, 1.0),
        (0.35767624799268277, 0.7197739138067412, 0.6428719883285997, 1.0),
        (0.35460272483667743, 0.7157992458648065, 0.6427810759039616, 1.0),
        (0.35164460056504315, 0.7118162697085736, 0.6426589560156208, 1.0),
        (0.3487967412412643, 0.7078259414050183, 0.642505472866409, 1.0),
        (0.34605404670046425, 0.7038291754672099, 0.6423205839967465, 1.0),
        (0.3434114694865877, 0.6998268449671132, 0.642104351235787, 1.0),
        (0.34086403182019126, 0.6958197818437617, 0.6418569321473705, 1.0),
        (0.3384068406811324, 0.6918087773726725, 0.6415785719753462, 1.0),
        (0.3360351011011303, 0.687794582765948, 0.6412695960850323, 1.0),
        (0.33374412776911416, 0.6837779098758933, 0.64093040289123, 1.0),
        (0.3315291322901113, 0.6797595093162658, 0.6405610222271947, 1.0),
        (0.3293855731203559, 0.6757400463409192, 0.6401618521317686, 1.0),
        (0.3273095072934469, 0.6717199943156247, 0.6397341828681051, 1.0),
        (0.3252967835603528, 0.6676999151191672, 0.6392786349130805, 1.0),
        (0.32334339493443087, 0.6636803359579184, 0.6387958727683987, 1.0),
        (0.32144548259447037, 0.6596617502568347, 0.6382866005148118, 1.0),
        (0.31959933887332576, 0.655644618542236, 0.6377515576836865, 1.0),
        (0.31780140942356155, 0.6516293693095515, 0.6371915154212616, 1.0),
        (0.3160482946464281, 0.6476163998706648, 0.6366072729215249, 1.0),
        (0.3143367504654776, 0.6436060771766987, 0.6359996541044425, 1.0),
        (0.31266368852038245, 0.6395987386132338, 0.6353695045172914, 1.0),
        (0.3110261758511675, 0.6355946927658274, 0.6347176884379419, 1.0),
        (0.3094214341373542, 0.6315942201545601, 0.6340450861601971, 1.0),
        (0.3078468385510386, 0.6275975739369872, 0.6333525914425653, 1.0),
        (0.3062999162775807, 0.6236049805794583, 0.6326411091031564, 1.0),
        (0.304778344752461, 0.6196166404972232, 0.6319115527447411, 1.0),
        (0.3032799496578738, 0.6156327286641397, 0.6311648425953061, 1.0),
        (0.3018027027180503, 0.6116533951930803, 0.6304019034507419, 1.0),
        (0.30034471932798235, 0.6076787658883653, 0.6296236627075371, 1.0),
        (0.2989042560461286, 0.6037089427717098, 0.628831048474553, 1.0),
        (0.2974797079780254, 0.5997440045832754, 0.6280249877540685, 1.0),
        (0.296069606074264, 0.5957840072594757, 0.6272064046833602, 1.0),
        (0.2946726143633343, 0.5918289843891731, 0.6263762188290395, 1.0),
        (0.2932875271368584, 0.5878789476499071, 0.6255353435272826, 1.0),
        (0.29191326610239127, 0.5839338872257092, 0.6246846842638799, 1.0),
        (0.2905488775167376, 0.5799937722079638, 0.6238251370887519, 1.0),
        (0.28919352931059733, 0.5760585509806988, 0.6229575870601862, 1.0),
        (0.28784650821386876, 0.5721281515915098, 0.6220829067145718, 1.0),
        (0.28650717473479514, 0.5682024945496734, 0.6212019079466474, 1.0),
        (0.2851749861947763, 0.5642814857106784, 0.6203153697409601, 1.0),
        (0.2838497050469648, 0.5603649539888248, 0.6194242689076802, 1.0),
        (0.2825310677598036, 0.556452748548192, 0.6185294158631611, 1.0),
        (0.28121891514467584, 0.552544699951864, 0.6176316008625786, 1.0),
        (0.27991318961110745, 0.5486406204645675, 0.6167315925457064, 1.0),
        (0.2786139324558263, 0.544740304345275, 0.6158301364812403, 1.0),
        (0.2773212811865227, 0.5408435281299215, 0.6149279537054622, 1.0),
        (0.2760354668808263, 0.5369500509042624, 0.6140257392505246, 1.0),
        (0.27475681158048776, 0.5330596145668073, 0.6131241606570348, 1.0),
        (0.2734857257205313, 0.5291719440816851, 0.6122238564648386, 1.0),
        (0.27222270559260914, 0.5252867477212617, 0.6113254346750161, 1.0),
        (0.2709683308416186, 0.521403717298315, 0.6104294711750373, 1.0),
        (0.2697232619941725, 0.5175225283875983, 0.6095365081178056, 1.0),
        (0.2684882380171458, 0.5136428405367017, 0.6086470522439325, 1.0),
        (0.26726407390418316, 0.5097642974662251, 0.6077615731349966, 1.0),
        (0.26605165828746213, 0.5058865272594797, 0.6068805013837573, 1.0),
        (0.26485195107157394, 0.5020091425421506, 0.6060042266652779, 1.0),
        (0.2636659810857353, 0.4981317406526837, 0.6051330956906521, 1.0),
        (0.26249484374982884, 0.4942539038045714, 0.6042674100224807, 1.0),
        (0.261339698748982, 0.49037519924218836, 0.6034074237284018, 1.0),
        (0.26020178118801524, 0.4864951750164123, 0.6025533553474511, 1.0),
        (0.2590825816132031, 0.4826133005480903, 0.6017055804809932, 1.0),
        (0.2579832374637801, 0.4787291639776032, 0.6008639770499764, 1.0),
        (0.2569051367797046, 0.4748422758923548, 0.6000285749995882, 1.0),
        (0.25584971933093753, 0.4709521329962904, 0.5991993407256714, 1.0),
        (0.254818474079441, 0.46705821833999533, 0.5983761730113198, 1.0),
        (0.253812936565901, 0.4631600015854967, 0.5975588985257049, 1.0),
        (0.25283468620218746, 0.4592569393176054, 0.5967472668238707, 1.0),
        (0.2518853434473967, 0.4553484754161293, 0.5959409447786498, 1.0),
        (0.2509665668417217, 0.4514340415062205, 0.595139510367386, 1.0),
        (0.25008004986818283, 0.447513057507585, 0.5943424457267542, 1.0),
        (0.24922751760712836, 0.44358493230736007, 0.5935491293785424, 1.0),
        (0.2484107231427582, 0.4396490645862106, 0.5927588275177814, 1.0),
        (0.24763144367389273, 0.43570484383280844, 0.5919706842419948, 1.0),
        (0.24689147627328495, 0.4317516515883728, 0.5911837105866417, 1.0),
        (0.24619263323038043, 0.4277888629705645, 0.5903967722170088, 1.0),
        (0.245536736901465, 0.4238158485348741, 0.5896085756110598, 1.0),
        (0.24492561397847784, 0.41983197654187776, 0.5888176525512366, 1.0),
        (0.24436113993805608, 0.41583659807025963, 0.5880223891276964, 1.0),
        (0.24384617921880847, 0.41182872079425453, 0.5872218507211212, 1.0),
        (0.24338171082262777, 0.4078080077755985, 0.5864131553289283, 1.0),
        (0.2429695407602901, 0.40377383937366695, 0.5855939512690607, 1.0),
        (0.24261143949072778, 0.39972561379941585, 0.584761598844808, 1.0),
        (0.24230912946824296, 0.39566275420732605, 0.5839131390484205, 1.0),
        (0.24206427078381, 0.3915847171721097, 0.5830452587571144, 1.0),
        (0.2418784445905286, 0.38749100277934106, 0.5821542521747483, 1.0),
        (0.24175313396482317, 0.3833811665857123, 0.5812359783131098, 1.0),
        (0.24168970181627036, 0.3792548337300427, 0.5802858143751018, 1.0),
        (0.24169075657182276, 0.3751112253980637, 0.5792995847596161, 1.0),
        (0.2417595622535183, 0.37094937515477133, 0.5782729391945388, 1.0),
        (0.24189400892379437, 0.36677026598332585, 0.5771972660307567, 1.0),
        (0.24209469653834753, 0.3625739944720036, 0.5760653956197257, 1.0),
        (0.24236191985249084, 0.35836084681850644, 0.5748693688323588, 1.0),
        (0.2426978313653707, 0.3541305556383862, 0.5736016010478481, 1.0),
        (0.2431056167697962, 0.3498826161637012, 0.5722540340252518, 1.0),
        (0.24357904089183757, 0.34561997098801733, 0.570812754167077, 1.0),
        (0.2441164681518232, 0.34134410414086214, 0.5692658625959314, 1.0),
        (0.2447220255685461, 0.3370546900675063, 0.5676029832475817, 1.0),
        (0.2453897790312708, 0.33275512635030474, 0.5658082210414479, 1.0),
        (0.2461121481740834, 0.3284495884603169, 0.5638648470620499, 1.0),
        (0.24689121264484565, 0.32413919931247226, 0.5617586120246664, 1.0),
        (0.24771570023628786, 0.31982990951562845, 0.5594704462476631, 1.0),
        (0.24857611620215248, 0.3155272777788999, 0.5569822129976373, 1.0),
        (0.24946823758672887, 0.31123536052771755, 0.5542766318947623, 1.0),
        (0.2503729202057395, 0.30696328162047726, 0.5513352372309007, 1.0),
        (0.25128176510025363, 0.3027167370222473, 0.548142266446432, 1.0),
        (0.2521753740527091, 0.29850489047544926, 0.5446839245346259, 1.0),
        (0.2530378388279626, 0.2943355684042912, 0.5409499814033099, 1.0),
        (0.2538514672799476, 0.29021676178459443, 0.5369345375383627, 1.0),
        (0.25459786369881865, 0.2861560770732185, 0.532637018668182, 1.0),
        (0.2552597334794323, 0.2821600341185548, 0.5280624026249696, 1.0),
        (0.2558254018044066, 0.278232807790924, 0.5232189983935347, 1.0),
        (0.25627372220016753, 0.27437999159747867, 0.5181261586082565, 1.0),
        (0.256605165171169, 0.2706008890121901, 0.5127963599343589, 1.0),
        (0.2568071232679735, 0.26689714477054133, 0.5072541841677337, 1.0),
        (0.25687290827394005, 0.26326808064985996, 0.5015251413221865, 1.0),
        (0.25680887862323876, 0.2597098435540172, 0.4956253550777798, 1.0),
        (0.25661512128700836, 0.25621954538695263, 0.48957707549973145, 1.0),
        (0.25628795984788594, 0.2527944349049762, 0.4834087259028413, 1.0),
        (0.25583227948706294, 0.2494300496133809, 0.4771399728195322, 1.0),
        (0.25525720795345963, 0.2461214417402472, 0.4707834286138411, 1.0),
        (0.2545675711557804, 0.24286438430062485, 0.4643557571030282, 1.0),
        (0.2537686502971923, 0.23965468850929111, 0.4578718126285494, 1.0),
        (0.2528659964243426, 0.23648829128344162, 0.45134461412137555, 1.0),
        (0.2518652755598766, 0.2333613180085921, 0.4447853910070805, 1.0),
        (0.2507721436866523, 0.2302701237479483, 0.43820368141264204, 1.0),
        (0.2495921493408268, 0.22721131657475419, 0.431607465147627, 1.0),
        (0.24833066069505955, 0.22418176674023343, 0.42500331672496205, 1.0),
        (0.24699281363155706, 0.22117860511871706, 0.4183965667275956, 1.0),
        (0.24558179506442418, 0.2181991605590305, 0.41179551607073306, 1.0),
        (0.2440963016438913, 0.21524070791808264, 0.4052187485307189, 1.0),
        (0.24254746131439625, 0.2123011804696942, 0.3986531809377649, 1.0),
        (0.2409394174709658, 0.20937860884790527, 0.39210045150475614, 1.0),
        (0.23927600851010022, 0.20647121275469993, 0.385561633864815, 1.0),
        (0.23755595104879917, 0.20357689901517023, 0.3790513023869773, 1.0),
        (0.23577915820662154, 0.20069365048434634, 0.3725810406048238, 1.0),
        (0.23395668339300707, 0.19782084391761973, 0.36612827746942717, 1.0),
        (0.23209137079088465, 0.19495728076419955, 0.35969247276562255, 1.0),
        (0.2301734316844865, 0.19210005666936456, 0.35331317104477783, 1.0),
        (0.22821551516159005, 0.189249373478215, 0.34695853128541904, 1.0),
        (0.22622210135322862, 0.18640462134560046, 0.3406203233993786, 1.0),
        (0.22418213028926431, 0.18356265937485186, 0.3343431537784406, 1.0),
        (0.22210836206934625, 0.18072433809465435, 0.3280900612914751, 1.0),
        (0.22000278653621824, 0.17788890966270784, 0.3218593457818205, 1.0),
        (0.2178554139765243, 0.17505332618521788, 0.3156932341101472, 1.0),
        (0.21568192233833688, 0.17221954123328223, 0.30953955936471184, 1.0),
        (0.2134730781003148, 0.16938469182067709, 0.30343772343247927, 1.0),
        (0.2112350828916275, 0.1665490510713015, 0.29736907728346246, 1.0),
        (0.2089702734855372, 0.16371219405462256, 0.29132868017233454, 1.0),
        (0.20667285604288466, 0.16087193117310625, 0.2853437530392856, 1.0),
        (0.20435510638343507, 0.158030113535793, 0.27936891924056323, 1.0),
        (0.2020028382233076, 0.15518268900513338, 0.2734655011163185, 1.0),
        (0.19963335800919846, 0.1523327614839001, 0.26756592761397474, 1.0),
        (0.1972319620276793, 0.1494761585027865, 0.26173441193145697, 1.0),
        (0.19481375332267303, 0.1466155558553731, 0.2559107021731874, 1.0),
        (0.19236657606855995, 0.1437473901381049, 0.25014898231404115, 1.0),
        (0.18990317894177675, 0.14087380400423677, 0.24439758121380578, 1.0),
        (0.1874125186315798, 0.137991547683103, 0.23870628806801875, 1.0),
        (0.184907175298111, 0.1351026683367795, 0.23302317793405836, 1.0),
        (0.18237518287617935, 0.1322038111876146, 0.22740209898688274, 1.0),
        (0.179830883466157, 0.12929727417207057, 0.22178283731020593, 1.0),
        (0.17725957029514347, 0.12637928590472847, 0.21623093617021305, 1.0),
        (0.17467697667140755, 0.12345223077540429, 0.21067979042141516, 1.0),
        (0.17207032750741474, 0.12051291740470568, 0.20518607105329312, 1.0),
        (0.16945090665704213, 0.11756263620904239, 0.19970232943268634, 1.0),
        (0.16681175908778648, 0.11459941394022388, 0.19425946558476556, 1.0),
        (0.1641571774416622, 0.11162317649923165, 0.18883991550265145, 1.0),
        (0.1614878059346169, 0.10863317827176164, 0.18344165402006055, 1.0),
        (0.1587995102818767, 0.10562813317599731, 0.17808214768137137, 1.0),
        (0.15610197465072734, 0.10260825258757111, 0.1727215696232308, 1.0),
    ],
    'cmo.delta': [
        (0.0659773860137986, 0.12386004993819841, 0.24948115997128678, 1.0),
        (0.07133348383690202, 0.12940591530721332, 0.2616879493264587, 1.0),
        (0.07660673341849929, 0.1348904893736507, 0.2740174560666073, 1.0),
        (0.0817994274540545, 0.14031582700318282, 0.2864785303502868, 1.0),
        (0.08691256390227207, 0.14568385562244648, 0.299079624104828, 1.0),
        (0.091945849456743, 0.15099639967028494, 0.31182903433530734, 1.0),
        (0.09689768035102533, 0.15625524960844564, 0.3247348837430399, 1.0),
        (0.10176509927131142, 0.16146228188954, 0.33780484328346777, 1.0),
        (0.10654368502125464, 0.1666195947228325, 0.3510458424779078, 1.0),
        (0.11122738227874471, 0.17172967930878827, 0.36446368007339913, 1.0),
        (0.11580826396822547, 0.176795637675214, 0.3780625084467088, 1.0),
        (0.12027621506822311, 0.18182146068998759, 0.391844158742426, 1.0),
        (0.12461803588430653, 0.18681194807307863, 0.4058097470770324, 1.0),
        (0.12881796922732563, 0.1917741666236538, 0.4199528089677069, 1.0),
        (0.13284746167340614, 0.19671014477253182, 0.4343030550143372, 1.0),
        (0.1366743439874563, 0.20162803638799787, 0.44886602088645233, 1.0),
        (0.1402697405988469, 0.20654861794844884, 0.4635891685570929, 1.0),
        (0.14356096773264818, 0.2114763818446298, 0.478537311875745, 1.0),
        (0.14648259834397143, 0.216442928217813, 0.4936502476018932, 1.0),
        (0.14892682827528708, 0.22148325072489022, 0.5088979401282253, 1.0),
        (0.1507371684006213, 0.22665102381394062, 0.5242194514187758, 1.0),
        (0.15169024464338968, 0.23203322012375102, 0.5394760757902346, 1.0),
        (0.15145111834379918, 0.23776598383145736, 0.5544183670812611, 1.0),
        (0.1496393912338223, 0.24406024903081674, 0.5684878359335852, 1.0),
        (0.14604824108798567, 0.2511468443507377, 0.5807899638818473, 1.0),
        (0.1410880680922908, 0.2590812338131468, 0.5904832679842994, 1.0),
        (0.13561683950783499, 0.26763197489508356, 0.5975298478667913, 1.0),
        (0.13031495289201075, 0.2764826225526602, 0.6025539065478572, 1.0),
        (0.12544420527563635, 0.2854247638675977, 0.6062200394039132, 1.0),
        (0.12108708228711607, 0.2943473134108121, 0.6089973874915462, 1.0),
        (0.11726955312360463, 0.30319419851657475, 0.6111929317890049, 1.0),
        (0.11397500368125806, 0.3119443350694657, 0.6129982148893173, 1.0),
        (0.1112033339222758, 0.3205870499778303, 0.6145458765315288, 1.0),
        (0.10893176778315941, 0.3291245257255577, 0.6159177537781719, 1.0),
        (0.10715592000292397, 0.33755884061770974, 0.6171772941191597, 1.0),
        (0.10586716970139975, 0.3458949746708841, 0.6183691364290873, 1.0),
        (0.10505368354231322, 0.3541392816209684, 0.6195251374197684, 1.0),
        (0.10470093689183221, 0.3622986225760413, 0.6206683641336452, 1.0),
        (0.10479203776526695, 0.3703798878160347, 0.6218157496695793, 1.0),
        (0.10530801986043804, 0.37838974383886204, 0.6229798723475735, 1.0),
        (0.10622818119665142, 0.3863345096586634, 0.6241701582562017, 1.0),
        (0.10753048862122233, 0.3942201061090065, 0.6253937020808856, 1.0),
        (0.10919243932370425, 0.40205196342876665, 0.6266561002744107, 1.0),
        (0.11119435829318233, 0.40983445886450226, 0.6279637668678786, 1.0),
        (0.11350717011876768, 0.41757351644184654, 0.6293157457845685, 1.0),
        (0.11610813425321549, 0.42527353608449425, 0.6307138516517573, 1.0),
        (0.11897579344687095, 0.4329385201862068, 0.6321593952231349, 1.0),
        (0.12209073866864278, 0.4405720021069967, 0.6336536533861742, 1.0),
        (0.1254313309649555, 0.4481780149683325, 0.6351944890602603, 1.0),
        (0.12898069477284357, 0.45575969985483566, 0.6367814482944477, 1.0),
        (0.1327234757860508, 0.46332001765532016, 0.6384133438519223, 1.0),
        (0.1366456467378641, 0.47086182713565605, 0.640087995109045, 1.0),
        (0.1407363866489944, 0.47838749710084677, 0.6418037880436874, 1.0),
        (0.14498681242623795, 0.48589918683741584, 0.6435586564915602, 1.0),
        (0.14938836906694727, 0.49339922591062435, 0.6453485009817425, 1.0),
        (0.15393709489015237, 0.5008891468977829, 0.6471711565459389, 1.0),
        (0.1586310186870569, 0.5083702562707105, 0.6490241132866138, 1.0),
        (0.16346975590083335, 0.5158437292973329, 0.6509040588133291, 1.0),
        (0.16845338196555676, 0.5233109084707434, 0.65280539971405, 1.0),
        (0.17358644506020568, 0.5307723069682713, 0.6547246162450198, 1.0),
        (0.1788762907561012, 0.5382279816345407, 0.6566586389937684, 1.0),
        (0.18433158502780345, 0.5456779129165307, 0.6586029565822658, 1.0),
        (0.18996346020753724, 0.5531217149793111, 0.66055275479442, 1.0),
        (0.19578567152242937, 0.560558588412334, 0.6625029478068648, 1.0),
        (0.20181477544010137, 0.5679872634932768, 0.6644482228910481, 1.0),
        (0.20807032345905047, 0.5754059330683939, 0.6663831032354098, 1.0),
        (0.21457505997572135, 0.5828121744134654, 0.6683020346671101, 1.0),
        (0.2213551058828181, 0.5902028600545594, 0.6701995032624419, 1.0),
        (0.2284401001554763, 0.5975740586014726, 0.6720701919980657, 1.0),
        (0.23586325955209414, 0.6049209283683517, 0.6739091854839274, 1.0),
        (0.24366130174577025, 0.612237609146501, 0.6757122320606384, 1.0),
        (0.25187428239051635, 0.6195172376016091, 0.6774748721938464, 1.0),
        (0.26054625477511945, 0.6267521782632935, 0.6791884196717023, 1.0),
        (0.2697223435718488, 0.6339321155616697, 0.6808595744198757, 1.0),
        (0.27945070616983514, 0.6410466489698474, 0.6824833307813435, 1.0),
        (0.2897757469508874, 0.6480833951730044, 0.6840678233733251, 1.0),
        (0.30074005799169323, 0.655029306917274, 0.6856190218551721, 1.0),
        (0.31237335441218606, 0.6618707779645556, 0.6871551174084108, 1.0),
        (0.3246928744041569, 0.668594862010803, 0.6886964056934861, 1.0),
        (0.3376938826508426, 0.6751904077764691, 0.6902718663086207, 1.0),
        (0.3513431731100804, 0.6816498400421903, 0.6919186687380647, 1.0),
        (0.3655801687205503, 0.6879704487336566, 0.6936766690123587, 1.0),
        (0.38031810724813964, 0.694155369611868, 0.6955864461833489, 1.0),
        (0.39545204219912505, 0.7002135636342459, 0.697684714191277, 1.0),
        (0.41087026374958224, 0.7061587591151469, 0.7000003274804923, 1.0),
        (0.4264655231641654, 0.712007745117343, 0.702552151180152, 1.0),
        (0.4421398465703323, 0.7177791208521479, 0.705350693922053, 1.0),
        (0.4578146594059832, 0.7234909599907043, 0.7083963367484934, 1.0),
        (0.47343263661501817, 0.7291594675698767, 0.711681439705537, 1.0),
        (0.4889439768381088, 0.7348006608373828, 0.7151980168827651, 1.0),
        (0.504323502284591, 0.7404266676960519, 0.7189306426046804, 1.0),
        (0.519544979092167, 0.7460500590687459, 0.722867858440711, 1.0),
        (0.5346060674832424, 0.751678573345111, 0.7269915790721249, 1.0),
        (0.5494957879225167, 0.7573215396332559, 0.731290033135229, 1.0),
        (0.5642109194020762, 0.7629864393831224, 0.7357506868491602, 1.0),
        (0.5787587814755801, 0.768678029665397, 0.7403590500036059, 1.0),
        (0.5931425302347186, 0.774401618224452, 0.7451039076698013, 1.0),
        (0.6073669352798531, 0.7801617959410424, 0.7499747930144113, 1.0),
        (0.6214377548680753, 0.7859625803548145, 0.7549619729043923, 1.0),
        (0.6353612633567854, 0.7918075411521186, 0.7600564003443241, 1.0),
        (0.6491439022023682, 0.7976999076516296, 0.765249643430433, 1.0),
        (0.6627920290432822, 0.8036426595228505, 0.7705337970836615, 1.0),
        (0.6763117435090651, 0.8096386025511533, 0.7759013809423981, 1.0),
        (0.6897087726671521, 0.8156904314188402, 0.781345224343032, 1.0),
        (0.702986875844065, 0.8218012177763014, 0.7868589064788616, 1.0),
        (0.716150997055373, 0.8279735582194871, 0.7924354516480101, 1.0),
        (0.7292074678781655, 0.8342095198658106, 0.7980670439230836, 1.0),
        (0.7421603052750909, 0.8405117369322829, 0.8037462137390754, 1.0),
        (0.7550130363837785, 0.8468829352690028, 0.8094649579596866, 1.0),
        (0.7677675072929551, 0.8533263291295689, 0.8152150078983438, 1.0),
        (0.7804286736233476, 0.8598442197218039, 0.8209855429355756, 1.0),
        (0.7930004580879766, 0.8664392645043827, 0.826764504951461, 1.0),
        (0.8054863928021784, 0.8731143298243123, 0.8325380072551294, 1.0),
        (0.8178907398223461, 0.8798721832639378, 0.8382894924646915, 1.0),
        (0.8302206912403525, 0.8867148359525702, 0.8439982562174995, 1.0),
        (0.8424848125723045, 0.8936440089934187, 0.8496400053646017, 1.0),
        (0.854695202964893, 0.9006604181462476, 0.8551858897548898, 1.0),
        (0.8668690155089663, 0.9077631867273938, 0.8606022529774388, 1.0),
        (0.8790288109548029, 0.9149495215441604, 0.8658518895612481, 1.0),
        (0.8912037171238261, 0.9222140541034465, 0.8708956089555121, 1.0),
        (0.9034296112545311, 0.9295484449065543, 0.8756947245366876, 1.0),
        (0.9157446696169489, 0.9369424010843143, 0.8802171523557963, 1.0),
        (0.9281863497011796, 0.9443845010788505, 0.8844406204607417, 1.0),
        (0.9407858888544293, 0.9518641083339402, 0.8883550738976759, 1.0),
        (0.9535630439791514, 0.9593735642774037, 0.8919621845427534, 1.0),
        (0.9665201109850536, 0.9669107063880006, 0.895275358774096, 1.0),
        (0.9796445978012245, 0.9744788660117252, 0.8983115376042009, 1.0),
        (0.9929112670185372, 0.9820866799218417, 0.901087021613304, 1.0),
        (0.9982730268101483, 0.9889694755219708, 0.7999442108029597, 1.0),
        (0.9929058495229108, 0.9794050788863891, 0.7833358183298924, 1.0),
        (0.987592365075451, 0.969889946486896, 0.7667012303433515, 1.0),
        (0.982318586169944, 0.9604279232142536, 0.7500397756248866, 1.0),
        (0.9770703124308782, 0.9510228651056021, 0.733353243611024, 1.0),
        (0.9718363735011738, 0.941677993075562, 0.7166374530919547, 1.0),
        (0.9666050731163692, 0.9323966706544653, 0.6998902891874017, 1.0),
        (0.961364301912024, 0.9231824093351182, 0.6831112052412209, 1.0),
        (0.9561028958285774, 0.9140386058656861, 0.6662974104712343, 1.0),
        (0.9508083325016449, 0.9049690475036481, 0.6494496943095005, 1.0),
        (0.9454684730702294, 0.8959775633177465, 0.6325676269372065, 1.0),
        (0.9400723723947072, 0.8870678867552502, 0.6156465124418978, 1.0),
        (0.9346058159566497, 0.87824457836573, 0.59869054704656, 1.0),
        (0.9290551327574594, 0.869512251876844, 0.5817016896385238, 1.0),
        (0.9234068745349681, 0.8608756692898577, 0.5646798737839683, 1.0),
        (0.9176476570857734, 0.8523398122996758, 0.5476225921964324, 1.0),
        (0.9117605768171194, 0.8439105011633244, 0.530538690069013, 1.0),
        (0.9057294292646674, 0.8355936187061435, 0.5134332703875157, 1.0),
        (0.8995373837127171, 0.8273953488390179, 0.49631230572693535, 1.0),
        (0.8931668363157146, 0.8193221729762613, 0.4791835354420606, 1.0),
        (0.886599474681032, 0.8113808082855289, 0.46205685670322866, 1.0),
        (0.8798164304287337, 0.8035781062706647, 0.444944693554177, 1.0),
        (0.872798534814182, 0.7959209062504765, 0.4278623067743916, 1.0),
        (0.8655266863011726, 0.7884158414439076, 0.4108280013801816, 1.0),
        (0.8579823289810251, 0.7810691001909568, 0.39386318675267645, 1.0),
        (0.8501480272468268, 0.7738861511160153, 0.3769922487265211, 1.0),
        (0.8420081064664117, 0.7668714480881305, 0.36024220500431114, 1.0),
        (0.8335493139687488, 0.7600281374658561, 0.3436421351583663, 1.0),
        (0.8247614427074491, 0.7533577948036686, 0.327222402524785, 1.0),
        (0.8156375420410802, 0.7468604353583209, 0.3110118836109616, 1.0),
        (0.806174927418268, 0.7405338916134766, 0.29504177528664455, 1.0),
        (0.7963754502467559, 0.7343738490654924, 0.2793426139268554, 1.0),
        (0.7862447338994297, 0.7283743784989338, 0.2639399482282492, 1.0),
        (0.775792071957761, 0.7225279433054641, 0.2488556354727658, 1.0),
        (0.7650303771013176, 0.7168254431630054, 0.23410844808865536, 1.0),
        (0.7539750343483268, 0.7112568233586714, 0.2197122054610399, 1.0),
        (0.7426430871174343, 0.7058114545759138, 0.2056759553201529, 1.0),
        (0.7310534670287897, 0.7004780204273291, 0.19200601829034636, 1.0),
        (0.7192246582296187, 0.6952456018353061, 0.17870367484939792, 1.0),
        (0.707174958515005, 0.6901035084730168, 0.16576774010798517, 1.0),
        (0.6949222884410386, 0.685041349959673, 0.15319575674809122, 1.0),
        (0.6824842814557106, 0.6800490021740336, 0.14098514968107412, 1.0),
        (0.669877022887455, 0.6751171258808204, 0.12913325140837711, 1.0),
        (0.6571143400419639, 0.6702374099136926, 0.11763849983484198, 1.0),
        (0.6442094908284235, 0.6654018578857598, 0.10650332627470177, 1.0),
        (0.6311744273095842, 0.6606030780260319, 0.095735224824045, 1.0),
        (0.61801983635961, 0.6558342467606345, 0.08534902790789917, 1.0),
        (0.6047555638904745, 0.6510889365918349, 0.07536985103926261, 1.0),
        (0.5913898596168664, 0.6463613699396044, 0.0658369123237807, 1.0),
        (0.5779296744802824, 0.6416462789177482, 0.05680890010486411, 1.0),
        (0.5643815107462558, 0.6369385923155289, 0.048370172221095104, 1.0),
        (0.5507511097017993, 0.6322335378219294, 0.04063109062878036, 1.0),
        (0.5370435678897189, 0.6275265912622651, 0.03399826777259875, 1.0),
        (0.5232634540892092, 0.6228134291123465, 0.02889162770899197, 1.0),
        (0.5094149267503034, 0.6180898846857883, 0.025233973641611753, 1.0),
        (0.49550185212827474, 0.6133519082262945, 0.022927499430145167, 1.0),
        (0.48152761263710114, 0.6085956169577118, 0.021884592343838462, 1.0),
        (0.46749590402718577, 0.6038170693908025, 0.02202575196199581, 1.0),
        (0.4534104802174604, 0.5990123514750381, 0.0232790017571949, 1.0),
        (0.4392752666457843, 0.5941775573957772, 0.025578913108519185, 1.0),
        (0.42509452733462477, 0.5893087619843902, 0.028865589484116203, 1.0),
        (0.41087300137772914, 0.5844020085373907, 0.03308373191521535, 1.0),
        (0.3966160426045597, 0.5794533026963221, 0.03818173057085194, 1.0),
        (0.3823293010751576, 0.5744587111207358, 0.04394805072129903, 1.0),
        (0.36801932320623515, 0.5694142562314316, 0.04996782753758579, 1.0),
        (0.3536949929415159, 0.5643156734350929, 0.05612893743527533, 1.0),
        (0.3393656203896878, 0.5591588786318282, 0.06235756094274707, 1.0),
        (0.32504181839369933, 0.5539398325638829, 0.06859885832682489, 1.0),
        (0.310735418192626, 0.5486546144439581, 0.07481180702467757, 1.0),
        (0.2964591129532259, 0.5432995335070246, 0.08096589157307844, 1.0),
        (0.2822293354118089, 0.5378707352767682, 0.08703358821945917, 1.0),
        (0.2680631693101796, 0.5323648013351243, 0.09299375412108926, 1.0),
        (0.25397931974239996, 0.5267786444926343, 0.09882859370375925, 1.0),
        (0.23999778182435083, 0.5211096093711738, 0.10452328781412311, 1.0),
        (0.2261416601476158, 0.515355312084038, 0.11006259715437375, 1.0),
        (0.21243542568413726, 0.5095139343276296, 0.1154333255089758, 1.0),
        (0.19890535087357372, 0.50358421083933, 0.12062356644128225, 1.0),
        (0.18558025198686237, 0.4975654032668734, 0.12562169671208517, 1.0),
        (0.17249118267905414, 0.4914573735230235, 0.13041728735455005, 1.0),
        (0.15967198817544537, 0.48526056392878836, 0.135000983853915, 1.0),
        (0.14716017134966872, 0.4789759616417099, 0.13936423073389398, 1.0),
        (0.13499842783239788, 0.47260505566144567, 0.14349795691235026, 1.0),
        (0.12323409386442936, 0.466149863157404, 0.14739609875250995, 1.0),
        (0.11192206464526683, 0.4596127986989773, 0.15105327797702775, 1.0),
        (0.10112669600681448, 0.45299662637980914, 0.1544646692589755, 1.0),
        (0.09092370227703118, 0.4463044122993942, 0.15762614731373925, 1.0),
        (0.08140182958873418, 0.43953951714931044, 0.16053325234961005, 1.0),
        (0.07266387753167232, 0.4327053745376122, 0.16318528009794545, 1.0),
        (0.06482627783058431, 0.4258055568219375, 0.16558087820413583, 1.0),
        (0.05801402675507238, 0.41884370317280967, 0.1677192174955808, 1.0),
        (0.05235027915956171, 0.4118234726221553, 0.16960002976790003, 1.0),
        (0.047939533376343525, 0.4047485074383744, 0.17122352366067742, 1.0),
        (0.044846418980686226, 0.39762240363104134, 0.1725903016462425, 1.0),
        (0.043075344036773044, 0.3904487413924379, 0.17370089013951834, 1.0),
        (0.042562150201398696, 0.38323095644428057, 0.174556602482984, 1.0),
        (0.043179544683562894, 0.3759723414694283, 0.17515917684572277, 1.0),
        (0.044754796654087575, 0.3686761402311958, 0.17551005048393625, 1.0),
        (0.04709552935339575, 0.36134549700126023, 0.1756107327768162, 1.0),
        (0.050012285908612245, 0.35398345946135246, 0.1754627713878164, 1.0),
        (0.0533336118476115, 0.3465929842566787, 0.17506772933115203, 1.0),
        (0.05691317314028156, 0.3391769443356537, 0.17442717313254513, 1.0),
        (0.06063095633376834, 0.33173813717962924, 0.1735426720731329, 1.0),
        (0.06439108555589056, 0.3242792929871453, 0.17241580828151862, 1.0),
        (0.0681182237065723, 0.3168030818312439, 0.17104819716107975, 1.0),
        (0.07175374899424672, 0.3093121187621845, 0.16944151727938583, 1.0),
        (0.07525054904463072, 0.301809167254793, 0.16759700498705749, 1.0),
        (0.0785741934769711, 0.29429669631413125, 0.16551679901167485, 1.0),
        (0.08169810964964451, 0.28677712558915697, 0.16320316042935584, 1.0),
        (0.08460146166583515, 0.279252863708572, 0.1606584250555511, 1.0),
        (0.0872683443787032, 0.2717262314473357, 0.157885219001093, 1.0),
        (0.0896868012528411, 0.2641994345632674, 0.15488649874807703, 1.0),
        (0.09184811202104472, 0.25667452913905875, 0.15166557804338743, 1.0),
        (0.0937395485966932, 0.24915446938406138, 0.14822449525533704, 1.0),
        (0.09536082610392219, 0.24164045325371528, 0.14456832161802535, 1.0),
        (0.09671156792765055, 0.23413368536913629, 0.14070181088613312, 1.0),
        (0.09779165155319484, 0.22663529687918696, 0.13662956460694933, 1.0),
        (0.09858918018548599, 0.21914858784401023, 0.13235389054502325, 1.0),
        (0.09911872945106745, 0.21167193317576458, 0.12788220082178514, 1.0),
        (0.09938202608300481, 0.20420582225342485, 0.12321894328621841, 1.0),
        (0.09937197195988694, 0.19675242050586933, 0.11836728887530519, 1.0),
        (0.09911022889650681, 0.18930776190874668, 0.11333393143451247, 1.0),
        (0.09858398538131138, 0.18187477780144992, 0.10812097417861091, 1.0),
        (0.09781920616108218, 0.17444770023053727, 0.10273378773084955, 1.0),
        (0.09680379693953686, 0.16702876341416195, 0.09717429406594691, 1.0),
        (0.09556600543567503, 0.15961052262012485, 0.09144566047836146, 1.0),
        (0.0940950676604726, 0.15219409214105972, 0.085549530617608, 1.0),
        (0.09241357113156572, 0.14477199587904924, 0.07948691438285388, 1.0),
        (0.09053276383981979, 0.13733860758438335, 0.07325761429945674, 1.0),
    ],
    'cmo.dense': [
        (0.9022021640633742, 0.9441797977915001, 0.9438027309131503, 1.0),
        (0.8954445384876382, 0.9409578903665055, 0.9410648759794843, 1.0),
        (0.8886855788874896, 0.937740382063468, 0.9384098650760987, 1.0),
        (0.8819275100483496, 0.9345262546442011, 0.935837281404758, 1.0),
        (0.8751724774625698, 0.931314552161322, 0.9333465385891809, 1.0),
        (0.8684225465562396, 0.9281043788756372, 0.9309368983040341, 1.0),
        (0.8616797015669134, 0.9248948973050556, 0.9286074874996731, 1.0),
        (0.8549458444869071, 0.921685326259987, 0.9263573151615366, 1.0),
        (0.8482227943572994, 0.9184749387758169, 0.9241852885114791, 1.0),
        (0.8415122870990739, 0.9152630598938195, 0.9220902285443439, 1.0),
        (0.8348159759916424, 0.9120490642716417, 0.9200708847923535, 1.0),
        (0.8281354328507814, 0.9088323736256948, 0.918125949218801, 1.0),
        (0.8214721499137223, 0.9056124540224106, 0.9162540691578, 1.0),
        (0.8148275424063925, 0.9023888130447766, 0.9144538592359539, 1.0),
        (0.8082029517444305, 0.8991609968660188, 0.912723912232588, 1.0),
        (0.8015996493038703, 0.8959285872646755, 0.9110628088561002, 1.0),
        (0.7950188742001107, 0.8926911903474541, 0.9094690972400389, 1.0),
        (0.7884617893745216, 0.8894484461080552, 0.9079413399350438, 1.0),
        (0.781929470922247, 0.8862000288332801, 0.9064781367807945, 1.0),
        (0.7754229463217647, 0.8829456358148736, 0.9050781031537078, 1.0),
        (0.7689431984424602, 0.879684984924093, 0.9037398757679528, 1.0),
        (0.7624911712284808, 0.8764178119047121, 0.9024621162700895, 1.0),
        (0.756067775420235, 0.8731438677954836, 0.901243514034475, 1.0),
        (0.749673894265701, 0.8698629164913183, 0.9000827882281618, 1.0),
        (0.7433103891809361, 0.8665747324492172, 0.8989786892140232, 1.0),
        (0.7369781053261772, 0.8632790985421133, 0.897929999359423, 1.0),
        (0.7306778770702587, 0.8599758040613866, 0.8969355333152028, 1.0),
        (0.7244105333220341, 0.856664642866711, 0.8959941378263615, 1.0),
        (0.7181769027125698, 0.8533454116802826, 0.8951046911317568, 1.0),
        (0.7119778186163851, 0.850017908521137, 0.8942661020057924, 1.0),
        (0.705814228526864, 0.8466819129479339, 0.8934771781429077, 1.0),
        (0.6996868754737947, 0.843337242563576, 0.8927370216147951, 1.0),
        (0.6935966262281187, 0.8399836925869731, 0.8920446369253885, 1.0),
        (0.6875443783072674, 0.8366210531289836, 0.8913990435590288, 1.0),
        (0.6815310569542375, 0.8332491095447561, 0.8907992825434408, 1.0),
        (0.6755576190661271, 0.8298676415986731, 0.8902444142113377, 1.0),
        (0.6696250569512002, 0.8264764227239829, 0.889733515850932, 1.0),
        (0.6637344019158556, 0.8230752193711802, 0.8892656792634948, 1.0),
        (0.6578867276821276, 0.8196637904396378, 0.8888400082431818, 1.0),
        (0.652083153635169, 0.8162418867874922, 0.888455615991751, 1.0),
        (0.6463248478988037, 0.8128092508153052, 0.8881116224784992, 1.0),
        (0.6406130302355731, 0.8093656161195516, 0.8878071517537653, 1.0),
        (0.634948974765717, 0.8059107072125803, 0.8875413292226666, 1.0),
        (0.6293340124974294, 0.8024442393062223, 0.8873132788842952, 1.0),
        (0.6237695336583948, 0.7989659181568091, 0.887122120540472, 1.0),
        (0.6182569898160699, 0.7954754399699002, 0.8869669669772311, 1.0),
        (0.6127978529026838, 0.7919724939438573, 0.8868470036964815, 1.0),
        (0.6073937143892588, 0.7884567552174954, 0.8867613059311603, 1.0),
        (0.602046236220424, 0.7849278896215749, 0.886708922592684, 1.0),
        (0.5967571335484213, 0.7813855546115022, 0.8866889106706612, 1.0),
        (0.5915281898823177, 0.7778293984625484, 0.886700305501537, 1.0),
        (0.5863612575196054, 0.7742590605302299, 0.8867421178165009, 1.0),
        (0.5812582575983973, 0.7706741715732086, 0.8868133307743576, 1.0),
        (0.57622117973401, 0.7670743541409147, 0.8869128969829141, 1.0),
        (0.5712520812007982, 0.7634592230284989, 0.8870397355132994, 1.0),
        (0.5663530856178774, 0.75982838580195, 0.8871927289126763, 1.0),
        (0.561526381094974, 0.7561814433965411, 0.8873707202219829, 1.0),
        (0.5567742177930776, 0.7525179907919229, 0.8875725100066919, 1.0),
        (0.5520989048532665, 0.7488376177673575, 0.8877968534100384, 1.0),
        (0.5475028066465009, 0.7451399097406839, 0.8880424572398105, 1.0),
        (0.5429883038774732, 0.7414244411965056, 0.8883081102246548, 1.0),
        (0.5385578037806127, 0.7376907727350942, 0.8885926739767255, 1.0),
        (0.5342139074650678, 0.7339384990781334, 0.8888943435724942, 1.0),
        (0.5299591516928193, 0.730167197615884, 0.8892116013883854, 1.0),
        (0.5257960979209626, 0.7263764470411207, 0.8895428673545512, 1.0),
        (0.5217273234975481, 0.7225658287807644, 0.8898864965652431, 1.0),
        (0.5177554119038458, 0.7187349285333119, 0.8902407770595433, 1.0),
        (0.5138829420298184, 0.7148833379130645, 0.8906039278005389, 1.0),
        (0.510112476480756, 0.7110106562012711, 0.8909740968830554, 1.0),
        (0.5064465489258501, 0.7071164922032952, 0.8913493600019623, 1.0),
        (0.5028876505140545, 0.7032004662097455, 0.8917277192147863, 1.0),
        (0.49943821525823867, 0.6992621674331674, 0.8921074350832908, 1.0),
        (0.49610063472159843, 0.6953012224940205, 0.8924864661543193, 1.0),
        (0.4928771955532801, 0.69131735422067, 0.8928621485317783, 1.0),
        (0.4897700668589556, 0.6873102514205023, 0.8932321753875414, 1.0),
        (0.48678129437860457, 0.6832796259123631, 0.8935941653626673, 1.0),
        (0.4839127827295982, 0.6792252150037094, 0.8939456639464464, 1.0),
        (0.48116627742448465, 0.675146784009974, 0.8942841454160184, 1.0),
        (0.47854334684713423, 0.6710441287994943, 0.8946070153685666, 1.0),
        (0.47604536438908757, 0.6669170783452496, 0.8949116138746747, 1.0),
        (0.47367364282946584, 0.6627653768113492, 0.895195785971628, 1.0),
        (0.4714290262412599, 0.6585890168305761, 0.8954562723025643, 1.0),
        (0.4693121574935592, 0.654387975766499, 0.8956900818434682, 1.0),
        (0.4673234528945733, 0.6501622438680934, 0.8958943277799077, 1.0),
        (0.4654630534005659, 0.6459118568983728, 0.8960660842179662, 1.0),
        (0.46373081267883526, 0.6416368981971656, 0.8962023935259622, 1.0),
        (0.46212628700852026, 0.6373375005637915, 0.8963002743257549, 1.0),
        (0.4606487857322991, 0.63301381556304, 0.896356841443646, 1.0),
        (0.4592973162762511, 0.6286660463835676, 0.8963691878774374, 1.0),
        (0.45807033392873825, 0.6242945769689846, 0.8963339924500021, 1.0),
        (0.4569661322748619, 0.6198997574323486, 0.8962482674873512, 1.0),
        (0.4559826907629682, 0.615481993049396, 0.8961090514006179, 1.0),
        (0.45511767935042186, 0.6110417444047529, 0.8959134196000665, 1.0),
        (0.4543684658154032, 0.6065795271800728, 0.8956584955889488, 1.0),
        (0.45373211030722954, 0.6020959187639063, 0.8953414439077736, 1.0),
        (0.4532053056792195, 0.5975915899334859, 0.8949594061016021, 1.0),
        (0.45278458048498743, 0.5930672153918073, 0.8945097368602322, 1.0),
        (0.4524662055084719, 0.5885235252040262, 0.8939898705469653, 1.0),
        (0.4522462243009037, 0.5839612972830612, 0.8933973456284665, 1.0),
        (0.4521204742039108, 0.5793813548677186, 0.8927298144348157, 1.0),
        (0.4520846088132207, 0.5747845636677534, 0.89198505230055, 1.0),
        (0.452134064027873, 0.5701718535137081, 0.8911609204213973, 1.0),
        (0.45226365565476695, 0.5655443967339887, 0.8902550664458119, 1.0),
        (0.45246908216723686, 0.5609029696513449, 0.8892660746141661, 1.0),
        (0.4527455061379137, 0.5562485728577384, 0.8881923021329056, 1.0),
        (0.45308803206591247, 0.5515822303923639, 0.88703226279663, 1.0),
        (0.4534917310405355, 0.546904985561765, 0.8857846304506886, 1.0),
        (0.45395166471791165, 0.5422178966900856, 0.8844482413776628, 1.0),
        (0.454462908369541, 0.5375220328430568, 0.883022095602165, 1.0),
        (0.45502044436875183, 0.5328185230036192, 0.8815052933071011, 1.0),
        (0.45561856110926985, 0.5281088097066268, 0.8798967638851668, 1.0),
        (0.45625342042665423, 0.5233935859930701, 0.8781964868264528, 1.0),
        (0.45692037090845966, 0.5186739169401045, 0.8764041195297783, 1.0),
        (0.45761487064778333, 0.513950857677444, 0.8745194730542405, 1.0),
        (0.4583325010790183, 0.5092254498718805, 0.8725425074817807, 1.0),
        (0.4590689790493137, 0.504498718441123, 0.8704733265502939, 1.0),
        (0.4598201671313326, 0.49977166851758464, 0.8683121716406742, 1.0),
        (0.4605820822069772, 0.49504528267844344, 0.866059415204812, 1.0),
        (0.461350902372687, 0.4903205184540396, 0.8637155537234259, 1.0),
        (0.46212297223505533, 0.4855983061224402, 0.8612812002829223, 1.0),
        (0.4628948066804312, 0.48087954679397343, 0.8587570768592888, 1.0),
        (0.46366216178047465, 0.4761655004408037, 0.8561438461496413, 1.0),
        (0.464422848334832, 0.471456609607848, 0.8534426324219575, 1.0),
        (0.4651739386269665, 0.466753663570378, 0.8506544391441876, 1.0),
        (0.46591264858848286, 0.4620574294334567, 0.8477803402103137, 1.0),
        (0.4666363628095653, 0.45736864021084417, 0.8448214774526085, 1.0),
        (0.46734263133213166, 0.4526879945693309, 0.8417790529251528, 1.0),
        (0.4680291657078233, 0.44801615679558254, 0.8386543213914651, 1.0),
        (0.468693834428531, 0.4433537569692766, 0.8354485830591045, 1.0),
        (0.4693346578320167, 0.4387013913255956, 0.83216317659744, 1.0),
        (0.4699498025791529, 0.4340596227897761, 0.8287994724682681, 1.0),
        (0.47053757579268535, 0.4294289816663296, 0.8253588665927665, 1.0),
        (0.4710964189403291, 0.4248099664657251, 0.8218427743723752, 1.0),
        (0.4716249015377835, 0.42020304485173476, 0.8182526250758133, 1.0),
        (0.47212171473984715, 0.41560865469322217, 0.8145898565994109, 1.0),
        (0.4725856648806062, 0.4110272052049121, 0.8108559106034937, 1.0),
        (0.47301566701650727, 0.4064590781625462, 0.8070522280235293, 1.0),
        (0.4734107385193607, 0.40190462917879616, 0.8031802449512829, 1.0),
        (0.47376999275981607, 0.39736418902732973, 0.7992413888782302, 1.0),
        (0.47409263291575826, 0.39283806500351043, 0.7952370752909331, 1.0),
        (0.4743779459344564, 0.38832654231127745, 0.7911687046060347, 1.0),
        (0.4746252966720312, 0.38382988546686225, 0.7870376594308572, 1.0),
        (0.4748341222291213, 0.3793483397110574, 0.7828453021343189, 1.0),
        (0.4750039264972927, 0.37488213242278556, 0.7785929727119724, 1.0),
        (0.475134274926932, 0.37043147452773884, 0.7742819869283568, 1.0),
        (0.4752247895239137, 0.36599656189678464, 0.7699136347195339, 1.0),
        (0.4752751440794078, 0.3615775767297375, 0.7654891788385849, 1.0),
        (0.47528465773460166, 0.3571748688576533, 0.7610100397104845, 1.0),
        (0.4752531583445196, 0.35278856956956184, 0.7564774234071201, 1.0),
        (0.4751807975405667, 0.3484186721552498, 0.7518923528283415, 1.0),
        (0.47506742066531155, 0.34406531404041674, 0.7472559685686854, 1.0),
        (0.47491290421939053, 0.33972862566776674, 0.7425693796885003, 1.0),
        (0.4747171524182527, 0.3354087317676911, 0.7378336635067139, 1.0),
        (0.4744800939620511, 0.3311057526021228, 0.733049865530307, 1.0),
        (0.47420167901053806, 0.32681980518219417, 0.7282189995072744, 1.0),
        (0.47388187635431483, 0.3225510044607446, 0.7233420475907059, 1.0),
        (0.47352067077346277, 0.3182994645010272, 0.7184199606025196, 1.0),
        (0.4731180605743212, 0.31406529962333257, 0.7134536583862346, 1.0),
        (0.472674055295149, 0.3098486255314443, 0.7084440302390294, 1.0),
        (0.47218867357134314, 0.30564956042113184, 0.703391935414181, 1.0),
        (0.47166137272970204, 0.3014684828248803, 0.6982986813805611, 1.0),
        (0.4710926963645385, 0.29730528702668124, 0.6931646771793223, 1.0),
        (0.470482813628966, 0.29316004418388464, 0.6879905802658635, 1.0),
        (0.46983176393818465, 0.28903289184955194, 0.6827771264871377, 1.0),
        (0.4691395866583317, 0.28492397574667777, 0.677525024847434, 1.0),
        (0.46840631973819363, 0.2808334508365701, 0.6722349583426855, 1.0),
        (0.4676319984415455, 0.2767614823885942, 0.6669075848245407, 1.0),
        (0.4668166541724163, 0.27270824705461943, 0.6615435378909207, 1.0),
        (0.46596031338591853, 0.26867393395157463, 0.6561434278004181, 1.0),
        (0.4650628643816827, 0.2646588038897797, 0.6507079958832593, 1.0),
        (0.4641242580497153, 0.2606631006122758, 0.6452378997676681, 1.0),
        (0.4631447877428096, 0.25668693057016545, 0.6397333527350717, 1.0),
        (0.46212444946943126, 0.25273054493608815, 0.6341948722101477, 1.0),
        (0.46106322933938265, 0.2487942133948352, 0.6286229575018943, 1.0),
        (0.45996110285585984, 0.24487822535483766, 0.6230180909006084, 1.0),
        (0.4588180342503813, 0.24098289119188765, 0.6173807387973655, 1.0),
        (0.45763397585548965, 0.23710854352850097, 0.6117113528277586, 1.0),
        (0.45640886751035886, 0.23325553855222453, 0.6060103710422048, 1.0),
        (0.4551426114844221, 0.22942426724544046, 0.600278257550051, 1.0),
        (0.4538352109035017, 0.22561510094159637, 0.5945152849064859, 1.0),
        (0.4524865766439375, 0.22182847164920177, 0.5887218272221995, 1.0),
        (0.4510965881023942, 0.21806484773466195, 0.5828982757017971, 1.0),
        (0.4496651090864017, 0.2143247287775244, 0.5770450152504881, 1.0),
        (0.44819198734394855, 0.21060864716511674, 0.571162425977021, 1.0),
        (0.4466770541000938, 0.20691716973621027, 0.5652508847626542, 1.0),
        (0.4451201235978615, 0.20325089947246439, 0.5593107669047255, 1.0),
        (0.4435210649059648, 0.19961045356829826, 0.5533422989220041, 1.0),
        (0.44187975508877425, 0.19599648480063536, 0.5473456323671032, 1.0),
        (0.44019583038684174, 0.1924097603751146, 0.5413213827196031, 1.0),
        (0.4384690252866834, 0.18885105108443032, 0.535269939274394, 1.0),
        (0.43669905473379284, 0.1853211730457039, 0.529191700905823, 1.0),
        (0.43488561370620266, 0.18182098950074954, 0.523087078501802, 1.0),
        (0.43302837679171846, 0.17835141259016973, 0.5169564975681201, 1.0),
        (0.4311269977716754, 0.17491340507780434, 0.5108004010215621, 1.0),
        (0.4291811092153304, 0.17150798199683612, 0.5046192521919093, 1.0),
        (0.42719043446599236, 0.16813619679249853, 0.49841321065711747, 1.0),
        (0.42515465226735816, 0.16479917559522433, 0.49218247403091814, 1.0),
        (0.42307312862861274, 0.16149813597846996, 0.48592813807538265, 1.0),
        (0.42094540041362066, 0.15823432004427912, 0.4796507952549767, 1.0),
        (0.4187709818950797, 0.15500902723217586, 0.47335107912582347, 1.0),
        (0.41654936469111414, 0.15182361435195332, 0.4670296690947608, 1.0),
        (0.41428001780800694, 0.14867949510324718, 0.46068729553509385, 1.0),
        (0.41196238781455147, 0.14557813897896077, 0.45432474527733707, 1.0),
        (0.40959589917786626, 0.14252106943690282, 0.4479428674896457, 1.0),
        (0.4071799547953331, 0.13950986121109918, 0.44154257995746904, 1.0),
        (0.40471393676249223, 0.13654613662168955, 0.43512487576483, 1.0),
        (0.40219729360192846, 0.1336316105494001, 0.4286903779176353, 1.0),
        (0.39962936308492736, 0.13076801503504104, 0.42224018363382726, 1.0),
        (0.3970093606178293, 0.1279570274853844, 0.41577611200457687, 1.0),
        (0.3943365976380543, 0.125200394269635, 0.40929955131196355, 1.0),
        (0.39161037490335765, 0.12249986881235914, 0.40281200413413176, 1.0),
        (0.38882998588400647, 0.11985719841100997, 0.39631509549997207, 1.0),
        (0.38599472080598896, 0.11727410895472495, 0.38981058099735255, 1.0),
        (0.3831038714159067, 0.11475228744179017, 0.38330035466997037, 1.0),
        (0.3801567365353384, 0.11229336223745998, 0.37678645649994913, 1.0),
        (0.3771526284658991, 0.109898881072994, 0.3702710792321893, 1.0),
        (0.37409088029500187, 0.10757028686219475, 0.36375657425343866, 1.0),
        (0.37097085413549286, 0.10530889150402406, 0.35724545619579434, 1.0),
        (0.3677919503089708, 0.10311584794863485, 0.3507404058933542, 1.0),
        (0.36455361745195075, 0.10099212092759274, 0.34424427128517043, 1.0),
        (0.3612553634855837, 0.09893845688361261, 0.33776006583143864, 1.0),
        (0.3578967673433453, 0.0969553537752958, 0.3312909639976104, 1.0),
        (0.35447749129751766, 0.09504303157033087, 0.324840293367848, 1.0),
        (0.3509972936657821, 0.0932014043666256, 0.31841152298020636, 1.0),
        (0.3474560416161082, 0.09143005518316707, 0.3120082475359999, 1.0),
        (0.34385372372478934, 0.08972821452832538, 0.30563416722884074, 1.0),
        (0.3401904735486729, 0.08809468358171338, 0.29929318157551454, 1.0),
        (0.33646657247147094, 0.08652789261304067, 0.2929892038941975, 1.0),
        (0.33268245026470633, 0.08502592614588003, 0.28672608390538185, 1.0),
        (0.3288387024976534, 0.0835864705108664, 0.28050768472776955, 1.0),
        (0.3249360934730276, 0.08220683878873383, 0.27433781519411793, 1.0),
        (0.32097555841016556, 0.0808839910074109, 0.26822018715503526, 1.0),
        (0.31695820222362264, 0.07961456284429594, 0.26215837131986064, 1.0),
        (0.31288529460128056, 0.07839490235071095, 0.2561557528820557, 1.0),
        (0.3087582612248005, 0.07722111381434071, 0.25021548831259177, 1.0),
        (0.3045786711401688, 0.07608910749927883, 0.24434046477148758, 1.0),
        (0.30034822046705684, 0.07499465368295166, 0.23853326357172805, 1.0),
        (0.29606871281984143, 0.07393343917254722, 0.23279612902452418, 1.0),
        (0.29174203698566603, 0.07290112435224017, 0.2271309438018545, 1.0),
        (0.28737014255119664, 0.07189339879884682, 0.22153921168164575, 1.0),
        (0.28295501427674163, 0.07090603360902006, 0.21602204821131593, 1.0),
        (0.2784999277173712, 0.06993210653137302, 0.21058327359946222, 1.0),
        (0.2740068130913843, 0.06896804327168699, 0.20522255483273655, 1.0),
        (0.2694770905593399, 0.06801140076763185, 0.19993831225037145, 1.0),
        (0.2649127155611373, 0.06705861363954488, 0.1947301490341073, 1.0),
        (0.260315555546597, 0.06610638194498253, 0.18959732755599618, 1.0),
        (0.25568737133504715, 0.06515168315524647, 0.18453880032644063, 1.0),
        (0.2510311382384793, 0.06418928564209234, 0.17955550075065288, 1.0),
        (0.24635152648506936, 0.06321115386076698, 0.17465055684091405, 1.0),
        (0.2416465428487372, 0.06222162722501617, 0.16981600423165008, 1.0),
        (0.23691745126961133, 0.061218792196168555, 0.1650498029374761, 1.0),
        (0.23216535560711132, 0.06020099184329732, 0.16034977404957257, 1.0),
        (0.22739756443587622, 0.05915624173942468, 0.15572184565633526, 1.0),
        (0.2226121431237117, 0.058088424655696934, 0.151159081535817, 1.0),
        (0.2178074381899826, 0.0570004979074318, 0.146655818703497, 1.0),
        (0.21298394220008482, 0.05589168645699472, 0.14220950682407338, 1.0),
    ],
    'cmo.diff': [
        (0.030801652251109098, 0.13684870400657909, 0.249846444559915, 1.0),
        (0.03427654989146505, 0.14371270285329354, 0.25732394941622294, 1.0),
        (0.03787813715751362, 0.15054023908942554, 0.2647902048135928, 1.0),
        (0.041568120103337304, 0.15733578242034552, 0.2722473736730875, 1.0),
        (0.045171795327608504, 0.16410350929219283, 0.27969798183029404, 1.0),
        (0.04870180895529664, 0.17084542277595416, 0.28714019830918314, 1.0),
        (0.052147172899567225, 0.17756591759786458, 0.2945787303179321, 1.0),
        (0.055513641419433345, 0.18426747617327816, 0.30201428814815107, 1.0),
        (0.05878267145509051, 0.19095468416239586, 0.3094531346302051, 1.0),
        (0.062032222372194946, 0.19762725495537353, 0.31684860967221073, 1.0),
        (0.06521944756836104, 0.20429237862190341, 0.32420736511484377, 1.0),
        (0.06833928990190613, 0.21095385398830985, 0.33152407797338695, 1.0),
        (0.07142525636138788, 0.21761094170675738, 0.338787502130595, 1.0),
        (0.07444813366291075, 0.2242694950814882, 0.34599788266538783, 1.0),
        (0.07742364240945529, 0.23093085754730275, 0.35314408258389424, 1.0),
        (0.08038349666926731, 0.2375958135712563, 0.360203428527288, 1.0),
        (0.08335927002300281, 0.24426578437365942, 0.3671480689795031, 1.0),
        (0.08636609239069937, 0.25094378648452176, 0.373953136880839, 1.0),
        (0.08948430357745071, 0.2576279992007458, 0.3805657110274592, 1.0),
        (0.09284058523033037, 0.2643149709823169, 0.386899007898886, 1.0),
        (0.09668345778728782, 0.2709875997226548, 0.3928398106800406, 1.0),
        (0.10133885641457585, 0.27761558158584476, 0.3982760426582682, 1.0),
        (0.1072606416994524, 0.2841399259508246, 0.4031326823215037, 1.0),
        (0.11440215083322613, 0.29053068432829926, 0.4075704938470788, 1.0),
        (0.12249432400616445, 0.29678766331090506, 0.41175941835125307, 1.0),
        (0.13108668857335826, 0.3029446515900964, 0.41586318350787654, 1.0),
        (0.13992594486241958, 0.3090284381668211, 0.4199407082636339, 1.0),
        (0.14888808081794996, 0.3150548708758021, 0.4240166515702194, 1.0),
        (0.15785097241925736, 0.3210422517899585, 0.428119729905953, 1.0),
        (0.16680024594111312, 0.3269969805380746, 0.43224215882780354, 1.0),
        (0.1756791094481523, 0.3329300099876691, 0.4364047384684796, 1.0),
        (0.1845067584338563, 0.33884369773275563, 0.44058958016555694, 1.0),
        (0.19328238852049884, 0.3447414431949824, 0.444796643052228, 1.0),
        (0.20198704597784795, 0.3506290556082185, 0.44903573380613476, 1.0),
        (0.21062581508847067, 0.35650905491240253, 0.4533046032331279, 1.0),
        (0.21920997210573545, 0.3623829850143509, 0.4575959954859014, 1.0),
        (0.22772754453018335, 0.3682546023486205, 0.4619233127548697, 1.0),
        (0.23619391309921417, 0.37412457622300666, 0.46627604640712966, 1.0),
        (0.24461242564890545, 0.37999462344952784, 0.47065427440974544, 1.0),
        (0.25298746388894133, 0.38586609939635524, 0.4750577339190826, 1.0),
        (0.26133410487738784, 0.3917383910736121, 0.4794796637798961, 1.0),
        (0.26963942995376466, 0.39761537479489667, 0.4839303534081906, 1.0),
        (0.2779049881050037, 0.40349855633054316, 0.48841114490807164, 1.0),
        (0.2861363993124647, 0.40938876677821845, 0.4929196308795207, 1.0),
        (0.2943389940220551, 0.4152865778556349, 0.49745482655487366, 1.0),
        (0.3025334250389248, 0.42118971946888384, 0.5020046120542877, 1.0),
        (0.31069824426515014, 0.42710340397576607, 0.5065852469354353, 1.0),
        (0.31883682602739977, 0.4330284571606365, 0.5111959566876938, 1.0),
        (0.3269657343217936, 0.43896287729203926, 0.5158284147455556, 1.0),
        (0.3350816436419064, 0.4449085811856242, 0.5204856000258066, 1.0),
        (0.34317392893265103, 0.45086883253705606, 0.525176667465157, 1.0),
        (0.3512656069646695, 0.45684025069186224, 0.5298868083741347, 1.0),
        (0.3593506132834143, 0.4628250736129232, 0.5346217853574988, 1.0),
        (0.3674172478556837, 0.4688267836740107, 0.539391333666384, 1.0),
        (0.3754973469427251, 0.47483982282708487, 0.5441739055327719, 1.0),
        (0.3835625614368971, 0.4808709517650425, 0.5489922576544932, 1.0),
        (0.3916201861820892, 0.4869196696786778, 0.5538424587653017, 1.0),
        (0.3996888560566008, 0.49298299023597264, 0.558711383757059, 1.0),
        (0.4077452976164708, 0.4990668992329919, 0.5636172499463452, 1.0),
        (0.41582383635501124, 0.5051647578473102, 0.5685356950340605, 1.0),
        (0.4238869442834262, 0.5112855069066922, 0.5734980302852202, 1.0),
        (0.4319617699154935, 0.5174241819464946, 0.5784833267853279, 1.0),
        (0.44004360184919483, 0.5235826893170786, 0.5834960386464432, 1.0),
        (0.4481312796407512, 0.5297621053719542, 0.5885383546494946, 1.0),
        (0.4562263279894743, 0.5359626809225543, 0.5936121659102356, 1.0),
        (0.46432398086350507, 0.5421865887597332, 0.5987202656129064, 1.0),
        (0.47244868703444504, 0.5484289164378904, 0.6038441893417569, 1.0),
        (0.4805822297704739, 0.5546948405817619, 0.6089980501349066, 1.0),
        (0.48871724104746644, 0.5609869159623339, 0.6141889435023867, 1.0),
        (0.49687039802300087, 0.5673022611108096, 0.6194017678807255, 1.0),
        (0.5050230443352836, 0.5736457002325791, 0.6246566996141469, 1.0),
        (0.5132020014296255, 0.5800120364495557, 0.6299281926614284, 1.0),
        (0.5213837697997299, 0.5864072076681273, 0.6352414056079356, 1.0),
        (0.5295840791882618, 0.5928284223714806, 0.6405818144094436, 1.0),
        (0.5377985006631786, 0.5992773867217912, 0.6459553074236056, 1.0),
        (0.5460310568089292, 0.6057538951510262, 0.6513591302487202, 1.0),
        (0.5542803602235418, 0.6122589708601943, 0.6567960616850564, 1.0),
        (0.5625427909572456, 0.6187941687382882, 0.6622712272448197, 1.0),
        (0.570831838296593, 0.6253570561449082, 0.6677719395169281, 1.0),
        (0.5791326606499368, 0.631951808789565, 0.6733150010032186, 1.0),
        (0.5874594162608379, 0.6385758077347706, 0.678886929556619, 1.0),
        (0.5958021954354665, 0.6452321052037963, 0.6844994504225663, 1.0),
        (0.6041669493667392, 0.6519200031142581, 0.6901476288957912, 1.0),
        (0.6125605719486232, 0.65863854675705, 0.6958254420726305, 1.0),
        (0.6209702599139194, 0.665391535540034, 0.7015478000189214, 1.0),
        (0.6294086543235715, 0.6721766263526947, 0.7073025514622064, 1.0),
        (0.6378691230472762, 0.6789961486811091, 0.7130980827587863, 1.0),
        (0.6463529402277415, 0.6858505203730194, 0.7189343580950779, 1.0),
        (0.6548667336608776, 0.6927388303718032, 0.7248055449230875, 1.0),
        (0.663404732944071, 0.6996632326198537, 0.7307191763991576, 1.0),
        (0.6719706356478575, 0.7066235438274829, 0.7366725743067246, 1.0),
        (0.6805691273316444, 0.7136193210595811, 0.7426619469578672, 1.0),
        (0.6891901686164449, 0.7206538297392898, 0.7486995567627366, 1.0),
        (0.6978417441976547, 0.7277258099214434, 0.7547780354337729, 1.0),
        (0.7065266827690414, 0.7348352863051689, 0.7608955968203487, 1.0),
        (0.7152395659488615, 0.7419843878319359, 0.7670595168287617, 1.0),
        (0.7239821407052557, 0.7491734241473728, 0.7732692164928603, 1.0),
        (0.7327590970387688, 0.756401931246379, 0.779520827845941, 1.0),
        (0.7415714112445038, 0.763670371603708, 0.7858145260879669, 1.0),
        (0.7504112152902992, 0.7709814701087125, 0.7921602549877708, 1.0),
        (0.7592858091842216, 0.7783339526866095, 0.7985510124613616, 1.0),
        (0.7681958083667865, 0.7857281516038946, 0.8049869935018724, 1.0),
        (0.7771415943289318, 0.7931642615485537, 0.8114683168046802, 1.0),
        (0.7861210234635496, 0.8006428249211288, 0.8179973940806203, 1.0),
        (0.7951301023947145, 0.808164384594744, 0.8245778955860992, 1.0),
        (0.804172846993876, 0.8157266105617665, 0.8312032233576643, 1.0),
        (0.8132456568435892, 0.8233280673585187, 0.8378734408880846, 1.0),
        (0.8223487919825404, 0.8309646782111167, 0.8445815347091445, 1.0),
        (0.8314739162371333, 0.838632394000046, 0.8513263697699345, 1.0),
        (0.8406130156021552, 0.8463239863842642, 0.8581012298825883, 1.0),
        (0.8497544923553937, 0.8540290636742367, 0.8648964939043677, 1.0),
        (0.8588848363304529, 0.8617324046759308, 0.8716956826827835, 1.0),
        (0.867983564016326, 0.8694139530371515, 0.8784788921095024, 1.0),
        (0.8770201283066207, 0.8770482020713447, 0.8852238656983413, 1.0),
        (0.8859648522194259, 0.8845997703979764, 0.8918910598190278, 1.0),
        (0.8947687008355052, 0.8920276102541201, 0.898444553074443, 1.0),
        (0.9033850238565974, 0.8992781133601028, 0.9048255526813023, 1.0),
        (0.9117454267355319, 0.9062912781484097, 0.9109792984365245, 1.0),
        (0.9197772674046713, 0.9129962371365843, 0.9168355520637952, 1.0),
        (0.9273989381574117, 0.9193137785263338, 0.9223160826098046, 1.0),
        (0.934526505615445, 0.9251567923877341, 0.9273308757297369, 1.0),
        (0.9410568294999762, 0.9304383120413204, 0.9318033109548278, 1.0),
        (0.9469054517188712, 0.9350653892052174, 0.935633845280664, 1.0),
        (0.9519782306847332, 0.938952102446523, 0.938741468275867, 1.0),
        (0.9561855219785392, 0.9420212349770758, 0.9410568432390962, 1.0),
        (0.9594583919916889, 0.9442053410129403, 0.942512991689026, 1.0),
        (0.9617359608985258, 0.94545535445013, 0.9430685634745855, 1.0),
        (0.9629655575123798, 0.9457446361853111, 0.942714607359158, 1.0),
        (0.962971730415212, 0.9451630117299318, 0.941107874046998, 1.0),
        (0.9619086196808097, 0.9436969537999753, 0.9379427077261372, 1.0),
        (0.9599163272304171, 0.9412870435035791, 0.9337158672983337, 1.0),
        (0.9570384080931426, 0.9379846152444032, 0.9285135912753641, 1.0),
        (0.9533354457428268, 0.9338571023316934, 0.9224353821916628, 1.0),
        (0.9488865060103991, 0.9289840890976139, 0.9155685277230519, 1.0),
        (0.9437794827762752, 0.9234529155688914, 0.9080043258769951, 1.0),
        (0.9381021433775926, 0.9173543171347294, 0.8998514836828583, 1.0),
        (0.9319492013404072, 0.9107783993290641, 0.8911882560099287, 1.0),
        (0.9254038313424192, 0.9038112443270013, 0.88211805503214, 1.0),
        (0.9185496533096066, 0.8965322509059643, 0.8727092681908217, 1.0),
        (0.9114540331246679, 0.8890124126067981, 0.8630519170031795, 1.0),
        (0.9041820632910791, 0.8813132734312177, 0.8531979805537907, 1.0),
        (0.8967869578435457, 0.873486729190179, 0.8431978773211422, 1.0),
        (0.8893098149893794, 0.8655753876269208, 0.8331030513350975, 1.0),
        (0.8817848418192095, 0.8576132802667703, 0.8229492517613266, 1.0),
        (0.8742401985712475, 0.8496268650289526, 0.8127582978377588, 1.0),
        (0.8666945370128648, 0.8416362324606945, 0.8025572922175609, 1.0),
        (0.8591642949649662, 0.8336561546444334, 0.7923557697274131, 1.0),
        (0.8516606462490278, 0.8256972216872984, 0.7821629896098962, 1.0),
        (0.8441881675648533, 0.8177668584523518, 0.7719978747167734, 1.0),
        (0.8367546003836178, 0.8098699298493981, 0.76185485567714, 1.0),
        (0.8293628053720739, 0.8020095841729102, 0.7517385870991303, 1.0),
        (0.8220122974103522, 0.7941877657343778, 0.7416604820361886, 1.0),
        (0.8147055831041187, 0.7864054338886661, 0.7316158935999518, 1.0),
        (0.8074428695046121, 0.7786629991741689, 0.7216062017816767, 1.0),
        (0.8002239536861534, 0.7709604828947951, 0.7116324410842283, 1.0),
        (0.7930486047248806, 0.7632976487972781, 0.701694509240138, 1.0),
        (0.78591554440981, 0.755674140749339, 0.6917956122566603, 1.0),
        (0.7788239785472398, 0.7480894917424206, 0.6819365996758521, 1.0),
        (0.7717761666842226, 0.7405430431500328, 0.6721061511286441, 1.0),
        (0.7647695126504651, 0.7330343101062177, 0.6623117248985946, 1.0),
        (0.757802475946925, 0.7255627582077431, 0.6525565861539864, 1.0),
        (0.7508747011746044, 0.7181277940669236, 0.6428393514066715, 1.0),
        (0.7439860296366358, 0.7107288105275538, 0.6331578659286329, 1.0),
        (0.7371380352230318, 0.7033650997305715, 0.6235032380461981, 1.0),
        (0.7303267295539674, 0.6960362660858003, 0.6138882457032198, 1.0),
        (0.7235516370761117, 0.6887417344158412, 0.6043120048450656, 1.0),
        (0.7168136574616641, 0.6814808447026717, 0.594768297577185, 1.0),
        (0.710113230065224, 0.6742529573780133, 0.585252716637364, 1.0),
        (0.7034464832580181, 0.6670577263264327, 0.5757776499898807, 1.0),
        (0.6968134241386333, 0.6598945644190797, 0.5663404055906163, 1.0),
        (0.6902175511682563, 0.6527626219057073, 0.5569247166393625, 1.0),
        (0.68365302412514, 0.6456617329968893, 0.5475506786771059, 1.0),
        (0.6771191923792276, 0.6385913765706551, 0.5382182031186726, 1.0),
        (0.6706213406334818, 0.6315505441676552, 0.5289041000996647, 1.0),
        (0.6641534350911151, 0.6245391367090507, 0.5196292578451317, 1.0),
        (0.6577148635275871, 0.6175566394334415, 0.5103934681036724, 1.0),
        (0.6513106015597027, 0.6106020304081083, 0.5011747507363846, 1.0),
        (0.6449339394177714, 0.6036753299959042, 0.4919966626063084, 1.0),
        (0.6385861657554016, 0.5967758543247166, 0.48285159902789027, 1.0),
        (0.6322678284337878, 0.58990297492421, 0.47373483552471646, 1.0),
        (0.6259767255318442, 0.5830569263656453, 0.4646452891563762, 1.0),
        (0.6197016579332956, 0.5762398779913381, 0.45560527883418794, 1.0),
        (0.6134474028946137, 0.569450434795336, 0.44659794236500755, 1.0),
        (0.6072178659159134, 0.5626871366850844, 0.4376111326566482, 1.0),
        (0.6010012505217496, 0.5559520936787822, 0.42867194874042996, 1.0),
        (0.5948055640046074, 0.5492429546962158, 0.4197575498195731, 1.0),
        (0.5886326075840859, 0.5425588558149744, 0.41085914654883954, 1.0),
        (0.5824702130202078, 0.5359018268492114, 0.40200794705575316, 1.0),
        (0.5763248263841351, 0.5292699281179927, 0.39318374825982416, 1.0),
        (0.5701972311820495, 0.5226623693222695, 0.38438241149777164, 1.0),
        (0.5640831336223245, 0.516079659012336, 0.3756116269725132, 1.0),
        (0.5579774433964941, 0.5095224539424874, 0.3668822207066751, 1.0),
        (0.5518860265359687, 0.5029888698004121, 0.35817538267099897, 1.0),
        (0.5458070559295252, 0.4964787819395979, 0.34949312007049516, 1.0),
        (0.5397391255491314, 0.48999205065460566, 0.3408352402134944, 1.0),
        (0.5336730625437067, 0.4835304037810427, 0.3322231435985951, 1.0),
        (0.5276152444526774, 0.47709183835180585, 0.32363560571731254, 1.0),
        (0.5215648631466205, 0.470676249817128, 0.31506822929208594, 1.0),
        (0.5155189794095079, 0.46428377070709387, 0.30652652233897987, 1.0),
        (0.5094751216031231, 0.45791452645012315, 0.2980134272377937, 1.0),
        (0.5034310278715931, 0.4515686733480186, 0.28953025663258986, 1.0),
        (0.49738476366088497, 0.4452464140846874, 0.2810755531259729, 1.0),
        (0.49133524104429066, 0.4389480201490585, 0.2726410128949737, 1.0),
        (0.48527742120459944, 0.4326740360757653, 0.26424077350803693, 1.0),
        (0.4792095319460407, 0.4264249820482976, 0.25586749253258856, 1.0),
        (0.47312838578393474, 0.4202016073968969, 0.2475197805445442, 1.0),
        (0.4670296949396188, 0.41400484406475097, 0.2392012072518972, 1.0),
        (0.46090950962899074, 0.4078358796897652, 0.23090895023473385, 1.0),
        (0.45476016200039043, 0.4016973741434559, 0.2226435585187958, 1.0),
        (0.4485682425668169, 0.39559318557860546, 0.2144296211245621, 1.0),
        (0.4423342563272032, 0.38952401593452546, 0.20623908351918224, 1.0),
        (0.43602967911312795, 0.3834992742811841, 0.19812086463991951, 1.0),
        (0.42964584514398213, 0.37752308051319555, 0.1900605950657148, 1.0),
        (0.423147463724184, 0.3716087794574343, 0.18209575011122736, 1.0),
        (0.41648681675677385, 0.36577371802180464, 0.174297272955408, 1.0),
        (0.4095973903281861, 0.3600427549828761, 0.16675920746688433, 1.0),
        (0.4023838616513769, 0.35444717790325214, 0.15970548837813608, 1.0),
        (0.39478141123454535, 0.34899957054859976, 0.15345503407177263, 1.0),
        (0.38687662982661836, 0.34364901495272276, 0.1482247271514052, 1.0),
        (0.3788659234446943, 0.33831429184870554, 0.14385336856732064, 1.0),
        (0.3708789643993819, 0.3329519259272508, 0.14003541909666758, 1.0),
        (0.36295729031644, 0.3275541151937279, 0.1365461363519131, 1.0),
        (0.35510850813539374, 0.32212312280947547, 0.1332624917481727, 1.0),
        (0.3473247934253401, 0.3166654234722758, 0.13011195586306512, 1.0),
        (0.33960719813671103, 0.3111828368128046, 0.1270354172742856, 1.0),
        (0.33193940215145756, 0.3056815149128923, 0.12403849086433383, 1.0),
        (0.32432822768636804, 0.30016051285540657, 0.1210640172441827, 1.0),
        (0.31676220561522866, 0.29462370480610045, 0.11811746273428225, 1.0),
        (0.3092325069255885, 0.28907379277371775, 0.11520255400497775, 1.0),
        (0.30173244620727435, 0.28351404815036907, 0.11228958034398032, 1.0),
        (0.29425277457138843, 0.277948557209368, 0.10935197387435633, 1.0),
        (0.2867898062904237, 0.27237750248273457, 0.10639413822402813, 1.0),
        (0.27934626540710844, 0.266798880965753, 0.10340931160603031, 1.0),
        (0.2719194579070844, 0.26121245933788406, 0.1004000094727539, 1.0),
        (0.264507225763552, 0.25561776668268443, 0.0973676971574656, 1.0),
        (0.2571104715415329, 0.25001327945651064, 0.0943084927422918, 1.0),
        (0.24972786945006914, 0.2443981535173898, 0.09122222486885093, 1.0),
        (0.24235634185939292, 0.2387720412133359, 0.08811155590734743, 1.0),
        (0.23500060520932275, 0.23313204469930354, 0.08496581087820043, 1.0),
        (0.22765232163037197, 0.22747935135354508, 0.08179625154164907, 1.0),
        (0.22031794550886696, 0.22181039488036003, 0.078589012551327, 1.0),
        (0.21299026344268707, 0.21612582305194683, 0.07535305204258735, 1.0),
        (0.20567015539202055, 0.2104236534304168, 0.07208351221952713, 1.0),
        (0.19835733995077742, 0.2047021786467214, 0.06877728527916649, 1.0),
        (0.19104987211291757, 0.19896009293223704, 0.06543378475478748, 1.0),
        (0.18374443913143004, 0.19319637049236973, 0.06205437817912466, 1.0),
        (0.17644246010438444, 0.18740843580139116, 0.05863230865340122, 1.0),
        (0.1691401736478186, 0.1815951106612116, 0.05516899293098563, 1.0),
        (0.16183559622904992, 0.1757545129863619, 0.051662488436877076, 1.0),
        (0.15452732767843932, 0.16988440602867447, 0.04810942800782176, 1.0),
        (0.14721360645079995, 0.16398245334493566, 0.044506492965038134, 1.0),
        (0.1398915640220567, 0.15804639686350017, 0.04085151092791107, 1.0),
        (0.13255719216684544, 0.15207401864382458, 0.03716809665985362, 1.0),
        (0.12520844445865006, 0.14606224282143013, 0.03362553317766521, 1.0),
        (0.11783842060426708, 0.14000895792936335, 0.030239310125207246, 1.0),
        (0.11042101545362645, 0.13391666701217983, 0.02703939689144004, 1.0),
    ],
    'cmo.gray': [
        (5.119113838889112e-07, 2.0522701956616554e-06, 5.982577941045683e-06, 1.0),
        (0.0002598440803609316, 0.00026259440245361075, 0.00027706228396051196, 1.0),
        (0.0008656156394278344, 0.0008570638031131798, 0.0008794207369001088, 1.0),
        (0.001769403238430108, 0.0017403680581581408, 0.0017686070963996048, 1.0),
        (0.002949472160671299, 0.002891903379202927, 0.002924180394823832, 1.0),
        (0.004392323531342204, 0.004298904740810658, 0.004333431047933434, 1.0),
        (0.00608855311595789, 0.005952519318106651, 0.005987527380406318, 1.0),
        (0.008031191715623246, 0.00784622292261931, 0.00787995029696465, 1.0),
        (0.010214875235272093, 0.00997502608955014, 0.010005706087016208, 1.0),
        (0.012635372261218893, 0.012335021633001353, 0.012360877171488911, 1.0),
        (0.015289290743098349, 0.014923103611522015, 0.014942342882390302, 1.0),
        (0.018173884067540134, 0.01773678153559083, 0.017747594833936085, 1.0),
        (0.02128691657088564, 0.02077405157770593, 0.02077460893832101, 1.0),
        (0.02462656669738433, 0.024033303900485702, 0.024021753317628538, 1.0),
        (0.028191355111633225, 0.027513253929353176, 0.027487720010651605, 1.0),
        (0.031980089978436425, 0.031212890095399095, 0.03117147304311679, 1.0),
        (0.03599182442355884, 0.03513143325966101, 0.035072208100447595, 1.0),
        (0.04022582286584988, 0.03926830463975649, 0.03918932064337804, 1.0),
        (0.044490079205597936, 0.0435012249064101, 0.04340640025397465, 1.0),
        (0.04870367428407673, 0.047678466927454234, 0.047567902696042295, 1.0),
        (0.052873620993883326, 0.05181334368492382, 0.051687053963736816, 1.0),
        (0.057003147469548036, 0.055909012523011246, 0.05576700147480037, 1.0),
        (0.061095137234846185, 0.05996829329212761, 0.05981055680351737, 1.0),
        (0.06515218007540821, 0.06399371820125457, 0.0638202452197574, 1.0),
        (0.06917661353844734, 0.06798757248509635, 0.06779834611081526, 1.0),
        (0.07317055710313111, 0.07195192788781538, 0.07174692627103735, 1.0),
        (0.07713594055593873, 0.07588867046670467, 0.07566786755046528, 1.0),
        (0.08107452773767657, 0.07979952385914274, 0.0795628899969453, 1.0),
        (0.08498793655960166, 0.08368606889245686, 0.08343357136470589, 1.0),
        (0.0888776559863606, 0.08754976022063193, 0.08728136366834671, 1.0),
        (0.0927450605335162, 0.09139194052486757, 0.09110760731542752, 1.0),
        (0.09659142271361737, 0.09521385270343014, 0.09491354324016602, 1.0),
        (0.10041792377751321, 0.09901665039071003, 0.09870032337586748, 1.0),
        (0.10422566303005368, 0.10280140707916763, 0.10246901973797143, 1.0),
        (0.10801566594658954, 0.10656912406613869, 0.10622063233826792, 1.0),
        (0.11178889127514621, 0.11032073740675324, 0.10995609611040333, 1.0),
        (0.11554623727620819, 0.11405712402191859, 0.1136762869947188, 1.0),
        (0.11928854722572543, 0.11777910708450154, 0.11738202730482386, 1.0),
        (0.12301661428577407, 0.12148746078607905, 0.12107409047767947, 1.0),
        (0.12673118583015935, 0.1251829145698134, 0.12475320529226316, 1.0),
        (0.13043296729827977, 0.12886615690131367, 0.12842005962827954, 1.0),
        (0.13412262563913602, 0.13253783863813123, 0.132075303825237, 1.0),
        (0.13780079239794768, 0.13619857604929606, 0.13571955369302932, 1.0),
        (0.14146806649004226, 0.13984895352866278, 0.13935339321756454, 1.0),
        (0.14512501670019584, 0.14348952603947387, 0.14297737699866214, 1.0),
        (0.14877218394019315, 0.14712082132223708, 0.14659203245216168, 1.0),
        (0.15241008329281713, 0.15074334189355915, 0.15019786180375175, 1.0),
        (0.1560392058666605, 0.15435756685982158, 0.15379534389829613, 1.0),
        (0.15966002048290173, 0.15796395356641008, 0.15738493584527577, 1.0),
        (0.1632729752124384, 0.1615629391005102, 0.16096707451828082, 1.0),
        (0.16687849877942876, 0.1651549416631864, 0.16454217792420187, 1.0),
        (0.17047700184528455, 0.16874036182449317, 0.16811064645581555, 1.0),
        (0.17406887818543398, 0.17231958367368572, 0.17167286403977897, 1.0),
        (0.17765450576970573, 0.17589297587514247, 0.17522919919060903, 1.0),
        (0.18123424775588307, 0.17946089263936252, 0.17878000597996957, 1.0),
        (0.1848084534049017, 0.1830236746173137, 0.1823256249295161, 1.0),
        (0.18837745892516847, 0.1865816497254701, 0.18586638383460624, 1.0),
        (0.19194158825267513, 0.190135133908052, 0.18940259852537042, 1.0),
        (0.19550115377282457, 0.1936844318422727, 0.19293457357092483, 1.0),
        (0.1990564569892651, 0.1972298375917655, 0.1964626029318854, 1.0),
        (0.20260778914445177, 0.2007716352128197, 0.1999869705657933, 1.0),
        (0.2061554317961845, 0.2043100993175656, 0.2035079509895849, 1.0),
        (0.20969965735391027, 0.20784549559783222, 0.2070258098028131, 1.0),
        (0.21324072957821566, 0.2113780813130166, 0.21054080417495308, 1.0),
        (0.2167789040465809, 0.21490810574497904, 0.2140531832997964, 1.0),
        (0.22031442858818173, 0.2184358106226793, 0.21756318881964226, 1.0),
        (0.22384754369024062, 0.22196143051900868, 0.22107105522173387, 1.0),
        (0.22737848287820317, 0.22548519322203997, 0.22457701020915594, 1.0),
        (0.23090747307179832, 0.22900732008271107, 0.2280812750482047, 1.0),
        (0.2344347349188553, 0.23252802634076847, 0.23158406489405264, 1.0),
        (0.23796048310857054, 0.2360475214306363, 0.2350855890963675, 1.0),
        (0.24148492666578375, 0.23956600926872218, 0.2385860514863974, 1.0),
        (0.24500826922766467, 0.24308368852354312, 0.24208565064689802, 1.0),
        (0.24853070930410476, 0.24660075286992894, 0.2455845801661603, 1.0),
        (0.2520524405229937, 0.250117391228459, 0.2490830288772885, 1.0),
        (0.2555736518614572, 0.25363378799118214, 0.2525811810837814, 1.0),
        (0.2590945278640408, 0.25715012323459174, 0.25607921677238027, 1.0),
        (0.26261524884875664, 0.26066657292073886, 0.2595773118140703, 1.0),
        (0.2661359911018203, 0.2641833090872994, 0.2630756381540484, 1.0),
        (0.2696569270618427, 0.2677005000273448, 0.26657436399140455, 1.0),
        (0.2731782254941878, 0.27121831045950634, 0.27007365394920596, 1.0),
        (0.2767000516561452, 0.27473690168916753, 0.27357366923561866, 1.0),
        (0.2802225674535131, 0.27825643176127346, 0.2770745677966528, 1.0),
        (0.2837459315891544, 0.28177705560529565, 0.2805765044610716, 1.0),
        (0.2872702997040329, 0.28529892517285693, 0.2840796310779651, 1.0),
        (0.29079582451120206, 0.2888221895684777, 0.2875840966474506, 1.0),
        (0.2943226559231934, 0.2923469951738719, 0.2910900474449293, 1.0),
        (0.2978509411732042, 0.29587348576619366, 0.29459762713929627, 1.0),
        (0.30138082493046714, 0.2994018026306029, 0.29810697690547344, 1.0),
        (0.304912449410152, 0.3029320846674895, 0.3016182355316066, 1.0),
        (0.30844595447811946, 0.30646446849468284, 0.3051315395212463, 1.0),
        (0.3119814777508493, 0.3099990885449341, 0.30864702319080917, 1.0),
        (0.31551915469079933, 0.31353607715895315, 0.3121648187625949, 1.0),
        (0.3190591186974825, 0.3170755646742604, 0.31568505645361644, 1.0),
        (0.322601501194492, 0.32061767951008274, 0.31920786456048234, 1.0),
        (0.3261464317127154, 0.32416254824853064, 0.3227333695405576, 1.0),
        (0.3296940379699382, 0.3277102957122579, 0.3262616960896098, 1.0),
        (0.3332444459470546, 0.33126104503880144, 0.32979296721613593, 1.0),
        (0.3367977799610607, 0.3348149177517828, 0.3333273043125561, 1.0),
        (0.34035416273500496, 0.33837203382914927, 0.33686482722343924, 1.0),
        (0.34391371546506766, 0.3419325117686051, 0.34040565431092945, 1.0),
        (0.3474765578849235, 0.34549646865039063, 0.3439499025175156, 1.0),
        (0.3510428083275172, 0.3490640201975498, 0.34749768742628845, 1.0),
        (0.35461258378441374, 0.35263528083381307, 0.3510491233188204, 1.0),
        (0.35818599996282147, 0.3562103637392294, 0.3546043232307861, 1.0),
        (0.36176317134043134, 0.359789380903655, 0.35816339900544786, 1.0),
        (0.3653442112181758, 0.3633724431782132, 0.3617264613451084, 1.0),
        (0.36892923177100456, 0.366959660324833, 0.3652936198606414, 1.0),
        (0.37251834409679924, 0.3705511410639528, 0.36886498311919264, 1.0),
        (0.37611165826349635, 0.3741469931204934, 0.37244065869014525, 1.0),
        (0.37970928335452314, 0.3777473232681791, 0.3760207531894346, 1.0),
        (0.38331132751262736, 0.38135223737229057, 0.37960537232229685, 1.0),
        (0.38691789798217374, 0.38496184043092785, 0.38319462092452544, 1.0),
        (0.39052910114998884, 0.3885762366148534, 0.38678860300230933, 1.0),
        (0.39414504258482247, 0.39219552930598844, 0.39038742177072233, 1.0),
        (0.39776582707548697, 0.39581982113462366, 0.3939911796909281, 1.0),
        (0.4013915586677524, 0.3994492140154045, 0.3975999785061618, 1.0),
        (0.405022340700029, 0.4030838091821594, 0.4012139192765472, 1.0),
        (0.4086582758379367, 0.4067237072216088, 0.40483310241280485, 1.0),
        (0.41229946610776325, 0.4103690081060248, 0.4084576277089013, 1.0),
        (0.4159460129289094, 0.41401981122487985, 0.41208759437369297, 1.0),
        (0.4195980171453375, 0.417676215415535, 0.4157231010616072, 1.0),
        (0.4232555790560795, 0.4213383189930122, 0.4193642459024059, 1.0),
        (0.4269187984448541, 0.42500621977889325, 0.4230111265300785, 1.0),
        (0.43058777460882475, 0.4286800151293829, 0.4266638401108987, 1.0),
        (0.43426260638653963, 0.43235980196258117, 0.4303224833706848, 1.0),
        (0.4379433921850948, 0.43604567678499145, 0.4339871526213026, 1.0),
        (0.4416302300065532, 0.43973773571730596, 0.4376579437864427, 1.0),
        (0.4453232174736505, 0.44343607451950195, 0.4413349524267044, 1.0),
        (0.4490224518548273, 0.44714078861527135, 0.44501827376402053, 1.0),
        (0.4527280300886078, 0.4508519731158264, 0.4487080027054508, 1.0),
        (0.4564400488073677, 0.4545697228430991, 0.4524042338663719, 1.0),
        (0.460158604360502, 0.4582941323523669, 0.45610706159309317, 1.0),
        (0.4638837928370361, 0.462025295954328, 0.45981657998492237, 1.0),
        (0.46761571008769504, 0.46576330773665214, 0.46353288291570477, 1.0),
        (0.4713544517464567, 0.4695082615850323, 0.4672560640548638, 1.0),
        (0.47510011325161067, 0.47326025120375664, 0.4709862168879611, 1.0),
        (0.47885278986635954, 0.4770193701358209, 0.4747234347367984, 1.0),
        (0.48261257669895335, 0.4807857117826079, 0.4784678107790839, 1.0),
        (0.48637956872241056, 0.48455936942314876, 0.48221943806768125, 1.0),
        (0.4901538607938191, 0.4883404362329858, 0.48597840954945876, 1.0),
        (0.4939355476732588, 0.49212900530265485, 0.4897448180837611, 1.0),
        (0.497724724042333, 0.4959251696558081, 0.49351875646051496, 1.0),
        (0.5015214845223622, 0.4997290222669866, 0.4973003174179899, 1.0),
        (0.5053259236922266, 0.5035406560790654, 0.5010895936602286, 1.0),
        (0.5091381361058909, 0.5073601640203813, 0.5048866778741612, 1.0),
        (0.5129582163096104, 0.5111876390215643, 0.5086916627464181, 1.0),
        (0.5167862588588553, 0.5150231740320771, 0.5125046409798591, 1.0),
        (0.520622358334941, 0.5188668620364875, 0.5163257053098251, 1.0),
        (0.5244666093614033, 0.5227187960704766, 0.5201549485201331, 1.0),
        (0.5283191066201067, 0.5265790692366017, 0.5239924634588228, 1.0),
        (0.5321799448671195, 0.5304477747198241, 0.5278383430536652, 1.0),
        (0.5360492189483509, 0.5343250058028127, 0.5316926803274503, 1.0),
        (0.5399270238149753, 0.5382108558810341, 0.5355555684130593, 1.0),
        (0.5438134545386418, 0.5421054184776435, 0.5394271005683371, 1.0),
        (0.5477086063264959, 0.546008787258179, 0.5433073701907696, 1.0),
        (0.5516125745359979, 0.5499210560450836, 0.547196470831983, 1.0),
        (0.5555254546895829, 0.5538423188320419, 0.5510944962120673, 1.0),
        (0.5594473424891353, 0.5577726697981703, 0.55500154023374, 1.0),
        (0.5633783338303158, 0.5617122033220392, 0.558917696996353, 1.0),
        (0.5673185248167354, 0.5656610139955613, 0.562843060809758, 1.0),
        (0.5712680117739896, 0.569619196637736, 0.5667777262080311, 1.0),
        (0.5752268912635539, 0.5735868463082713, 0.5707217879630734, 1.0),
        (0.5791952600965621, 0.5775640583210816, 0.5746753410980865, 1.0),
        (0.5831732153474625, 0.5815509282576771, 0.5786384809009386, 1.0),
        (0.5871608543675724, 0.5855475519804424, 0.5826113029374229, 1.0),
        (0.5911582747985198, 0.5895540256458232, 0.5865939030644199, 1.0),
        (0.5951655745855984, 0.5935704457174206, 0.5905863774429682, 1.0),
        (0.5991828519910354, 0.5975969089789966, 0.594588822551246, 1.0),
        (0.6032102056071761, 0.601633512547412, 0.5986013351974859, 1.0),
        (0.6072477343695865, 0.6056803538854836, 0.6026240125328051, 1.0),
        (0.6112955375701088, 0.6097375308147855, 0.6066569520639827, 1.0),
        (0.6153537148698354, 0.6138051415283824, 0.6107002516661683, 1.0),
        (0.6194223663120388, 0.6178832846035217, 0.6147540095955469, 1.0),
        (0.6235015923350435, 0.621972059014272, 0.6188183245019492, 1.0),
        (0.6275914937850678, 0.6260715641441202, 0.6228932954414248, 1.0),
        (0.6316921719290114, 0.6301818997985384, 0.626979021888779, 1.0),
        (0.6358037284672281, 0.6343031662175185, 0.6310756037500811, 1.0),
        (0.6399262655462556, 0.6384354640880802, 0.6351831413751425, 1.0),
        (0.6440598857715363, 0.6425788945567643, 0.6393017355699825, 1.0),
        (0.6482046922201169, 0.6467335592421093, 0.6434314876092732, 1.0),
        (0.6523607884533357, 0.6508995602471196, 0.6475724992487806, 1.0),
        (0.6565282785295068, 0.6550770001717297, 0.6517248727377952, 1.0),
        (0.6607072670166061, 0.6592659821252699, 0.6558887108315696, 1.0),
        (0.6648978590049535, 0.6634666097389375, 0.6600641168037573, 1.0),
        (0.6691001601199109, 0.6676789871782777, 0.6642511944588598, 1.0),
        (0.6733142765345892, 0.6719032191556819, 0.6684500481446936, 1.0),
        (0.6775403149825813, 0.6761394109429005, 0.6726607827648713, 1.0),
        (0.6817783827707052, 0.6803876683835863, 0.6768835037913099, 1.0),
        (0.6860285877917918, 0.6846480979058628, 0.6811183172767649, 1.0),
        (0.6902910385374814, 0.6889208065349255, 0.6853653298673966, 1.0),
        (0.6945658441110834, 0.6932059019056817, 0.6896246488153769, 1.0),
        (0.6988531142404553, 0.6975034922754331, 0.6938963819915324, 1.0),
        (0.7031529592909377, 0.7018136865365993, 0.6981806378980351, 1.0),
        (0.7074654902783347, 0.7061365942294986, 0.7024775256811436, 1.0),
        (0.7117908188819498, 0.7104723255551799, 0.7067871551439977, 1.0),
        (0.7161290574576848, 0.714820991388308, 0.7111096367594696, 1.0),
        (0.7204803190511825, 0.7191827032901243, 0.7154450816830777, 1.0),
        (0.7248447174110647, 0.7235575735214593, 0.7197936017659686, 1.0),
        (0.7292223670022127, 0.7279457150558283, 0.7241553095679665, 1.0),
        (0.7336133830191388, 0.7323472415925961, 0.728530318370699, 1.0),
        (0.7380178813994349, 0.7367622675702209, 0.7329187421908016, 1.0),
        (0.7424359788373007, 0.7411909081795812, 0.7373206957932009, 1.0),
        (0.7468677927971572, 0.7456332793773957, 0.7417362947044913, 1.0),
        (0.7513134415273599, 0.7500894978997243, 0.7461656552263957, 1.0),
        (0.7557730440739957, 0.7545596812755733, 0.7506088944493226, 1.0),
        (0.760246720294789, 0.7590439478405959, 0.755066130266025, 1.0),
        (0.7647345908731116, 0.7635424167508956, 0.7595374813853585, 1.0),
        (0.7692367773320856, 0.7680552079969388, 0.764023067346146, 1.0),
        (0.7737534020488214, 0.7725824424175787, 0.768523008531156, 1.0),
        (0.7782845882687531, 0.7771242417141915, 0.7730374261811926, 1.0),
        (0.782830460120099, 0.7816807284649387, 0.7775664424093063, 1.0),
        (0.7873911426284513, 0.7862520261391467, 0.782110180215128, 1.0),
        (0.7919667617314894, 0.7908382591118159, 0.7866687634993276, 1.0),
        (0.7965574442938269, 0.7954395526782646, 0.7912423170782062, 1.0),
        (0.8011633181219949, 0.8000560330689073, 0.7958309666984237, 1.0),
        (0.8057845119795648, 0.8046878274641713, 0.8004348390518634, 1.0),
        (0.8104211556024299, 0.8093350640095595, 0.8050540617906442, 1.0),
        (0.8150733797142105, 0.8139978718308641, 0.8096887635422754, 1.0),
        (0.8197413160418366, 0.8186763810495289, 0.8143390739249705, 1.0),
        (0.8244250973312831, 0.823370722798173, 0.8190051235631107, 1.0),
        (0.8291248573634559, 0.8280810292362736, 0.8236870441028736, 1.0),
        (0.8338407309702662, 0.8328074335660154, 0.8283849682280267, 1.0),
        (0.8385728540508588, 0.8375500700483111, 0.8330990296758882, 1.0),
        (0.843321363588025, 0.8423090740189962, 0.8378293632534638, 1.0),
        (0.848086397664791, 0.8470845819052075, 0.8425761048537627, 1.0),
        (0.8528680954812019, 0.8518767312419356, 0.8473393914722943, 1.0),
        (0.8576665973712845, 0.8566856606887784, 0.8521193612237554, 1.0),
        (0.8624820448202135, 0.8615115100468785, 0.8569161533589083, 1.0),
        (0.8673145804816755, 0.8663544202760625, 0.8617299082816555, 1.0),
        (0.8721643481954295, 0.8712145335121869, 0.8665607675663184, 1.0),
        (0.8770314930050886, 0.8760919930846851, 0.871408873975121, 1.0),
        (0.8819161611761233, 0.8809869435343266, 0.8762743714758872, 1.0),
        (0.8868185002140476, 0.8858995306312075, 0.8811574052599523, 1.0),
        (0.8917386588828792, 0.8908299013929443, 0.8860581217602967, 1.0),
        (0.8966767872237935, 0.8957782041031092, 0.8909766686699112, 1.0),
        (0.9016330365740295, 0.9007445883298949, 0.8959131949603859, 1.0),
        (0.9066075595860337, 0.9057292049450164, 0.9008678509007446, 1.0),
        (0.9116005102468445, 0.9107322061428585, 0.9058407880765155, 1.0),
        (0.9166120438977335, 0.915753745459873, 0.9108321594090564, 1.0),
        (0.921642317254111, 0.9207939777942258, 0.9158421191751267, 1.0),
        (0.9266914884256761, 0.9258530594257129, 0.9208708230267246, 1.0),
        (0.9317597169368546, 0.9309311480359354, 0.9259184280111854, 1.0),
        (0.9368471637474911, 0.9360284027287524, 0.9309850925915528, 1.0),
        (0.9419539912738586, 0.9411449840510026, 0.9360709766672254, 1.0),
        (0.9470803634098973, 0.9462810540135232, 0.9411762415948877, 1.0),
        (0.9522264455488126, 0.9514367761124457, 0.9463010502097274, 1.0),
        (0.957392404604907, 0.9566123153508007, 0.9514455668469503, 1.0),
        (0.9625784090357906, 0.9618078382604079, 0.9566099573635957, 1.0),
        (0.9677846288648154, 0.9670235129241013, 0.9617943891606574, 1.0),
        (0.973011235703915, 0.972259508998241, 0.9669990312055218, 1.0),
        (0.978258402776717, 0.9775159977355695, 0.972224054054729, 1.0),
        (0.983526304942001, 0.982793152008386, 0.9774696298770532, 1.0),
        (0.9888151187175039, 0.9880911463320615, 0.9827359324769277, 1.0),
        (0.9941250223040635, 0.9934101568888957, 0.9880231373182063, 1.0),
        (0.9994561956101177, 0.9987503615523224, 0.9933314215482737, 1.0),
    ],
    'cmo.haline': [
        (0.1629529545569048, 0.09521591660747855, 0.42257292476430436, 1.0),
        (0.16481011306381138, 0.0963511590972791, 0.43184596598336555, 1.0),
        (0.16661616674455051, 0.09744967053737302, 0.4412064832719169, 1.0),
        (0.16836623940471737, 0.09851521320092249, 0.4506510991070379, 1.0),
        (0.17005470631768066, 0.09955275459284393, 0.4601751103492679, 1.0),
        (0.1716750780810942, 0.10056873145593648, 0.46977222082107756, 1.0),
        (0.17321986700170694, 0.10157135702513853, 0.4794342308257477, 1.0),
        (0.1746804342417165, 0.10257097334218751, 0.4891506793097687, 1.0),
        (0.17604336542541646, 0.10356584027704996, 0.49894160120778436, 1.0),
        (0.17729823332351538, 0.10458024676581804, 0.5087715885336103, 1.0),
        (0.17843229662509333, 0.1056380265564063, 0.5186108302832771, 1.0),
        (0.17942266920100228, 0.10674165621081344, 0.5284836071020165, 1.0),
        (0.180254232712636, 0.10793563466790623, 0.5383245681077662, 1.0),
        (0.180897536581308, 0.10923866406414962, 0.5481352134375516, 1.0),
        (0.1813298273265454, 0.11070429246224553, 0.5578435355461391, 1.0),
        (0.1815069308605479, 0.1123613365530294, 0.5674471854200234, 1.0),
        (0.18139595590863708, 0.1142804413027346, 0.5768505865319291, 1.0),
        (0.1809499433760711, 0.11652515301133853, 0.5859821014031293, 1.0),
        (0.18011665240948918, 0.1191682999758128, 0.5947494236872949, 1.0),
        (0.17884195577310877, 0.12228861049996234, 0.6030366129604394, 1.0),
        (0.17707513448329337, 0.1259620672997293, 0.6107077426144937, 1.0),
        (0.1747764954226868, 0.13024864459406924, 0.6176174300439591, 1.0),
        (0.17192558838006158, 0.1351768519397535, 0.6236290832033221, 1.0),
        (0.1685302279919113, 0.14073088183460164, 0.6286357211183263, 1.0),
        (0.164637354379816, 0.14684331943301, 0.6325796572366661, 1.0),
        (0.16031416565937215, 0.15340748473917706, 0.6354701889106298, 1.0),
        (0.15565394557274276, 0.16029117959242076, 0.6373742153046679, 1.0),
        (0.15073735679779035, 0.16736888953134454, 0.6383989700654712, 1.0),
        (0.14564275779798264, 0.17452933124088685, 0.638668756905635, 1.0),
        (0.1404368075255881, 0.1816841459042555, 0.6383089542091028, 1.0),
        (0.13517265040893509, 0.1887688275072176, 0.6374350053971095, 1.0),
        (0.12989065618077872, 0.19573985804384908, 0.636146985204408, 1.0),
        (0.12462051256931497, 0.2025703385486159, 0.6345282558695404, 1.0),
        (0.11938590047805706, 0.20924466230343952, 0.6326478270215731, 1.0),
        (0.11422949121970527, 0.2157456284251405, 0.6305768690676523, 1.0),
        (0.10914049113753677, 0.22208312061819008, 0.6283455167242665, 1.0),
        (0.10414385842443263, 0.22825465182827054, 0.6259979600528258, 1.0),
        (0.09926304855671816, 0.23426097673881258, 0.6235717761795677, 1.0),
        (0.0944951258080505, 0.24011399581702425, 0.621081667645192, 1.0),
        (0.08986951574154733, 0.24581471938893312, 0.6185591936304666, 1.0),
        (0.08539285840535987, 0.2513729453557033, 0.616016629522781, 1.0),
        (0.08106756674391194, 0.256799705029183, 0.6134596708213713, 1.0),
        (0.0769441893273207, 0.2620915612909199, 0.6109238301118911, 1.0),
        (0.07300703739422579, 0.2672655035330154, 0.6083965011432549, 1.0),
        (0.06927650669442811, 0.2723273008096985, 0.6058873223830183, 1.0),
        (0.06578801445169752, 0.2772789491245567, 0.60341417524383, 1.0),
        (0.06255595479554787, 0.2821282390686886, 0.6009787922718963, 1.0),
        (0.059592051819134705, 0.2868831717247525, 0.5985797542127682, 1.0),
        (0.05691772151374492, 0.29154887162812176, 0.596221496217621, 1.0),
        (0.05455347307306369, 0.2961302536799314, 0.5939076044300872, 1.0),
        (0.05251889627870444, 0.30063184093875434, 0.5916414807294642, 1.0),
        (0.050838773472474307, 0.3050562292020493, 0.5894315315373579, 1.0),
        (0.04951454037014189, 0.3094102218220906, 0.5872714908845412, 1.0),
        (0.04855490408104566, 0.3136977658751047, 0.5851627302038015, 1.0),
        (0.047963691562250284, 0.3179225992994974, 0.5831062484926558, 1.0),
        (0.04773946305380069, 0.3220882581897951, 0.5811027291021745, 1.0),
        (0.047875451814151544, 0.3261980852298422, 0.5791525884087009, 1.0),
        (0.0483598472050416, 0.3302552388254388, 0.5772560174768573, 1.0),
        (0.049176387574113, 0.3342627026038174, 0.5754130176762239, 1.0),
        (0.05030518671680884, 0.33822329503101706, 0.5736234310853615, 1.0),
        (0.05172369283691292, 0.34213967896327, 0.5718869664041402, 1.0),
        (0.05340767549062541, 0.34601437099898574, 0.5702032209969471, 1.0),
        (0.05533215100674955, 0.3498497505368459, 0.5685716996038682, 1.0),
        (0.05747218306369887, 0.35364806847548513, 0.5669918301827848, 1.0),
        (0.05980352430527091, 0.35741145551306436, 0.5654629772812437, 1.0),
        (0.06230309069250609, 0.3611419300223894, 0.5639844532816007, 1.0),
        (0.06494927925026378, 0.36484140549022287, 0.5625555278152573, 1.0),
        (0.06772215122553368, 0.36851169751907215, 0.5611754356007422, 1.0),
        (0.0706035074778493, 0.37215453039677776, 0.5598433829250934, 1.0),
        (0.07357840396611612, 0.3757710087912915, 0.5585612898846837, 1.0),
        (0.07663101364217326, 0.37936299913099886, 0.5573268773673928, 1.0),
        (0.07974739830752586, 0.38293223649328834, 0.5561380319387883, 1.0),
        (0.08291580548873803, 0.38648014137990283, 0.5549938581786431, 1.0),
        (0.08612580955679122, 0.39000806896659534, 0.5538934528024704, 1.0),
        (0.08936817980172057, 0.39351731349892055, 0.5528359060062189, 1.0),
        (0.09263475301781654, 0.39700911235508674, 0.5518203023495192, 1.0),
        (0.09591831391237074, 0.4004846497947374, 0.5508457212473491, 1.0),
        (0.09921323508992197, 0.4039446967979293, 0.549913365431319, 1.0),
        (0.10251396146531713, 0.407390264684531, 0.5490228475752887, 1.0),
        (0.10581448535228527, 0.4108228877965505, 0.5481703859285302, 1.0),
        (0.1091104131658914, 0.41424356901188075, 0.5473550236322454, 1.0),
        (0.11239784950892981, 0.41765327256964846, 0.5465757987301746, 1.0),
        (0.11567333621600695, 0.4210529263321469, 0.5458317432175193, 1.0),
        (0.11893417013803154, 0.4244432161011251, 0.5451231873866257, 1.0),
        (0.12217818929740112, 0.42782466919265655, 0.5444513010684173, 1.0),
        (0.12540189437459884, 0.43119871063381826, 0.5438113725374379, 1.0),
        (0.1286031296249826, 0.4345661396549307, 0.5432023919026625, 1.0),
        (0.13177997116656254, 0.4379277275711909, 0.5426233385794481, 1.0),
        (0.13493070192214515, 0.44128421897143094, 0.5420731800699918, 1.0),
        (0.1380549051543558, 0.4446356900078315, 0.5415550926551251, 1.0),
        (0.1411501069188545, 0.44798348190176723, 0.5410638066180113, 1.0),
        (0.1442150210041466, 0.45132831167041504, 0.540597926876092, 1.0),
        (0.14724858201038377, 0.45467082457551683, 0.5401563599016087, 1.0),
        (0.15024993416559976, 0.4580115969309521, 0.5397383042732707, 1.0),
        (0.15321920226797617, 0.46135071307922276, 0.5393460827274305, 1.0),
        (0.15615458635588805, 0.46468936526295607, 0.5389744586257711, 1.0),
        (0.15905548258963134, 0.4680281092699005, 0.5386222668134233, 1.0),
        (0.16192138547473778, 0.47136747964858944, 0.5382883230992108, 1.0),
        (0.1647524478987732, 0.47470770262422896, 0.5379733478625169, 1.0),
        (0.1675482630437003, 0.478049331937957, 0.5376757027790604, 1.0),
        (0.17030806884524888, 0.4813931150452206, 0.5373922894579649, 1.0),
        (0.173031724594995, 0.484739501366448, 0.5371218460871988, 1.0),
        (0.17571936649681574, 0.48808883039949774, 0.5368636833242294, 1.0),
        (0.17837165032593938, 0.49144122896414794, 0.536618361299776, 1.0),
        (0.18098781677618211, 0.4947975030047193, 0.5363817525707026, 1.0),
        (0.18356807194166253, 0.49815801614320204, 0.5361525222751042, 1.0),
        (0.1861127112291279, 0.5015231101060642, 0.5359293193132266, 1.0),
        (0.18862304058887, 0.5048927132825591, 0.5357133548543864, 1.0),
        (0.19109852514864226, 0.5082675669534004, 0.5355003101591437, 1.0),
        (0.19353972277173262, 0.5116479477164066, 0.5352887824024628, 1.0),
        (0.19594728833405683, 0.5150341080561434, 0.5350773667248226, 1.0),
        (0.1983227076664062, 0.5184259856373716, 0.5348665525352745, 1.0),
        (0.20066603425074547, 0.5218241099237965, 0.5346528031121535, 1.0),
        (0.20297813604786474, 0.5252286912572144, 0.5344345169358407, 1.0),
        (0.20526004447420448, 0.5286398903414566, 0.5342102605335537, 1.0),
        (0.2075134652380221, 0.5320576287402744, 0.5339799959048033, 1.0),
        (0.20973894946144023, 0.535482279322358, 0.5337406085215398, 1.0),
        (0.21193776912721762, 0.5389139515314046, 0.5334905459074958, 1.0),
        (0.21411134378441182, 0.5423527133674996, 0.5332283775266504, 1.0),
        (0.2162615771757636, 0.5457984712571944, 0.5329535750363619, 1.0),
        (0.21838952862057853, 0.5492514494924778, 0.5326634150194081, 1.0),
        (0.2204969036245258, 0.5527116487772891, 0.5323564832742772, 1.0),
        (0.22258552726351216, 0.5561790393438252, 0.5320314302436226, 1.0),
        (0.22465736600629022, 0.5596535532346759, 0.5316870266023981, 1.0),
        (0.22671413523001882, 0.5631352211554989, 0.5313212748929952, 1.0),
        (0.22875791756964453, 0.5666239548700177, 0.5309328290550865, 1.0),
        (0.23079086796822001, 0.5701196510565367, 0.5305203252817071, 1.0),
        (0.2328150701112509, 0.5736222405040751, 0.5300820599240353, 1.0),
        (0.23483285614219046, 0.577131576635999, 0.5296167282704776, 1.0),
        (0.23684664957075507, 0.5806474896434284, 0.5291230766564496, 1.0),
        (0.2388588283644082, 0.5841698333340916, 0.5285995915811124, 1.0),
        (0.24087168222405414, 0.5876984999166237, 0.5280443921862177, 1.0),
        (0.24288806087225434, 0.5912331932277819, 0.5274567814051943, 1.0),
        (0.24491067596723043, 0.5947736703172153, 0.5268356212312693, 1.0),
        (0.24694202909654656, 0.598319767629138, 0.5261791312000029, 1.0),
        (0.24898467028821447, 0.6018713111492172, 0.5254854952988165, 1.0),
        (0.251041844633167, 0.6054278820406325, 0.5247545535679302, 1.0),
        (0.2531164830585315, 0.6089891735215488, 0.5239852980594518, 1.0),
        (0.2552111567013787, 0.6125550130731925, 0.5231756545447472, 1.0),
        (0.2573286340449816, 0.6161251617120728, 0.5223239185167129, 1.0),
        (0.25947244473861586, 0.6196990932330638, 0.5214304767886039, 1.0),
        (0.2616456589963801, 0.6232764459181283, 0.5204944566826074, 1.0),
        (0.2638509342960792, 0.6268570181766053, 0.5195136536074572, 1.0),
        (0.26609108289659433, 0.630440554670746, 0.5184861377534478, 1.0),
        (0.2683698467163787, 0.634026414751126, 0.5174130230514244, 1.0),
        (0.27069035099494715, 0.6376141889650659, 0.5162935692788782, 1.0),
        (0.2730554221838173, 0.6412035896296302, 0.5151259285643696, 1.0),
        (0.2754676310512872, 0.6447944545228799, 0.513906976489259, 1.0),
        (0.2779309010023177, 0.6483859905965969, 0.5126390269795514, 1.0),
        (0.28044833184082757, 0.6519777450281342, 0.5113214639163841, 1.0),
        (0.2830229969716622, 0.6555692556652558, 0.5099537040511894, 1.0),
        (0.28565699250220966, 0.6591606030439278, 0.5085297306531971, 1.0),
        (0.2883543502639873, 0.6627507929293074, 0.5070537569679475, 1.0),
        (0.29111809079756673, 0.6663393219020087, 0.5055253556302098, 1.0),
        (0.2939511790083493, 0.6699256847308839, 0.5039440536705715, 1.0),
        (0.29685621314189514, 0.673509649075136, 0.5023062065413991, 1.0),
        (0.2998362114418811, 0.6770906951012129, 0.5006109626120457, 1.0),
        (0.30289439617634056, 0.680668005929282, 0.49886092205559446, 1.0),
        (0.3060335830069556, 0.684241027807421, 0.4970557164988521, 1.0),
        (0.30925653734539094, 0.6878091952372648, 0.49519500358009544, 1.0),
        (0.3125659486948475, 0.6913723055472414, 0.49327320043306105, 1.0),
        (0.3159647522698377, 0.6949295261702347, 0.49129274764094805, 1.0),
        (0.3194556489243874, 0.6984800979280559, 0.4892553378582481, 1.0),
        (0.32304124427931485, 0.7020233920397538, 0.4871607422199747, 1.0),
        (0.3267240985578744, 0.7055587631720374, 0.4850087606010108, 1.0),
        (0.33050707514885924, 0.7090857414439621, 0.48279556264598117, 1.0),
        (0.33439297391994083, 0.7126036449951605, 0.4805201317683439, 1.0),
        (0.3383839618515475, 0.7161115318028217, 0.4781864627637871, 1.0),
        (0.3424824761777381, 0.7196086676710338, 0.4757945201032026, 1.0),
        (0.34669092650509575, 0.7230942938245446, 0.47334431361562507, 1.0),
        (0.351011700367143, 0.7265676248366645, 0.47083590349003773, 1.0),
        (0.3554477481971079, 0.7300279237012575, 0.4682667163182039, 1.0),
        (0.3600022066505756, 0.7334743741555847, 0.46563433316514585, 1.0),
        (0.36467644578419367, 0.7369059239634065, 0.46294412957653946, 1.0),
        (0.3694728210602396, 0.7403216514270206, 0.4601965063235069, 1.0),
        (0.3743936915522128, 0.7437205957454258, 0.4573919681273961, 1.0),
        (0.3794414259131371, 0.7471017539541064, 0.45453113947832696, 1.0),
        (0.38461840795578295, 0.7504640777072077, 0.45161478329337396, 1.0),
        (0.38992704160225383, 0.7538064699246834, 0.4486438228496627, 1.0),
        (0.3953697549145613, 0.7571277813375661, 0.4456193674826628, 1.0),
        (0.4009508646485599, 0.760426747786949, 0.4425380639654961, 1.0),
        (0.40667140195994433, 0.7637021069222052, 0.4394056497009877, 1.0),
        (0.4125334807152799, 0.7669525443587899, 0.4362249727525225, 1.0),
        (0.41853956675270404, 0.7701766751192416, 0.4329983295596442, 1.0),
        (0.4246921350385853, 0.7733730477083216, 0.42972840805534807, 1.0),
        (0.4309936593663836, 0.7765401418648604, 0.42641834706043324, 1.0),
        (0.43744659753040943, 0.7796763669997492, 0.4230718037095968, 1.0),
        (0.4440533711015542, 0.7827800615723168, 0.4196930295353452, 1.0),
        (0.45081633883461397, 0.7858494937119429, 0.4162869557148225, 1.0),
        (0.4577377626480225, 0.7888828634531383, 0.41285928778106906, 1.0),
        (0.46481976504714334, 0.7918783070193569, 0.4094166097874234, 1.0),
        (0.4720642768256656, 0.7948339036614173, 0.4059664974607166, 1.0),
        (0.4794729738954752, 0.7977476856267914, 0.40251763925076683, 1.0),
        (0.48704720218658354, 0.8006176519006482, 0.39907996334425494, 1.0),
        (0.49478788975543747, 0.8034417864099652, 0.39566476762665204, 1.0),
        (0.502695445574845, 0.8062180814071851, 0.3922848482216537, 1.0),
        (0.5107722312752203, 0.8089441566688712, 0.3889513459863399, 1.0),
        (0.519017580722989, 0.8116180108735556, 0.38568043413774905, 1.0),
        (0.527427047659408, 0.8142382455983396, 0.3824934902796896, 1.0),
        (0.5359974387485315, 0.8168032862890818, 0.3794106529717773, 1.0),
        (0.5447242959015132, 0.819311801237797, 0.3764539238160732, 1.0),
        (0.5536017493685389, 0.8217627673204915, 0.373647073460407, 1.0),
        (0.5626223858732353, 0.8241555398979113, 0.3710154595070918, 1.0),
        (0.5717801732913298, 0.8264893011624767, 0.36858304535734304, 1.0),
        (0.5810619798273547, 0.828764813194564, 0.36637986074596723, 1.0),
        (0.5904522695833789, 0.8309836316507101, 0.36443633829693634, 1.0),
        (0.59993630566992, 0.8331474672067843, 0.3627802030453921, 1.0),
        (0.6094978370184863, 0.8352587020450518, 0.3614380620192426, 1.0),
        (0.6191178753985616, 0.837320741926722, 0.36043549828900656, 1.0),
        (0.6287753075069072, 0.8393379672623437, 0.3597956834322973, 1.0),
        (0.6384515865712357, 0.8413146218129587, 0.35953617653436143, 1.0),
        (0.6481275660781143, 0.843255556919926, 0.35967076687063276, 1.0),
        (0.6577845458065525, 0.8451659780810963, 0.3602086612732602, 1.0),
        (0.667404707037929, 0.8470513147981416, 0.3611542742755426, 1.0),
        (0.6769617561788033, 0.848919836337816, 0.3625096347273936, 1.0),
        (0.6864487597795673, 0.850774894928254, 0.36426656411016184, 1.0),
        (0.69585443145648, 0.8526212799355241, 0.36641546843198697, 1.0),
        (0.7051685608468115, 0.8544637256207057, 0.36894367860467714, 1.0),
        (0.71438302722636, 0.8563065614925247, 0.37183581727406156, 1.0),
        (0.7234917624309317, 0.8581536540348341, 0.37507449518178715, 1.0),
        (0.7324906484647774, 0.860008371786031, 0.37864099375401244, 1.0),
        (0.7413773645706981, 0.8618735721244006, 0.38251589762619864, 1.0),
        (0.7501511992657797, 0.8637516069265696, 0.3866796514151401, 1.0),
        (0.758812842117251, 0.8656443435632366, 0.39111302579861484, 1.0),
        (0.7673641682613402, 0.8675531974405399, 0.3957974875667233, 1.0),
        (0.7758080262912036, 0.8694791724028597, 0.40071547599054824, 1.0),
        (0.7841480375461038, 0.8714229056785223, 0.405850593321366, 1.0),
        (0.7923777293356836, 0.8733886508286131, 0.4111824877427081, 1.0),
        (0.800497630396886, 0.8753781889640524, 0.41669355606115976, 1.0),
        (0.8085242857272323, 0.8773871783186646, 0.4223760515178233, 1.0),
        (0.8164630734789561, 0.8794151844938148, 0.4282186311869483, 1.0),
        (0.8243194501554684, 0.8814616081475757, 0.4342112747863317, 1.0),
        (0.8320860387263339, 0.8835308362945183, 0.44033584973804246, 1.0),
        (0.8397544323444477, 0.8856278479633188, 0.44657231853713225, 1.0),
        (0.8473543986252204, 0.8877421380157633, 0.45293066342084337, 1.0),
        (0.8548913210362115, 0.8898726582646793, 0.4594053245849991, 1.0),
        (0.8623409541601502, 0.8920307544658761, 0.46596504038120606, 1.0),
        (0.8697191661117473, 0.8942111604773197, 0.4726125804953009, 1.0),
        (0.877047948076314, 0.8964055876253053, 0.47935960153209206, 1.0),
        (0.8843061388708379, 0.8986242192828277, 0.48617718269199267, 1.0),
        (0.8914967901846199, 0.9008669432468145, 0.4930589607663434, 1.0),
        (0.898650661869968, 0.9031210853874222, 0.5000298200873778, 1.0),
        (0.9057328617844135, 0.9054032588350297, 0.5070444917818385, 1.0),
        (0.9127681739145864, 0.9077032841253238, 0.5141229319104883, 1.0),
        (0.9197719823668247, 0.9100148294768658, 0.5212774789419143, 1.0),
        (0.9266999503758118, 0.9123594905222979, 0.5284479861571415, 1.0),
        (0.9336093927737403, 0.9147111822755605, 0.535698951997222, 1.0),
        (0.9404610328906413, 0.9170893351552456, 0.5429753047678268, 1.0),
        (0.9472803518326599, 0.9194825361628594, 0.5503044468166357, 1.0),
        (0.9540659681238263, 0.9218921210725944, 0.5576799909240343, 1.0),
        (0.9608049809199471, 0.9243252266483534, 0.5650790057480892, 1.0),
        (0.9675287370768705, 0.9267668902399696, 0.572541386344326, 1.0),
        (0.9741967269037245, 0.929238214203635, 0.5800041593344547, 1.0),
        (0.9808627042040826, 0.9317124815536733, 0.5875425838151492, 1.0),
        (0.9874684104099173, 0.9342202886448684, 0.5950648878797101, 1.0),
        (0.9940805805099583, 0.9367275819156851, 0.6026699962989522, 1.0),
    ],
    'cmo.ice': [
        (0.015311674355437298, 0.02252059388699532, 0.07272873735907764, 1.0),
        (0.018005495919590032, 0.025445516083897696, 0.07841879116825512, 1.0),
        (0.020901330062031733, 0.028526522450710447, 0.0840777157742097, 1.0),
        (0.02399818650587986, 0.031762643272182735, 0.08970750416351328, 1.0),
        (0.02729775749004115, 0.035149094968513636, 0.09532647230499822, 1.0),
        (0.030804281460523934, 0.03867708164670261, 0.10096626734400257, 1.0),
        (0.03450984373415445, 0.04229955636714785, 0.10658281657435789, 1.0),
        (0.03841359784116893, 0.04587404239998997, 0.11217763406434189, 1.0),
        (0.04245789616397359, 0.04939963679832151, 0.11779607730941805, 1.0),
        (0.04645777532344795, 0.05288489849108808, 0.1234176036286754, 1.0),
        (0.05041621762087679, 0.05633788824565918, 0.12902168309276818, 1.0),
        (0.05433779516873311, 0.05975737503280463, 0.13462392466726578, 1.0),
        (0.058230002551288386, 0.06313585840823013, 0.140265173920284, 1.0),
        (0.06208647351275982, 0.06648865889594308, 0.14589217240266178, 1.0),
        (0.06590890827576057, 0.06981759532833076, 0.1515056185497819, 1.0),
        (0.06970669712558172, 0.07310909804078333, 0.1571701055775911, 1.0),
        (0.07347360805650122, 0.07637815581467355, 0.16283082651293132, 1.0),
        (0.07720982185882322, 0.0796282040661184, 0.1684800394051646, 1.0),
        (0.08092190572547825, 0.08284856571837035, 0.17416973047086362, 1.0),
        (0.08460722520622677, 0.08604719820880802, 0.17987257739142934, 1.0),
        (0.08826407983557263, 0.08923087230589588, 0.18556525482421357, 1.0),
        (0.09189748856643912, 0.09238991627825219, 0.19129532515401904, 1.0),
        (0.09550605637353798, 0.0955293654823137, 0.19704663447238108, 1.0),
        (0.09908760199831237, 0.09865735598928838, 0.202788508027131, 1.0),
        (0.10264642769799756, 0.10176328326098896, 0.20857290068660378, 1.0),
        (0.10618074812931158, 0.10485339878284095, 0.2143771619600378, 1.0),
        (0.1096889023760895, 0.10793517020163923, 0.22017218712497755, 1.0),
        (0.1131748168296289, 0.11099513380448048, 0.22602364434348782, 1.0),
        (0.11663556547179632, 0.1140448383112346, 0.23188363185802802, 1.0),
        (0.12007067707840452, 0.11708836933874098, 0.23773723451373352, 1.0),
        (0.12348311269170212, 0.12010957852661008, 0.24366408546004942, 1.0),
        (0.1268694769189046, 0.12312719737070546, 0.24958092343560712, 1.0),
        (0.13023079358555992, 0.12613482732304018, 0.25552176979480035, 1.0),
        (0.1335669536543799, 0.12912933819439512, 0.2615060473838256, 1.0),
        (0.13687687358917935, 0.1321228390190112, 0.2674792268238665, 1.0),
        (0.14016072223030068, 0.13510077512672658, 0.273516463830988, 1.0),
        (0.1434177197831119, 0.13807648085438845, 0.2795564348972031, 1.0),
        (0.14664749022677667, 0.1410468359199091, 0.2856183790033577, 1.0),
        (0.14984896573620177, 0.14400828262821483, 0.29172466875734304, 1.0),
        (0.15302293610707918, 0.1469729643095798, 0.29781705276564924, 1.0),
        (0.15616588910444218, 0.14992378398730077, 0.3039884751881401, 1.0),
        (0.15928036968221013, 0.15287968241817262, 0.31014410518757485, 1.0),
        (0.1623627513097628, 0.15582876122602768, 0.316351221127571, 1.0),
        (0.16541424393602924, 0.15877962128563602, 0.322568010825442, 1.0),
        (0.1684327965090609, 0.16172930840633554, 0.3288148930781844, 1.0),
        (0.17141745326566984, 0.16467905603059177, 0.3350897686326998, 1.0),
        (0.17436825622411145, 0.16763191059023422, 0.34137988209589204, 1.0),
        (0.17728189537781466, 0.17058463824390546, 0.3477088809140311, 1.0),
        (0.18016036342337108, 0.17354350751654884, 0.35404475830785087, 1.0),
        (0.18299849497697035, 0.17650348342954594, 0.3604229741636628, 1.0),
        (0.18579937992420906, 0.17947154548206423, 0.3668060399217008, 1.0),
        (0.1885572370561371, 0.18244321595495852, 0.37322757196987777, 1.0),
        (0.19127464108276554, 0.18542401466966998, 0.37965796281093933, 1.0),
        (0.1939472187446418, 0.1884119984733165, 0.386115871001139, 1.0),
        (0.19657462182029212, 0.1914094687319768, 0.39259225795418623, 1.0),
        (0.19915672372024557, 0.19441854257598418, 0.3990785276243758, 1.0),
        (0.20168702806179262, 0.19743702312991862, 0.40559794521455345, 1.0),
        (0.20417332319597914, 0.20047209719939996, 0.4121034638774261, 1.0),
        (0.20659891759643328, 0.20351632859451468, 0.4186611530978024, 1.0),
        (0.20897699811247789, 0.20657922518971011, 0.42520322294002943, 1.0),
        (0.21129685416909666, 0.2096575161864902, 0.43176497513579937, 1.0),
        (0.21355800620349902, 0.21275340288768235, 0.4383374070580626, 1.0),
        (0.21576548571207194, 0.21587059598340852, 0.44489463585537026, 1.0),
        (0.2179027467031689, 0.21900568963708228, 0.4514821666358076, 1.0),
        (0.21998015574811014, 0.22216408175760288, 0.4580565150394947, 1.0),
        (0.22199703273135363, 0.22534706636685004, 0.4646129330923238, 1.0),
        (0.22393594001619205, 0.22855284524070996, 0.4711900504070519, 1.0),
        (0.22580932532980225, 0.2317859657097745, 0.4777445723729306, 1.0),
        (0.22761503862345905, 0.23504748023312744, 0.4842749179389621, 1.0),
        (0.22934111298424803, 0.23833756915964682, 0.4908001225098672, 1.0),
        (0.23099051027727385, 0.24165846268236407, 0.49730374060116006, 1.0),
        (0.23256538999451226, 0.2450118207268659, 0.5037733153263705, 1.0),
        (0.23406342170666683, 0.24839880111727114, 0.5102061969115925, 1.0),
        (0.23547393918554782, 0.2518205609488499, 0.516613364973523, 1.0),
        (0.236801026810658, 0.25527868910579044, 0.5229787612622226, 1.0),
        (0.23804590560140498, 0.25877435379545666, 0.5292929958163873, 1.0),
        (0.23920691667263239, 0.26230861756344964, 0.535551744864301, 1.0),
        (0.24028264871402233, 0.2658824888638083, 0.5417502762699162, 1.0),
        (0.24126903790365406, 0.2694971451746652, 0.5478870668064362, 1.0),
        (0.24216465348272426, 0.27315360753596885, 0.553956728335319, 1.0),
        (0.24297376639755025, 0.2768521950965759, 0.5599478852923391, 1.0),
        (0.24369642713276934, 0.28059340027389607, 0.5658549936523275, 1.0),
        (0.24433314064880995, 0.2843775500649447, 0.5716723986670919, 1.0),
        (0.2448849019911868, 0.28820478619663903, 0.5773944132373918, 1.0),
        (0.24535322610449972, 0.29207504793071565, 0.5830154006066264, 1.0),
        (0.24574017074231413, 0.29598805819243507, 0.5885298594478888, 1.0),
        (0.24604835148749832, 0.29994331361254045, 0.5939325092217596, 1.0),
        (0.24628094807445516, 0.30394007895773706, 0.5992183735671519, 1.0),
        (0.2464417014302806, 0.3079773862803036, 0.6043828594654379, 1.0),
        (0.24653490111796894, 0.3120540389489539, 0.6094218299971551, 1.0),
        (0.24656536315892336, 0.3161686205399515, 0.6143316686920638, 1.0),
        (0.24653839851947273, 0.3203195083804638, 0.6191093337508785, 1.0),
        (0.24645977284995724, 0.32450489135684063, 0.6237524007769893, 1.0),
        (0.24633565834842958, 0.32872279144010896, 0.6282590930787467, 1.0),
        (0.24617257886818206, 0.33297108824940586, 0.6326282990625465, 1.0),
        (0.245977349585916, 0.3372475458788759, 0.6368595767065934, 1.0),
        (0.24575701268578254, 0.3415498411593857, 0.6409531455573861, 1.0),
        (0.2455187705883345, 0.3458755925146314, 0.6449098671004443, 1.0),
        (0.24526991826199718, 0.3502223885999685, 0.6487312147029244, 1.0),
        (0.24501777610152164, 0.3545878159769456, 0.6524192345935843, 1.0),
        (0.24476962475039354, 0.3589694851701816, 0.6559764995268345, 1.0),
        (0.24453264309256112, 0.363365054567717, 0.6594060568707837, 1.0),
        (0.2443138504548737, 0.3677722517524962, 0.662711372868709, 1.0),
        (0.2441200538578629, 0.372188891982797, 0.6658962747586537, 1.0),
        (0.24395780094100172, 0.3766128936655926, 0.6689648923098729, 1.0),
        (0.24383333898006776, 0.38104229078290713, 0.6719216001624749, 1.0),
        (0.24375271660881692, 0.3854752048525493, 0.6747709927211152, 1.0),
        (0.24372158680675848, 0.38990989658383224, 0.6775178104933975, 1.0),
        (0.2437449691034339, 0.39434483066665477, 0.680166822877906, 1.0),
        (0.24382759429885864, 0.39877857858725246, 0.682722859277318, 1.0),
        (0.24397378347041998, 0.403209848198766, 0.6851907482426947, 1.0),
        (0.24418744349684057, 0.40763748121990107, 0.6875752826204606, 1.0),
        (0.2444720671645515, 0.4120604493040472, 0.6898811893971661, 1.0),
        (0.24483073737361094, 0.4164778489638756, 0.6921131040949623, 1.0),
        (0.24526613495209615, 0.4208888956165577, 0.6942755494834951, 1.0),
        (0.24578054959273526, 0.4252929169900244, 0.696372918310862, 1.0),
        (0.24637589344010208, 0.429689346103265, 0.6984094597147249, 1.0),
        (0.24705371687877592, 0.4340777140051459, 0.7003892689515083, 1.0),
        (0.24781522610018097, 0.43845764242796686, 0.7023162800736912, 1.0),
        (0.24866130205646747, 0.4428288364849563, 0.7041942611893784, 1.0),
        (0.24959252044244706, 0.4471910775158167, 0.7060268119517866, 1.0),
        (0.25060917238013747, 0.4515442161617032, 0.7078173629464003, 1.0),
        (0.2517112855138261, 0.45588816573090746, 0.7095691766682096, 1.0),
        (0.25289864525647365, 0.4602228958990267, 0.711285349808729, 1.0),
        (0.25417081595989205, 0.46454842677254443, 0.7129688166009963, 1.0),
        (0.25552716181143215, 0.468864823332328, 0.7146223529992972, 1.0),
        (0.25696686728864043, 0.4731721902633666, 0.7162485814980907, 1.0),
        (0.25848895703013125, 0.4774706671689665, 0.7178499764208979, 1.0),
        (0.26009231500605867, 0.4817604241612176, 0.7194288695343958, 1.0),
        (0.26177570289466506, 0.48604165781475234, 0.720987455865331, 1.0),
        (0.2635377775926647, 0.490314587467271, 0.722527799618077, 1.0),
        (0.265377107806529, 0.49457945184787905, 0.7240518401086443, 1.0),
        (0.2672921896891592, 0.4988365060127348, 0.7255613976468211, 1.0),
        (0.2692814615020625, 0.5030860185666779, 0.7270581793119334, 1.0),
        (0.27134331729685923, 0.5073282691492603, 0.7285437845796603, 1.0),
        (0.27347611962204293, 0.5115635461637654, 0.7300197107675364, 1.0),
        (0.2756782112712242, 0.5157921447283395, 0.7314873582754418, 1.0),
        (0.2779479260979498, 0.5200143648290899, 0.732948035604621, 1.0),
        (0.2802835989294345, 0.5242305096559424, 0.7344029641448335, 1.0),
        (0.282683574617556, 0.5284408841030631, 0.7358532827242096, 1.0),
        (0.2851462162701056, 0.5326457934167408, 0.7373000519204292, 1.0),
        (0.28766991270887626, 0.5368455419747277, 0.7387442581351217, 1.0),
        (0.2902530852036725, 0.5410404321821303, 0.7401868174359758, 1.0),
        (0.2928941935330091, 0.5452307634699988, 0.7416285791730817, 1.0),
        (0.2955917414230263, 0.5494168313837995, 0.7430703293775969, 1.0),
        (0.2983442814164118, 0.5535989267498892, 0.7445127939520039, 1.0),
        (0.30115041922266195, 0.5577773349090259, 0.7459566416621068, 1.0),
        (0.30400881760015674, 0.561952335006755, 0.7474024869415086, 1.0),
        (0.30691819981923907, 0.5661241993312904, 0.7488508925197548, 1.0),
        (0.3098773527540036, 0.5702931926901545, 0.7503023718855809, 1.0),
        (0.3128851296485514, 0.5744595718174969, 0.7517573915968616, 1.0),
        (0.3159404526017212, 0.5786235848045079, 0.7532163734489467, 1.0),
        (0.31904231481197576, 0.5827854705458643, 0.7546796965130811, 1.0),
        (0.3221897826221614, 0.5869454581955375, 0.756147699056641, 1.0),
        (0.3253819974015382, 0.5911037666256609, 0.7576206803568952, 1.0),
        (0.3286181773003176, 0.5952606038824643, 0.7590989024200323, 1.0),
        (0.3318976189096972, 0.5994161666335501, 0.7605825916172537, 1.0),
        (0.33521969885820246, 0.6035706396009888, 0.762071940249804, 1.0),
        (0.3385838753729217, 0.6077241949749225, 0.7635671080549892, 1.0),
        (0.3419896898320653, 0.6118769918024981, 0.7650682236654325, 1.0),
        (0.3454367683330622, 0.6160291753470887, 0.7665753860341149, 1.0),
        (0.3489248232981659, 0.6201808764128989, 0.7680886658381395, 1.0),
        (0.3524536551372777, 0.6243322106301376, 0.7696081068746098, 1.0),
        (0.3560231539852873, 0.6284832776960781, 0.7711337274625911, 1.0),
        (0.3596333015286878, 0.6326341605674558, 0.7726655218657797, 1.0),
        (0.3632841729334435, 0.6367849245998263, 0.7742034617512984, 1.0),
        (0.3669759388831846, 0.6409356166297031, 0.775747497700877, 1.0),
        (0.3707088677332941, 0.6450862639955934, 0.7772975607916929, 1.0),
        (0.3744833277827505, 0.6492368734944051, 0.7788535642652039, 1.0),
        (0.3782997896612683, 0.6533874302701628, 0.7804154053034927, 1.0),
        (0.3821588288242805, 0.6575378966326092, 0.7819829669338884, 1.0),
        (0.3860611281425826, 0.6616882108040404, 0.783556120083949, 1.0),
        (0.3900074788490647, 0.6658383310313948, 0.7851343555476578, 1.0),
        (0.393998816169696, 0.6699882294160507, 0.7867167620565498, 1.0),
        (0.39803619432683757, 0.6741376428249236, 0.788304118055203, 1.0),
        (0.4021207666563881, 0.6782863970632156, 0.7898962603978111, 1.0),
        (0.40625380886959733, 0.6824342860499125, 0.7914930279577013, 1.0),
        (0.410436721548229, 0.686581070131777, 0.7930942653099937, 1.0),
        (0.41467103236883174, 0.6907264743609856, 0.7946998267750712, 1.0),
        (0.41895839794568623, 0.6948701867544627, 0.796309580853497, 1.0),
        (0.4233007615496492, 0.6990119462600449, 0.7979223720379219, 1.0),
        (0.4277003131396773, 0.7031514402219965, 0.7995369318160842, 1.0),
        (0.43215887727379926, 0.7072880516513097, 0.8011551464379941, 1.0),
        (0.436678659484717, 0.7114212963902242, 0.80277699667406, 1.0),
        (0.4412619934972314, 0.7155506445548853, 0.8044025095123855, 1.0),
        (0.44591175192353244, 0.7196756076604832, 0.8060302209280784, 1.0),
        (0.45063109776646465, 0.7237956107627851, 0.807658697998032, 1.0),
        (0.4554220533607292, 0.727909790987073, 0.8092910180447287, 1.0),
        (0.4602874296132979, 0.7320174174690982, 0.8109274975540665, 1.0),
        (0.4652312929955616, 0.7361178015074248, 0.812565468088111, 1.0),
        (0.47025671321249457, 0.7402100378643736, 0.8142058631482381, 1.0),
        (0.47536583891703504, 0.7442931579112736, 0.815851824819198, 1.0),
        (0.4805629989896974, 0.7483662565565447, 0.8175014285494429, 1.0),
        (0.48585194120148484, 0.7524283052190464, 0.8191547180510727, 1.0),
        (0.4912340123610522, 0.7564782715855419, 0.820816423078898, 1.0),
        (0.4967149567998504, 0.7605150334733406, 0.8224828836016548, 1.0),
        (0.5022958597070651, 0.764537545992227, 0.82415903136277, 1.0),
        (0.5079798024989585, 0.7685447202464326, 0.8258458806918314, 1.0),
        (0.513770305653815, 0.7725354056237694, 0.8275437918161918, 1.0),
        (0.519667266878089, 0.7765087356564679, 0.829258036256343, 1.0),
        (0.5256748803701343, 0.7804635126371106, 0.8309874864714957, 1.0),
        (0.5317909415132198, 0.7843991695298315, 0.8327389435984492, 1.0),
        (0.538018396345586, 0.7883146743347386, 0.8345120959574838, 1.0),
        (0.5443539980151446, 0.792209749803427, 0.8363133084981756, 1.0),
        (0.5507978944105677, 0.7960838061951434, 0.8381442735434429, 1.0),
        (0.5573464847507825, 0.799936825697726, 0.8400099169225816, 1.0),
        (0.5639964685183692, 0.80376887330811, 0.8419139099857662, 1.0),
        (0.5707439504576504, 0.8075802108116318, 0.843859687136516, 1.0),
        (0.5775827793152761, 0.8113715803382598, 0.8458518352418534, 1.0),
        (0.5845080419432422, 0.8151436572177974, 0.8478930504633813, 1.0),
        (0.5915124079987544, 0.8188976525325088, 0.8499872730184476, 1.0),
        (0.5985892343607183, 0.8226347979507547, 0.8521371651406997, 1.0),
        (0.6057310635784716, 0.826356600007005, 0.8543453938014869, 1.0),
        (0.6129312041392928, 0.8300645419348709, 0.8566135671784518, 1.0),
        (0.6201810118833709, 0.833760603385139, 0.858944173773476, 1.0),
        (0.6274752226888651, 0.8374461999354568, 0.8613371235909391, 1.0),
        (0.6348052546879015, 0.8411235111538641, 0.8637941988526562, 1.0),
        (0.6421662450761787, 0.8447940336859747, 0.8663146822269916, 1.0),
        (0.6495514829538972, 0.8484597208451429, 0.8688988750843768, 1.0),
        (0.6569557263949438, 0.8521222755106646, 0.8715461474797052, 1.0),
        (0.6643745794481599, 0.8557832593714448, 0.8742554091588357, 1.0),
        (0.671802732456118, 0.8594444859176019, 0.8770260761340838, 1.0),
        (0.6792376399817107, 0.8631071655185147, 0.8798561771298264, 1.0),
        (0.6866744996748754, 0.8667730629390761, 0.8827449654904524, 1.0),
        (0.6941118238786821, 0.8704431765687035, 0.8856901351703097, 1.0),
        (0.7015458707010224, 0.8741190620646153, 0.8886905723641257, 1.0),
        (0.7089754732757992, 0.8778016574148082, 0.8917440383282461, 1.0),
        (0.7163982330943452, 0.8814922113687924, 0.8948489665590809, 1.0),
        (0.7238129051546877, 0.8851916892315871, 0.8980033539675887, 1.0),
        (0.7312183003174411, 0.8889010427774229, 0.9012052612065797, 1.0),
        (0.7386131643998257, 0.8926212432189429, 0.9044528466250298, 1.0),
        (0.7459969493141647, 0.896353077537404, 0.9077440285167399, 1.0),
        (0.7533688986576651, 0.9000973872698679, 0.9110768604175861, 1.0),
        (0.7607282142588291, 0.9038550280130127, 0.9144494382489703, 1.0),
        (0.7680754104857115, 0.9076264985347726, 0.9178593407704264, 1.0),
        (0.7754086380463783, 0.9114129489376285, 0.9213050832886523, 1.0),
        (0.7827298656902449, 0.915214478005682, 0.9247836307542581, 1.0),
        (0.7900362445563154, 0.9190325332798994, 0.928293790777229, 1.0),
        (0.7973305798287271, 0.9228669845876559, 0.9318320585938411, 1.0),
        (0.8046093603619434, 0.9267195025159972, 0.9353972761089011, 1.0),
        (0.8118762521869846, 0.9305897288106829, 0.9389853083637165, 1.0),
        (0.8191262403047088, 0.9344798221317864, 0.9425952041745783, 1.0),
        (0.826364951124252, 0.9383888950299161, 0.9462215400179358, 1.0),
        (0.8335857899787125, 0.9423196480542496, 0.9498633823775903, 1.0),
        (0.8407925617377358, 0.9462718000641172, 0.9535152044674146, 1.0),
        (0.8479820749115867, 0.9502471776949116, 0.9571737430642663, 1.0),
        (0.8551509499643908, 0.9542477482079624, 0.9608352118692637, 1.0),
        (0.8623025919332756, 0.9582735696851336, 0.9644920284238762, 1.0),
        (0.8694298092423108, 0.962327952845034, 0.9681401921277594, 1.0),
        (0.8765283703934805, 0.9664134798374283, 0.9717733036205912, 1.0),
        (0.8835932645286534, 0.9705331352089505, 0.9753839343072715, 1.0),
        (0.8906174074108087, 0.9746907136098538, 0.9789640951138071, 1.0),
        (0.8975917485137435, 0.978890804105412, 0.9825051528035059, 1.0),
        (0.9045013427138775, 0.9831399005223972, 0.9860005773650694, 1.0),
        (0.9113300542301955, 0.9874449459956177, 0.989444264262369, 1.0),
        (0.9180592960081255, 0.991813535883849, 0.9928328638314804, 1.0),
    ],
    'cmo.matter': [
        (0.9942936149611202, 0.930327795323208, 0.6910969022498408, 1.0),
        (0.9938034737629607, 0.9248067799917484, 0.6856470896792072, 1.0),
        (0.9932915386396505, 0.919299374769053, 0.6802308895677182, 1.0),
        (0.9927922245331627, 0.9137917294903226, 0.6748329403835298, 1.0),
        (0.9922937701498861, 0.9082882194233707, 0.6694590190525576, 1.0),
        (0.9917843550306121, 0.9027933977435593, 0.6641148019075449, 1.0),
        (0.9912962746539998, 0.8972938428980344, 0.6587860434151367, 1.0),
        (0.9907825925330568, 0.8918085346471608, 0.6534941055176842, 1.0),
        (0.9902949549053172, 0.8863158938146131, 0.6482161486636766, 1.0),
        (0.9897868190815676, 0.8808350065840213, 0.6429731121246739, 1.0),
        (0.9892857473867686, 0.875354115248558, 0.6377529594546893, 1.0),
        (0.9887800796370289, 0.8698778821960219, 0.6325610007226145, 1.0),
        (0.9882646997282735, 0.8644083076900085, 0.6273995656371404, 1.0),
        (0.9877584964502674, 0.858936998941355, 0.6222606017222616, 1.0),
        (0.9872280289134517, 0.853478296633913, 0.6171585665698279, 1.0),
        (0.9867183884350318, 0.8480122040334345, 0.6120742768604478, 1.0),
        (0.9861766767190067, 0.8425618846460893, 0.6070302342911766, 1.0),
        (0.9856563017997252, 0.8371033300354, 0.6020039838864913, 1.0),
        (0.9851070454224936, 0.8316588814371468, 0.597016567652545, 1.0),
        (0.9845690242211674, 0.8262101763023093, 0.5920513492549714, 1.0),
        (0.9840096682146299, 0.8207718909127237, 0.5871217557569952, 1.0),
        (0.9834535848293927, 0.8153324961500218, 0.5822177451775891, 1.0),
        (0.9828817074848651, 0.8099006555998068, 0.5773470477348076, 1.0),
        (0.982307242514825, 0.8044699893992296, 0.5725043678439867, 1.0),
        (0.9817205500240108, 0.7990448613324699, 0.5676935526547516, 1.0),
        (0.9811274651130898, 0.7936222997819742, 0.56291231417088, 1.0),
        (0.9805237822250762, 0.7882041368744077, 0.5581623151179201, 1.0),
        (0.9799119019116717, 0.7827890166019746, 0.5534426550185235, 1.0),
        (0.9792891597791348, 0.7773780574795166, 0.5487543863553447, 1.0),
        (0.9786583517021393, 0.7719696800001863, 0.5440965033742035, 1.0),
        (0.9780145739702225, 0.766566151727833, 0.5394708896034823, 1.0),
        (0.977364728314596, 0.761163789182034, 0.534875076509128, 1.0),
        (0.9766980163585676, 0.7557679109997391, 0.5303130790083465, 1.0),
        (0.976029025253703, 0.7503708130006796, 0.5257797515465255, 1.0),
        (0.9753375433133614, 0.7449828010040939, 0.5212823917018596, 1.0),
        (0.9746492807368433, 0.7395902023503718, 0.51681211422522, 1.0),
        (0.9739312415395592, 0.7342102748450783, 0.512380492998615, 1.0),
        (0.9732235441351503, 0.7288214038955377, 0.5079740009039053, 1.0),
        (0.9724836441494412, 0.723446268129894, 0.5036071894033782, 1.0),
        (0.9717498445504565, 0.7180638747370175, 0.49926753403247764, 1.0),
        (0.9709912116410467, 0.7126909352035096, 0.49496542702327057, 1.0),
        (0.9702261620325378, 0.7073170976907954, 0.4906951514278061, 1.0),
        (0.9694484453171449, 0.7019455954348423, 0.48645901381798956, 1.0),
        (0.9686504017535663, 0.6965805969226915, 0.48225962974379494, 1.0),
        (0.9678531538881393, 0.6912098001765796, 0.47809095550781916, 1.0),
        (0.9670272977476159, 0.6858499112812685, 0.4739621016861337, 1.0),
        (0.9662030356838597, 0.6804831678592252, 0.4698646253054341, 1.0),
        (0.9653577621840926, 0.6751225363106635, 0.4658054627874115, 1.0),
        (0.9644956606754987, 0.6697653999656225, 0.4617837747090558, 1.0),
        (0.9636302007256902, 0.6644033993552484, 0.45779644218108545, 1.0),
        (0.962738297501346, 0.659050260217444, 0.4538500459526183, 1.0),
        (0.9618419029037778, 0.6536923650498339, 0.44993943481672977, 1.0),
        (0.9609293304705296, 0.6483365953124501, 0.4460681718992942, 1.0),
        (0.9599915754015639, 0.6429884241455729, 0.44223886344177565, 1.0),
        (0.9590555927894281, 0.6376305748866927, 0.43844592387934483, 1.0),
        (0.9580962561892509, 0.632278677766368, 0.4346957499886875, 1.0),
        (0.9571138853949342, 0.6269324224641482, 0.43098873542945043, 1.0),
        (0.9561315297025726, 0.6215764963092998, 0.42732096357322724, 1.0),
        (0.9551250405128054, 0.6162263913356859, 0.4236980325915366, 1.0),
        (0.9540950546856811, 0.6108815734129118, 0.4201203681538954, 1.0),
        (0.9530626716897265, 0.6055275479248746, 0.4165851980241141, 1.0),
        (0.9520078397406574, 0.6001775213709301, 0.41309682088715316, 1.0),
        (0.9509298744158471, 0.5948318045431841, 0.4096560342134981, 1.0),
        (0.9498400194890849, 0.5894823244090308, 0.40626217609422755, 1.0),
        (0.948734797669235, 0.5841311256224191, 0.40291681995676154, 1.0),
        (0.9476064491016544, 0.5787834319880816, 0.399621829641211, 1.0),
        (0.9464553073333201, 0.5734388133376047, 0.39637803402026683, 1.0),
        (0.9452939757532163, 0.568087777792638, 0.3931855149232087, 1.0),
        (0.9441119180634875, 0.5627376402983688, 0.39004635323607567, 1.0),
        (0.9429065439155045, 0.5573900694724827, 0.38696177158401335, 1.0),
        (0.9416779791961638, 0.5520447400757863, 0.3839328326459905, 1.0),
        (0.9404312902807344, 0.5466974929733747, 0.38096066877562546, 1.0),
        (0.9391670109637509, 0.5413475099598963, 0.3780467610439202, 1.0),
        (0.9378784499903906, 0.5359996531278977, 0.37519243842000133, 1.0),
        (0.936565505965262, 0.5306537435419416, 0.3723989770682498, 1.0),
        (0.9352280123612884, 0.525309644376055, 0.3696677100588825, 1.0),
        (0.9338657357609021, 0.5199672647340077, 0.36700002473028426, 1.0),
        (0.9324834513518638, 0.514622334105647, 0.36439800390036753, 1.0),
        (0.9310764112648535, 0.5092783920261573, 0.3618628439391276, 1.0),
        (0.9296425700359164, 0.503936852022943, 0.35939586050136857, 1.0),
        (0.9281814529069224, 0.4985978383651591, 0.35699857517124034, 1.0),
        (0.9266925163734759, 0.49326153776931597, 0.35467253990014935, 1.0),
        (0.9251751483021848, 0.4879282029910456, 0.3524193303048753, 1.0),
        (0.9236286685007274, 0.4825981562592267, 0.350240538156495, 1.0),
        (0.9220523297832619, 0.4772717924986037, 0.3481377630517493, 1.0),
        (0.9204453195710341, 0.4719495822836189, 0.34611260327070115, 1.0),
        (0.9188067620643404, 0.46663207446333216, 0.34416664583844114, 1.0),
        (0.9171357210169963, 0.4613198983953663, 0.34230145582397803, 1.0),
        (0.9154312031382286, 0.4560137657258883, 0.3405185649261684, 1.0),
        (0.913692162139428, 0.4507144716528461, 0.33881945941429764, 1.0),
        (0.9119175034344646, 0.44542289561129406, 0.33720556750938335, 1.0),
        (0.9101060894923884, 0.44014000132270786, 0.33567824631096654, 1.0),
        (0.9082567458304245, 0.4348668361548626, 0.3342387683926177, 1.0),
        (0.9063682676234202, 0.4296045297451883, 0.332888308207012, 1.0),
        (0.9044394268935215, 0.4243542918485532, 0.3316279284576256, 1.0),
        (0.9024689802311073, 0.41911740938015835, 0.3304585666082093, 1.0),
        (0.900455676985312, 0.41389524263548055, 0.32938102171259315, 1.0),
        (0.898398267849989, 0.40868922068198066, 0.32839594175542913, 1.0),
        (0.8962955137593518, 0.40350083593115615, 0.32750381169864584, 1.0),
        (0.8941481104554649, 0.3983293983456085, 0.32670705613297224, 1.0),
        (0.8919536525149723, 0.3931778253066713, 0.32600482691521954, 1.0),
        (0.8897101199351982, 0.38804875676496026, 0.32539616973208435, 1.0),
        (0.8874163795567694, 0.38294390542052426, 0.32488078462444386, 1.0),
        (0.8850713585473569, 0.3778650063033766, 0.32445816196307664, 1.0),
        (0.8826755435924778, 0.372811879727799, 0.32412991444586087, 1.0),
        (0.8802274289557096, 0.3677869127615049, 0.3238946418203613, 1.0),
        (0.877724965502183, 0.36279338917562426, 0.3237493930733042, 1.0),
        (0.8751673985732257, 0.3578330531078428, 0.32369275582884305, 1.0),
        (0.8725555139394462, 0.3529055754992642, 0.3237261048951861, 1.0),
        (0.8698877548666957, 0.3480139364384643, 0.32384603952129815, 1.0),
        (0.867162933067898, 0.34316081179207075, 0.32404902556714654, 1.0),
        (0.8643813155550575, 0.3383468700732273, 0.32433432808151264, 1.0),
        (0.8615430100192385, 0.33357303722538795, 0.32470075289571565, 1.0),
        (0.8586467469801844, 0.32884251647174345, 0.32514278660134655, 1.0),
        (0.8556930023091509, 0.32415590978849657, 0.3256590726700413, 1.0),
        (0.8526821206317461, 0.31951405196526345, 0.3262477399527137, 1.0),
        (0.8496135249080434, 0.31491947716040647, 0.3269031319055853, 1.0),
        (0.8464880691147448, 0.3103723490573297, 0.3276240607685042, 1.0),
        (0.8433059903582462, 0.305873983723355, 0.32840667746586705, 1.0),
        (0.840067520169713, 0.3014258630212182, 0.32924624128022095, 1.0),
        (0.8367737994501906, 0.2970277335155549, 0.33014192798806624, 1.0),
        (0.8334250817653976, 0.2926812202808506, 0.3310879308798391, 1.0),
        (0.8300223167271181, 0.2883865925403408, 0.33208152619668035, 1.0),
        (0.8265664528479066, 0.284144135371797, 0.3331197789552537, 1.0),
        (0.823058286941174, 0.27995458626991687, 0.33419806719443784, 1.0),
        (0.819498999191038, 0.2758177426460853, 0.3353144156579274, 1.0),
        (0.8158895345625489, 0.27173408410909455, 0.33646438921277166, 1.0),
        (0.8122310472907531, 0.26770353504901684, 0.33764514218178737, 1.0),
        (0.8085246874446361, 0.26372603126828165, 0.33885361881305626, 1.0),
        (0.8047716060121338, 0.2598015433395365, 0.3400863817867416, 1.0),
        (0.8009730135703671, 0.2559297758719958, 0.34134092597511895, 1.0),
        (0.7971300939112276, 0.25211056126521714, 0.34261401740943764, 1.0),
        (0.7932440533013958, 0.24834356877070946, 0.343903022016364, 1.0),
        (0.7893160890135295, 0.24462845262804683, 0.3452052771464596, 1.0),
        (0.7853473877765538, 0.24096481923336038, 0.3465182972816245, 1.0),
        (0.7813391260814397, 0.2373522835108513, 0.34783944834724917, 1.0),
        (0.7772924488739767, 0.23379036404746006, 0.349166724404265, 1.0),
        (0.7732084983091196, 0.2302786572731657, 0.3504975234338519, 1.0),
        (0.7690883651827445, 0.2268166676306541, 0.35183001450366325, 1.0),
        (0.7649331213342656, 0.22340393965199068, 0.353162131681046, 1.0),
        (0.7607438261029081, 0.22004003452941667, 0.3544916653625779, 1.0),
        (0.7565214435019435, 0.2167244640001847, 0.35581731167736824, 1.0),
        (0.7522670051172567, 0.21345683253068415, 0.3571365659018996, 1.0),
        (0.747981387463718, 0.21023668678652385, 0.3584483801868486, 1.0),
        (0.7436655059621509, 0.20706363990212556, 0.35975090604883003, 1.0),
        (0.7393202434785965, 0.20393731733024972, 0.3610423849932818, 1.0),
        (0.7349463482724381, 0.20085737259155695, 0.36232191062789854, 1.0),
        (0.7305447136853985, 0.19782348024589214, 0.36358718048248057, 1.0),
        (0.7261159828724578, 0.19483536853461514, 0.36483757814808754, 1.0),
        (0.721660895966202, 0.1918927853792166, 0.3660715129191122, 1.0),
        (0.717180167048341, 0.18899550021489614, 0.3672874263418226, 1.0),
        (0.7126743300531553, 0.1861433788319636, 0.3684846837309949, 1.0),
        (0.7081441223914051, 0.18333622153881798, 0.36966125952093437, 1.0),
        (0.7035900061356136, 0.1805739799909275, 0.37081657226169173, 1.0),
        (0.6990125222046898, 0.17785659641802737, 0.37194940307846314, 1.0),
        (0.6944122804123708, 0.1751839824866724, 0.37305808008307356, 1.0),
        (0.6897896069146785, 0.17255625441955474, 0.3741422132560423, 1.0),
        (0.6851450759297335, 0.16997338031395703, 0.37520008090332, 1.0),
        (0.6804790620490438, 0.16743548389871482, 0.37623080775724294, 1.0),
        (0.6757918752796294, 0.16494276523576276, 0.3772336599439789, 1.0),
        (0.6710841190288991, 0.16249519232276352, 0.3782065903997159, 1.0),
        (0.666355922126201, 0.16009314556602497, 0.3791494395940232, 1.0),
        (0.6616076837858698, 0.15773679047853847, 0.38006084174304866, 1.0),
        (0.656839828117515, 0.155426267394966, 0.38093931223551125, 1.0),
        (0.6520524648278915, 0.1531620260338201, 0.3817844598609113, 1.0),
        (0.6472460502131879, 0.15094418340933877, 0.38259458069323254, 1.0),
        (0.6424208086222071, 0.14877308468968733, 0.38336876315049084, 1.0),
        (0.6375768667154826, 0.14664918606409344, 0.3841063458261377, 1.0),
        (0.6327147719614084, 0.14457248187757207, 0.3848052877974663, 1.0),
        (0.6278345360543612, 0.14254354179955067, 0.3854652342077181, 1.0),
        (0.6229363449371849, 0.14056274426895443, 0.3860852182514848, 1.0),
        (0.6180208267587814, 0.13862992755953493, 0.3866630046493147, 1.0),
        (0.6130878172636732, 0.1367458410848005, 0.38719863739543753, 1.0),
        (0.6081376300127647, 0.13491065399027252, 0.3876907660008953, 1.0),
        (0.6031708343692542, 0.1331241752511138, 0.3881374204452801, 1.0),
        (0.5981872594198538, 0.1313871076769131, 0.3885385758335543, 1.0),
        (0.5931872993271582, 0.12969941192089238, 0.3888927420384044, 1.0),
        (0.5881715194167827, 0.128060766149965, 0.3891980996789912, 1.0),
        (0.5831397292746329, 0.12647180016169585, 0.38945464771661137, 1.0),
        (0.5780923809284296, 0.12493224774918762, 0.38966088826757483, 1.0),
        (0.5730301484941316, 0.1234414650841387, 0.3898149438393606, 1.0),
        (0.567952778533937, 0.12200002818244307, 0.38991698258003377, 1.0),
        (0.5628606992123619, 0.12060751791779487, 0.3899657247446918, 1.0),
        (0.5577549128735556, 0.11926261311885777, 0.38995887338856844, 1.0),
        (0.5526350045348186, 0.11796594616880057, 0.3898969895870121, 1.0),
        (0.5475013145908724, 0.1167170132781018, 0.3897791516609608, 1.0),
        (0.542355222924283, 0.1155136939391363, 0.38960269276272813, 1.0),
        (0.5371963110518728, 0.11435643297754725, 0.3893682721938278, 1.0),
        (0.532024862508553, 0.11324458252518538, 0.3890752921818559, 1.0),
        (0.5268418790923194, 0.11217633229896623, 0.3887220732362928, 1.0),
        (0.5216480344214139, 0.1111502746625857, 0.3883076350820582, 1.0),
        (0.5164430850451628, 0.11016633322578473, 0.3878324664548169, 1.0),
        (0.5112275102681053, 0.10922326738769267, 0.3872959651352504, 1.0),
        (0.5060029073959359, 0.10831802736505128, 0.3866960834588916, 1.0),
        (0.5007692304925555, 0.1074500336043514, 0.3860332364294135, 1.0),
        (0.4955265944792267, 0.10661840926594984, 0.38530760492144767, 1.0),
        (0.4902755524910634, 0.10582153974143343, 0.38451883682456867, 1.0),
        (0.485017645990138, 0.10505619794533821, 0.38366549920004794, 1.0),
        (0.4797532909040905, 0.10432087301874635, 0.3827476922012114, 1.0),
        (0.4744823785889252, 0.10361484635753093, 0.38176613656801484, 1.0),
        (0.46920551711129205, 0.10293623430904172, 0.3807207588669156, 1.0),
        (0.4639233255037822, 0.10228310372258767, 0.3796115541526619, 1.0),
        (0.4586377341242697, 0.10165141765593363, 0.37843732634192917, 1.0),
        (0.4533486056644123, 0.10104039694500988, 0.37719907921677054, 1.0),
        (0.44805610703980164, 0.10044876779661555, 0.3758974928385368, 1.0),
        (0.4427608762820602, 0.09987450133495995, 0.3745328419993724, 1.0),
        (0.4374635532679027, 0.0993155625185971, 0.373105466023635, 1.0),
        (0.43216477788685714, 0.09876991822512793, 0.37161576708995425, 1.0),
        (0.42686585999987303, 0.09823449013050672, 0.3700637078536853, 1.0),
        (0.4215676735765455, 0.09770690573986754, 0.36844970846642694, 1.0),
        (0.4162699168504105, 0.09718665004270136, 0.36677506662554543, 1.0),
        (0.41097319872080806, 0.09667179308527124, 0.365040416081035, 1.0),
        (0.40567811847851204, 0.09616044175324229, 0.3632464399813756, 1.0),
        (0.40038526412002146, 0.0956507450954312, 0.3613938677771776, 1.0),
        (0.3950952107257717, 0.09514089908082038, 0.3594834719896101, 1.0),
        (0.3898085189133677, 0.09462915077538672, 0.3575160648711968, 1.0),
        (0.38452573337583096, 0.09411380193352703, 0.3554924949866633, 1.0),
        (0.37924738151361215, 0.09359321200643175, 0.3534136437413168, 1.0),
        (0.37397397216781814, 0.0930658005765563, 0.35128042188384745, 1.0),
        (0.368705994460764, 0.0925300492333272, 0.3490937660095802, 1.0),
        (0.3634439167485822, 0.09198450291035601, 0.34685463508904274, 1.0),
        (0.35818818568925115, 0.09142777070873895, 0.344564007045334, 1.0),
        (0.35293922542805595, 0.09085852623447668, 0.3422228754021731, 1.0),
        (0.3476974369011709, 0.09027550748073235, 0.3398322460227614, 1.0),
        (0.342463197256804, 0.08967751628755202, 0.3373931339577017, 1.0),
        (0.3372368593921475, 0.08906341741289614, 0.33490656041826283, 1.0),
        (0.3320187516032832, 0.08843213724940904, 0.33237354988926293, 1.0),
        (0.32680917734417175, 0.08778266222136388, 0.32979512739382877, 1.0),
        (0.32160841508995175, 0.08711403689571998, 0.32717231592027823, 1.0),
        (0.3164167182989684, 0.08642536184028649, 0.32450613401944484, 1.0),
        (0.3112343154672587, 0.08571579126067203, 0.32179759357887117, 1.0),
        (0.3060614102686342, 0.08498453044606019, 0.31904769777854824, 1.0),
        (0.3008981817730306, 0.08423083305194795, 0.3162574392312175, 1.0),
        (0.29574478473540516, 0.08345399824589614, 0.313427798308743, 1.0),
        (0.2906013499472219, 0.08265336774002721, 0.3105597416546947, 1.0),
        (0.2854679846423483, 0.08182832273165289, 0.3076542208820724, 1.0),
        (0.2803477329331294, 0.08097431979192776, 0.3047120362305892, 1.0),
        (0.2752380681858879, 0.08009433346301736, 0.3017343316299965, 1.0),
        (0.27013893417596097, 0.07918798082745704, 0.2987220235093638, 1.0),
        (0.26505034843028563, 0.07825477700181371, 0.29567600322433, 1.0),
        (0.25997230676634775, 0.07729426121855429, 0.29259714265662684, 1.0),
        (0.25490478388843085, 0.07630599343423161, 0.28948629391324004, 1.0),
        (0.24984931470924515, 0.07528752506190717, 0.2863443687052725, 1.0),
        (0.24480741102830378, 0.07423648337865965, 0.2831723508316193, 1.0),
        (0.23977610809798328, 0.07315619369923848, 0.27997093784038435, 1.0),
        (0.23475529805348944, 0.07204627593897617, 0.27674090872775425, 1.0),
        (0.22974485429112435, 0.07090635374932228, 0.2734830227534651, 1.0),
        (0.22474604355451955, 0.0697343048702469, 0.2701981884636781, 1.0),
        (0.21976179144933672, 0.0685259925198044, 0.26688758887278374, 1.0),
        (0.21478768714283408, 0.06728630515821912, 0.263551482229945, 1.0),
        (0.2098235281541685, 0.06601485651366462, 0.26019055850201595, 1.0),
        (0.2048690954628697, 0.0647112448057679, 0.25680549144898185, 1.0),
        (0.19993023373401114, 0.06336777961956377, 0.25339802823103286, 1.0),
        (0.19500160024612118, 0.061990205931648286, 0.24996804552033358, 1.0),
        (0.1900821894571196, 0.06057894133574073, 0.2465160535125, 1.0),
        (0.18517171283533682, 0.05913348735199072, 0.2430426744218359, 1.0),
    ],
    'cmo.oxy': [
        (0.25032176905858416, 0.020462373007628664, 0.019668915240963425, 1.0),
        (0.25556484590315925, 0.021115914562057317, 0.020900079605680265, 1.0),
        (0.260801551287606, 0.021764366566897772, 0.02215967228611414, 1.0),
        (0.26604462644840876, 0.022383035772931454, 0.023440162122590095, 1.0),
        (0.2765326364024715, 0.023561335944458806, 0.026067621442162, 1.0),
        (0.2817861616671274, 0.024102040700526, 0.027406852891152786, 1.0),
        (0.2870367982396965, 0.02462864448899237, 0.028766693287901334, 1.0),
        (0.29229647292718025, 0.025115213825385452, 0.03013810573921637, 1.0),
        (0.3028221259572579, 0.026009807799723155, 0.032922206878895514, 1.0),
        (0.3080989498969099, 0.026391793653086672, 0.034323445726190914, 1.0),
        (0.3133766829953621, 0.02674829090811269, 0.03573422597599481, 1.0),
        (0.31865531570069366, 0.027079127219430545, 0.03715280555634475, 1.0),
        (0.32924566072594813, 0.027587400661237986, 0.039979156139025404, 1.0),
        (0.3345444278514147, 0.027794827950613325, 0.0413706406541229, 1.0),
        (0.3398547648028716, 0.02794706430858016, 0.04271748371599068, 1.0),
        (0.34517249382192633, 0.028053685024482643, 0.04402857557145471, 1.0),
        (0.3558206849295222, 0.0281526333037441, 0.04654771396733793, 1.0),
        (0.36115912489428104, 0.028122260666773778, 0.04774545304821292, 1.0),
        (0.36650538605257504, 0.028042290914116412, 0.04890135088859194, 1.0),
        (0.37185717878462354, 0.02791864422174392, 0.05001583572284549, 1.0),
        (0.38257894539736265, 0.027534718313660875, 0.05211053476335369, 1.0),
        (0.38794954741145826, 0.027272157544536355, 0.053085096912266115, 1.0),
        (0.39332998820186316, 0.02695211659028964, 0.05400332569218739, 1.0),
        (0.39871727403227747, 0.026583390141117245, 0.05486495007360833, 1.0),
        (0.40950809478480493, 0.02571397721177637, 0.05640694245975856, 1.0),
        (0.4149106638808665, 0.025217416553774786, 0.05707880838445476, 1.0),
        (0.4203169224276967, 0.024684262851943115, 0.057678291022847696, 1.0),
        (0.42572564497608806, 0.02411983059354548, 0.05820016787208187, 1.0),
        (0.4365491859863962, 0.022908683302009045, 0.05897909145270989, 1.0),
        (0.44195989271872843, 0.022280711559501974, 0.05922145534252384, 1.0),
        (0.44736413243777823, 0.02166211126655112, 0.059358278073057345, 1.0),
        (0.45275754812847707, 0.02107281505394201, 0.059382131948203166, 1.0),
        (0.46350709475737245, 0.020024047465979106, 0.05902266227273282, 1.0),
        (0.46884497497466887, 0.01964556257714446, 0.058627764393172625, 1.0),
        (0.4741516624279997, 0.019402340589192137, 0.05806380572763908, 1.0),
        (0.47941182688110145, 0.019363351000614242, 0.057331018908608984, 1.0),
        (0.48974345100760724, 0.020146134792308878, 0.055320019738505706, 1.0),
        (0.4947824246224634, 0.02112807697320262, 0.05404462487713375, 1.0),
        (0.4997137287427876, 0.022619495056171248, 0.05260678769207213, 1.0),
        (0.5045221796142562, 0.024700218814984028, 0.05103037173727245, 1.0),
        (0.5137301598248653, 0.030864875760097502, 0.04759930860912274, 1.0),
        (0.5181239197849398, 0.03500462903556055, 0.045820425422232615, 1.0),
        (0.5223830134996688, 0.03984501254619848, 0.04404711326285258, 1.0),
        (0.5265167824786487, 0.045116550723240174, 0.04230178743284147, 1.0),
        (0.5344521625028915, 0.05613230116634508, 0.03893707769140806, 1.0),
        (0.5382767330694612, 0.06174820344635037, 0.037382246827492256, 1.0),
        (0.5420185347623404, 0.06738177887118912, 0.03591446197845813, 1.0),
        (0.5456872157339706, 0.07300021292187203, 0.03454024418762976, 1.0),
        (0.5528333528391163, 0.08412806121949529, 0.03203530971705802, 1.0),
        (0.5563218795889671, 0.0896211548615796, 0.03088637914922975, 1.0),
        (0.5597632862141977, 0.09505189218342755, 0.029813731602715176, 1.0),
        (0.3124295956605861, 0.3104471192643529, 0.30909262272555144, 1.0),
        (0.3153354478588586, 0.3133524060708574, 0.3119821443435121, 1.0),
        (0.31824305989224766, 0.3162596157133579, 0.31487354510523713, 1.0),
        (0.32115221971252766, 0.3191685075353222, 0.3177665914743307, 1.0),
        (0.32697542309980804, 0.3249915726322321, 0.32355785571741547, 1.0),
        (0.32988958556325093, 0.32790586210624356, 0.32645618967304524, 1.0),
        (0.3328058950511414, 0.3308224519789741, 0.32935678012827674, 1.0),
        (0.3357242465615516, 0.33374122160052, 0.3322595102624681, 1.0),
        (0.3415668398051759, 0.33958502610190355, 0.3380711247962143, 1.0),
        (0.34449119400937284, 0.34251017094898034, 0.34098011903706754, 1.0),
        (0.3474177171638534, 0.3454376095238634, 0.34389136888185307, 1.0),
        (0.35034698338855336, 0.34836794139503385, 0.346805465369161, 1.0),
        (0.35621236143814083, 0.3542358046622061, 0.352640745757892, 1.0),
        (0.35914858037681685, 0.35717344083567293, 0.3555620343021813, 1.0),
        (0.36208722341951666, 0.36011361599156305, 0.35848582427813286, 1.0),
        (0.3650286939883333, 0.36305674775961494, 0.36141252807501206, 1.0),
        (0.3709200935456274, 0.3689518358458999, 0.3672746363207957, 1.0),
        (0.3738697751287151, 0.37190352658604986, 0.37020978034606317, 1.0),
        (0.3768221792091647, 0.3748580483073255, 0.3731477173927215, 1.0),
        (0.3797773564061295, 0.3778154505573167, 0.37608849693507174, 1.0),
        (0.3856977984917309, 0.38374071501836987, 0.38198038140594964, 1.0),
        (0.3886624779865983, 0.3867079629882915, 0.38493088138337844, 1.0),
        (0.3916301675373727, 0.389678323471107, 0.38788445547990014, 1.0),
        (0.39460091605125996, 0.3926518443624523, 0.39084115151341253, 1.0),
        (0.40055295260897017, 0.3986097611264988, 0.39676528887887746, 1.0),
        (0.40353411331378775, 0.4015940188237795, 0.39973259498361824, 1.0),
        (0.4065185627017746, 0.4045816619557017, 0.4027032476697736, 1.0),
        (0.40950634828178395, 0.4075727370718815, 0.4056772934047228, 1.0),
        (0.415492795434692, 0.41356606472920515, 0.4116364375734102, 1.0),
        (0.4184918779167747, 0.4165687434984514, 0.4146219586956935, 1.0),
        (0.4214945204326191, 0.4195750736283389, 0.4176110918403175, 1.0),
        (0.42450076936624254, 0.4225851005893354, 0.42060388239095875, 1.0),
        (0.43052437250182096, 0.4286165297439478, 0.4266007190310782, 1.0),
        (0.4335427826643468, 0.43163900764725716, 0.4296058306451354, 1.0),
        (0.43656501838561024, 0.434665397257347, 0.43261481411662484, 1.0),
        (0.43959112516553095, 0.4376957432004656, 0.43562771398038685, 1.0),
        (0.44565513335980034, 0.4437684820761267, 0.4416654405060407, 1.0),
        (0.44869368903939827, 0.4468115388000441, 0.44469092519180037, 1.0),
        (0.4517368917688297, 0.44985933527681526, 0.4477211036271618, 1.0),
        (0.4547842258698518, 0.4529113434703738, 0.4507554532964671, 1.0),
        (0.46089146711387297, 0.4590281706024677, 0.4568368415436758, 1.0),
        (0.4639514635319542, 0.4620930771611265, 0.45988396754605004, 1.0),
        (0.46701686496082256, 0.46516348464581553, 0.4629365433533289, 1.0),
        (0.47008677688273864, 0.4682384803878612, 0.4659936652121622, 1.0),
        (0.4762399433154002, 0.4744020380433919, 0.4721213515388643, 1.0),
        (0.47932328627791204, 0.4774906868110462, 0.4751920026556299, 1.0),
        (0.48241157981572785, 0.4805843644813184, 0.47826763775129433, 1.0),
        (0.4855054065192262, 0.4836836604074203, 0.48134884138053535, 1.0),
        (0.4917071661727568, 0.48989656843060064, 0.4875254394390606, 1.0),
        (0.4948151870857158, 0.49301026694263855, 0.490620920068211, 1.0),
        (0.497928027327714, 0.4961288527000837, 0.49372124586446003, 1.0),
        (0.5041707018503041, 0.5023832495766818, 0.4999389760567756, 1.0),
        (0.5072996974715959, 0.5055182071194114, 0.5030555348110034, 1.0),
        (0.5104337218186611, 0.5086582576893807, 0.5061771439834861, 1.0),
        (0.5135728187816995, 0.5118034444283539, 0.5093038466023048, 1.0),
        (0.5198680090904712, 0.5181110205469276, 0.5155743126495593, 1.0),
        (0.5230240786607409, 0.5212733823701987, 0.5187180494068471, 1.0),
        (0.5261854303107181, 0.5244410863000215, 0.5218670849934367, 1.0),
        (0.5293521080119286, 0.5276141755769954, 0.5250214625310645, 1.0),
        (0.5357023822572596, 0.5339774558564434, 0.5313471825523317, 1.0),
        (0.5388868512651764, 0.5371685253040657, 0.5345193971027961, 1.0),
        (0.5420768564731617, 0.5403651867966881, 0.5376971597230371, 1.0),
        (0.545272442064579, 0.543567483801437, 0.5408805137559964, 1.0),
        (0.5516805313407565, 0.5499891584349246, 0.5472641696469992, 1.0),
        (0.5548945759211055, 0.553210088520657, 0.5504660124980879, 1.0),
        (0.5581145670784501, 0.5564370183489838, 0.5536738091851505, 1.0),
        (0.5613403945534087, 0.5596698355312789, 0.5568874483927889, 1.0),
        (0.5678097368298003, 0.5661533075224889, 0.5633324294117918, 1.0),
        (0.5710538502837967, 0.5694045636227956, 0.5665643684189754, 1.0),
        (0.5743051694640114, 0.5726630826009093, 0.5698035160864107, 1.0),
        (0.5775625831679843, 0.5759277431077965, 0.5730487596836393, 1.0),
        (0.5840958744176996, 0.5824756662065079, 0.5795577116206488, 1.0),
        (0.5873718422959868, 0.5857590177478061, 0.5828215086350755, 1.0),
        (0.5906553283643479, 0.5890499401540877, 0.5860928212875073, 1.0),
        (0.5939456863496749, 0.5923477811162676, 0.5893710023062436, 1.0),
        (0.6005456518693509, 0.5989628389111977, 0.5959466004538667, 1.0),
        (0.6038553509508688, 0.602280145921328, 0.5992441074734932, 1.0),
        (0.6071717820521229, 0.6056042263837068, 0.6025483395942317, 1.0),
        (0.6104964593110322, 0.6089366020846008, 0.6058608080471198, 1.0),
        (0.6171658601273857, 0.6156215142843694, 0.6125057634705912, 1.0),
        (0.6205106766639509, 0.6189741424017309, 0.6158383417607967, 1.0),
        (0.623862299461208, 0.622333613132911, 0.6191777148380594, 1.0),
        (0.6272217495526115, 0.6257009516987573, 0.6225249009896979, 1.0),
        (0.6339633886626701, 0.632458480253568, 0.6292419666367618, 1.0),
        (0.637344730790933, 0.6358478171202773, 0.6326109992853028, 1.0),
        (0.6407331512665517, 0.6392442647751326, 0.6359870940032012, 1.0),
        (0.644128697727182, 0.642647870178569, 0.6393702975927646, 1.0),
        (0.6509452405110124, 0.6494806387834576, 0.6461620890521664, 1.0),
        (0.6543645413031806, 0.6529080970404894, 0.6495689839578402, 1.0),
        (0.6577911976868459, 0.6563429394235857, 0.6529832133417283, 1.0),
        (0.6612252582674152, 0.6597852138609859, 0.6564048249672773, 1.0),
        (0.6681185471134806, 0.6666950204492558, 0.6632731374913206, 1.0),
        (0.6715772676011302, 0.6701620407069336, 0.6667193303275074, 1.0),
        (0.6750436266693426, 0.6736367241694728, 0.6701731357532019, 1.0),
        (0.678517673996441, 0.6771191198362991, 0.6736346025961091, 1.0),
        (0.685490583067358, 0.6841087989309357, 0.6805822608627878, 1.0),
        (0.6889902152593659, 0.687616852735363, 0.6840692180364434, 1.0),
        (0.6924977753545576, 0.6911328551431065, 0.687564072190608, 1.0),
        (0.6960133142099523, 0.6946568563288202, 0.6910668733210059, 1.0),
        (0.703068780886553, 0.7017293055249039, 0.6980967646835469, 1.0),
        (0.7066108508007372, 0.7052798983395075, 0.7016259863087929, 1.0),
        (0.7101611448678149, 0.7088387320594561, 0.7051633961675597, 1.0),
        (0.7172866142285044, 0.7159813282321918, 0.7122629858555887, 1.0),
        (0.7208618943992978, 0.719565194184362, 0.71582526880799, 1.0),
        (0.7244468165907456, 0.7231587179839266, 0.719397148563149, 1.0),
        (0.7280414152493158, 0.7267619329076519, 0.7229786584068482, 1.0),
        (0.7352564107249326, 0.7339941964502681, 0.7301673497187976, 1.0),
        (0.7388769152586618, 0.7376233513935839, 0.733774637119419, 1.0),
        (0.7425061631603387, 0.7412612596920829, 0.7373906233269836, 1.0),
        (0.7461464606086874, 0.7449102288687008, 0.7410176017144567, 1.0),
        (0.7534542299137884, 0.7522353655092588, 0.7482985885600492, 1.0),
        (0.7571215953297079, 0.7559114248995535, 0.7519524898864893, 1.0),
        (0.7607980221631284, 0.7595965516360116, 0.7556154028404163, 1.0),
        (0.7644843645869689, 0.7632915995427993, 0.7592881761602848, 1.0),
        (0.7718882453269261, 0.7707129043795912, 0.7666647413348012, 1.0),
        (0.7756041540460803, 0.77443752930021, 0.7703669114468018, 1.0),
        (0.7793294514661021, 0.7781715447334472, 0.7740784151337411, 1.0),
        (0.7830641952537597, 0.7819150076262106, 0.777799309126386, 1.0),
        (0.7905668625004234, 0.7894351125938581, 0.7852740763344663, 1.0),
        (0.794333046186906, 0.7932100130488933, 0.7890262187563091, 1.0),
        (0.7981089557544192, 0.796994637012073, 0.7927880264788568, 1.0),
        (0.8018946506826832, 0.8007890432303661, 0.79655955802376, 1.0),
        (0.809498735510421, 0.8084105365473571, 0.804135107432646, 1.0),
        (0.81331697852586, 0.8122374748676888, 0.8079389777476483, 1.0),
        (0.8171452951864402, 0.8160744801984102, 0.8117528555427497, 1.0),
        (0.8209837469106039, 0.8199216132106035, 0.8155768012541027, 1.0),
        (0.8286927840915763, 0.8276479863786951, 0.8232566109078919, 1.0),
        (0.8325649270796638, 0.8315287807573953, 0.8271140202815063, 1.0),
        (0.8364475027756378, 0.8354199968604652, 0.8309817904707685, 1.0),
        (0.8403405746677917, 0.8393216974124768, 0.8348599839552472, 1.0),
        (0.8481584625591254, 0.8471568043142441, 0.8426478922732167, 1.0),
        (0.8520861550384412, 0.8510930816852288, 0.8465604617719047, 1.0),
        (0.8560249024716683, 0.8550403982451368, 0.8504840066608007, 1.0),
        (0.8599745194151317, 0.8589985681043337, 0.8544183422480285, 1.0),
        (0.8679066262857829, 0.8669477290320207, 0.8623196457986929, 1.0),
        (0.8718902314626645, 0.8709398320337273, 0.8662877195686166, 1.0),
        (0.8758871280259101, 0.8749452028944591, 0.8702689853121507, 1.0),
        (0.8798952803818768, 0.8789618087644507, 0.8742614219551689, 1.0),
        (0.8879456264404303, 0.88702899627762, 0.8822800776100529, 1.0),
        (0.8919879580252079, 0.8910797141836339, 0.8863064323430556, 1.0),
        (0.8960441427301344, 0.8951442561280015, 0.8903465328361805, 1.0),
        (0.9001128904953543, 0.8992213337528863, 0.8943990982004267, 1.0),
        (0.908285637729791, 0.9074106609684427, 0.9025392027229122, 1.0),
        (0.9123897802040108, 0.9115230518994157, 0.9066268826559936, 1.0),
        (0.9165062601210144, 0.9156477504829056, 0.9107268012198582, 1.0),
        (0.9206377372962851, 0.919787408960455, 0.9148415959800745, 1.0),
        (0.9289371983431668, 0.9281031383100254, 0.9231073947496014, 1.0),
        (0.9331053306682362, 0.9322793559214043, 0.9272585449078168, 1.0),
        (0.9372858305148154, 0.9364679073285836, 0.9314219603563132, 1.0),
        (0.9414805849385761, 0.9406706735323028, 0.9355995118038627, 1.0),
        (0.9499112324285693, 0.9491172259914931, 0.9439954080097929, 1.0),
        (0.9541456149743491, 0.9533595046046891, 0.9482122537117518, 1.0),
        (0.9583928069476743, 0.9576145538486545, 0.9524417997736037, 1.0),
        (0.9717386353800527, 0.9973777600608619, 0.4115658643585359, 1.0),
        (0.9662006602777348, 0.993726645981926, 0.40232518119581634, 1.0),
        (0.9607627521945551, 0.9900572267174857, 0.3929085929665735, 1.0),
        (0.9554415272451376, 0.9863634202187735, 0.38330208519025977, 1.0),
        (0.945224757475888, 0.9788787426033022, 0.36335720440407554, 1.0),
        (0.9403922547690046, 0.9750651532690909, 0.3529658674736868, 1.0),
        (0.9358012781940933, 0.9711846436929118, 0.3422125309180296, 1.0),
        (0.931521900657607, 0.9672115998149192, 0.33105536171489763, 1.0),
        (0.9243262891934023, 0.9588257749438184, 0.30744835670116216, 1.0),
        (0.9217020058646493, 0.954295165063129, 0.29515795323361943, 1.0),
        (0.919888737046915, 0.9494613758630887, 0.28299330593300415, 1.0),
        (0.9188014423728452, 0.9443342663663614, 0.2716012421636956, 1.0),
        (0.9177841550998648, 0.9335426933786861, 0.25248000016572114, 1.0),
        (0.9174401026070885, 0.9280407871647589, 0.2446155106635522, 1.0),
        (0.9170895513231806, 0.9225221346800715, 0.23759656244455835, 1.0),
        (0.9167020828694254, 0.9170043397013649, 0.23124673824496145, 1.0),
        (0.9157691900066246, 0.9060063912564605, 0.22005713608188132, 1.0),
        (0.9152197058922081, 0.900533802765957, 0.21504179987008742, 1.0),
        (0.9146241645334555, 0.8950779708690549, 0.2103289435929298, 1.0),
        (0.9139711070576974, 0.8896449914470077, 0.20587612376631775, 1.0),
        (0.9125407126803214, 0.8788330083046588, 0.19761251454601503, 1.0),
        (0.9117530169460994, 0.8734600806229882, 0.19374979857114402, 1.0),
        (0.9109311963239964, 0.8681043338417845, 0.19004032765360274, 1.0),
        (0.9100752049629436, 0.8627663273889324, 0.18646838415176775, 1.0),
        (0.9082549005100644, 0.8521478984780773, 0.17968211884884425, 1.0),
        (0.9072929210165844, 0.8468673217860987, 0.17644545029690303, 1.0),
        (0.9063013792870692, 0.8416041433916347, 0.17330194735987925, 1.0),
        (0.9052811273728737, 0.8363582655293055, 0.1702439219249277, 1.0),
        (0.9031581378443196, 0.8259177493137719, 0.16435796802914526, 1.0),
        (0.902057262878912, 0.8207226877358885, 0.1615187200622499, 1.0),
        (0.9009313663687085, 0.8155441018959304, 0.15874211240673433, 1.0),
        (0.8997813459322432, 0.8103817325993177, 0.1560239134014782, 1.0),
        (0.8974123625824063, 0.8001045762385368, 0.15074796136848082, 1.0),
        (0.8961950196441476, 0.7949892523212133, 0.14818373065962578, 1.0),
        (0.8949567873642768, 0.7898890771497077, 0.14566486352871547, 1.0),
        (0.893698371171872, 0.784803791183925, 0.14318884251411537, 1.0),
        (0.8911216151255343, 0.7746778361440715, 0.13835480304030517, 1.0),
        (0.8898020181760183, 0.7696378889985143, 0.1359906608477614, 1.0),
        (0.8884645911096111, 0.7646119206511363, 0.13366106059151575, 1.0),
        (0.8871098774237283, 0.7595996914637695, 0.13136443029268266, 1.0),
        (0.8843505587935225, 0.7496155463925207, 0.12686440488156295, 1.0),
        (0.8829468419986223, 0.7446432050409977, 0.12465844029436216, 1.0),
        (0.881524908551438, 0.7396851204434678, 0.12247764446514017, 1.0),
        (0.8800852120157935, 0.7347410842227018, 0.12032085010229573, 1.0),
        (0.8771622516330287, 0.7248902111580254, 0.11608344566490061, 1.0),
        (0.8756795889485279, 0.7199830249122412, 0.11400110853293868, 1.0),
        (0.874181868847392, 0.7150884618420272, 0.1119405415999486, 1.0),
        (0.872666470131086, 0.710207884512615, 0.10989771859644232, 1.0),
        (0.8695967618761147, 0.7004812035381729, 0.10587692666937212, 1.0),
        (0.8680428176626152, 0.695634824121185, 0.10389774620271444, 1.0),
        (0.8664728647912948, 0.690801466531225, 0.10193436755629554, 1.0),
        (0.8648889520799001, 0.6859800077414488, 0.09998838514326469, 1.0),
    ],
    'cmo.phase': [
        (0.6583083928922511, 0.4699391690315134, 0.049412882039880514, 1.0),
        (0.6643374189373471, 0.46620190085699914, 0.05766473450402212, 1.0),
        (0.6702086925052345, 0.46248013812197347, 0.06534560309537774, 1.0),
        (0.6760429905334627, 0.4586983759956768, 0.07273174322210871, 1.0),
        (0.6817522846284525, 0.45491406518365857, 0.07979261956680192, 1.0),
        (0.6874028047282802, 0.45108416699146164, 0.08667102950867148, 1.0),
        (0.6929504980948593, 0.4472389296506211, 0.09335868960148416, 1.0),
        (0.6984261912087648, 0.44335767859270975, 0.09992839268327722, 1.0),
        (0.703812298103658, 0.43945327623494196, 0.10638710456409153, 1.0),
        (0.7091206923190102, 0.43551765251075164, 0.11277174492526129, 1.0),
        (0.7143452449012381, 0.4315557562030358, 0.11909347894488201, 1.0),
        (0.719492886167469, 0.42756271716942534, 0.12537605909550567, 1.0),
        (0.7245561927479047, 0.42354469712694476, 0.13162325163040184, 1.0),
        (0.7295489482895209, 0.4194909849233816, 0.13786304834928925, 1.0),
        (0.7344517242247445, 0.4154177405103108, 0.1440803933719045, 1.0),
        (0.7392949550641366, 0.41129973270231646, 0.15032217369689652, 1.0),
        (0.7440383351241328, 0.40717157728701464, 0.15654334618457774, 1.0),
        (0.7487369523694535, 0.40298519078153844, 0.1628228161295872, 1.0),
        (0.7533231937521204, 0.3988010690198531, 0.1690756638056753, 1.0),
        (0.757880829458417, 0.39454245113365893, 0.17542179240724645, 1.0),
        (0.7623326022156786, 0.3902809567197497, 0.18175915385304972, 1.0),
        (0.7667320478995348, 0.3859654943537604, 0.18816818750435574, 1.0),
        (0.7710524721820764, 0.3816214148216601, 0.19461531935768323, 1.0),
        (0.7752952778457107, 0.37724732465234423, 0.20110652089453313, 1.0),
        (0.7794866593781552, 0.37281508501003746, 0.20768729536527986, 1.0),
        (0.7835853362619956, 0.3683677247727679, 0.21429736419923312, 1.0),
        (0.7876376313731142, 0.3638539950288946, 0.22101647574769157, 1.0),
        (0.791611338580113, 0.3593080404226161, 0.22779740120972708, 1.0),
        (0.7955060552511122, 0.3547298979176855, 0.23464352602513328, 1.0),
        (0.7993539838133076, 0.350079592948278, 0.24161831934817674, 1.0),
        (0.8031167084780931, 0.3454015163918872, 0.2486589162182154, 1.0),
        (0.8068103261859892, 0.34067452251016733, 0.2558007514596663, 1.0),
        (0.810445204300121, 0.33588248413119826, 0.26307221680712517, 1.0),
        (0.8139968010634673, 0.3310553831960054, 0.27043182607116384, 1.0),
        (0.8174768947816701, 0.326175263767442, 0.27791096190178977, 1.0),
        (0.8208941481936247, 0.32122628895772215, 0.2855384604486081, 1.0),
        (0.8242271261613037, 0.31623619858503127, 0.29327616777754645, 1.0),
        (0.827476613752066, 0.31120154334534605, 0.301133878848415, 1.0),
        (0.830663985673088, 0.306084594050486, 0.30917578518289646, 1.0),
        (0.8337630658888239, 0.3009224359536462, 0.3173492086215453, 1.0),
        (0.8367728587568071, 0.29571346125901293, 0.3256619937531243, 1.0),
        (0.8396969301670654, 0.2904472328682124, 0.33413664977096524, 1.0),
        (0.8425387334318171, 0.28511150769905563, 0.34279961933461794, 1.0),
        (0.8452829693062084, 0.2797291658336165, 0.3516207809735176, 1.0),
        (0.847927041457697, 0.27430045181682494, 0.3606068061808917, 1.0),
        (0.8504679257105772, 0.2688262350691852, 0.369763947698834, 1.0),
        (0.8529105574510704, 0.26328858740389915, 0.3791311611530528, 1.0),
        (0.8552420044048544, 0.2577088839643039, 0.38868216960929264, 1.0),
        (0.8574567263211507, 0.25209366588611076, 0.3984160108673813, 1.0),
        (0.8595502320723124, 0.2464473708549378, 0.4083362533435646, 1.0),
        (0.8615176695665305, 0.24077563495054188, 0.41844557124131065, 1.0),
        (0.8633539245616505, 0.2350852138633326, 0.428746057324096, 1.0),
        (0.8650568452189219, 0.22937287681111934, 0.4392600781097818, 1.0),
        (0.866616063146288, 0.2236630759123472, 0.44996126603895287, 1.0),
        (0.86802577871968, 0.21796785248131656, 0.4608475800597766, 1.0),
        (0.8692800281403406, 0.2123013227323139, 0.4719155444862357, 1.0),
        (0.8703727414475562, 0.20667988075059557, 0.48316015406900364, 1.0),
        (0.8712978068076888, 0.20112239841194773, 0.49457479396024123, 1.0),
        (0.8720491402648608, 0.19565041287438528, 0.5061511790861613, 1.0),
        (0.8726207597696475, 0.19028828890129515, 0.5178793172539123, 1.0),
        (0.8730068619526128, 0.1850633392111823, 0.5297474998646169, 1.0),
        (0.8732018998073338, 0.1800058813906028, 0.5417423233741459, 1.0),
        (0.8732006592202998, 0.17514920497408937, 0.5538487436526325, 1.0),
        (0.8729983321570819, 0.17052941773248295, 0.5660501641838993, 1.0),
        (0.872590584303369, 0.16618513709641022, 0.5783285576821829, 1.0),
        (0.8719736126526836, 0.16215697961969439, 0.5906646606873059, 1.0),
        (0.8711441430703839, 0.15848666807565615, 0.6030388085538075, 1.0),
        (0.8700996606911847, 0.15521686624774564, 0.6154284378630663, 1.0),
        (0.8688382315166472, 0.1523889228568966, 0.6278117548576561, 1.0),
        (0.867358580349129, 0.15004198704342772, 0.6401665059420837, 1.0),
        (0.865660095360936, 0.1482114935188817, 0.652470217110053, 1.0),
        (0.8637428203708293, 0.1469276207331668, 0.6647004334019646, 1.0),
        (0.8616074355850228, 0.14621385657009542, 0.6768349518289993, 1.0),
        (0.8592552279603, 0.14608581817388192, 0.6888520417478361, 1.0),
        (0.8566880526588372, 0.14655046013781461, 0.700730647494751, 1.0),
        (0.8539082940810565, 0.1476057634824318, 0.7124505416663439, 1.0),
        (0.8509188132430276, 0.1492409439214724, 0.7239924974090547, 1.0),
        (0.8477228732160005, 0.15143716720209233, 0.7353384896921373, 1.0),
        (0.8443240935674275, 0.15416865066798288, 0.7464717393223648, 1.0),
        (0.8407263939629992, 0.15740403145530005, 0.7573767829039294, 1.0),
        (0.836933938671934, 0.16110785555201962, 0.7680395184197364, 1.0),
        (0.8329510832270687, 0.16524205278413076, 0.7784472273410005, 1.0),
        (0.8287823240288615, 0.1697672910052525, 0.7885885755886977, 1.0),
        (0.824432251450923, 0.1746441391323516, 0.7984535959358352, 1.0),
        (0.819905506792667, 0.17983400469295277, 0.8080336545530442, 1.0),
        (0.8152067432395496, 0.18529984144062323, 0.8173214043862718, 1.0),
        (0.810340590836927, 0.19100664375724907, 0.8263107279415592, 1.0),
        (0.8053117579051806, 0.19692160106095102, 0.8349964504885767, 1.0),
        (0.8001246695316601, 0.20301465242045108, 0.8433748621071934, 1.0),
        (0.7947836730093801, 0.20925826146364818, 0.8514431956464665, 1.0),
        (0.7892930180385833, 0.21562737371598323, 0.8591995655348122, 1.0),
        (0.7836568069717744, 0.22209935504432815, 0.8666429444356051, 1.0),
        (0.7778789796122015, 0.22865385510890485, 0.8737730828797295, 1.0),
        (0.771963300246596, 0.23527264964650968, 0.8805904299224874, 1.0),
        (0.7659133466040327, 0.24193947353152773, 0.8870960555269299, 1.0),
        (0.7597325004651534, 0.24863985303942493, 0.893291575192643, 1.0),
        (0.7534239396834068, 0.25536094296427164, 0.8991790771963389, 1.0),
        (0.7469906314200031, 0.262091372136689, 0.9047610526867282, 1.0),
        (0.7404353264352246, 0.26882109934189014, 0.9100403287788533, 1.0),
        (0.7337605543192735, 0.2755412805372749, 0.9150200047193098, 1.0),
        (0.7269686195850668, 0.28224414751325927, 0.9197033911407091, 1.0),
        (0.7200615985827201, 0.28892289764367235, 0.9240939523881464, 1.0),
        (0.7130413372306517, 0.2955715940634778, 0.92819525187961, 1.0),
        (0.7059094495911269, 0.30218507543776596, 0.9320109004535764, 1.0),
        (0.698667317348764, 0.3087588744057577, 0.9355445076582962, 1.0),
        (0.6913160902792204, 0.3152891437666023, 0.938799635946597, 1.0),
        (0.6838566878221143, 0.32177258949800003, 0.9417797577558794, 1.0),
        (0.6762898018976057, 0.32820640974839915, 0.9444882154741289, 1.0),
        (0.6686159011300096, 0.33458823900786727, 0.9469281843183132, 1.0),
        (0.6608352366648268, 0.3409160967342457, 0.9491026381806494, 1.0),
        (0.6529478497874137, 0.34718833978522934, 0.9510143185305323, 1.0),
        (0.6449535815726188, 0.35340361808038856, 0.9526657064947889, 1.0),
        (0.6368520848146351, 0.3595608329884161, 0.9540589982761437, 1.0),
        (0.628642838505045, 0.36565909800319735, 0.9551960841088615, 1.0),
        (0.6203251651440073, 0.3716977013375789, 0.9560785309910512, 1.0),
        (0.6118982511841425, 0.3776760701263491, 0.9567075694743777, 1.0),
        (0.6033611709179768, 0.3835937359904362, 0.9570840848332117, 1.0),
        (0.5947129141266446, 0.3894503017735961, 0.9572086129751366, 1.0),
        (0.585952417808383, 0.39524540932155294, 0.9570813414919564, 1.0),
        (0.577078602298499, 0.40097870823262033, 0.9567021162826109, 1.0),
        (0.568090412075643, 0.40664982556891477, 0.9560704542043091, 1.0),
        (0.5589868615201727, 0.41225833657893124, 0.9551855622225308, 1.0),
        (0.5497670858464058, 0.41780373654575836, 0.9540463635305431, 1.0),
        (0.5404303973688802, 0.4232854139404694, 0.9526515310905911, 1.0),
        (0.5309763471805271, 0.4287026251268354, 0.9509995290068892, 1.0),
        (0.5214047922154097, 0.4340544709302418, 0.9490886620701872, 1.0),
        (0.5117159675380546, 0.43933987544904723, 0.9469171337096093, 1.0),
        (0.5019105635439048, 0.4445575675481796, 0.9444831124449269, 1.0),
        (0.49198980757082883, 0.44970606552931464, 0.9417848067474301, 1.0),
        (0.48195554921054734, 0.45478366551593735, 0.9388205479873396, 1.0),
        (0.4718103483745912, 0.4597884341201938, 0.9355888808698556, 1.0),
        (0.46155756491663885, 0.4647182059669867, 0.9320886604427107, 1.0),
        (0.4511980082251949, 0.46957217768390774, 0.9283178636903178, 1.0),
        (0.44073852463160995, 0.47434688193028435, 0.9242766906682317, 1.0),
        (0.43018721919649544, 0.4790386406828319, 0.91996619700194, 1.0),
        (0.41955165904230773, 0.4836443962749995, 0.915387590639723, 1.0),
        (0.40884063310067775, 0.48816093861108617, 0.9105429315654867, 1.0),
        (0.3980642083018061, 0.4925849423947825, 0.9054352272162427, 1.0),
        (0.3872337717548847, 0.4969130108713234, 0.9000685170373873, 1.0),
        (0.37636205649888615, 0.5011417254753422, 0.8944479427537497, 1.0),
        (0.3654612663762429, 0.5052684034325814, 0.8885787674719856, 1.0),
        (0.3545465439790672, 0.5092897968880314, 0.8824681923036011, 1.0),
        (0.3436377931849474, 0.5132015795889635, 0.8761266360928694, 1.0),
        (0.3327530939137686, 0.5170008198204417, 0.8695640864822369, 1.0),
        (0.321911658392526, 0.520684873357803, 0.8627916585616799, 1.0),
        (0.3111337198622898, 0.5242514414427806, 0.8558215206665023, 1.0),
        (0.30044039860937194, 0.5276986238157413, 0.8486667948769512, 1.0),
        (0.28985325663105266, 0.531025054991559, 0.8413412305522999, 1.0),
        (0.27939615942446633, 0.5342293148180887, 0.8338605094653682, 1.0),
        (0.2690918119759745, 0.5373109871573702, 0.8262398418700289, 1.0),
        (0.2589630009926549, 0.5402702010433201, 0.8184947475296583, 1.0),
        (0.249032393162348, 0.5431076290262467, 0.8106408952154366, 1.0),
        (0.23932228995755733, 0.5458244839403564, 0.8026939223701165, 1.0),
        (0.22985663518165034, 0.5484218890000336, 0.7946712158983202, 1.0),
        (0.22065510029448382, 0.5509024141956824, 0.7865870626923799, 1.0),
        (0.2117364094415159, 0.5532690129113548, 0.7784553296976854, 1.0),
        (0.2031184306485468, 0.5555248911915374, 0.7702897347110843, 1.0),
        (0.19481720150351464, 0.5576736467032974, 0.7621031776295353, 1.0),
        (0.1868465966290398, 0.5597192229650958, 0.7539076339343501, 1.0),
        (0.17921798847836348, 0.5616658613090965, 0.7457140662049785, 1.0),
        (0.17194219590204426, 0.5635174702399023, 0.7375349843171632, 1.0),
        (0.16502295126730024, 0.565279153363526, 0.7293775439873285, 1.0),
        (0.15846116028136384, 0.5669560017699032, 0.7212481886261495, 1.0),
        (0.15225499182136804, 0.5685529672520611, 0.7131532051881548, 1.0),
        (0.146398761868151, 0.5700750569206646, 0.7050976866560473, 1.0),
        (0.14088284059082248, 0.5715272914520931, 0.6970855353349069, 1.0),
        (0.1356936625367467, 0.5729146658465781, 0.6891194758268864, 1.0),
        (0.13081385254175798, 0.5742421127377884, 0.6812010763134158, 1.0),
        (0.12622247342933252, 0.5755144682058211, 0.6733307769330967, 1.0),
        (0.12189539380356387, 0.5767364399826563, 0.6655079242329829, 1.0),
        (0.1178065439715534, 0.5779123523036159, 0.6577323260140637, 1.0),
        (0.11392612980090092, 0.5790467957802228, 0.6499998366451626, 1.0),
        (0.11022347823857798, 0.5801439808367225, 0.6423063681141681, 1.0),
        (0.10666732351839703, 0.5812078215483344, 0.6346473314887409, 1.0),
        (0.10322630676442748, 0.582241975777384, 0.6270172879951815, 1.0),
        (0.09986970116659238, 0.5832498248631478, 0.6194100074982555, 1.0),
        (0.09656813269866713, 0.5842344549012296, 0.611818530584514, 1.0),
        (0.09329429206118067, 0.5851986396650793, 0.6042352341768219, 1.0),
        (0.09002364276931535, 0.586144825264033, 0.5966519005456782, 1.0),
        (0.08673514013646366, 0.5870751166646858, 0.5890597894857422, 1.0),
        (0.08341198598223346, 0.5879912662222103, 0.5814497133016775, 1.0),
        (0.08004245400348603, 0.5888946643728963, 0.5738121141059206, 1.0),
        (0.07662083060590932, 0.5897863326271247, 0.5661371427838456, 1.0),
        (0.07314852485397655, 0.5906669189727292, 0.5584147388414824, 1.0),
        (0.06963540714651897, 0.5915366957529474, 0.5506347102299998, 1.0),
        (0.06610143501147561, 0.5923955600227665, 0.5427868121514008, 1.0),
        (0.06257860760091599, 0.5932430363153763, 0.5348608238014407, 1.0),
        (0.05911303759975025, 0.5940783314685344, 0.5268461376019544, 1.0),
        (0.05576765010285393, 0.5949002975004615, 0.5187321979872164, 1.0),
        (0.0526251056542481, 0.5957073200832399, 0.5105097808257538, 1.0),
        (0.04978880680939656, 0.5964975038111671, 0.5021693595319392, 1.0),
        (0.04738319269394733, 0.5972686215557058, 0.49370173617084595, 1.0),
        (0.04555066847662457, 0.5980181252952141, 0.4850980867717663, 1.0),
        (0.04444396189302632, 0.5987431566697055, 0.4763500004038907, 1.0),
        (0.04421322948900235, 0.5994405566877633, 0.4674495124401223, 1.0),
        (0.04498917867710291, 0.6001068740129568, 0.4583891327826853, 1.0),
        (0.04686604485069371, 0.6007383712762072, 0.44916187018490533, 1.0),
        (0.04988979024235476, 0.6013310288983726, 0.4397612541729842, 1.0),
        (0.05405573006313084, 0.6018805543938668, 0.43018120157388623, 1.0),
        (0.05932208540209163, 0.6023828876312082, 0.4204054325617815, 1.0),
        (0.06560773880422716, 0.6028325831369402, 0.41043771560323766, 1.0),
        (0.07281962363892094, 0.6032244155970722, 0.40027362623512114, 1.0),
        (0.08086176781346333, 0.6035528335053932, 0.38990941493548026, 1.0),
        (0.08964365767756552, 0.6038119404209635, 0.3793420777858104, 1.0),
        (0.0990895248697577, 0.6039955435016706, 0.3685641184021282, 1.0),
        (0.10914616863877188, 0.6040969460876762, 0.3575579876882719, 1.0),
        (0.11974118682355764, 0.604108584409422, 0.3463409605502589, 1.0),
        (0.13082746357120548, 0.6040228036354146, 0.3349141605174003, 1.0),
        (0.1423800347596976, 0.6038311914501963, 0.32326699974634865, 1.0),
        (0.1543847008629261, 0.6035242532835118, 0.3113882295486854, 1.0),
        (0.166790927843937, 0.603093006306926, 0.2993102878563658, 1.0),
        (0.17959757419288605, 0.6025266800569213, 0.2870237044475537, 1.0),
        (0.19279965701613425, 0.6018136381688596, 0.2745296424849442, 1.0),
        (0.20634464618640674, 0.6009446614046378, 0.26187940020404166, 1.0),
        (0.22027287297257953, 0.5999042993738278, 0.24904251366451113, 1.0),
        (0.23449833292494948, 0.5986859114745567, 0.23611021569813612, 1.0),
        (0.24904415773141997, 0.5972745984023483, 0.22307780461678145, 1.0),
        (0.26382005888530585, 0.5956665601719514, 0.21004673323692213, 1.0),
        (0.27881039724353673, 0.5938520960352462, 0.19705484268705464, 1.0),
        (0.2939149436021079, 0.591833478386515, 0.18421620557434054, 1.0),
        (0.3090633958032663, 0.5896130197890374, 0.17161942132621294, 1.0),
        (0.32415577011467783, 0.5872013194176191, 0.15937753484657702, 1.0),
        (0.339105898792545, 0.5846116417760637, 0.14759012396579654, 1.0),
        (0.35379624030500506, 0.5818679304916247, 0.13637734051864406, 1.0),
        (0.36817905399347717, 0.5789861015095074, 0.125800541590554, 1.0),
        (0.38215965737899316, 0.5759951191731197, 0.11595039779923114, 1.0),
        (0.3957282445230751, 0.5729092809436007, 0.10685038206747902, 1.0),
        (0.4088192648913888, 0.5697572697905517, 0.09855521202608328, 1.0),
        (0.42148106490356535, 0.5665415862717397, 0.09104002246571416, 1.0),
        (0.43364953345580004, 0.5632929561600927, 0.08434116239111955, 1.0),
        (0.4453890783516751, 0.5600085906382494, 0.0784130544390903, 1.0),
        (0.45672421308536776, 0.5566942951475172, 0.07322913012508131, 1.0),
        (0.46765017076810095, 0.5533637269053324, 0.06876762134759795, 1.0),
        (0.478191378182161, 0.55002130081916, 0.06498435721988444, 1.0),
        (0.4883968612384751, 0.5466619506976901, 0.06182162837413415, 1.0),
        (0.498289239878783, 0.5432873953595327, 0.05922725775013666, 1.0),
        (0.5078911374422869, 0.5398982668933685, 0.05714465998451528, 1.0),
        (0.5172247456455653, 0.5364942872197173, 0.05551476288204022, 1.0),
        (0.5263115025893325, 0.5330744300746458, 0.05427792556635833, 1.0),
        (0.5351718645250625, 0.5296370658817843, 0.05337566853443906, 1.0),
        (0.5438251536372013, 0.5261800887043685, 0.05275207547378854, 1.0),
        (0.5522894663786476, 0.5227010255649304, 0.05235479075452074, 1.0),
        (0.5605816294780568, 0.5191971290183285, 0.05213559944466891, 1.0),
        (0.5687171933168381, 0.5156654540879883, 0.05205062439450064, 1.0),
        (0.576710454772409, 0.5121029206313181, 0.05206020204364426, 1.0),
        (0.5845745037500035, 0.5085063619725217, 0.05212850674796505, 1.0),
        (0.5923212894447654, 0.5048725602928031, 0.05222298774900729, 1.0),
        (0.5999617038945115, 0.5011982688438659, 0.052313669035603104, 1.0),
        (0.6075056816322426, 0.4974802205790659, 0.05237234455720113, 1.0),
        (0.6149623152735116, 0.4937151222923197, 0.052371681824113565, 1.0),
        (0.6223399877334324, 0.48989963282200205, 0.052284226131338644, 1.0),
        (0.6296465225194589, 0.4860303233135513, 0.05208127381405584, 1.0),
        (0.6368893542334475, 0.48210361694261333, 0.051731552325491516, 1.0),
        (0.6440757220432394, 0.47811570490811256, 0.051199600768237395, 1.0),
        (0.6512128893528151, 0.47406243501266315, 0.050443674787602345, 1.0),
        (0.6583083928921536, 0.4699391690315525, 0.04941288204103298, 1.0),
    ],
    'cmo.rain': [
        (0.9345899218079473, 0.9308468535401924, 0.9527121598234155, 1.0),
        (0.931742738414713, 0.9265559169859566, 0.946141284711219, 1.0),
        (0.9288323151212234, 0.9222903185306414, 0.9397258851930317, 1.0),
        (0.9259014656554977, 0.9180422099085187, 0.9333811647328228, 1.0),
        (0.9229490910874459, 0.9138118271011794, 0.9271087656276951, 1.0),
        (0.9199777474389575, 0.9095987388769878, 0.9209029155030628, 1.0),
        (0.9169834318717225, 0.9054037550731951, 0.9147707495523474, 1.0),
        (0.9139687227512254, 0.9012264798371935, 0.9087060404880972, 1.0),
        (0.9109285940266573, 0.8970679577253415, 0.9027176878689185, 1.0),
        (0.9078584183128727, 0.8929291295619989, 0.8968142426813552, 1.0),
        (0.9047531063535361, 0.8888107271516732, 0.8910081776220351, 1.0),
        (0.9016111241776751, 0.8847109979588537, 0.8853222084733924, 1.0),
        (0.898477360002018, 0.8806072441106347, 0.8798005863890318, 1.0),
        (0.8957156578807984, 0.8763733055795924, 0.8742439953591308, 1.0),
        (0.8934429895784954, 0.8720376849990935, 0.8679132827136474, 1.0),
        (0.891186228943021, 0.8677553071034195, 0.8611451293770118, 1.0),
        (0.8889359451831089, 0.8635014856893418, 0.8542095914675653, 1.0),
        (0.8867116938006094, 0.8592609509355686, 0.8471741066544886, 1.0),
        (0.8845266087736633, 0.8550269405833544, 0.8400488385945689, 1.0),
        (0.8823737459191345, 0.8507991274319443, 0.8328611900775441, 1.0),
        (0.8802551767793975, 0.8465759973509723, 0.8256144073735602, 1.0),
        (0.8781723156295015, 0.8423565112404021, 0.818309618259335, 1.0),
        (0.8761185057025143, 0.838141560971893, 0.8109618862038079, 1.0),
        (0.8740930473614692, 0.8339308508975333, 0.803573968831924, 1.0),
        (0.8720952068860511, 0.829724154312081, 0.796148116273623, 1.0),
        (0.8701280658536796, 0.8255204305809771, 0.7886787238448927, 1.0),
        (0.8681860361945246, 0.8213205960844648, 0.7811769076946536, 1.0),
        (0.8662688819092574, 0.8171244030607884, 0.7736431720476376, 1.0),
        (0.8643746025935313, 0.8129320197586197, 0.7660813810727765, 1.0),
        (0.8625034879855904, 0.8087431068747143, 0.758490782985533, 1.0),
        (0.860654614720654, 0.8045576097831968, 0.7508729509413731, 1.0),
        (0.8588266729702948, 0.8003755742930239, 0.743230183840929, 1.0),
        (0.8569623869913149, 0.7962191366375534, 0.7355859431728856, 1.0),
        (0.8550504938518291, 0.7920970771858082, 0.7278998746292554, 1.0),
        (0.8530849581648412, 0.7880123772917803, 0.7201683837184544, 1.0),
        (0.8510553489556228, 0.7839691860217245, 0.7123959661845171, 1.0),
        (0.8489330228346509, 0.7799787143731991, 0.7045972788504088, 1.0),
        (0.846721708786704, 0.7760402896946996, 0.6967642500138358, 1.0),
        (0.8444094675146764, 0.7721590919106837, 0.6888992560450724, 1.0),
        (0.8419826946126204, 0.7683408791881059, 0.6810067521686843, 1.0),
        (0.8393858369850138, 0.7646065720377732, 0.6731281946153443, 1.0),
        (0.836634626196066, 0.7609512703952115, 0.6652451363576847, 1.0),
        (0.833684474704683, 0.7573915193569475, 0.6573955009267003, 1.0),
        (0.8305100496696308, 0.7539367518776275, 0.649602542901422, 1.0),
        (0.827079559552256, 0.7505979386186599, 0.6419039537235262, 1.0),
        (0.8233795339766563, 0.7473786068829111, 0.6343290132703457, 1.0),
        (0.8193527781515338, 0.7442973494709733, 0.6269543660928613, 1.0),
        (0.8150187381418862, 0.7413436869430644, 0.6197992186956774, 1.0),
        (0.8103671933740644, 0.738517199952361, 0.6129154791955783, 1.0),
        (0.8053792270659873, 0.7358201042585072, 0.6063662921639977, 1.0),
        (0.8001091487009976, 0.7332281055474541, 0.6001460682932165, 1.0),
        (0.7945789023747689, 0.7307291829728559, 0.5942715305031909, 1.0),
        (0.7888006960769627, 0.7283155171589156, 0.5887591680450798, 1.0),
        (0.7828500773466387, 0.725957537453032, 0.5835578074632413, 1.0),
        (0.7767061505166656, 0.7236609437130247, 0.5786949863565323, 1.0),
        (0.7704515166608619, 0.721395284120919, 0.574098508212805, 1.0),
        (0.7640735967706561, 0.719164434187353, 0.5697767469661422, 1.0),
        (0.7576101573082332, 0.7169548408227417, 0.5656900597267851, 1.0),
        (0.7510868163729492, 0.7147576249864891, 0.561807626772297, 1.0),
        (0.744507329192826, 0.7125716412063957, 0.5581177337866775, 1.0),
        (0.7378726341804961, 0.7103967525656293, 0.5546105609434752, 1.0),
        (0.731207962281154, 0.708224774023584, 0.5512528292120719, 1.0),
        (0.7245223864166319, 0.7060527915800671, 0.5480303444985812, 1.0),
        (0.7178179126910454, 0.7038807344069458, 0.5449299707841194, 1.0),
        (0.7111005957174849, 0.7017068393561574, 0.5419396078954505, 1.0),
        (0.7043748082863551, 0.6995299965106114, 0.5390480504976656, 1.0),
        (0.697642884154077, 0.6973498542230505, 0.5362451349156008, 1.0),
        (0.6909082389019516, 0.6951656049847189, 0.5335213672589386, 1.0),
        (0.6841729694681117, 0.6929769158960692, 0.5308681129719833, 1.0),
        (0.6774389689374404, 0.6907834967201277, 0.5282774232028493, 1.0),
        (0.6707084440130519, 0.6885849153944832, 0.5257418638258783, 1.0),
        (0.6639830918601468, 0.6863809064730829, 0.5232546086946955, 1.0),
        (0.6572628938239017, 0.6841717926007405, 0.520809705729557, 1.0),
        (0.6505310175956583, 0.6819627798840676, 0.5184181252103759, 1.0),
        (0.6438052208637921, 0.6797486679084567, 0.5160591646972286, 1.0),
        (0.6370832823378153, 0.6775304469295674, 0.5137285370282343, 1.0),
        (0.6303705085075786, 0.6753064791862327, 0.5114205507376849, 1.0),
        (0.6236618961603839, 0.6730786409287115, 0.5091324121853675, 1.0),
        (0.6169335288716589, 0.6708537547863058, 0.5068827462564762, 1.0),
        (0.6102104324218552, 0.6686246254359064, 0.504646275717412, 1.0),
        (0.6034898306929903, 0.666392266543151, 0.5024201930501222, 1.0),
        (0.5967676345670764, 0.6641578140003114, 0.5002054482667135, 1.0),
        (0.590023433075533, 0.6619267690502547, 0.49801752940014105, 1.0),
        (0.5832786395653163, 0.6596933136673573, 0.4958328661006339, 1.0),
        (0.5765340663187056, 0.6574571405303393, 0.49364899527599465, 1.0),
        (0.5697582662671994, 0.6552266499575032, 0.4914884851056534, 1.0),
        (0.5629730101905379, 0.6529958318145388, 0.4893302200215371, 1.0),
        (0.5561847270851512, 0.650762782941935, 0.48716782083834503, 1.0),
        (0.549355109730718, 0.6485375215149538, 0.4850265872147695, 1.0),
        (0.5425256305514832, 0.6463076874918683, 0.48288871719200294, 1.0),
        (0.5356612977693597, 0.6440835181737865, 0.48075997219852257, 1.0),
        (0.5287922197832997, 0.641853656064127, 0.4786600904179345, 1.0),
        (0.5218850344197894, 0.6396291731218472, 0.4765733407479102, 1.0),
        (0.5149376539505707, 0.6374099915253576, 0.47450062442258684, 1.0),
        (0.5079766080089845, 0.6351862479551419, 0.4724595195428232, 1.0),
        (0.500975543156577, 0.6329662155198152, 0.47043781626460607, 1.0),
        (0.49392853117796937, 0.6307509252620584, 0.46843567275217496, 1.0),
        (0.4868490205117793, 0.6285349533886432, 0.466464284532308, 1.0),
        (0.4797346535241335, 0.6263183759111614, 0.4645235778249864, 1.0),
        (0.47256844625404465, 0.6241056609282084, 0.46260847969771607, 1.0),
        (0.46534874838217327, 0.6218962626011749, 0.46072117782968275, 1.0),
        (0.45809583046026175, 0.6196828431511897, 0.45887521793289093, 1.0),
        (0.45079245988091127, 0.6174698402959369, 0.45706411852079337, 1.0),
        (0.4434287999890614, 0.6152589986197224, 0.4552877084880677, 1.0),
        (0.43600454830202834, 0.613049273371432, 0.4535480340189612, 1.0),
        (0.42852548679933494, 0.6108377350391323, 0.45185156777835794, 1.0),
        (0.4209986373257934, 0.6086212623350139, 0.4502044135688367, 1.0),
        (0.4134050226321455, 0.6064040523424363, 0.44860121735518294, 1.0),
        (0.40574422949572875, 0.604184941217646, 0.44704423747036653, 1.0),
        (0.39801038049813847, 0.6019638983605486, 0.4455375274544488, 1.0),
        (0.390206340654905, 0.599738956793731, 0.44408244035867983, 1.0),
        (0.3823330219069303, 0.5975084478594808, 0.44268276922744043, 1.0),
        (0.37439948202344664, 0.5952685939479633, 0.44134640893732885, 1.0),
        (0.366389534285832, 0.5930221303804211, 0.44006950636245173, 1.0),
        (0.3583027331816978, 0.5907676584219552, 0.43885458406752315, 1.0),
        (0.3501387968837356, 0.5885037242420277, 0.43770413226646365, 1.0),
        (0.34189743181174304, 0.5862288538856508, 0.4366206692939141, 1.0),
        (0.3335788357145263, 0.583941467159628, 0.4356065575056939, 1.0),
        (0.32518331669339084, 0.5816399536413853, 0.4346641338993996, 1.0),
        (0.3167127839080131, 0.5793224392963164, 0.4337951239114764, 1.0),
        (0.3081690890879108, 0.5769870856598144, 0.4330012470667767, 1.0),
        (0.2995554017471689, 0.5746318865559507, 0.43228366192585566, 1.0),
        (0.29087493266266845, 0.5722548869131894, 0.43164345906302437, 1.0),
        (0.282131760355553, 0.5698540727656977, 0.43108131892137636, 1.0),
        (0.27333271327029734, 0.5674271544637527, 0.43059665575253914, 1.0),
        (0.26448445436627566, 0.5649720080402284, 0.43018882989315893, 1.0),
        (0.2555934335426426, 0.5624866759386734, 0.42985720858575266, 1.0),
        (0.24667057521058527, 0.5599688410786282, 0.4295989836123562, 1.0),
        (0.23772509690655058, 0.5574166090031631, 0.4294119794031988, 1.0),
        (0.22879742885053272, 0.5548237349096722, 0.429297658162865, 1.0),
        (0.21987784687748685, 0.5521921840191844, 0.4292473634163983, 1.0),
        (0.21097824283795596, 0.5495207384038701, 0.4292558006274434, 1.0),
        (0.2021129920761091, 0.5468081421831656, 0.4293174959448664, 1.0),
        (0.19329708402895246, 0.5440534055393755, 0.4294264526279762, 1.0),
        (0.1845458994968318, 0.5412558313792092, 0.4295762645205056, 1.0),
        (0.1758747242186788, 0.5384150471574242, 0.4297604082769523, 1.0),
        (0.1672992650076767, 0.5355309682751768, 0.429971906601375, 1.0),
        (0.1588637533307954, 0.532600715263879, 0.430207766409121, 1.0),
        (0.1505683016211287, 0.5296267950764183, 0.43045864876047885, 1.0),
        (0.14241225595237272, 0.5266116064108817, 0.43071706321166997, 1.0),
        (0.13440858907949443, 0.5235562755642497, 0.4309766346935359, 1.0),
        (0.12656906270702473, 0.5204621553185741, 0.4312317121888489, 1.0),
        (0.11890420237046753, 0.517330766976975, 0.43147760380015926, 1.0),
        (0.1114246335252623, 0.514163786385626, 0.4317091179175961, 1.0),
        (0.10413966301074401, 0.5109629971472294, 0.4319221604647226, 1.0),
        (0.09705780332103112, 0.5077302369436778, 0.4321134999997185, 1.0),
        (0.09018737534593763, 0.5044674058535019, 0.432279914826446, 1.0),
        (0.08353621797943017, 0.5011764305824177, 0.4324186435951989, 1.0),
        (0.07711177607780978, 0.49785924469388726, 0.43252733264174426, 1.0),
        (0.07092118659398483, 0.4945177606318419, 0.43260410974831953, 1.0),
        (0.06497112946544478, 0.4911539160136639, 0.4326469613219919, 1.0),
        (0.05926836252985792, 0.4877695081001428, 0.4326551664213394, 1.0),
        (0.05381952845223608, 0.48436631418654214, 0.43262790594711026, 1.0),
        (0.04863121397792259, 0.4809460446320443, 0.4325646545440975, 1.0),
        (0.04370962682231178, 0.477510364843511, 0.43246496417759006, 1.0),
        (0.03905112341714593, 0.4740608794693825, 0.4323285604649403, 1.0),
        (0.03496888770654412, 0.4705940487017963, 0.43215826698396476, 1.0),
        (0.03143475353593023, 0.4671148853349996, 0.431956951018678, 1.0),
        (0.028229390815793766, 0.46363108616342735, 0.43172284542360917, 1.0),
        (0.025323169222577335, 0.46014293448857607, 0.4314611817794064, 1.0),
        (0.0227162119649653, 0.4566502451321696, 0.43117049163688287, 1.0),
        (0.020410219097073325, 0.4531526976651162, 0.4308500436842362, 1.0),
        (0.0184075033219809, 0.4496499166924271, 0.43049932868118246, 1.0),
        (0.0167294831645798, 0.446140897080685, 0.4301165746135667, 1.0),
        (0.01538958862814013, 0.44262499943534905, 0.4296990539873295, 1.0),
        (0.014354130706447888, 0.43910287507713874, 0.4292495981309879, 1.0),
        (0.013624742632310451, 0.43557415633910845, 0.4287674174473046, 1.0),
        (0.013202772098361267, 0.4320384817616972, 0.42825164634713947, 1.0),
        (0.013089810225247885, 0.42849545827004143, 0.4277015087056334, 1.0),
        (0.013286042615980653, 0.42494477446482226, 0.4271158498149437, 1.0),
        (0.013791625561892692, 0.42138610281270944, 0.4264935743343106, 1.0),
        (0.014606019435398467, 0.41781914474404613, 0.425833470552741, 1.0),
        (0.015728296839015606, 0.4142436086986017, 0.42513430958060483, 1.0),
        (0.01715690277980159, 0.4106592256461835, 0.4243947975574931, 1.0),
        (0.018889872115947073, 0.4070657340951429, 0.42361363906276595, 1.0),
        (0.020923928601843885, 0.40346293891236695, 0.42278935630251147, 1.0),
        (0.02325551642690238, 0.39985064285532407, 0.42192053490327264, 1.0),
        (0.025879768640116152, 0.3962287140215078, 0.42100562397757985, 1.0),
        (0.028791904330750566, 0.39259699510037277, 0.4200432223313694, 1.0),
        (0.03198535565039071, 0.38895542513229026, 0.41903173511729536, 1.0),
        (0.03545196060096311, 0.38530402663549823, 0.417969456130011, 1.0),
        (0.03918323414610009, 0.3816428245764515, 0.41685480334196023, 1.0),
        (0.043074135222815675, 0.37797183755482033, 0.4156863315515785, 1.0),
        (0.0469717659843854, 0.3742911911603021, 0.4144624688814932, 1.0),
        (0.050869692323741146, 0.3706011159074634, 0.413181567657579, 1.0),
        (0.05475506718563924, 0.36690182297468377, 0.4118421970922833, 1.0),
        (0.058617184506567964, 0.36319354274201493, 0.41044304790711766, 1.0),
        (0.0624448644708081, 0.35947671573854045, 0.40898258206351373, 1.0),
        (0.06623026614707037, 0.3557516605834906, 0.4074596950461943, 1.0),
        (0.06998642301215993, 0.35201780040918507, 0.40586827970372497, 1.0),
        (0.07368349105094932, 0.34827668319247745, 0.4042119944889063, 1.0),
        (0.07731558236370642, 0.3445288253637412, 0.40249008814311155, 1.0),
        (0.0808767621017338, 0.3407748586458359, 0.40070180834834945, 1.0),
        (0.08436223121714692, 0.3370153951525706, 0.398846643633653, 1.0),
        (0.0877675067066769, 0.33325109765498856, 0.39692422401381167, 1.0),
        (0.09108869400118913, 0.3294826406371676, 0.3949343703704464, 1.0),
        (0.09432201977980476, 0.3257107550258697, 0.39287704415877356, 1.0),
        (0.0974646955542881, 0.3219361155964275, 0.3907524596946261, 1.0),
        (0.10051370656609479, 0.31815947853665777, 0.3885609392070024, 1.0),
        (0.10346678291028258, 0.3143815541170877, 0.38630302995651644, 1.0),
        (0.10632342620843846, 0.31060292245718046, 0.3839789892033815, 1.0),
        (0.10908867743315545, 0.3068237947954854, 0.3815863917579841, 1.0),
        (0.11175168291660995, 0.30304552959720527, 0.37913036429577707, 1.0),
        (0.11431165672019938, 0.29926876639194905, 0.3766121406045499, 1.0),
        (0.11676701451146035, 0.295494281926578, 0.3740330281243106, 1.0),
        (0.11911809723805108, 0.29172257369227833, 0.3713945692144457, 1.0),
        (0.12136487354532083, 0.28795419370066566, 0.3686983734293432, 1.0),
        (0.1235072626972245, 0.2841897016932966, 0.3659461400710486, 1.0),
        (0.12554501729778328, 0.28042968561576703, 0.3631396556775801, 1.0),
        (0.12747933536620318, 0.2766744826581495, 0.3602808188600382, 1.0),
        (0.12931087799065968, 0.2729245043006408, 0.35737156535643416, 1.0),
        (0.13104047143079087, 0.2691801184313954, 0.354413883921013, 1.0),
        (0.1326690608188904, 0.26544165441554823, 0.35140980533563676, 1.0),
        (0.13419778708564495, 0.26170938584250836, 0.3483613905337878, 1.0),
        (0.13562766019539876, 0.25798359000913096, 0.3452707288070075, 1.0),
        (0.136960035305262, 0.2542644558590421, 0.3421399178935836, 1.0),
        (0.13819653718412528, 0.25055209241839044, 0.33897104655132243, 1.0),
        (0.1393387446776408, 0.24684658847869861, 0.335766197790428, 1.0),
        (0.14038813220969315, 0.2431480256484742, 0.33252745171139714, 1.0),
        (0.14134636442644347, 0.23945641730260692, 0.3292568607367299, 1.0),
        (0.14221502044928078, 0.2357717647764656, 0.3259564633033559, 1.0),
        (0.14302414118726278, 0.2320878753057155, 0.3226241875019154, 1.0),
        (0.1437206808568329, 0.2284105260214233, 0.3193108148264102, 1.0),
        (0.14431671835676566, 0.2247376722352139, 0.31601603216127405, 1.0),
        (0.14481722341229508, 0.2210687136739123, 0.31274019805445513, 1.0),
        (0.14522703375539442, 0.21740297995439434, 0.30948364657963884, 1.0),
        (0.14555033037535292, 0.2137398650159642, 0.3062467330039464, 1.0),
        (0.1457916124736328, 0.21007859291290887, 0.3030297495827783, 1.0),
        (0.14595538441050188, 0.2064182886269751, 0.29983296009533206, 1.0),
        (0.14604507383418025, 0.20275826838557887, 0.2966566757283219, 1.0),
        (0.1460639705951699, 0.19909781055348752, 0.29350117203429793, 1.0),
        (0.14601320398060322, 0.19543673330802724, 0.290366787523127, 1.0),
        (0.14589758193929817, 0.19177376430902393, 0.2872535927880979, 1.0),
        (0.1457218019293262, 0.18810754225492246, 0.2841616643549852, 1.0),
        (0.14548876459212592, 0.18443712985760893, 0.2810911343097462, 1.0),
        (0.14520325434463, 0.18076092025446333, 0.2780420590388025, 1.0),
        (0.14486760441017554, 0.17707795110054217, 0.27501454179290563, 1.0),
        (0.14447802199435267, 0.17338920085681755, 0.2720086027887532, 1.0),
        (0.14404134313284228, 0.16969218488383503, 0.26902410398392235, 1.0),
        (0.14356439750935188, 0.16598419141101556, 0.26606104279357096, 1.0),
        (0.14304362389882902, 0.1622659427289602, 0.26311918196243356, 1.0),
        (0.14248205691424895, 0.1585358695252926, 0.2601982981359077, 1.0),
        (0.14188694303408558, 0.15479069859329245, 0.2572984244859991, 1.0),
        (0.14125042558783996, 0.15103262358403036, 0.25441868799295286, 1.0),
        (0.1405847553781911, 0.1472562100690702, 0.25155943670769404, 1.0),
        (0.13988669554068794, 0.1434617145934828, 0.24871996830623588, 1.0),
        (0.13915555529909018, 0.13964840412066312, 0.24589958741498052, 1.0),
        (0.13839723702891563, 0.1358126929549586, 0.2430982825013352, 1.0),
        (0.137611989916921, 0.13195309745853034, 0.24031547068164855, 1.0),
        (0.13680129145379505, 0.12806744621391336, 0.23755068530821483, 1.0),
        (0.1359688085852649, 0.12415233476474422, 0.2348038243218179, 1.0),
        (0.13510796662637145, 0.12020886382879853, 0.23207310978595225, 1.0),
        (0.13422945271491193, 0.11622982744550284, 0.2293596493763066, 1.0),
        (0.13333401740812906, 0.11221217675952075, 0.22666305655505464, 1.0),
        (0.13242493999560054, 0.10815118050790395, 0.22398350243480042, 1.0),
        (0.13157215619400367, 0.10400555906405462, 0.22133636693738928, 1.0),
    ],
    'cmo.solar': [
        (0.20142509978339596, 0.07730778455372403, 0.09342024025258441, 1.0),
        (0.2062319592710875, 0.07906207768979726, 0.0954160607199892, 1.0),
        (0.21104288928844367, 0.08079536357043612, 0.09737846202556905, 1.0),
        (0.21585808229568076, 0.0825080620322623, 0.09930725029816906, 1.0),
        (0.22067771037833434, 0.08420058748958639, 0.10120220636674779, 1.0),
        (0.22550195828855651, 0.08587332122435218, 0.1030630633154645, 1.0),
        (0.23033109096236976, 0.08752655129320325, 0.10488945583903528, 1.0),
        (0.23516512449149574, 0.08916077192669072, 0.10668115675893511, 1.0),
        (0.2400041538413339, 0.09077639059472936, 0.10843784768675652, 1.0),
        (0.24484825424691725, 0.0923738181398808, 0.11015918803242933, 1.0),
        (0.2496974811012196, 0.0939534705239238, 0.11184481555981893, 1.0),
        (0.2545518697677066, 0.09551577058896976, 0.11349434692659982, 1.0),
        (0.25941143532016736, 0.09706114983944272, 0.1151073782157038, 1.0),
        (0.264276172212543, 0.09859005025060077, 0.11668348546544463, 1.0),
        (0.26914605388122553, 0.10010292610863289, 0.11822222520527409, 1.0),
        (0.274021032282114, 0.10160024588671451, 0.11972313500403775, 1.0),
        (0.27890103736459493, 0.10308249416073148, 0.12118573403754113, 1.0),
        (0.28378597648455317, 0.1045501735676683, 0.1226095236822268, 1.0),
        (0.288675733758515, 0.10600380680888982, 0.12399398814177381, 1.0),
        (0.29357055962665524, 0.10744355920473259, 0.12533821802107217, 1.0),
        (0.29847081230161276, 0.10886948326835888, 0.1266411225341654, 1.0),
        (0.3033754705455499, 0.11028297760402195, 0.12790291577675916, 1.0),
        (0.3082843160981594, 0.11168466706155139, 0.12912301384353686, 1.0),
        (0.31319710296718656, 0.11307520782897981, 0.1303008196341493, 1.0),
        (0.3181135564546491, 0.1144552897453309, 0.13143572387096988, 1.0),
        (0.32303375940169016, 0.11582525119247819, 0.13252667627257145, 1.0),
        (0.3279584359813158, 0.11718478671049504, 0.13357181102386587, 1.0),
        (0.33288584148568934, 0.11853607311571729, 0.13457197257689377, 1.0),
        (0.33781557082458713, 0.11987996350362376, 0.13552650975142372, 1.0),
        (0.34274718422506784, 0.12121735735165037, 0.13643476622333509, 1.0),
        (0.34768176765689146, 0.12254760801309794, 0.1372941239039429, 1.0),
        (0.3526179187878999, 0.1238726093833323, 0.13810491563926516, 1.0),
        (0.35755445704985195, 0.12519405579125398, 0.13886723866025652, 1.0),
        (0.36249085114647767, 0.12651299597084376, 0.13958034188547497, 1.0),
        (0.3674287950126608, 0.1278281902872999, 0.14024031928378672, 1.0),
        (0.37236522459126536, 0.12914332839785428, 0.14084965590250983, 1.0),
        (0.3772994043575394, 0.13045972303789496, 0.14140771908791472, 1.0),
        (0.3822328244976108, 0.1317763828069311, 0.1419104659088264, 1.0),
        (0.3871627501840784, 0.13309673290730561, 0.14235996772822732, 1.0),
        (0.3920880611619059, 0.1344225444091708, 0.14275598296936395, 1.0),
        (0.3970102845366912, 0.1357528321160994, 0.14309390470587963, 1.0),
        (0.40192579080296476, 0.13709203354589128, 0.1433773252895977, 1.0),
        (0.4068349561616131, 0.13844040822207557, 0.14360330490253082, 1.0),
        (0.4117365731263126, 0.1397998954736641, 0.14377140123784765, 1.0),
        (0.41662859550205195, 0.1411733354490504, 0.14388269478630267, 1.0),
        (0.42151154649274847, 0.14256088427165134, 0.14393347934541428, 1.0),
        (0.4263818625509953, 0.14396700745416913, 0.14392769128481042, 1.0),
        (0.43124081811444076, 0.1453911021832319, 0.14385986065138834, 1.0),
        (0.4360843175580979, 0.1468382080621888, 0.14373520701067508, 1.0),
        (0.44091333990410386, 0.1483080544589622, 0.14354848920332627, 1.0),
        (0.44572406205023357, 0.1498053889889407, 0.14330472026717547, 1.0),
        (0.4505169861034231, 0.1513304477119506, 0.14299935588979007, 1.0),
        (0.45528866783386385, 0.1528875528172431, 0.14263694472116245, 1.0),
        (0.46003870727491286, 0.15447785830656802, 0.1422148901612839, 1.0),
        (0.46476456690513684, 0.15610469323825324, 0.1417359354431781, 1.0),
        (0.4694647696847664, 0.1577702615986553, 0.14120030463281436, 1.0),
        (0.47413774607368825, 0.15947682441790928, 0.14060852353724862, 1.0),
        (0.47878116358107, 0.1612273475797828, 0.13996359537410713, 1.0),
        (0.48339403921964325, 0.16302339602587565, 0.13926467885684343, 1.0),
        (0.48797400804053465, 0.16486782107194164, 0.1385155272254654, 1.0),
        (0.4925195693223419, 0.16676253875604496, 0.13771754804851333, 1.0),
        (0.4970292850743541, 0.1687093212494573, 0.13687220452880053, 1.0),
        (0.5015013418271375, 0.17071018505354912, 0.13598285247774317, 1.0),
        (0.5059344608615838, 0.17276653787292737, 0.13505133488295074, 1.0),
        (0.5103272555076002, 0.1748797680652767, 0.1340804814887888, 1.0),
        (0.5146784999821306, 0.17705099260663987, 0.13307310306687356, 1.0),
        (0.5189871207659748, 0.1792810660321904, 0.13203201706253026, 1.0),
        (0.523252162801323, 0.18157060813035572, 0.13096023978686738, 1.0),
        (0.527472914539948, 0.18391991444448128, 0.12986023503510422, 1.0),
        (0.5316485781433754, 0.18632919444334814, 0.12873602151072178, 1.0),
        (0.5357788119794711, 0.18879820033176903, 0.12758961516177264, 1.0),
        (0.5398632980453529, 0.1913265486380362, 0.12642368870324858, 1.0),
        (0.5439016755531911, 0.1939137144580994, 0.12524273882608353, 1.0),
        (0.5478941342086204, 0.19655878570986346, 0.1240472431523339, 1.0),
        (0.5518406011876046, 0.1992608233247843, 0.12284162872245952, 1.0),
        (0.555741360477756, 0.20201864341060954, 0.12162767883002659, 1.0),
        (0.5595967825163993, 0.20483097403117279, 0.12040676415904134, 1.0),
        (0.5634071785471536, 0.2076963248023982, 0.11918391723183733, 1.0),
        (0.5671732069794859, 0.21061334477761867, 0.1179569341314256, 1.0),
        (0.570895350247551, 0.21358017496689524, 0.11673317500313826, 1.0),
        (0.5745743340603018, 0.21659552977404162, 0.11550868349509749, 1.0),
        (0.5782108774062354, 0.2196573476346848, 0.11429033836691277, 1.0),
        (0.5818056681759461, 0.22276439172751128, 0.11307452977345442, 1.0),
        (0.585359632424783, 0.22591443687853902, 0.11186793462439812, 1.0),
        (0.5888733531729506, 0.22910649778325143, 0.11066570611746529, 1.0),
        (0.5923480147332496, 0.23233801426371692, 0.10947622670368401, 1.0),
        (0.5957840241257978, 0.23560836432854515, 0.10829302074153305, 1.0),
        (0.5991826510896112, 0.23891505357584208, 0.10712339897651113, 1.0),
        (0.6025444033584952, 0.24225720790850225, 0.1059638000704014, 1.0),
        (0.6058701491001592, 0.24563324094920813, 0.1048158025498839, 1.0),
        (0.6091610396494541, 0.24904116366004497, 0.103683208302357, 1.0),
        (0.6124172967183565, 0.25248056554966597, 0.10256139627271957, 1.0),
        (0.6156402174450264, 0.2559493015306805, 0.10145541363201463, 1.0),
        (0.6188304674185853, 0.25944629464232644, 0.10036478583811975, 1.0),
        (0.6219883549579364, 0.26297098819122583, 0.09928701461787995, 1.0),
        (0.6251150949354874, 0.26652151964171683, 0.09822607331815666, 1.0),
        (0.6282114705640687, 0.2700967151118268, 0.09718275325572381, 1.0),
        (0.6312775931157123, 0.2736963322450938, 0.09615407260814299, 1.0),
        (0.6343140968307461, 0.2773194022482146, 0.0951406252405616, 1.0),
        (0.6373225940474544, 0.2809637253536655, 0.09414820920814793, 1.0),
        (0.6403029049301644, 0.2846294803262618, 0.09317287627515625, 1.0),
        (0.643255450314677, 0.2883160464262431, 0.09221435672465167, 1.0),
        (0.6461807870545832, 0.2920226445998113, 0.09127322088316059, 1.0),
        (0.6490798649799141, 0.2957480457349839, 0.09035190862912848, 1.0),
        (0.6519534890851086, 0.2994912417888541, 0.0894520780451177, 1.0),
        (0.6548014840508611, 0.3032523985397312, 0.08857115779395228, 1.0),
        (0.6576243271404891, 0.30703090306660963, 0.08770973119670061, 1.0),
        (0.6604224780876139, 0.31082617808442475, 0.08686839073952235, 1.0),
        (0.6631963792788751, 0.31463768049821594, 0.08604773901491819, 1.0),
        (0.6659464950830154, 0.31846485711823985, 0.08524854019761693, 1.0),
        (0.6686740068110079, 0.3223063950997894, 0.0844743190891965, 1.0),
        (0.6713784685540788, 0.3261627733896343, 0.08372242463404078, 1.0),
        (0.6740602498156744, 0.3300335755312563, 0.08299350184989945, 1.0),
        (0.6767197045307956, 0.33391841175629067, 0.08228820834254705, 1.0),
        (0.6793571714405546, 0.3378169176731946, 0.08160721412236313, 1.0),
        (0.681972974480738, 0.3417287529939577, 0.08095120122856311, 1.0),
        (0.684567423180977, 0.3456536003014258, 0.08032086315939044, 1.0),
        (0.6871408130714994, 0.3495911638591582, 0.0797169041072624, 1.0),
        (0.6896934260947394, 0.35354116846514, 0.07914003799874758, 1.0),
        (0.6922255310194273, 0.35750335835017155, 0.07859098734029027, 1.0),
        (0.6947373838550107, 0.36147749612133784, 0.0780704818718305, 1.0),
        (0.6972292282645525, 0.36546336175057986, 0.07757925703187979, 1.0),
        (0.6997012959744631, 0.3694607516080961, 0.07711805223920601, 1.0),
        (0.7021538071796382, 0.3734694775400308, 0.07668760899803154, 1.0),
        (0.7045869709427744, 0.37748936598970667, 0.07628866883556534, 1.0),
        (0.707000985586787, 0.3815202571614761, 0.07592197108269089, 1.0),
        (0.7093960390794304, 0.3855620042261393, 0.0755882505107904, 1.0),
        (0.7117723094093528, 0.38961447256674286, 0.07528823483980665, 1.0),
        (0.7141299649529337, 0.3936775390635337, 0.07502264213486334, 1.0),
        (0.7164691648313717, 0.3977510914167321, 0.07479217811087205, 1.0),
        (0.718790059257598, 0.40183502750578437, 0.0745975333666134, 1.0),
        (0.7210927898726464, 0.4059292547837214, 0.07443938057163166, 1.0),
        (0.7233774900712312, 0.4100336897052239, 0.0743183716309751, 1.0),
        (0.7256442853163093, 0.41414825718702203, 0.0742351348541842, 1.0),
        (0.7278932934424962, 0.41827289009923774, 0.07419027215599128, 1.0),
        (0.7301246249482277, 0.4224075287863345, 0.0741843563168618, 1.0),
        (0.7323383832766365, 0.4265521206163164, 0.0742179283317648, 1.0),
        (0.7345353882716817, 0.4307060349567023, 0.07429319537753659, 1.0),
        (0.7367156646423576, 0.4348693003618859, 0.0744103915368873, 1.0),
        (0.7388787494489403, 0.439042330864182, 0.07456862859096566, 1.0),
        (0.7410247212778053, 0.4432250991934941, 0.0747682863158152, 1.0),
        (0.7431536528151156, 0.4474175832571065, 0.07500970147240951, 1.0),
        (0.7452656110665121, 0.4516197658271001, 0.07529316628527241, 1.0),
        (0.7473606575657232, 0.45583163424814793, 0.07561892717684163, 1.0),
        (0.7494388485722312, 0.4600531801646511, 0.07598718377039929, 1.0),
        (0.751501449400536, 0.46428348531018143, 0.07640057068894035, 1.0),
        (0.7535482386381919, 0.46852277247935686, 0.07685851802683341, 1.0),
        (0.7555784292647326, 0.47277167553221794, 0.07735934440269954, 1.0),
        (0.7575920584303714, 0.47703020237878196, 0.07790304647924226, 1.0),
        (0.7595891587998103, 0.48129836411445964, 0.07848957351759905, 1.0),
        (0.7615697586917992, 0.485576174840967, 0.07911882810663906, 1.0),
        (0.7635351559772435, 0.4898627402128038, 0.07979298836587265, 1.0),
        (0.7654855818523201, 0.4941579525945941, 0.08051210547168902, 1.0),
        (0.7674196884953544, 0.4984628195279874, 0.08127340285315723, 1.0),
        (0.7693374880099381, 0.5027773670563, 0.08207659805554132, 1.0),
        (0.7712389886872909, 0.5071016234993879, 0.08292136945254758, 1.0),
        (0.7731249880551478, 0.5114350748098054, 0.08380866202872514, 1.0),
        (0.7749971634096607, 0.5157766247025433, 0.08474069791771285, 1.0),
        (0.7768531656759695, 0.5201279334240794, 0.08571310136491594, 1.0),
        (0.7786929885023088, 0.5244890387928055, 0.08672540635712725, 1.0),
        (0.7805166220614639, 0.5288599804136482, 0.08777711918476125, 1.0),
        (0.7823261306937437, 0.5332394286426104, 0.0888707859542929, 1.0),
        (0.7841211261331867, 0.5376277019226174, 0.09000512625428583, 1.0),
        (0.7859000063657322, 0.5420258982281, 0.091177184836707, 1.0),
        (0.7876627478111992, 0.5464340650106904, 0.09238637445837944, 1.0),
        (0.7894103755328435, 0.5508515783238705, 0.09363351104642656, 1.0),
        (0.791144948993635, 0.5552771776345649, 0.09492063714767668, 1.0),
        (0.7928634178435132, 0.5597128604871854, 0.09624295938665473, 1.0),
        (0.7945657449982464, 0.5641586812836011, 0.09759983714409604, 1.0),
        (0.7962529317489703, 0.5686140495102688, 0.09899190462101559, 1.0),
        (0.7979274645055595, 0.5730774789890705, 0.1004214627980109, 1.0),
        (0.7995858497679293, 0.5775511834408552, 0.10188351483302316, 1.0),
        (0.8012280368308171, 0.58203522362021, 0.1033774013447088, 1.0),
        (0.8028560740659145, 0.5865283957952628, 0.10490481993198719, 1.0),
        (0.8044707409966546, 0.5910302911313597, 0.10646586664405427, 1.0),
        (0.8060691629501393, 0.5955426815778211, 0.10805665790628646, 1.0),
        (0.8076512751425732, 0.6000656338781131, 0.10967654251132081, 1.0),
        (0.8092212933019987, 0.6045967120149607, 0.11132924818253156, 1.0),
        (0.8107760556043208, 0.6091378327200271, 0.11301075120699847, 1.0),
        (0.8123144185459451, 0.61368969595671, 0.11471930376935885, 1.0),
        (0.8138381395305365, 0.6182513237945769, 0.11645603060920004, 1.0),
        (0.8153492559398582, 0.6228216087115112, 0.11822216870552513, 1.0),
        (0.8168438497700268, 0.6274028329685674, 0.12001338074241882, 1.0),
        (0.8183218295752512, 0.6319950736315884, 0.1218290715633483, 1.0),
        (0.8197890431479778, 0.6365951069307502, 0.12367381506631189, 1.0),
        (0.8212397496268511, 0.6412061948148844, 0.12554190079662433, 1.0),
        (0.8226736710596914, 0.6458285162251577, 0.12743261252248986, 1.0),
        (0.8240954168836684, 0.6504595882304868, 0.12934922447660235, 1.0),
        (0.8255020135816338, 0.6551010940717903, 0.1312886736975443, 1.0),
        (0.8268916161790003, 0.659754066165306, 0.13324900158657804, 1.0),
        (0.8282680782241739, 0.6644164751020816, 0.13523270761703898, 1.0),
        (0.8296302321797531, 0.6690890043064163, 0.1372383190289332, 1.0),
        (0.8309751426979781, 0.6737732479628292, 0.13926317328537827, 1.0),
        (0.8323064093623322, 0.6784673500649637, 0.1413094448639915, 1.0),
        (0.8336236702662669, 0.6831715585604193, 0.14337634389523032, 1.0),
        (0.8349233956754665, 0.6878877450853391, 0.14546096328899222, 1.0),
        (0.836209452208899, 0.6926139541357441, 0.1475655370255327, 1.0),
        (0.8374812451634526, 0.6973505478666089, 0.1496891818583829, 1.0),
        (0.8387351652304512, 0.7020993985062001, 0.15182913668847361, 1.0),
        (0.8399758860500933, 0.706858185263113, 0.15398802380429383, 1.0),
        (0.8412015039419409, 0.7116279196951651, 0.15616420278253146, 1.0),
        (0.842408863436233, 0.7164102051502189, 0.15835539016452635, 1.0),
        (0.8436040043728155, 0.7212020966440341, 0.1605648786739153, 1.0),
        (0.8447825998855326, 0.7260057762544317, 0.1627897017014221, 1.0),
        (0.8459425004297634, 0.7308223161702667, 0.16502833559106364, 1.0),
        (0.8470916909310661, 0.7356478948636397, 0.1672849872513208, 1.0),
        (0.8482222682093126, 0.7404863725972354, 0.1695548732398838, 1.0),
        (0.849335492270543, 0.7453371669715373, 0.17183845137278297, 1.0),
        (0.8504363950839656, 0.7501979378252858, 0.17413811472881977, 1.0),
        (0.8515178010463547, 0.7550721145067321, 0.17644977666339032, 1.0),
        (0.8525841071331127, 0.759957664139976, 0.17877549096429168, 1.0),
        (0.8536351063891681, 0.7648547324583225, 0.1811148665949305, 1.0),
        (0.8546660216706047, 0.7697655561558608, 0.18346529537210746, 1.0),
        (0.8556846647048814, 0.7746865865799384, 0.18583038830394188, 1.0),
        (0.856684328386217, 0.779620932209099, 0.18820664575786408, 1.0),
        (0.8576654697805085, 0.7845684046728831, 0.1905941213680029, 1.0),
        (0.8586333372669124, 0.7895266856020337, 0.19299504873633758, 1.0),
        (0.8595800514528922, 0.7944993343355387, 0.19540560829085712, 1.0),
        (0.8605118919067251, 0.7994835879345246, 0.19782848358212352, 1.0),
        (0.8614257659190141, 0.8044808542070145, 0.2002621028413893, 1.0),
        (0.862318731817456, 0.8094924397675259, 0.20270505145894713, 1.0),
        (0.8631990866135879, 0.8145147714844941, 0.20516074563782605, 1.0),
        (0.8640570316077024, 0.8195521241156307, 0.20762486277323805, 1.0),
        (0.8648985892446832, 0.8246019286985762, 0.21009982056157378, 1.0),
        (0.8657217542057287, 0.8296650789343075, 0.2125846498551076, 1.0),
        (0.8665227359996962, 0.8347431960854363, 0.2150777232526755, 1.0),
        (0.8673102956545263, 0.839832624842527, 0.21758243697965152, 1.0),
        (0.8680739840584389, 0.8449377672354076, 0.2200945521598049, 1.0),
        (0.8688209397597313, 0.8500556721057835, 0.2226167862486262, 1.0),
        (0.8695475257414353, 0.8551878730451877, 0.22514764509140572, 1.0),
        (0.8702518466222824, 0.8603351573784762, 0.22768636189889674, 1.0),
        (0.8709403456886846, 0.8654949292658646, 0.2302352780671254, 1.0),
        (0.8716032871795772, 0.8706711460791707, 0.23279074037482073, 1.0),
        (0.8722504095804028, 0.8758599106230184, 0.2353562666294089, 1.0),
        (0.8728735089177709, 0.8810645242778995, 0.2379288443348343, 1.0),
        (0.8734755480931443, 0.8862838169179701, 0.24050951949086474, 1.0),
        (0.8740576468844428, 0.8915173698391287, 0.24309865337490827, 1.0),
        (0.8746134519571162, 0.8967676725126847, 0.24569403530885914, 1.0),
        (0.8751533192048813, 0.9020307187484649, 0.24829921356877926, 1.0),
        (0.8756648875509138, 0.9073112946820588, 0.2509099777331615, 1.0),
        (0.8761579961220333, 0.9126056308170313, 0.2535296558873601, 1.0),
        (0.8766251762717258, 0.9179165870428792, 0.25615576736941553, 1.0),
        (0.8770689942806796, 0.9232431892037369, 0.2587891932203918, 1.0),
        (0.8774903570045399, 0.9285851079338152, 0.2614302497362179, 1.0),
        (0.877883470635509, 0.9339444999568265, 0.2640771174844134, 1.0),
        (0.8782575035190058, 0.9393179743031147, 0.266732757714961, 1.0),
        (0.878599946063634, 0.9447101339348285, 0.26939327298189086, 1.0),
        (0.8789235199162211, 0.9501163253664916, 0.2720626987422674, 1.0),
        (0.8792160143882136, 0.9555409855460589, 0.27473731073146895, 1.0),
        (0.8794851333774609, 0.9609813222108515, 0.27741955215041897, 1.0),
        (0.8797259382267708, 0.9664391027363387, 0.2801079938733135, 1.0),
        (0.8799388863582035, 0.9719141474258771, 0.282802866589131, 1.0),
        (0.8801261631980005, 0.9774056784469544, 0.2855049064351532, 1.0),
        (0.8802811281654138, 0.9829160047653974, 0.28821225752771834, 1.0),
        (0.8804129372223432, 0.9884419266545671, 0.29092769782159256, 1.0),
        (0.8805080058500512, 0.9939881188401473, 0.2936474048368232, 1.0),
    ],
    'cmo.speed': [
        (0.9996253193176977, 0.9913711226010461, 0.8041012438578545, 1.0),
        (0.9969312990878144, 0.9865865913107011, 0.795819654568807, 1.0),
        (0.9942533588637105, 0.9818135789307644, 0.7875317815897166, 1.0),
        (0.9915896776086416, 0.9770525904709529, 0.7792374356109949, 1.0),
        (0.988938478622175, 0.9723041153469224, 0.7709364896057566, 1.0),
        (0.9862980251266783, 0.9675686302753327, 0.7626288656679628, 1.0),
        (0.9836666169060123, 0.9628466015967408, 0.754314523368193, 1.0),
        (0.9810425876106125, 0.9581384871880828, 0.7459934495167191, 1.0),
        (0.9784237290846493, 0.9534448589527805, 0.7376670490866495, 1.0),
        (0.9758091741853187, 0.9487660072025493, 0.7293335612360095, 1.0),
        (0.9731976797213667, 0.9441023023821585, 0.7209921595340746, 1.0),
        (0.9705876565172377, 0.9394541905537218, 0.712642910340537, 1.0),
        (0.9679775344953384, 0.9348221172710476, 0.7042858810456845, 1.0),
        (0.9653657609756586, 0.9302065285603878, 0.6959211353452218, 1.0),
        (0.9627508763245108, 0.9256078555762781, 0.6875485248304888, 1.0),
        (0.960131791323147, 0.9210264571207541, 0.679166921161872, 1.0),
        (0.9575068348330097, 0.916462820977799, 0.6707767168399573, 1.0),
        (0.9548744491996995, 0.9119174176425877, 0.6623780173986025, 1.0),
        (0.9522330808045906, 0.9073907239128326, 0.6539709177027835, 1.0),
        (0.9495811770290349, 0.9028832240271246, 0.6455555018977681, 1.0),
        (0.946917182921429, 0.8983954108674836, 0.6371318441574638, 1.0),
        (0.9442402190659518, 0.8939276490907958, 0.628697964511337, 1.0),
        (0.941548643785517, 0.8894804711503382, 0.6202539985663387, 1.0),
        (0.9388403761261178, 0.8850545069722993, 0.6118014161078326, 1.0),
        (0.9361137658947895, 0.8806503085987659, 0.6033403762527677, 1.0),
        (0.933367142793178, 0.8762684428171652, 0.5948710444843188, 1.0),
        (0.9305988122871575, 0.8719094924143574, 0.5863935979844184, 1.0),
        (0.927807051435576, 0.8675740573997056, 0.5779082318269497, 1.0),
        (0.9249901047433722, 0.8632627561697013, 0.5694151660419813, 1.0),
        (0.9221469800733509, 0.8589760860685742, 0.5609116482547054, 1.0),
        (0.9192753048560652, 0.8547148108589554, 0.5523997440377726, 1.0),
        (0.9163728560349156, 0.8504796735679325, 0.5438810466983202, 1.0),
        (0.9134376867190158, 0.846271380074261, 0.5353560484875481, 1.0),
        (0.9104678046010746, 0.8420906570028114, 0.5268253096213931, 1.0),
        (0.9074611700430375, 0.8379382516634488, 0.5182894693241439, 1.0),
        (0.9044156948810763, 0.8338149316350845, 0.5097492574011085, 1.0),
        (0.9013292420875534, 0.8297214839374013, 0.5012055062134754, 1.0),
        (0.8981996264328738, 0.8256587137313212, 0.49265916289794404, 1.0),
        (0.8950246162923013, 0.8216274424893473, 0.48411130164116684, 1.0),
        (0.8918019367410795, 0.8176285055788921, 0.4755631357855748, 1.0),
        (0.888529274074407, 0.813662749206026, 0.46701602950985016, 1.0),
        (0.8852042818763621, 0.8097310266740885, 0.4584715087957388, 1.0),
        (0.8818245887426445, 0.8058341939216442, 0.4499312713647861, 1.0),
        (0.8783878077356161, 0.801973104317619, 0.4413971952459588, 1.0),
        (0.8748915476159052, 0.7981486027081816, 0.4328713456201331, 1.0),
        (0.8713334258529761, 0.7943615187300834, 0.4243559795823733, 1.0),
        (0.8677110833677243, 0.7906126594284177, 0.41585354846987127, 1.0),
        (0.8640222009043423, 0.7869028012426559, 0.4073666974243692, 1.0),
        (0.8602645168678531, 0.783232681452591, 0.39889826189427174, 1.0),
        (0.8564358463998196, 0.7796029892044549, 0.3904512608343594, 1.0),
        (0.8525341014005128, 0.7760143562656643, 0.38202888643003846, 1.0),
        (0.8485573111443696, 0.7724673476829161, 0.37363449025750983, 1.0),
        (0.8445036430802366, 0.7689624525410815, 0.3652715658890242, 1.0),
        (0.8403714233625398, 0.7655000750378188, 0.35694372806044167, 1.0),
        (0.8361591566273345, 0.7620805260995173, 0.34865468863237076, 1.0),
        (0.8318655445115969, 0.7587040157667199, 0.3404082296912669, 1.0),
        (0.8274895024172936, 0.755370646570558, 0.3322081742472748, 1.0),
        (0.8230301740454329, 0.7520804081054507, 0.3240583550855134, 1.0),
        (0.8184868212302833, 0.7488332616294635, 0.31596178256741375, 1.0),
        (0.8138590110822148, 0.7456289896604104, 0.3079221377655332, 1.0),
        (0.8091468181242912, 0.7424670871619818, 0.2999443469091602, 1.0),
        (0.8043504122379883, 0.739347056371673, 0.2920319686576325, 1.0),
        (0.7994702184716161, 0.7362682828578654, 0.28418840127041817, 1.0),
        (0.7945069109411802, 0.733230039983305, 0.27641685553074224, 1.0),
        (0.7894614033518293, 0.7302314948629917, 0.26872033098439085, 1.0),
        (0.7843348364120679, 0.7272717156577747, 0.2611015959667907, 1.0),
        (0.7791285260147497, 0.724349699436432, 0.25356306848605314, 1.0),
        (0.7738440801480908, 0.7214643092911103, 0.24610719632215106, 1.0),
        (0.7684833208817297, 0.7186143199358207, 0.2387362039122769, 1.0),
        (0.7630481315977482, 0.7157984953860191, 0.23145177344916956, 1.0),
        (0.7575405230514773, 0.7130155515836559, 0.2242553190375982, 1.0),
        (0.7519626112766101, 0.7102641669372077, 0.2171479941172158, 1.0),
        (0.7463165956980535, 0.7075429925763012, 0.21013070266083472, 1.0),
        (0.7406047378440419, 0.7048506621488696, 0.20320411380794529, 1.0),
        (0.7348297350913484, 0.7021856197788984, 0.19636929688866211, 1.0),
        (0.7289936844492124, 0.6995466025992004, 0.1896260481458107, 1.0),
        (0.7230988483362375, 0.6969322773880019, 0.1829743149302962, 1.0),
        (0.7171475322086006, 0.694341299882355, 0.17641399432409763, 1.0),
        (0.7111420143928013, 0.6917723467781027, 0.1699448658068685, 1.0),
        (0.7050845338608371, 0.6892241206236303, 0.16356661997923247, 1.0),
        (0.6989772797030317, 0.6866953538838793, 0.15727888883644012, 1.0),
        (0.6928223822517928, 0.6841848122132093, 0.1510812776309111, 1.0),
        (0.6866220524799201, 0.6816912363109779, 0.1449735254345622, 1.0),
        (0.6803786701652846, 0.6792133090629259, 0.13895556201953596, 1.0),
        (0.6740936196655853, 0.6767501306945983, 0.13302662529778325, 1.0),
        (0.6677687244983904, 0.6743006234739316, 0.12718656446367455, 1.0),
        (0.6614057275351009, 0.6718637487365418, 0.12143539708023177, 1.0),
        (0.6550062900453354, 0.6694385066322931, 0.11577335732833488, 1.0),
        (0.648571991580151, 0.6670239355272904, 0.11020094952535717, 1.0),
        (0.6421043305819508, 0.6646191111168819, 0.10471900807816503, 1.0),
        (0.6356047256163376, 0.6622231453008023, 0.09932876523540396, 1.0),
        (0.6290745171295047, 0.6598351848668922, 0.09403192821288078, 1.0),
        (0.6225149696438275, 0.6574544100249212, 0.08883076747185856, 1.0),
        (0.6159272743135092, 0.6550800328272598, 0.08372821811088402, 1.0),
        (0.6093126663293514, 0.6527112545185102, 0.07872799706657532, 1.0),
        (0.6026723170612738, 0.6503473055396405, 0.07383469856963407, 1.0),
        (0.5960069280976731, 0.6479875866853282, 0.06905400752442764, 1.0),
        (0.5893174254692322, 0.6456314203776035, 0.06439287527349069, 1.0),
        (0.5826046784844107, 0.6432781520370909, 0.05985968924725062, 1.0),
        (0.5758695032242261, 0.6409271483905802, 0.0554644845505922, 1.0),
        (0.5691126660872922, 0.6385777958070208, 0.051219167757090366, 1.0),
        (0.5623348873683923, 0.6362294986703331, 0.04713774156788401, 1.0),
        (0.5555368448583254, 0.6338816777957025, 0.0432365109646957, 1.0),
        (0.5487191774565705, 0.6315337688945174, 0.039524878642581765, 1.0),
        (0.5418824887917019, 0.6291852210919099, 0.036120511210192136, 1.0),
        (0.535027350847226, 0.626835495499913, 0.033113999673601506, 1.0),
        (0.5281543075929241, 0.6244840638484699, 0.03049096132752014, 1.0),
        (0.521263878623602, 0.622130407176031, 0.028237756505836858, 1.0),
        (0.5143565628087404, 0.6197740145810482, 0.02634144880489199, 1.0),
        (0.5074328419576342, 0.6174143820354919, 0.024789766570625846, 1.0),
        (0.5004931845054065, 0.6150510112614009, 0.02357106560875196, 1.0),
        (0.49353804922579686, 0.6126834086714986, 0.022674293064791694, 1.0),
        (0.4865677337149327, 0.6103111278318403, 0.02208918519158591, 1.0),
        (0.4795827833081558, 0.6079336535225863, 0.02180564619063159, 1.0),
        (0.47258365552731935, 0.605550498349571, 0.021814191940086932, 1.0),
        (0.4655708088649732, 0.6031611773523495, 0.022105801700015377, 1.0),
        (0.45854471163064164, 0.6007652058968022, 0.022671879697989835, 1.0),
        (0.4515058459835389, 0.5983620990282548, 0.02350422445657736, 1.0),
        (0.4444547120266517, 0.5959513709030563, 0.024594998754030144, 1.0),
        (0.4373918319618327, 0.5935325343022212, 0.02593670014651517, 1.0),
        (0.4303177543037495, 0.5911051002310937, 0.02752213198538536, 1.0),
        (0.42323305814882023, 0.5886685776092354, 0.029344374869302053, 1.0),
        (0.41613835749313133, 0.586222473054998, 0.03139675847884771, 1.0),
        (0.40903430559139836, 0.5837662907693374, 0.03367283375013734, 1.0),
        (0.40192159934675925, 0.5812995325235387, 0.03616634535426579, 1.0),
        (0.3948009837190709, 0.5788216977554324, 0.03887120446073646, 1.0),
        (0.3876732561372571, 0.5763322837785355, 0.04174672181203835, 1.0),
        (0.3805386564470197, 0.573830917141159, 0.04468566878513502, 1.0),
        (0.3733986391498164, 0.5713169711328536, 0.047680497872468676, 1.0),
        (0.3662542351622481, 0.5687899279044026, 0.05071835758395211, 1.0),
        (0.3591065040473656, 0.5662492786415918, 0.053788283920414216, 1.0),
        (0.3519565800474089, 0.563694515285855, 0.056880857217251383, 1.0),
        (0.34480567605451246, 0.5611251315161035, 0.0599879725629947, 1.0),
        (0.3376550874229136, 0.5585406238589377, 0.06310263770132876, 1.0),
        (0.33050619560063554, 0.5559404929241525, 0.0662187977324235, 1.0),
        (0.323360471560796, 0.5533242447607231, 0.06933118466356372, 1.0),
        (0.3162194790161148, 0.5506913923265978, 0.07243518928216058, 1.0),
        (0.30908460396514725, 0.548041502734388, 0.0755272174675781, 1.0),
        (0.3019574288899705, 0.545374132189083, 0.078603944564621, 1.0),
        (0.29484031942870226, 0.5426887379559618, 0.08166128713902018, 1.0),
        (0.2877352499045566, 0.5399848761881765, 0.0846963328658503, 1.0),
        (0.28064429942147295, 0.5372621189537872, 0.08770643445761908, 1.0),
        (0.27356965355388013, 0.5345200561570194, 0.09068916512095565, 1.0),
        (0.26651360590491724, 0.5317582974656463, 0.09364228167891575, 1.0),
        (0.2594785595977833, 0.5289764742223507, 0.0965636941895652, 1.0),
        (0.25246702878217003, 0.5261742413169626, 0.0994514410701624, 1.0),
        (0.24548135570625318, 0.5233513142453692, 0.10230411627677105, 1.0),
        (0.23852458287100403, 0.5205073603004945, 0.10511948315251615, 1.0),
        (0.23159967372163032, 0.5176421037021867, 0.10789569598000084, 1.0),
        (0.22470960708116694, 0.5147553123030387, 0.11063114053180803, 1.0),
        (0.2178574824667257, 0.5118467857547527, 0.11332426559585665, 1.0),
        (0.21104652443933636, 0.5089163566221597, 0.11597357730938065, 1.0),
        (0.20428008817773946, 0.5059638913007616, 0.11857763514597258, 1.0),
        (0.19756166654753277, 0.5029892907239724, 0.12113504926510948, 1.0),
        (0.1908950317685597, 0.4999924798399173, 0.12364426185724997, 1.0),
        (0.18428396423522897, 0.496973433371009, 0.12610399789619128, 1.0),
        (0.17773240206673938, 0.49393216204959284, 0.1285130506256618, 1.0),
        (0.17124448486353724, 0.4908687102327232, 0.13087023686773205, 1.0),
        (0.16482455674492863, 0.48778315687889634, 0.13317442458041792, 1.0),
        (0.15847718966657975, 0.48467561483890825, 0.13542453383037809, 1.0),
        (0.1522072108246106, 0.4815462299379933, 0.13761953786924314, 1.0),
        (0.14601973454523517, 0.47839517986322305, 0.13975846421773322, 1.0),
        (0.13992049392607733, 0.4752226638142489, 0.14183977519559815, 1.0),
        (0.13391510228067904, 0.47202893137901053, 0.14386291556771194, 1.0),
        (0.12800963927389922, 0.4688142535267131, 0.14582732277210583, 1.0),
        (0.12221076270525766, 0.46557892236398085, 0.14773226503402498, 1.0),
        (0.11652565286229102, 0.4623232537320298, 0.1495770677617926, 1.0),
        (0.11096207468531871, 0.459047585327156, 0.1513611132825744, 1.0),
        (0.10552844301156494, 0.455752274777193, 0.153083840297778, 1.0),
        (0.10023388883132264, 0.4524376976954341, 0.15474474305770897, 1.0),
        (0.09508832342249537, 0.4491042457325262, 0.15634337026191933, 1.0),
        (0.09010250937510872, 0.44575233246750906, 0.15787908926761923, 1.0),
        (0.08528801833375249, 0.4423823989146768, 0.159351067411314, 1.0),
        (0.08065727940861417, 0.43899485288585266, 0.16075974572563864, 1.0),
        (0.07622371216564308, 0.4355901307746829, 0.16210488343686563, 1.0),
        (0.0720015827160499, 0.43216867570280837, 0.16338628412791376, 1.0),
        (0.0680058908613822, 0.4287309359317862, 0.16460379337788433, 1.0),
        (0.06425218103335717, 0.42527736337154837, 0.1657572962977645, 1.0),
        (0.060756261488357506, 0.4218084121914437, 0.16684671498923007, 1.0),
        (0.057533819751087005, 0.4183245375382102, 0.1678720059529141, 1.0),
        (0.05459992971435846, 0.41482619436364515, 0.16883315747159425, 1.0),
        (0.05196845773512391, 0.41131383636327884, 0.16973018699250234, 1.0),
        (0.049651391245100866, 0.40778791502605294, 0.1705631385315065, 1.0),
        (0.047658132082849185, 0.40424887879382454, 0.17133208012026716, 1.0),
        (0.04599481449154869, 0.4006971723285012, 0.17203710131575725, 1.0),
        (0.044663719694867286, 0.3971332358837184, 0.17267831078972876, 1.0),
        (0.04366274483561478, 0.3935575133766277, 0.17325576717391203, 1.0),
        (0.04298497468310509, 0.38997046877948566, 0.17376937059576544, 1.0),
        (0.04262017645185839, 0.3863724827023668, 0.17421962557054785, 1.0),
        (0.04255352467768172, 0.382763972811322, 0.1746066936456434, 1.0),
        (0.04276673184831411, 0.3791453506945431, 0.17493074489260066, 1.0),
        (0.043238782399831775, 0.37551702175999485, 0.17519195631881654, 1.0),
        (0.043946750811013645, 0.37187938519877917, 0.17539051043350576, 1.0),
        (0.044866624427012926, 0.3682328340080037, 0.17552659397305834, 1.0),
        (0.04597406436707644, 0.3645777550668194, 0.17560039678993755, 1.0),
        (0.04724505801823831, 0.3609145292591857, 0.1756121109084, 1.0),
        (0.04865643856140025, 0.35724353163683653, 0.17556192974952053, 1.0),
        (0.050186266320422536, 0.353565131615826, 0.17545004752724375, 1.0),
        (0.05181408104443557, 0.34987969319992557, 0.17527665881645674, 1.0),
        (0.05352104295989751, 0.3461875752240316, 0.1750419582933171, 1.0),
        (0.05528998425553303, 0.3424891316106106, 0.17474614064731478, 1.0),
        (0.05710539287663336, 0.3387847116320404, 0.17438940066369082, 1.0),
        (0.05895334846203271, 0.33507466017155607, 0.17397193347391515, 1.0),
        (0.06082142709649813, 0.3313593179753057, 0.17349393497086069, 1.0),
        (0.0626985880839026, 0.327639021887838, 0.17295560238411742, 1.0),
        (0.06457505267241087, 0.3239141050631572, 0.17235713500949704, 1.0),
        (0.06644218183629055, 0.32018489714329684, 0.17169873508520142, 1.0),
        (0.06829235792686131, 0.31645172439622543, 0.17098060880532684, 1.0),
        (0.07011887323479765, 0.31271490980480465, 0.17020296745934754, 1.0),
        (0.07191582719453682, 0.3089747730984767, 0.16936602868395864, 1.0),
        (0.0736774013970096, 0.30523170183903425, 0.1684698187582649, 1.0),
        (0.07539908659075803, 0.3014860094828904, 0.16751459338634264, 1.0),
        (0.07707730571895974, 0.2977379606831319, 0.1665007348086737, 1.0),
        (0.07870852955781818, 0.29398786489640066, 0.16542849708117502, 1.0),
        (0.08028965953863021, 0.2902360278178473, 0.16429814786457983, 1.0),
        (0.08181797774419891, 0.2864827509313961, 0.16310997000933677, 1.0),
        (0.08329110360766753, 0.28272833095013916, 0.16186426309309518, 1.0),
        (0.08470695659424687, 0.27897305914251386, 0.16056134487456247, 1.0),
        (0.08606372418387429, 0.27521722054141257, 0.1592015526248838, 1.0),
        (0.08735983452008261, 0.27146109303512733, 0.15778524429548865, 1.0),
        (0.08859393314120664, 0.26770494634100284, 0.15631279947969065, 1.0),
        (0.08976486326081493, 0.26394904086485793, 0.15478462012439043, 1.0),
        (0.09087164911293294, 0.2601936264515474, 0.15320113094812554, 1.0),
        (0.09191348192284299, 0.256438941034457, 0.15156277952256814, 1.0),
        (0.09288704312629731, 0.2526856315239156, 0.1498693699931691, 1.0),
        (0.09379283018859289, 0.24893377175032072, 0.14812169058422264, 1.0),
        (0.09463163644057562, 0.24518337929649675, 0.14632056520980155, 1.0),
        (0.09540318566942779, 0.24143464012259935, 0.14446653153385577, 1.0),
        (0.09610732643393555, 0.2376877206774311, 0.14256014631393604, 1.0),
        (0.09674402718144512, 0.23394276611703801, 0.14060198294992896, 1.0),
        (0.09731337192794831, 0.23019989852060346, 0.13859262849691245, 1.0),
        (0.0978152703001206, 0.22645926716849973, 0.1365326231802845, 1.0),
        (0.098243589666932, 0.22272213819927045, 0.1344213498047778, 1.0),
        (0.0986047600859126, 0.21898748516405997, 0.13226068541446054, 1.0),
        (0.09889926458171927, 0.21525533231011723, 0.13005125256697217, 1.0),
        (0.09912768720083676, 0.21152567198660732, 0.1277936680974918, 1.0),
        (0.09929070945217863, 0.207798463069771, 0.12548853727070292, 1.0),
        (0.0993853669353521, 0.20407438417477824, 0.12313590935995691, 1.0),
        (0.09940987528000958, 0.2003539028956775, 0.12073611049436594, 1.0),
        (0.09937074432198822, 0.19663577330296056, 0.11829056590788622, 1.0),
        (0.09926899950314097, 0.1929198155529378, 0.11579980866757869, 1.0),
        (0.09910574746809375, 0.1892058087816931, 0.11326433006099865, 1.0),
        (0.09887273365069987, 0.1854955476839639, 0.11068374151794522, 1.0),
        (0.09857702759168757, 0.1817875303344014, 0.10805922074874744, 1.0),
        (0.09822269753736715, 0.17808082392496058, 0.10539141617095418, 1.0),
        (0.09781113633355651, 0.174375037756649, 0.10268063516204762, 1.0),
        (0.0973323800593591, 0.1706723687329835, 0.09992670564763897, 1.0),
        (0.09679537330416121, 0.16697069799075445, 0.09713043093317095, 1.0),
        (0.09620476860769889, 0.16326879114018977, 0.09429209466525781, 1.0),
        (0.0955584011121986, 0.15956697180441, 0.09141177435708905, 1.0),
        (0.09484851695793728, 0.1558669291806108, 0.08848983773912672, 1.0),
        (0.09408911153954402, 0.15216505785616208, 0.08552628708305055, 1.0),
        (0.09328192094338655, 0.148460609147497, 0.08252094903627574, 1.0),
        (0.09241015243151923, 0.14475747377956738, 0.0794749693645335, 1.0),
        (0.0914931387938949, 0.14105045720250153, 0.07638732537156054, 1.0),
        (0.09053276383981979, 0.13733860758438335, 0.07325761429945674, 1.0),
    ],
    'cmo.tarn': [
        (0.08982325470083904, 0.13868842024880734, 0.053396347475421026, 1.0),
        (0.0949047705988248, 0.14563733826299688, 0.05489581825948508, 1.0),
        (0.09996820923335581, 0.15254518792468927, 0.056354254059656876, 1.0),
        (0.1049932629133126, 0.15942600270280963, 0.05767943871793179, 1.0),
        (0.10998448867159724, 0.16628158622711708, 0.05888156855042593, 1.0),
        (0.11493261338713931, 0.1731199934404947, 0.05990900196219744, 1.0),
        (0.11984713686606549, 0.1799400614735769, 0.06079328815375506, 1.0),
        (0.12472996371628955, 0.186743992422514, 0.06153299800422255, 1.0),
        (0.12958052285107594, 0.19353493400520888, 0.0621147396923157, 1.0),
        (0.1343996539632438, 0.20031516073737005, 0.06253114410253807, 1.0),
        (0.1391929081922308, 0.20708455213719879, 0.06279848839795282, 1.0),
        (0.1439554110569008, 0.21384773065921409, 0.0628800786808223, 1.0),
        (0.1487348911403759, 0.22059147142246854, 0.0628409852328112, 1.0),
        (0.15354985401729543, 0.22731578271615382, 0.06260141657412988, 1.0),
        (0.1584099704346516, 0.23402033314046733, 0.06214047826160283, 1.0),
        (0.16332938879648212, 0.24070335998785702, 0.061439052226346484, 1.0),
        (0.16833254113332713, 0.24736039624479306, 0.06047333430287042, 1.0),
        (0.17345164873907465, 0.25398401109778207, 0.05924078177592305, 1.0),
        (0.17872900920530288, 0.2605653696981221, 0.05769398812038968, 1.0),
        (0.18422269031085597, 0.2670914347726459, 0.05577103201204061, 1.0),
        (0.19004425751043255, 0.2735335271652731, 0.0534390203952766, 1.0),
        (0.19640128899974701, 0.2798383207240314, 0.05059091721484254, 1.0),
        (0.20381809815691604, 0.28585824877745597, 0.04734796165359243, 1.0),
        (0.21348035805542365, 0.2912137742752328, 0.04542335962452377, 1.0),
        (0.22463792583269576, 0.2959985720226947, 0.04791967673999841, 1.0),
        (0.23570788433062917, 0.3007243105772286, 0.05139927647716216, 1.0),
        (0.24666449526166445, 0.3054215218481724, 0.05513668228793694, 1.0),
        (0.25754614155507494, 0.31008815027289627, 0.05896503676513653, 1.0),
        (0.26835859864291556, 0.31472868485548977, 0.06282164605955981, 1.0),
        (0.27912755720397747, 0.3193399608455813, 0.06667246926393997, 1.0),
        (0.289835818431949, 0.3239318024263264, 0.07050980744893517, 1.0),
        (0.3004984152503225, 0.32850321922790365, 0.07432550653130615, 1.0),
        (0.31115531906468835, 0.3330438874028458, 0.07810231939881485, 1.0),
        (0.3218034422925409, 0.33755734505105256, 0.0818430478771634, 1.0),
        (0.33243330117188125, 0.3420495081780128, 0.08555280814984054, 1.0),
        (0.3430769162896195, 0.3465110261365143, 0.08922112292532158, 1.0),
        (0.3537299359050021, 0.3509453072047717, 0.09285241010232825, 1.0),
        (0.36438944011935126, 0.35535527321206556, 0.09645119893644621, 1.0),
        (0.3750453108858617, 0.3597467221513847, 0.10002561426388187, 1.0),
        (0.38571002455622266, 0.3641166297482588, 0.10357349809144736, 1.0),
        (0.3963858021351524, 0.36846575185773206, 0.1070973667641382, 1.0),
        (0.4071213221517259, 0.3727752094149719, 0.1105826082064782, 1.0),
        (0.4178758479312351, 0.3770629074315066, 0.11404723145737591, 1.0),
        (0.428642337290307, 0.3813332614724057, 0.11749747267353569, 1.0),
        (0.4394433776892579, 0.3855777866767185, 0.12092758834375081, 1.0),
        (0.45029629273338784, 0.3897896541113714, 0.12433441059629374, 1.0),
        (0.4611581205683302, 0.39398908724633674, 0.1277374475879362, 1.0),
        (0.472056391347262, 0.3981648558562365, 0.13112811160443277, 1.0),
        (0.4830210005713383, 0.4023038157279974, 0.13449637838046152, 1.0),
        (0.49399869624817866, 0.4064316868089742, 0.13786650473163423, 1.0),
        (0.5050443453644229, 0.4105232839216421, 0.1412177516567701, 1.0),
        (0.5161305471961734, 0.4145923196985768, 0.14456381796682596, 1.0),
        (0.5272226932670312, 0.4186568461649191, 0.14792270476302133, 1.0),
        (0.5384231737920478, 0.42266673347405437, 0.1512491796667267, 1.0),
        (0.5496735303963581, 0.4266509012024514, 0.15458114608665338, 1.0),
        (0.5608924552760781, 0.4306494794221744, 0.15802203170355936, 1.0),
        (0.5721888701475891, 0.43460879530398194, 0.16149074626586646, 1.0),
        (0.583560268997558, 0.43852997868693433, 0.16499465743970754, 1.0),
        (0.5949141655760096, 0.442461089672361, 0.1686236738948058, 1.0),
        (0.6063474969101482, 0.44635281921522324, 0.17229299761510955, 1.0),
        (0.6178322186277155, 0.4502196887286238, 0.17603930578044608, 1.0),
        (0.6293072576484797, 0.45409473301496645, 0.179932250179961, 1.0),
        (0.6408487929862469, 0.4579376406332681, 0.1839101076250922, 1.0),
        (0.65244782094367, 0.46175300758724064, 0.18799527786194659, 1.0),
        (0.6640840089637001, 0.46555191648464395, 0.19222251030584955, 1.0),
        (0.6757077110120256, 0.46936243243441195, 0.19665733428420173, 1.0),
        (0.6873619660726971, 0.4731606777592324, 0.2012786215471899, 1.0),
        (0.6990381205121833, 0.4769509785672518, 0.2061259388500985, 1.0),
        (0.71074692546739, 0.48072509206285224, 0.21124675993983955, 1.0),
        (0.7224230526312156, 0.4845218253861357, 0.21671230766706, 1.0),
        (0.7340988344738969, 0.4883178461040553, 0.22260238590706055, 1.0),
        (0.7456126256093577, 0.4922084125716106, 0.22912938780904274, 1.0),
        (0.7569950884983199, 0.49616932986343637, 0.23642369148785752, 1.0),
        (0.7680178179592376, 0.5003309692977765, 0.2449057676522547, 1.0),
        (0.7783432998143536, 0.5048913767328345, 0.2551145881355685, 1.0),
        (0.7872937751334541, 0.5102708429127015, 0.2676604181065563, 1.0),
        (0.7941838547011116, 0.5169436808272553, 0.28215131400711896, 1.0),
        (0.7994756138083272, 0.5246737693689592, 0.2970255774031809, 1.0),
        (0.8039010002452275, 0.5330024415850749, 0.31152669855202547, 1.0),
        (0.8078274978677594, 0.5416811012734407, 0.32559244521376535, 1.0),
        (0.8115188822314253, 0.5505337325024401, 0.33922642252718876, 1.0),
        (0.8149565405173154, 0.5595497555166276, 0.35272609193162824, 1.0),
        (0.8184200486555967, 0.5685470713353226, 0.3661765482687759, 1.0),
        (0.8218871005380722, 0.5775395855002405, 0.379623212057056, 1.0),
        (0.8253524104820137, 0.5865320478639368, 0.3930813348872184, 1.0),
        (0.8288195980598317, 0.5955244594650944, 0.40655417304503977, 1.0),
        (0.8322893500409468, 0.6045186250474157, 0.42004382976182936, 1.0),
        (0.8357658919205435, 0.6135146821751165, 0.4335463882212043, 1.0),
        (0.8392529397355925, 0.62251291674596, 0.44706048547740856, 1.0),
        (0.8427490015153409, 0.6315159424794673, 0.46059285975042846, 1.0),
        (0.8462593242877499, 0.6405233492783438, 0.47413918316709086, 1.0),
        (0.8497829397434529, 0.6495374502823045, 0.48770485049829887, 1.0),
        (0.8533243184659659, 0.6585581699790051, 0.5012868094865198, 1.0),
        (0.8568819326669032, 0.6675878581525517, 0.5148924377083944, 1.0),
        (0.8604592156604729, 0.6766270650074718, 0.5285174957354724, 1.0),
        (0.8640624159744238, 0.6856750887735368, 0.5421555222813167, 1.0),
        (0.8676874794762718, 0.6947353397221285, 0.5558159820355237, 1.0),
        (0.8713433578641075, 0.7038060956465444, 0.5694881225731345, 1.0),
        (0.8750269237065778, 0.7128903502475765, 0.5831797789138876, 1.0),
        (0.8787417347404306, 0.7219884934452006, 0.596888420706374, 1.0),
        (0.882492918650756, 0.7311003788594005, 0.6106091378045375, 1.0),
        (0.886278083921717, 0.7402286277522097, 0.6243484010896453, 1.0),
        (0.8901025319225768, 0.7493730430239594, 0.6381009856311858, 1.0),
        (0.8939696421167129, 0.7585341679611919, 0.6518645964033017, 1.0),
        (0.8978784332841048, 0.7677140679252761, 0.6656434485771917, 1.0),
        (0.9018326061682567, 0.7769131645138506, 0.6794347199822516, 1.0),
        (0.905838086953548, 0.7861311730497034, 0.693232318472866, 1.0),
        (0.909893626994125, 0.7953702376174894, 0.7070408050591606, 1.0),
        (0.9140018319746878, 0.8046311927664195, 0.7208589990654702, 1.0),
        (0.918166742404312, 0.8139144268565462, 0.7346836216449236, 1.0),
        (0.9223937440297114, 0.8232199407988282, 0.7485094577713425, 1.0),
        (0.9266329848317797, 0.832564909475764, 0.7624119242822528, 1.0),
        (0.9309587852706298, 0.8419294436897262, 0.7762663931757452, 1.0),
        (0.9353308095703787, 0.8513275998621368, 0.7901346256764256, 1.0),
        (0.9397666205989466, 0.8607552896628867, 0.8039940207918338, 1.0),
        (0.9442852447524148, 0.8702076963082446, 0.8178194726640143, 1.0),
        (0.9488564272552421, 0.879693299368632, 0.8316532922424307, 1.0),
        (0.9535132490174164, 0.8891984622715307, 0.8454417866111458, 1.0),
        (0.958218304023634, 0.8987227701762497, 0.8592166709390755, 1.0),
        (0.96296811087467, 0.9082408064338201, 0.8729337059863773, 1.0),
        (0.9677369708112719, 0.917706178002605, 0.886528610160556, 1.0),
        (0.9724470492478462, 0.9270421466879263, 0.8999251032877215, 1.0),
        (0.9769577532404693, 0.9361234679319004, 0.9130099659367508, 1.0),
        (0.9810936756020608, 0.9447503559760433, 0.9255607060964068, 1.0),
        (0.9846187877628682, 0.9526495821380999, 0.9372697834100744, 1.0),
        (0.9872037589208277, 0.9594994318553786, 0.9478188041909387, 1.0),
        (0.9885417842181484, 0.9649430355113017, 0.9568049207415391, 1.0),
        (0.9884013930268253, 0.9686440358418688, 0.9637998740972807, 1.0),
        (0.9884162623276403, 0.9700501042547022, 0.9646078752920303, 1.0),
        (0.9882481988456427, 0.9691949840717197, 0.9590849806168055, 1.0),
        (0.9862202098271878, 0.966449705156511, 0.9513022380762838, 1.0),
        (0.9825317256976797, 0.9620307807128735, 0.9416222408221766, 1.0),
        (0.9774953228979596, 0.956250618960475, 0.9303982168749545, 1.0),
        (0.971451258116328, 0.9494527517929902, 0.9180386343083645, 1.0),
        (0.9647328782040082, 0.941960190985862, 0.9048410781832561, 1.0),
        (0.957602983388207, 0.9340364327380904, 0.8911071594609687, 1.0),
        (0.9502540208567342, 0.9258747025552573, 0.877059749321031, 1.0),
        (0.9428203850658012, 0.9176036605916165, 0.8628094676385467, 1.0),
        (0.9353802079259059, 0.9093000877222664, 0.848436928982811, 1.0),
        (0.9279731512595492, 0.9010054158372772, 0.8340022711999642, 1.0),
        (0.9206162430864484, 0.8927397568877493, 0.8195491149365338, 1.0),
        (0.9133281854005529, 0.884512854154221, 0.8050384948242301, 1.0),
        (0.906104970858829, 0.8763271129727117, 0.7905141123067558, 1.0),
        (0.8988722526026154, 0.8682095990978259, 0.7760244884018141, 1.0),
        (0.8913604989190128, 0.8602593575538734, 0.7616936251859221, 1.0),
        (0.883494776649165, 0.8525076069101691, 0.7475141723430622, 1.0),
        (0.8751348356324997, 0.845001189509401, 0.7335968964229398, 1.0),
        (0.8660362122016209, 0.8378139590610478, 0.7202229230673017, 1.0),
        (0.8560628191678396, 0.8309783491388804, 0.7076282794978067, 1.0),
        (0.8450850551605782, 0.8245041095837671, 0.6962540521527236, 1.0),
        (0.8331237773418241, 0.8183393744081109, 0.6865239180889655, 1.0),
        (0.8205576283471391, 0.8123351983566962, 0.6783182715666856, 1.0),
        (0.8077229876914297, 0.8063801435632871, 0.67131534851764, 1.0),
        (0.794746151501946, 0.800437310877848, 0.6653252445665102, 1.0),
        (0.7818234645252461, 0.7944593749272963, 0.6599830880041623, 1.0),
        (0.7690043949000204, 0.7884424060393956, 0.6551042701424649, 1.0),
        (0.7562981288404811, 0.7823918885846237, 0.6505794347324634, 1.0),
        (0.7437166688251097, 0.7763107155814537, 0.646318555940412, 1.0),
        (0.7312864875465607, 0.7701962491575811, 0.642236430365714, 1.0),
        (0.7189850527082707, 0.7640604119000086, 0.6382908369799579, 1.0),
        (0.7068142314422918, 0.7579064471112741, 0.6344344908612203, 1.0),
        (0.6947742510783049, 0.7517375363827888, 0.6306282821287319, 1.0),
        (0.6828537141789143, 0.745558683793441, 0.6268596706266046, 1.0),
        (0.6710011548564486, 0.7393836600422335, 0.6231736409952127, 1.0),
        (0.6592657914925744, 0.7332038660876559, 0.6194650744353707, 1.0),
        (0.6476362335539276, 0.7270240901258275, 0.6157213868460474, 1.0),
        (0.6360362802101586, 0.720861343216045, 0.6120373156027115, 1.0),
        (0.6245080854916185, 0.7147082392942302, 0.6083234269572357, 1.0),
        (0.6130488547076046, 0.7085668274101213, 0.6045591744160895, 1.0),
        (0.6015892322420162, 0.7024496994714828, 0.6008489625961976, 1.0),
        (0.5901987677923722, 0.696344514704547, 0.5970628836865409, 1.0),
        (0.5787942193155654, 0.6902683578483007, 0.593297399058024, 1.0),
        (0.5673843957655613, 0.6842194608428609, 0.589522067551764, 1.0),
        (0.5559759005656629, 0.6781954870319549, 0.5857224142025272, 1.0),
        (0.5445452293547278, 0.6721991418209629, 0.5819309981473996, 1.0),
        (0.533028499919281, 0.6662471887845208, 0.5781518614893066, 1.0),
        (0.5216118831320554, 0.6602860177867492, 0.574345096998697, 1.0),
        (0.5100461930662858, 0.6543801579393035, 0.5705892298512412, 1.0),
        (0.4985462196160774, 0.6484680127740434, 0.5668522387113606, 1.0),
        (0.48692128544856533, 0.6426004706277155, 0.5631503671835995, 1.0),
        (0.47531759484251684, 0.6367342039857055, 0.5594833076156263, 1.0),
        (0.463588412126061, 0.6309044987522948, 0.555881041456671, 1.0),
        (0.45179373571109754, 0.6250933232803837, 0.5523287210439038, 1.0),
        (0.4399781445380014, 0.6192864046496113, 0.5488272822016192, 1.0),
        (0.4280176465668666, 0.6135117804844451, 0.5453889520686708, 1.0),
        (0.41606131753907133, 0.6077287406576959, 0.5420126140975655, 1.0),
        (0.403985715000763, 0.601963893079609, 0.5387130326489298, 1.0),
        (0.39174751832282795, 0.5962226288699171, 0.5354998204993743, 1.0),
        (0.3795396260545045, 0.5904576990603345, 0.5323562706006825, 1.0),
        (0.3671980489650731, 0.584702624939429, 0.5292995421656493, 1.0),
        (0.3547169039649492, 0.5789540227003183, 0.526332409877065, 1.0),
        (0.3421991518101316, 0.5731858973997911, 0.5234530196411122, 1.0),
        (0.3296321613618492, 0.5673978264587495, 0.5206643628468335, 1.0),
        (0.31695394342327915, 0.561598267833222, 0.5179739584214748, 1.0),
        (0.3041848831902359, 0.5557790841809171, 0.5153814622924314, 1.0),
        (0.2913580245785496, 0.5499302942311713, 0.5128866030358066, 1.0),
        (0.27862101154750457, 0.5440237902965464, 0.5104770287408624, 1.0),
        (0.26587678136204773, 0.5380746002424074, 0.508163561372829, 1.0),
        (0.2531728049963842, 0.5320730905152252, 0.5059419345415739, 1.0),
        (0.24058017463523218, 0.5260084224989675, 0.5037958873725134, 1.0),
        (0.22817317421565758, 0.5198710287686101, 0.5017115180274239, 1.0),
        (0.2160357564123031, 0.5136521477693153, 0.49967323444673234, 1.0),
        (0.2042553268175123, 0.5073441845910726, 0.49767092953343733, 1.0),
        (0.19294557861570688, 0.5009402502860922, 0.4956743078037426, 1.0),
        (0.18221591372111726, 0.49443606710846727, 0.49365769121444897, 1.0),
        (0.17217200476622033, 0.48782966123318044, 0.49159736617533617, 1.0),
        (0.1629121950514906, 0.4811217814834133, 0.4894661845895682, 1.0),
        (0.1545167219577191, 0.4743156260955231, 0.4872413962325574, 1.0),
        (0.14704251425100337, 0.46741669838649774, 0.48490289537142633, 1.0),
        (0.1405113128544071, 0.46043383558158274, 0.48242717575704747, 1.0),
        (0.13492175307267865, 0.4533748092665629, 0.4798101955391983, 1.0),
        (0.13027973423941797, 0.4462455116423037, 0.4770426757084248, 1.0),
        (0.12659398110242925, 0.4390496902560915, 0.47411662741042887, 1.0),
        (0.12368438521212483, 0.43180745993632585, 0.47102749261580407, 1.0),
        (0.12146466108753837, 0.4245259430194671, 0.4677892044131185, 1.0),
        (0.11984034810027588, 0.4172122902240389, 0.464412363930453, 1.0),
        (0.11846092103238551, 0.4098925950294426, 0.4609615952184937, 1.0),
        (0.11687549862102839, 0.4026022451761211, 0.45751600898809713, 1.0),
        (0.11510078778503141, 0.3953385852310392, 0.4540805121238137, 1.0),
        (0.11314130842969747, 0.3881005310447923, 0.45065582439852253, 1.0),
        (0.11102213915820941, 0.38088349193401566, 0.44725322585156096, 1.0),
        (0.10875110553517969, 0.37368542099695484, 0.4438760147968137, 1.0),
        (0.10632629410940247, 0.3665057054845847, 0.4405230161394063, 1.0),
        (0.10375371676109962, 0.35934240599913453, 0.43719631582157187, 1.0),
        (0.10103960124304551, 0.35219343335712294, 0.4338979957908608, 1.0),
        (0.09820785452879466, 0.34505359259892204, 0.4306390199340547, 1.0),
        (0.09524886735285809, 0.3379231538671473, 0.42741364526590253, 1.0),
        (0.09216708027427711, 0.33079999364376617, 0.4242225680363121, 1.0),
        (0.0889871981249952, 0.3236783223748896, 0.42107730556444545, 1.0),
        (0.08570498821294706, 0.3165572544150943, 0.41797370871441547, 1.0),
        (0.08232861945095013, 0.309433662617007, 0.4149138402418848, 1.0),
        (0.07888091832597513, 0.3023016385852107, 0.4119079586942359, 1.0),
        (0.07535426196281006, 0.2951606915265347, 0.40894831037639456, 1.0),
        (0.07178216232425585, 0.2880027122692484, 0.4060506695454764, 1.0),
        (0.06815855459758968, 0.2808269749834077, 0.4032054679392391, 1.0),
        (0.06448898508226078, 0.2736310489100942, 0.4004060238485769, 1.0),
        (0.060820183289648604, 0.2664035583373736, 0.3976774815474886, 1.0),
        (0.057161241129215744, 0.2591406963233487, 0.3950170320465339, 1.0),
        (0.053514669658202514, 0.2518414268825252, 0.39240686623128535, 1.0),
        (0.049931866946266536, 0.24449351020310517, 0.3898697442701583, 1.0),
        (0.04643877317377427, 0.2370912873691644, 0.38739991942286056, 1.0),
        (0.04308214165698194, 0.22962475898714824, 0.3850043813960571, 1.0),
        (0.03988193032745831, 0.22208958460722322, 0.3826648500695101, 1.0),
        (0.036965880538091876, 0.21447111177532946, 0.38039515821410735, 1.0),
        (0.035039631191200044, 0.20673822361694322, 0.37799481381881783, 1.0),
        (0.03478421889488789, 0.19886790396427123, 0.3751470684509793, 1.0),
        (0.03605446405610014, 0.19087649170413376, 0.3717394054831296, 1.0),
        (0.03860378491452313, 0.18279118053450735, 0.36766973923691026, 1.0),
        (0.042041581946695446, 0.17464848392573876, 0.36286398021254446, 1.0),
        (0.0458076933247727, 0.16648682353049007, 0.3572935027519455, 1.0),
        (0.049530467756431974, 0.15833912399537142, 0.35097832786451466, 1.0),
        (0.0529479461675394, 0.15022878472369433, 0.3439780107867806, 1.0),
        (0.05589746873554811, 0.14216899800481064, 0.336378452748287, 1.0),
        (0.05832364005801801, 0.1341588757852459, 0.32827153285749666, 1.0),
        (0.06018929987904994, 0.12619420314277027, 0.31975389508655333, 1.0),
        (0.06152266558088163, 0.11826704596614743, 0.31087939339053045, 1.0),
    ],
    'cmo.tempo': [
        (0.9985763296811462, 0.9632965417140263, 0.9577895036430327, 1.0),
        (0.9934918422996558, 0.9594375624216472, 0.9516983192548315, 1.0),
        (0.9883417388454437, 0.9556282921109976, 0.9455836323325412, 1.0),
        (0.9831050718338245, 0.9518727670560837, 0.9394860306213083, 1.0),
        (0.9777785730890226, 0.9481687534308861, 0.933436494868043, 1.0),
        (0.9723870692594613, 0.9445024597948725, 0.9274670258562996, 1.0),
        (0.9669573847273637, 0.9408624710997687, 0.9215795307640301, 1.0),
        (0.9615066616129494, 0.9372434217616609, 0.9157560566822337, 1.0),
        (0.9560531046363628, 0.9336385357088663, 0.909988680318753, 1.0),
        (0.9506035559047822, 0.9300461763422669, 0.9042646579991682, 1.0),
        (0.9451563753217823, 0.9264682865796181, 0.8985697730985616, 1.0),
        (0.9397124373542274, 0.9229047657151165, 0.8928998260600508, 1.0),
        (0.9342716413123769, 0.9193556495997508, 0.8872531405900644, 1.0),
        (0.9288308811012931, 0.9158223472192428, 0.8816263177427967, 1.0),
        (0.9233851804191221, 0.9123071100087159, 0.8760148319228351, 1.0),
        (0.9179365336943248, 0.9088084827838654, 0.8704232606428426, 1.0),
        (0.9124832972967744, 0.9053269113370198, 0.8648517190341429, 1.0),
        (0.9070218374764418, 0.9018638497314315, 0.8592980228813624, 1.0),
        (0.9015509263802757, 0.898419501692267, 0.8537628451897162, 1.0),
        (0.896071832938882, 0.8949928217018374, 0.8482495190363266, 1.0),
        (0.8905836610629008, 0.8915838848352711, 0.8427587078675609, 1.0),
        (0.885083625484163, 0.8881937049832523, 0.8372889893254339, 1.0),
        (0.8795708463666609, 0.8848223352046365, 0.83184101530903, 1.0),
        (0.8740469282893845, 0.8814686228402575, 0.8264178662740627, 1.0),
        (0.868511293785319, 0.8781325055194139, 0.8210202040569096, 1.0),
        (0.8629633327895805, 0.8748139384163004, 0.8156486084917725, 1.0),
        (0.8573988637074911, 0.8715145671024431, 0.8103003320898716, 1.0),
        (0.851821232961402, 0.8682324447773152, 0.804979719379862, 1.0),
        (0.8462299834685677, 0.8649674562084326, 0.7996873827745283, 1.0),
        (0.8406246724049463, 0.8617194786977678, 0.7944239257301035, 1.0),
        (0.835004867782719, 0.8584883831868801, 0.7891899443847591, 1.0),
        (0.8293671160911614, 0.8552754073408689, 0.7839836146965878, 1.0),
        (0.823713827948319, 0.852079105183387, 0.7788079287668441, 1.0),
        (0.8180448941186929, 0.8488991950022985, 0.7736637090147418, 1.0),
        (0.8123599093553813, 0.8457355276105181, 0.7685515296147657, 1.0),
        (0.8066584706735069, 0.8425879497641356, 0.7634719632765349, 1.0),
        (0.8009401766621723, 0.8394563042330351, 0.7584255820860429, 1.0),
        (0.7952028972601549, 0.8363411716110776, 0.7534118252377455, 1.0),
        (0.7894471633387081, 0.8332419707110175, 0.7484319716624078, 1.0),
        (0.7836734962813409, 0.8301581353160575, 0.7434872090029538, 1.0),
        (0.7778815003305535, 0.8270894921786368, 0.7385781042557459, 1.0),
        (0.7720707796269933, 0.824035863932995, 0.7337052258319404, 1.0),
        (0.7662409381414176, 0.8209970689783633, 0.7288691437189615, 1.0),
        (0.7603915796412942, 0.8179729213555225, 0.7240704295566047, 1.0),
        (0.7545223076817887, 0.8149632306197715, 0.7193096566367255, 1.0),
        (0.7486327256130644, 0.811967801712573, 0.71458739983482, 1.0),
        (0.7427219014782563, 0.8089866453573648, 0.7099039891607072, 1.0),
        (0.7367891737192681, 0.806019653667246, 0.7052599184573172, 1.0),
        (0.7308350860228654, 0.8030662448375228, 0.7006562091939169, 1.0),
        (0.7248592428796667, 0.800126205084408, 0.6960934321026465, 1.0),
        (0.7188612485448663, 0.797199315460772, 0.6915721584188376, 1.0),
        (0.712840707065881, 0.7942853517324697, 0.6870929595632513, 1.0),
        (0.7067972223051004, 0.7913840842570615, 0.6826564067967675, 1.0),
        (0.700730397957674, 0.7884952778644844, 0.6782630708517513, 1.0),
        (0.6946398375648412, 0.7856186917391158, 0.6739135215439332, 1.0),
        (0.6885251445237093, 0.7827540793025654, 0.6696083273682165, 1.0),
        (0.6823859220949484, 0.7799011880964144, 0.6653480550814427, 1.0),
        (0.6762217734101813, 0.7770597596640954, 0.6611332692747457, 1.0),
        (0.670032301481358, 0.7742295294309988, 0.6569645319377305, 1.0),
        (0.6638171092147176, 0.7714102265818907, 0.6528424020163276, 1.0),
        (0.6575757994324034, 0.7686015739346664, 0.6487674349657708, 1.0),
        (0.6513079749051276, 0.7658032878094623, 0.6447401822997557, 1.0),
        (0.6450132383997044, 0.7630150778921287, 0.6407611911364365, 1.0),
        (0.6386911927456534, 0.7602366470910792, 0.6368310037415121, 1.0),
        (0.6323414409254813, 0.7574676913865331, 0.6329501570682624, 1.0),
        (0.6259635861936422, 0.7547078996712068, 0.6291191822939783, 1.0),
        (0.6195560972423146, 0.7519573115237727, 0.6253384926911927, 1.0),
        (0.6131191206125891, 0.7492154188267444, 0.6216087050224498, 1.0),
        (0.6066526905401022, 0.7464817491552264, 0.6179303860708607, 1.0),
        (0.6001564124519274, 0.7437559595200374, 0.6143040456187924, 1.0),
        (0.5936298933201958, 0.741037698847827, 0.6107301851240672, 1.0),
        (0.5870727421002424, 0.7383266077479672, 0.6072092971993915, 1.0),
        (0.5804845702488933, 0.7356223182652517, 0.6037418650719156, 1.0),
        (0.573864992332135, 0.732924453618105, 0.6003283620189618, 1.0),
        (0.5672131712764029, 0.7302327570205699, 0.5969692609600731, 1.0),
        (0.5605265661533928, 0.7275474322700725, 0.5936651120515977, 1.0),
        (0.5538072551957783, 0.7248673679611095, 0.5904163410524771, 1.0),
        (0.5470548736207613, 0.7221921468817738, 0.587223380497796, 1.0),
        (0.5402690647877386, 0.7195213413684249, 0.5840866494502513, 1.0),
        (0.5334494816269396, 0.716854512951071, 0.5810065526719623, 1.0),
        (0.5265932673521413, 0.7141918646847532, 0.5779837442967736, 1.0),
        (0.5197010257328687, 0.7115326679134365, 0.57501858768482, 1.0),
        (0.5127738759690678, 0.7088760718122418, 0.5721113127309582, 1.0),
        (0.5058115298480653, 0.7062215879970827, 0.5692622613027223, 1.0),
        (0.4988124547076916, 0.7035690215604038, 0.5664719533702552, 1.0),
        (0.4917741270603507, 0.7009183842407573, 0.5637411222277634, 1.0),
        (0.4846997162615552, 0.6982683108816962, 0.5610695620964349, 1.0),
        (0.4775890398856753, 0.6956182556045346, 0.5584575291026864, 1.0),
        (0.47043893513476226, 0.6929683367461523, 0.5559058726658481, 1.0),
        (0.4632498634530365, 0.6903178139102768, 0.5534147775766539, 1.0),
        (0.4560240745098563, 0.6876655632831356, 0.5509839689679422, 1.0),
        (0.4487598229028739, 0.6850113432670586, 0.5486140038956079, 1.0),
        (0.44145473397224533, 0.6823550079810395, 0.546305656763927, 1.0),
        (0.43411299012237997, 0.679695031973458, 0.5440580596655569, 1.0),
        (0.42673259888885234, 0.6770311866202419, 0.5418718349209996, 1.0),
        (0.41931195389355624, 0.6743631277083363, 0.5397475699351563, 1.0),
        (0.41185544816831043, 0.6716893377862353, 0.5376841277217632, 1.0),
        (0.40435934991728884, 0.6690098785171259, 0.5356826761355168, 1.0),
        (0.3968261890078972, 0.6663236061846556, 0.5337425455110953, 1.0),
        (0.3892580517875901, 0.6636294950347044, 0.5318631054022346, 1.0),
        (0.3816510562742471, 0.6609275747235535, 0.53004568301018, 1.0),
        (0.37401196821947624, 0.6582160193662683, 0.5282880419647098, 1.0),
        (0.36633682892498276, 0.6554948605761222, 0.5265915743478538, 1.0),
        (0.35863089280513627, 0.6527625972609284, 0.5249544352005412, 1.0),
        (0.35089362324653717, 0.6500187029053002, 0.5233768303957325, 1.0),
        (0.34312773486455506, 0.6472621506436357, 0.5218577640245062, 1.0),
        (0.3353355552299604, 0.6444920106677176, 0.5203963563323181, 1.0),
        (0.3275188103490195, 0.6417074699067216, 0.5189919719540164, 1.0),
        (0.31968144355112965, 0.6389074409416231, 0.5176430585409529, 1.0),
        (0.31182547581192177, 0.6360911463304157, 0.5163488722475469, 1.0),
        (0.30395552141617915, 0.63325751333785, 0.5151075596956975, 1.0),
        (0.2960748324121407, 0.6304057046767445, 0.513917876789468, 1.0),
        (0.28818811439628106, 0.6275347641630058, 0.512777947827029, 1.0),
        (0.2803003746086681, 0.6246437759477416, 0.5116857725517641, 1.0),
        (0.2724162323640093, 0.6217319406932721, 0.5106395912364674, 1.0),
        (0.2645425291505309, 0.6187983086880045, 0.509636579292934, 1.0),
        (0.25668401976060246, 0.6158422311486779, 0.5086750547256451, 1.0),
        (0.24884894418449716, 0.6128628192186394, 0.5077515718650475, 1.0),
        (0.24104301300870695, 0.6098595200479223, 0.5068641518721541, 1.0),
        (0.23327491432532121, 0.6068316286127127, 0.5060092633925865, 1.0),
        (0.2255521696872272, 0.6037786523436266, 0.505184161395405, 1.0),
        (0.21788350117398764, 0.6007001216855216, 0.5043855354959409, 1.0),
        (0.21027766191581498, 0.5975956842983583, 0.5036102222376415, 1.0),
        (0.20274431243275548, 0.5944650539898059, 0.5028546409645925, 1.0),
        (0.19529246362729058, 0.5913080959200208, 0.5021159025525619, 1.0),
        (0.18793343788385294, 0.5881246912104457, 0.501389631352292, 1.0),
        (0.18067610310133891, 0.5849149331180007, 0.5006736479698322, 1.0),
        (0.17353287830977498, 0.5816789154432452, 0.49996313150716426, 1.0),
        (0.1665133003434038, 0.5784169089899582, 0.49925614551453285, 1.0),
        (0.1596300036906864, 0.5751292412901443, 0.4985481743532479, 1.0),
        (0.15289370999089513, 0.5718163393279495, 0.4978371217540351, 1.0),
        (0.1463171276735238, 0.5684787369209852, 0.4971190242696298, 1.0),
        (0.13991195317359265, 0.5651170059000044, 0.49639183969535133, 1.0),
        (0.13369121065306, 0.5617318570854708, 0.4956519172255149, 1.0),
        (0.12766727323662108, 0.5583239554235876, 0.4948978636889358, 1.0),
        (0.12185355926371352, 0.5548942058020517, 0.49412565718656515, 1.0),
        (0.11626317544820686, 0.5514432364311973, 0.49333555571424764, 1.0),
        (0.11090917194198283, 0.5479722539284174, 0.4925220286879309, 1.0),
        (0.10580588684111705, 0.544481735760363, 0.4916873206428048, 1.0),
        (0.10096511273750161, 0.540973039762068, 0.4908260102866368, 1.0),
        (0.09640117372078827, 0.5374467824904107, 0.48993926612379674, 1.0),
        (0.09212706115366337, 0.5339038791645212, 0.489025797680176, 1.0),
        (0.0881511030326109, 0.5303457163263245, 0.48808171312932286, 1.0),
        (0.084488329725242, 0.5267726392289812, 0.48710972391597734, 1.0),
        (0.08114572394888117, 0.5231858403590215, 0.48610736304698116, 1.0),
        (0.07812721320542404, 0.5195865216476735, 0.48507257497436956, 1.0),
        (0.07544312997722566, 0.5159750173542568, 0.48400767292651586, 1.0),
        (0.07309574065371191, 0.5123522156200342, 0.48291199314835204, 1.0),
        (0.07107372065756568, 0.5087198306495863, 0.4817814896929001, 1.0),
        (0.06938287907938911, 0.5050778255979795, 0.4806197953737798, 1.0),
        (0.06801610562745827, 0.5014269919387287, 0.479426708152015, 1.0),
        (0.06696293828126623, 0.49776809899929836, 0.47820211181531785, 1.0),
        (0.06619782080433814, 0.4941027658684107, 0.4769429100625799, 1.0),
        (0.06571558023976076, 0.49043087472706165, 0.4756523204648348, 1.0),
        (0.0654982080788826, 0.48675308819181845, 0.4743305399824718, 1.0),
        (0.0655256606460356, 0.4830700650743401, 0.4729777438223161, 1.0),
        (0.06577673858968983, 0.4793824370720338, 0.47159416338320176, 1.0),
        (0.0662267704949237, 0.47569101361518534, 0.4701794827815657, 1.0),
        (0.06685019795786504, 0.47199663975381473, 0.4687333314519904, 1.0),
        (0.06763272639280798, 0.46829935829339114, 0.4672575858662253, 1.0),
        (0.06855374817251533, 0.4645996843636932, 0.4657526519729214, 1.0),
        (0.06959365457471067, 0.46089810632798306, 0.46421896806117674, 1.0),
        (0.07073403782879062, 0.4571950861446216, 0.4626570010388616, 1.0),
        (0.07195781915786156, 0.45349105981409227, 0.46106724295434115, 1.0),
        (0.07324931366840245, 0.4497864378980457, 0.4594502077591564, 1.0),
        (0.0745942440841523, 0.4460816060979165, 0.4578064283072902, 1.0),
        (0.07597971511267429, 0.442376925881608, 0.4561364535850266, 1.0),
        (0.07739415915996109, 0.43867273514767463, 0.4544408461640829, 1.0),
        (0.07882726258105521, 0.4349693489173894, 0.4527201798696427, 1.0),
        (0.08026987997778653, 0.43126706004597826, 0.4509750376540916, 1.0),
        (0.08171394242970148, 0.4275661399451892, 0.4492060096666722, 1.0),
        (0.08315236408743082, 0.42386683931020464, 0.4474136915088433, 1.0),
        (0.08457895032121596, 0.4201693888446985, 0.44559868266488584, 1.0),
        (0.08598830961259482, 0.41647399997858175, 0.4437615850971946, 1.0),
        (0.08737577058920215, 0.41278086557367694, 0.44190300199568855, 1.0),
        (0.08873730500447505, 0.40909016061320175, 0.4400235366709064, 1.0),
        (0.09006945702453717, 0.40540204287153236, 0.43812379158052206, 1.0),
        (0.09136927887187013, 0.4017166535612498, 0.43620436747929875, 1.0),
        (0.09263427266200572, 0.3980341179549674, 0.4342658626828025, 1.0),
        (0.0938623381314464, 0.3943545459798682, 0.4323088724355509, 1.0),
        (0.09505172587236094, 0.3906780327832829, 0.4303339883746661, 1.0),
        (0.0962000393322287, 0.38700476378406623, 0.428341626289989, 1.0),
        (0.0972999712375951, 0.3833354963232004, 0.4263312615677606, 1.0),
        (0.0983574188441344, 0.37966955485257586, 0.42430469367752033, 1.0),
        (0.09937169919107983, 0.37600697844685077, 0.4222625006231348, 1.0),
        (0.10034231193658097, 0.372347793683504, 0.42020525489683386, 1.0),
        (0.10126891675295394, 0.3686920150348446, 0.418133523349064, 1.0),
        (0.1021513134274244, 0.36503964522611665, 0.41604786710516556, 1.0),
        (0.10298843203072086, 0.361390799132385, 0.4139486582680418, 1.0),
        (0.10377192098116816, 0.3577465259466254, 0.4118348877541359, 1.0),
        (0.10451122013349001, 0.3541056562885775, 0.40970880929569814, 1.0),
        (0.10520655918562505, 0.3504681464569319, 0.4075709632165071, 1.0),
        (0.10585823765097085, 0.3468339423292918, 0.40542188384334044, 1.0),
        (0.10646661585926029, 0.34320297953561457, 0.40326209960373616, 1.0),
        (0.1070239159802941, 0.33957631472112365, 0.40109056488335965, 1.0),
        (0.10753552583796055, 0.33595322822997353, 0.3989087127976621, 1.0),
        (0.1080052802278752, 0.33233317285508995, 0.3967176863054378, 1.0),
        (0.10843372942019297, 0.32871604218289036, 0.39451799175563695, 1.0),
        (0.10882020961650732, 0.3251019032868823, 0.39230988436925635, 1.0),
        (0.1091556968975303, 0.32149208124289785, 0.3900919340676701, 1.0),
        (0.1094518269158459, 0.317884843143513, 0.3878667847148203, 1.0),
        (0.10970925598830222, 0.3142800415550653, 0.3856349205402823, 1.0),
        (0.10992865565738108, 0.3106775192369479, 0.38339682054720553, 1.0),
        (0.11009863156119062, 0.3070790351009553, 0.3811504545068738, 1.0),
        (0.11023172888252869, 0.3034825829921489, 0.3788986922133657, 1.0),
        (0.11032907858735108, 0.29988790836522616, 0.37664208190503534, 1.0),
        (0.11038934488940394, 0.29629515531984324, 0.37438064013689515, 1.0),
        (0.11040471143399874, 0.2927055780381122, 0.37211294845390636, 1.0),
        (0.11038673492791196, 0.28911717591152347, 0.3698417464033081, 1.0),
        (0.1103361572207214, 0.28552971634466867, 0.3675674754730825, 1.0),
        (0.11024601521822622, 0.2819443225282239, 0.3652888319764409, 1.0),
        (0.11011982945118864, 0.2783603021914853, 0.3630068099573609, 1.0),
        (0.10996353426338537, 0.2747764822051755, 0.36072298928723334, 1.0),
        (0.10977489102103588, 0.2711931376089152, 0.3584370856671011, 1.0),
        (0.10954787638028135, 0.2676112773022404, 0.3561478615212891, 1.0),
        (0.10929328089212006, 0.2640287615628073, 0.3538580573547517, 1.0),
        (0.10901162871196515, 0.2604453159192556, 0.35156802149139127, 1.0),
        (0.10869133290906238, 0.2568630402753478, 0.3492750549670108, 1.0),
        (0.10834600042971243, 0.25327912991206764, 0.3469826761312421, 1.0),
        (0.1079763885418836, 0.249693220905783, 0.3446912766824791, 1.0),
        (0.10757131408895801, 0.246107394694901, 0.34239809264138377, 1.0),
        (0.10714288625683022, 0.24251899208772326, 0.3401063918909077, 1.0),
        (0.10669271924983847, 0.23892742439689868, 0.3378167764830257, 1.0),
        (0.10620936402760611, 0.23533489325416818, 0.33552622480193456, 1.0),
        (0.10570550663168973, 0.23173845389199682, 0.3332383062494437, 1.0),
        (0.10518145560070136, 0.22813773765391493, 0.3309532535866356, 1.0),
        (0.10462726649093748, 0.2245346804307608, 0.32866827044468555, 1.0),
        (0.10405562473428215, 0.22092614727037163, 0.3263871052200472, 1.0),
        (0.10346374868174249, 0.2173124203806321, 0.32410904193108203, 1.0),
        (0.10284688451698107, 0.2136942776676366, 0.3218326666201724, 1.0),
        (0.10221504546897894, 0.2100689913462399, 0.31956111953767874, 1.0),
        (0.10156202778204004, 0.20643764000656367, 0.31729251257091484, 1.0),
        (0.10089002415883155, 0.2027992883367119, 0.31502755537371274, 1.0),
        (0.10020548584305433, 0.19915186346254954, 0.3127684262427184, 1.0),
        (0.09949803783218733, 0.19549750588703224, 0.31051167637788973, 1.0),
        (0.09877832247043097, 0.19183298895561277, 0.3082609202522415, 1.0),
        (0.09804493118338306, 0.188158089896748, 0.3060157402408537, 1.0),
        (0.09729328810023782, 0.1844734436312415, 0.30377451039212516, 1.0),
        (0.09653316478613683, 0.18077575624605996, 0.3015407883893915, 1.0),
        (0.09575619444438938, 0.17706662900752737, 0.29931152840873804, 1.0),
        (0.09496899572502049, 0.17334347258550398, 0.2970892156823352, 1.0),
        (0.09417284157369982, 0.1696050767223751, 0.2948744162588471, 1.0),
        (0.09336173420340779, 0.16585232745581377, 0.2926648040593684, 1.0),
        (0.09254607948203208, 0.16208116657054633, 0.29046458254575186, 1.0),
        (0.09171714479257989, 0.158293194235617, 0.28827027985078746, 1.0),
        (0.09088231952195491, 0.15448500376270452, 0.28608501250837504, 1.0),
        (0.09004099984169053, 0.15065550998701535, 0.28390866542075427, 1.0),
        (0.08919012906146845, 0.1468043594975815, 0.28174001954475725, 1.0),
        (0.08833858505105957, 0.14292709100110026, 0.27958315378425364, 1.0),
        (0.08747533041314431, 0.13902580521652796, 0.2774332852121961, 1.0),
        (0.08661249189260348, 0.13509449712385518, 0.27529614320653195, 1.0),
        (0.08574385298640458, 0.1311333174761502, 0.2731691209373901, 1.0),
        (0.08487294239495335, 0.1271387529060028, 0.2710541708402016, 1.0),
        (0.08400180885962133, 0.12310748808926567, 0.26895266990641714, 1.0),
        (0.08312616532498407, 0.11903837294630487, 0.2668628892216622, 1.0),
        (0.08225559928700268, 0.11492440797272951, 0.26479016778008574, 1.0),
    ],
    'cmo.thermal': [
        (0.015556013331540799, 0.13824424546464084, 0.2018108864558305, 1.0),
        (0.01620183633850513, 0.14105074288662173, 0.20897651254408078, 1.0),
        (0.01685648942708359, 0.14382701436218343, 0.21623868044760436, 1.0),
        (0.017526400647825284, 0.14657172506679966, 0.223599699683326, 1.0),
        (0.01821871873545745, 0.14928346382380617, 0.23106186935280404, 1.0),
        (0.018941378369021544, 0.15196073496435802, 0.2386274839825403, 1.0),
        (0.01969967580211434, 0.15460145133852177, 0.2463049741539925, 1.0),
        (0.020503315127140914, 0.157203779485642, 0.2540971092002057, 1.0),
        (0.02136720981691052, 0.15976645008644966, 0.26199914590368084, 1.0),
        (0.022303406774609756, 0.16228755369440137, 0.27001321141123913, 1.0),
        (0.02332520459934066, 0.16476505482550094, 0.2781413941166567, 1.0),
        (0.024447278236844824, 0.16719678243498234, 0.28638572702162585, 1.0),
        (0.025685816291650603, 0.16958042033133544, 0.2947481661145329, 1.0),
        (0.027058671851373926, 0.17191349765849873, 0.30323056309247975, 1.0),
        (0.028585527643947253, 0.1741933796245943, 0.3118346316168388, 1.0),
        (0.03028807626872338, 0.17641725871610026, 0.32056190614579816, 1.0),
        (0.032190216097775136, 0.17858214671238393, 0.32941369222834893, 1.0),
        (0.03431826321592867, 0.1806848679100377, 0.33839100697329016, 1.0),
        (0.03670117943457189, 0.18272205408291475, 0.34749450822554256, 1.0),
        (0.039370815947033844, 0.1846901418460877, 0.35672441079352574, 1.0),
        (0.042304741163601826, 0.18658537326432548, 0.3660803878810173, 1.0),
        (0.0454412843165637, 0.18840380075243815, 0.37556145569341703, 1.0),
        (0.048798894592565444, 0.19014129756004725, 0.3851658390246699, 1.0),
        (0.05238564999909288, 0.1917935754201579, 0.39489081550577426, 1.0),
        (0.05620896927989653, 0.19335621127078723, 0.4047325361348015, 1.0),
        (0.060275609713176435, 0.19482468533005756, 0.4146858197468099, 1.0),
        (0.0645951913792415, 0.1961877478810098, 0.4247714594384869, 1.0),
        (0.06917293885235362, 0.19744583346763395, 0.4349572770994128, 1.0),
        (0.07401397924875777, 0.19859437346292247, 0.44523225498656266, 1.0),
        (0.07912632580773252, 0.1996251445642635, 0.45559655554449024, 1.0),
        (0.08452074659970571, 0.20052842125954135, 0.46605087322539746, 1.0),
        (0.09019392390291772, 0.2013079448693052, 0.47654787791351255, 1.0),
        (0.09616430834359416, 0.20194725295148624, 0.4871044455010897, 1.0),
        (0.10242539874668813, 0.2024520213616346, 0.4976646226688279, 1.0),
        (0.10899442702495121, 0.20280888558325388, 0.5082270885561683, 1.0),
        (0.11585973516266682, 0.2030273547727351, 0.5187245256305992, 1.0),
        (0.12304242634434309, 0.20309379703068342, 0.5291483757425789, 1.0),
        (0.13052766946136096, 0.20302178164248064, 0.5394201195013325, 1.0),
        (0.13830991252152922, 0.202819561373477, 0.5494767764101642, 1.0),
        (0.14637970601506853, 0.20250017692775046, 0.5592461312000727, 1.0),
        (0.15471863262808744, 0.20208506808526183, 0.56864226209659, 1.0),
        (0.16329704990775173, 0.20160546411933639, 0.5775676861911989, 1.0),
        (0.17207282317497322, 0.20110272912781796, 0.5859183845130114, 1.0),
        (0.18099176221810628, 0.20062705242843215, 0.593591818607864, 1.0),
        (0.18999021995742105, 0.20023415835648706, 0.6004970669758479, 1.0),
        (0.19899974419406802, 0.19998029273013757, 0.6065651516258429, 1.0),
        (0.2079529779081165, 0.19991642567386514, 0.6117570630961893, 1.0),
        (0.21678951602164598, 0.20008303402379002, 0.6160673924886362, 1.0),
        (0.22546042571503655, 0.20050670816546434, 0.6195227918364496, 1.0),
        (0.23393063020234023, 0.20119919840576933, 0.6221760825969699, 1.0),
        (0.24217906839492115, 0.20215871627233217, 0.6240979346009031, 1.0),
        (0.2501971277034635, 0.20337273145067664, 0.625368243352074, 1.0),
        (0.2579861074778474, 0.20482134175919747, 0.6260687943604991, 1.0),
        (0.2655544225081862, 0.20648046943023657, 0.6262779744769026, 1.0),
        (0.2729150389729214, 0.20832445576036884, 0.626067576730132, 1.0),
        (0.2800833915559314, 0.21032791942986045, 0.6255013265069015, 1.0),
        (0.28706750740330417, 0.21246913864072653, 0.6246420009551492, 1.0),
        (0.29388513606279454, 0.2147254304183257, 0.6235380183242871, 1.0),
        (0.30055772134613623, 0.21707565146197155, 0.6222251903624, 1.0),
        (0.3070843773107185, 0.219505980201521, 0.6207554984633753, 1.0),
        (0.3134916285549605, 0.22199831003913523, 0.6191452159520037, 1.0),
        (0.3197798380866584, 0.22454203566029374, 0.6174343435010864, 1.0),
        (0.3259695527216342, 0.22712412378631391, 0.6156329324235469, 1.0),
        (0.3320579089479565, 0.2297373625924511, 0.6137771467682859, 1.0),
        (0.3380660052498126, 0.2323715331127139, 0.6118660583919268, 1.0),
        (0.34399174205251376, 0.23502150765272706, 0.6099280657295181, 1.0),
        (0.34984606856187234, 0.23768089458696007, 0.6079694872801727, 1.0),
        (0.355638458018118, 0.2403444043084655, 0.6059953497614897, 1.0),
        (0.36136862955584764, 0.24300891538364394, 0.6040241385974032, 1.0),
        (0.3670434468015163, 0.24567078321674146, 0.6020607616318823, 1.0),
        (0.37267087856159326, 0.24832669647222555, 0.6001059364008434, 1.0),
        (0.3782547954216435, 0.2509743622345631, 0.5981656274234779, 1.0),
        (0.38379608226889167, 0.25361228346436304, 0.5962498766549472, 1.0),
        (0.3892988345534371, 0.2562387736058999, 0.594361804997624, 1.0),
        (0.3947690991030737, 0.2588520700720948, 0.5924996351953922, 1.0),
        (0.4002098946086878, 0.26145106597703455, 0.5906660913059953, 1.0),
        (0.40562409093791035, 0.2640348396856425, 0.5888633104220149, 1.0),
        (0.4110144223076953, 0.266602624643428, 0.5870929096766684, 1.0),
        (0.41638321728018857, 0.26915383449755276, 0.585356595138856, 1.0),
        (0.42173132310073763, 0.2716882525666768, 0.5836583632684496, 1.0),
        (0.42706343453096, 0.27420503062640733, 0.5819941042354171, 1.0),
        (0.43238181048971136, 0.2767038027770707, 0.5803639256565889, 1.0),
        (0.4376886243188534, 0.27918426251430606, 0.5787676418773346, 1.0),
        (0.44298596966437376, 0.2816461519867727, 0.5772048027503156, 1.0),
        (0.44827586549027204, 0.28408925312591227, 0.5756747186760452, 1.0),
        (0.45356026028639157, 0.2865133804028728, 0.5741764823913097, 1.0),
        (0.45884103552590655, 0.288918375000015, 0.5727089879419176, 1.0),
        (0.46412000842361484, 0.2913041002126984, 0.5712709472315609, 1.0),
        (0.4693989340425177, 0.2936704379215549, 0.5698609044983501, 1.0),
        (0.47467950679335086, 0.29601728599654775, 0.5684772490345112, 1.0),
        (0.47996336136971124, 0.2983445565121623, 0.5671182264323321, 1.0),
        (0.4852520731601698, 0.30065217466834365, 0.565781948610285, 1.0),
        (0.4905471581781304, 0.30294007832472053, 0.5644664028469251, 1.0),
        (0.49585007255021457, 0.30520821806641846, 0.5631694600262432, 1.0),
        (0.5011622116043697, 0.30745655772877606, 0.5618888822762295, 1.0),
        (0.5064849085998189, 0.3096850753156841, 0.560622330162177, 1.0),
        (0.5118194331420761, 0.31189376425240567, 0.5593673695773669, 1.0),
        (0.5171669893275794, 0.31408263491877814, 0.5581214784559523, 1.0),
        (0.52252871366388, 0.31625171641284816, 0.5568820534159195, 1.0),
        (0.5279056728126165, 0.31840105849846967, 0.5556464164236832, 1.0),
        (0.5332988612036094, 0.3205307336933521, 0.5544118215561066, 1.0),
        (0.5387091985692399, 0.3226408394566178, 0.5531754619204082, 1.0),
        (0.5441375274486375, 0.3247315004373091, 0.551934476777456, 1.0),
        (0.5495846107110636, 0.32680287074753156, 0.5506859588994192, 1.0),
        (0.5550511291471262, 0.3288551362262009, 0.549426962178624, 1.0),
        (0.5605376791749926, 0.33088851666170865, 0.5481545094908906, 1.0),
        (0.5660447559653562, 0.3329032737201366, 0.546865629096665, 1.0),
        (0.5715723572408056, 0.3348998704862336, 0.5455581199822508, 1.0),
        (0.577121310428943, 0.336878448643229, 0.5442280104688512, 1.0),
        (0.5826918609018116, 0.33883938062594116, 0.5428722728323092, 1.0),
        (0.588284161005071, 0.3407830824811499, 0.5414878910241607, 1.0),
        (0.5938982692324898, 0.3427100153754325, 0.5400718694374621, 1.0),
        (0.5995341497366565, 0.344620686926, 0.5386212416598933, 1.0),
        (0.605191672186175, 0.34651565234936754, 0.537133079145422, 1.0),
        (0.6108706119725975, 0.34839551542678215, 0.5356044997333839, 1.0),
        (0.6165706507631435, 0.35026092928951547, 0.534032675943247, 1.0),
        (0.6222913773881608, 0.3521125970311436, 0.5324148429745681, 1.0),
        (0.6280322890453093, 0.35395127215788635, 0.5307483063447554, 1.0),
        (0.6337927927958686, 0.35577775889170465, 0.5290304491020394, 1.0),
        (0.6395721854014133, 0.3575929224264805, 0.5272587829694529, 1.0),
        (0.6453697498455219, 0.3593976455700172, 0.5254307632896803, 1.0),
        (0.6511846984697031, 0.36119285495278036, 0.5235439096149941, 1.0),
        (0.6570160963803247, 0.36297955796848924, 0.5215959730192854, 1.0),
        (0.662862928356282, 0.364758813268274, 0.51958481096754, 1.0),
        (0.6687241012633005, 0.366531730670847, 0.5175083912494202, 1.0),
        (0.6745984464659754, 0.3682994710922304, 0.5153647953022982, 1.0),
        (0.6804847221871189, 0.3700632465224874, 0.513152220938634, 1.0),
        (0.6863816157645579, 0.3718243200760849, 0.5108689845040223, 1.0),
        (0.6922877457570544, 0.37358400614116233, 0.5085135225034096, 1.0),
        (0.6982016638532076, 0.3753436706510841, 0.5060843927435033, 1.0),
        (0.7041218565401858, 0.3771047314992945, 0.5035802750493091, 1.0),
        (0.7100468845018955, 0.3788685911907691, 0.5009996451582281, 1.0),
        (0.7159752518731293, 0.38063670179786635, 0.4983410633235164, 1.0),
        (0.721905025476091, 0.3824107548202066, 0.4956041045679996, 1.0),
        (0.7278344332015346, 0.3841923879692217, 0.492787948314018, 1.0),
        (0.7337616407032358, 0.3859832960516178, 0.4898918977085311, 1.0),
        (0.7396847510296571, 0.38778523244612817, 0.4869153794944617, 1.0),
        (0.7456018038508585, 0.38960001075795564, 0.48385794404037125, 1.0),
        (0.7515107742785041, 0.3914295066368485, 0.4807192656291402, 1.0),
        (0.7574095712835626, 0.3932756597383702, 0.4774991431076147, 1.0),
        (0.7632960357235062, 0.3951404758009958, 0.4741975009994948, 1.0),
        (0.7691679379984674, 0.3970260288041012, 0.4708143911830061, 1.0),
        (0.775022975364167, 0.39893446316360887, 0.46734999523312, 1.0),
        (0.7808587689384376, 0.40086799591301037, 0.4638046275250513, 1.0),
        (0.7866728604480875, 0.4028289188075652, 0.46017873919138147, 1.0),
        (0.7924627087737056, 0.404819600278673, 0.45647292301911163, 1.0),
        (0.7982256863620216, 0.4068424871537119, 0.4526879193650572, 1.0),
        (0.8039590755885861, 0.4089001060440321, 0.4488246231577861, 1.0),
        (0.8096600651680348, 0.41099506429037364, 0.44488409204143814, 1.0),
        (0.8153258420561761, 0.413130007258232, 0.44086720057071005, 1.0),
        (0.8209533846301936, 0.4153077124896902, 0.4367753702901882, 1.0),
        (0.8265394587133883, 0.4175310847974927, 0.4326106584748535, 1.0),
        (0.8320808476618816, 0.4198030498289601, 0.42837489120561767, 1.0),
        (0.8375742298072512, 0.42212660638942423, 0.4240701127101389, 1.0),
        (0.8430161781421202, 0.4245048216497959, 0.41969859978974927, 1.0),
        (0.8484031611801809, 0.42694082479318446, 0.4152628771038664, 1.0),
        (0.8537315452228416, 0.42943779890321876, 0.410765733130543, 1.0),
        (0.8589975982777037, 0.4319989708985696, 0.4062102365684474, 1.0),
        (0.8641974958823695, 0.43462759932722356, 0.4015997528869853, 1.0),
        (0.8693273290890854, 0.4373269598520186, 0.39693796066844417, 1.0),
        (0.874383114859191, 0.440100328287653, 0.3922288673203609, 1.0),
        (0.8793608090992057, 0.44295096109057586, 0.3874768236699652, 1.0),
        (0.884256322540282, 0.4458820732584556, 0.38268653688832266, 1.0),
        (0.8890655396175203, 0.44889681366634854, 0.3778630811333164, 1.0),
        (0.8937843693689974, 0.45199824049733944, 0.37301160144257006, 1.0),
        (0.8984086715918496, 0.45518929004870207, 0.3681382748140558, 1.0),
        (0.9029343899688814, 0.4584727367754223, 0.3632494215164466, 1.0),
        (0.9073575586033109, 0.4618511663085561, 0.3583516614288674, 1.0),
        (0.9116743277656134, 0.4653269421603677, 0.3534519722899168, 1.0),
        (0.9158809992051784, 0.4689021723136149, 0.34855766996190674, 1.0),
        (0.9199740625655836, 0.47257867672703685, 0.3436763818638891, 1.0),
        (0.9239502320744639, 0.4763579567194723, 0.3388160133952918, 1.0),
        (0.9278064825504417, 0.48024116725702753, 0.3339847073943023, 1.0),
        (0.9315400836682339, 0.48422909318759705, 0.3291907969273191, 1.0),
        (0.9351486313601244, 0.48832213043652256, 0.3244427519772631, 1.0),
        (0.9386300752174523, 0.49252027309055885, 0.3197491208755644, 1.0),
        (0.9419827407976891, 0.49682310715260664, 0.3151184675888816, 1.0),
        (0.9452053458453827, 0.5012298115494861, 0.31055930620928, 1.0),
        (0.9482970095990234, 0.5057391667267316, 0.306080034187972, 1.0),
        (0.9512572545755481, 0.5103495708806106, 0.30168886598175115, 1.0),
        (0.9540860004899644, 0.5150590635745327, 0.2973937688352702, 1.0),
        (0.9567835502644689, 0.5198653561843506, 0.2932024023936338, 1.0),
        (0.9593505683914355, 0.5247658683349885, 0.289122063726538, 1.0),
        (0.9617880522174246, 0.5297577692490467, 0.2851596391521898, 1.0),
        (0.9640972969908582, 0.5348380227429672, 0.28132156398730335, 1.0),
        (0.9662798557460374, 0.5400034344900019, 0.27761379103491124, 1.0),
        (0.9683374952663609, 0.5452507001277228, 0.2740417682745931, 1.0),
        (0.9702721494708056, 0.5505764528210163, 0.27061042586199074, 1.0),
        (0.9720889605050128, 0.5559744240639273, 0.26733230572851496, 1.0),
        (0.9737882391976737, 0.5614431075234689, 0.2642051375197136, 1.0),
        (0.9753722517954447, 0.5669791681305654, 0.26123210436073513, 1.0),
        (0.9768433321430202, 0.5725792962307278, 0.2584161030939571, 1.0),
        (0.978203755076359, 0.5782403184217296, 0.2557595328984586, 1.0),
        (0.9794556966363962, 0.5839592236834147, 0.25326432412228395, 1.0),
        (0.9806011989875686, 0.58973318383579, 0.2509319710696592, 1.0),
        (0.9816445119805891, 0.595557644502105, 0.24876746140531764, 1.0),
        (0.9825957966513862, 0.6014235301335163, 0.24678388862201112, 1.0),
        (0.9834484089207011, 0.6073354334336248, 0.24496691674741777, 1.0),
        (0.9842037798764917, 0.6132913094304376, 0.24331643158613364, 1.0),
        (0.984863090176353, 0.6192893396808168, 0.2418320393357376, 1.0),
        (0.9854335855591604, 0.6253232095344845, 0.2405207443125048, 1.0),
        (0.9859266054527726, 0.6313839151833325, 0.23939249556833203, 1.0),
        (0.986329078808121, 0.6374805817839867, 0.23842850052710096, 1.0),
        (0.9866412575432023, 0.6436122274808632, 0.2376272705850792, 1.0),
        (0.9868743031654043, 0.6497702193582077, 0.2369977788720154, 1.0),
        (0.9870387195949218, 0.6559468364085242, 0.2365460008515471, 1.0),
        (0.9871160198111447, 0.6621544902577213, 0.2362516434857292, 1.0),
        (0.9871054832314209, 0.6683929123881801, 0.23611250931701094, 1.0),
        (0.9870452158568818, 0.6746361467497961, 0.23615516408559517, 1.0),
        (0.9869008071972435, 0.6809069196703932, 0.23634896083634738, 1.0),
        (0.9866692878063003, 0.6872064512263131, 0.2366900769944742, 1.0),
        (0.9863929517876754, 0.6935072010148546, 0.2372025181179538, 1.0),
        (0.9860358081545987, 0.6998320059248219, 0.23785913082733845, 1.0),
        (0.9855936903889445, 0.7061828277187244, 0.23865534671373595, 1.0),
        (0.985116676068181, 0.7125285611733752, 0.23961378464975586, 1.0),
        (0.9845515404596056, 0.718901634870693, 0.24070274652398377, 1.0),
        (0.9839219208542443, 0.7252873073536283, 0.2419304971970358, 1.0),
        (0.9832411577231265, 0.7316776102841333, 0.24329811021760384, 1.0),
        (0.9824686360853926, 0.7380960010628512, 0.2447853973017023, 1.0),
        (0.9816675490572134, 0.7445058075421049, 0.2464118597749721, 1.0),
        (0.9807811261674898, 0.7509394073137782, 0.24815276245045803, 1.0),
        (0.9798377198237013, 0.7573804700508822, 0.2500137146942527, 1.0),
        (0.978839265458651, 0.7638279008720278, 0.2519905378906656, 1.0),
        (0.9777574675384567, 0.770296904750519, 0.2540716600569991, 1.0),
        (0.9766479350869351, 0.7767573771217612, 0.256266407083425, 1.0),
        (0.9754356977304895, 0.7832491288133777, 0.2585534361426328, 1.0),
        (0.9742107025732686, 0.7897246981741067, 0.26094721036697005, 1.0),
        (0.9728835679779427, 0.7962305102434533, 0.26342619832724345, 1.0),
        (0.9715297353896645, 0.8027276438790406, 0.2659994820979044, 1.0),
        (0.970086134837361, 0.8092479763321948, 0.2686528986078252, 1.0),
        (0.9686057099481874, 0.8157648637457888, 0.27138992938800466, 1.0),
        (0.967043069160827, 0.8223006128282059, 0.27420073280666335, 1.0),
        (0.9654377156641302, 0.8288358297838602, 0.2770858440538391, 1.0),
        (0.9637524161478507, 0.8353882936883591, 0.28003762625495093, 1.0),
        (0.9620231537308009, 0.8419407901977009, 0.28305544485779377, 1.0),
        (0.960210488502386, 0.8485116373841136, 0.2861325388392048, 1.0),
        (0.9583576301078739, 0.8550807238511935, 0.28926815137068224, 1.0),
        (0.956411752870728, 0.8616719638797333, 0.2924557053792813, 1.0),
        (0.9544348419615948, 0.8682572954460299, 0.2956947937778981, 1.0),
        (0.9523487086523742, 0.8748712522095133, 0.29897881641458274, 1.0),
        (0.9502464564071694, 0.8814728114137494, 0.3023077648025994, 1.0),
        (0.948014130728471, 0.8881110895508604, 0.30567519634043294, 1.0),
        (0.9457819798963852, 0.8947301765899248, 0.30908112084085126, 1.0),
        (0.943419864615293, 0.9013849121338212, 0.3125200216900484, 1.0),
        (0.941028615969167, 0.9080328518084608, 0.3159906396320989, 1.0),
        (0.9385331275251968, 0.9147047487143539, 0.3194893313796646, 1.0),
        (0.935971108343295, 0.921384812614979, 0.3230138415459749, 1.0),
        (0.9333375985220992, 0.928074834184405, 0.3265615469169363, 1.0),
        (0.930591565440312, 0.9347905093445135, 0.33012998103815777, 1.0),
        (0.9278142496620382, 0.9414998557883345, 0.3337168327083648, 1.0),
        (0.9248899165263079, 0.948247019741531, 0.33731996777333784, 1.0),
        (0.9219411401959985, 0.9549849147932995, 0.3409370492608515, 1.0),
        (0.9188613878011584, 0.9617532494963948, 0.34456629972324265, 1.0),
        (0.9156931782520092, 0.9685354904254356, 0.34820569007261515, 1.0),
        (0.9124490701578419, 0.9753266872784462, 0.3518533597970245, 1.0),
        (0.9090418416674036, 0.9821574063216706, 0.3555078064299531, 1.0),
    ],
    'cmo.topo': [
        (0.15610197465072734, 0.10260825258757111, 0.1727215696232308, 1.0),
        (0.1614878059346169, 0.10863317827176164, 0.18344165402006055, 1.0),
        (0.16681175908778648, 0.11459941394022388, 0.19425946558476556, 1.0),
        (0.17207032750741474, 0.12051291740470568, 0.20518607105329312, 1.0),
        (0.17725957029514347, 0.12637928590472847, 0.21623093617021305, 1.0),
        (0.18237518287617935, 0.1322038111876146, 0.22740209898688274, 1.0),
        (0.1874125186315798, 0.137991547683103, 0.23870628806801875, 1.0),
        (0.19236657606855995, 0.1437473901381049, 0.25014898231404115, 1.0),
        (0.1972319620276793, 0.1494761585027865, 0.26173441193145697, 1.0),
        (0.2020028382233076, 0.15518268900513338, 0.2734655011163185, 1.0),
        (0.20667285604288466, 0.16087193117310625, 0.2853437530392856, 1.0),
        (0.2112350828916275, 0.1665490510713015, 0.29736907728346246, 1.0),
        (0.21568192233833688, 0.17221954123328223, 0.30953955936471184, 1.0),
        (0.22000278653621824, 0.17788890966270784, 0.3218593457818205, 1.0),
        (0.22418213028926431, 0.18356265937485186, 0.3343431537784406, 1.0),
        (0.22821551516159005, 0.189249373478215, 0.34695853128541904, 1.0),
        (0.23209137079088465, 0.19495728076419955, 0.35969247276562255, 1.0),
        (0.23577915820662154, 0.20069365048434634, 0.3725810406048238, 1.0),
        (0.23927600851010022, 0.20647121275469993, 0.385561633864815, 1.0),
        (0.24254746131439625, 0.2123011804696942, 0.3986531809377649, 1.0),
        (0.24558179506442418, 0.2181991605590305, 0.41179551607073306, 1.0),
        (0.24833066069505955, 0.22418176674023343, 0.42500331672496205, 1.0),
        (0.2507721436866523, 0.2302701237479483, 0.43820368141264204, 1.0),
        (0.2528659964243426, 0.23648829128344162, 0.45134461412137555, 1.0),
        (0.2545675711557804, 0.24286438430062485, 0.4643557571030282, 1.0),
        (0.25583227948706294, 0.2494300496133809, 0.4771399728195322, 1.0),
        (0.25661512128700836, 0.25621954538695263, 0.48957707549973145, 1.0),
        (0.25687290827394005, 0.26326808064985996, 0.5015251413221865, 1.0),
        (0.256605165171169, 0.2706008890121901, 0.5127963599343589, 1.0),
        (0.2558254018044066, 0.278232807790924, 0.5232189983935347, 1.0),
        (0.25459786369881865, 0.2861560770732185, 0.532637018668182, 1.0),
        (0.2530378388279626, 0.2943355684042912, 0.5409499814033099, 1.0),
        (0.25128176510025363, 0.3027167370222473, 0.548142266446432, 1.0),
        (0.24946823758672887, 0.31123536052771755, 0.5542766318947623, 1.0),
        (0.24771570023628786, 0.31982990951562845, 0.5594704462476631, 1.0),
        (0.2461121481740834, 0.3284495884603169, 0.5638648470620499, 1.0),
        (0.2447220255685461, 0.3370546900675063, 0.5676029832475817, 1.0),
        (0.24357904089183757, 0.34561997098801733, 0.570812754167077, 1.0),
        (0.2426978313653707, 0.3541305556383862, 0.5736016010478481, 1.0),
        (0.24209469653834753, 0.3625739944720036, 0.5760653956197257, 1.0),
        (0.2417595622535183, 0.37094937515477133, 0.5782729391945388, 1.0),
        (0.24168970181627036, 0.3792548337300427, 0.5802858143751018, 1.0),
        (0.2418784445905286, 0.38749100277934106, 0.5821542521747483, 1.0),
        (0.24230912946824296, 0.39566275420732605, 0.5839131390484205, 1.0),
        (0.2429695407602901, 0.40377383937366695, 0.5855939512690607, 1.0),
        (0.24384617921880847, 0.41182872079425453, 0.5872218507211212, 1.0),
        (0.24492561397847784, 0.41983197654187776, 0.5888176525512366, 1.0),
        (0.24619263323038043, 0.4277888629705645, 0.5903967722170088, 1.0),
        (0.24763144367389273, 0.43570484383280844, 0.5919706842419948, 1.0),
        (0.24922751760712836, 0.44358493230736007, 0.5935491293785424, 1.0),
        (0.2509665668417217, 0.4514340415062205, 0.595139510367386, 1.0),
        (0.25283468620218746, 0.4592569393176054, 0.5967472668238707, 1.0),
        (0.254818474079441, 0.46705821833999533, 0.5983761730113198, 1.0),
        (0.2569051367797046, 0.4748422758923548, 0.6000285749995882, 1.0),
        (0.2590825816132031, 0.4826133005480903, 0.6017055804809932, 1.0),
        (0.261339698748982, 0.49037519924218836, 0.6034074237284018, 1.0),
        (0.2636659810857353, 0.4981317406526837, 0.6051330956906521, 1.0),
        (0.26605165828746213, 0.5058865272594797, 0.6068805013837573, 1.0),
        (0.2684882380171458, 0.5136428405367017, 0.6086470522439325, 1.0),
        (0.2709683308416186, 0.521403717298315, 0.6104294711750373, 1.0),
        (0.2734857257205313, 0.5291719440816851, 0.6122238564648386, 1.0),
        (0.2760354668808263, 0.5369500509042624, 0.6140257392505246, 1.0),
        (0.2786139324558263, 0.544740304345275, 0.6158301364812403, 1.0),
        (0.28121891514467584, 0.552544699951864, 0.6176316008625786, 1.0),
        (0.2838497050469648, 0.5603649539888248, 0.6194242689076802, 1.0),
        (0.28650717473479514, 0.5682024945496734, 0.6212019079466474, 1.0),
        (0.28919352931059733, 0.5760585509806988, 0.6229575870601862, 1.0),
        (0.29191326610239127, 0.5839338872257092, 0.6246846842638799, 1.0),
        (0.2946726143633343, 0.5918289843891731, 0.6263762188290395, 1.0),
        (0.2974797079780254, 0.5997440045832754, 0.6280249877540685, 1.0),
        (0.30034471932798235, 0.6076787658883653, 0.6296236627075371, 1.0),
        (0.3032799496578738, 0.6156327286641397, 0.6311648425953061, 1.0),
        (0.3062999162775807, 0.6236049805794583, 0.6326411091031564, 1.0),
        (0.3094214341373542, 0.6315942201545601, 0.6340450861601971, 1.0),
        (0.31266368852038245, 0.6395987386132338, 0.6353695045172914, 1.0),
        (0.3160482946464281, 0.6476163998706648, 0.6366072729215249, 1.0),
        (0.31959933887332576, 0.655644618542236, 0.6377515576836865, 1.0),
        (0.32334339493443087, 0.6636803359579184, 0.6387958727683987, 1.0),
        (0.3273095072934469, 0.6717199943156247, 0.6397341828681051, 1.0),
        (0.3315291322901113, 0.6797595093162658, 0.6405610222271947, 1.0),
        (0.3360351011011303, 0.687794582765948, 0.6412695960850323, 1.0),
        (0.34086403182019126, 0.6958197818437617, 0.6418569321473705, 1.0),
        (0.34605404670046425, 0.7038291754672099, 0.6423205839967465, 1.0),
        (0.35164460056504315, 0.7118162697085736, 0.6426589560156208, 1.0),
        (0.35767624799268277, 0.7197739138067412, 0.6428719883285997, 1.0),
        (0.3641894512092865, 0.7276949011320993, 0.6429557270674553, 1.0),
        (0.37122661231062953, 0.7355700686179796, 0.64291896187748, 1.0),
        (0.378827844998963, 0.7433902546660991, 0.6427683061328856, 1.0),
        (0.38703226151526465, 0.7511462095764532, 0.6425055472082883, 1.0),
        (0.39587502620460746, 0.7588270315806921, 0.6421508285001666, 1.0),
        (0.40538834825229564, 0.7664223146281371, 0.6417151578859575, 1.0),
        (0.41559684078126163, 0.7739210344346504, 0.6412227317683712, 1.0),
        (0.4265195639210724, 0.7813124732411278, 0.6406960731925235, 1.0),
        (0.4381634653667464, 0.7885863788123393, 0.6401694292235836, 1.0),
        (0.4505287643111087, 0.7957333261733032, 0.6396742566585853, 1.0),
        (0.4635986539031755, 0.8027456073395252, 0.6392548734619343, 1.0),
        (0.47734697395389086, 0.8096172922533248, 0.6389538165444102, 1.0),
        (0.4917330703220189, 0.8163450533427777, 0.6388184799685107, 1.0),
        (0.5067050118087177, 0.8229283397233977, 0.638896316298087, 1.0),
        (0.5221997330825247, 0.8293697946738645, 0.6392346216632595, 1.0),
        (0.5381481232862911, 0.835674892482852, 0.639876366927758, 1.0),
        (0.5544783665092803, 0.8418515860497588, 0.6408587965640017, 1.0),
        (0.5711115213696185, 0.8479112775740022, 0.6422171169895777, 1.0),
        (0.5879840953182007, 0.8538646600753628, 0.6439710905713145, 1.0),
        (0.6050194699551968, 0.8597270135144635, 0.6461439080647282, 1.0),
        (0.6221681809999369, 0.8655099786991408, 0.6487403091120448, 1.0),
        (0.639375700135305, 0.8712277338509246, 0.6517658303256152, 1.0),
        (0.6565929334411801, 0.8768947704523612, 0.6552210497573525, 1.0),
        (0.6737933070789578, 0.8825213731875581, 0.659096173617844, 1.0),
        (0.6909478082204842, 0.8881191135591985, 0.6633823202371272, 1.0),
        (0.7080340865696405, 0.893698551335699, 0.6680678941563225, 1.0),
        (0.7250358375800119, 0.8992691342626382, 0.6731393536848669, 1.0),
        (0.7419421046029872, 0.9048391559449654, 0.6785819005039074, 1.0),
        (0.7587465580267132, 0.9104157595099176, 0.6843800748081978, 1.0),
        (0.7754467945117471, 0.9160049747102424, 0.6905182510191696, 1.0),
        (0.792043685530358, 0.9216117772405966, 0.6969810377273069, 1.0),
        (0.8085407925860421, 0.9272401607530684, 0.7037535913222746, 1.0),
        (0.8249438571064255, 0.9328932140048489, 0.7108218561594963, 1.0),
        (0.8412422934868647, 0.9385792958890863, 0.7181734629573161, 1.0),
        (0.8574559441871676, 0.9442965454208677, 0.7257948454644866, 1.0),
        (0.8735986658557798, 0.9500445573198598, 0.7336747582572586, 1.0),
        (0.8896512126622909, 0.9558344072358455, 0.7418023698547456, 1.0),
        (0.9056514559384564, 0.9616567079910524, 0.7501688017241658, 1.0),
        (0.9215850348376466, 0.9675205198521025, 0.758764680105783, 1.0),
        (0.9374799177499438, 0.9734191074102575, 0.7675843461643131, 1.0),
        (0.9533233708513803, 0.9793607550577946, 0.7766197776697654, 1.0),
        (0.9691488355955474, 0.9853357520972025, 0.7858697059005904, 1.0),
        (0.9849374457410008, 0.9913545172197537, 0.7953271573982338, 1.0),
        (0.052375106886525025, 0.14525462283170731, 0.07751950190923806, 1.0),
        (0.05622628551680566, 0.15234575007226028, 0.08040279400454642, 1.0),
        (0.06007072166263575, 0.15939637058349637, 0.08324827330002768, 1.0),
        (0.0638520567025567, 0.16642325414047002, 0.08599651952193751, 1.0),
        (0.06756460338718012, 0.1734310951493893, 0.08864073081078855, 1.0),
        (0.07121409992638503, 0.180421640208526, 0.09118655316732874, 1.0),
        (0.0747985950918664, 0.18739815951639957, 0.09363114185870033, 1.0),
        (0.07832196854697648, 0.1943623428359517, 0.09597819921125997, 1.0),
        (0.08178249510428709, 0.20131697153959643, 0.09822505767280115, 1.0),
        (0.08518219102467459, 0.20826378050630262, 0.10037330794558319, 1.0),
        (0.08852454157738801, 0.21520401059510808, 0.10242632537075452, 1.0),
        (0.09181013978863614, 0.22213942476722676, 0.10438413277447667, 1.0),
        (0.09503809838243432, 0.22907199027602532, 0.10624494302824691, 1.0),
        (0.098210106706765, 0.23600297059846703, 0.10801001139582558, 1.0),
        (0.10132865747844005, 0.24293334823336654, 0.10968159146316053, 1.0),
        (0.10439344717015431, 0.24986464108962947, 0.11125852904379593, 1.0),
        (0.10744782968807925, 0.25679111089347684, 0.11274372024804494, 1.0),
        (0.11062607091297891, 0.26369460964578995, 0.11409975274275905, 1.0),
        (0.11395317063556437, 0.2705743606077581, 0.11528962962725595, 1.0),
        (0.11747681366366183, 0.27742505214086494, 0.11629085357306052, 1.0),
        (0.1213000971217181, 0.28423168428117046, 0.11709414287381933, 1.0),
        (0.12553408011832473, 0.2909784812573656, 0.11766787900074818, 1.0),
        (0.13038764200911587, 0.29763234168534825, 0.1179910028329905, 1.0),
        (0.13617750801094541, 0.3041399107394245, 0.11804163470268092, 1.0),
        (0.1434815209152098, 0.31039309597668846, 0.11790504407397853, 1.0),
        (0.1530522840464018, 0.31621942192153946, 0.11806584278007898, 1.0),
        (0.1647443020935284, 0.32155410862596023, 0.11958332097168342, 1.0),
        (0.17712240011347166, 0.32660517147443596, 0.1228383029974785, 1.0),
        (0.1893186680349763, 0.3315543486926042, 0.1273271390832198, 1.0),
        (0.20114702162956377, 0.3364693524047603, 0.1325809211223411, 1.0),
        (0.2126201126913635, 0.3413717760208539, 0.13832570629130328, 1.0),
        (0.22378149294435584, 0.3462703085838706, 0.1444001987716135, 1.0),
        (0.23468265041268382, 0.3511667839317459, 0.15071198620689624, 1.0),
        (0.24536539843524258, 0.35606193972927863, 0.15720204728435339, 1.0),
        (0.25586108834117055, 0.36095688750254934, 0.1638280010474283, 1.0),
        (0.2662540618029769, 0.3658464720551902, 0.17036465749462493, 1.0),
        (0.27663758909573377, 0.37072029281576896, 0.17660426066819274, 1.0),
        (0.28701207928072653, 0.3755815421723879, 0.18254481473003495, 1.0),
        (0.2973798701367176, 0.3804331662296118, 0.18817549756009702, 1.0),
        (0.3077385714853348, 0.38527824825695295, 0.19350611661077063, 1.0),
        (0.31808831544042293, 0.3901193934855016, 0.19853931969902167, 1.0),
        (0.3284295845809043, 0.3949589033692603, 0.20327880097981826, 1.0),
        (0.33876365244782697, 0.39979860134428996, 0.20772976107279373, 1.0),
        (0.34909207135330006, 0.4046399832445769, 0.2118988339848661, 1.0),
        (0.3594164000962936, 0.4094843090462684, 0.21579404308092848, 1.0),
        (0.3697392907451491, 0.4143322752680254, 0.21942418177004064, 1.0),
        (0.3800629535453087, 0.4191845097543299, 0.22279906203466127, 1.0),
        (0.3903897648146955, 0.4240414062699768, 0.22592907899017506, 1.0),
        (0.4007222760346346, 0.4289031445516293, 0.22882490329054955, 1.0),
        (0.41106293932314736, 0.43376980312474445, 0.23149736561746725, 1.0),
        (0.42141413461070815, 0.4386413758769235, 0.23395722604585378, 1.0),
        (0.4317776944235289, 0.4435179532313937, 0.23621536314130015, 1.0),
        (0.4421554582272911, 0.44839956299884814, 0.23828226409029873, 1.0),
        (0.45254917280916923, 0.45328622023250004, 0.2401679621083726, 1.0),
        (0.46296177934524924, 0.45817772958495845, 0.24187666135237734, 1.0),
        (0.4733964081044913, 0.4630738873787103, 0.24340973981653058, 1.0),
        (0.4838512407114513, 0.4679753825260215, 0.2447870115640885, 1.0),
        (0.49432803335495507, 0.47288221943508574, 0.24601477755732243, 1.0),
        (0.504832997306968, 0.47779363550596793, 0.2470786486003126, 1.0),
        (0.5153613297132805, 0.4827109910092829, 0.24800743783919893, 1.0),
        (0.5259177888805489, 0.48763374439498647, 0.2487920646168808, 1.0),
        (0.536502853104713, 0.4925622747803105, 0.24943844278559862, 1.0),
        (0.547116800441186, 0.4974969337464568, 0.24995444471923917, 1.0),
        (0.5577636102245656, 0.5024372790562059, 0.25033203041753965, 1.0),
        (0.5684402705004985, 0.5073846875194366, 0.2505862169320991, 1.0),
        (0.5791517884291442, 0.5123382474891869, 0.2507078127142678, 1.0),
        (0.5898977118592135, 0.517298688416337, 0.2507019666506383, 1.0),
        (0.6006780609928231, 0.5222664305265023, 0.250575884376832, 1.0),
        (0.611497783923286, 0.5272408795639659, 0.25031168061471387, 1.0),
        (0.6223533151135658, 0.5322233326069301, 0.2499311738427515, 1.0),
        (0.633267849949318, 0.537205025458541, 0.2494034423308611, 1.0),
        (0.6442492302385145, 0.542177081436721, 0.2488390322915945, 1.0),
        (0.6553235853574364, 0.54712831666511, 0.2482154543042252, 1.0),
        (0.6664663550324849, 0.55206786239906, 0.24759594861635592, 1.0),
        (0.6777036161655425, 0.5569846941304811, 0.24695070357324617, 1.0),
        (0.6890381603900364, 0.5618763691265283, 0.24630407494743595, 1.0),
        (0.7004711944468632, 0.5667403668940831, 0.24569911516032134, 1.0),
        (0.7120126265469915, 0.5715693590145964, 0.24518735840808986, 1.0),
        (0.7236929482815777, 0.5763444689764197, 0.24483645059537545, 1.0),
        (0.7355168651190714, 0.581050476986268, 0.24491639251911818, 1.0),
        (0.7475258033710174, 0.5856296804733572, 0.24620130438007626, 1.0),
        (0.7577499494457186, 0.5908503548553694, 0.25479055713791865, 1.0),
        (0.7635824979182089, 0.5981540408918001, 0.26950603354966257, 1.0),
        (0.7685008057442868, 0.605965666908456, 0.28413397363081816, 1.0),
        (0.7731069113227516, 0.613968382142779, 0.2985534874705023, 1.0),
        (0.777565248923608, 0.6220751351043046, 0.3127742014086094, 1.0),
        (0.7819223609772602, 0.6302590951035305, 0.3268597741416817, 1.0),
        (0.7862053950616281, 0.6385051507786967, 0.3408479839175494, 1.0),
        (0.7904426037822047, 0.6467997885569605, 0.3547436291978553, 1.0),
        (0.7946574580110757, 0.6551326370117362, 0.36854635479752373, 1.0),
        (0.7988337796012736, 0.6635096250178374, 0.38231623232812506, 1.0),
        (0.8030088001380107, 0.6719161948372565, 0.3960118210517308, 1.0),
        (0.8071531032877933, 0.6803638144055434, 0.4097046504341927, 1.0),
        (0.8113041001849377, 0.6888386707654256, 0.4233460558902438, 1.0),
        (0.8154602754828878, 0.6973419981167043, 0.4369537331203901, 1.0),
        (0.8196058627154122, 0.7058802025749554, 0.45056669024241974, 1.0),
        (0.8237568818874844, 0.7144480574336204, 0.46416913730895076, 1.0),
        (0.8279197418246522, 0.7230440823922364, 0.47776020140104586, 1.0),
        (0.8320913582455962, 0.7316701160638459, 0.4913552497157864, 1.0),
        (0.8362534254444016, 0.7403317836360436, 0.5050123599879642, 1.0),
        (0.8404445466425873, 0.7490163102116411, 0.5186797759271363, 1.0),
        (0.8446648066780128, 0.757724803413446, 0.5323633003798176, 1.0),
        (0.8489177724746317, 0.7664572638824626, 0.546062119392829, 1.0),
        (0.8532123511454875, 0.7752120992980529, 0.5597655879096987, 1.0),
        (0.8575441658298395, 0.7839918355417494, 0.5734875036821195, 1.0),
        (0.8619146064360614, 0.7927971784487288, 0.5872309291049341, 1.0),
        (0.8663250853209771, 0.8016288174204664, 0.6009988751772729, 1.0),
        (0.870782072549939, 0.8104859794311163, 0.6147852119944903, 1.0),
        (0.8752928841127599, 0.8193677275097041, 0.6285824125979521, 1.0),
        (0.8798495959466368, 0.8282774528639023, 0.6424105990843715, 1.0),
        (0.8844600743726269, 0.8372140407050961, 0.6562614074750377, 1.0),
        (0.8891318088448873, 0.8461765685160849, 0.6701273264224787, 1.0),
        (0.8938558100770686, 0.8551685709847908, 0.6840307207014527, 1.0),
        (0.8986544949798678, 0.8641851727809915, 0.6979374582474833, 1.0),
        (0.9035103927619371, 0.8732320822602241, 0.7118855904188223, 1.0),
        (0.9084448340107733, 0.8823048446731206, 0.7258432784575933, 1.0),
        (0.9134526188903525, 0.8914059055188421, 0.7398268438202469, 1.0),
        (0.9185353828258728, 0.9005358905803306, 0.7538405390559675, 1.0),
        (0.9237018976170942, 0.9096936780016003, 0.7678758238575988, 1.0),
        (0.9289597403884261, 0.9188785152907726, 0.7819264008239902, 1.0),
        (0.9343121189309134, 0.9280907276838803, 0.7959940980655446, 1.0),
        (0.9397648981125013, 0.9373300331729016, 0.8100759042872343, 1.0),
        (0.9453185269797627, 0.946597394955076, 0.8241789901926561, 1.0),
        (0.9509801771850347, 0.9558922732509941, 0.8382978631896052, 1.0),
        (0.9567560362262099, 0.9652144306850018, 0.8524284880105464, 1.0),
        (0.962651813662286, 0.9745638255706343, 0.8665671328953634, 1.0),
        (0.9686647318914142, 0.9839422330504176, 0.8807260550903987, 1.0),
        (0.9747892173640952, 0.9933519398287799, 0.8949228432580743, 1.0),
    ],
    'cmo.turbid': [
        (0.9128247827303704, 0.9639053479101408, 0.6723488894068933, 1.0),
        (0.9105541439463003, 0.9592872094872512, 0.6663907644186453, 1.0),
        (0.9082861583229015, 0.9546805250318117, 0.660469114750179, 1.0),
        (0.9060452334346256, 0.9500783067250512, 0.654553861859156, 1.0),
        (0.9038150489008132, 0.945484986258719, 0.6486649327173525, 1.0),
        (0.9016037749037893, 0.9408980925645457, 0.6427923205892624, 1.0),
        (0.8994100526612221, 0.9363178430715828, 0.6369376634451241, 1.0),
        (0.8972283335855062, 0.931745683809675, 0.6311075587918794, 1.0),
        (0.8950696728809199, 0.9271782394664687, 0.6252888115672153, 1.0),
        (0.8929173737868276, 0.922620231549465, 0.6195011901939884, 1.0),
        (0.8907923116926523, 0.91806535475652, 0.6137200788543796, 1.0),
        (0.8886692522817521, 0.9135209242332906, 0.6079750370293484, 1.0),
        (0.8865762636352768, 0.9089784066893162, 0.6022333770048256, 1.0),
        (0.8844822115233715, 0.9044469910654971, 0.5965311430834745, 1.0),
        (0.882419709050585, 0.8999166548769963, 0.5908308404756164, 1.0),
        (0.8803543805345617, 0.8953977033216385, 0.585171777897211, 1.0),
        (0.8783207074075701, 0.8908794045328807, 0.5795148392301146, 1.0),
        (0.8762837291194094, 0.8863723903264538, 0.5738994936029852, 1.0),
        (0.874277190643256, 0.8818660105043368, 0.5682879912596861, 1.0),
        (0.872268138831004, 0.8773704198332279, 0.5627170493987143, 1.0),
        (0.8702869566172964, 0.8728758815872332, 0.557153174719571, 1.0),
        (0.8683053185700909, 0.8683912265313378, 0.5516275115467152, 1.0),
        (0.8663476627856838, 0.8639084851022804, 0.546113539499287, 1.0),
        (0.8643928371591907, 0.8594343049131269, 0.5406342206369588, 1.0),
        (0.862456820206634, 0.8549633517080399, 0.5351725180271732, 1.0),
        (0.8605281096749169, 0.8504992167172934, 0.5297408107341389, 1.0),
        (0.858611787998791, 0.846040080419352, 0.5243338350869022, 1.0),
        (0.8567083921128474, 0.8415855961633933, 0.518951218554577, 1.0),
        (0.854809768378319, 0.8371383437933765, 0.5136015164012289, 1.0),
        (0.8529307767408889, 0.8326931553267608, 0.5082696912104301, 1.0),
        (0.8510506087990278, 0.828256931877992, 0.502977080026568, 1.0),
        (0.849192188279616, 0.8238216896030919, 0.49770079223360225, 1.0),
        (0.8473354714528939, 0.8193941476796477, 0.4924611248003304, 1.0),
        (0.8454893810507302, 0.8149710832043291, 0.4872494055687389, 1.0),
        (0.8436548921629284, 0.8105519834307683, 0.4820650051378081, 1.0),
        (0.8418197380538858, 0.8061410299518166, 0.47691997471075437, 1.0),
        (0.8400053197367542, 0.801730474528987, 0.47179417597279644, 1.0),
        (0.8381909179373602, 0.797327536005208, 0.46670761773076824, 1.0),
        (0.8363830265089613, 0.7929297607375543, 0.4616544156277211, 1.0),
        (0.8345877920103869, 0.7885347495856605, 0.4566293264683094, 1.0),
        (0.8327919089080557, 0.784147212659046, 0.4516448413369298, 1.0),
        (0.8310063135234079, 0.7797629900031864, 0.4466914503101059, 1.0),
        (0.8292275089883606, 0.7753832051359706, 0.4417727747802381, 1.0),
        (0.8274479714210091, 0.7710105395274703, 0.43689575120036755, 1.0),
        (0.8256785592470123, 0.7666407630966191, 0.432051455058931, 1.0),
        (0.8239135967944542, 0.7622758578672202, 0.4272453035219374, 1.0),
        (0.8221475640634913, 0.7579178098056661, 0.42248232110063766, 1.0),
        (0.8203879070453154, 0.7535636173491094, 0.4177568735562176, 1.0),
        (0.81863351171711, 0.7492135470811618, 0.4130705335781763, 1.0),
        (0.8168774297351566, 0.7448701849739395, 0.4084293549358841, 1.0),
        (0.8151208269598283, 0.7405329639445878, 0.40383288429865666, 1.0),
        (0.8133730042127404, 0.7361980289394938, 0.3992747817294182, 1.0),
        (0.8116225817355652, 0.7318697849631131, 0.3947642928691043, 1.0),
        (0.8098694933912269, 0.7275481580762414, 0.39030198688363293, 1.0),
        (0.8081161421647476, 0.7232320558774255, 0.385886781202028, 1.0),
        (0.8063663538470418, 0.7189197605534188, 0.38151687166516685, 1.0),
        (0.8046125622407067, 0.7146142683294099, 0.37719818384422693, 1.0),
        (0.8028545343811846, 0.7103155798131343, 0.37293151694811283, 1.0),
        (0.8010919901003339, 0.7060237163039633, 0.3687177325408005, 1.0),
        (0.7993300055097595, 0.7017364019961148, 0.3645545873969476, 1.0),
        (0.7975634994838865, 0.6974556802865254, 0.3604460667960328, 1.0),
        (0.795790604770923, 0.6931822615073386, 0.3563940392198953, 1.0),
        (0.7940108757837694, 0.6889162546167795, 0.35239952776675776, 1.0),
        (0.7922238209776574, 0.6846577925964051, 0.3484635956840971, 1.0),
        (0.7904293753935112, 0.6804068218754934, 0.34458712002614766, 1.0),
        (0.7886299371669704, 0.6761621751401072, 0.3407699499113065, 1.0),
        (0.7868208547545553, 0.6719258532155116, 0.3370151794848581, 1.0),
        (0.7850015016585555, 0.6676980777850795, 0.3333239143922641, 1.0),
        (0.7831712152651346, 0.6634790940463787, 0.32969726470869526, 1.0),
        (0.7813292995863234, 0.6592691702526118, 0.3261363364073749, 1.0),
        (0.7794750283869653, 0.6550685970372219, 0.3226422224503434, 1.0),
        (0.7776076486673221, 0.6508776865233488, 0.3192159935965749, 1.0),
        (0.7757263844650233, 0.6466967712234903, 0.31585868903195796, 1.0),
        (0.7738304409335882, 0.6425262027384857, 0.3125713069333993, 1.0),
        (0.7719190086491208, 0.6383663502685201, 0.30935479508487934, 1.0),
        (0.76999192280688, 0.6342172763144198, 0.30620996460604283, 1.0),
        (0.7680475840592058, 0.6300797563557359, 0.30313777317170015, 1.0),
        (0.76608507447426, 0.6259542495514858, 0.3001389551573932, 1.0),
        (0.764103601628882, 0.6218411653176699, 0.29721414394558965, 1.0),
        (0.762102379802629, 0.6177409214840727, 0.29436388377389083, 1.0),
        (0.760080634324236, 0.613653942203392, 0.29158862308314204, 1.0),
        (0.7580376057793874, 0.6095806558220697, 0.2888887086342721, 1.0),
        (0.7559725540291885, 0.6055214927394207, 0.28626438046854574, 1.0),
        (0.7538847619930633, 0.6014768832813117, 0.28371576777140134, 1.0),
        (0.75177353915504, 0.5974472556137479, 0.28124288568434713, 1.0),
        (0.7496385821697368, 0.5934328401156597, 0.2788457594157026, 1.0),
        (0.747479024724935, 0.5894341791373613, 0.27652413466742504, 1.0),
        (0.7452941571552, 0.5854517449359323, 0.2742776443121396, 1.0),
        (0.7430834135426161, 0.5814859431780246, 0.27210583381609377, 1.0),
        (0.7408462686359136, 0.5775371675495697, 0.2700081319859799, 1.0),
        (0.7385822390693009, 0.5736057983656746, 0.2679838537450121, 1.0),
        (0.7362908841899133, 0.5696922013455091, 0.2660322037116859, 1.0),
        (0.7339718065076966, 0.5657967265562297, 0.26415228050554085, 1.0),
        (0.7316246517864811, 0.5619197075270785, 0.2623430816971142, 1.0),
        (0.7292491087989991, 0.5580614605321673, 0.2606035093141773, 1.0),
        (0.726844908771965, 0.5542222840379916, 0.25893237581339495, 1.0),
        (0.7244119971505564, 0.5504023530996887, 0.25732860950514186, 1.0),
        (0.7219503397818252, 0.5466018316756789, 0.2557911025974955, 1.0),
        (0.7194594088198654, 0.5428211930643936, 0.25431802511014273, 1.0),
        (0.7169390970998405, 0.5390606612983261, 0.2529078914226556, 1.0),
        (0.7143893337983732, 0.5353204418367377, 0.2515591605975799, 1.0),
        (0.7118100825627618, 0.5316007218689122, 0.2502702433238303, 1.0),
        (0.70920133955476, 0.5279016707079034, 0.2490395087311264, 1.0),
        (0.7065632761648271, 0.5242233436125349, 0.2478655721838472, 1.0),
        (0.703896005602884, 0.5205658319141028, 0.2467469222620104, 1.0),
        (0.7011993601253576, 0.5169294192806536, 0.2456813814978508, 1.0),
        (0.6984734491802425, 0.513314207204238, 0.2446672141412145, 1.0),
        (0.6957184043559519, 0.5097202822466133, 0.24370267380575472, 1.0),
        (0.6929343773945654, 0.5061477167394172, 0.24278600852044496, 1.0),
        (0.6901216982990902, 0.5025964514073363, 0.24191594126749716, 1.0),
        (0.6872804633072713, 0.499066592983667, 0.24109054238588945, 1.0),
        (0.6844107686966894, 0.49555825188510055, 0.2403077709414531, 1.0),
        (0.68151283114692, 0.4920714492259936, 0.23956589506357573, 1.0),
        (0.6785868785067302, 0.4886061954699183, 0.23886319707253073, 1.0),
        (0.675633232666719, 0.4851624213327032, 0.2381983436213907, 1.0),
        (0.6726521288960278, 0.4817401209176369, 0.23756969858862353, 1.0),
        (0.6696437188359446, 0.47833935883397233, 0.23697518544226548, 1.0),
        (0.6666082635296274, 0.47496010807151573, 0.2364131671114736, 1.0),
        (0.663546028903975, 0.47160233390619827, 0.2358820311548202, 1.0),
        (0.6604573673748914, 0.46826591302925785, 0.23538076101554467, 1.0),
        (0.6573424797961276, 0.46495085923848173, 0.23490743794026314, 1.0),
        (0.654201608609139, 0.4616571492422123, 0.23446031262214811, 1.0),
        (0.6510350327978842, 0.4583847209004847, 0.2340378795902509, 1.0),
        (0.6478430515953374, 0.45513348242303114, 0.23363887744856893, 1.0),
        (0.6446259633611755, 0.4519033296020168, 0.2332622032236858, 1.0),
        (0.6413839940492124, 0.4486942500114745, 0.23290586428847465, 1.0),
        (0.6381174276440877, 0.44550615869812177, 0.23256846600880593, 1.0),
        (0.6348265500932615, 0.4423389620941623, 0.23224868318429776, 1.0),
        (0.6315116605695774, 0.4391925158791954, 0.23194585316613053, 1.0),
        (0.628173010422373, 0.4360667833034455, 0.23165792794786283, 1.0),
        (0.6248108867019236, 0.43296165810495535, 0.2313836187886626, 1.0),
        (0.6214255770673621, 0.42987702805761574, 0.23112167529236005, 1.0),
        (0.6180173538237879, 0.42681274408942815, 0.2308715541128375, 1.0),
        (0.61458650846494, 0.4237687269357882, 0.23063130895416234, 1.0),
        (0.6111333338376842, 0.420744847878726, 0.23039974833007643, 1.0),
        (0.6076581198732586, 0.4177409699743504, 0.23017579037427788, 1.0),
        (0.6041611292458853, 0.4147569442408377, 0.22995876292768003, 1.0),
        (0.6006426901866908, 0.41179264301991136, 0.22974694606597573, 1.0),
        (0.5971031071270088, 0.40884791205980137, 0.22953923717634933, 1.0),
        (0.5935426680352169, 0.4059225898260851, 0.22933475880943988, 1.0),
        (0.5899616653081597, 0.4030165124281641, 0.22913257343168808, 1.0),
        (0.5863604503326285, 0.40012950677938147, 0.22893126483452114, 1.0),
        (0.5827393462725786, 0.3972613890222797, 0.22872981388734165, 1.0),
        (0.5790986411902668, 0.3944119738157388, 0.22852751193724685, 1.0),
        (0.5754386920094946, 0.39158106087979616, 0.22832317018748272, 1.0),
        (0.5717598595710957, 0.38876843892127055, 0.22811568771352436, 1.0),
        (0.5680624888217489, 0.3859738913687448, 0.22790414992181984, 1.0),
        (0.5643468987836691, 0.3831972016166527, 0.22768783987177044, 1.0),
        (0.560613501439824, 0.3804381236067138, 0.22746556647449778, 1.0),
        (0.5568626686009899, 0.37769641241836605, 0.22723645671225928, 1.0),
        (0.5530947703612836, 0.37497181694158754, 0.22699970259525953, 1.0),
        (0.5493102061694418, 0.37226407071360856, 0.2267544107214977, 1.0),
        (0.5455093844474367, 0.36957289716476266, 0.22649971511347766, 1.0),
        (0.541692708621657, 0.3668980144097472, 0.22623483504804992, 1.0),
        (0.5378606217947596, 0.3642391205981751, 0.22595888366592742, 1.0),
        (0.5340135354481295, 0.3615959178208363, 0.22567116799561276, 1.0),
        (0.5301518754638107, 0.3589680973433583, 0.2253709864348783, 1.0),
        (0.5262761094769514, 0.35635532923941116, 0.22505753621454777, 1.0),
        (0.5223867172868103, 0.3537572724565644, 0.22473003695567906, 1.0),
        (0.5184841017313482, 0.351173609195531, 0.22438802884530434, 1.0),
        (0.5145687147834637, 0.3486039985632925, 0.22403091586627283, 1.0),
        (0.5106411440519554, 0.34604804108930265, 0.22365771848117733, 1.0),
        (0.5067017881423236, 0.3435054056903972, 0.22326812275706676, 1.0),
        (0.5027510796252681, 0.34097574455758367, 0.22286172651367214, 1.0),
        (0.49878950706536335, 0.3384586834157125, 0.2224379910665531, 1.0),
        (0.4948177548651969, 0.3359537625951555, 0.22199587204100146, 1.0),
        (0.49083609714637283, 0.3334606870942352, 0.22153553587858643, 1.0),
        (0.4868450056329214, 0.33097907837741436, 0.22105659503094116, 1.0),
        (0.48284503756868274, 0.32850851845705875, 0.22055846941911478, 1.0),
        (0.47883683591387055, 0.32604854874517086, 0.22004041154313053, 1.0),
        (0.4748206472212549, 0.32359887707900725, 0.21950271009813027, 1.0),
        (0.4707969362808619, 0.3211591169778729, 0.2189450971836009, 1.0),
        (0.4667662693795122, 0.3187288356425136, 0.2183670869460304, 1.0),
        (0.4627293116701075, 0.31630755417908013, 0.21776800729164636, 1.0),
        (0.45868623406958414, 0.3138950081558933, 0.2171483462825099, 1.0),
        (0.4546374811311344, 0.3114908131915108, 0.21650794901180448, 1.0),
        (0.45058349245124535, 0.3090945859801553, 0.21584668243637906, 1.0),
        (0.4465251651502277, 0.3067057384379431, 0.2151634647284258, 1.0),
        (0.44246248003322053, 0.3043240886593482, 0.2144591818414338, 1.0),
        (0.43839584985514907, 0.3019492632236421, 0.21373377995411552, 1.0),
        (0.43432567847808196, 0.29958089233791196, 0.2129872269867969, 1.0),
        (0.4302525491830334, 0.2972185251864663, 0.21221914624263183, 1.0),
        (0.42617698017069366, 0.29486173957543116, 0.21142931305886314, 1.0),
        (0.42209903875651267, 0.29251031690292784, 0.21061836065599138, 1.0),
        (0.41801908667683374, 0.2901639064725309, 0.2097863381928281, 1.0),
        (0.4139374748855114, 0.287822162748203, 0.2089333114395358, 1.0),
        (0.40985465640003055, 0.2854846942476606, 0.2080591616116444, 1.0),
        (0.4057712419033978, 0.28315103817881826, 0.20716350390214544, 1.0),
        (0.401687158025617, 0.28082104278664693, 0.20624715003353739, 1.0),
        (0.3976027082875564, 0.27849438604568844, 0.2053102247884384, 1.0),
        (0.39351818467122995, 0.2761707517515647, 0.2043528642900469, 1.0),
        (0.38943386757966636, 0.27384982956266873, 0.20337521503471262, 1.0),
        (0.38535014852845, 0.2715312592611229, 0.20237723556151255, 1.0),
        (0.38126750492410577, 0.26921464232014997, 0.2013587500039032, 1.0),
        (0.37718583341061823, 0.2668998447434734, 0.2003204988638388, 1.0),
        (0.3731053664536303, 0.2645865804728991, 0.19926266217534122, 1.0),
        (0.3690263252725575, 0.26227456909578883, 0.1981854256387428, 1.0),
        (0.36494891996773565, 0.25996353574396625, 0.19708897981042428, 1.0),
        (0.36087334966683693, 0.25765321097463256, 0.1959735193223785, 1.0),
        (0.3567998026886545, 0.25534333063461745, 0.1948392421320772, 1.0),
        (0.3527288062385475, 0.25303347811513965, 0.1936858449182176, 1.0),
        (0.3486601920186409, 0.25072355120041145, 0.19251402657257796, 1.0),
        (0.34459408825888593, 0.2484133136793199, 0.19132403141839732, 1.0),
        (0.3405306410460574, 0.2461025213487854, 0.19011606373305168, 1.0),
        (0.3364699867832531, 0.24379093435109916, 0.1888903276956252, 1.0),
        (0.3324122524192172, 0.2414783169649093, 0.1876470268273143, 1.0),
        (0.32835755568257685, 0.2391644373879674, 0.18638636345989287, 1.0),
        (0.32430600531967113, 0.2368490675124893, 0.18510853823131046, 1.0),
        (0.320257701334708, 0.23453198269392367, 0.18381374960739752, 1.0),
        (0.31621273523109783, 0.23221296151383447, 0.1825021934285724, 1.0),
        (0.3121713481873938, 0.22989171590460805, 0.1811738589048321, 1.0),
        (0.30813351479582946, 0.22756807501950188, 0.1798290697596431, 1.0),
        (0.3040992288572926, 0.22524185817548964, 0.17846810645826428, 1.0),
        (0.3000685503066236, 0.22291285433857605, 0.17709114938018103, 1.0),
        (0.29604153184058724, 0.22058085440954706, 0.17569837430632987, 1.0),
        (0.29201821914234477, 0.21824565096473042, 0.1742899520962045, 1.0),
        (0.28799865110136463, 0.2159070379936563, 0.1728660483803914, 1.0),
        (0.28398286002834494, 0.213564810633676, 0.17142682326712064, 1.0),
        (0.27997087186478503, 0.21121876490151587, 0.16997243106140397, 1.0),
        (0.2759627063869376, 0.20886869742167108, 0.16850301999534764, 1.0),
        (0.27195837740393636, 0.2065144051514603, 0.16701873196820874, 1.0),
        (0.2679578929499804, 0.20415568510248822, 0.16551970229478893, 1.0),
        (0.2639612554705232, 0.20179233405817953, 0.16400605946075242, 1.0),
        (0.25996846200251245, 0.19942414828696187, 0.16247792488347906, 1.0),
        (0.2559795043487852, 0.19705092325059487, 0.16093541267707284, 1.0),
        (0.25199436924683655, 0.19467245330704297, 0.159378629420169, 1.0),
        (0.24801303853224993, 0.19228853140719931, 0.15780767392521008, 1.0),
        (0.2440354892972041, 0.1898989487846578, 0.15622263700789388, 1.0),
        (0.24006169404456917, 0.1875034946376172, 0.1546236012555405, 1.0),
        (0.23609162083825241, 0.1851019558018775, 0.1530106407931814, 1.0),
        (0.23212523345058644, 0.18269411641374492, 0.1513838210462469, 1.0),
        (0.22816249150776724, 0.18027975756149953, 0.14974319849882833, 1.0),
        (0.22420335063452268, 0.17785865692390498, 0.14808882044661179, 1.0),
        (0.2202477625994912, 0.17543058839401507, 0.14642072474375759, 1.0),
        (0.2162956754630863, 0.17299532168629583, 0.14473893954321865, 1.0),
        (0.212347033730035, 0.17055262192477197, 0.14304348303029046, 1.0),
        (0.2084017785092666, 0.16810224920956204, 0.14133436314958223, 1.0),
        (0.20445984768447106, 0.16564395815872432, 0.13961157732612822, 1.0),
        (0.2005211760994463, 0.1631774974218037, 0.13787511218205778, 1.0),
        (0.19658569888643052, 0.16070260795878155, 0.13612493992013158, 1.0),
        (0.1926533421135209, 0.1582190261881048, 0.13436102828236113, 1.0),
        (0.18872403164490292, 0.15572648003928613, 0.13258333105574166, 1.0),
        (0.18479769285657238, 0.15322468855297028, 0.13079178847863004, 1.0),
        (0.18087424944036448, 0.150713361775195, 0.12898632867971171, 1.0),
        (0.17695362385335994, 0.14819219997164262, 0.12716686747964273, 1.0),
        (0.1730357378708485, 0.14566089275370914, 0.12533330825195074, 1.0),
        (0.1691205132766325, 0.14311911809661862, 0.12348554187040428, 1.0),
        (0.16520787273709758, 0.14056654122346582, 0.12162344677980244, 1.0),
        (0.1612977409237919, 0.13800281332012343, 0.11974688924019339, 1.0),
        (0.15739004597620362, 0.1354275700331005, 0.11785572381195064, 1.0),
        (0.15348472143663527, 0.1328404296837557, 0.11594979417216059, 1.0),
        (0.1495817088501063, 0.1302409911046357, 0.11402893438275144, 1.0),
        (0.1456809613162401, 0.1276288309622562, 0.11209297076870359, 1.0),
        (0.1417824484273445, 0.12500350036752314, 0.11014172461014549, 1.0),
        (0.13788616326116615, 0.12236452047749097, 0.10817501590082085, 1.0),
        (0.13399213247518688, 0.11971137663959974, 0.10619266846326161, 1.0),
    ],
    # colorcet colormaps converted for Matplotlib
    'cet.cyclic_grey_15_85_c0': [
        [0.46877, 0.46888, 0.46885, 1.0],
        [0.47381, 0.47391, 0.47389, 1.0],
        [0.47887, 0.47897, 0.47895, 1.0],
        [0.48395, 0.48405, 0.48403, 1.0],
        [0.48907, 0.48917, 0.48914, 1.0],
        [0.49422, 0.49432, 0.4943, 1.0],
        [0.49939, 0.49949, 0.49947, 1.0],
        [0.50462, 0.50472, 0.5047, 1.0],
        [0.50986, 0.50997, 0.50994, 1.0],
        [0.51515, 0.51526, 0.51523, 1.0],
        [0.52047, 0.52058, 0.52056, 1.0],
        [0.52583, 0.52594, 0.52592, 1.0],
        [0.53121, 0.53132, 0.5313, 1.0],
        [0.53663, 0.53674, 0.53671, 1.0],
        [0.54205, 0.54217, 0.54214, 1.0],
        [0.5475, 0.54762, 0.54759, 1.0],
        [0.55297, 0.55309, 0.55306, 1.0],
        [0.55846, 0.55857, 0.55855, 1.0],
        [0.56397, 0.56409, 0.56406, 1.0],
        [0.56948, 0.5696, 0.56957, 1.0],
        [0.57501, 0.57513, 0.5751, 1.0],
        [0.58055, 0.58067, 0.58064, 1.0],
        [0.58611, 0.58623, 0.5862, 1.0],
        [0.59167, 0.59179, 0.59176, 1.0],
        [0.59724, 0.59737, 0.59734, 1.0],
        [0.60282, 0.60295, 0.60292, 1.0],
        [0.60842, 0.60855, 0.60852, 1.0],
        [0.61401, 0.61414, 0.6141, 1.0],
        [0.61963, 0.61976, 0.61973, 1.0],
        [0.62524, 0.62537, 0.62534, 1.0],
        [0.63088, 0.63101, 0.63098, 1.0],
        [0.63652, 0.63665, 0.63662, 1.0],
        [0.64216, 0.64229, 0.64226, 1.0],
        [0.64781, 0.64795, 0.64791, 1.0],
        [0.65348, 0.65361, 0.65358, 1.0],
        [0.65915, 0.65929, 0.65926, 1.0],
        [0.66484, 0.66497, 0.66494, 1.0],
        [0.67054, 0.67067, 0.67064, 1.0],
        [0.67624, 0.67637, 0.67634, 1.0],
        [0.68194, 0.68208, 0.68205, 1.0],
        [0.68766, 0.68781, 0.68777, 1.0],
        [0.69339, 0.69353, 0.6935, 1.0],
        [0.69913, 0.69927, 0.69923, 1.0],
        [0.70487, 0.70502, 0.70498, 1.0],
        [0.71062, 0.71076, 0.71073, 1.0],
        [0.71636, 0.71651, 0.71647, 1.0],
        [0.72208, 0.72223, 0.72219, 1.0],
        [0.72779, 0.72794, 0.72791, 1.0],
        [0.73347, 0.73362, 0.73359, 1.0],
        [0.73911, 0.73926, 0.73922, 1.0],
        [0.74467, 0.74482, 0.74478, 1.0],
        [0.75014, 0.75029, 0.75026, 1.0],
        [0.75549, 0.75565, 0.75561, 1.0],
        [0.76068, 0.76083, 0.7608, 1.0],
        [0.76567, 0.76582, 0.76578, 1.0],
        [0.77039, 0.77055, 0.77051, 1.0],
        [0.77481, 0.77497, 0.77493, 1.0],
        [0.77887, 0.77903, 0.77899, 1.0],
        [0.7825, 0.78266, 0.78262, 1.0],
        [0.78566, 0.78581, 0.78578, 1.0],
        [0.78827, 0.78843, 0.78839, 1.0],
        [0.79029, 0.79045, 0.79041, 1.0],
        [0.79169, 0.79185, 0.79182, 1.0],
        [0.79244, 0.7926, 0.79257, 1.0],
        [0.79252, 0.79269, 0.79265, 1.0],
        [0.79193, 0.79209, 0.79205, 1.0],
        [0.79069, 0.79085, 0.79081, 1.0],
        [0.78881, 0.78897, 0.78893, 1.0],
        [0.78633, 0.78649, 0.78645, 1.0],
        [0.7833, 0.78346, 0.78342, 1.0],
        [0.77978, 0.77994, 0.7799, 1.0],
        [0.77582, 0.77598, 0.77594, 1.0],
        [0.77149, 0.77164, 0.7716, 1.0],
        [0.76682, 0.76698, 0.76694, 1.0],
        [0.76189, 0.76205, 0.76201, 1.0],
        [0.75675, 0.75691, 0.75687, 1.0],
        [0.75145, 0.7516, 0.75156, 1.0],
        [0.746, 0.74615, 0.74611, 1.0],
        [0.74045, 0.7406, 0.74056, 1.0],
        [0.73484, 0.73499, 0.73495, 1.0],
        [0.72917, 0.72932, 0.72928, 1.0],
        [0.72346, 0.72361, 0.72357, 1.0],
        [0.71774, 0.71789, 0.71785, 1.0],
        [0.712, 0.71215, 0.71211, 1.0],
        [0.70626, 0.70641, 0.70637, 1.0],
        [0.70052, 0.70066, 0.70062, 1.0],
        [0.69477, 0.69492, 0.69488, 1.0],
        [0.68905, 0.68919, 0.68916, 1.0],
        [0.68333, 0.68346, 0.68343, 1.0],
        [0.67762, 0.67776, 0.67772, 1.0],
        [0.67191, 0.67205, 0.67201, 1.0],
        [0.66621, 0.66635, 0.66631, 1.0],
        [0.66052, 0.66066, 0.66063, 1.0],
        [0.65485, 0.65498, 0.65495, 1.0],
        [0.64919, 0.64932, 0.64929, 1.0],
        [0.64352, 0.64365, 0.64362, 1.0],
        [0.63787, 0.63801, 0.63797, 1.0],
        [0.63223, 0.63236, 0.63233, 1.0],
        [0.6266, 0.62673, 0.6267, 1.0],
        [0.62098, 0.62111, 0.62108, 1.0],
        [0.61536, 0.61549, 0.61546, 1.0],
        [0.60976, 0.60989, 0.60986, 1.0],
        [0.60418, 0.6043, 0.60427, 1.0],
        [0.59858, 0.59871, 0.59868, 1.0],
        [0.59302, 0.59314, 0.59311, 1.0],
        [0.58744, 0.58756, 0.58753, 1.0],
        [0.58189, 0.58201, 0.58198, 1.0],
        [0.57635, 0.57647, 0.57644, 1.0],
        [0.57081, 0.57092, 0.5709, 1.0],
        [0.56528, 0.56539, 0.56537, 1.0],
        [0.55977, 0.55989, 0.55986, 1.0],
        [0.55426, 0.55438, 0.55435, 1.0],
        [0.54877, 0.54888, 0.54886, 1.0],
        [0.54328, 0.54339, 0.54336, 1.0],
        [0.53781, 0.53792, 0.53789, 1.0],
        [0.53234, 0.53245, 0.53242, 1.0],
        [0.52688, 0.52699, 0.52697, 1.0],
        [0.52143, 0.52154, 0.52151, 1.0],
        [0.51599, 0.5161, 0.51607, 1.0],
        [0.51057, 0.51067, 0.51065, 1.0],
        [0.50515, 0.50526, 0.50523, 1.0],
        [0.49974, 0.49985, 0.49982, 1.0],
        [0.49436, 0.49446, 0.49444, 1.0],
        [0.48897, 0.48907, 0.48905, 1.0],
        [0.48359, 0.4837, 0.48367, 1.0],
        [0.47824, 0.47834, 0.47831, 1.0],
        [0.47288, 0.47298, 0.47295, 1.0],
        [0.46755, 0.46764, 0.46762, 1.0],
        [0.46221, 0.46231, 0.46229, 1.0],
        [0.45689, 0.45699, 0.45697, 1.0],
        [0.45159, 0.45169, 0.45166, 1.0],
        [0.44629, 0.44638, 0.44636, 1.0],
        [0.441, 0.44109, 0.44107, 1.0],
        [0.43574, 0.43583, 0.43581, 1.0],
        [0.43047, 0.43056, 0.43054, 1.0],
        [0.42522, 0.42531, 0.42529, 1.0],
        [0.41998, 0.42007, 0.42004, 1.0],
        [0.41475, 0.41483, 0.41481, 1.0],
        [0.40953, 0.40962, 0.4096, 1.0],
        [0.40432, 0.40441, 0.40439, 1.0],
        [0.39912, 0.39921, 0.39919, 1.0],
        [0.39395, 0.39403, 0.39401, 1.0],
        [0.38878, 0.38887, 0.38885, 1.0],
        [0.38363, 0.38371, 0.38369, 1.0],
        [0.37848, 0.37856, 0.37854, 1.0],
        [0.37334, 0.37342, 0.3734, 1.0],
        [0.36822, 0.36831, 0.36829, 1.0],
        [0.36311, 0.36319, 0.36317, 1.0],
        [0.35802, 0.3581, 0.35808, 1.0],
        [0.35294, 0.35302, 0.353, 1.0],
        [0.34787, 0.34794, 0.34793, 1.0],
        [0.34282, 0.34289, 0.34287, 1.0],
        [0.33776, 0.33783, 0.33781, 1.0],
        [0.33274, 0.33281, 0.3328, 1.0],
        [0.3277, 0.32778, 0.32776, 1.0],
        [0.32271, 0.32278, 0.32276, 1.0],
        [0.31771, 0.31778, 0.31776, 1.0],
        [0.31272, 0.31279, 0.31277, 1.0],
        [0.30775, 0.30782, 0.3078, 1.0],
        [0.3028, 0.30286, 0.30285, 1.0],
        [0.29786, 0.29793, 0.29791, 1.0],
        [0.29294, 0.293, 0.29299, 1.0],
        [0.28802, 0.28809, 0.28807, 1.0],
        [0.28314, 0.2832, 0.28319, 1.0],
        [0.27826, 0.27832, 0.2783, 1.0],
        [0.27339, 0.27345, 0.27344, 1.0],
        [0.26853, 0.2686, 0.26858, 1.0],
        [0.2637, 0.26376, 0.26375, 1.0],
        [0.25887, 0.25893, 0.25892, 1.0],
        [0.25406, 0.25412, 0.2541, 1.0],
        [0.24925, 0.24931, 0.2493, 1.0],
        [0.24446, 0.24452, 0.24451, 1.0],
        [0.23973, 0.23978, 0.23977, 1.0],
        [0.23502, 0.23508, 0.23506, 1.0],
        [0.2303, 0.23036, 0.23034, 1.0],
        [0.22568, 0.22573, 0.22572, 1.0],
        [0.22109, 0.22114, 0.22113, 1.0],
        [0.21656, 0.21662, 0.2166, 1.0],
        [0.21212, 0.21217, 0.21216, 1.0],
        [0.20777, 0.20782, 0.20781, 1.0],
        [0.20358, 0.20363, 0.20361, 1.0],
        [0.19951, 0.19955, 0.19954, 1.0],
        [0.19568, 0.19573, 0.19572, 1.0],
        [0.19207, 0.19212, 0.19211, 1.0],
        [0.18876, 0.1888, 0.18879, 1.0],
        [0.18577, 0.18581, 0.1858, 1.0],
        [0.18308, 0.18313, 0.18312, 1.0],
        [0.18084, 0.18089, 0.18087, 1.0],
        [0.17906, 0.1791, 0.17909, 1.0],
        [0.17775, 0.1778, 0.17779, 1.0],
        [0.17689, 0.17694, 0.17693, 1.0],
        [0.17656, 0.1766, 0.17659, 1.0],
        [0.17676, 0.17681, 0.1768, 1.0],
        [0.1775, 0.17755, 0.17754, 1.0],
        [0.17871, 0.17875, 0.17874, 1.0],
        [0.18037, 0.18041, 0.1804, 1.0],
        [0.1825, 0.18255, 0.18254, 1.0],
        [0.18509, 0.18514, 0.18512, 1.0],
        [0.18802, 0.18807, 0.18806, 1.0],
        [0.19124, 0.19129, 0.19128, 1.0],
        [0.19481, 0.19485, 0.19484, 1.0],
        [0.19857, 0.19862, 0.19861, 1.0],
        [0.20257, 0.20262, 0.20261, 1.0],
        [0.20676, 0.20681, 0.2068, 1.0],
        [0.21105, 0.2111, 0.21109, 1.0],
        [0.21547, 0.21552, 0.21551, 1.0],
        [0.21999, 0.22004, 0.22003, 1.0],
        [0.22453, 0.22458, 0.22457, 1.0],
        [0.22919, 0.22924, 0.22923, 1.0],
        [0.23386, 0.23392, 0.2339, 1.0],
        [0.23857, 0.23863, 0.23862, 1.0],
        [0.24332, 0.24337, 0.24336, 1.0],
        [0.24812, 0.24817, 0.24816, 1.0],
        [0.2529, 0.25295, 0.25294, 1.0],
        [0.25769, 0.25775, 0.25774, 1.0],
        [0.26252, 0.26258, 0.26257, 1.0],
        [0.26734, 0.2674, 0.26739, 1.0],
        [0.27219, 0.27226, 0.27224, 1.0],
        [0.27708, 0.27714, 0.27713, 1.0],
        [0.28196, 0.28203, 0.28201, 1.0],
        [0.28684, 0.2869, 0.28688, 1.0],
        [0.29176, 0.29183, 0.29181, 1.0],
        [0.29668, 0.29675, 0.29674, 1.0],
        [0.3016, 0.30167, 0.30165, 1.0],
        [0.30657, 0.30664, 0.30662, 1.0],
        [0.31152, 0.31159, 0.31157, 1.0],
        [0.31651, 0.31658, 0.31656, 1.0],
        [0.32149, 0.32156, 0.32154, 1.0],
        [0.32649, 0.32656, 0.32654, 1.0],
        [0.33151, 0.33158, 0.33156, 1.0],
        [0.33654, 0.33662, 0.3366, 1.0],
        [0.34159, 0.34166, 0.34165, 1.0],
        [0.34664, 0.34672, 0.3467, 1.0],
        [0.3517, 0.35178, 0.35176, 1.0],
        [0.3568, 0.35688, 0.35686, 1.0],
        [0.36188, 0.36196, 0.36194, 1.0],
        [0.36698, 0.36706, 0.36704, 1.0],
        [0.37208, 0.37216, 0.37215, 1.0],
        [0.37721, 0.37729, 0.37727, 1.0],
        [0.38233, 0.38241, 0.38239, 1.0],
        [0.38746, 0.38755, 0.38753, 1.0],
        [0.3926, 0.39269, 0.39267, 1.0],
        [0.39775, 0.39784, 0.39781, 1.0],
        [0.40288, 0.40297, 0.40295, 1.0],
        [0.40802, 0.4081, 0.40808, 1.0],
        [0.41315, 0.41324, 0.41322, 1.0],
        [0.41826, 0.41834, 0.41832, 1.0],
        [0.42336, 0.42345, 0.42343, 1.0],
        [0.42846, 0.42855, 0.42853, 1.0],
        [0.43353, 0.43362, 0.4336, 1.0],
        [0.43859, 0.43868, 0.43866, 1.0],
        [0.44365, 0.44374, 0.44372, 1.0],
        [0.44868, 0.44878, 0.44875, 1.0],
        [0.4537, 0.4538, 0.45377, 1.0],
        [0.45872, 0.45882, 0.4588, 1.0],
        [0.46374, 0.46385, 0.46382, 1.0],
    ],
    'cet.cyclic_grey_15_85_c0_s25': [
        [0.17676, 0.17681, 0.1768, 1.0],
        [0.1775, 0.17755, 0.17754, 1.0],
        [0.17871, 0.17875, 0.17874, 1.0],
        [0.18037, 0.18041, 0.1804, 1.0],
        [0.1825, 0.18255, 0.18254, 1.0],
        [0.18509, 0.18514, 0.18512, 1.0],
        [0.18802, 0.18807, 0.18806, 1.0],
        [0.19124, 0.19129, 0.19128, 1.0],
        [0.19481, 0.19485, 0.19484, 1.0],
        [0.19857, 0.19862, 0.19861, 1.0],
        [0.20257, 0.20262, 0.20261, 1.0],
        [0.20676, 0.20681, 0.2068, 1.0],
        [0.21105, 0.2111, 0.21109, 1.0],
        [0.21547, 0.21552, 0.21551, 1.0],
        [0.21999, 0.22004, 0.22003, 1.0],
        [0.22453, 0.22458, 0.22457, 1.0],
        [0.22919, 0.22924, 0.22923, 1.0],
        [0.23386, 0.23392, 0.2339, 1.0],
        [0.23857, 0.23863, 0.23862, 1.0],
        [0.24332, 0.24337, 0.24336, 1.0],
        [0.24812, 0.24817, 0.24816, 1.0],
        [0.2529, 0.25295, 0.25294, 1.0],
        [0.25769, 0.25775, 0.25774, 1.0],
        [0.26252, 0.26258, 0.26257, 1.0],
        [0.26734, 0.2674, 0.26739, 1.0],
        [0.27219, 0.27226, 0.27224, 1.0],
        [0.27708, 0.27714, 0.27713, 1.0],
        [0.28196, 0.28203, 0.28201, 1.0],
        [0.28684, 0.2869, 0.28688, 1.0],
        [0.29176, 0.29183, 0.29181, 1.0],
        [0.29668, 0.29675, 0.29674, 1.0],
        [0.3016, 0.30167, 0.30165, 1.0],
        [0.30657, 0.30664, 0.30662, 1.0],
        [0.31152, 0.31159, 0.31157, 1.0],
        [0.31651, 0.31658, 0.31656, 1.0],
        [0.32149, 0.32156, 0.32154, 1.0],
        [0.32649, 0.32656, 0.32654, 1.0],
        [0.33151, 0.33158, 0.33156, 1.0],
        [0.33654, 0.33662, 0.3366, 1.0],
        [0.34159, 0.34166, 0.34165, 1.0],
        [0.34664, 0.34672, 0.3467, 1.0],
        [0.3517, 0.35178, 0.35176, 1.0],
        [0.3568, 0.35688, 0.35686, 1.0],
        [0.36188, 0.36196, 0.36194, 1.0],
        [0.36698, 0.36706, 0.36704, 1.0],
        [0.37208, 0.37216, 0.37215, 1.0],
        [0.37721, 0.37729, 0.37727, 1.0],
        [0.38233, 0.38241, 0.38239, 1.0],
        [0.38746, 0.38755, 0.38753, 1.0],
        [0.3926, 0.39269, 0.39267, 1.0],
        [0.39775, 0.39784, 0.39781, 1.0],
        [0.40288, 0.40297, 0.40295, 1.0],
        [0.40802, 0.4081, 0.40808, 1.0],
        [0.41315, 0.41324, 0.41322, 1.0],
        [0.41826, 0.41834, 0.41832, 1.0],
        [0.42336, 0.42345, 0.42343, 1.0],
        [0.42846, 0.42855, 0.42853, 1.0],
        [0.43353, 0.43362, 0.4336, 1.0],
        [0.43859, 0.43868, 0.43866, 1.0],
        [0.44365, 0.44374, 0.44372, 1.0],
        [0.44868, 0.44878, 0.44875, 1.0],
        [0.4537, 0.4538, 0.45377, 1.0],
        [0.45872, 0.45882, 0.4588, 1.0],
        [0.46374, 0.46385, 0.46382, 1.0],
        [0.46877, 0.46888, 0.46885, 1.0],
        [0.47381, 0.47391, 0.47389, 1.0],
        [0.47887, 0.47897, 0.47895, 1.0],
        [0.48395, 0.48405, 0.48403, 1.0],
        [0.48907, 0.48917, 0.48914, 1.0],
        [0.49422, 0.49432, 0.4943, 1.0],
        [0.49939, 0.49949, 0.49947, 1.0],
        [0.50462, 0.50472, 0.5047, 1.0],
        [0.50986, 0.50997, 0.50994, 1.0],
        [0.51515, 0.51526, 0.51523, 1.0],
        [0.52047, 0.52058, 0.52056, 1.0],
        [0.52583, 0.52594, 0.52592, 1.0],
        [0.53121, 0.53132, 0.5313, 1.0],
        [0.53663, 0.53674, 0.53671, 1.0],
        [0.54205, 0.54217, 0.54214, 1.0],
        [0.5475, 0.54762, 0.54759, 1.0],
        [0.55297, 0.55309, 0.55306, 1.0],
        [0.55846, 0.55857, 0.55855, 1.0],
        [0.56397, 0.56409, 0.56406, 1.0],
        [0.56948, 0.5696, 0.56957, 1.0],
        [0.57501, 0.57513, 0.5751, 1.0],
        [0.58055, 0.58067, 0.58064, 1.0],
        [0.58611, 0.58623, 0.5862, 1.0],
        [0.59167, 0.59179, 0.59176, 1.0],
        [0.59724, 0.59737, 0.59734, 1.0],
        [0.60282, 0.60295, 0.60292, 1.0],
        [0.60842, 0.60855, 0.60852, 1.0],
        [0.61401, 0.61414, 0.6141, 1.0],
        [0.61963, 0.61976, 0.61973, 1.0],
        [0.62524, 0.62537, 0.62534, 1.0],
        [0.63088, 0.63101, 0.63098, 1.0],
        [0.63652, 0.63665, 0.63662, 1.0],
        [0.64216, 0.64229, 0.64226, 1.0],
        [0.64781, 0.64795, 0.64791, 1.0],
        [0.65348, 0.65361, 0.65358, 1.0],
        [0.65915, 0.65929, 0.65926, 1.0],
        [0.66484, 0.66497, 0.66494, 1.0],
        [0.67054, 0.67067, 0.67064, 1.0],
        [0.67624, 0.67637, 0.67634, 1.0],
        [0.68194, 0.68208, 0.68205, 1.0],
        [0.68766, 0.68781, 0.68777, 1.0],
        [0.69339, 0.69353, 0.6935, 1.0],
        [0.69913, 0.69927, 0.69923, 1.0],
        [0.70487, 0.70502, 0.70498, 1.0],
        [0.71062, 0.71076, 0.71073, 1.0],
        [0.71636, 0.71651, 0.71647, 1.0],
        [0.72208, 0.72223, 0.72219, 1.0],
        [0.72779, 0.72794, 0.72791, 1.0],
        [0.73347, 0.73362, 0.73359, 1.0],
        [0.73911, 0.73926, 0.73922, 1.0],
        [0.74467, 0.74482, 0.74478, 1.0],
        [0.75014, 0.75029, 0.75026, 1.0],
        [0.75549, 0.75565, 0.75561, 1.0],
        [0.76068, 0.76083, 0.7608, 1.0],
        [0.76567, 0.76582, 0.76578, 1.0],
        [0.77039, 0.77055, 0.77051, 1.0],
        [0.77481, 0.77497, 0.77493, 1.0],
        [0.77887, 0.77903, 0.77899, 1.0],
        [0.7825, 0.78266, 0.78262, 1.0],
        [0.78566, 0.78581, 0.78578, 1.0],
        [0.78827, 0.78843, 0.78839, 1.0],
        [0.79029, 0.79045, 0.79041, 1.0],
        [0.79169, 0.79185, 0.79182, 1.0],
        [0.79244, 0.7926, 0.79257, 1.0],
        [0.79252, 0.79269, 0.79265, 1.0],
        [0.79193, 0.79209, 0.79205, 1.0],
        [0.79069, 0.79085, 0.79081, 1.0],
        [0.78881, 0.78897, 0.78893, 1.0],
        [0.78633, 0.78649, 0.78645, 1.0],
        [0.7833, 0.78346, 0.78342, 1.0],
        [0.77978, 0.77994, 0.7799, 1.0],
        [0.77582, 0.77598, 0.77594, 1.0],
        [0.77149, 0.77164, 0.7716, 1.0],
        [0.76682, 0.76698, 0.76694, 1.0],
        [0.76189, 0.76205, 0.76201, 1.0],
        [0.75675, 0.75691, 0.75687, 1.0],
        [0.75145, 0.7516, 0.75156, 1.0],
        [0.746, 0.74615, 0.74611, 1.0],
        [0.74045, 0.7406, 0.74056, 1.0],
        [0.73484, 0.73499, 0.73495, 1.0],
        [0.72917, 0.72932, 0.72928, 1.0],
        [0.72346, 0.72361, 0.72357, 1.0],
        [0.71774, 0.71789, 0.71785, 1.0],
        [0.712, 0.71215, 0.71211, 1.0],
        [0.70626, 0.70641, 0.70637, 1.0],
        [0.70052, 0.70066, 0.70062, 1.0],
        [0.69477, 0.69492, 0.69488, 1.0],
        [0.68905, 0.68919, 0.68916, 1.0],
        [0.68333, 0.68346, 0.68343, 1.0],
        [0.67762, 0.67776, 0.67772, 1.0],
        [0.67191, 0.67205, 0.67201, 1.0],
        [0.66621, 0.66635, 0.66631, 1.0],
        [0.66052, 0.66066, 0.66063, 1.0],
        [0.65485, 0.65498, 0.65495, 1.0],
        [0.64919, 0.64932, 0.64929, 1.0],
        [0.64352, 0.64365, 0.64362, 1.0],
        [0.63787, 0.63801, 0.63797, 1.0],
        [0.63223, 0.63236, 0.63233, 1.0],
        [0.6266, 0.62673, 0.6267, 1.0],
        [0.62098, 0.62111, 0.62108, 1.0],
        [0.61536, 0.61549, 0.61546, 1.0],
        [0.60976, 0.60989, 0.60986, 1.0],
        [0.60418, 0.6043, 0.60427, 1.0],
        [0.59858, 0.59871, 0.59868, 1.0],
        [0.59302, 0.59314, 0.59311, 1.0],
        [0.58744, 0.58756, 0.58753, 1.0],
        [0.58189, 0.58201, 0.58198, 1.0],
        [0.57635, 0.57647, 0.57644, 1.0],
        [0.57081, 0.57092, 0.5709, 1.0],
        [0.56528, 0.56539, 0.56537, 1.0],
        [0.55977, 0.55989, 0.55986, 1.0],
        [0.55426, 0.55438, 0.55435, 1.0],
        [0.54877, 0.54888, 0.54886, 1.0],
        [0.54328, 0.54339, 0.54336, 1.0],
        [0.53781, 0.53792, 0.53789, 1.0],
        [0.53234, 0.53245, 0.53242, 1.0],
        [0.52688, 0.52699, 0.52697, 1.0],
        [0.52143, 0.52154, 0.52151, 1.0],
        [0.51599, 0.5161, 0.51607, 1.0],
        [0.51057, 0.51067, 0.51065, 1.0],
        [0.50515, 0.50526, 0.50523, 1.0],
        [0.49974, 0.49985, 0.49982, 1.0],
        [0.49436, 0.49446, 0.49444, 1.0],
        [0.48897, 0.48907, 0.48905, 1.0],
        [0.48359, 0.4837, 0.48367, 1.0],
        [0.47824, 0.47834, 0.47831, 1.0],
        [0.47288, 0.47298, 0.47295, 1.0],
        [0.46755, 0.46764, 0.46762, 1.0],
        [0.46221, 0.46231, 0.46229, 1.0],
        [0.45689, 0.45699, 0.45697, 1.0],
        [0.45159, 0.45169, 0.45166, 1.0],
        [0.44629, 0.44638, 0.44636, 1.0],
        [0.441, 0.44109, 0.44107, 1.0],
        [0.43574, 0.43583, 0.43581, 1.0],
        [0.43047, 0.43056, 0.43054, 1.0],
        [0.42522, 0.42531, 0.42529, 1.0],
        [0.41998, 0.42007, 0.42004, 1.0],
        [0.41475, 0.41483, 0.41481, 1.0],
        [0.40953, 0.40962, 0.4096, 1.0],
        [0.40432, 0.40441, 0.40439, 1.0],
        [0.39912, 0.39921, 0.39919, 1.0],
        [0.39395, 0.39403, 0.39401, 1.0],
        [0.38878, 0.38887, 0.38885, 1.0],
        [0.38363, 0.38371, 0.38369, 1.0],
        [0.37848, 0.37856, 0.37854, 1.0],
        [0.37334, 0.37342, 0.3734, 1.0],
        [0.36822, 0.36831, 0.36829, 1.0],
        [0.36311, 0.36319, 0.36317, 1.0],
        [0.35802, 0.3581, 0.35808, 1.0],
        [0.35294, 0.35302, 0.353, 1.0],
        [0.34787, 0.34794, 0.34793, 1.0],
        [0.34282, 0.34289, 0.34287, 1.0],
        [0.33776, 0.33783, 0.33781, 1.0],
        [0.33274, 0.33281, 0.3328, 1.0],
        [0.3277, 0.32778, 0.32776, 1.0],
        [0.32271, 0.32278, 0.32276, 1.0],
        [0.31771, 0.31778, 0.31776, 1.0],
        [0.31272, 0.31279, 0.31277, 1.0],
        [0.30775, 0.30782, 0.3078, 1.0],
        [0.3028, 0.30286, 0.30285, 1.0],
        [0.29786, 0.29793, 0.29791, 1.0],
        [0.29294, 0.293, 0.29299, 1.0],
        [0.28802, 0.28809, 0.28807, 1.0],
        [0.28314, 0.2832, 0.28319, 1.0],
        [0.27826, 0.27832, 0.2783, 1.0],
        [0.27339, 0.27345, 0.27344, 1.0],
        [0.26853, 0.2686, 0.26858, 1.0],
        [0.2637, 0.26376, 0.26375, 1.0],
        [0.25887, 0.25893, 0.25892, 1.0],
        [0.25406, 0.25412, 0.2541, 1.0],
        [0.24925, 0.24931, 0.2493, 1.0],
        [0.24446, 0.24452, 0.24451, 1.0],
        [0.23973, 0.23978, 0.23977, 1.0],
        [0.23502, 0.23508, 0.23506, 1.0],
        [0.2303, 0.23036, 0.23034, 1.0],
        [0.22568, 0.22573, 0.22572, 1.0],
        [0.22109, 0.22114, 0.22113, 1.0],
        [0.21656, 0.21662, 0.2166, 1.0],
        [0.21212, 0.21217, 0.21216, 1.0],
        [0.20777, 0.20782, 0.20781, 1.0],
        [0.20358, 0.20363, 0.20361, 1.0],
        [0.19951, 0.19955, 0.19954, 1.0],
        [0.19568, 0.19573, 0.19572, 1.0],
        [0.19207, 0.19212, 0.19211, 1.0],
        [0.18876, 0.1888, 0.18879, 1.0],
        [0.18577, 0.18581, 0.1858, 1.0],
        [0.18308, 0.18313, 0.18312, 1.0],
        [0.18084, 0.18089, 0.18087, 1.0],
        [0.17906, 0.1791, 0.17909, 1.0],
        [0.17775, 0.1778, 0.17779, 1.0],
        [0.17689, 0.17694, 0.17693, 1.0],
        [0.17656, 0.1766, 0.17659, 1.0],
    ],
    'cet.cyclic_mrybm_35_75_c68': [
        [0.97561, 0.52012, 0.97096, 1.0],
        [0.98033, 0.51722, 0.96319, 1.0],
        [0.9842, 0.51357, 0.95448, 1.0],
        [0.98725, 0.50922, 0.94488, 1.0],
        [0.98954, 0.5042, 0.93442, 1.0],
        [0.99112, 0.49856, 0.9232, 1.0],
        [0.99204, 0.49233, 0.91126, 1.0],
        [0.99239, 0.48561, 0.89871, 1.0],
        [0.99221, 0.47844, 0.88563, 1.0],
        [0.99158, 0.47088, 0.87209, 1.0],
        [0.99055, 0.46298, 0.85819, 1.0],
        [0.98919, 0.45483, 0.84399, 1.0],
        [0.98754, 0.44642, 0.82958, 1.0],
        [0.98565, 0.43783, 0.81499, 1.0],
        [0.98354, 0.42907, 0.80029, 1.0],
        [0.98125, 0.42019, 0.78551, 1.0],
        [0.97879, 0.4112, 0.77068, 1.0],
        [0.97618, 0.40212, 0.75583, 1.0],
        [0.97344, 0.39297, 0.74098, 1.0],
        [0.97057, 0.38376, 0.72614, 1.0],
        [0.96757, 0.3745, 0.71131, 1.0],
        [0.96444, 0.36519, 0.6965, 1.0],
        [0.96118, 0.35586, 0.6817, 1.0],
        [0.95779, 0.3465, 0.66694, 1.0],
        [0.95425, 0.33716, 0.65219, 1.0],
        [0.95055, 0.3278, 0.63745, 1.0],
        [0.94668, 0.31849, 0.62271, 1.0],
        [0.94264, 0.30923, 0.60798, 1.0],
        [0.93839, 0.3, 0.59322, 1.0],
        [0.93394, 0.29087, 0.57844, 1.0],
        [0.92929, 0.28185, 0.56366, 1.0],
        [0.92441, 0.27294, 0.54883, 1.0],
        [0.91931, 0.26418, 0.53396, 1.0],
        [0.91398, 0.25557, 0.51908, 1.0],
        [0.90842, 0.24712, 0.50415, 1.0],
        [0.90264, 0.23883, 0.48918, 1.0],
        [0.89665, 0.23073, 0.47419, 1.0],
        [0.89044, 0.22281, 0.45918, 1.0],
        [0.88405, 0.21501, 0.44415, 1.0],
        [0.87747, 0.2074, 0.42911, 1.0],
        [0.87072, 0.19987, 0.41407, 1.0],
        [0.86383, 0.1925, 0.39903, 1.0],
        [0.85679, 0.18523, 0.38401, 1.0],
        [0.84962, 0.17801, 0.369, 1.0],
        [0.84235, 0.17082, 0.35401, 1.0],
        [0.83498, 0.16373, 0.33907, 1.0],
        [0.82753, 0.15664, 0.32416, 1.0],
        [0.82001, 0.14962, 0.30933, 1.0],
        [0.81245, 0.14261, 0.29452, 1.0],
        [0.80486, 0.13567, 0.27982, 1.0],
        [0.79725, 0.12885, 0.26518, 1.0],
        [0.78966, 0.12217, 0.25066, 1.0],
        [0.78212, 0.11578, 0.23628, 1.0],
        [0.77464, 0.1097, 0.22201, 1.0],
        [0.7673, 0.104, 0.20795, 1.0],
        [0.76012, 0.098945, 0.19412, 1.0],
        [0.75317, 0.094721, 0.18049, 1.0],
        [0.74652, 0.091421, 0.16723, 1.0],
        [0.74022, 0.089258, 0.15426, 1.0],
        [0.73434, 0.088445, 0.14174, 1.0],
        [0.72894, 0.089069, 0.12963, 1.0],
        [0.7241, 0.091195, 0.118, 1.0],
        [0.71988, 0.094767, 0.10689, 1.0],
        [0.71631, 0.099636, 0.096236, 1.0],
        [0.71343, 0.1058, 0.086225, 1.0],
        [0.71128, 0.11302, 0.076774, 1.0],
        [0.70983, 0.12104, 0.068001, 1.0],
        [0.7091, 0.12989, 0.05981, 1.0],
        [0.70904, 0.1392, 0.052084, 1.0],
        [0.70963, 0.14902, 0.04517, 1.0],
        [0.71081, 0.15914, 0.038855, 1.0],
        [0.71251, 0.1695, 0.033292, 1.0],
        [0.7147, 0.17995, 0.028947, 1.0],
        [0.71729, 0.1905, 0.02547, 1.0],
        [0.72021, 0.20107, 0.022733, 1.0],
        [0.72342, 0.21166, 0.020622, 1.0],
        [0.72685, 0.22214, 0.019034, 1.0],
        [0.73046, 0.23256, 0.017876, 1.0],
        [0.73419, 0.24288, 0.017071, 1.0],
        [0.73802, 0.25311, 0.016547, 1.0],
        [0.74191, 0.26323, 0.016249, 1.0],
        [0.74585, 0.27322, 0.016125, 1.0],
        [0.74979, 0.28311, 0.016137, 1.0],
        [0.75375, 0.29288, 0.01625, 1.0],
        [0.75769, 0.30257, 0.01644, 1.0],
        [0.76161, 0.31217, 0.016684, 1.0],
        [0.7655, 0.32171, 0.016989, 1.0],
        [0.76932, 0.33117, 0.017296, 1.0],
        [0.7731, 0.34058, 0.0176, 1.0],
        [0.77681, 0.34994, 0.017896, 1.0],
        [0.78044, 0.35925, 0.018177, 1.0],
        [0.784, 0.36855, 0.018435, 1.0],
        [0.78746, 0.37783, 0.018665, 1.0],
        [0.79082, 0.38709, 0.018861, 1.0],
        [0.79409, 0.39636, 0.019014, 1.0],
        [0.79724, 0.40564, 0.019122, 1.0],
        [0.80029, 0.4149, 0.019179, 1.0],
        [0.80322, 0.42418, 0.019183, 1.0],
        [0.80605, 0.43346, 0.019132, 1.0],
        [0.80876, 0.44276, 0.019026, 1.0],
        [0.81136, 0.45205, 0.018866, 1.0],
        [0.81386, 0.46134, 0.018654, 1.0],
        [0.81626, 0.47063, 0.018394, 1.0],
        [0.81857, 0.47992, 0.01809, 1.0],
        [0.8208, 0.48918, 0.017747, 1.0],
        [0.82295, 0.49846, 0.017369, 1.0],
        [0.82503, 0.50771, 0.016963, 1.0],
        [0.82704, 0.51694, 0.016575, 1.0],
        [0.82898, 0.52615, 0.016225, 1.0],
        [0.83084, 0.53532, 0.015949, 1.0],
        [0.83262, 0.54446, 0.015792, 1.0],
        [0.83431, 0.55354, 0.01582, 1.0],
        [0.8359, 0.56257, 0.016118, 1.0],
        [0.83738, 0.5715, 0.016798, 1.0],
        [0.8387, 0.58035, 0.018004, 1.0],
        [0.83985, 0.58906, 0.019918, 1.0],
        [0.84077, 0.59761, 0.022763, 1.0],
        [0.84143, 0.60595, 0.02681, 1.0],
        [0.84177, 0.61404, 0.032376, 1.0],
        [0.84173, 0.62182, 0.040011, 1.0],
        [0.84125, 0.62922, 0.04912, 1.0],
        [0.84026, 0.63619, 0.059305, 1.0],
        [0.83868, 0.64264, 0.070471, 1.0],
        [0.83647, 0.6485, 0.08264, 1.0],
        [0.83356, 0.65372, 0.095596, 1.0],
        [0.82989, 0.65824, 0.10926, 1.0],
        [0.82544, 0.66201, 0.12343, 1.0],
        [0.82017, 0.66498, 0.13819, 1.0],
        [0.81408, 0.66715, 0.15321, 1.0],
        [0.80717, 0.66852, 0.16856, 1.0],
        [0.79947, 0.66908, 0.18405, 1.0],
        [0.79098, 0.66887, 0.19961, 1.0],
        [0.78178, 0.66795, 0.2152, 1.0],
        [0.7719, 0.66635, 0.23072, 1.0],
        [0.76139, 0.66416, 0.2461, 1.0],
        [0.75032, 0.66143, 0.26133, 1.0],
        [0.73873, 0.65825, 0.27636, 1.0],
        [0.72668, 0.65467, 0.29113, 1.0],
        [0.71421, 0.65077, 0.30567, 1.0],
        [0.70137, 0.64662, 0.31995, 1.0],
        [0.68818, 0.64226, 0.33397, 1.0],
        [0.67466, 0.63773, 0.34774, 1.0],
        [0.66084, 0.6331, 0.36127, 1.0],
        [0.64671, 0.62838, 0.37458, 1.0],
        [0.63228, 0.6236, 0.38765, 1.0],
        [0.61753, 0.61878, 0.40056, 1.0],
        [0.60245, 0.61393, 0.41326, 1.0],
        [0.58703, 0.60909, 0.42578, 1.0],
        [0.57126, 0.60423, 0.43817, 1.0],
        [0.55511, 0.59936, 0.4504, 1.0],
        [0.53858, 0.59449, 0.4625, 1.0],
        [0.5216, 0.58962, 0.47451, 1.0],
        [0.5042, 0.58475, 0.4864, 1.0],
        [0.48632, 0.57986, 0.49821, 1.0],
        [0.46796, 0.57493, 0.50993, 1.0],
        [0.44912, 0.56996, 0.5216, 1.0],
        [0.42978, 0.56493, 0.53322, 1.0],
        [0.40998, 0.55983, 0.5448, 1.0],
        [0.38972, 0.55461, 0.55635, 1.0],
        [0.36908, 0.54926, 0.56789, 1.0],
        [0.3481, 0.54375, 0.57943, 1.0],
        [0.32688, 0.53805, 0.59098, 1.0],
        [0.30556, 0.53211, 0.60256, 1.0],
        [0.28424, 0.52592, 0.61416, 1.0],
        [0.26316, 0.51945, 0.62583, 1.0],
        [0.2425, 0.51265, 0.63755, 1.0],
        [0.22257, 0.50551, 0.64934, 1.0],
        [0.20368, 0.49802, 0.66119, 1.0],
        [0.18619, 0.49012, 0.67313, 1.0],
        [0.17051, 0.48183, 0.68514, 1.0],
        [0.15712, 0.47312, 0.69723, 1.0],
        [0.14638, 0.46402, 0.70941, 1.0],
        [0.13859, 0.4545, 0.72164, 1.0],
        [0.1338, 0.44458, 0.73395, 1.0],
        [0.1319, 0.43426, 0.7463, 1.0],
        [0.13253, 0.42359, 0.75869, 1.0],
        [0.13519, 0.4126, 0.77109, 1.0],
        [0.1393, 0.40128, 0.7835, 1.0],
        [0.1445, 0.38969, 0.79588, 1.0],
        [0.15024, 0.3779, 0.80821, 1.0],
        [0.1563, 0.36594, 0.82045, 1.0],
        [0.16246, 0.35387, 0.83257, 1.0],
        [0.16864, 0.34179, 0.84452, 1.0],
        [0.17484, 0.32979, 0.85623, 1.0],
        [0.18105, 0.31794, 0.86767, 1.0],
        [0.18746, 0.30639, 0.87875, 1.0],
        [0.19408, 0.29524, 0.88943, 1.0],
        [0.20101, 0.28465, 0.89962, 1.0],
        [0.20848, 0.27478, 0.90926, 1.0],
        [0.2165, 0.26579, 0.9183, 1.0],
        [0.22506, 0.25778, 0.92668, 1.0],
        [0.2343, 0.25098, 0.93436, 1.0],
        [0.24409, 0.24544, 0.94131, 1.0],
        [0.25448, 0.24134, 0.94753, 1.0],
        [0.26529, 0.23866, 0.95301, 1.0],
        [0.27652, 0.2375, 0.95778, 1.0],
        [0.28798, 0.23773, 0.96185, 1.0],
        [0.29964, 0.23933, 0.9653, 1.0],
        [0.31135, 0.24218, 0.96816, 1.0],
        [0.32305, 0.24613, 0.9705, 1.0],
        [0.33464, 0.25106, 0.97238, 1.0],
        [0.34606, 0.25676, 0.97386, 1.0],
        [0.35733, 0.26313, 0.97502, 1.0],
        [0.36835, 0.27, 0.9759, 1.0],
        [0.37916, 0.27724, 0.97657, 1.0],
        [0.38973, 0.28476, 0.97706, 1.0],
        [0.40009, 0.2925, 0.97742, 1.0],
        [0.41026, 0.30036, 0.97768, 1.0],
        [0.42023, 0.3083, 0.97787, 1.0],
        [0.43006, 0.31627, 0.978, 1.0],
        [0.43977, 0.32421, 0.97811, 1.0],
        [0.4494, 0.33213, 0.9782, 1.0],
        [0.459, 0.33997, 0.97829, 1.0],
        [0.46859, 0.34772, 0.97838, 1.0],
        [0.47825, 0.35536, 0.97849, 1.0],
        [0.48802, 0.36282, 0.97864, 1.0],
        [0.49795, 0.37015, 0.97883, 1.0],
        [0.50807, 0.3773, 0.97906, 1.0],
        [0.51845, 0.38426, 0.97935, 1.0],
        [0.52912, 0.39102, 0.97969, 1.0],
        [0.5401, 0.39755, 0.9801, 1.0],
        [0.55143, 0.40386, 0.98057, 1.0],
        [0.56311, 0.40995, 0.98111, 1.0],
        [0.57513, 0.41579, 0.98173, 1.0],
        [0.58751, 0.4214, 0.98242, 1.0],
        [0.60022, 0.42681, 0.98317, 1.0],
        [0.61322, 0.43201, 0.984, 1.0],
        [0.6265, 0.437, 0.98489, 1.0],
        [0.64002, 0.44182, 0.98583, 1.0],
        [0.65371, 0.44647, 0.98682, 1.0],
        [0.66757, 0.45099, 0.98786, 1.0],
        [0.68153, 0.4554, 0.98894, 1.0],
        [0.69558, 0.4597, 0.99005, 1.0],
        [0.70967, 0.46392, 0.99118, 1.0],
        [0.72376, 0.46807, 0.99233, 1.0],
        [0.73785, 0.47218, 0.9935, 1.0],
        [0.7519, 0.47624, 0.99467, 1.0],
        [0.76589, 0.48026, 0.99582, 1.0],
        [0.77979, 0.48425, 0.99696, 1.0],
        [0.79361, 0.48821, 0.99807, 1.0],
        [0.80729, 0.49211, 0.99913, 1.0],
        [0.82083, 0.49595, 1, 1.0],
        [0.8342, 0.49972, 1, 1.0],
        [0.84736, 0.50339, 1, 1.0],
        [0.86029, 0.50693, 1, 1.0],
        [0.87292, 0.5103, 1, 1.0],
        [0.8852, 0.51345, 1, 1.0],
        [0.89709, 0.51632, 1, 1.0],
        [0.90851, 0.51889, 1, 1.0],
        [0.91939, 0.52104, 1, 1.0],
        [0.92968, 0.52273, 0.99852, 1.0],
        [0.9393, 0.52391, 0.996, 1.0],
        [0.94819, 0.5245, 0.99274, 1.0],
        [0.95631, 0.52446, 0.98864, 1.0],
        [0.9636, 0.52374, 0.98368, 1.0],
        [0.97003, 0.52229, 0.97779, 1.0],
    ],
    'cet.cyclic_mrybm_35_75_c68_s25': [
        [0.24409, 0.24544, 0.94131, 1.0],
        [0.25448, 0.24134, 0.94753, 1.0],
        [0.26529, 0.23866, 0.95301, 1.0],
        [0.27652, 0.2375, 0.95778, 1.0],
        [0.28798, 0.23773, 0.96185, 1.0],
        [0.29964, 0.23933, 0.9653, 1.0],
        [0.31135, 0.24218, 0.96816, 1.0],
        [0.32305, 0.24613, 0.9705, 1.0],
        [0.33464, 0.25106, 0.97238, 1.0],
        [0.34606, 0.25676, 0.97386, 1.0],
        [0.35733, 0.26313, 0.97502, 1.0],
        [0.36835, 0.27, 0.9759, 1.0],
        [0.37916, 0.27724, 0.97657, 1.0],
        [0.38973, 0.28476, 0.97706, 1.0],
        [0.40009, 0.2925, 0.97742, 1.0],
        [0.41026, 0.30036, 0.97768, 1.0],
        [0.42023, 0.3083, 0.97787, 1.0],
        [0.43006, 0.31627, 0.978, 1.0],
        [0.43977, 0.32421, 0.97811, 1.0],
        [0.4494, 0.33213, 0.9782, 1.0],
        [0.459, 0.33997, 0.97829, 1.0],
        [0.46859, 0.34772, 0.97838, 1.0],
        [0.47825, 0.35536, 0.97849, 1.0],
        [0.48802, 0.36282, 0.97864, 1.0],
        [0.49795, 0.37015, 0.97883, 1.0],
        [0.50807, 0.3773, 0.97906, 1.0],
        [0.51845, 0.38426, 0.97935, 1.0],
        [0.52912, 0.39102, 0.97969, 1.0],
        [0.5401, 0.39755, 0.9801, 1.0],
        [0.55143, 0.40386, 0.98057, 1.0],
        [0.56311, 0.40995, 0.98111, 1.0],
        [0.57513, 0.41579, 0.98173, 1.0],
        [0.58751, 0.4214, 0.98242, 1.0],
        [0.60022, 0.42681, 0.98317, 1.0],
        [0.61322, 0.43201, 0.984, 1.0],
        [0.6265, 0.437, 0.98489, 1.0],
        [0.64002, 0.44182, 0.98583, 1.0],
        [0.65371, 0.44647, 0.98682, 1.0],
        [0.66757, 0.45099, 0.98786, 1.0],
        [0.68153, 0.4554, 0.98894, 1.0],
        [0.69558, 0.4597, 0.99005, 1.0],
        [0.70967, 0.46392, 0.99118, 1.0],
        [0.72376, 0.46807, 0.99233, 1.0],
        [0.73785, 0.47218, 0.9935, 1.0],
        [0.7519, 0.47624, 0.99467, 1.0],
        [0.76589, 0.48026, 0.99582, 1.0],
        [0.77979, 0.48425, 0.99696, 1.0],
        [0.79361, 0.48821, 0.99807, 1.0],
        [0.80729, 0.49211, 0.99913, 1.0],
        [0.82083, 0.49595, 1, 1.0],
        [0.8342, 0.49972, 1, 1.0],
        [0.84736, 0.50339, 1, 1.0],
        [0.86029, 0.50693, 1, 1.0],
        [0.87292, 0.5103, 1, 1.0],
        [0.8852, 0.51345, 1, 1.0],
        [0.89709, 0.51632, 1, 1.0],
        [0.90851, 0.51889, 1, 1.0],
        [0.91939, 0.52104, 1, 1.0],
        [0.92968, 0.52273, 0.99852, 1.0],
        [0.9393, 0.52391, 0.996, 1.0],
        [0.94819, 0.5245, 0.99274, 1.0],
        [0.95631, 0.52446, 0.98864, 1.0],
        [0.9636, 0.52374, 0.98368, 1.0],
        [0.97003, 0.52229, 0.97779, 1.0],
        [0.97561, 0.52012, 0.97096, 1.0],
        [0.98033, 0.51722, 0.96319, 1.0],
        [0.9842, 0.51357, 0.95448, 1.0],
        [0.98725, 0.50922, 0.94488, 1.0],
        [0.98954, 0.5042, 0.93442, 1.0],
        [0.99112, 0.49856, 0.9232, 1.0],
        [0.99204, 0.49233, 0.91126, 1.0],
        [0.99239, 0.48561, 0.89871, 1.0],
        [0.99221, 0.47844, 0.88563, 1.0],
        [0.99158, 0.47088, 0.87209, 1.0],
        [0.99055, 0.46298, 0.85819, 1.0],
        [0.98919, 0.45483, 0.84399, 1.0],
        [0.98754, 0.44642, 0.82958, 1.0],
        [0.98565, 0.43783, 0.81499, 1.0],
        [0.98354, 0.42907, 0.80029, 1.0],
        [0.98125, 0.42019, 0.78551, 1.0],
        [0.97879, 0.4112, 0.77068, 1.0],
        [0.97618, 0.40212, 0.75583, 1.0],
        [0.97344, 0.39297, 0.74098, 1.0],
        [0.97057, 0.38376, 0.72614, 1.0],
        [0.96757, 0.3745, 0.71131, 1.0],
        [0.96444, 0.36519, 0.6965, 1.0],
        [0.96118, 0.35586, 0.6817, 1.0],
        [0.95779, 0.3465, 0.66694, 1.0],
        [0.95425, 0.33716, 0.65219, 1.0],
        [0.95055, 0.3278, 0.63745, 1.0],
        [0.94668, 0.31849, 0.62271, 1.0],
        [0.94264, 0.30923, 0.60798, 1.0],
        [0.93839, 0.3, 0.59322, 1.0],
        [0.93394, 0.29087, 0.57844, 1.0],
        [0.92929, 0.28185, 0.56366, 1.0],
        [0.92441, 0.27294, 0.54883, 1.0],
        [0.91931, 0.26418, 0.53396, 1.0],
        [0.91398, 0.25557, 0.51908, 1.0],
        [0.90842, 0.24712, 0.50415, 1.0],
        [0.90264, 0.23883, 0.48918, 1.0],
        [0.89665, 0.23073, 0.47419, 1.0],
        [0.89044, 0.22281, 0.45918, 1.0],
        [0.88405, 0.21501, 0.44415, 1.0],
        [0.87747, 0.2074, 0.42911, 1.0],
        [0.87072, 0.19987, 0.41407, 1.0],
        [0.86383, 0.1925, 0.39903, 1.0],
        [0.85679, 0.18523, 0.38401, 1.0],
        [0.84962, 0.17801, 0.369, 1.0],
        [0.84235, 0.17082, 0.35401, 1.0],
        [0.83498, 0.16373, 0.33907, 1.0],
        [0.82753, 0.15664, 0.32416, 1.0],
        [0.82001, 0.14962, 0.30933, 1.0],
        [0.81245, 0.14261, 0.29452, 1.0],
        [0.80486, 0.13567, 0.27982, 1.0],
        [0.79725, 0.12885, 0.26518, 1.0],
        [0.78966, 0.12217, 0.25066, 1.0],
        [0.78212, 0.11578, 0.23628, 1.0],
        [0.77464, 0.1097, 0.22201, 1.0],
        [0.7673, 0.104, 0.20795, 1.0],
        [0.76012, 0.098945, 0.19412, 1.0],
        [0.75317, 0.094721, 0.18049, 1.0],
        [0.74652, 0.091421, 0.16723, 1.0],
        [0.74022, 0.089258, 0.15426, 1.0],
        [0.73434, 0.088445, 0.14174, 1.0],
        [0.72894, 0.089069, 0.12963, 1.0],
        [0.7241, 0.091195, 0.118, 1.0],
        [0.71988, 0.094767, 0.10689, 1.0],
        [0.71631, 0.099636, 0.096236, 1.0],
        [0.71343, 0.1058, 0.086225, 1.0],
        [0.71128, 0.11302, 0.076774, 1.0],
        [0.70983, 0.12104, 0.068001, 1.0],
        [0.7091, 0.12989, 0.05981, 1.0],
        [0.70904, 0.1392, 0.052084, 1.0],
        [0.70963, 0.14902, 0.04517, 1.0],
        [0.71081, 0.15914, 0.038855, 1.0],
        [0.71251, 0.1695, 0.033292, 1.0],
        [0.7147, 0.17995, 0.028947, 1.0],
        [0.71729, 0.1905, 0.02547, 1.0],
        [0.72021, 0.20107, 0.022733, 1.0],
        [0.72342, 0.21166, 0.020622, 1.0],
        [0.72685, 0.22214, 0.019034, 1.0],
        [0.73046, 0.23256, 0.017876, 1.0],
        [0.73419, 0.24288, 0.017071, 1.0],
        [0.73802, 0.25311, 0.016547, 1.0],
        [0.74191, 0.26323, 0.016249, 1.0],
        [0.74585, 0.27322, 0.016125, 1.0],
        [0.74979, 0.28311, 0.016137, 1.0],
        [0.75375, 0.29288, 0.01625, 1.0],
        [0.75769, 0.30257, 0.01644, 1.0],
        [0.76161, 0.31217, 0.016684, 1.0],
        [0.7655, 0.32171, 0.016989, 1.0],
        [0.76932, 0.33117, 0.017296, 1.0],
        [0.7731, 0.34058, 0.0176, 1.0],
        [0.77681, 0.34994, 0.017896, 1.0],
        [0.78044, 0.35925, 0.018177, 1.0],
        [0.784, 0.36855, 0.018435, 1.0],
        [0.78746, 0.37783, 0.018665, 1.0],
        [0.79082, 0.38709, 0.018861, 1.0],
        [0.79409, 0.39636, 0.019014, 1.0],
        [0.79724, 0.40564, 0.019122, 1.0],
        [0.80029, 0.4149, 0.019179, 1.0],
        [0.80322, 0.42418, 0.019183, 1.0],
        [0.80605, 0.43346, 0.019132, 1.0],
        [0.80876, 0.44276, 0.019026, 1.0],
        [0.81136, 0.45205, 0.018866, 1.0],
        [0.81386, 0.46134, 0.018654, 1.0],
        [0.81626, 0.47063, 0.018394, 1.0],
        [0.81857, 0.47992, 0.01809, 1.0],
        [0.8208, 0.48918, 0.017747, 1.0],
        [0.82295, 0.49846, 0.017369, 1.0],
        [0.82503, 0.50771, 0.016963, 1.0],
        [0.82704, 0.51694, 0.016575, 1.0],
        [0.82898, 0.52615, 0.016225, 1.0],
        [0.83084, 0.53532, 0.015949, 1.0],
        [0.83262, 0.54446, 0.015792, 1.0],
        [0.83431, 0.55354, 0.01582, 1.0],
        [0.8359, 0.56257, 0.016118, 1.0],
        [0.83738, 0.5715, 0.016798, 1.0],
        [0.8387, 0.58035, 0.018004, 1.0],
        [0.83985, 0.58906, 0.019918, 1.0],
        [0.84077, 0.59761, 0.022763, 1.0],
        [0.84143, 0.60595, 0.02681, 1.0],
        [0.84177, 0.61404, 0.032376, 1.0],
        [0.84173, 0.62182, 0.040011, 1.0],
        [0.84125, 0.62922, 0.04912, 1.0],
        [0.84026, 0.63619, 0.059305, 1.0],
        [0.83868, 0.64264, 0.070471, 1.0],
        [0.83647, 0.6485, 0.08264, 1.0],
        [0.83356, 0.65372, 0.095596, 1.0],
        [0.82989, 0.65824, 0.10926, 1.0],
        [0.82544, 0.66201, 0.12343, 1.0],
        [0.82017, 0.66498, 0.13819, 1.0],
        [0.81408, 0.66715, 0.15321, 1.0],
        [0.80717, 0.66852, 0.16856, 1.0],
        [0.79947, 0.66908, 0.18405, 1.0],
        [0.79098, 0.66887, 0.19961, 1.0],
        [0.78178, 0.66795, 0.2152, 1.0],
        [0.7719, 0.66635, 0.23072, 1.0],
        [0.76139, 0.66416, 0.2461, 1.0],
        [0.75032, 0.66143, 0.26133, 1.0],
        [0.73873, 0.65825, 0.27636, 1.0],
        [0.72668, 0.65467, 0.29113, 1.0],
        [0.71421, 0.65077, 0.30567, 1.0],
        [0.70137, 0.64662, 0.31995, 1.0],
        [0.68818, 0.64226, 0.33397, 1.0],
        [0.67466, 0.63773, 0.34774, 1.0],
        [0.66084, 0.6331, 0.36127, 1.0],
        [0.64671, 0.62838, 0.37458, 1.0],
        [0.63228, 0.6236, 0.38765, 1.0],
        [0.61753, 0.61878, 0.40056, 1.0],
        [0.60245, 0.61393, 0.41326, 1.0],
        [0.58703, 0.60909, 0.42578, 1.0],
        [0.57126, 0.60423, 0.43817, 1.0],
        [0.55511, 0.59936, 0.4504, 1.0],
        [0.53858, 0.59449, 0.4625, 1.0],
        [0.5216, 0.58962, 0.47451, 1.0],
        [0.5042, 0.58475, 0.4864, 1.0],
        [0.48632, 0.57986, 0.49821, 1.0],
        [0.46796, 0.57493, 0.50993, 1.0],
        [0.44912, 0.56996, 0.5216, 1.0],
        [0.42978, 0.56493, 0.53322, 1.0],
        [0.40998, 0.55983, 0.5448, 1.0],
        [0.38972, 0.55461, 0.55635, 1.0],
        [0.36908, 0.54926, 0.56789, 1.0],
        [0.3481, 0.54375, 0.57943, 1.0],
        [0.32688, 0.53805, 0.59098, 1.0],
        [0.30556, 0.53211, 0.60256, 1.0],
        [0.28424, 0.52592, 0.61416, 1.0],
        [0.26316, 0.51945, 0.62583, 1.0],
        [0.2425, 0.51265, 0.63755, 1.0],
        [0.22257, 0.50551, 0.64934, 1.0],
        [0.20368, 0.49802, 0.66119, 1.0],
        [0.18619, 0.49012, 0.67313, 1.0],
        [0.17051, 0.48183, 0.68514, 1.0],
        [0.15712, 0.47312, 0.69723, 1.0],
        [0.14638, 0.46402, 0.70941, 1.0],
        [0.13859, 0.4545, 0.72164, 1.0],
        [0.1338, 0.44458, 0.73395, 1.0],
        [0.1319, 0.43426, 0.7463, 1.0],
        [0.13253, 0.42359, 0.75869, 1.0],
        [0.13519, 0.4126, 0.77109, 1.0],
        [0.1393, 0.40128, 0.7835, 1.0],
        [0.1445, 0.38969, 0.79588, 1.0],
        [0.15024, 0.3779, 0.80821, 1.0],
        [0.1563, 0.36594, 0.82045, 1.0],
        [0.16246, 0.35387, 0.83257, 1.0],
        [0.16864, 0.34179, 0.84452, 1.0],
        [0.17484, 0.32979, 0.85623, 1.0],
        [0.18105, 0.31794, 0.86767, 1.0],
        [0.18746, 0.30639, 0.87875, 1.0],
        [0.19408, 0.29524, 0.88943, 1.0],
        [0.20101, 0.28465, 0.89962, 1.0],
        [0.20848, 0.27478, 0.90926, 1.0],
        [0.2165, 0.26579, 0.9183, 1.0],
        [0.22506, 0.25778, 0.92668, 1.0],
        [0.2343, 0.25098, 0.93436, 1.0],
    ],
    'cet.cyclic_mygbm_30_95_c78': [
        [0.93769, 0.33352, 0.94809, 1.0],
        [0.94383, 0.34283, 0.94239, 1.0],
        [0.94939, 0.35275, 0.93613, 1.0],
        [0.95439, 0.36323, 0.92931, 1.0],
        [0.95886, 0.37422, 0.92198, 1.0],
        [0.96283, 0.38558, 0.91416, 1.0],
        [0.96634, 0.39727, 0.90588, 1.0],
        [0.96944, 0.40921, 0.89721, 1.0],
        [0.97216, 0.4213, 0.88817, 1.0],
        [0.97454, 0.4335, 0.87883, 1.0],
        [0.97663, 0.44573, 0.86923, 1.0],
        [0.97845, 0.45797, 0.8594, 1.0],
        [0.98004, 0.47017, 0.84939, 1.0],
        [0.98142, 0.48228, 0.83922, 1.0],
        [0.98262, 0.4943, 0.82894, 1.0],
        [0.98364, 0.5062, 0.81854, 1.0],
        [0.98453, 0.51799, 0.80808, 1.0],
        [0.98527, 0.52964, 0.79753, 1.0],
        [0.98588, 0.54116, 0.78694, 1.0],
        [0.98637, 0.55255, 0.77629, 1.0],
        [0.98676, 0.56382, 0.76559, 1.0],
        [0.98704, 0.57494, 0.75486, 1.0],
        [0.98722, 0.58595, 0.74407, 1.0],
        [0.98733, 0.59683, 0.73326, 1.0],
        [0.98736, 0.60758, 0.72241, 1.0],
        [0.98732, 0.61821, 0.71153, 1.0],
        [0.98723, 0.62871, 0.7006, 1.0],
        [0.9871, 0.63909, 0.68965, 1.0],
        [0.98694, 0.64936, 0.67864, 1.0],
        [0.98677, 0.65949, 0.66762, 1.0],
        [0.9866, 0.6695, 0.65654, 1.0],
        [0.98644, 0.67938, 0.64543, 1.0],
        [0.9863, 0.68916, 0.63428, 1.0],
        [0.98621, 0.69879, 0.62309, 1.0],
        [0.98616, 0.70831, 0.61184, 1.0],
        [0.98617, 0.71772, 0.60055, 1.0],
        [0.98624, 0.727, 0.5892, 1.0],
        [0.98636, 0.73618, 0.57779, 1.0],
        [0.98653, 0.74526, 0.56632, 1.0],
        [0.98675, 0.75426, 0.55476, 1.0],
        [0.98702, 0.76315, 0.54311, 1.0],
        [0.98731, 0.77198, 0.53134, 1.0],
        [0.98761, 0.78074, 0.51946, 1.0],
        [0.98792, 0.78944, 0.50744, 1.0],
        [0.9882, 0.79807, 0.49526, 1.0],
        [0.98845, 0.80666, 0.48291, 1.0],
        [0.98864, 0.81518, 0.47039, 1.0],
        [0.98875, 0.82365, 0.45765, 1.0],
        [0.98875, 0.83206, 0.4447, 1.0],
        [0.98863, 0.84039, 0.43151, 1.0],
        [0.98834, 0.84863, 0.41804, 1.0],
        [0.98786, 0.85677, 0.40433, 1.0],
        [0.98715, 0.86476, 0.39033, 1.0],
        [0.98616, 0.87259, 0.37607, 1.0],
        [0.98485, 0.8802, 0.36152, 1.0],
        [0.98316, 0.88754, 0.3467, 1.0],
        [0.98105, 0.89458, 0.33163, 1.0],
        [0.97845, 0.90123, 0.31637, 1.0],
        [0.97534, 0.90744, 0.30092, 1.0],
        [0.97166, 0.91315, 0.28537, 1.0],
        [0.96737, 0.91831, 0.26983, 1.0],
        [0.96244, 0.92285, 0.25432, 1.0],
        [0.95686, 0.92672, 0.23895, 1.0],
        [0.95064, 0.9299, 0.22388, 1.0],
        [0.94377, 0.93236, 0.2092, 1.0],
        [0.93628, 0.9341, 0.19506, 1.0],
        [0.9282, 0.93512, 0.18153, 1.0],
        [0.91959, 0.93544, 0.16884, 1.0],
        [0.91047, 0.9351, 0.15697, 1.0],
        [0.90091, 0.93414, 0.1461, 1.0],
        [0.89097, 0.93263, 0.13623, 1.0],
        [0.8807, 0.93061, 0.12747, 1.0],
        [0.87014, 0.92815, 0.11977, 1.0],
        [0.85937, 0.92531, 0.11315, 1.0],
        [0.8484, 0.92216, 0.10742, 1.0],
        [0.83729, 0.91874, 0.10257, 1.0],
        [0.82605, 0.91511, 0.098502, 1.0],
        [0.81472, 0.91132, 0.095091, 1.0],
        [0.80332, 0.90739, 0.092162, 1.0],
        [0.79187, 0.90336, 0.089659, 1.0],
        [0.78036, 0.89925, 0.087518, 1.0],
        [0.76881, 0.89508, 0.08551, 1.0],
        [0.75723, 0.89086, 0.083837, 1.0],
        [0.74562, 0.88662, 0.082243, 1.0],
        [0.73398, 0.88235, 0.080673, 1.0],
        [0.7223, 0.87807, 0.079194, 1.0],
        [0.7106, 0.87376, 0.077792, 1.0],
        [0.69886, 0.86946, 0.076415, 1.0],
        [0.6871, 0.86514, 0.075063, 1.0],
        [0.67529, 0.86082, 0.073757, 1.0],
        [0.66346, 0.85649, 0.072319, 1.0],
        [0.65156, 0.85215, 0.071005, 1.0],
        [0.63963, 0.8478, 0.069678, 1.0],
        [0.62764, 0.84345, 0.068313, 1.0],
        [0.6156, 0.83909, 0.066946, 1.0],
        [0.60351, 0.83473, 0.065602, 1.0],
        [0.59134, 0.83035, 0.064284, 1.0],
        [0.57911, 0.82597, 0.063016, 1.0],
        [0.56681, 0.82158, 0.061599, 1.0],
        [0.55443, 0.81718, 0.060374, 1.0],
        [0.54195, 0.81278, 0.059088, 1.0],
        [0.5294, 0.80837, 0.057695, 1.0],
        [0.51672, 0.80395, 0.056522, 1.0],
        [0.50395, 0.79952, 0.055189, 1.0],
        [0.49106, 0.79508, 0.053903, 1.0],
        [0.47801, 0.79064, 0.052644, 1.0],
        [0.46484, 0.78619, 0.051424, 1.0],
        [0.45151, 0.78173, 0.050257, 1.0],
        [0.43803, 0.77726, 0.04922, 1.0],
        [0.42437, 0.77277, 0.04812, 1.0],
        [0.41056, 0.76827, 0.047322, 1.0],
        [0.39656, 0.76375, 0.04674, 1.0],
        [0.38239, 0.75922, 0.046427, 1.0],
        [0.36808, 0.75466, 0.046596, 1.0],
        [0.35361, 0.75006, 0.047299, 1.0],
        [0.33906, 0.74543, 0.04874, 1.0],
        [0.32443, 0.74075, 0.050897, 1.0],
        [0.30984, 0.73602, 0.054069, 1.0],
        [0.29532, 0.73122, 0.058336, 1.0],
        [0.28105, 0.72634, 0.063783, 1.0],
        [0.26717, 0.72137, 0.070322, 1.0],
        [0.25387, 0.71631, 0.077992, 1.0],
        [0.24134, 0.71112, 0.08687, 1.0],
        [0.22981, 0.7058, 0.096608, 1.0],
        [0.21961, 0.70035, 0.10741, 1.0],
        [0.21092, 0.69475, 0.11899, 1.0],
        [0.204, 0.68901, 0.13129, 1.0],
        [0.19894, 0.6831, 0.14422, 1.0],
        [0.19593, 0.67703, 0.15768, 1.0],
        [0.19486, 0.67081, 0.17161, 1.0],
        [0.1956, 0.66443, 0.18594, 1.0],
        [0.19795, 0.65791, 0.2005, 1.0],
        [0.20163, 0.65125, 0.21533, 1.0],
        [0.20639, 0.64446, 0.2303, 1.0],
        [0.21183, 0.63756, 0.24538, 1.0],
        [0.21771, 0.63057, 0.26052, 1.0],
        [0.22381, 0.62348, 0.27565, 1.0],
        [0.22992, 0.61632, 0.29071, 1.0],
        [0.23593, 0.6091, 0.30574, 1.0],
        [0.24162, 0.60182, 0.32064, 1.0],
        [0.24693, 0.5945, 0.33543, 1.0],
        [0.25184, 0.58716, 0.35008, 1.0],
        [0.25622, 0.5798, 0.36459, 1.0],
        [0.26011, 0.57242, 0.37897, 1.0],
        [0.26346, 0.56501, 0.3932, 1.0],
        [0.26624, 0.55762, 0.4073, 1.0],
        [0.26846, 0.55021, 0.42127, 1.0],
        [0.27013, 0.5428, 0.43513, 1.0],
        [0.27122, 0.53539, 0.44886, 1.0],
        [0.27173, 0.52798, 0.46247, 1.0],
        [0.2717, 0.52057, 0.476, 1.0],
        [0.27112, 0.51317, 0.48942, 1.0],
        [0.26997, 0.50576, 0.50275, 1.0],
        [0.26823, 0.49837, 0.516, 1.0],
        [0.26598, 0.49096, 0.52919, 1.0],
        [0.26316, 0.48352, 0.54228, 1.0],
        [0.25982, 0.4761, 0.55529, 1.0],
        [0.25594, 0.46864, 0.56822, 1.0],
        [0.25162, 0.46117, 0.58105, 1.0],
        [0.2468, 0.45365, 0.5938, 1.0],
        [0.24161, 0.44609, 0.60643, 1.0],
        [0.23605, 0.43849, 0.61894, 1.0],
        [0.23017, 0.43081, 0.63131, 1.0],
        [0.2241, 0.42303, 0.64353, 1.0],
        [0.21793, 0.41517, 0.6556, 1.0],
        [0.2117, 0.40718, 0.66749, 1.0],
        [0.2055, 0.39906, 0.67919, 1.0],
        [0.19945, 0.39079, 0.6907, 1.0],
        [0.19367, 0.38234, 0.70201, 1.0],
        [0.18818, 0.37372, 0.71312, 1.0],
        [0.183, 0.36488, 0.72404, 1.0],
        [0.17829, 0.35585, 0.73477, 1.0],
        [0.17392, 0.34657, 0.7453, 1.0],
        [0.16999, 0.33707, 0.75566, 1.0],
        [0.16639, 0.32732, 0.76586, 1.0],
        [0.16312, 0.31735, 0.7759, 1.0],
        [0.16005, 0.30712, 0.78581, 1.0],
        [0.15724, 0.29667, 0.79557, 1.0],
        [0.15457, 0.28595, 0.80522, 1.0],
        [0.15202, 0.27505, 0.81474, 1.0],
        [0.14966, 0.26395, 0.82414, 1.0],
        [0.14744, 0.25264, 0.8334, 1.0],
        [0.14554, 0.24118, 0.84252, 1.0],
        [0.14402, 0.2296, 0.85145, 1.0],
        [0.14312, 0.218, 0.86019, 1.0],
        [0.14305, 0.20639, 0.86869, 1.0],
        [0.14404, 0.19481, 0.87691, 1.0],
        [0.1463, 0.18336, 0.88484, 1.0],
        [0.15007, 0.17219, 0.89241, 1.0],
        [0.15537, 0.1614, 0.8996, 1.0],
        [0.1623, 0.15103, 0.90637, 1.0],
        [0.17075, 0.14136, 0.9127, 1.0],
        [0.18062, 0.13244, 0.91856, 1.0],
        [0.19173, 0.12446, 0.92396, 1.0],
        [0.20389, 0.11765, 0.92889, 1.0],
        [0.21681, 0.11214, 0.93335, 1.0],
        [0.23028, 0.10794, 0.93739, 1.0],
        [0.24417, 0.10525, 0.94101, 1.0],
        [0.25828, 0.10403, 0.94425, 1.0],
        [0.27246, 0.10417, 0.94716, 1.0],
        [0.28659, 0.1056, 0.94977, 1.0],
        [0.30059, 0.10807, 0.95212, 1.0],
        [0.3144, 0.11153, 0.95426, 1.0],
        [0.32796, 0.11565, 0.95622, 1.0],
        [0.34126, 0.12031, 0.95803, 1.0],
        [0.35426, 0.12544, 0.95973, 1.0],
        [0.36698, 0.13084, 0.96134, 1.0],
        [0.37942, 0.13637, 0.96288, 1.0],
        [0.3916, 0.1421, 0.96436, 1.0],
        [0.40352, 0.14786, 0.96581, 1.0],
        [0.4152, 0.15363, 0.96722, 1.0],
        [0.42669, 0.15941, 0.9686, 1.0],
        [0.43799, 0.16515, 0.96996, 1.0],
        [0.44913, 0.17088, 0.97129, 1.0],
        [0.46013, 0.1765, 0.97261, 1.0],
        [0.47106, 0.18204, 0.97389, 1.0],
        [0.48191, 0.18751, 0.97514, 1.0],
        [0.49273, 0.1928, 0.97635, 1.0],
        [0.50357, 0.19798, 0.97752, 1.0],
        [0.51446, 0.20302, 0.97863, 1.0],
        [0.52541, 0.2079, 0.97969, 1.0],
        [0.53647, 0.21259, 0.98067, 1.0],
        [0.54767, 0.21709, 0.98157, 1.0],
        [0.55903, 0.22137, 0.98238, 1.0],
        [0.57057, 0.22542, 0.9831, 1.0],
        [0.5823, 0.22925, 0.98372, 1.0],
        [0.59423, 0.23284, 0.98424, 1.0],
        [0.60636, 0.23623, 0.98465, 1.0],
        [0.61868, 0.23935, 0.98497, 1.0],
        [0.63116, 0.24227, 0.98518, 1.0],
        [0.64379, 0.24496, 0.9853, 1.0],
        [0.65656, 0.2475, 0.98533, 1.0],
        [0.66943, 0.24982, 0.98527, 1.0],
        [0.68237, 0.25203, 0.98515, 1.0],
        [0.69537, 0.25408, 0.98496, 1.0],
        [0.70839, 0.25601, 0.98471, 1.0],
        [0.72139, 0.25786, 0.98441, 1.0],
        [0.73437, 0.25968, 0.98405, 1.0],
        [0.74728, 0.26143, 0.98365, 1.0],
        [0.76012, 0.26319, 0.98321, 1.0],
        [0.77286, 0.26494, 0.98271, 1.0],
        [0.78548, 0.26676, 0.98216, 1.0],
        [0.79794, 0.26867, 0.98153, 1.0],
        [0.81023, 0.27069, 0.98082, 1.0],
        [0.82233, 0.27285, 0.98001, 1.0],
        [0.83418, 0.27525, 0.97905, 1.0],
        [0.84576, 0.27791, 0.97793, 1.0],
        [0.85702, 0.28089, 0.97661, 1.0],
        [0.86794, 0.2843, 0.97504, 1.0],
        [0.87845, 0.28819, 0.97317, 1.0],
        [0.88852, 0.29263, 0.97097, 1.0],
        [0.8981, 0.29768, 0.96837, 1.0],
        [0.90717, 0.3034, 0.96533, 1.0],
        [0.91567, 0.30984, 0.96182, 1.0],
        [0.92361, 0.317, 0.9578, 1.0],
        [0.93095, 0.32489, 0.95323, 1.0],
    ],
    'cet.cyclic_mygbm_30_95_c78_s25': [
        [0.18062, 0.13244, 0.91856, 1.0],
        [0.19173, 0.12446, 0.92396, 1.0],
        [0.20389, 0.11765, 0.92889, 1.0],
        [0.21681, 0.11214, 0.93335, 1.0],
        [0.23028, 0.10794, 0.93739, 1.0],
        [0.24417, 0.10525, 0.94101, 1.0],
        [0.25828, 0.10403, 0.94425, 1.0],
        [0.27246, 0.10417, 0.94716, 1.0],
        [0.28659, 0.1056, 0.94977, 1.0],
        [0.30059, 0.10807, 0.95212, 1.0],
        [0.3144, 0.11153, 0.95426, 1.0],
        [0.32796, 0.11565, 0.95622, 1.0],
        [0.34126, 0.12031, 0.95803, 1.0],
        [0.35426, 0.12544, 0.95973, 1.0],
        [0.36698, 0.13084, 0.96134, 1.0],
        [0.37942, 0.13637, 0.96288, 1.0],
        [0.3916, 0.1421, 0.96436, 1.0],
        [0.40352, 0.14786, 0.96581, 1.0],
        [0.4152, 0.15363, 0.96722, 1.0],
        [0.42669, 0.15941, 0.9686, 1.0],
        [0.43799, 0.16515, 0.96996, 1.0],
        [0.44913, 0.17088, 0.97129, 1.0],
        [0.46013, 0.1765, 0.97261, 1.0],
        [0.47106, 0.18204, 0.97389, 1.0],
        [0.48191, 0.18751, 0.97514, 1.0],
        [0.49273, 0.1928, 0.97635, 1.0],
        [0.50357, 0.19798, 0.97752, 1.0],
        [0.51446, 0.20302, 0.97863, 1.0],
        [0.52541, 0.2079, 0.97969, 1.0],
        [0.53647, 0.21259, 0.98067, 1.0],
        [0.54767, 0.21709, 0.98157, 1.0],
        [0.55903, 0.22137, 0.98238, 1.0],
        [0.57057, 0.22542, 0.9831, 1.0],
        [0.5823, 0.22925, 0.98372, 1.0],
        [0.59423, 0.23284, 0.98424, 1.0],
        [0.60636, 0.23623, 0.98465, 1.0],
        [0.61868, 0.23935, 0.98497, 1.0],
        [0.63116, 0.24227, 0.98518, 1.0],
        [0.64379, 0.24496, 0.9853, 1.0],
        [0.65656, 0.2475, 0.98533, 1.0],
        [0.66943, 0.24982, 0.98527, 1.0],
        [0.68237, 0.25203, 0.98515, 1.0],
        [0.69537, 0.25408, 0.98496, 1.0],
        [0.70839, 0.25601, 0.98471, 1.0],
        [0.72139, 0.25786, 0.98441, 1.0],
        [0.73437, 0.25968, 0.98405, 1.0],
        [0.74728, 0.26143, 0.98365, 1.0],
        [0.76012, 0.26319, 0.98321, 1.0],
        [0.77286, 0.26494, 0.98271, 1.0],
        [0.78548, 0.26676, 0.98216, 1.0],
        [0.79794, 0.26867, 0.98153, 1.0],
        [0.81023, 0.27069, 0.98082, 1.0],
        [0.82233, 0.27285, 0.98001, 1.0],
        [0.83418, 0.27525, 0.97905, 1.0],
        [0.84576, 0.27791, 0.97793, 1.0],
        [0.85702, 0.28089, 0.97661, 1.0],
        [0.86794, 0.2843, 0.97504, 1.0],
        [0.87845, 0.28819, 0.97317, 1.0],
        [0.88852, 0.29263, 0.97097, 1.0],
        [0.8981, 0.29768, 0.96837, 1.0],
        [0.90717, 0.3034, 0.96533, 1.0],
        [0.91567, 0.30984, 0.96182, 1.0],
        [0.92361, 0.317, 0.9578, 1.0],
        [0.93095, 0.32489, 0.95323, 1.0],
        [0.93769, 0.33352, 0.94809, 1.0],
        [0.94383, 0.34283, 0.94239, 1.0],
        [0.94939, 0.35275, 0.93613, 1.0],
        [0.95439, 0.36323, 0.92931, 1.0],
        [0.95886, 0.37422, 0.92198, 1.0],
        [0.96283, 0.38558, 0.91416, 1.0],
        [0.96634, 0.39727, 0.90588, 1.0],
        [0.96944, 0.40921, 0.89721, 1.0],
        [0.97216, 0.4213, 0.88817, 1.0],
        [0.97454, 0.4335, 0.87883, 1.0],
        [0.97663, 0.44573, 0.86923, 1.0],
        [0.97845, 0.45797, 0.8594, 1.0],
        [0.98004, 0.47017, 0.84939, 1.0],
        [0.98142, 0.48228, 0.83922, 1.0],
        [0.98262, 0.4943, 0.82894, 1.0],
        [0.98364, 0.5062, 0.81854, 1.0],
        [0.98453, 0.51799, 0.80808, 1.0],
        [0.98527, 0.52964, 0.79753, 1.0],
        [0.98588, 0.54116, 0.78694, 1.0],
        [0.98637, 0.55255, 0.77629, 1.0],
        [0.98676, 0.56382, 0.76559, 1.0],
        [0.98704, 0.57494, 0.75486, 1.0],
        [0.98722, 0.58595, 0.74407, 1.0],
        [0.98733, 0.59683, 0.73326, 1.0],
        [0.98736, 0.60758, 0.72241, 1.0],
        [0.98732, 0.61821, 0.71153, 1.0],
        [0.98723, 0.62871, 0.7006, 1.0],
        [0.9871, 0.63909, 0.68965, 1.0],
        [0.98694, 0.64936, 0.67864, 1.0],
        [0.98677, 0.65949, 0.66762, 1.0],
        [0.9866, 0.6695, 0.65654, 1.0],
        [0.98644, 0.67938, 0.64543, 1.0],
        [0.9863, 0.68916, 0.63428, 1.0],
        [0.98621, 0.69879, 0.62309, 1.0],
        [0.98616, 0.70831, 0.61184, 1.0],
        [0.98617, 0.71772, 0.60055, 1.0],
        [0.98624, 0.727, 0.5892, 1.0],
        [0.98636, 0.73618, 0.57779, 1.0],
        [0.98653, 0.74526, 0.56632, 1.0],
        [0.98675, 0.75426, 0.55476, 1.0],
        [0.98702, 0.76315, 0.54311, 1.0],
        [0.98731, 0.77198, 0.53134, 1.0],
        [0.98761, 0.78074, 0.51946, 1.0],
        [0.98792, 0.78944, 0.50744, 1.0],
        [0.9882, 0.79807, 0.49526, 1.0],
        [0.98845, 0.80666, 0.48291, 1.0],
        [0.98864, 0.81518, 0.47039, 1.0],
        [0.98875, 0.82365, 0.45765, 1.0],
        [0.98875, 0.83206, 0.4447, 1.0],
        [0.98863, 0.84039, 0.43151, 1.0],
        [0.98834, 0.84863, 0.41804, 1.0],
        [0.98786, 0.85677, 0.40433, 1.0],
        [0.98715, 0.86476, 0.39033, 1.0],
        [0.98616, 0.87259, 0.37607, 1.0],
        [0.98485, 0.8802, 0.36152, 1.0],
        [0.98316, 0.88754, 0.3467, 1.0],
        [0.98105, 0.89458, 0.33163, 1.0],
        [0.97845, 0.90123, 0.31637, 1.0],
        [0.97534, 0.90744, 0.30092, 1.0],
        [0.97166, 0.91315, 0.28537, 1.0],
        [0.96737, 0.91831, 0.26983, 1.0],
        [0.96244, 0.92285, 0.25432, 1.0],
        [0.95686, 0.92672, 0.23895, 1.0],
        [0.95064, 0.9299, 0.22388, 1.0],
        [0.94377, 0.93236, 0.2092, 1.0],
        [0.93628, 0.9341, 0.19506, 1.0],
        [0.9282, 0.93512, 0.18153, 1.0],
        [0.91959, 0.93544, 0.16884, 1.0],
        [0.91047, 0.9351, 0.15697, 1.0],
        [0.90091, 0.93414, 0.1461, 1.0],
        [0.89097, 0.93263, 0.13623, 1.0],
        [0.8807, 0.93061, 0.12747, 1.0],
        [0.87014, 0.92815, 0.11977, 1.0],
        [0.85937, 0.92531, 0.11315, 1.0],
        [0.8484, 0.92216, 0.10742, 1.0],
        [0.83729, 0.91874, 0.10257, 1.0],
        [0.82605, 0.91511, 0.098502, 1.0],
        [0.81472, 0.91132, 0.095091, 1.0],
        [0.80332, 0.90739, 0.092162, 1.0],
        [0.79187, 0.90336, 0.089659, 1.0],
        [0.78036, 0.89925, 0.087518, 1.0],
        [0.76881, 0.89508, 0.08551, 1.0],
        [0.75723, 0.89086, 0.083837, 1.0],
        [0.74562, 0.88662, 0.082243, 1.0],
        [0.73398, 0.88235, 0.080673, 1.0],
        [0.7223, 0.87807, 0.079194, 1.0],
        [0.7106, 0.87376, 0.077792, 1.0],
        [0.69886, 0.86946, 0.076415, 1.0],
        [0.6871, 0.86514, 0.075063, 1.0],
        [0.67529, 0.86082, 0.073757, 1.0],
        [0.66346, 0.85649, 0.072319, 1.0],
        [0.65156, 0.85215, 0.071005, 1.0],
        [0.63963, 0.8478, 0.069678, 1.0],
        [0.62764, 0.84345, 0.068313, 1.0],
        [0.6156, 0.83909, 0.066946, 1.0],
        [0.60351, 0.83473, 0.065602, 1.0],
        [0.59134, 0.83035, 0.064284, 1.0],
        [0.57911, 0.82597, 0.063016, 1.0],
        [0.56681, 0.82158, 0.061599, 1.0],
        [0.55443, 0.81718, 0.060374, 1.0],
        [0.54195, 0.81278, 0.059088, 1.0],
        [0.5294, 0.80837, 0.057695, 1.0],
        [0.51672, 0.80395, 0.056522, 1.0],
        [0.50395, 0.79952, 0.055189, 1.0],
        [0.49106, 0.79508, 0.053903, 1.0],
        [0.47801, 0.79064, 0.052644, 1.0],
        [0.46484, 0.78619, 0.051424, 1.0],
        [0.45151, 0.78173, 0.050257, 1.0],
        [0.43803, 0.77726, 0.04922, 1.0],
        [0.42437, 0.77277, 0.04812, 1.0],
        [0.41056, 0.76827, 0.047322, 1.0],
        [0.39656, 0.76375, 0.04674, 1.0],
        [0.38239, 0.75922, 0.046427, 1.0],
        [0.36808, 0.75466, 0.046596, 1.0],
        [0.35361, 0.75006, 0.047299, 1.0],
        [0.33906, 0.74543, 0.04874, 1.0],
        [0.32443, 0.74075, 0.050897, 1.0],
        [0.30984, 0.73602, 0.054069, 1.0],
        [0.29532, 0.73122, 0.058336, 1.0],
        [0.28105, 0.72634, 0.063783, 1.0],
        [0.26717, 0.72137, 0.070322, 1.0],
        [0.25387, 0.71631, 0.077992, 1.0],
        [0.24134, 0.71112, 0.08687, 1.0],
        [0.22981, 0.7058, 0.096608, 1.0],
        [0.21961, 0.70035, 0.10741, 1.0],
        [0.21092, 0.69475, 0.11899, 1.0],
        [0.204, 0.68901, 0.13129, 1.0],
        [0.19894, 0.6831, 0.14422, 1.0],
        [0.19593, 0.67703, 0.15768, 1.0],
        [0.19486, 0.67081, 0.17161, 1.0],
        [0.1956, 0.66443, 0.18594, 1.0],
        [0.19795, 0.65791, 0.2005, 1.0],
        [0.20163, 0.65125, 0.21533, 1.0],
        [0.20639, 0.64446, 0.2303, 1.0],
        [0.21183, 0.63756, 0.24538, 1.0],
        [0.21771, 0.63057, 0.26052, 1.0],
        [0.22381, 0.62348, 0.27565, 1.0],
        [0.22992, 0.61632, 0.29071, 1.0],
        [0.23593, 0.6091, 0.30574, 1.0],
        [0.24162, 0.60182, 0.32064, 1.0],
        [0.24693, 0.5945, 0.33543, 1.0],
        [0.25184, 0.58716, 0.35008, 1.0],
        [0.25622, 0.5798, 0.36459, 1.0],
        [0.26011, 0.57242, 0.37897, 1.0],
        [0.26346, 0.56501, 0.3932, 1.0],
        [0.26624, 0.55762, 0.4073, 1.0],
        [0.26846, 0.55021, 0.42127, 1.0],
        [0.27013, 0.5428, 0.43513, 1.0],
        [0.27122, 0.53539, 0.44886, 1.0],
        [0.27173, 0.52798, 0.46247, 1.0],
        [0.2717, 0.52057, 0.476, 1.0],
        [0.27112, 0.51317, 0.48942, 1.0],
        [0.26997, 0.50576, 0.50275, 1.0],
        [0.26823, 0.49837, 0.516, 1.0],
        [0.26598, 0.49096, 0.52919, 1.0],
        [0.26316, 0.48352, 0.54228, 1.0],
        [0.25982, 0.4761, 0.55529, 1.0],
        [0.25594, 0.46864, 0.56822, 1.0],
        [0.25162, 0.46117, 0.58105, 1.0],
        [0.2468, 0.45365, 0.5938, 1.0],
        [0.24161, 0.44609, 0.60643, 1.0],
        [0.23605, 0.43849, 0.61894, 1.0],
        [0.23017, 0.43081, 0.63131, 1.0],
        [0.2241, 0.42303, 0.64353, 1.0],
        [0.21793, 0.41517, 0.6556, 1.0],
        [0.2117, 0.40718, 0.66749, 1.0],
        [0.2055, 0.39906, 0.67919, 1.0],
        [0.19945, 0.39079, 0.6907, 1.0],
        [0.19367, 0.38234, 0.70201, 1.0],
        [0.18818, 0.37372, 0.71312, 1.0],
        [0.183, 0.36488, 0.72404, 1.0],
        [0.17829, 0.35585, 0.73477, 1.0],
        [0.17392, 0.34657, 0.7453, 1.0],
        [0.16999, 0.33707, 0.75566, 1.0],
        [0.16639, 0.32732, 0.76586, 1.0],
        [0.16312, 0.31735, 0.7759, 1.0],
        [0.16005, 0.30712, 0.78581, 1.0],
        [0.15724, 0.29667, 0.79557, 1.0],
        [0.15457, 0.28595, 0.80522, 1.0],
        [0.15202, 0.27505, 0.81474, 1.0],
        [0.14966, 0.26395, 0.82414, 1.0],
        [0.14744, 0.25264, 0.8334, 1.0],
        [0.14554, 0.24118, 0.84252, 1.0],
        [0.14402, 0.2296, 0.85145, 1.0],
        [0.14312, 0.218, 0.86019, 1.0],
        [0.14305, 0.20639, 0.86869, 1.0],
        [0.14404, 0.19481, 0.87691, 1.0],
        [0.1463, 0.18336, 0.88484, 1.0],
        [0.15007, 0.17219, 0.89241, 1.0],
        [0.15537, 0.1614, 0.8996, 1.0],
        [0.1623, 0.15103, 0.90637, 1.0],
        [0.17075, 0.14136, 0.9127, 1.0],
    ],
    'cet.cyclic_protanopic_deuteranopic_bwyk_16_96_c31': [
        [0.24364, 0.52802, 0.91769, 1.0],
        [0.2544, 0.53367, 0.92309, 1.0],
        [0.26662, 0.53935, 0.92754, 1.0],
        [0.28004, 0.54507, 0.93114, 1.0],
        [0.29432, 0.55085, 0.93398, 1.0],
        [0.30919, 0.55669, 0.93621, 1.0],
        [0.32432, 0.56261, 0.93792, 1.0],
        [0.33957, 0.56857, 0.93924, 1.0],
        [0.35472, 0.57461, 0.94027, 1.0],
        [0.36965, 0.58072, 0.94109, 1.0],
        [0.38434, 0.58686, 0.94177, 1.0],
        [0.39872, 0.59306, 0.94235, 1.0],
        [0.41278, 0.59929, 0.94287, 1.0],
        [0.42649, 0.60554, 0.94334, 1.0],
        [0.43991, 0.61182, 0.94378, 1.0],
        [0.45302, 0.61813, 0.94421, 1.0],
        [0.46585, 0.62447, 0.94463, 1.0],
        [0.47842, 0.63083, 0.94504, 1.0],
        [0.49076, 0.6372, 0.94545, 1.0],
        [0.50285, 0.64358, 0.94584, 1.0],
        [0.51476, 0.65, 0.94623, 1.0],
        [0.52647, 0.65643, 0.94661, 1.0],
        [0.53801, 0.66287, 0.94698, 1.0],
        [0.54938, 0.66933, 0.94735, 1.0],
        [0.56059, 0.67581, 0.94771, 1.0],
        [0.57167, 0.68231, 0.94805, 1.0],
        [0.58261, 0.68883, 0.94839, 1.0],
        [0.59344, 0.69536, 0.94872, 1.0],
        [0.60414, 0.70191, 0.94905, 1.0],
        [0.61473, 0.70848, 0.94936, 1.0],
        [0.62522, 0.71506, 0.94967, 1.0],
        [0.63561, 0.72166, 0.94997, 1.0],
        [0.64591, 0.72828, 0.95026, 1.0],
        [0.65613, 0.73492, 0.95055, 1.0],
        [0.66625, 0.74156, 0.95082, 1.0],
        [0.6763, 0.74823, 0.95109, 1.0],
        [0.68627, 0.75491, 0.95134, 1.0],
        [0.69618, 0.7616, 0.95159, 1.0],
        [0.70602, 0.76831, 0.95182, 1.0],
        [0.71579, 0.77503, 0.95205, 1.0],
        [0.7255, 0.78178, 0.95228, 1.0],
        [0.73516, 0.78853, 0.95249, 1.0],
        [0.74475, 0.7953, 0.95269, 1.0],
        [0.7543, 0.80209, 0.95289, 1.0],
        [0.76379, 0.80889, 0.95307, 1.0],
        [0.77324, 0.8157, 0.95325, 1.0],
        [0.78264, 0.82253, 0.95342, 1.0],
        [0.792, 0.82937, 0.95357, 1.0],
        [0.80131, 0.83623, 0.95372, 1.0],
        [0.81059, 0.8431, 0.95384, 1.0],
        [0.81982, 0.84996, 0.95392, 1.0],
        [0.82901, 0.85681, 0.95394, 1.0],
        [0.83813, 0.86364, 0.95388, 1.0],
        [0.84716, 0.87039, 0.95368, 1.0],
        [0.8561, 0.87705, 0.95329, 1.0],
        [0.86488, 0.88356, 0.95262, 1.0],
        [0.87345, 0.88982, 0.95157, 1.0],
        [0.88173, 0.89575, 0.95003, 1.0],
        [0.88962, 0.90122, 0.94785, 1.0],
        [0.89702, 0.90612, 0.94491, 1.0],
        [0.90377, 0.9103, 0.94105, 1.0],
        [0.90977, 0.91362, 0.93618, 1.0],
        [0.91488, 0.91596, 0.9302, 1.0],
        [0.91901, 0.91726, 0.9231, 1.0],
        [0.9221, 0.91744, 0.91486, 1.0],
        [0.9241, 0.9165, 0.90556, 1.0],
        [0.92502, 0.91447, 0.89527, 1.0],
        [0.92494, 0.91145, 0.88414, 1.0],
        [0.92394, 0.90753, 0.8723, 1.0],
        [0.92213, 0.90284, 0.8599, 1.0],
        [0.91963, 0.89752, 0.84706, 1.0],
        [0.91659, 0.89171, 0.83393, 1.0],
        [0.9131, 0.88553, 0.82058, 1.0],
        [0.90928, 0.87908, 0.8071, 1.0],
        [0.90521, 0.87245, 0.79355, 1.0],
        [0.90095, 0.86569, 0.77995, 1.0],
        [0.89657, 0.85886, 0.76636, 1.0],
        [0.89208, 0.852, 0.75276, 1.0],
        [0.88752, 0.84512, 0.73919, 1.0],
        [0.88289, 0.83822, 0.72563, 1.0],
        [0.87822, 0.83134, 0.7121, 1.0],
        [0.8735, 0.82447, 0.69861, 1.0],
        [0.86874, 0.81761, 0.68514, 1.0],
        [0.86394, 0.81077, 0.67169, 1.0],
        [0.8591, 0.80395, 0.65827, 1.0],
        [0.85421, 0.79713, 0.64486, 1.0],
        [0.8493, 0.79033, 0.63149, 1.0],
        [0.84433, 0.78355, 0.61813, 1.0],
        [0.83933, 0.77678, 0.6048, 1.0],
        [0.83429, 0.77002, 0.59149, 1.0],
        [0.8292, 0.76328, 0.57819, 1.0],
        [0.82407, 0.75656, 0.56491, 1.0],
        [0.8189, 0.74984, 0.55167, 1.0],
        [0.8137, 0.74315, 0.53843, 1.0],
        [0.80846, 0.73646, 0.52519, 1.0],
        [0.80317, 0.7298, 0.51197, 1.0],
        [0.79785, 0.72314, 0.49878, 1.0],
        [0.79248, 0.71651, 0.48557, 1.0],
        [0.78708, 0.70989, 0.47239, 1.0],
        [0.78164, 0.70328, 0.4592, 1.0],
        [0.77615, 0.69669, 0.446, 1.0],
        [0.77063, 0.69011, 0.43282, 1.0],
        [0.76507, 0.68355, 0.41962, 1.0],
        [0.75946, 0.67701, 0.40641, 1.0],
        [0.75383, 0.67048, 0.39317, 1.0],
        [0.74815, 0.66397, 0.37993, 1.0],
        [0.74243, 0.65747, 0.36665, 1.0],
        [0.73668, 0.65098, 0.35333, 1.0],
        [0.73088, 0.64451, 0.33998, 1.0],
        [0.72505, 0.63807, 0.32654, 1.0],
        [0.71918, 0.63164, 0.31306, 1.0],
        [0.71327, 0.62522, 0.2995, 1.0],
        [0.70732, 0.61882, 0.28581, 1.0],
        [0.70133, 0.61243, 0.27203, 1.0],
        [0.69531, 0.60606, 0.25813, 1.0],
        [0.68925, 0.59972, 0.24409, 1.0],
        [0.68314, 0.59338, 0.2299, 1.0],
        [0.67699, 0.58706, 0.2156, 1.0],
        [0.67078, 0.58076, 0.20111, 1.0],
        [0.66452, 0.57447, 0.18656, 1.0],
        [0.65822, 0.56821, 0.17192, 1.0],
        [0.65184, 0.56196, 0.1573, 1.0],
        [0.6454, 0.55571, 0.14284, 1.0],
        [0.63889, 0.5495, 0.12862, 1.0],
        [0.63231, 0.54329, 0.11487, 1.0],
        [0.62565, 0.5371, 0.1019, 1.0],
        [0.61893, 0.53091, 0.08997, 1.0],
        [0.61212, 0.52474, 0.079354, 1.0],
        [0.60525, 0.51859, 0.070554, 1.0],
        [0.59832, 0.51243, 0.063809, 1.0],
        [0.59134, 0.50629, 0.059354, 1.0],
        [0.5843, 0.50016, 0.057061, 1.0],
        [0.57723, 0.49405, 0.056893, 1.0],
        [0.57013, 0.48795, 0.058316, 1.0],
        [0.56301, 0.48185, 0.061024, 1.0],
        [0.55586, 0.47577, 0.06459, 1.0],
        [0.54873, 0.46971, 0.068622, 1.0],
        [0.54156, 0.46364, 0.072767, 1.0],
        [0.53442, 0.4576, 0.076933, 1.0],
        [0.52728, 0.45158, 0.081132, 1.0],
        [0.52013, 0.44556, 0.085104, 1.0],
        [0.51301, 0.43957, 0.088952, 1.0],
        [0.50588, 0.43358, 0.09256, 1.0],
        [0.49878, 0.42763, 0.096006, 1.0],
        [0.49169, 0.42167, 0.099287, 1.0],
        [0.48459, 0.41574, 0.10238, 1.0],
        [0.47752, 0.40982, 0.10529, 1.0],
        [0.47046, 0.40392, 0.10807, 1.0],
        [0.4634, 0.39803, 0.11076, 1.0],
        [0.45636, 0.39215, 0.11328, 1.0],
        [0.44934, 0.38629, 0.11565, 1.0],
        [0.44232, 0.38046, 0.11793, 1.0],
        [0.43532, 0.37464, 0.12007, 1.0],
        [0.42831, 0.36884, 0.12212, 1.0],
        [0.42132, 0.36304, 0.12411, 1.0],
        [0.41435, 0.35728, 0.12604, 1.0],
        [0.40739, 0.35151, 0.12783, 1.0],
        [0.40044, 0.34577, 0.12955, 1.0],
        [0.39348, 0.34006, 0.13119, 1.0],
        [0.38654, 0.33436, 0.13275, 1.0],
        [0.37963, 0.32867, 0.13426, 1.0],
        [0.3727, 0.32301, 0.13564, 1.0],
        [0.3658, 0.31735, 0.13703, 1.0],
        [0.35889, 0.31171, 0.13834, 1.0],
        [0.352, 0.30612, 0.13953, 1.0],
        [0.34513, 0.3005, 0.14076, 1.0],
        [0.33824, 0.29493, 0.14187, 1.0],
        [0.33137, 0.28939, 0.14293, 1.0],
        [0.3245, 0.28384, 0.14395, 1.0],
        [0.31765, 0.27833, 0.14493, 1.0],
        [0.31081, 0.27283, 0.14584, 1.0],
        [0.30394, 0.26734, 0.14667, 1.0],
        [0.29711, 0.2619, 0.14752, 1.0],
        [0.29024, 0.25646, 0.14827, 1.0],
        [0.28341, 0.25106, 0.149, 1.0],
        [0.27657, 0.24565, 0.14972, 1.0],
        [0.26972, 0.24028, 0.15036, 1.0],
        [0.26287, 0.23497, 0.15098, 1.0],
        [0.25603, 0.22963, 0.1516, 1.0],
        [0.24923, 0.22437, 0.15223, 1.0],
        [0.24244, 0.2192, 0.1529, 1.0],
        [0.23574, 0.2141, 0.15364, 1.0],
        [0.22909, 0.20912, 0.15452, 1.0],
        [0.2226, 0.20434, 0.1556, 1.0],
        [0.21631, 0.19974, 0.15692, 1.0],
        [0.21024, 0.1955, 0.15863, 1.0],
        [0.20456, 0.19165, 0.16076, 1.0],
        [0.19928, 0.18832, 0.1635, 1.0],
        [0.1946, 0.18556, 0.16685, 1.0],
        [0.19048, 0.18343, 0.17092, 1.0],
        [0.1871, 0.18208, 0.17577, 1.0],
        [0.18444, 0.18154, 0.18145, 1.0],
        [0.18255, 0.18182, 0.18797, 1.0],
        [0.18144, 0.18291, 0.1952, 1.0],
        [0.18108, 0.18479, 0.20316, 1.0],
        [0.18139, 0.18737, 0.21179, 1.0],
        [0.1823, 0.19052, 0.22095, 1.0],
        [0.18372, 0.19427, 0.23054, 1.0],
        [0.18557, 0.19837, 0.24052, 1.0],
        [0.18769, 0.20286, 0.25082, 1.0],
        [0.18999, 0.20762, 0.26134, 1.0],
        [0.19246, 0.21256, 0.27202, 1.0],
        [0.19501, 0.21764, 0.28289, 1.0],
        [0.19756, 0.22284, 0.29382, 1.0],
        [0.20009, 0.2281, 0.30487, 1.0],
        [0.20261, 0.23338, 0.31601, 1.0],
        [0.20507, 0.23874, 0.32718, 1.0],
        [0.20746, 0.24413, 0.33844, 1.0],
        [0.20976, 0.24955, 0.34976, 1.0],
        [0.212, 0.25501, 0.36112, 1.0],
        [0.21413, 0.26045, 0.37255, 1.0],
        [0.2162, 0.26593, 0.38404, 1.0],
        [0.21815, 0.27142, 0.39559, 1.0],
        [0.22003, 0.27695, 0.40718, 1.0],
        [0.2218, 0.28251, 0.41883, 1.0],
        [0.22351, 0.28805, 0.43054, 1.0],
        [0.2251, 0.29363, 0.44231, 1.0],
        [0.22664, 0.29926, 0.45412, 1.0],
        [0.22806, 0.30487, 0.46597, 1.0],
        [0.22936, 0.31053, 0.4779, 1.0],
        [0.2306, 0.3162, 0.48986, 1.0],
        [0.23175, 0.32187, 0.50189, 1.0],
        [0.23276, 0.32757, 0.51396, 1.0],
        [0.23368, 0.33331, 0.52608, 1.0],
        [0.23454, 0.33905, 0.53825, 1.0],
        [0.23526, 0.34481, 0.55045, 1.0],
        [0.23587, 0.3506, 0.56272, 1.0],
        [0.23637, 0.35639, 0.57502, 1.0],
        [0.23677, 0.36221, 0.58738, 1.0],
        [0.23705, 0.36804, 0.59979, 1.0],
        [0.23721, 0.3739, 0.61223, 1.0],
        [0.23725, 0.37976, 0.62473, 1.0],
        [0.23717, 0.38565, 0.63727, 1.0],
        [0.23695, 0.39156, 0.64985, 1.0],
        [0.2366, 0.39748, 0.66248, 1.0],
        [0.23612, 0.40343, 0.67514, 1.0],
        [0.23551, 0.40938, 0.68785, 1.0],
        [0.23476, 0.41536, 0.70061, 1.0],
        [0.23382, 0.42134, 0.7134, 1.0],
        [0.23276, 0.42737, 0.72624, 1.0],
        [0.23156, 0.43338, 0.73913, 1.0],
        [0.23015, 0.43942, 0.75203, 1.0],
        [0.22865, 0.44546, 0.76497, 1.0],
        [0.22696, 0.45152, 0.7779, 1.0],
        [0.22514, 0.45758, 0.79081, 1.0],
        [0.22329, 0.46364, 0.80368, 1.0],
        [0.22139, 0.4697, 0.81645, 1.0],
        [0.21959, 0.47573, 0.82905, 1.0],
        [0.21803, 0.48173, 0.84139, 1.0],
        [0.21692, 0.4877, 0.85338, 1.0],
        [0.21649, 0.4936, 0.86491, 1.0],
        [0.21704, 0.49946, 0.87584, 1.0],
        [0.21888, 0.50526, 0.88605, 1.0],
        [0.2223, 0.51101, 0.89542, 1.0],
        [0.22753, 0.51671, 0.90384, 1.0],
        [0.23467, 0.52237, 0.91128, 1.0],
    ],
    'cet.cyclic_protanopic_deuteranopic_wywb_55_96_c33': [
        [0.93344, 0.92965, 0.9265, 1.0],
        [0.93483, 0.9285, 0.91829, 1.0],
        [0.93521, 0.92627, 0.90898, 1.0],
        [0.93467, 0.92304, 0.89864, 1.0],
        [0.9333, 0.9189, 0.88737, 1.0],
        [0.93123, 0.91403, 0.87529, 1.0],
        [0.92857, 0.90852, 0.86255, 1.0],
        [0.92545, 0.90254, 0.84929, 1.0],
        [0.92195, 0.8962, 0.83562, 1.0],
        [0.91818, 0.88959, 0.82167, 1.0],
        [0.9142, 0.88281, 0.80752, 1.0],
        [0.91006, 0.87592, 0.79326, 1.0],
        [0.9058, 0.86896, 0.77891, 1.0],
        [0.90144, 0.86196, 0.76454, 1.0],
        [0.89701, 0.85495, 0.75015, 1.0],
        [0.89251, 0.84793, 0.73577, 1.0],
        [0.88796, 0.84092, 0.7214, 1.0],
        [0.88336, 0.83393, 0.70707, 1.0],
        [0.87871, 0.82695, 0.69276, 1.0],
        [0.87401, 0.81998, 0.67847, 1.0],
        [0.86926, 0.81303, 0.66421, 1.0],
        [0.86446, 0.8061, 0.64997, 1.0],
        [0.85961, 0.79918, 0.63576, 1.0],
        [0.85471, 0.79227, 0.62156, 1.0],
        [0.84977, 0.78539, 0.6074, 1.0],
        [0.84477, 0.77851, 0.59325, 1.0],
        [0.83973, 0.77165, 0.57912, 1.0],
        [0.83463, 0.76481, 0.565, 1.0],
        [0.82949, 0.75798, 0.55091, 1.0],
        [0.8243, 0.75118, 0.53683, 1.0],
        [0.81906, 0.74438, 0.52275, 1.0],
        [0.81377, 0.73759, 0.50869, 1.0],
        [0.80844, 0.73083, 0.49463, 1.0],
        [0.80306, 0.72408, 0.48056, 1.0],
        [0.79763, 0.71736, 0.46651, 1.0],
        [0.79215, 0.71064, 0.45246, 1.0],
        [0.78663, 0.70394, 0.43838, 1.0],
        [0.78106, 0.69725, 0.4243, 1.0],
        [0.77544, 0.69059, 0.4102, 1.0],
        [0.76978, 0.68394, 0.39607, 1.0],
        [0.76407, 0.67731, 0.3819, 1.0],
        [0.75832, 0.6707, 0.36769, 1.0],
        [0.75251, 0.66409, 0.35344, 1.0],
        [0.74667, 0.65752, 0.33912, 1.0],
        [0.74077, 0.65095, 0.3247, 1.0],
        [0.73484, 0.64439, 0.31022, 1.0],
        [0.72885, 0.63786, 0.29559, 1.0],
        [0.72282, 0.63135, 0.28082, 1.0],
        [0.71676, 0.62485, 0.26592, 1.0],
        [0.71064, 0.61837, 0.25077, 1.0],
        [0.70448, 0.61191, 0.23541, 1.0],
        [0.6983, 0.60548, 0.21975, 1.0],
        [0.6921, 0.59911, 0.20379, 1.0],
        [0.6859, 0.5928, 0.18746, 1.0],
        [0.67973, 0.58656, 0.1707, 1.0],
        [0.67364, 0.58047, 0.15351, 1.0],
        [0.66769, 0.57456, 0.13583, 1.0],
        [0.66195, 0.56892, 0.11768, 1.0],
        [0.65653, 0.56364, 0.098985, 1.0],
        [0.65154, 0.55879, 0.079761, 1.0],
        [0.64711, 0.55454, 0.060162, 1.0],
        [0.64338, 0.55098, 0.040145, 1.0],
        [0.6405, 0.54824, 0.022737, 1.0],
        [0.63856, 0.5464, 0.011467, 1.0],
        [0.63764, 0.54552, 0.00612, 1.0],
        [0.63779, 0.54566, 0.0069528, 1.0],
        [0.639, 0.54681, 0.014011, 1.0],
        [0.6412, 0.54891, 0.026881, 1.0],
        [0.64433, 0.55189, 0.045584, 1.0],
        [0.64825, 0.55564, 0.065542, 1.0],
        [0.65284, 0.56007, 0.085072, 1.0],
        [0.65797, 0.56502, 0.10412, 1.0],
        [0.66348, 0.57042, 0.12263, 1.0],
        [0.66928, 0.57615, 0.14071, 1.0],
        [0.67528, 0.5821, 0.15822, 1.0],
        [0.68138, 0.58823, 0.17526, 1.0],
        [0.68757, 0.59448, 0.19187, 1.0],
        [0.69376, 0.60081, 0.2081, 1.0],
        [0.69996, 0.60722, 0.22396, 1.0],
        [0.70614, 0.61364, 0.23954, 1.0],
        [0.71228, 0.62011, 0.25487, 1.0],
        [0.71839, 0.62659, 0.26994, 1.0],
        [0.72445, 0.6331, 0.2848, 1.0],
        [0.73047, 0.63962, 0.29953, 1.0],
        [0.73643, 0.64615, 0.31411, 1.0],
        [0.74236, 0.6527, 0.32858, 1.0],
        [0.74824, 0.65927, 0.34297, 1.0],
        [0.75408, 0.66586, 0.35728, 1.0],
        [0.75986, 0.67247, 0.3715, 1.0],
        [0.76561, 0.67908, 0.38569, 1.0],
        [0.77131, 0.68572, 0.39985, 1.0],
        [0.77696, 0.69238, 0.41398, 1.0],
        [0.78256, 0.69904, 0.42808, 1.0],
        [0.78811, 0.70573, 0.44216, 1.0],
        [0.79363, 0.71243, 0.45622, 1.0],
        [0.79909, 0.71916, 0.47028, 1.0],
        [0.80451, 0.7259, 0.48433, 1.0],
        [0.80987, 0.73265, 0.4984, 1.0],
        [0.81519, 0.73942, 0.51245, 1.0],
        [0.82047, 0.7462, 0.52653, 1.0],
        [0.82569, 0.75299, 0.5406, 1.0],
        [0.83087, 0.75981, 0.55468, 1.0],
        [0.836, 0.76664, 0.56878, 1.0],
        [0.84108, 0.77349, 0.5829, 1.0],
        [0.84611, 0.78035, 0.59704, 1.0],
        [0.85109, 0.78723, 0.6112, 1.0],
        [0.85603, 0.79413, 0.62537, 1.0],
        [0.86092, 0.80103, 0.63957, 1.0],
        [0.86575, 0.80795, 0.65379, 1.0],
        [0.87054, 0.81489, 0.66803, 1.0],
        [0.87528, 0.82185, 0.68229, 1.0],
        [0.87996, 0.82882, 0.69659, 1.0],
        [0.8846, 0.8358, 0.71091, 1.0],
        [0.88918, 0.8428, 0.72527, 1.0],
        [0.8937, 0.84979, 0.73965, 1.0],
        [0.89813, 0.85678, 0.75405, 1.0],
        [0.90247, 0.86374, 0.76846, 1.0],
        [0.90668, 0.87063, 0.78288, 1.0],
        [0.91072, 0.87743, 0.79727, 1.0],
        [0.91454, 0.88408, 0.8116, 1.0],
        [0.91805, 0.89049, 0.82582, 1.0],
        [0.92115, 0.89657, 0.83985, 1.0],
        [0.92376, 0.90221, 0.85359, 1.0],
        [0.92572, 0.90727, 0.86693, 1.0],
        [0.92693, 0.9116, 0.87972, 1.0],
        [0.92726, 0.91509, 0.89181, 1.0],
        [0.92662, 0.9176, 0.90305, 1.0],
        [0.92493, 0.91903, 0.91331, 1.0],
        [0.92216, 0.91934, 0.92247, 1.0],
        [0.91831, 0.91852, 0.93048, 1.0],
        [0.91344, 0.91658, 0.93732, 1.0],
        [0.90763, 0.91362, 0.94303, 1.0],
        [0.90098, 0.90973, 0.94767, 1.0],
        [0.89363, 0.90506, 0.95137, 1.0],
        [0.8857, 0.89973, 0.95427, 1.0],
        [0.87731, 0.89389, 0.95649, 1.0],
        [0.86857, 0.88766, 0.9582, 1.0],
        [0.85956, 0.88115, 0.95951, 1.0],
        [0.85035, 0.87445, 0.96053, 1.0],
        [0.84101, 0.86762, 0.96134, 1.0],
        [0.83155, 0.86072, 0.96201, 1.0],
        [0.822, 0.85377, 0.9626, 1.0],
        [0.81238, 0.8468, 0.96312, 1.0],
        [0.8027, 0.83983, 0.9636, 1.0],
        [0.79297, 0.83286, 0.96404, 1.0],
        [0.78318, 0.82591, 0.96448, 1.0],
        [0.77333, 0.81897, 0.9649, 1.0],
        [0.76342, 0.81205, 0.96531, 1.0],
        [0.75346, 0.80515, 0.96572, 1.0],
        [0.74343, 0.79826, 0.96611, 1.0],
        [0.73332, 0.79138, 0.96649, 1.0],
        [0.72314, 0.78453, 0.96686, 1.0],
        [0.71289, 0.77769, 0.96722, 1.0],
        [0.70257, 0.77086, 0.96758, 1.0],
        [0.69216, 0.76405, 0.96792, 1.0],
        [0.68165, 0.75726, 0.96824, 1.0],
        [0.67106, 0.75048, 0.96856, 1.0],
        [0.66036, 0.74372, 0.96887, 1.0],
        [0.64957, 0.73698, 0.96917, 1.0],
        [0.63866, 0.73026, 0.96946, 1.0],
        [0.62763, 0.72354, 0.96974, 1.0],
        [0.61649, 0.71686, 0.97001, 1.0],
        [0.6052, 0.71018, 0.97027, 1.0],
        [0.59378, 0.70353, 0.97052, 1.0],
        [0.5822, 0.69689, 0.97076, 1.0],
        [0.57047, 0.69028, 0.97099, 1.0],
        [0.55857, 0.68368, 0.97122, 1.0],
        [0.54649, 0.6771, 0.97143, 1.0],
        [0.5342, 0.67054, 0.97163, 1.0],
        [0.52169, 0.664, 0.97183, 1.0],
        [0.50897, 0.65748, 0.97202, 1.0],
        [0.49597, 0.65098, 0.9722, 1.0],
        [0.48272, 0.64449, 0.97236, 1.0],
        [0.46916, 0.63803, 0.97252, 1.0],
        [0.45526, 0.63159, 0.97267, 1.0],
        [0.44099, 0.62517, 0.97282, 1.0],
        [0.42633, 0.61878, 0.97295, 1.0],
        [0.41125, 0.61241, 0.97307, 1.0],
        [0.39571, 0.60609, 0.97319, 1.0],
        [0.37968, 0.59984, 0.9733, 1.0],
        [0.36317, 0.59366, 0.9734, 1.0],
        [0.34619, 0.58759, 0.97348, 1.0],
        [0.32882, 0.58169, 0.97356, 1.0],
        [0.31115, 0.57603, 0.97363, 1.0],
        [0.29341, 0.57065, 0.97369, 1.0],
        [0.27598, 0.56568, 0.97374, 1.0],
        [0.25925, 0.56122, 0.97379, 1.0],
        [0.24386, 0.5574, 0.97382, 1.0],
        [0.23068, 0.55429, 0.97384, 1.0],
        [0.22054, 0.55203, 0.97386, 1.0],
        [0.21423, 0.55068, 0.97387, 1.0],
        [0.2124, 0.5503, 0.97387, 1.0],
        [0.21521, 0.55089, 0.97387, 1.0],
        [0.22242, 0.55244, 0.97386, 1.0],
        [0.23329, 0.55489, 0.97384, 1.0],
        [0.24704, 0.55816, 0.97381, 1.0],
        [0.26275, 0.56215, 0.97378, 1.0],
        [0.27969, 0.56672, 0.97373, 1.0],
        [0.29725, 0.57178, 0.97368, 1.0],
        [0.31497, 0.57722, 0.97362, 1.0],
        [0.3326, 0.58294, 0.97355, 1.0],
        [0.3499, 0.58888, 0.97347, 1.0],
        [0.36678, 0.59498, 0.97338, 1.0],
        [0.38318, 0.60118, 0.97328, 1.0],
        [0.39909, 0.60746, 0.97317, 1.0],
        [0.41454, 0.61378, 0.97305, 1.0],
        [0.42953, 0.62016, 0.97292, 1.0],
        [0.44411, 0.62655, 0.97279, 1.0],
        [0.45828, 0.63298, 0.97264, 1.0],
        [0.47211, 0.63943, 0.97249, 1.0],
        [0.4856, 0.64589, 0.97233, 1.0],
        [0.4988, 0.65237, 0.97216, 1.0],
        [0.51173, 0.65888, 0.97198, 1.0],
        [0.52441, 0.66541, 0.97179, 1.0],
        [0.53687, 0.67195, 0.97159, 1.0],
        [0.54911, 0.67852, 0.97138, 1.0],
        [0.56115, 0.6851, 0.97117, 1.0],
        [0.57302, 0.6917, 0.97094, 1.0],
        [0.58472, 0.69832, 0.97071, 1.0],
        [0.59625, 0.70496, 0.97047, 1.0],
        [0.60765, 0.71162, 0.97021, 1.0],
        [0.6189, 0.71829, 0.96995, 1.0],
        [0.63002, 0.72499, 0.96968, 1.0],
        [0.64101, 0.7317, 0.9694, 1.0],
        [0.6519, 0.73843, 0.96911, 1.0],
        [0.66268, 0.74518, 0.96881, 1.0],
        [0.67335, 0.75194, 0.96849, 1.0],
        [0.68392, 0.75872, 0.96817, 1.0],
        [0.6944, 0.76552, 0.96784, 1.0],
        [0.7048, 0.77233, 0.9675, 1.0],
        [0.71511, 0.77916, 0.96715, 1.0],
        [0.72535, 0.78601, 0.96678, 1.0],
        [0.73551, 0.79287, 0.96641, 1.0],
        [0.74559, 0.79975, 0.96603, 1.0],
        [0.75561, 0.80664, 0.96563, 1.0],
        [0.76557, 0.81354, 0.96523, 1.0],
        [0.77546, 0.82047, 0.96481, 1.0],
        [0.7853, 0.82741, 0.96438, 1.0],
        [0.79507, 0.83437, 0.96395, 1.0],
        [0.80479, 0.84133, 0.9635, 1.0],
        [0.81446, 0.84832, 0.96304, 1.0],
        [0.82408, 0.85531, 0.96257, 1.0],
        [0.83363, 0.86231, 0.96207, 1.0],
        [0.8431, 0.86928, 0.96154, 1.0],
        [0.85248, 0.87621, 0.96097, 1.0],
        [0.86173, 0.88308, 0.96032, 1.0],
        [0.87082, 0.88983, 0.95956, 1.0],
        [0.87969, 0.89641, 0.95863, 1.0],
        [0.88827, 0.90273, 0.95748, 1.0],
        [0.89645, 0.90869, 0.956, 1.0],
        [0.90413, 0.91417, 0.95409, 1.0],
        [0.9112, 0.91902, 0.95162, 1.0],
        [0.91753, 0.92313, 0.94847, 1.0],
        [0.92299, 0.92634, 0.94449, 1.0],
        [0.92751, 0.92854, 0.93956, 1.0],
        [0.93101, 0.92967, 0.93358, 1.0],
    ],
    'cet.cyclic_tritanopic_cwrk_40_100_c20': [
        [0.1493, 0.73523, 0.84245, 1.0],
        [0.1629, 0.73969, 0.8467, 1.0],
        [0.17926, 0.74403, 0.85055, 1.0],
        [0.19751, 0.74828, 0.85406, 1.0],
        [0.2169, 0.75246, 0.85726, 1.0],
        [0.23681, 0.7566, 0.86022, 1.0],
        [0.25679, 0.76071, 0.86298, 1.0],
        [0.27658, 0.7648, 0.86558, 1.0],
        [0.29595, 0.76887, 0.8681, 1.0],
        [0.31481, 0.77294, 0.87052, 1.0],
        [0.33311, 0.77702, 0.87291, 1.0],
        [0.35082, 0.78109, 0.87526, 1.0],
        [0.36794, 0.78516, 0.87759, 1.0],
        [0.38453, 0.78924, 0.87991, 1.0],
        [0.40064, 0.79331, 0.88223, 1.0],
        [0.41627, 0.79738, 0.88454, 1.0],
        [0.4315, 0.80146, 0.88686, 1.0],
        [0.44633, 0.80553, 0.88917, 1.0],
        [0.46083, 0.80961, 0.89148, 1.0],
        [0.47503, 0.81368, 0.8938, 1.0],
        [0.48893, 0.81776, 0.89611, 1.0],
        [0.50259, 0.82183, 0.89842, 1.0],
        [0.51601, 0.8259, 0.90073, 1.0],
        [0.52923, 0.82997, 0.90305, 1.0],
        [0.54225, 0.83404, 0.90536, 1.0],
        [0.55508, 0.83811, 0.90767, 1.0],
        [0.56776, 0.84218, 0.90998, 1.0],
        [0.58028, 0.84624, 0.91229, 1.0],
        [0.59266, 0.8503, 0.91461, 1.0],
        [0.6049, 0.85437, 0.91692, 1.0],
        [0.61703, 0.85843, 0.91922, 1.0],
        [0.62903, 0.8625, 0.92154, 1.0],
        [0.64093, 0.86655, 0.92385, 1.0],
        [0.65272, 0.87061, 0.92616, 1.0],
        [0.66443, 0.87467, 0.92847, 1.0],
        [0.67605, 0.87873, 0.93078, 1.0],
        [0.68757, 0.88278, 0.93309, 1.0],
        [0.69902, 0.88684, 0.9354, 1.0],
        [0.7104, 0.8909, 0.93771, 1.0],
        [0.7217, 0.89496, 0.94002, 1.0],
        [0.73295, 0.89901, 0.94233, 1.0],
        [0.74412, 0.90306, 0.94464, 1.0],
        [0.75524, 0.90711, 0.94695, 1.0],
        [0.7663, 0.91116, 0.94926, 1.0],
        [0.77732, 0.91521, 0.95156, 1.0],
        [0.78827, 0.91926, 0.95388, 1.0],
        [0.79918, 0.92331, 0.95618, 1.0],
        [0.81004, 0.92735, 0.95849, 1.0],
        [0.82087, 0.9314, 0.9608, 1.0],
        [0.83166, 0.93544, 0.9631, 1.0],
        [0.84242, 0.93947, 0.96538, 1.0],
        [0.85313, 0.94347, 0.96764, 1.0],
        [0.86381, 0.94744, 0.96985, 1.0],
        [0.87443, 0.95133, 0.972, 1.0],
        [0.88499, 0.95513, 0.97403, 1.0],
        [0.89548, 0.95878, 0.9759, 1.0],
        [0.90584, 0.96222, 0.97756, 1.0],
        [0.91603, 0.96537, 0.97891, 1.0],
        [0.92598, 0.96815, 0.97989, 1.0],
        [0.9356, 0.97044, 0.98037, 1.0],
        [0.94479, 0.97216, 0.98028, 1.0],
        [0.95344, 0.9732, 0.97952, 1.0],
        [0.96142, 0.97348, 0.97802, 1.0],
        [0.96864, 0.97294, 0.97575, 1.0],
        [0.97502, 0.97155, 0.9727, 1.0],
        [0.98052, 0.96933, 0.96886, 1.0],
        [0.98511, 0.9663, 0.9643, 1.0],
        [0.98881, 0.96253, 0.95909, 1.0],
        [0.99169, 0.95812, 0.95332, 1.0],
        [0.99384, 0.95316, 0.94707, 1.0],
        [0.99535, 0.94775, 0.94046, 1.0],
        [0.99633, 0.942, 0.93356, 1.0],
        [0.9969, 0.93598, 0.92646, 1.0],
        [0.99715, 0.92978, 0.91921, 1.0],
        [0.99714, 0.92345, 0.91188, 1.0],
        [0.99697, 0.91704, 0.90448, 1.0],
        [0.99665, 0.91058, 0.89706, 1.0],
        [0.99625, 0.90407, 0.88962, 1.0],
        [0.99577, 0.89756, 0.88218, 1.0],
        [0.99524, 0.89103, 0.87473, 1.0],
        [0.99466, 0.88451, 0.86731, 1.0],
        [0.99405, 0.87799, 0.85989, 1.0],
        [0.9934, 0.87147, 0.85249, 1.0],
        [0.99272, 0.86495, 0.84509, 1.0],
        [0.99201, 0.85843, 0.83771, 1.0],
        [0.99127, 0.85192, 0.83033, 1.0],
        [0.99049, 0.84541, 0.82297, 1.0],
        [0.98968, 0.8389, 0.81562, 1.0],
        [0.98884, 0.83239, 0.80829, 1.0],
        [0.98797, 0.82588, 0.80096, 1.0],
        [0.98707, 0.81938, 0.79365, 1.0],
        [0.98614, 0.81288, 0.78635, 1.0],
        [0.98518, 0.80638, 0.77905, 1.0],
        [0.98418, 0.79988, 0.77178, 1.0],
        [0.98316, 0.79338, 0.76451, 1.0],
        [0.98211, 0.78688, 0.75725, 1.0],
        [0.98102, 0.78038, 0.75001, 1.0],
        [0.9799, 0.77388, 0.74278, 1.0],
        [0.97876, 0.76739, 0.73556, 1.0],
        [0.97758, 0.7609, 0.72835, 1.0],
        [0.97638, 0.75441, 0.72116, 1.0],
        [0.97515, 0.74791, 0.71398, 1.0],
        [0.97389, 0.74141, 0.70681, 1.0],
        [0.9726, 0.73493, 0.69965, 1.0],
        [0.97128, 0.72843, 0.69251, 1.0],
        [0.96993, 0.72193, 0.68538, 1.0],
        [0.96855, 0.71545, 0.67826, 1.0],
        [0.96715, 0.70895, 0.67115, 1.0],
        [0.96571, 0.70245, 0.66406, 1.0],
        [0.96425, 0.69596, 0.65698, 1.0],
        [0.96276, 0.68946, 0.64991, 1.0],
        [0.96125, 0.68296, 0.64285, 1.0],
        [0.9597, 0.67646, 0.63581, 1.0],
        [0.95813, 0.66996, 0.62878, 1.0],
        [0.95651, 0.66347, 0.62176, 1.0],
        [0.95485, 0.65697, 0.61478, 1.0],
        [0.95314, 0.65049, 0.60784, 1.0],
        [0.95135, 0.64402, 0.60092, 1.0],
        [0.94946, 0.63758, 0.59406, 1.0],
        [0.94745, 0.6312, 0.58727, 1.0],
        [0.94527, 0.62486, 0.5806, 1.0],
        [0.94287, 0.61863, 0.57404, 1.0],
        [0.9402, 0.6125, 0.56767, 1.0],
        [0.93718, 0.60653, 0.56149, 1.0],
        [0.93376, 0.60074, 0.55556, 1.0],
        [0.92989, 0.59517, 0.54993, 1.0],
        [0.92551, 0.58984, 0.54461, 1.0],
        [0.92059, 0.58479, 0.53962, 1.0],
        [0.91513, 0.58, 0.53499, 1.0],
        [0.90911, 0.57548, 0.53071, 1.0],
        [0.90259, 0.57121, 0.52676, 1.0],
        [0.89558, 0.56719, 0.5231, 1.0],
        [0.88816, 0.56338, 0.51971, 1.0],
        [0.8804, 0.55974, 0.51654, 1.0],
        [0.87235, 0.55624, 0.51357, 1.0],
        [0.86408, 0.55286, 0.51073, 1.0],
        [0.85564, 0.54957, 0.50802, 1.0],
        [0.84708, 0.54634, 0.50536, 1.0],
        [0.83845, 0.54313, 0.50277, 1.0],
        [0.82977, 0.53996, 0.50022, 1.0],
        [0.82105, 0.53681, 0.49771, 1.0],
        [0.81233, 0.53365, 0.4952, 1.0],
        [0.80359, 0.53052, 0.49269, 1.0],
        [0.79486, 0.52738, 0.49021, 1.0],
        [0.78614, 0.52423, 0.48772, 1.0],
        [0.77743, 0.52109, 0.48522, 1.0],
        [0.76871, 0.51795, 0.48274, 1.0],
        [0.76002, 0.5148, 0.48026, 1.0],
        [0.75133, 0.51165, 0.47778, 1.0],
        [0.74265, 0.50851, 0.47531, 1.0],
        [0.73397, 0.50534, 0.47282, 1.0],
        [0.72531, 0.50219, 0.47035, 1.0],
        [0.71665, 0.49903, 0.46787, 1.0],
        [0.70799, 0.49587, 0.46539, 1.0],
        [0.69935, 0.49271, 0.46292, 1.0],
        [0.69071, 0.48954, 0.46045, 1.0],
        [0.68208, 0.48638, 0.45799, 1.0],
        [0.67346, 0.48321, 0.45553, 1.0],
        [0.66484, 0.48005, 0.45307, 1.0],
        [0.65624, 0.47687, 0.4506, 1.0],
        [0.64763, 0.47369, 0.44814, 1.0],
        [0.63903, 0.47052, 0.44568, 1.0],
        [0.63044, 0.46734, 0.44323, 1.0],
        [0.62185, 0.46416, 0.44076, 1.0],
        [0.61326, 0.46096, 0.43832, 1.0],
        [0.60469, 0.45778, 0.43587, 1.0],
        [0.59611, 0.4546, 0.43341, 1.0],
        [0.58754, 0.4514, 0.43097, 1.0],
        [0.57898, 0.4482, 0.42852, 1.0],
        [0.57041, 0.44501, 0.42607, 1.0],
        [0.56186, 0.44181, 0.42363, 1.0],
        [0.55328, 0.4386, 0.42119, 1.0],
        [0.54473, 0.4354, 0.41875, 1.0],
        [0.53617, 0.4322, 0.41632, 1.0],
        [0.52761, 0.42897, 0.41388, 1.0],
        [0.51906, 0.42576, 0.41145, 1.0],
        [0.51048, 0.42254, 0.40902, 1.0],
        [0.50192, 0.41934, 0.40661, 1.0],
        [0.49334, 0.41614, 0.40421, 1.0],
        [0.48477, 0.41297, 0.40184, 1.0],
        [0.47622, 0.40984, 0.39953, 1.0],
        [0.46769, 0.40676, 0.39731, 1.0],
        [0.45919, 0.40379, 0.39522, 1.0],
        [0.45076, 0.40097, 0.39328, 1.0],
        [0.44244, 0.39833, 0.39159, 1.0],
        [0.43426, 0.39597, 0.39019, 1.0],
        [0.42632, 0.39394, 0.38921, 1.0],
        [0.41868, 0.39235, 0.38871, 1.0],
        [0.41143, 0.39127, 0.38878, 1.0],
        [0.40464, 0.39076, 0.38948, 1.0],
        [0.39842, 0.3909, 0.3909, 1.0],
        [0.3928, 0.3917, 0.39304, 1.0],
        [0.38783, 0.39319, 0.39594, 1.0],
        [0.38356, 0.39537, 0.39954, 1.0],
        [0.37992, 0.39817, 0.40383, 1.0],
        [0.37691, 0.40153, 0.4087, 1.0],
        [0.37444, 0.40541, 0.4141, 1.0],
        [0.37243, 0.4097, 0.41994, 1.0],
        [0.3708, 0.41432, 0.42612, 1.0],
        [0.36946, 0.41921, 0.43258, 1.0],
        [0.36833, 0.4243, 0.43923, 1.0],
        [0.3673, 0.42953, 0.44603, 1.0],
        [0.36636, 0.43486, 0.45295, 1.0],
        [0.36542, 0.44025, 0.45994, 1.0],
        [0.36446, 0.44569, 0.46699, 1.0],
        [0.36346, 0.45118, 0.47406, 1.0],
        [0.3624, 0.45667, 0.48117, 1.0],
        [0.36126, 0.46218, 0.48832, 1.0],
        [0.36003, 0.4677, 0.49547, 1.0],
        [0.35871, 0.47322, 0.50264, 1.0],
        [0.35731, 0.47877, 0.50983, 1.0],
        [0.35579, 0.48431, 0.51705, 1.0],
        [0.35416, 0.48986, 0.52426, 1.0],
        [0.35243, 0.49542, 0.53151, 1.0],
        [0.35061, 0.501, 0.53877, 1.0],
        [0.34866, 0.50656, 0.54605, 1.0],
        [0.34659, 0.51215, 0.55333, 1.0],
        [0.3444, 0.51775, 0.56064, 1.0],
        [0.34211, 0.52335, 0.56797, 1.0],
        [0.33969, 0.52896, 0.57531, 1.0],
        [0.33712, 0.53457, 0.58266, 1.0],
        [0.33442, 0.54019, 0.59004, 1.0],
        [0.33156, 0.54583, 0.59743, 1.0],
        [0.32858, 0.55147, 0.60484, 1.0],
        [0.32543, 0.55712, 0.61226, 1.0],
        [0.32213, 0.56277, 0.61971, 1.0],
        [0.31866, 0.56843, 0.62715, 1.0],
        [0.315, 0.5741, 0.63463, 1.0],
        [0.31118, 0.57979, 0.64211, 1.0],
        [0.30715, 0.58548, 0.64962, 1.0],
        [0.30291, 0.59117, 0.65713, 1.0],
        [0.29847, 0.59687, 0.66466, 1.0],
        [0.29379, 0.60258, 0.67221, 1.0],
        [0.28889, 0.60831, 0.67977, 1.0],
        [0.2837, 0.61402, 0.68735, 1.0],
        [0.27826, 0.61977, 0.69494, 1.0],
        [0.2725, 0.6255, 0.70255, 1.0],
        [0.26644, 0.63126, 0.71017, 1.0],
        [0.26002, 0.63702, 0.71781, 1.0],
        [0.25323, 0.64278, 0.72546, 1.0],
        [0.24601, 0.64855, 0.73313, 1.0],
        [0.23835, 0.65433, 0.7408, 1.0],
        [0.23021, 0.66011, 0.74848, 1.0],
        [0.22159, 0.66589, 0.75615, 1.0],
        [0.21243, 0.67165, 0.76381, 1.0],
        [0.20273, 0.67741, 0.77145, 1.0],
        [0.19256, 0.68314, 0.77902, 1.0],
        [0.18198, 0.68883, 0.78651, 1.0],
        [0.17124, 0.69444, 0.79388, 1.0],
        [0.16061, 0.7, 0.80107, 1.0],
        [0.15065, 0.70545, 0.80804, 1.0],
        [0.14204, 0.71078, 0.81474, 1.0],
        [0.13569, 0.71598, 0.8211, 1.0],
        [0.13268, 0.72101, 0.82708, 1.0],
        [0.13377, 0.72591, 0.83264, 1.0],
        [0.13933, 0.73064, 0.83777, 1.0],
    ],
    'cet.cyclic_tritanopic_wrwc_70_100_c20': [
        [0.98457, 0.98115, 0.98169, 1.0],
        [0.98868, 0.9791, 0.97837, 1.0],
        [0.99201, 0.97625, 0.97432, 1.0],
        [0.99463, 0.97265, 0.96956, 1.0],
        [0.99662, 0.96839, 0.96417, 1.0],
        [0.99809, 0.96355, 0.95825, 1.0],
        [0.99913, 0.95825, 0.95187, 1.0],
        [0.99983, 0.95257, 0.94516, 1.0],
        [1, 0.94662, 0.93817, 1.0],
        [1, 0.94046, 0.93099, 1.0],
        [1, 0.93415, 0.92369, 1.0],
        [1, 0.92775, 0.91629, 1.0],
        [1, 0.9213, 0.90884, 1.0],
        [1, 0.9148, 0.90136, 1.0],
        [1, 0.90828, 0.89388, 1.0],
        [0.99982, 0.90175, 0.88639, 1.0],
        [0.99952, 0.89521, 0.87889, 1.0],
        [0.99918, 0.88868, 0.87142, 1.0],
        [0.99881, 0.88215, 0.86396, 1.0],
        [0.9984, 0.87562, 0.8565, 1.0],
        [0.99796, 0.86909, 0.84906, 1.0],
        [0.99748, 0.86257, 0.84163, 1.0],
        [0.99697, 0.85604, 0.83421, 1.0],
        [0.99642, 0.84952, 0.8268, 1.0],
        [0.99584, 0.84299, 0.8194, 1.0],
        [0.99523, 0.83647, 0.81202, 1.0],
        [0.99459, 0.82995, 0.80465, 1.0],
        [0.99391, 0.82343, 0.79729, 1.0],
        [0.9932, 0.81692, 0.78994, 1.0],
        [0.99245, 0.8104, 0.7826, 1.0],
        [0.99167, 0.80388, 0.77527, 1.0],
        [0.99086, 0.79737, 0.76796, 1.0],
        [0.99002, 0.79085, 0.76066, 1.0],
        [0.98914, 0.78434, 0.75337, 1.0],
        [0.98823, 0.77783, 0.74609, 1.0],
        [0.9873, 0.77131, 0.73883, 1.0],
        [0.98633, 0.7648, 0.73158, 1.0],
        [0.98533, 0.75829, 0.72434, 1.0],
        [0.9843, 0.75177, 0.71711, 1.0],
        [0.98323, 0.74525, 0.70989, 1.0],
        [0.98214, 0.73874, 0.70269, 1.0],
        [0.98101, 0.73222, 0.6955, 1.0],
        [0.97986, 0.72571, 0.68832, 1.0],
        [0.97867, 0.71918, 0.68115, 1.0],
        [0.97746, 0.71266, 0.674, 1.0],
        [0.97621, 0.70614, 0.66685, 1.0],
        [0.97494, 0.69961, 0.65973, 1.0],
        [0.97364, 0.69309, 0.65261, 1.0],
        [0.97231, 0.68656, 0.64551, 1.0],
        [0.97094, 0.68002, 0.63842, 1.0],
        [0.96955, 0.6735, 0.63135, 1.0],
        [0.96814, 0.66698, 0.62431, 1.0],
        [0.9667, 0.66048, 0.61731, 1.0],
        [0.96524, 0.65404, 0.61037, 1.0],
        [0.96378, 0.64766, 0.60354, 1.0],
        [0.96231, 0.64139, 0.59684, 1.0],
        [0.96087, 0.6353, 0.59033, 1.0],
        [0.95946, 0.62946, 0.58411, 1.0],
        [0.95811, 0.62398, 0.57828, 1.0],
        [0.95686, 0.61895, 0.57295, 1.0],
        [0.95575, 0.6145, 0.56825, 1.0],
        [0.9548, 0.61078, 0.56432, 1.0],
        [0.95407, 0.6079, 0.56128, 1.0],
        [0.95357, 0.60596, 0.55924, 1.0],
        [0.95334, 0.60505, 0.55828, 1.0],
        [0.95338, 0.60519, 0.55843, 1.0],
        [0.95368, 0.60639, 0.5597, 1.0],
        [0.95425, 0.60861, 0.56203, 1.0],
        [0.95504, 0.61172, 0.56531, 1.0],
        [0.95604, 0.61565, 0.56946, 1.0],
        [0.95719, 0.62027, 0.57434, 1.0],
        [0.95847, 0.62543, 0.57983, 1.0],
        [0.95983, 0.63103, 0.58577, 1.0],
        [0.96125, 0.63694, 0.59207, 1.0],
        [0.96271, 0.64307, 0.59862, 1.0],
        [0.96417, 0.64937, 0.60536, 1.0],
        [0.96563, 0.65577, 0.61223, 1.0],
        [0.96709, 0.66223, 0.61919, 1.0],
        [0.96852, 0.66873, 0.62619, 1.0],
        [0.96993, 0.67525, 0.63325, 1.0],
        [0.97131, 0.68178, 0.64033, 1.0],
        [0.97267, 0.68831, 0.64742, 1.0],
        [0.97399, 0.69484, 0.65452, 1.0],
        [0.97528, 0.70136, 0.66164, 1.0],
        [0.97655, 0.70789, 0.66877, 1.0],
        [0.97779, 0.71441, 0.67592, 1.0],
        [0.97899, 0.72093, 0.68307, 1.0],
        [0.98017, 0.72745, 0.69024, 1.0],
        [0.98132, 0.73397, 0.69742, 1.0],
        [0.98244, 0.74048, 0.70462, 1.0],
        [0.98352, 0.747, 0.71183, 1.0],
        [0.98458, 0.75351, 0.71904, 1.0],
        [0.9856, 0.76003, 0.72628, 1.0],
        [0.98659, 0.76654, 0.73352, 1.0],
        [0.98755, 0.77305, 0.74077, 1.0],
        [0.98848, 0.77957, 0.74805, 1.0],
        [0.98938, 0.78609, 0.75533, 1.0],
        [0.99025, 0.7926, 0.76261, 1.0],
        [0.99108, 0.79912, 0.76992, 1.0],
        [0.99188, 0.80563, 0.77724, 1.0],
        [0.99266, 0.81215, 0.78457, 1.0],
        [0.99339, 0.81866, 0.79191, 1.0],
        [0.99409, 0.82518, 0.79926, 1.0],
        [0.99476, 0.8317, 0.80663, 1.0],
        [0.9954, 0.83822, 0.814, 1.0],
        [0.996, 0.84474, 0.82139, 1.0],
        [0.99657, 0.85126, 0.82879, 1.0],
        [0.99711, 0.85778, 0.8362, 1.0],
        [0.99761, 0.86431, 0.84362, 1.0],
        [0.99808, 0.87084, 0.85105, 1.0],
        [0.99852, 0.87737, 0.8585, 1.0],
        [0.99891, 0.8839, 0.86595, 1.0],
        [0.99928, 0.89043, 0.87342, 1.0],
        [0.99959, 0.89697, 0.88091, 1.0],
        [0.99986, 0.90349, 0.8884, 1.0],
        [1, 0.91001, 0.89588, 1.0],
        [1, 0.9165, 0.90336, 1.0],
        [1, 0.92295, 0.91082, 1.0],
        [1, 0.92932, 0.91823, 1.0],
        [0.99964, 0.93559, 0.92556, 1.0],
        [0.99899, 0.9417, 0.93277, 1.0],
        [0.99797, 0.94758, 0.93981, 1.0],
        [0.9965, 0.95315, 0.94658, 1.0],
        [0.99447, 0.95831, 0.95303, 1.0],
        [0.99178, 0.96297, 0.95903, 1.0],
        [0.98834, 0.96702, 0.96449, 1.0],
        [0.98409, 0.97036, 0.96934, 1.0],
        [0.97898, 0.97293, 0.97348, 1.0],
        [0.97301, 0.97466, 0.97685, 1.0],
        [0.96619, 0.97556, 0.97944, 1.0],
        [0.9586, 0.97562, 0.98125, 1.0],
        [0.95031, 0.97491, 0.98231, 1.0],
        [0.94142, 0.97349, 0.98269, 1.0],
        [0.93202, 0.97146, 0.98248, 1.0],
        [0.92224, 0.96892, 0.98176, 1.0],
        [0.91213, 0.96597, 0.98064, 1.0],
        [0.9018, 0.96271, 0.9792, 1.0],
        [0.89129, 0.95921, 0.97753, 1.0],
        [0.88066, 0.95555, 0.97568, 1.0],
        [0.86993, 0.95177, 0.97373, 1.0],
        [0.85913, 0.94793, 0.9717, 1.0],
        [0.84827, 0.94403, 0.96961, 1.0],
        [0.83736, 0.94011, 0.96751, 1.0],
        [0.82639, 0.93617, 0.96537, 1.0],
        [0.81539, 0.93222, 0.96323, 1.0],
        [0.80434, 0.92826, 0.9611, 1.0],
        [0.79324, 0.92431, 0.95896, 1.0],
        [0.78209, 0.92036, 0.95681, 1.0],
        [0.77088, 0.9164, 0.95468, 1.0],
        [0.75961, 0.91245, 0.95253, 1.0],
        [0.74829, 0.90849, 0.95039, 1.0],
        [0.7369, 0.90453, 0.94825, 1.0],
        [0.72544, 0.90057, 0.94611, 1.0],
        [0.71391, 0.89661, 0.94397, 1.0],
        [0.7023, 0.89264, 0.94182, 1.0],
        [0.69061, 0.88868, 0.93968, 1.0],
        [0.67883, 0.88471, 0.93754, 1.0],
        [0.66696, 0.88074, 0.93539, 1.0],
        [0.655, 0.87677, 0.93324, 1.0],
        [0.64293, 0.8728, 0.9311, 1.0],
        [0.63076, 0.86883, 0.92895, 1.0],
        [0.61846, 0.86485, 0.92681, 1.0],
        [0.60602, 0.86088, 0.92466, 1.0],
        [0.59347, 0.8569, 0.92252, 1.0],
        [0.58076, 0.85293, 0.92037, 1.0],
        [0.5679, 0.84895, 0.91822, 1.0],
        [0.55486, 0.84496, 0.91607, 1.0],
        [0.54164, 0.84098, 0.91393, 1.0],
        [0.52823, 0.837, 0.91178, 1.0],
        [0.5146, 0.83301, 0.90963, 1.0],
        [0.50072, 0.82903, 0.90748, 1.0],
        [0.48659, 0.82503, 0.90534, 1.0],
        [0.47218, 0.82105, 0.90318, 1.0],
        [0.45745, 0.81705, 0.90103, 1.0],
        [0.44238, 0.81306, 0.89888, 1.0],
        [0.4269, 0.80907, 0.89673, 1.0],
        [0.411, 0.80507, 0.89458, 1.0],
        [0.39462, 0.80108, 0.89243, 1.0],
        [0.37775, 0.7971, 0.89029, 1.0],
        [0.36032, 0.79315, 0.88816, 1.0],
        [0.34235, 0.78923, 0.88605, 1.0],
        [0.32379, 0.78537, 0.88397, 1.0],
        [0.30471, 0.7816, 0.88194, 1.0],
        [0.2852, 0.77795, 0.87998, 1.0],
        [0.26548, 0.77449, 0.87813, 1.0],
        [0.24583, 0.77129, 0.8764, 1.0],
        [0.22678, 0.76839, 0.87484, 1.0],
        [0.20899, 0.7659, 0.8735, 1.0],
        [0.19344, 0.76387, 0.87242, 1.0],
        [0.18121, 0.76239, 0.87163, 1.0],
        [0.17355, 0.76151, 0.87115, 1.0],
        [0.1713, 0.76126, 0.87101, 1.0],
        [0.17479, 0.76165, 0.87122, 1.0],
        [0.18351, 0.76266, 0.87177, 1.0],
        [0.19657, 0.76427, 0.87263, 1.0],
        [0.21268, 0.7664, 0.87377, 1.0],
        [0.23081, 0.76898, 0.87516, 1.0],
        [0.25003, 0.77195, 0.87676, 1.0],
        [0.26976, 0.77522, 0.87852, 1.0],
        [0.28945, 0.77872, 0.8804, 1.0],
        [0.30888, 0.7824, 0.88237, 1.0],
        [0.32783, 0.7862, 0.88442, 1.0],
        [0.34626, 0.79007, 0.8865, 1.0],
        [0.36413, 0.794, 0.88862, 1.0],
        [0.38143, 0.79796, 0.89075, 1.0],
        [0.3982, 0.80194, 0.89289, 1.0],
        [0.41446, 0.80593, 0.89504, 1.0],
        [0.43027, 0.80993, 0.8972, 1.0],
        [0.44565, 0.81392, 0.89935, 1.0],
        [0.46065, 0.81791, 0.90149, 1.0],
        [0.47532, 0.82191, 0.90365, 1.0],
        [0.48966, 0.8259, 0.9058, 1.0],
        [0.50373, 0.82989, 0.90795, 1.0],
        [0.51756, 0.83387, 0.9101, 1.0],
        [0.53114, 0.83786, 0.91224, 1.0],
        [0.54451, 0.84184, 0.91439, 1.0],
        [0.55769, 0.84582, 0.91654, 1.0],
        [0.57068, 0.8498, 0.91868, 1.0],
        [0.58351, 0.85378, 0.92083, 1.0],
        [0.59619, 0.85776, 0.92298, 1.0],
        [0.60873, 0.86174, 0.92513, 1.0],
        [0.62112, 0.86571, 0.92727, 1.0],
        [0.63339, 0.86968, 0.92942, 1.0],
        [0.64554, 0.87366, 0.93156, 1.0],
        [0.6576, 0.87763, 0.93371, 1.0],
        [0.66954, 0.8816, 0.93586, 1.0],
        [0.68138, 0.88556, 0.938, 1.0],
        [0.69314, 0.88953, 0.94014, 1.0],
        [0.70481, 0.89349, 0.94229, 1.0],
        [0.7164, 0.89746, 0.94443, 1.0],
        [0.72791, 0.90142, 0.94657, 1.0],
        [0.73937, 0.90539, 0.94871, 1.0],
        [0.75074, 0.90934, 0.95086, 1.0],
        [0.76205, 0.9133, 0.953, 1.0],
        [0.7733, 0.91726, 0.95514, 1.0],
        [0.7845, 0.92121, 0.95728, 1.0],
        [0.79563, 0.92516, 0.95942, 1.0],
        [0.80673, 0.92912, 0.96155, 1.0],
        [0.81776, 0.93307, 0.96369, 1.0],
        [0.82876, 0.93702, 0.96583, 1.0],
        [0.83971, 0.94097, 0.96798, 1.0],
        [0.8506, 0.94492, 0.97011, 1.0],
        [0.86144, 0.94884, 0.97224, 1.0],
        [0.87222, 0.95275, 0.97434, 1.0],
        [0.88291, 0.95663, 0.97642, 1.0],
        [0.8935, 0.96044, 0.97844, 1.0],
        [0.90394, 0.96416, 0.9804, 1.0],
        [0.91419, 0.96776, 0.98223, 1.0],
        [0.92418, 0.97115, 0.9839, 1.0],
        [0.93383, 0.97428, 0.98533, 1.0],
        [0.94306, 0.97707, 0.98644, 1.0],
        [0.95177, 0.9794, 0.98716, 1.0],
        [0.95986, 0.98119, 0.98738, 1.0],
        [0.96725, 0.98233, 0.98702, 1.0],
        [0.97385, 0.98274, 0.98598, 1.0],
        [0.97963, 0.98236, 0.98422, 1.0],
    ],
    'cet.cyclic_wrwbw_40_90_c42': [
        [0.873, 0.83593, 0.84864, 1.0],
        [0.8777, 0.8339, 0.84071, 1.0],
        [0.88194, 0.83075, 0.832, 1.0],
        [0.88572, 0.82651, 0.82253, 1.0],
        [0.88906, 0.82126, 0.81236, 1.0],
        [0.89199, 0.81507, 0.80154, 1.0],
        [0.89451, 0.80802, 0.79013, 1.0],
        [0.89666, 0.80023, 0.77819, 1.0],
        [0.89847, 0.79178, 0.76581, 1.0],
        [0.89996, 0.78278, 0.75305, 1.0],
        [0.90116, 0.77331, 0.73999, 1.0],
        [0.9021, 0.76347, 0.72667, 1.0],
        [0.9028, 0.75332, 0.71316, 1.0],
        [0.90327, 0.74294, 0.69952, 1.0],
        [0.90355, 0.73237, 0.68579, 1.0],
        [0.90363, 0.72166, 0.67199, 1.0],
        [0.90355, 0.71085, 0.65815, 1.0],
        [0.9033, 0.69996, 0.64429, 1.0],
        [0.90289, 0.68903, 0.63046, 1.0],
        [0.90234, 0.67804, 0.61663, 1.0],
        [0.90165, 0.66702, 0.60282, 1.0],
        [0.90082, 0.65598, 0.58904, 1.0],
        [0.89986, 0.64492, 0.57531, 1.0],
        [0.89877, 0.63386, 0.56162, 1.0],
        [0.89757, 0.62278, 0.54797, 1.0],
        [0.89623, 0.61169, 0.53437, 1.0],
        [0.89478, 0.60058, 0.52081, 1.0],
        [0.8932, 0.58945, 0.5073, 1.0],
        [0.89151, 0.57831, 0.49383, 1.0],
        [0.8897, 0.56715, 0.48041, 1.0],
        [0.88777, 0.55595, 0.46704, 1.0],
        [0.88574, 0.54474, 0.4537, 1.0],
        [0.88359, 0.53349, 0.44042, 1.0],
        [0.88134, 0.52221, 0.42718, 1.0],
        [0.87897, 0.5109, 0.41398, 1.0],
        [0.87649, 0.49954, 0.40083, 1.0],
        [0.87391, 0.48816, 0.3877, 1.0],
        [0.87123, 0.4767, 0.37464, 1.0],
        [0.86845, 0.4652, 0.3616, 1.0],
        [0.86556, 0.45364, 0.34861, 1.0],
        [0.86257, 0.44202, 0.33566, 1.0],
        [0.85948, 0.43032, 0.32274, 1.0],
        [0.8563, 0.41853, 0.30985, 1.0],
        [0.85302, 0.40666, 0.29699, 1.0],
        [0.84965, 0.3947, 0.28415, 1.0],
        [0.84618, 0.38265, 0.27137, 1.0],
        [0.84264, 0.3705, 0.25865, 1.0],
        [0.83901, 0.35827, 0.24597, 1.0],
        [0.83532, 0.34594, 0.23336, 1.0],
        [0.83157, 0.33356, 0.22089, 1.0],
        [0.82777, 0.3211, 0.20848, 1.0],
        [0.82395, 0.30862, 0.19626, 1.0],
        [0.82013, 0.29614, 0.1842, 1.0],
        [0.81634, 0.28375, 0.17242, 1.0],
        [0.81259, 0.2715, 0.16099, 1.0],
        [0.80896, 0.25953, 0.14996, 1.0],
        [0.80546, 0.24792, 0.1394, 1.0],
        [0.80217, 0.23683, 0.12955, 1.0],
        [0.79914, 0.22645, 0.1204, 1.0],
        [0.7964, 0.21697, 0.11224, 1.0],
        [0.79405, 0.20862, 0.10504, 1.0],
        [0.79209, 0.20162, 0.099146, 1.0],
        [0.79061, 0.19625, 0.094653, 1.0],
        [0.78962, 0.19261, 0.091622, 1.0],
        [0.78916, 0.19089, 0.090163, 1.0],
        [0.78923, 0.19116, 0.09039, 1.0],
        [0.78984, 0.19342, 0.092261, 1.0],
        [0.79096, 0.19754, 0.095704, 1.0],
        [0.79258, 0.20339, 0.10062, 1.0],
        [0.79465, 0.21076, 0.10693, 1.0],
        [0.79711, 0.21943, 0.11431, 1.0],
        [0.79994, 0.22917, 0.12278, 1.0],
        [0.80304, 0.23975, 0.13216, 1.0],
        [0.8064, 0.251, 0.14222, 1.0],
        [0.80993, 0.26273, 0.15286, 1.0],
        [0.81359, 0.27479, 0.16406, 1.0],
        [0.81735, 0.28707, 0.17556, 1.0],
        [0.82116, 0.29951, 0.18745, 1.0],
        [0.82498, 0.31196, 0.1995, 1.0],
        [0.8288, 0.32444, 0.21181, 1.0],
        [0.83258, 0.33689, 0.2242, 1.0],
        [0.83632, 0.34927, 0.23677, 1.0],
        [0.84, 0.36157, 0.24937, 1.0],
        [0.84359, 0.37378, 0.26206, 1.0],
        [0.84712, 0.38589, 0.27479, 1.0],
        [0.85056, 0.39792, 0.28758, 1.0],
        [0.8539, 0.40986, 0.30042, 1.0],
        [0.85716, 0.42169, 0.3133, 1.0],
        [0.86032, 0.43345, 0.32618, 1.0],
        [0.86338, 0.44514, 0.33913, 1.0],
        [0.86634, 0.45674, 0.35208, 1.0],
        [0.8692, 0.46829, 0.36509, 1.0],
        [0.87196, 0.47978, 0.37813, 1.0],
        [0.87462, 0.49122, 0.39122, 1.0],
        [0.87716, 0.50259, 0.40434, 1.0],
        [0.87961, 0.51395, 0.41751, 1.0],
        [0.88195, 0.52525, 0.43072, 1.0],
        [0.88418, 0.53652, 0.44398, 1.0],
        [0.8863, 0.54775, 0.45727, 1.0],
        [0.8883, 0.55896, 0.47062, 1.0],
        [0.89019, 0.57014, 0.484, 1.0],
        [0.89197, 0.5813, 0.49745, 1.0],
        [0.89363, 0.59245, 0.51092, 1.0],
        [0.89518, 0.60356, 0.52444, 1.0],
        [0.8966, 0.61466, 0.53802, 1.0],
        [0.8979, 0.62575, 0.55163, 1.0],
        [0.89908, 0.63683, 0.56528, 1.0],
        [0.90012, 0.64788, 0.579, 1.0],
        [0.90103, 0.65892, 0.59275, 1.0],
        [0.9018, 0.66994, 0.60654, 1.0],
        [0.90242, 0.6809, 0.62037, 1.0],
        [0.90287, 0.69183, 0.63422, 1.0],
        [0.90316, 0.70268, 0.64808, 1.0],
        [0.90325, 0.71344, 0.66197, 1.0],
        [0.90314, 0.72408, 0.67583, 1.0],
        [0.9028, 0.73456, 0.68967, 1.0],
        [0.9022, 0.74481, 0.70344, 1.0],
        [0.90131, 0.7548, 0.71713, 1.0],
        [0.90011, 0.76443, 0.73066, 1.0],
        [0.89855, 0.77364, 0.74401, 1.0],
        [0.8966, 0.78234, 0.75711, 1.0],
        [0.89423, 0.79041, 0.7699, 1.0],
        [0.8914, 0.79778, 0.7823, 1.0],
        [0.88809, 0.80433, 0.79423, 1.0],
        [0.88427, 0.80997, 0.80561, 1.0],
        [0.87992, 0.81463, 0.8164, 1.0],
        [0.87505, 0.81822, 0.8265, 1.0],
        [0.86966, 0.82071, 0.83587, 1.0],
        [0.86376, 0.82205, 0.84446, 1.0],
        [0.85737, 0.82224, 0.85225, 1.0],
        [0.85052, 0.8213, 0.85923, 1.0],
        [0.84325, 0.81927, 0.8654, 1.0],
        [0.8356, 0.81621, 0.87079, 1.0],
        [0.8276, 0.81219, 0.87544, 1.0],
        [0.81931, 0.80731, 0.8794, 1.0],
        [0.81075, 0.80165, 0.88274, 1.0],
        [0.80198, 0.79534, 0.88552, 1.0],
        [0.79302, 0.78846, 0.88781, 1.0],
        [0.7839, 0.78111, 0.88969, 1.0],
        [0.77463, 0.77338, 0.89122, 1.0],
        [0.76527, 0.76536, 0.89246, 1.0],
        [0.75579, 0.75709, 0.89345, 1.0],
        [0.74622, 0.74866, 0.89427, 1.0],
        [0.73657, 0.7401, 0.89494, 1.0],
        [0.72685, 0.73145, 0.89549, 1.0],
        [0.71705, 0.72274, 0.89595, 1.0],
        [0.70717, 0.71401, 0.89635, 1.0],
        [0.69722, 0.70526, 0.89669, 1.0],
        [0.68719, 0.69651, 0.89699, 1.0],
        [0.67709, 0.68776, 0.89726, 1.0],
        [0.66689, 0.67902, 0.8975, 1.0],
        [0.65663, 0.67032, 0.89772, 1.0],
        [0.64625, 0.66163, 0.89792, 1.0],
        [0.63579, 0.65297, 0.89811, 1.0],
        [0.62522, 0.64434, 0.89828, 1.0],
        [0.61453, 0.63573, 0.89844, 1.0],
        [0.60375, 0.62715, 0.89859, 1.0],
        [0.59283, 0.6186, 0.89872, 1.0],
        [0.58178, 0.61007, 0.89884, 1.0],
        [0.57059, 0.60157, 0.89894, 1.0],
        [0.55925, 0.59311, 0.89902, 1.0],
        [0.54776, 0.58467, 0.8991, 1.0],
        [0.53609, 0.57626, 0.89915, 1.0],
        [0.52424, 0.56787, 0.8992, 1.0],
        [0.51219, 0.55952, 0.89923, 1.0],
        [0.49993, 0.5512, 0.89925, 1.0],
        [0.48745, 0.54291, 0.89925, 1.0],
        [0.47471, 0.53465, 0.89924, 1.0],
        [0.46169, 0.52643, 0.89922, 1.0],
        [0.44837, 0.51823, 0.89918, 1.0],
        [0.43473, 0.51007, 0.89913, 1.0],
        [0.42073, 0.50196, 0.89907, 1.0],
        [0.40637, 0.49389, 0.899, 1.0],
        [0.39159, 0.48588, 0.89891, 1.0],
        [0.37638, 0.47795, 0.89881, 1.0],
        [0.36067, 0.47012, 0.8987, 1.0],
        [0.34449, 0.46237, 0.89858, 1.0],
        [0.32777, 0.45477, 0.89845, 1.0],
        [0.31053, 0.44731, 0.89832, 1.0],
        [0.29269, 0.44007, 0.89817, 1.0],
        [0.27432, 0.43307, 0.89802, 1.0],
        [0.25544, 0.42636, 0.89787, 1.0],
        [0.23609, 0.42002, 0.89772, 1.0],
        [0.21638, 0.4141, 0.89757, 1.0],
        [0.19647, 0.40866, 0.89743, 1.0],
        [0.17659, 0.40379, 0.89729, 1.0],
        [0.15722, 0.39953, 0.89717, 1.0],
        [0.13894, 0.39598, 0.89707, 1.0],
        [0.1226, 0.39316, 0.89698, 1.0],
        [0.10959, 0.39116, 0.89692, 1.0],
        [0.1011, 0.38996, 0.89689, 1.0],
        [0.098617, 0.38962, 0.89687, 1.0],
        [0.10246, 0.39014, 0.89689, 1.0],
        [0.11205, 0.39152, 0.89693, 1.0],
        [0.12596, 0.39371, 0.897, 1.0],
        [0.14277, 0.39668, 0.89709, 1.0],
        [0.16137, 0.40041, 0.8972, 1.0],
        [0.18085, 0.40478, 0.89732, 1.0],
        [0.20072, 0.4098, 0.89746, 1.0],
        [0.22066, 0.41534, 0.8976, 1.0],
        [0.24027, 0.42135, 0.89775, 1.0],
        [0.25956, 0.42779, 0.89791, 1.0],
        [0.27833, 0.43456, 0.89806, 1.0],
        [0.29659, 0.44162, 0.8982, 1.0],
        [0.31428, 0.44891, 0.89835, 1.0],
        [0.33142, 0.45639, 0.89848, 1.0],
        [0.34803, 0.46404, 0.89861, 1.0],
        [0.3641, 0.4718, 0.89873, 1.0],
        [0.37969, 0.47966, 0.89883, 1.0],
        [0.39481, 0.48761, 0.89893, 1.0],
        [0.40949, 0.49562, 0.89901, 1.0],
        [0.42377, 0.5037, 0.89909, 1.0],
        [0.4377, 0.51182, 0.89914, 1.0],
        [0.45127, 0.51998, 0.89919, 1.0],
        [0.46453, 0.52819, 0.89922, 1.0],
        [0.47747, 0.53643, 0.89924, 1.0],
        [0.49016, 0.54469, 0.89925, 1.0],
        [0.50259, 0.55298, 0.89924, 1.0],
        [0.51481, 0.56131, 0.89922, 1.0],
        [0.52682, 0.56967, 0.89919, 1.0],
        [0.53863, 0.57806, 0.89914, 1.0],
        [0.55025, 0.58648, 0.89908, 1.0],
        [0.56172, 0.59493, 0.89901, 1.0],
        [0.57302, 0.60341, 0.89892, 1.0],
        [0.58417, 0.61191, 0.89881, 1.0],
        [0.59519, 0.62045, 0.89869, 1.0],
        [0.60608, 0.629, 0.89856, 1.0],
        [0.61685, 0.63759, 0.89841, 1.0],
        [0.62751, 0.6462, 0.89825, 1.0],
        [0.63805, 0.65483, 0.89807, 1.0],
        [0.6485, 0.66351, 0.89788, 1.0],
        [0.65884, 0.67219, 0.89767, 1.0],
        [0.6691, 0.6809, 0.89745, 1.0],
        [0.67927, 0.68965, 0.89721, 1.0],
        [0.68936, 0.6984, 0.89695, 1.0],
        [0.69935, 0.70719, 0.89668, 1.0],
        [0.70928, 0.71598, 0.89638, 1.0],
        [0.71911, 0.72477, 0.89605, 1.0],
        [0.72887, 0.73355, 0.89569, 1.0],
        [0.73854, 0.7423, 0.89528, 1.0],
        [0.74812, 0.75101, 0.89481, 1.0],
        [0.75759, 0.75963, 0.89427, 1.0],
        [0.76695, 0.76815, 0.89362, 1.0],
        [0.7762, 0.77652, 0.89286, 1.0],
        [0.78529, 0.78468, 0.89193, 1.0],
        [0.79422, 0.79255, 0.8908, 1.0],
        [0.80295, 0.80008, 0.88943, 1.0],
        [0.81147, 0.80717, 0.88775, 1.0],
        [0.81973, 0.81373, 0.88571, 1.0],
        [0.82771, 0.81967, 0.88323, 1.0],
        [0.83537, 0.82487, 0.88026, 1.0],
        [0.84268, 0.82926, 0.87672, 1.0],
        [0.84961, 0.83271, 0.87256, 1.0],
        [0.85612, 0.83516, 0.86771, 1.0],
        [0.8622, 0.83654, 0.86213, 1.0],
        [0.86783, 0.83681, 0.85578, 1.0],
    ],
    'cet.cyclic_wrwbw_40_90_c42_s25': [
        [0.10246, 0.39014, 0.89689, 1.0],
        [0.11205, 0.39152, 0.89693, 1.0],
        [0.12596, 0.39371, 0.897, 1.0],
        [0.14277, 0.39668, 0.89709, 1.0],
        [0.16137, 0.40041, 0.8972, 1.0],
        [0.18085, 0.40478, 0.89732, 1.0],
        [0.20072, 0.4098, 0.89746, 1.0],
        [0.22066, 0.41534, 0.8976, 1.0],
        [0.24027, 0.42135, 0.89775, 1.0],
        [0.25956, 0.42779, 0.89791, 1.0],
        [0.27833, 0.43456, 0.89806, 1.0],
        [0.29659, 0.44162, 0.8982, 1.0],
        [0.31428, 0.44891, 0.89835, 1.0],
        [0.33142, 0.45639, 0.89848, 1.0],
        [0.34803, 0.46404, 0.89861, 1.0],
        [0.3641, 0.4718, 0.89873, 1.0],
        [0.37969, 0.47966, 0.89883, 1.0],
        [0.39481, 0.48761, 0.89893, 1.0],
        [0.40949, 0.49562, 0.89901, 1.0],
        [0.42377, 0.5037, 0.89909, 1.0],
        [0.4377, 0.51182, 0.89914, 1.0],
        [0.45127, 0.51998, 0.89919, 1.0],
        [0.46453, 0.52819, 0.89922, 1.0],
        [0.47747, 0.53643, 0.89924, 1.0],
        [0.49016, 0.54469, 0.89925, 1.0],
        [0.50259, 0.55298, 0.89924, 1.0],
        [0.51481, 0.56131, 0.89922, 1.0],
        [0.52682, 0.56967, 0.89919, 1.0],
        [0.53863, 0.57806, 0.89914, 1.0],
        [0.55025, 0.58648, 0.89908, 1.0],
        [0.56172, 0.59493, 0.89901, 1.0],
        [0.57302, 0.60341, 0.89892, 1.0],
        [0.58417, 0.61191, 0.89881, 1.0],
        [0.59519, 0.62045, 0.89869, 1.0],
        [0.60608, 0.629, 0.89856, 1.0],
        [0.61685, 0.63759, 0.89841, 1.0],
        [0.62751, 0.6462, 0.89825, 1.0],
        [0.63805, 0.65483, 0.89807, 1.0],
        [0.6485, 0.66351, 0.89788, 1.0],
        [0.65884, 0.67219, 0.89767, 1.0],
        [0.6691, 0.6809, 0.89745, 1.0],
        [0.67927, 0.68965, 0.89721, 1.0],
        [0.68936, 0.6984, 0.89695, 1.0],
        [0.69935, 0.70719, 0.89668, 1.0],
        [0.70928, 0.71598, 0.89638, 1.0],
        [0.71911, 0.72477, 0.89605, 1.0],
        [0.72887, 0.73355, 0.89569, 1.0],
        [0.73854, 0.7423, 0.89528, 1.0],
        [0.74812, 0.75101, 0.89481, 1.0],
        [0.75759, 0.75963, 0.89427, 1.0],
        [0.76695, 0.76815, 0.89362, 1.0],
        [0.7762, 0.77652, 0.89286, 1.0],
        [0.78529, 0.78468, 0.89193, 1.0],
        [0.79422, 0.79255, 0.8908, 1.0],
        [0.80295, 0.80008, 0.88943, 1.0],
        [0.81147, 0.80717, 0.88775, 1.0],
        [0.81973, 0.81373, 0.88571, 1.0],
        [0.82771, 0.81967, 0.88323, 1.0],
        [0.83537, 0.82487, 0.88026, 1.0],
        [0.84268, 0.82926, 0.87672, 1.0],
        [0.84961, 0.83271, 0.87256, 1.0],
        [0.85612, 0.83516, 0.86771, 1.0],
        [0.8622, 0.83654, 0.86213, 1.0],
        [0.86783, 0.83681, 0.85578, 1.0],
        [0.873, 0.83593, 0.84864, 1.0],
        [0.8777, 0.8339, 0.84071, 1.0],
        [0.88194, 0.83075, 0.832, 1.0],
        [0.88572, 0.82651, 0.82253, 1.0],
        [0.88906, 0.82126, 0.81236, 1.0],
        [0.89199, 0.81507, 0.80154, 1.0],
        [0.89451, 0.80802, 0.79013, 1.0],
        [0.89666, 0.80023, 0.77819, 1.0],
        [0.89847, 0.79178, 0.76581, 1.0],
        [0.89996, 0.78278, 0.75305, 1.0],
        [0.90116, 0.77331, 0.73999, 1.0],
        [0.9021, 0.76347, 0.72667, 1.0],
        [0.9028, 0.75332, 0.71316, 1.0],
        [0.90327, 0.74294, 0.69952, 1.0],
        [0.90355, 0.73237, 0.68579, 1.0],
        [0.90363, 0.72166, 0.67199, 1.0],
        [0.90355, 0.71085, 0.65815, 1.0],
        [0.9033, 0.69996, 0.64429, 1.0],
        [0.90289, 0.68903, 0.63046, 1.0],
        [0.90234, 0.67804, 0.61663, 1.0],
        [0.90165, 0.66702, 0.60282, 1.0],
        [0.90082, 0.65598, 0.58904, 1.0],
        [0.89986, 0.64492, 0.57531, 1.0],
        [0.89877, 0.63386, 0.56162, 1.0],
        [0.89757, 0.62278, 0.54797, 1.0],
        [0.89623, 0.61169, 0.53437, 1.0],
        [0.89478, 0.60058, 0.52081, 1.0],
        [0.8932, 0.58945, 0.5073, 1.0],
        [0.89151, 0.57831, 0.49383, 1.0],
        [0.8897, 0.56715, 0.48041, 1.0],
        [0.88777, 0.55595, 0.46704, 1.0],
        [0.88574, 0.54474, 0.4537, 1.0],
        [0.88359, 0.53349, 0.44042, 1.0],
        [0.88134, 0.52221, 0.42718, 1.0],
        [0.87897, 0.5109, 0.41398, 1.0],
        [0.87649, 0.49954, 0.40083, 1.0],
        [0.87391, 0.48816, 0.3877, 1.0],
        [0.87123, 0.4767, 0.37464, 1.0],
        [0.86845, 0.4652, 0.3616, 1.0],
        [0.86556, 0.45364, 0.34861, 1.0],
        [0.86257, 0.44202, 0.33566, 1.0],
        [0.85948, 0.43032, 0.32274, 1.0],
        [0.8563, 0.41853, 0.30985, 1.0],
        [0.85302, 0.40666, 0.29699, 1.0],
        [0.84965, 0.3947, 0.28415, 1.0],
        [0.84618, 0.38265, 0.27137, 1.0],
        [0.84264, 0.3705, 0.25865, 1.0],
        [0.83901, 0.35827, 0.24597, 1.0],
        [0.83532, 0.34594, 0.23336, 1.0],
        [0.83157, 0.33356, 0.22089, 1.0],
        [0.82777, 0.3211, 0.20848, 1.0],
        [0.82395, 0.30862, 0.19626, 1.0],
        [0.82013, 0.29614, 0.1842, 1.0],
        [0.81634, 0.28375, 0.17242, 1.0],
        [0.81259, 0.2715, 0.16099, 1.0],
        [0.80896, 0.25953, 0.14996, 1.0],
        [0.80546, 0.24792, 0.1394, 1.0],
        [0.80217, 0.23683, 0.12955, 1.0],
        [0.79914, 0.22645, 0.1204, 1.0],
        [0.7964, 0.21697, 0.11224, 1.0],
        [0.79405, 0.20862, 0.10504, 1.0],
        [0.79209, 0.20162, 0.099146, 1.0],
        [0.79061, 0.19625, 0.094653, 1.0],
        [0.78962, 0.19261, 0.091622, 1.0],
        [0.78916, 0.19089, 0.090163, 1.0],
        [0.78923, 0.19116, 0.09039, 1.0],
        [0.78984, 0.19342, 0.092261, 1.0],
        [0.79096, 0.19754, 0.095704, 1.0],
        [0.79258, 0.20339, 0.10062, 1.0],
        [0.79465, 0.21076, 0.10693, 1.0],
        [0.79711, 0.21943, 0.11431, 1.0],
        [0.79994, 0.22917, 0.12278, 1.0],
        [0.80304, 0.23975, 0.13216, 1.0],
        [0.8064, 0.251, 0.14222, 1.0],
        [0.80993, 0.26273, 0.15286, 1.0],
        [0.81359, 0.27479, 0.16406, 1.0],
        [0.81735, 0.28707, 0.17556, 1.0],
        [0.82116, 0.29951, 0.18745, 1.0],
        [0.82498, 0.31196, 0.1995, 1.0],
        [0.8288, 0.32444, 0.21181, 1.0],
        [0.83258, 0.33689, 0.2242, 1.0],
        [0.83632, 0.34927, 0.23677, 1.0],
        [0.84, 0.36157, 0.24937, 1.0],
        [0.84359, 0.37378, 0.26206, 1.0],
        [0.84712, 0.38589, 0.27479, 1.0],
        [0.85056, 0.39792, 0.28758, 1.0],
        [0.8539, 0.40986, 0.30042, 1.0],
        [0.85716, 0.42169, 0.3133, 1.0],
        [0.86032, 0.43345, 0.32618, 1.0],
        [0.86338, 0.44514, 0.33913, 1.0],
        [0.86634, 0.45674, 0.35208, 1.0],
        [0.8692, 0.46829, 0.36509, 1.0],
        [0.87196, 0.47978, 0.37813, 1.0],
        [0.87462, 0.49122, 0.39122, 1.0],
        [0.87716, 0.50259, 0.40434, 1.0],
        [0.87961, 0.51395, 0.41751, 1.0],
        [0.88195, 0.52525, 0.43072, 1.0],
        [0.88418, 0.53652, 0.44398, 1.0],
        [0.8863, 0.54775, 0.45727, 1.0],
        [0.8883, 0.55896, 0.47062, 1.0],
        [0.89019, 0.57014, 0.484, 1.0],
        [0.89197, 0.5813, 0.49745, 1.0],
        [0.89363, 0.59245, 0.51092, 1.0],
        [0.89518, 0.60356, 0.52444, 1.0],
        [0.8966, 0.61466, 0.53802, 1.0],
        [0.8979, 0.62575, 0.55163, 1.0],
        [0.89908, 0.63683, 0.56528, 1.0],
        [0.90012, 0.64788, 0.579, 1.0],
        [0.90103, 0.65892, 0.59275, 1.0],
        [0.9018, 0.66994, 0.60654, 1.0],
        [0.90242, 0.6809, 0.62037, 1.0],
        [0.90287, 0.69183, 0.63422, 1.0],
        [0.90316, 0.70268, 0.64808, 1.0],
        [0.90325, 0.71344, 0.66197, 1.0],
        [0.90314, 0.72408, 0.67583, 1.0],
        [0.9028, 0.73456, 0.68967, 1.0],
        [0.9022, 0.74481, 0.70344, 1.0],
        [0.90131, 0.7548, 0.71713, 1.0],
        [0.90011, 0.76443, 0.73066, 1.0],
        [0.89855, 0.77364, 0.74401, 1.0],
        [0.8966, 0.78234, 0.75711, 1.0],
        [0.89423, 0.79041, 0.7699, 1.0],
        [0.8914, 0.79778, 0.7823, 1.0],
        [0.88809, 0.80433, 0.79423, 1.0],
        [0.88427, 0.80997, 0.80561, 1.0],
        [0.87992, 0.81463, 0.8164, 1.0],
        [0.87505, 0.81822, 0.8265, 1.0],
        [0.86966, 0.82071, 0.83587, 1.0],
        [0.86376, 0.82205, 0.84446, 1.0],
        [0.85737, 0.82224, 0.85225, 1.0],
        [0.85052, 0.8213, 0.85923, 1.0],
        [0.84325, 0.81927, 0.8654, 1.0],
        [0.8356, 0.81621, 0.87079, 1.0],
        [0.8276, 0.81219, 0.87544, 1.0],
        [0.81931, 0.80731, 0.8794, 1.0],
        [0.81075, 0.80165, 0.88274, 1.0],
        [0.80198, 0.79534, 0.88552, 1.0],
        [0.79302, 0.78846, 0.88781, 1.0],
        [0.7839, 0.78111, 0.88969, 1.0],
        [0.77463, 0.77338, 0.89122, 1.0],
        [0.76527, 0.76536, 0.89246, 1.0],
        [0.75579, 0.75709, 0.89345, 1.0],
        [0.74622, 0.74866, 0.89427, 1.0],
        [0.73657, 0.7401, 0.89494, 1.0],
        [0.72685, 0.73145, 0.89549, 1.0],
        [0.71705, 0.72274, 0.89595, 1.0],
        [0.70717, 0.71401, 0.89635, 1.0],
        [0.69722, 0.70526, 0.89669, 1.0],
        [0.68719, 0.69651, 0.89699, 1.0],
        [0.67709, 0.68776, 0.89726, 1.0],
        [0.66689, 0.67902, 0.8975, 1.0],
        [0.65663, 0.67032, 0.89772, 1.0],
        [0.64625, 0.66163, 0.89792, 1.0],
        [0.63579, 0.65297, 0.89811, 1.0],
        [0.62522, 0.64434, 0.89828, 1.0],
        [0.61453, 0.63573, 0.89844, 1.0],
        [0.60375, 0.62715, 0.89859, 1.0],
        [0.59283, 0.6186, 0.89872, 1.0],
        [0.58178, 0.61007, 0.89884, 1.0],
        [0.57059, 0.60157, 0.89894, 1.0],
        [0.55925, 0.59311, 0.89902, 1.0],
        [0.54776, 0.58467, 0.8991, 1.0],
        [0.53609, 0.57626, 0.89915, 1.0],
        [0.52424, 0.56787, 0.8992, 1.0],
        [0.51219, 0.55952, 0.89923, 1.0],
        [0.49993, 0.5512, 0.89925, 1.0],
        [0.48745, 0.54291, 0.89925, 1.0],
        [0.47471, 0.53465, 0.89924, 1.0],
        [0.46169, 0.52643, 0.89922, 1.0],
        [0.44837, 0.51823, 0.89918, 1.0],
        [0.43473, 0.51007, 0.89913, 1.0],
        [0.42073, 0.50196, 0.89907, 1.0],
        [0.40637, 0.49389, 0.899, 1.0],
        [0.39159, 0.48588, 0.89891, 1.0],
        [0.37638, 0.47795, 0.89881, 1.0],
        [0.36067, 0.47012, 0.8987, 1.0],
        [0.34449, 0.46237, 0.89858, 1.0],
        [0.32777, 0.45477, 0.89845, 1.0],
        [0.31053, 0.44731, 0.89832, 1.0],
        [0.29269, 0.44007, 0.89817, 1.0],
        [0.27432, 0.43307, 0.89802, 1.0],
        [0.25544, 0.42636, 0.89787, 1.0],
        [0.23609, 0.42002, 0.89772, 1.0],
        [0.21638, 0.4141, 0.89757, 1.0],
        [0.19647, 0.40866, 0.89743, 1.0],
        [0.17659, 0.40379, 0.89729, 1.0],
        [0.15722, 0.39953, 0.89717, 1.0],
        [0.13894, 0.39598, 0.89707, 1.0],
        [0.1226, 0.39316, 0.89698, 1.0],
        [0.10959, 0.39116, 0.89692, 1.0],
        [0.1011, 0.38996, 0.89689, 1.0],
        [0.098617, 0.38962, 0.89687, 1.0],
    ],
    'cet.diverging_bkr_55_10_c35': [
        [0.097481, 0.50736, 0.98205, 1.0],
        [0.1033, 0.50389, 0.97428, 1.0],
        [0.10863, 0.50041, 0.96653, 1.0],
        [0.11369, 0.49694, 0.9588, 1.0],
        [0.11841, 0.49348, 0.95107, 1.0],
        [0.12275, 0.49002, 0.94336, 1.0],
        [0.12692, 0.48657, 0.93566, 1.0],
        [0.13089, 0.48312, 0.92796, 1.0],
        [0.1346, 0.47968, 0.92028, 1.0],
        [0.13811, 0.47624, 0.91262, 1.0],
        [0.14143, 0.4728, 0.90497, 1.0],
        [0.14458, 0.46938, 0.89732, 1.0],
        [0.14758, 0.46594, 0.88969, 1.0],
        [0.15043, 0.46252, 0.88207, 1.0],
        [0.15312, 0.45912, 0.87446, 1.0],
        [0.15574, 0.4557, 0.86687, 1.0],
        [0.1582, 0.4523, 0.85929, 1.0],
        [0.16051, 0.4489, 0.85172, 1.0],
        [0.16277, 0.44549, 0.84416, 1.0],
        [0.16488, 0.44211, 0.83662, 1.0],
        [0.16693, 0.43871, 0.82909, 1.0],
        [0.16886, 0.43534, 0.82157, 1.0],
        [0.17068, 0.43197, 0.81406, 1.0],
        [0.17242, 0.42859, 0.80657, 1.0],
        [0.17409, 0.42522, 0.79909, 1.0],
        [0.17566, 0.42185, 0.79162, 1.0],
        [0.17718, 0.41849, 0.78417, 1.0],
        [0.17862, 0.41515, 0.77672, 1.0],
        [0.17995, 0.4118, 0.76929, 1.0],
        [0.18122, 0.40846, 0.76187, 1.0],
        [0.18243, 0.40512, 0.75448, 1.0],
        [0.18359, 0.40179, 0.74709, 1.0],
        [0.18468, 0.39847, 0.73972, 1.0],
        [0.18572, 0.39515, 0.73235, 1.0],
        [0.18665, 0.39183, 0.725, 1.0],
        [0.18758, 0.38852, 0.71767, 1.0],
        [0.18841, 0.38521, 0.71034, 1.0],
        [0.18918, 0.38191, 0.70304, 1.0],
        [0.1899, 0.37862, 0.69574, 1.0],
        [0.19058, 0.37533, 0.68847, 1.0],
        [0.1912, 0.37204, 0.68119, 1.0],
        [0.19177, 0.36878, 0.67395, 1.0],
        [0.1923, 0.3655, 0.6667, 1.0],
        [0.19277, 0.36224, 0.65948, 1.0],
        [0.1932, 0.35896, 0.65228, 1.0],
        [0.19358, 0.35572, 0.64508, 1.0],
        [0.19393, 0.35246, 0.6379, 1.0],
        [0.19422, 0.34922, 0.63074, 1.0],
        [0.19446, 0.34597, 0.62359, 1.0],
        [0.19466, 0.34276, 0.61645, 1.0],
        [0.19481, 0.33953, 0.60933, 1.0],
        [0.19492, 0.33629, 0.60222, 1.0],
        [0.19499, 0.33309, 0.59513, 1.0],
        [0.19502, 0.32988, 0.58805, 1.0],
        [0.19502, 0.32665, 0.58099, 1.0],
        [0.19497, 0.32346, 0.57394, 1.0],
        [0.19489, 0.32028, 0.56692, 1.0],
        [0.19477, 0.31708, 0.55991, 1.0],
        [0.19462, 0.31391, 0.5529, 1.0],
        [0.19442, 0.31074, 0.54593, 1.0],
        [0.19419, 0.30755, 0.53895, 1.0],
        [0.19391, 0.30439, 0.532, 1.0],
        [0.1936, 0.30123, 0.52507, 1.0],
        [0.19325, 0.29808, 0.51815, 1.0],
        [0.19288, 0.29493, 0.51124, 1.0],
        [0.19247, 0.29181, 0.50436, 1.0],
        [0.19202, 0.28867, 0.49749, 1.0],
        [0.19154, 0.28553, 0.49064, 1.0],
        [0.19103, 0.28244, 0.48379, 1.0],
        [0.19049, 0.27932, 0.47697, 1.0],
        [0.18992, 0.27622, 0.47017, 1.0],
        [0.18932, 0.27311, 0.46338, 1.0],
        [0.18869, 0.27002, 0.45661, 1.0],
        [0.18804, 0.26691, 0.44986, 1.0],
        [0.18733, 0.26385, 0.44313, 1.0],
        [0.18658, 0.26076, 0.43641, 1.0],
        [0.18585, 0.25769, 0.42971, 1.0],
        [0.18505, 0.25465, 0.42302, 1.0],
        [0.18421, 0.25159, 0.41637, 1.0],
        [0.18335, 0.24855, 0.40972, 1.0],
        [0.18247, 0.24548, 0.40309, 1.0],
        [0.18156, 0.24245, 0.39648, 1.0],
        [0.18062, 0.23944, 0.38989, 1.0],
        [0.17967, 0.23642, 0.38333, 1.0],
        [0.17869, 0.23338, 0.37678, 1.0],
        [0.17768, 0.23038, 0.37023, 1.0],
        [0.17659, 0.2274, 0.36372, 1.0],
        [0.17551, 0.22438, 0.35724, 1.0],
        [0.17442, 0.22142, 0.35076, 1.0],
        [0.17327, 0.21845, 0.34429, 1.0],
        [0.17211, 0.21547, 0.33785, 1.0],
        [0.17093, 0.21251, 0.33143, 1.0],
        [0.16973, 0.20955, 0.32503, 1.0],
        [0.16847, 0.20663, 0.31867, 1.0],
        [0.16721, 0.20368, 0.3123, 1.0],
        [0.16588, 0.20071, 0.30599, 1.0],
        [0.16458, 0.1978, 0.29967, 1.0],
        [0.16324, 0.1949, 0.29336, 1.0],
        [0.16187, 0.19198, 0.28708, 1.0],
        [0.16042, 0.18908, 0.28083, 1.0],
        [0.15902, 0.1862, 0.27461, 1.0],
        [0.15755, 0.18329, 0.26841, 1.0],
        [0.1561, 0.18041, 0.26222, 1.0],
        [0.15456, 0.17758, 0.25605, 1.0],
        [0.15302, 0.17471, 0.2499, 1.0],
        [0.15147, 0.17184, 0.24379, 1.0],
        [0.14991, 0.16902, 0.23772, 1.0],
        [0.14827, 0.16616, 0.23164, 1.0],
        [0.14665, 0.16336, 0.22559, 1.0],
        [0.14505, 0.16051, 0.21957, 1.0],
        [0.14339, 0.15773, 0.21357, 1.0],
        [0.14175, 0.15496, 0.20763, 1.0],
        [0.14009, 0.1522, 0.20171, 1.0],
        [0.13851, 0.14952, 0.19588, 1.0],
        [0.13692, 0.1468, 0.19008, 1.0],
        [0.13541, 0.14419, 0.18437, 1.0],
        [0.134, 0.14163, 0.17876, 1.0],
        [0.13268, 0.1391, 0.17324, 1.0],
        [0.1315, 0.1367, 0.16787, 1.0],
        [0.13053, 0.13444, 0.16268, 1.0],
        [0.12973, 0.13226, 0.15764, 1.0],
        [0.12916, 0.13028, 0.15284, 1.0],
        [0.12891, 0.12842, 0.1483, 1.0],
        [0.12899, 0.12676, 0.14407, 1.0],
        [0.12945, 0.12536, 0.14011, 1.0],
        [0.13031, 0.12415, 0.13652, 1.0],
        [0.13151, 0.12321, 0.13332, 1.0],
        [0.13315, 0.12253, 0.13051, 1.0],
        [0.13523, 0.12211, 0.12804, 1.0],
        [0.13775, 0.12196, 0.126, 1.0],
        [0.14065, 0.12206, 0.12429, 1.0],
        [0.14394, 0.12241, 0.12299, 1.0],
        [0.14762, 0.12299, 0.12205, 1.0],
        [0.15161, 0.12379, 0.12145, 1.0],
        [0.15595, 0.12478, 0.12115, 1.0],
        [0.1605, 0.12596, 0.12111, 1.0],
        [0.16531, 0.1272, 0.12131, 1.0],
        [0.17036, 0.12863, 0.12171, 1.0],
        [0.17553, 0.13018, 0.12228, 1.0],
        [0.18085, 0.13174, 0.12299, 1.0],
        [0.1863, 0.13339, 0.12382, 1.0],
        [0.1918, 0.1351, 0.12474, 1.0],
        [0.19738, 0.13681, 0.12575, 1.0],
        [0.20301, 0.13858, 0.12675, 1.0],
        [0.20867, 0.14035, 0.12784, 1.0],
        [0.21437, 0.14214, 0.12891, 1.0],
        [0.2201, 0.14394, 0.13008, 1.0],
        [0.22584, 0.14575, 0.13119, 1.0],
        [0.23158, 0.14753, 0.13232, 1.0],
        [0.23735, 0.14933, 0.13347, 1.0],
        [0.24308, 0.15109, 0.13464, 1.0],
        [0.24887, 0.15287, 0.13574, 1.0],
        [0.25465, 0.15465, 0.13692, 1.0],
        [0.26041, 0.15645, 0.1381, 1.0],
        [0.26621, 0.15821, 0.1392, 1.0],
        [0.27198, 0.15993, 0.14038, 1.0],
        [0.27781, 0.16174, 0.14154, 1.0],
        [0.28361, 0.16349, 0.14269, 1.0],
        [0.28944, 0.16518, 0.14384, 1.0],
        [0.29526, 0.16697, 0.14501, 1.0],
        [0.30109, 0.16869, 0.14614, 1.0],
        [0.30695, 0.17041, 0.1473, 1.0],
        [0.3128, 0.17212, 0.14842, 1.0],
        [0.31867, 0.17385, 0.14962, 1.0],
        [0.32454, 0.17555, 0.15074, 1.0],
        [0.33043, 0.17728, 0.15189, 1.0],
        [0.33632, 0.17898, 0.15304, 1.0],
        [0.34224, 0.18066, 0.1542, 1.0],
        [0.34815, 0.18235, 0.15536, 1.0],
        [0.35407, 0.18405, 0.15654, 1.0],
        [0.36001, 0.18576, 0.15766, 1.0],
        [0.36596, 0.18743, 0.15884, 1.0],
        [0.3719, 0.18909, 0.15995, 1.0],
        [0.37787, 0.19075, 0.16115, 1.0],
        [0.38385, 0.19241, 0.16231, 1.0],
        [0.38983, 0.1941, 0.16346, 1.0],
        [0.39584, 0.19573, 0.1646, 1.0],
        [0.40184, 0.19738, 0.16573, 1.0],
        [0.40786, 0.19901, 0.16693, 1.0],
        [0.41389, 0.20064, 0.16806, 1.0],
        [0.41994, 0.20228, 0.16925, 1.0],
        [0.42598, 0.20394, 0.17038, 1.0],
        [0.43206, 0.20555, 0.17153, 1.0],
        [0.43813, 0.20718, 0.17269, 1.0],
        [0.44421, 0.20879, 0.17385, 1.0],
        [0.4503, 0.2104, 0.17502, 1.0],
        [0.4564, 0.21202, 0.17614, 1.0],
        [0.46251, 0.21361, 0.17734, 1.0],
        [0.46864, 0.2152, 0.1785, 1.0],
        [0.47479, 0.21681, 0.17964, 1.0],
        [0.48092, 0.21839, 0.18078, 1.0],
        [0.48709, 0.21998, 0.18194, 1.0],
        [0.49325, 0.22155, 0.1831, 1.0],
        [0.49943, 0.22314, 0.18427, 1.0],
        [0.50562, 0.22468, 0.18546, 1.0],
        [0.51182, 0.22628, 0.18659, 1.0],
        [0.51804, 0.22784, 0.18779, 1.0],
        [0.52426, 0.22938, 0.18892, 1.0],
        [0.53049, 0.23094, 0.19008, 1.0],
        [0.53674, 0.23249, 0.19123, 1.0],
        [0.54299, 0.23403, 0.1924, 1.0],
        [0.54925, 0.23559, 0.19357, 1.0],
        [0.55552, 0.23713, 0.19474, 1.0],
        [0.56181, 0.23863, 0.19589, 1.0],
        [0.5681, 0.24016, 0.19706, 1.0],
        [0.57441, 0.2417, 0.1982, 1.0],
        [0.58073, 0.2432, 0.19936, 1.0],
        [0.58705, 0.24472, 0.20052, 1.0],
        [0.59339, 0.24623, 0.20169, 1.0],
        [0.59974, 0.24776, 0.20286, 1.0],
        [0.60609, 0.24925, 0.20405, 1.0],
        [0.61246, 0.25075, 0.20519, 1.0],
        [0.61885, 0.25225, 0.20639, 1.0],
        [0.62523, 0.25374, 0.20753, 1.0],
        [0.63163, 0.25524, 0.20869, 1.0],
        [0.63803, 0.25671, 0.20986, 1.0],
        [0.64445, 0.25817, 0.21103, 1.0],
        [0.65088, 0.25967, 0.21221, 1.0],
        [0.65732, 0.26113, 0.21335, 1.0],
        [0.66377, 0.2626, 0.21453, 1.0],
        [0.67023, 0.26407, 0.21571, 1.0],
        [0.6767, 0.26552, 0.21688, 1.0],
        [0.68317, 0.26696, 0.21804, 1.0],
        [0.68966, 0.26842, 0.21921, 1.0],
        [0.69616, 0.26988, 0.22039, 1.0],
        [0.70267, 0.27131, 0.22154, 1.0],
        [0.70919, 0.27274, 0.22272, 1.0],
        [0.71571, 0.27418, 0.22387, 1.0],
        [0.72224, 0.27563, 0.22504, 1.0],
        [0.72879, 0.27705, 0.22624, 1.0],
        [0.73535, 0.27847, 0.2274, 1.0],
        [0.74191, 0.27988, 0.22858, 1.0],
        [0.74849, 0.28129, 0.22972, 1.0],
        [0.75508, 0.28272, 0.23091, 1.0],
        [0.76167, 0.28411, 0.23209, 1.0],
        [0.76827, 0.28551, 0.23324, 1.0],
        [0.77488, 0.28691, 0.23444, 1.0],
        [0.78151, 0.28831, 0.23561, 1.0],
        [0.78814, 0.28971, 0.23679, 1.0],
        [0.79478, 0.2911, 0.23795, 1.0],
        [0.80143, 0.29248, 0.23912, 1.0],
        [0.80809, 0.29385, 0.24028, 1.0],
        [0.81476, 0.29523, 0.24148, 1.0],
        [0.82144, 0.29662, 0.24264, 1.0],
        [0.82812, 0.29797, 0.24381, 1.0],
        [0.83482, 0.29935, 0.24499, 1.0],
        [0.84153, 0.3007, 0.24617, 1.0],
        [0.84824, 0.30205, 0.24736, 1.0],
        [0.85497, 0.30341, 0.24855, 1.0],
        [0.8617, 0.30477, 0.2497, 1.0],
        [0.86845, 0.30613, 0.25089, 1.0],
        [0.8752, 0.30745, 0.25208, 1.0],
        [0.88196, 0.30881, 0.25325, 1.0],
        [0.88873, 0.31015, 0.25444, 1.0],
        [0.8955, 0.31147, 0.25561, 1.0],
        [0.90229, 0.31279, 0.25679, 1.0],
    ],
    'cet.diverging_bky_60_10_c30': [
        [0.056674, 0.57959, 0.98121, 1.0],
        [0.066107, 0.57547, 0.97345, 1.0],
        [0.074463, 0.57135, 0.9657, 1.0],
        [0.081994, 0.56724, 0.95796, 1.0],
        [0.088742, 0.56314, 0.95024, 1.0],
        [0.09499, 0.55904, 0.94252, 1.0],
        [0.10067, 0.55495, 0.93482, 1.0],
        [0.10603, 0.55086, 0.92713, 1.0],
        [0.11098, 0.54678, 0.91945, 1.0],
        [0.1156, 0.54271, 0.91178, 1.0],
        [0.11993, 0.53864, 0.90413, 1.0],
        [0.12401, 0.53457, 0.89649, 1.0],
        [0.1279, 0.53052, 0.88886, 1.0],
        [0.13155, 0.52647, 0.88124, 1.0],
        [0.135, 0.52241, 0.87363, 1.0],
        [0.13827, 0.51838, 0.86604, 1.0],
        [0.14137, 0.51435, 0.85845, 1.0],
        [0.1443, 0.51031, 0.85088, 1.0],
        [0.14707, 0.50628, 0.84333, 1.0],
        [0.14975, 0.50227, 0.83578, 1.0],
        [0.15224, 0.49827, 0.82825, 1.0],
        [0.15465, 0.49426, 0.82073, 1.0],
        [0.15694, 0.49026, 0.81323, 1.0],
        [0.15911, 0.48626, 0.80573, 1.0],
        [0.1612, 0.48228, 0.79826, 1.0],
        [0.16316, 0.4783, 0.79079, 1.0],
        [0.16499, 0.47433, 0.78334, 1.0],
        [0.1668, 0.47036, 0.77589, 1.0],
        [0.16848, 0.46639, 0.76846, 1.0],
        [0.17009, 0.46243, 0.76105, 1.0],
        [0.1716, 0.45849, 0.75365, 1.0],
        [0.17304, 0.45455, 0.74626, 1.0],
        [0.17442, 0.45061, 0.73889, 1.0],
        [0.17569, 0.44668, 0.73153, 1.0],
        [0.17693, 0.44275, 0.72418, 1.0],
        [0.17811, 0.43883, 0.71685, 1.0],
        [0.17917, 0.43493, 0.70953, 1.0],
        [0.18019, 0.43102, 0.70222, 1.0],
        [0.18114, 0.42712, 0.69493, 1.0],
        [0.18204, 0.42322, 0.68765, 1.0],
        [0.18288, 0.41934, 0.68038, 1.0],
        [0.18367, 0.41546, 0.67314, 1.0],
        [0.1844, 0.41158, 0.6659, 1.0],
        [0.18509, 0.40772, 0.65868, 1.0],
        [0.18571, 0.40387, 0.65148, 1.0],
        [0.18626, 0.40001, 0.64428, 1.0],
        [0.18676, 0.39617, 0.6371, 1.0],
        [0.18724, 0.39232, 0.62994, 1.0],
        [0.18767, 0.3885, 0.62279, 1.0],
        [0.18804, 0.38466, 0.61565, 1.0],
        [0.18835, 0.38086, 0.60854, 1.0],
        [0.18861, 0.37705, 0.60143, 1.0],
        [0.18884, 0.37323, 0.59434, 1.0],
        [0.18902, 0.36944, 0.58727, 1.0],
        [0.18916, 0.36565, 0.58021, 1.0],
        [0.18925, 0.36187, 0.57317, 1.0],
        [0.18931, 0.3581, 0.56614, 1.0],
        [0.18932, 0.35433, 0.55913, 1.0],
        [0.18929, 0.35058, 0.55214, 1.0],
        [0.18923, 0.34682, 0.54515, 1.0],
        [0.18912, 0.34307, 0.53819, 1.0],
        [0.18898, 0.33934, 0.53124, 1.0],
        [0.1888, 0.3356, 0.52431, 1.0],
        [0.18859, 0.33187, 0.51739, 1.0],
        [0.18833, 0.32815, 0.51049, 1.0],
        [0.18805, 0.32444, 0.5036, 1.0],
        [0.18772, 0.32075, 0.49673, 1.0],
        [0.18734, 0.31705, 0.48988, 1.0],
        [0.18692, 0.31337, 0.48305, 1.0],
        [0.18649, 0.3097, 0.47624, 1.0],
        [0.18603, 0.30603, 0.46945, 1.0],
        [0.18554, 0.30234, 0.46265, 1.0],
        [0.18499, 0.2987, 0.45589, 1.0],
        [0.1844, 0.29505, 0.44915, 1.0],
        [0.18379, 0.29142, 0.44242, 1.0],
        [0.18315, 0.28778, 0.43571, 1.0],
        [0.18248, 0.28416, 0.429, 1.0],
        [0.18178, 0.28053, 0.42232, 1.0],
        [0.18105, 0.27695, 0.41567, 1.0],
        [0.18029, 0.27335, 0.40903, 1.0],
        [0.1795, 0.26977, 0.4024, 1.0],
        [0.1787, 0.26618, 0.39581, 1.0],
        [0.17786, 0.26261, 0.38922, 1.0],
        [0.17694, 0.25905, 0.38265, 1.0],
        [0.176, 0.25549, 0.37611, 1.0],
        [0.17509, 0.25195, 0.36958, 1.0],
        [0.17411, 0.24842, 0.36307, 1.0],
        [0.1731, 0.24486, 0.35659, 1.0],
        [0.17207, 0.24136, 0.35012, 1.0],
        [0.17101, 0.23785, 0.34366, 1.0],
        [0.16994, 0.23435, 0.33724, 1.0],
        [0.16882, 0.23085, 0.33082, 1.0],
        [0.16766, 0.22737, 0.32443, 1.0],
        [0.16649, 0.22389, 0.31807, 1.0],
        [0.16526, 0.22045, 0.31171, 1.0],
        [0.16408, 0.21698, 0.3054, 1.0],
        [0.16281, 0.21352, 0.29909, 1.0],
        [0.16154, 0.21009, 0.2928, 1.0],
        [0.16017, 0.20669, 0.28653, 1.0],
        [0.15887, 0.20325, 0.28029, 1.0],
        [0.15748, 0.19982, 0.27408, 1.0],
        [0.15612, 0.19646, 0.26786, 1.0],
        [0.15467, 0.19306, 0.26171, 1.0],
        [0.15321, 0.18968, 0.25556, 1.0],
        [0.15174, 0.18632, 0.24942, 1.0],
        [0.15026, 0.18294, 0.2433, 1.0],
        [0.14871, 0.17961, 0.23725, 1.0],
        [0.14718, 0.17625, 0.23118, 1.0],
        [0.14564, 0.17295, 0.22512, 1.0],
        [0.14403, 0.16968, 0.21913, 1.0],
        [0.14243, 0.16638, 0.21314, 1.0],
        [0.14084, 0.16314, 0.20723, 1.0],
        [0.13919, 0.15988, 0.2013, 1.0],
        [0.13765, 0.15674, 0.19547, 1.0],
        [0.13602, 0.15358, 0.18968, 1.0],
        [0.13455, 0.15054, 0.18396, 1.0],
        [0.13306, 0.14756, 0.17836, 1.0],
        [0.13167, 0.14469, 0.1728, 1.0],
        [0.13042, 0.14192, 0.16741, 1.0],
        [0.12922, 0.13927, 0.16217, 1.0],
        [0.12825, 0.13686, 0.15706, 1.0],
        [0.12743, 0.13466, 0.15217, 1.0],
        [0.12685, 0.13265, 0.14756, 1.0],
        [0.12655, 0.13093, 0.14317, 1.0],
        [0.12652, 0.12946, 0.13905, 1.0],
        [0.12678, 0.12834, 0.1353, 1.0],
        [0.12737, 0.12752, 0.13186, 1.0],
        [0.12833, 0.12704, 0.12874, 1.0],
        [0.12961, 0.12694, 0.12604, 1.0],
        [0.13123, 0.12718, 0.12362, 1.0],
        [0.13318, 0.1278, 0.12159, 1.0],
        [0.13545, 0.1287, 0.11992, 1.0],
        [0.13807, 0.12997, 0.11861, 1.0],
        [0.14093, 0.13147, 0.11751, 1.0],
        [0.14404, 0.13325, 0.11674, 1.0],
        [0.14739, 0.13526, 0.11622, 1.0],
        [0.15092, 0.1375, 0.11588, 1.0],
        [0.15463, 0.13984, 0.11572, 1.0],
        [0.15851, 0.14242, 0.11571, 1.0],
        [0.16247, 0.14511, 0.11584, 1.0],
        [0.16652, 0.14785, 0.11606, 1.0],
        [0.17065, 0.15069, 0.11635, 1.0],
        [0.17485, 0.15359, 0.11668, 1.0],
        [0.17908, 0.15658, 0.11705, 1.0],
        [0.18333, 0.15955, 0.11747, 1.0],
        [0.18766, 0.16261, 0.11793, 1.0],
        [0.19194, 0.16563, 0.11839, 1.0],
        [0.19628, 0.16874, 0.11884, 1.0],
        [0.20058, 0.17182, 0.11927, 1.0],
        [0.20495, 0.17495, 0.11971, 1.0],
        [0.2093, 0.17808, 0.12015, 1.0],
        [0.21365, 0.18116, 0.12058, 1.0],
        [0.21802, 0.18431, 0.12101, 1.0],
        [0.22237, 0.18748, 0.12142, 1.0],
        [0.22675, 0.19061, 0.12183, 1.0],
        [0.23112, 0.19379, 0.12224, 1.0],
        [0.23551, 0.19696, 0.12264, 1.0],
        [0.23987, 0.20011, 0.12303, 1.0],
        [0.24425, 0.20332, 0.12341, 1.0],
        [0.24867, 0.20654, 0.12378, 1.0],
        [0.25306, 0.20972, 0.12415, 1.0],
        [0.25746, 0.21292, 0.12451, 1.0],
        [0.26188, 0.21617, 0.12486, 1.0],
        [0.2663, 0.21939, 0.12521, 1.0],
        [0.27074, 0.22263, 0.12555, 1.0],
        [0.27516, 0.22588, 0.12587, 1.0],
        [0.2796, 0.22912, 0.12618, 1.0],
        [0.28403, 0.23239, 0.12646, 1.0],
        [0.28849, 0.23566, 0.12673, 1.0],
        [0.29294, 0.23892, 0.12701, 1.0],
        [0.29741, 0.24221, 0.12728, 1.0],
        [0.30187, 0.24549, 0.12756, 1.0],
        [0.30637, 0.24881, 0.12782, 1.0],
        [0.31086, 0.25212, 0.12807, 1.0],
        [0.31534, 0.25543, 0.1283, 1.0],
        [0.31985, 0.25875, 0.12852, 1.0],
        [0.32434, 0.26208, 0.12872, 1.0],
        [0.32887, 0.26541, 0.12892, 1.0],
        [0.33339, 0.26877, 0.12911, 1.0],
        [0.3379, 0.27209, 0.12931, 1.0],
        [0.34245, 0.27548, 0.12949, 1.0],
        [0.34699, 0.27884, 0.12967, 1.0],
        [0.35153, 0.28221, 0.12983, 1.0],
        [0.35609, 0.28557, 0.12998, 1.0],
        [0.36064, 0.28897, 0.13012, 1.0],
        [0.36522, 0.29236, 0.13024, 1.0],
        [0.36979, 0.29575, 0.13035, 1.0],
        [0.37439, 0.29917, 0.13045, 1.0],
        [0.37897, 0.30257, 0.13053, 1.0],
        [0.38358, 0.30601, 0.13061, 1.0],
        [0.38818, 0.30944, 0.13067, 1.0],
        [0.39279, 0.31285, 0.13073, 1.0],
        [0.39741, 0.31631, 0.13077, 1.0],
        [0.40203, 0.31975, 0.1308, 1.0],
        [0.40668, 0.3232, 0.13082, 1.0],
        [0.41131, 0.32665, 0.13083, 1.0],
        [0.41596, 0.33013, 0.13082, 1.0],
        [0.42062, 0.3336, 0.13081, 1.0],
        [0.42529, 0.33708, 0.13078, 1.0],
        [0.42996, 0.34056, 0.13075, 1.0],
        [0.43464, 0.34404, 0.1307, 1.0],
        [0.43932, 0.34756, 0.13063, 1.0],
        [0.44402, 0.35106, 0.13056, 1.0],
        [0.44872, 0.35457, 0.13047, 1.0],
        [0.45341, 0.35808, 0.13037, 1.0],
        [0.45813, 0.3616, 0.13025, 1.0],
        [0.46284, 0.36513, 0.13012, 1.0],
        [0.46758, 0.36867, 0.12998, 1.0],
        [0.47231, 0.3722, 0.12981, 1.0],
        [0.47705, 0.37575, 0.12963, 1.0],
        [0.4818, 0.3793, 0.12943, 1.0],
        [0.48655, 0.38286, 0.12922, 1.0],
        [0.49133, 0.38642, 0.129, 1.0],
        [0.49608, 0.38999, 0.12877, 1.0],
        [0.50086, 0.39357, 0.12854, 1.0],
        [0.50564, 0.39715, 0.1283, 1.0],
        [0.51043, 0.40075, 0.12803, 1.0],
        [0.51523, 0.40433, 0.12773, 1.0],
        [0.52003, 0.40793, 0.1274, 1.0],
        [0.52484, 0.41154, 0.12707, 1.0],
        [0.52966, 0.41515, 0.12674, 1.0],
        [0.53448, 0.41876, 0.12641, 1.0],
        [0.53931, 0.42238, 0.12606, 1.0],
        [0.54415, 0.42601, 0.12567, 1.0],
        [0.549, 0.42965, 0.12524, 1.0],
        [0.55385, 0.43328, 0.12481, 1.0],
        [0.5587, 0.43694, 0.12436, 1.0],
        [0.56357, 0.44058, 0.1239, 1.0],
        [0.56844, 0.44424, 0.12341, 1.0],
        [0.57332, 0.44789, 0.12291, 1.0],
        [0.5782, 0.45157, 0.1224, 1.0],
        [0.58309, 0.45524, 0.12186, 1.0],
        [0.58798, 0.45892, 0.12131, 1.0],
        [0.5929, 0.46259, 0.12074, 1.0],
        [0.5978, 0.46628, 0.12015, 1.0],
        [0.60272, 0.46998, 0.11954, 1.0],
        [0.60765, 0.47367, 0.11893, 1.0],
        [0.61257, 0.47738, 0.11828, 1.0],
        [0.61751, 0.48108, 0.11755, 1.0],
        [0.62245, 0.48479, 0.11685, 1.0],
        [0.6274, 0.48852, 0.11615, 1.0],
        [0.63236, 0.49224, 0.11536, 1.0],
        [0.63732, 0.49596, 0.11454, 1.0],
        [0.64229, 0.4997, 0.11378, 1.0],
        [0.64726, 0.50344, 0.11298, 1.0],
        [0.65224, 0.50719, 0.1121, 1.0],
        [0.65724, 0.51093, 0.11121, 1.0],
        [0.66223, 0.5147, 0.11031, 1.0],
        [0.66723, 0.51846, 0.10936, 1.0],
        [0.67223, 0.52221, 0.10832, 1.0],
        [0.67725, 0.52599, 0.10736, 1.0],
        [0.68226, 0.52976, 0.10634, 1.0],
        [0.68729, 0.53353, 0.10521, 1.0],
        [0.69232, 0.53733, 0.10412, 1.0],
        [0.69735, 0.54111, 0.103, 1.0],
        [0.7024, 0.54491, 0.1018, 1.0],
    ],
    'cet.diverging_bwg_20_95_c41': [
        [0.065559, 0.17633, 0.40763, 1.0],
        [0.069881, 0.18111, 0.41595, 1.0],
        [0.074129, 0.18595, 0.42428, 1.0],
        [0.078264, 0.19074, 0.43264, 1.0],
        [0.082501, 0.1956, 0.44099, 1.0],
        [0.08661, 0.20046, 0.44937, 1.0],
        [0.090704, 0.20539, 0.45774, 1.0],
        [0.094774, 0.21032, 0.46612, 1.0],
        [0.098735, 0.21529, 0.47452, 1.0],
        [0.1027, 0.22031, 0.4829, 1.0],
        [0.10665, 0.22531, 0.4913, 1.0],
        [0.11051, 0.23036, 0.49967, 1.0],
        [0.11429, 0.23548, 0.50807, 1.0],
        [0.11813, 0.24057, 0.51644, 1.0],
        [0.12182, 0.24573, 0.52482, 1.0],
        [0.12558, 0.25093, 0.53318, 1.0],
        [0.12921, 0.25613, 0.54154, 1.0],
        [0.13285, 0.26139, 0.5499, 1.0],
        [0.13639, 0.26666, 0.55823, 1.0],
        [0.13991, 0.27196, 0.56657, 1.0],
        [0.14342, 0.27733, 0.57488, 1.0],
        [0.14683, 0.28272, 0.58318, 1.0],
        [0.15024, 0.28811, 0.59147, 1.0],
        [0.15353, 0.29356, 0.59974, 1.0],
        [0.15683, 0.29905, 0.608, 1.0],
        [0.16001, 0.30456, 0.61623, 1.0],
        [0.16322, 0.31012, 0.62444, 1.0],
        [0.16631, 0.31571, 0.63263, 1.0],
        [0.16938, 0.32132, 0.64079, 1.0],
        [0.17232, 0.32697, 0.64893, 1.0],
        [0.17525, 0.33268, 0.65705, 1.0],
        [0.17812, 0.33839, 0.66512, 1.0],
        [0.18085, 0.34416, 0.67318, 1.0],
        [0.18355, 0.34998, 0.68119, 1.0],
        [0.18619, 0.35582, 0.68919, 1.0],
        [0.18872, 0.3617, 0.69713, 1.0],
        [0.19116, 0.36761, 0.70504, 1.0],
        [0.19353, 0.37358, 0.7129, 1.0],
        [0.19579, 0.37958, 0.72073, 1.0],
        [0.19795, 0.38561, 0.72851, 1.0],
        [0.2, 0.39171, 0.73623, 1.0],
        [0.20196, 0.39784, 0.74392, 1.0],
        [0.20382, 0.40401, 0.75155, 1.0],
        [0.20551, 0.41023, 0.75911, 1.0],
        [0.2071, 0.41648, 0.76662, 1.0],
        [0.20853, 0.42278, 0.77406, 1.0],
        [0.20982, 0.42914, 0.78144, 1.0],
        [0.21096, 0.43555, 0.78875, 1.0],
        [0.21194, 0.44201, 0.79598, 1.0],
        [0.21271, 0.4485, 0.80314, 1.0],
        [0.2133, 0.45506, 0.81021, 1.0],
        [0.2137, 0.46166, 0.81719, 1.0],
        [0.21388, 0.46832, 0.82408, 1.0],
        [0.21383, 0.47505, 0.83088, 1.0],
        [0.21352, 0.48182, 0.83757, 1.0],
        [0.21296, 0.48864, 0.84414, 1.0],
        [0.21218, 0.49553, 0.85061, 1.0],
        [0.2111, 0.50247, 0.85695, 1.0],
        [0.20977, 0.50946, 0.86317, 1.0],
        [0.20821, 0.51651, 0.86925, 1.0],
        [0.20647, 0.52361, 0.87519, 1.0],
        [0.20454, 0.53074, 0.88099, 1.0],
        [0.20251, 0.53792, 0.88665, 1.0],
        [0.20048, 0.54511, 0.89216, 1.0],
        [0.19857, 0.55233, 0.89751, 1.0],
        [0.19689, 0.55955, 0.90271, 1.0],
        [0.19551, 0.56678, 0.90775, 1.0],
        [0.19465, 0.57399, 0.91264, 1.0],
        [0.19438, 0.58119, 0.91737, 1.0],
        [0.19482, 0.58836, 0.92195, 1.0],
        [0.19609, 0.59551, 0.92637, 1.0],
        [0.19826, 0.60262, 0.93063, 1.0],
        [0.2014, 0.60968, 0.93474, 1.0],
        [0.20555, 0.61671, 0.9387, 1.0],
        [0.21065, 0.62369, 0.9425, 1.0],
        [0.21672, 0.63062, 0.94614, 1.0],
        [0.22367, 0.63749, 0.94963, 1.0],
        [0.2315, 0.64432, 0.95297, 1.0],
        [0.24007, 0.65111, 0.95614, 1.0],
        [0.2494, 0.65785, 0.95916, 1.0],
        [0.2594, 0.66454, 0.96202, 1.0],
        [0.26998, 0.67118, 0.96473, 1.0],
        [0.28107, 0.67778, 0.96729, 1.0],
        [0.29267, 0.68432, 0.96967, 1.0],
        [0.3047, 0.69082, 0.97191, 1.0],
        [0.31713, 0.69727, 0.97398, 1.0],
        [0.32991, 0.70368, 0.97589, 1.0],
        [0.343, 0.71004, 0.97765, 1.0],
        [0.35638, 0.71636, 0.97924, 1.0],
        [0.37, 0.72261, 0.98067, 1.0],
        [0.38389, 0.72883, 0.98194, 1.0],
        [0.39799, 0.735, 0.98305, 1.0],
        [0.41229, 0.74112, 0.984, 1.0],
        [0.42677, 0.7472, 0.98478, 1.0],
        [0.44143, 0.75322, 0.9854, 1.0],
        [0.45624, 0.7592, 0.98586, 1.0],
        [0.4712, 0.76513, 0.98615, 1.0],
        [0.48629, 0.77102, 0.98628, 1.0],
        [0.50151, 0.77685, 0.98625, 1.0],
        [0.51683, 0.78263, 0.98606, 1.0],
        [0.53224, 0.78837, 0.98572, 1.0],
        [0.54774, 0.79407, 0.98522, 1.0],
        [0.5633, 0.79972, 0.98458, 1.0],
        [0.57889, 0.80532, 0.98379, 1.0],
        [0.5945, 0.8109, 0.98287, 1.0],
        [0.61012, 0.81644, 0.98183, 1.0],
        [0.62571, 0.82194, 0.98068, 1.0],
        [0.64124, 0.82742, 0.97942, 1.0],
        [0.65671, 0.83287, 0.97808, 1.0],
        [0.67208, 0.83831, 0.97666, 1.0],
        [0.68733, 0.84374, 0.97517, 1.0],
        [0.70246, 0.84916, 0.97364, 1.0],
        [0.71747, 0.85457, 0.97206, 1.0],
        [0.73231, 0.85999, 0.97043, 1.0],
        [0.74696, 0.86538, 0.96876, 1.0],
        [0.76141, 0.87077, 0.96704, 1.0],
        [0.7756, 0.87614, 0.96527, 1.0],
        [0.78949, 0.88146, 0.96342, 1.0],
        [0.80297, 0.88672, 0.96147, 1.0],
        [0.81594, 0.89187, 0.95939, 1.0],
        [0.82822, 0.89686, 0.95713, 1.0],
        [0.83964, 0.90163, 0.95464, 1.0],
        [0.84994, 0.9061, 0.95186, 1.0],
        [0.85886, 0.91018, 0.94874, 1.0],
        [0.86615, 0.91378, 0.94521, 1.0],
        [0.87156, 0.91681, 0.94123, 1.0],
        [0.87485, 0.91918, 0.93679, 1.0],
        [0.87588, 0.92084, 0.93184, 1.0],
        [0.87458, 0.92175, 0.92642, 1.0],
        [0.87097, 0.9219, 0.92054, 1.0],
        [0.86513, 0.92131, 0.91426, 1.0],
        [0.85725, 0.92003, 0.90762, 1.0],
        [0.84755, 0.91814, 0.90069, 1.0],
        [0.83631, 0.9157, 0.89353, 1.0],
        [0.82379, 0.91284, 0.8862, 1.0],
        [0.81025, 0.90961, 0.87874, 1.0],
        [0.79592, 0.90611, 0.8712, 1.0],
        [0.78101, 0.9024, 0.86361, 1.0],
        [0.76566, 0.89854, 0.85599, 1.0],
        [0.74999, 0.89458, 0.84835, 1.0],
        [0.73409, 0.89052, 0.84071, 1.0],
        [0.71801, 0.88641, 0.83307, 1.0],
        [0.70179, 0.88225, 0.82542, 1.0],
        [0.68547, 0.87805, 0.81778, 1.0],
        [0.66907, 0.87381, 0.81014, 1.0],
        [0.65261, 0.86954, 0.80249, 1.0],
        [0.63612, 0.86522, 0.79482, 1.0],
        [0.6196, 0.86087, 0.78713, 1.0],
        [0.60306, 0.85647, 0.7794, 1.0],
        [0.58654, 0.85202, 0.77164, 1.0],
        [0.57006, 0.84752, 0.76383, 1.0],
        [0.55365, 0.84296, 0.75597, 1.0],
        [0.53733, 0.83834, 0.74804, 1.0],
        [0.5211, 0.83366, 0.74004, 1.0],
        [0.50501, 0.82891, 0.73196, 1.0],
        [0.48906, 0.82409, 0.72381, 1.0],
        [0.47327, 0.81921, 0.71558, 1.0],
        [0.45768, 0.81427, 0.70725, 1.0],
        [0.44227, 0.80927, 0.69884, 1.0],
        [0.42706, 0.80419, 0.69034, 1.0],
        [0.41205, 0.79906, 0.68175, 1.0],
        [0.39726, 0.79387, 0.67309, 1.0],
        [0.38271, 0.78861, 0.66432, 1.0],
        [0.3684, 0.78329, 0.65547, 1.0],
        [0.35433, 0.77792, 0.64653, 1.0],
        [0.34053, 0.77248, 0.6375, 1.0],
        [0.32698, 0.767, 0.62839, 1.0],
        [0.31374, 0.76146, 0.61919, 1.0],
        [0.30077, 0.75587, 0.60989, 1.0],
        [0.28814, 0.75023, 0.60051, 1.0],
        [0.27587, 0.74454, 0.59104, 1.0],
        [0.26392, 0.73881, 0.58149, 1.0],
        [0.25236, 0.73302, 0.57186, 1.0],
        [0.24121, 0.72719, 0.56215, 1.0],
        [0.23049, 0.72131, 0.55234, 1.0],
        [0.22028, 0.7154, 0.54245, 1.0],
        [0.21054, 0.70944, 0.53247, 1.0],
        [0.20135, 0.70343, 0.52241, 1.0],
        [0.19277, 0.69739, 0.51226, 1.0],
        [0.18482, 0.6913, 0.50204, 1.0],
        [0.17753, 0.68519, 0.49174, 1.0],
        [0.1709, 0.67903, 0.48135, 1.0],
        [0.165, 0.67285, 0.4709, 1.0],
        [0.15984, 0.66662, 0.46036, 1.0],
        [0.15546, 0.66036, 0.44978, 1.0],
        [0.15175, 0.65408, 0.43914, 1.0],
        [0.14873, 0.64776, 0.42848, 1.0],
        [0.14636, 0.64142, 0.41779, 1.0],
        [0.14455, 0.63507, 0.4071, 1.0],
        [0.14319, 0.62869, 0.39645, 1.0],
        [0.14222, 0.62228, 0.38584, 1.0],
        [0.14153, 0.61588, 0.37533, 1.0],
        [0.14104, 0.60946, 0.36492, 1.0],
        [0.14064, 0.60303, 0.35466, 1.0],
        [0.14025, 0.5966, 0.34453, 1.0],
        [0.13983, 0.59017, 0.33462, 1.0],
        [0.13936, 0.58374, 0.32487, 1.0],
        [0.13879, 0.57732, 0.31535, 1.0],
        [0.1381, 0.57089, 0.30606, 1.0],
        [0.13721, 0.56448, 0.29697, 1.0],
        [0.13614, 0.55808, 0.28809, 1.0],
        [0.13501, 0.55169, 0.27947, 1.0],
        [0.13366, 0.5453, 0.27104, 1.0],
        [0.13219, 0.53892, 0.26281, 1.0],
        [0.13061, 0.53256, 0.25481, 1.0],
        [0.12883, 0.5262, 0.24697, 1.0],
        [0.12697, 0.51985, 0.23933, 1.0],
        [0.12504, 0.51352, 0.23189, 1.0],
        [0.12297, 0.50719, 0.22457, 1.0],
        [0.12084, 0.50088, 0.21748, 1.0],
        [0.11867, 0.49458, 0.21052, 1.0],
        [0.11637, 0.48829, 0.20373, 1.0],
        [0.11397, 0.48202, 0.19708, 1.0],
        [0.11157, 0.47575, 0.19055, 1.0],
        [0.10907, 0.4695, 0.18418, 1.0],
        [0.10655, 0.46325, 0.17798, 1.0],
        [0.10391, 0.45703, 0.17184, 1.0],
        [0.10124, 0.45081, 0.16585, 1.0],
        [0.098563, 0.44462, 0.15999, 1.0],
        [0.095803, 0.43842, 0.15427, 1.0],
        [0.092982, 0.43226, 0.14864, 1.0],
        [0.090206, 0.42608, 0.14316, 1.0],
        [0.087373, 0.41994, 0.13778, 1.0],
        [0.084463, 0.4138, 0.13247, 1.0],
        [0.081522, 0.40768, 0.12725, 1.0],
        [0.078467, 0.40157, 0.12215, 1.0],
        [0.075481, 0.39549, 0.11717, 1.0],
        [0.072443, 0.38941, 0.11232, 1.0],
        [0.069456, 0.38335, 0.1075, 1.0],
        [0.06627, 0.3773, 0.1028, 1.0],
        [0.063173, 0.37126, 0.098194, 1.0],
        [0.060006, 0.36525, 0.093619, 1.0],
        [0.056764, 0.35924, 0.089201, 1.0],
        [0.053428, 0.35326, 0.084837, 1.0],
        [0.050177, 0.3473, 0.080536, 1.0],
        [0.04687, 0.34134, 0.076306, 1.0],
        [0.043388, 0.33541, 0.072205, 1.0],
        [0.04007, 0.32949, 0.068208, 1.0],
        [0.03665, 0.32357, 0.064214, 1.0],
        [0.033173, 0.31769, 0.060346, 1.0],
        [0.029999, 0.3118, 0.056535, 1.0],
        [0.026949, 0.30598, 0.052698, 1.0],
        [0.024019, 0.30012, 0.049141, 1.0],
        [0.021208, 0.2943, 0.045442, 1.0],
        [0.018516, 0.2885, 0.041997, 1.0],
        [0.015942, 0.28274, 0.038495, 1.0],
        [0.01348, 0.27696, 0.035242, 1.0],
        [0.010993, 0.27121, 0.031988, 1.0],
        [0.0088139, 0.26549, 0.02896, 1.0],
        [0.0069067, 0.25978, 0.025879, 1.0],
        [0.0052216, 0.25409, 0.022744, 1.0],
        [0.0037523, 0.24842, 0.019551, 1.0],
        [0.0024927, 0.24274, 0.016299, 1.0],
        [0.0014373, 0.23713, 0.012975, 1.0],
        [0.0005808, 0.2315, 0.0094103, 1.0],
        [0, 0.2259, 0.0059464, 1.0],
    ],
    'cet.diverging_bwr_20_95_c54': [
        [0.091874, 0.16093, 0.4469, 1.0],
        [0.09332, 0.16518, 0.45817, 1.0],
        [0.094888, 0.16952, 0.4695, 1.0],
        [0.096269, 0.17381, 0.48085, 1.0],
        [0.097771, 0.17816, 0.49227, 1.0],
        [0.099148, 0.18246, 0.50373, 1.0],
        [0.10052, 0.18684, 0.51524, 1.0],
        [0.10188, 0.19121, 0.52681, 1.0],
        [0.10324, 0.1956, 0.53841, 1.0],
        [0.10448, 0.19999, 0.55006, 1.0],
        [0.10579, 0.20445, 0.56175, 1.0],
        [0.10705, 0.20887, 0.57349, 1.0],
        [0.10821, 0.21331, 0.58527, 1.0],
        [0.10946, 0.2178, 0.5971, 1.0],
        [0.11061, 0.22227, 0.60896, 1.0],
        [0.11176, 0.22678, 0.62086, 1.0],
        [0.11291, 0.2313, 0.63278, 1.0],
        [0.11401, 0.23582, 0.64473, 1.0],
        [0.11517, 0.24034, 0.65671, 1.0],
        [0.11641, 0.24491, 0.66868, 1.0],
        [0.11766, 0.2495, 0.68064, 1.0],
        [0.11905, 0.25411, 0.69259, 1.0],
        [0.12055, 0.25873, 0.70448, 1.0],
        [0.12227, 0.26339, 0.7163, 1.0],
        [0.12429, 0.26804, 0.72801, 1.0],
        [0.12666, 0.27275, 0.73958, 1.0],
        [0.12946, 0.2775, 0.75097, 1.0],
        [0.13277, 0.28229, 0.76212, 1.0],
        [0.13665, 0.28708, 0.773, 1.0],
        [0.14125, 0.29196, 0.78356, 1.0],
        [0.1465, 0.29689, 0.79375, 1.0],
        [0.15254, 0.30184, 0.80352, 1.0],
        [0.15936, 0.30689, 0.81285, 1.0],
        [0.16694, 0.31196, 0.82169, 1.0],
        [0.17519, 0.31714, 0.83003, 1.0],
        [0.18408, 0.32237, 0.83785, 1.0],
        [0.19356, 0.32765, 0.84516, 1.0],
        [0.2035, 0.33302, 0.85196, 1.0],
        [0.21381, 0.33843, 0.85827, 1.0],
        [0.2244, 0.34391, 0.86413, 1.0],
        [0.23524, 0.34946, 0.86955, 1.0],
        [0.24614, 0.35507, 0.8746, 1.0],
        [0.25713, 0.3607, 0.87932, 1.0],
        [0.26808, 0.36642, 0.88374, 1.0],
        [0.27901, 0.37214, 0.88791, 1.0],
        [0.2898, 0.37793, 0.89188, 1.0],
        [0.30048, 0.38375, 0.89568, 1.0],
        [0.31103, 0.38959, 0.89934, 1.0],
        [0.3214, 0.39547, 0.9029, 1.0],
        [0.33162, 0.40137, 0.90637, 1.0],
        [0.34168, 0.40729, 0.90978, 1.0],
        [0.35157, 0.41325, 0.91315, 1.0],
        [0.36131, 0.41922, 0.91648, 1.0],
        [0.37089, 0.42521, 0.91979, 1.0],
        [0.38034, 0.43122, 0.92309, 1.0],
        [0.38964, 0.43724, 0.92637, 1.0],
        [0.39881, 0.44328, 0.92965, 1.0],
        [0.40787, 0.44934, 0.93291, 1.0],
        [0.41682, 0.45542, 0.93618, 1.0],
        [0.42566, 0.46151, 0.93944, 1.0],
        [0.4344, 0.46762, 0.94269, 1.0],
        [0.44306, 0.47374, 0.94592, 1.0],
        [0.45163, 0.4799, 0.94914, 1.0],
        [0.46012, 0.48605, 0.95233, 1.0],
        [0.46856, 0.49224, 0.9555, 1.0],
        [0.47694, 0.49845, 0.95862, 1.0],
        [0.48526, 0.50466, 0.96169, 1.0],
        [0.49355, 0.5109, 0.9647, 1.0],
        [0.50181, 0.51717, 0.96762, 1.0],
        [0.51003, 0.52346, 0.97044, 1.0],
        [0.51824, 0.52978, 0.97315, 1.0],
        [0.52644, 0.53613, 0.97571, 1.0],
        [0.53462, 0.54252, 0.97812, 1.0],
        [0.54281, 0.54893, 0.98035, 1.0],
        [0.551, 0.55538, 0.98238, 1.0],
        [0.55919, 0.56188, 0.9842, 1.0],
        [0.5674, 0.5684, 0.98579, 1.0],
        [0.5756, 0.57497, 0.98716, 1.0],
        [0.5838, 0.58158, 0.98828, 1.0],
        [0.59201, 0.58822, 0.98917, 1.0],
        [0.60019, 0.59492, 0.98983, 1.0],
        [0.60837, 0.60165, 0.99027, 1.0],
        [0.61652, 0.60842, 0.99051, 1.0],
        [0.62464, 0.61521, 0.99055, 1.0],
        [0.63273, 0.62205, 0.99043, 1.0],
        [0.64077, 0.62892, 0.99015, 1.0],
        [0.64877, 0.63581, 0.98974, 1.0],
        [0.65671, 0.64273, 0.98921, 1.0],
        [0.6646, 0.64968, 0.98859, 1.0],
        [0.67243, 0.65665, 0.98789, 1.0],
        [0.68019, 0.66364, 0.98713, 1.0],
        [0.68791, 0.67064, 0.98631, 1.0],
        [0.69556, 0.67767, 0.98545, 1.0],
        [0.70314, 0.6847, 0.98455, 1.0],
        [0.71067, 0.69176, 0.98362, 1.0],
        [0.71813, 0.69883, 0.98268, 1.0],
        [0.72555, 0.70592, 0.98171, 1.0],
        [0.7329, 0.71301, 0.98073, 1.0],
        [0.7402, 0.72013, 0.97973, 1.0],
        [0.74744, 0.72725, 0.97871, 1.0],
        [0.75463, 0.7344, 0.97769, 1.0],
        [0.76177, 0.74155, 0.97666, 1.0],
        [0.76886, 0.74871, 0.97561, 1.0],
        [0.7759, 0.75589, 0.97456, 1.0],
        [0.7829, 0.76308, 0.97349, 1.0],
        [0.78986, 0.77029, 0.97242, 1.0],
        [0.79677, 0.77751, 0.97133, 1.0],
        [0.80364, 0.78473, 0.97021, 1.0],
        [0.81048, 0.79195, 0.96908, 1.0],
        [0.81728, 0.79917, 0.96791, 1.0],
        [0.82404, 0.80637, 0.9667, 1.0],
        [0.83078, 0.81353, 0.96544, 1.0],
        [0.83748, 0.82065, 0.96411, 1.0],
        [0.84414, 0.8277, 0.96271, 1.0],
        [0.85078, 0.83466, 0.96118, 1.0],
        [0.85739, 0.84147, 0.95952, 1.0],
        [0.86397, 0.8481, 0.95769, 1.0],
        [0.87051, 0.8545, 0.95564, 1.0],
        [0.87701, 0.8606, 0.95332, 1.0],
        [0.88347, 0.86632, 0.9507, 1.0],
        [0.88986, 0.87161, 0.94771, 1.0],
        [0.89618, 0.87636, 0.94431, 1.0],
        [0.9024, 0.88051, 0.94045, 1.0],
        [0.9085, 0.88397, 0.93608, 1.0],
        [0.91447, 0.88666, 0.93116, 1.0],
        [0.92027, 0.88852, 0.92566, 1.0],
        [0.92588, 0.88949, 0.91958, 1.0],
        [0.93128, 0.88955, 0.9129, 1.0],
        [0.93643, 0.88867, 0.90562, 1.0],
        [0.94132, 0.88685, 0.89777, 1.0],
        [0.94593, 0.88412, 0.88939, 1.0],
        [0.95026, 0.8805, 0.8805, 1.0],
        [0.95429, 0.87605, 0.87117, 1.0],
        [0.95803, 0.87085, 0.86143, 1.0],
        [0.96147, 0.86496, 0.85135, 1.0],
        [0.96463, 0.85847, 0.84098, 1.0],
        [0.96754, 0.85145, 0.83037, 1.0],
        [0.97018, 0.84399, 0.81957, 1.0],
        [0.9726, 0.83616, 0.80864, 1.0],
        [0.9748, 0.82802, 0.79758, 1.0],
        [0.97681, 0.81964, 0.78646, 1.0],
        [0.97864, 0.81108, 0.77528, 1.0],
        [0.98031, 0.80236, 0.76407, 1.0],
        [0.98183, 0.79354, 0.75284, 1.0],
        [0.9832, 0.78462, 0.74162, 1.0],
        [0.98446, 0.77564, 0.7304, 1.0],
        [0.98559, 0.76662, 0.7192, 1.0],
        [0.98661, 0.75756, 0.70801, 1.0],
        [0.98752, 0.74847, 0.69685, 1.0],
        [0.98832, 0.73936, 0.68571, 1.0],
        [0.98903, 0.73022, 0.67459, 1.0],
        [0.98964, 0.72108, 0.66352, 1.0],
        [0.99016, 0.71193, 0.65246, 1.0],
        [0.99058, 0.70276, 0.64143, 1.0],
        [0.99092, 0.69357, 0.63043, 1.0],
        [0.99116, 0.68436, 0.61946, 1.0],
        [0.99132, 0.67515, 0.60851, 1.0],
        [0.99139, 0.66591, 0.59759, 1.0],
        [0.99137, 0.65666, 0.5867, 1.0],
        [0.99126, 0.64738, 0.57585, 1.0],
        [0.99106, 0.63808, 0.56501, 1.0],
        [0.99077, 0.62876, 0.55423, 1.0],
        [0.99039, 0.61943, 0.54347, 1.0],
        [0.98991, 0.61006, 0.53275, 1.0],
        [0.98934, 0.60069, 0.52207, 1.0],
        [0.98865, 0.5913, 0.51145, 1.0],
        [0.98786, 0.58189, 0.50088, 1.0],
        [0.98695, 0.57248, 0.49038, 1.0],
        [0.9859, 0.56306, 0.47994, 1.0],
        [0.98472, 0.55364, 0.46959, 1.0],
        [0.98338, 0.54423, 0.45933, 1.0],
        [0.98188, 0.53484, 0.44917, 1.0],
        [0.9802, 0.52548, 0.43912, 1.0],
        [0.97832, 0.51615, 0.42922, 1.0],
        [0.97626, 0.50687, 0.41945, 1.0],
        [0.97398, 0.49766, 0.40983, 1.0],
        [0.97149, 0.48849, 0.40037, 1.0],
        [0.96878, 0.4794, 0.39107, 1.0],
        [0.96585, 0.47039, 0.38193, 1.0],
        [0.96271, 0.46144, 0.37296, 1.0],
        [0.95935, 0.45259, 0.36416, 1.0],
        [0.9558, 0.4438, 0.35553, 1.0],
        [0.95206, 0.43508, 0.34704, 1.0],
        [0.94815, 0.42642, 0.33868, 1.0],
        [0.94407, 0.41783, 0.33046, 1.0],
        [0.93986, 0.40928, 0.32236, 1.0],
        [0.93552, 0.40077, 0.31435, 1.0],
        [0.93108, 0.39227, 0.30646, 1.0],
        [0.92653, 0.38379, 0.29862, 1.0],
        [0.92191, 0.37531, 0.29086, 1.0],
        [0.91723, 0.36682, 0.28317, 1.0],
        [0.91247, 0.35831, 0.27552, 1.0],
        [0.90768, 0.34976, 0.26789, 1.0],
        [0.90284, 0.34117, 0.26033, 1.0],
        [0.89796, 0.33254, 0.25279, 1.0],
        [0.89306, 0.32382, 0.24525, 1.0],
        [0.88813, 0.31504, 0.23778, 1.0],
        [0.88317, 0.3062, 0.23027, 1.0],
        [0.87818, 0.29724, 0.22284, 1.0],
        [0.87318, 0.28817, 0.21537, 1.0],
        [0.86815, 0.27902, 0.20794, 1.0],
        [0.8631, 0.26973, 0.2005, 1.0],
        [0.85801, 0.2603, 0.19312, 1.0],
        [0.85291, 0.25073, 0.18575, 1.0],
        [0.84776, 0.241, 0.17838, 1.0],
        [0.84258, 0.23113, 0.171, 1.0],
        [0.83735, 0.22106, 0.16371, 1.0],
        [0.83206, 0.21078, 0.15643, 1.0],
        [0.8267, 0.2003, 0.14918, 1.0],
        [0.82126, 0.18965, 0.14201, 1.0],
        [0.81571, 0.17878, 0.13493, 1.0],
        [0.81004, 0.16767, 0.12792, 1.0],
        [0.80423, 0.1564, 0.12101, 1.0],
        [0.79825, 0.14491, 0.11428, 1.0],
        [0.79207, 0.13322, 0.10775, 1.0],
        [0.78568, 0.12135, 0.10141, 1.0],
        [0.77903, 0.10946, 0.095344, 1.0],
        [0.77213, 0.097351, 0.089503, 1.0],
        [0.76494, 0.085214, 0.084009, 1.0],
        [0.75744, 0.073154, 0.078743, 1.0],
        [0.74963, 0.060978, 0.073995, 1.0],
        [0.74151, 0.049092, 0.06957, 1.0],
        [0.73309, 0.037259, 0.065437, 1.0],
        [0.72436, 0.026823, 0.061723, 1.0],
        [0.71534, 0.018618, 0.058443, 1.0],
        [0.70605, 0.012283, 0.055532, 1.0],
        [0.69652, 0.007339, 0.052912, 1.0],
        [0.68678, 0.0040371, 0.05068, 1.0],
        [0.67685, 0.0019439, 0.04877, 1.0],
        [0.66675, 0.00085262, 0.047012, 1.0],
        [0.65654, 0.00057092, 0.045448, 1.0],
        [0.64622, 0.00092486, 0.044119, 1.0],
        [0.63582, 0.0017616, 0.042871, 1.0],
        [0.62537, 0.0029503, 0.041932, 1.0],
        [0.61487, 0.0043822, 0.040902, 1.0],
        [0.60438, 0.0059666, 0.039904, 1.0],
        [0.59386, 0.0076341, 0.038882, 1.0],
        [0.58336, 0.0093374, 0.037833, 1.0],
        [0.57288, 0.011077, 0.036734, 1.0],
        [0.56242, 0.012852, 0.03563, 1.0],
        [0.55198, 0.014445, 0.034215, 1.0],
        [0.54157, 0.015957, 0.032974, 1.0],
        [0.5312, 0.017388, 0.031658, 1.0],
        [0.52087, 0.018728, 0.030292, 1.0],
        [0.51058, 0.019973, 0.028861, 1.0],
        [0.50033, 0.021123, 0.027367, 1.0],
        [0.49012, 0.02218, 0.025811, 1.0],
        [0.47996, 0.023147, 0.024193, 1.0],
        [0.46984, 0.024025, 0.022515, 1.0],
        [0.45976, 0.024816, 0.020778, 1.0],
        [0.44973, 0.025523, 0.018981, 1.0],
        [0.43974, 0.026148, 0.017126, 1.0],
        [0.4298, 0.026693, 0.015214, 1.0],
        [0.41991, 0.027159, 0.01324, 1.0],
        [0.41008, 0.027551, 0.011092, 1.0],
        [0.40028, 0.027868, 0.0089508, 1.0],
    ],
    'cet.diverging_bwr_40_95_c42': [
        [0.12757, 0.31619, 0.85836, 1.0],
        [0.14675, 0.32048, 0.85923, 1.0],
        [0.16386, 0.32476, 0.8601, 1.0],
        [0.17936, 0.3291, 0.86096, 1.0],
        [0.1937, 0.33343, 0.86182, 1.0],
        [0.20708, 0.33776, 0.86268, 1.0],
        [0.21967, 0.34213, 0.86354, 1.0],
        [0.23162, 0.34649, 0.86439, 1.0],
        [0.24297, 0.35089, 0.86524, 1.0],
        [0.25389, 0.35529, 0.86609, 1.0],
        [0.26436, 0.35969, 0.86693, 1.0],
        [0.27445, 0.36411, 0.86778, 1.0],
        [0.28422, 0.36855, 0.86862, 1.0],
        [0.29369, 0.37299, 0.86945, 1.0],
        [0.30289, 0.37746, 0.87028, 1.0],
        [0.31184, 0.38192, 0.87112, 1.0],
        [0.32061, 0.3864, 0.87195, 1.0],
        [0.32914, 0.39091, 0.87277, 1.0],
        [0.33747, 0.39542, 0.8736, 1.0],
        [0.34563, 0.39992, 0.87442, 1.0],
        [0.35364, 0.40445, 0.87523, 1.0],
        [0.36151, 0.40899, 0.87605, 1.0],
        [0.36923, 0.41355, 0.87686, 1.0],
        [0.37682, 0.4181, 0.87767, 1.0],
        [0.38428, 0.42267, 0.87847, 1.0],
        [0.39164, 0.42727, 0.87927, 1.0],
        [0.39887, 0.43186, 0.88007, 1.0],
        [0.40603, 0.43645, 0.88087, 1.0],
        [0.41307, 0.44106, 0.88167, 1.0],
        [0.42002, 0.44568, 0.88245, 1.0],
        [0.4269, 0.45032, 0.88324, 1.0],
        [0.43367, 0.45496, 0.88403, 1.0],
        [0.44039, 0.45961, 0.88481, 1.0],
        [0.44703, 0.46428, 0.88559, 1.0],
        [0.45359, 0.46894, 0.88636, 1.0],
        [0.46009, 0.47361, 0.88713, 1.0],
        [0.46653, 0.4783, 0.8879, 1.0],
        [0.4729, 0.483, 0.88867, 1.0],
        [0.47922, 0.48771, 0.88943, 1.0],
        [0.48547, 0.49242, 0.89019, 1.0],
        [0.49169, 0.49715, 0.89094, 1.0],
        [0.49784, 0.50188, 0.8917, 1.0],
        [0.50394, 0.50662, 0.89245, 1.0],
        [0.50999, 0.51137, 0.89319, 1.0],
        [0.516, 0.51612, 0.89394, 1.0],
        [0.52196, 0.5209, 0.89468, 1.0],
        [0.52789, 0.52567, 0.89541, 1.0],
        [0.53377, 0.53046, 0.89615, 1.0],
        [0.53962, 0.53525, 0.89688, 1.0],
        [0.54543, 0.54005, 0.8976, 1.0],
        [0.5512, 0.54486, 0.89832, 1.0],
        [0.55693, 0.54968, 0.89905, 1.0],
        [0.56263, 0.5545, 0.89976, 1.0],
        [0.56829, 0.55933, 0.90048, 1.0],
        [0.57392, 0.56418, 0.90119, 1.0],
        [0.57953, 0.56902, 0.90189, 1.0],
        [0.5851, 0.57388, 0.9026, 1.0],
        [0.59064, 0.57874, 0.9033, 1.0],
        [0.59616, 0.58361, 0.90399, 1.0],
        [0.60164, 0.58849, 0.90468, 1.0],
        [0.60711, 0.59339, 0.90538, 1.0],
        [0.61254, 0.59828, 0.90606, 1.0],
        [0.61795, 0.60318, 0.90674, 1.0],
        [0.62334, 0.6081, 0.90742, 1.0],
        [0.6287, 0.613, 0.9081, 1.0],
        [0.63404, 0.61793, 0.90877, 1.0],
        [0.63935, 0.62287, 0.90943, 1.0],
        [0.64464, 0.62781, 0.9101, 1.0],
        [0.64992, 0.63275, 0.91076, 1.0],
        [0.65517, 0.63771, 0.91142, 1.0],
        [0.66041, 0.64267, 0.91207, 1.0],
        [0.66562, 0.64763, 0.91272, 1.0],
        [0.67082, 0.65261, 0.91337, 1.0],
        [0.67599, 0.6576, 0.91401, 1.0],
        [0.68115, 0.66259, 0.91465, 1.0],
        [0.68629, 0.66758, 0.91528, 1.0],
        [0.69141, 0.67259, 0.91591, 1.0],
        [0.69652, 0.6776, 0.91655, 1.0],
        [0.70161, 0.68261, 0.91717, 1.0],
        [0.70669, 0.68763, 0.91779, 1.0],
        [0.71175, 0.69267, 0.91841, 1.0],
        [0.71679, 0.6977, 0.91902, 1.0],
        [0.72181, 0.70275, 0.91963, 1.0],
        [0.72683, 0.70779, 0.92023, 1.0],
        [0.73183, 0.71285, 0.92083, 1.0],
        [0.73682, 0.71792, 0.92143, 1.0],
        [0.74179, 0.72298, 0.92203, 1.0],
        [0.74675, 0.72806, 0.92262, 1.0],
        [0.7517, 0.73315, 0.92321, 1.0],
        [0.75663, 0.73823, 0.92379, 1.0],
        [0.76155, 0.74334, 0.92436, 1.0],
        [0.76647, 0.74844, 0.92494, 1.0],
        [0.77137, 0.75354, 0.92551, 1.0],
        [0.77625, 0.75866, 0.92608, 1.0],
        [0.78113, 0.76378, 0.92664, 1.0],
        [0.78599, 0.76891, 0.9272, 1.0],
        [0.79084, 0.77404, 0.92775, 1.0],
        [0.79569, 0.77918, 0.9283, 1.0],
        [0.80052, 0.78434, 0.92885, 1.0],
        [0.80534, 0.78949, 0.92939, 1.0],
        [0.81015, 0.79464, 0.92993, 1.0],
        [0.81496, 0.79981, 0.93047, 1.0],
        [0.81975, 0.80498, 0.931, 1.0],
        [0.82454, 0.81015, 0.93152, 1.0],
        [0.82932, 0.81534, 0.93204, 1.0],
        [0.83408, 0.82053, 0.93256, 1.0],
        [0.83884, 0.82573, 0.93308, 1.0],
        [0.84359, 0.83093, 0.93358, 1.0],
        [0.84833, 0.83612, 0.93407, 1.0],
        [0.85306, 0.84131, 0.93455, 1.0],
        [0.85779, 0.84648, 0.935, 1.0],
        [0.8625, 0.85164, 0.93542, 1.0],
        [0.86719, 0.85675, 0.9358, 1.0],
        [0.87187, 0.86182, 0.93612, 1.0],
        [0.87652, 0.86682, 0.93638, 1.0],
        [0.88114, 0.87172, 0.93653, 1.0],
        [0.88573, 0.87649, 0.93657, 1.0],
        [0.89027, 0.8811, 0.93646, 1.0],
        [0.89475, 0.8855, 0.93617, 1.0],
        [0.89915, 0.88964, 0.93565, 1.0],
        [0.90346, 0.89347, 0.93488, 1.0],
        [0.90766, 0.89694, 0.9338, 1.0],
        [0.91172, 0.89998, 0.93239, 1.0],
        [0.91562, 0.90254, 0.9306, 1.0],
        [0.91935, 0.90457, 0.9284, 1.0],
        [0.92288, 0.90602, 0.92576, 1.0],
        [0.92619, 0.90686, 0.92266, 1.0],
        [0.92926, 0.90706, 0.91909, 1.0],
        [0.93208, 0.9066, 0.91506, 1.0],
        [0.93464, 0.90549, 0.91056, 1.0],
        [0.93695, 0.90374, 0.90562, 1.0],
        [0.93899, 0.90139, 0.90027, 1.0],
        [0.94078, 0.89845, 0.89453, 1.0],
        [0.94232, 0.89499, 0.88845, 1.0],
        [0.94363, 0.89105, 0.88206, 1.0],
        [0.94474, 0.8867, 0.87541, 1.0],
        [0.94565, 0.88198, 0.86855, 1.0],
        [0.94638, 0.87695, 0.86149, 1.0],
        [0.94697, 0.87168, 0.85429, 1.0],
        [0.94743, 0.86619, 0.84698, 1.0],
        [0.94776, 0.86054, 0.83959, 1.0],
        [0.948, 0.85477, 0.83212, 1.0],
        [0.94815, 0.8489, 0.82461, 1.0],
        [0.94822, 0.84295, 0.81708, 1.0],
        [0.94823, 0.83695, 0.80952, 1.0],
        [0.94818, 0.83092, 0.80196, 1.0],
        [0.94808, 0.82486, 0.79439, 1.0],
        [0.94793, 0.81878, 0.78683, 1.0],
        [0.94774, 0.81269, 0.77926, 1.0],
        [0.9475, 0.8066, 0.77171, 1.0],
        [0.94722, 0.8005, 0.76417, 1.0],
        [0.9469, 0.7944, 0.75665, 1.0],
        [0.94655, 0.78831, 0.74913, 1.0],
        [0.94616, 0.78221, 0.74163, 1.0],
        [0.94574, 0.77612, 0.73414, 1.0],
        [0.94528, 0.77003, 0.72666, 1.0],
        [0.94479, 0.76394, 0.7192, 1.0],
        [0.94425, 0.75785, 0.71174, 1.0],
        [0.94369, 0.75176, 0.7043, 1.0],
        [0.94309, 0.74567, 0.69687, 1.0],
        [0.94245, 0.73959, 0.68946, 1.0],
        [0.94178, 0.73349, 0.68205, 1.0],
        [0.94108, 0.7274, 0.67466, 1.0],
        [0.94034, 0.72131, 0.66728, 1.0],
        [0.93957, 0.71523, 0.65991, 1.0],
        [0.93876, 0.70914, 0.65256, 1.0],
        [0.93793, 0.70305, 0.64521, 1.0],
        [0.93706, 0.69695, 0.63789, 1.0],
        [0.93616, 0.69086, 0.63058, 1.0],
        [0.93522, 0.68477, 0.62327, 1.0],
        [0.93425, 0.67867, 0.61598, 1.0],
        [0.93325, 0.67258, 0.60871, 1.0],
        [0.93222, 0.66648, 0.60143, 1.0],
        [0.93116, 0.66038, 0.59418, 1.0],
        [0.93006, 0.65428, 0.58694, 1.0],
        [0.92893, 0.64818, 0.57973, 1.0],
        [0.92777, 0.64208, 0.57251, 1.0],
        [0.92659, 0.63597, 0.5653, 1.0],
        [0.92537, 0.62986, 0.55812, 1.0],
        [0.92412, 0.62375, 0.55095, 1.0],
        [0.92285, 0.61762, 0.54379, 1.0],
        [0.92154, 0.61151, 0.53665, 1.0],
        [0.9202, 0.60538, 0.52951, 1.0],
        [0.91883, 0.59925, 0.52238, 1.0],
        [0.91743, 0.59312, 0.51527, 1.0],
        [0.916, 0.58697, 0.50819, 1.0],
        [0.91455, 0.58083, 0.5011, 1.0],
        [0.91306, 0.57468, 0.49403, 1.0],
        [0.91155, 0.56853, 0.48698, 1.0],
        [0.91001, 0.56237, 0.47994, 1.0],
        [0.90844, 0.55619, 0.4729, 1.0],
        [0.90684, 0.55002, 0.46589, 1.0],
        [0.90521, 0.54384, 0.45889, 1.0],
        [0.90355, 0.53765, 0.45191, 1.0],
        [0.90187, 0.53145, 0.44493, 1.0],
        [0.90016, 0.52524, 0.43797, 1.0],
        [0.89842, 0.51903, 0.43102, 1.0],
        [0.89665, 0.51279, 0.42408, 1.0],
        [0.89486, 0.50655, 0.41717, 1.0],
        [0.89304, 0.5003, 0.41026, 1.0],
        [0.89119, 0.49404, 0.40336, 1.0],
        [0.88932, 0.48777, 0.39647, 1.0],
        [0.88741, 0.48147, 0.3896, 1.0],
        [0.88549, 0.47518, 0.38274, 1.0],
        [0.88354, 0.46885, 0.3759, 1.0],
        [0.88156, 0.46251, 0.36907, 1.0],
        [0.87955, 0.45616, 0.36225, 1.0],
        [0.87752, 0.4498, 0.35546, 1.0],
        [0.87547, 0.44341, 0.34865, 1.0],
        [0.87338, 0.437, 0.34187, 1.0],
        [0.87128, 0.43057, 0.33511, 1.0],
        [0.86914, 0.42411, 0.32834, 1.0],
        [0.86698, 0.41764, 0.32159, 1.0],
        [0.8648, 0.41114, 0.31485, 1.0],
        [0.8626, 0.40461, 0.30813, 1.0],
        [0.86036, 0.39806, 0.30141, 1.0],
        [0.8581, 0.39148, 0.29471, 1.0],
        [0.85582, 0.38485, 0.28802, 1.0],
        [0.85351, 0.37821, 0.28133, 1.0],
        [0.85118, 0.37151, 0.27466, 1.0],
        [0.84883, 0.36479, 0.26799, 1.0],
        [0.84645, 0.35804, 0.26135, 1.0],
        [0.84405, 0.35123, 0.25471, 1.0],
        [0.84163, 0.34436, 0.24807, 1.0],
        [0.83918, 0.33747, 0.24143, 1.0],
        [0.83671, 0.3305, 0.23481, 1.0],
        [0.83422, 0.32349, 0.22818, 1.0],
        [0.8317, 0.31643, 0.22155, 1.0],
        [0.82916, 0.30929, 0.21492, 1.0],
        [0.82659, 0.30206, 0.20831, 1.0],
        [0.824, 0.29477, 0.20168, 1.0],
        [0.8214, 0.2874, 0.19508, 1.0],
        [0.81876, 0.27996, 0.18847, 1.0],
        [0.81611, 0.27239, 0.1818, 1.0],
        [0.81343, 0.26474, 0.17519, 1.0],
        [0.81074, 0.25697, 0.16854, 1.0],
        [0.80802, 0.24907, 0.16191, 1.0],
        [0.80528, 0.24103, 0.15521, 1.0],
        [0.80252, 0.23283, 0.1485, 1.0],
        [0.79974, 0.22446, 0.1418, 1.0],
        [0.79693, 0.21594, 0.13506, 1.0],
        [0.79411, 0.20718, 0.12827, 1.0],
        [0.79126, 0.19815, 0.12139, 1.0],
        [0.78839, 0.18889, 0.1145, 1.0],
        [0.78551, 0.1793, 0.10759, 1.0],
        [0.7826, 0.16938, 0.10056, 1.0],
        [0.77967, 0.15898, 0.093435, 1.0],
        [0.77672, 0.14808, 0.086208, 1.0],
        [0.77375, 0.13656, 0.078844, 1.0],
        [0.77076, 0.12429, 0.07141, 1.0],
        [0.76775, 0.11107, 0.063657, 1.0],
        [0.76473, 0.096422, 0.055653, 1.0],
        [0.76168, 0.080002, 0.047336, 1.0],
        [0.75862, 0.060659, 0.038618, 1.0],
        [0.75553, 0.03608, 0.029827, 1.0],
        [0.75243, 0.0084181, 0.021805, 1.0],
    ],
    'cet.diverging_bwr_55_98_c37': [
        [0.14124, 0.50092, 0.99811, 1.0],
        [0.16238, 0.50425, 0.99811, 1.0],
        [0.18106, 0.50758, 0.99811, 1.0],
        [0.19801, 0.51092, 0.9981, 1.0],
        [0.21361, 0.51428, 0.9981, 1.0],
        [0.22813, 0.51763, 0.99809, 1.0],
        [0.24174, 0.52099, 0.99808, 1.0],
        [0.25463, 0.52437, 0.99807, 1.0],
        [0.26685, 0.52775, 0.99806, 1.0],
        [0.27856, 0.53114, 0.99805, 1.0],
        [0.28978, 0.53454, 0.99803, 1.0],
        [0.30057, 0.53795, 0.99801, 1.0],
        [0.31101, 0.54135, 0.99799, 1.0],
        [0.3211, 0.54477, 0.99796, 1.0],
        [0.33087, 0.5482, 0.99794, 1.0],
        [0.34039, 0.55164, 0.99791, 1.0],
        [0.34964, 0.55507, 0.99788, 1.0],
        [0.35865, 0.55852, 0.99784, 1.0],
        [0.36746, 0.56199, 0.99781, 1.0],
        [0.37609, 0.56544, 0.99777, 1.0],
        [0.38451, 0.56891, 0.99773, 1.0],
        [0.39277, 0.57239, 0.99769, 1.0],
        [0.40089, 0.57588, 0.99764, 1.0],
        [0.40883, 0.57937, 0.9976, 1.0],
        [0.41665, 0.58286, 0.99755, 1.0],
        [0.42433, 0.58637, 0.9975, 1.0],
        [0.4319, 0.58987, 0.99744, 1.0],
        [0.43933, 0.59339, 0.99739, 1.0],
        [0.44667, 0.59692, 0.99733, 1.0],
        [0.45389, 0.60045, 0.99727, 1.0],
        [0.46103, 0.60399, 0.99721, 1.0],
        [0.46806, 0.60753, 0.99714, 1.0],
        [0.47502, 0.61108, 0.99707, 1.0],
        [0.48188, 0.61463, 0.997, 1.0],
        [0.48866, 0.6182, 0.99693, 1.0],
        [0.49537, 0.62176, 0.99685, 1.0],
        [0.502, 0.62534, 0.99677, 1.0],
        [0.50857, 0.62892, 0.99669, 1.0],
        [0.51505, 0.63251, 0.99661, 1.0],
        [0.52148, 0.6361, 0.99653, 1.0],
        [0.52785, 0.6397, 0.99644, 1.0],
        [0.53415, 0.6433, 0.99635, 1.0],
        [0.5404, 0.64691, 0.99626, 1.0],
        [0.5466, 0.65053, 0.99616, 1.0],
        [0.55274, 0.65415, 0.99606, 1.0],
        [0.55883, 0.65778, 0.99596, 1.0],
        [0.56487, 0.66141, 0.99586, 1.0],
        [0.57086, 0.66505, 0.99575, 1.0],
        [0.57682, 0.6687, 0.99565, 1.0],
        [0.58271, 0.67235, 0.99554, 1.0],
        [0.58857, 0.676, 0.99542, 1.0],
        [0.59439, 0.67966, 0.99531, 1.0],
        [0.60017, 0.68333, 0.99519, 1.0],
        [0.60591, 0.687, 0.99507, 1.0],
        [0.61162, 0.69067, 0.99494, 1.0],
        [0.61728, 0.69436, 0.99482, 1.0],
        [0.62292, 0.69805, 0.99469, 1.0],
        [0.62852, 0.70174, 0.99455, 1.0],
        [0.63408, 0.70544, 0.99442, 1.0],
        [0.63961, 0.70915, 0.99428, 1.0],
        [0.64511, 0.71285, 0.99414, 1.0],
        [0.65058, 0.71657, 0.994, 1.0],
        [0.65603, 0.72029, 0.99386, 1.0],
        [0.66144, 0.72401, 0.99371, 1.0],
        [0.66681, 0.72774, 0.99356, 1.0],
        [0.67218, 0.73148, 0.9934, 1.0],
        [0.67751, 0.73522, 0.99325, 1.0],
        [0.68281, 0.73897, 0.99309, 1.0],
        [0.6881, 0.74272, 0.99292, 1.0],
        [0.69335, 0.74647, 0.99276, 1.0],
        [0.69858, 0.75023, 0.99259, 1.0],
        [0.70379, 0.754, 0.99242, 1.0],
        [0.70899, 0.75776, 0.99224, 1.0],
        [0.71414, 0.76154, 0.99207, 1.0],
        [0.71929, 0.76532, 0.99189, 1.0],
        [0.72442, 0.7691, 0.9917, 1.0],
        [0.72952, 0.77289, 0.99152, 1.0],
        [0.7346, 0.77668, 0.99133, 1.0],
        [0.73967, 0.78048, 0.99114, 1.0],
        [0.74471, 0.78429, 0.99094, 1.0],
        [0.74973, 0.78809, 0.99074, 1.0],
        [0.75475, 0.7919, 0.99054, 1.0],
        [0.75973, 0.79572, 0.99034, 1.0],
        [0.76471, 0.79954, 0.99013, 1.0],
        [0.76967, 0.80336, 0.98992, 1.0],
        [0.77461, 0.8072, 0.98971, 1.0],
        [0.77953, 0.81103, 0.9895, 1.0],
        [0.78445, 0.81486, 0.98928, 1.0],
        [0.78934, 0.81871, 0.98905, 1.0],
        [0.79422, 0.82256, 0.98883, 1.0],
        [0.79908, 0.82641, 0.9886, 1.0],
        [0.80393, 0.83027, 0.98836, 1.0],
        [0.80877, 0.83413, 0.98813, 1.0],
        [0.81358, 0.83799, 0.98789, 1.0],
        [0.81839, 0.84186, 0.98765, 1.0],
        [0.82319, 0.84573, 0.98741, 1.0],
        [0.82797, 0.84962, 0.98716, 1.0],
        [0.83274, 0.85349, 0.98691, 1.0],
        [0.8375, 0.85738, 0.98666, 1.0],
        [0.84224, 0.86127, 0.9864, 1.0],
        [0.84697, 0.86516, 0.98614, 1.0],
        [0.85169, 0.86907, 0.98588, 1.0],
        [0.8564, 0.87297, 0.98561, 1.0],
        [0.8611, 0.87687, 0.98534, 1.0],
        [0.86579, 0.88079, 0.98507, 1.0],
        [0.87046, 0.88471, 0.98479, 1.0],
        [0.87513, 0.88863, 0.98451, 1.0],
        [0.87979, 0.89255, 0.98422, 1.0],
        [0.88444, 0.89648, 0.98394, 1.0],
        [0.88907, 0.90041, 0.98364, 1.0],
        [0.8937, 0.90434, 0.98335, 1.0],
        [0.89831, 0.90829, 0.98305, 1.0],
        [0.90292, 0.91223, 0.98275, 1.0],
        [0.90752, 0.91617, 0.98245, 1.0],
        [0.91211, 0.92012, 0.98214, 1.0],
        [0.91669, 0.92408, 0.98183, 1.0],
        [0.92126, 0.92804, 0.98152, 1.0],
        [0.92582, 0.932, 0.9812, 1.0],
        [0.93037, 0.93597, 0.98088, 1.0],
        [0.93492, 0.93994, 0.98055, 1.0],
        [0.93946, 0.94392, 0.98022, 1.0],
        [0.94399, 0.9479, 0.97989, 1.0],
        [0.94853, 0.95188, 0.97953, 1.0],
        [0.95311, 0.95584, 0.97909, 1.0],
        [0.95776, 0.95967, 0.97843, 1.0],
        [0.9625, 0.96312, 0.97726, 1.0],
        [0.9672, 0.9657, 0.97517, 1.0],
        [0.97158, 0.96685, 0.97187, 1.0],
        [0.97525, 0.96617, 0.96729, 1.0],
        [0.97801, 0.96372, 0.96172, 1.0],
        [0.97994, 0.95996, 0.9556, 1.0],
        [0.9813, 0.95546, 0.94924, 1.0],
        [0.98234, 0.95064, 0.94283, 1.0],
        [0.98324, 0.94571, 0.93643, 1.0],
        [0.98408, 0.94075, 0.93004, 1.0],
        [0.98488, 0.93579, 0.92366, 1.0],
        [0.98565, 0.93083, 0.9173, 1.0],
        [0.98638, 0.92587, 0.91093, 1.0],
        [0.98709, 0.92091, 0.90457, 1.0],
        [0.98776, 0.91596, 0.89822, 1.0],
        [0.98839, 0.91101, 0.89189, 1.0],
        [0.98901, 0.90605, 0.88555, 1.0],
        [0.98959, 0.9011, 0.87922, 1.0],
        [0.99014, 0.89615, 0.87291, 1.0],
        [0.99066, 0.89119, 0.8666, 1.0],
        [0.99115, 0.88624, 0.8603, 1.0],
        [0.99161, 0.88129, 0.85399, 1.0],
        [0.99205, 0.87633, 0.84771, 1.0],
        [0.99245, 0.87139, 0.84143, 1.0],
        [0.99283, 0.86643, 0.83516, 1.0],
        [0.99317, 0.86148, 0.82889, 1.0],
        [0.99349, 0.85653, 0.82263, 1.0],
        [0.99378, 0.85158, 0.81638, 1.0],
        [0.99404, 0.84663, 0.81014, 1.0],
        [0.99428, 0.84168, 0.80391, 1.0],
        [0.99448, 0.83673, 0.79768, 1.0],
        [0.99467, 0.83179, 0.79146, 1.0],
        [0.99482, 0.82683, 0.78525, 1.0],
        [0.99495, 0.82188, 0.77904, 1.0],
        [0.99505, 0.81693, 0.77284, 1.0],
        [0.99512, 0.81198, 0.76666, 1.0],
        [0.99517, 0.80703, 0.76048, 1.0],
        [0.99519, 0.80207, 0.75431, 1.0],
        [0.99519, 0.79712, 0.74814, 1.0],
        [0.99516, 0.79217, 0.74198, 1.0],
        [0.9951, 0.78722, 0.73583, 1.0],
        [0.99503, 0.78226, 0.72969, 1.0],
        [0.99492, 0.77731, 0.72355, 1.0],
        [0.99479, 0.77235, 0.71744, 1.0],
        [0.99464, 0.76739, 0.71132, 1.0],
        [0.99446, 0.76243, 0.7052, 1.0],
        [0.99425, 0.75748, 0.6991, 1.0],
        [0.99403, 0.75251, 0.69301, 1.0],
        [0.99378, 0.74756, 0.68692, 1.0],
        [0.9935, 0.7426, 0.68084, 1.0],
        [0.9932, 0.73763, 0.67478, 1.0],
        [0.99288, 0.73267, 0.66872, 1.0],
        [0.99253, 0.72769, 0.66267, 1.0],
        [0.99216, 0.72272, 0.65662, 1.0],
        [0.99177, 0.71776, 0.65058, 1.0],
        [0.99135, 0.71278, 0.64455, 1.0],
        [0.99091, 0.7078, 0.63853, 1.0],
        [0.99045, 0.70283, 0.63252, 1.0],
        [0.98996, 0.69784, 0.62651, 1.0],
        [0.98946, 0.69287, 0.62052, 1.0],
        [0.98893, 0.68788, 0.61452, 1.0],
        [0.98837, 0.68289, 0.60856, 1.0],
        [0.9878, 0.6779, 0.60258, 1.0],
        [0.98721, 0.67291, 0.59662, 1.0],
        [0.98659, 0.66791, 0.59066, 1.0],
        [0.98595, 0.66291, 0.58471, 1.0],
        [0.98529, 0.65791, 0.57877, 1.0],
        [0.98461, 0.65289, 0.57285, 1.0],
        [0.9839, 0.64788, 0.56693, 1.0],
        [0.98317, 0.64287, 0.561, 1.0],
        [0.98243, 0.63785, 0.5551, 1.0],
        [0.98166, 0.63283, 0.54921, 1.0],
        [0.98087, 0.6278, 0.54332, 1.0],
        [0.98006, 0.62277, 0.53744, 1.0],
        [0.97923, 0.61772, 0.53156, 1.0],
        [0.97838, 0.61268, 0.5257, 1.0],
        [0.97751, 0.60764, 0.51984, 1.0],
        [0.97662, 0.60258, 0.514, 1.0],
        [0.97571, 0.59752, 0.50816, 1.0],
        [0.97478, 0.59246, 0.50233, 1.0],
        [0.97383, 0.58738, 0.4965, 1.0],
        [0.97286, 0.5823, 0.4907, 1.0],
        [0.97187, 0.57722, 0.48488, 1.0],
        [0.97086, 0.57213, 0.47909, 1.0],
        [0.96983, 0.56703, 0.47329, 1.0],
        [0.96878, 0.56193, 0.46752, 1.0],
        [0.96771, 0.55681, 0.46174, 1.0],
        [0.96662, 0.55168, 0.45597, 1.0],
        [0.96552, 0.54655, 0.45022, 1.0],
        [0.96439, 0.5414, 0.44448, 1.0],
        [0.96325, 0.53626, 0.43872, 1.0],
        [0.96208, 0.53109, 0.433, 1.0],
        [0.9609, 0.52593, 0.42728, 1.0],
        [0.9597, 0.52074, 0.42155, 1.0],
        [0.95849, 0.51554, 0.41584, 1.0],
        [0.95724, 0.51034, 0.41015, 1.0],
        [0.95599, 0.50513, 0.40444, 1.0],
        [0.95472, 0.49989, 0.39876, 1.0],
        [0.95343, 0.49466, 0.39308, 1.0],
        [0.95211, 0.4894, 0.38741, 1.0],
        [0.95079, 0.48413, 0.38175, 1.0],
        [0.94944, 0.47885, 0.3761, 1.0],
        [0.94808, 0.47355, 0.37044, 1.0],
        [0.94669, 0.46823, 0.3648, 1.0],
        [0.9453, 0.4629, 0.35917, 1.0],
        [0.94388, 0.45756, 0.35354, 1.0],
        [0.94245, 0.4522, 0.34793, 1.0],
        [0.94099, 0.44681, 0.34231, 1.0],
        [0.93953, 0.4414, 0.3367, 1.0],
        [0.93804, 0.43598, 0.33109, 1.0],
        [0.93654, 0.43053, 0.32549, 1.0],
        [0.93502, 0.42506, 0.31992, 1.0],
        [0.93348, 0.41957, 0.31433, 1.0],
        [0.93192, 0.41405, 0.30876, 1.0],
        [0.93036, 0.4085, 0.30317, 1.0],
        [0.92877, 0.40293, 0.29761, 1.0],
        [0.92717, 0.39733, 0.29205, 1.0],
        [0.92555, 0.39171, 0.28648, 1.0],
        [0.92391, 0.38604, 0.28092, 1.0],
        [0.92226, 0.38036, 0.2754, 1.0],
        [0.92059, 0.37463, 0.26985, 1.0],
        [0.91891, 0.36887, 0.2643, 1.0],
        [0.91721, 0.36306, 0.25876, 1.0],
        [0.91549, 0.35724, 0.25322, 1.0],
        [0.91376, 0.35135, 0.24768, 1.0],
        [0.91201, 0.34542, 0.24214, 1.0],
        [0.91025, 0.33945, 0.23661, 1.0],
        [0.90847, 0.33343, 0.23107, 1.0],
        [0.90668, 0.32733, 0.22552, 1.0],
        [0.90487, 0.32121, 0.21999, 1.0],
        [0.90304, 0.31501, 0.21443, 1.0],
    ],
    'cet.diverging_cwm_80_100_c22': [
        [0, 0.85071, 1, 1.0],
        [0, 0.85194, 1, 1.0],
        [0.056211, 0.85316, 1, 1.0],
        [0.10029, 0.85438, 1, 1.0],
        [0.13168, 0.8556, 1, 1.0],
        [0.15712, 0.85682, 1, 1.0],
        [0.17902, 0.85804, 1, 1.0],
        [0.19846, 0.85925, 1, 1.0],
        [0.21615, 0.86047, 1, 1.0],
        [0.23241, 0.86169, 1, 1.0],
        [0.24758, 0.8629, 1, 1.0],
        [0.26183, 0.86412, 1, 1.0],
        [0.27532, 0.86533, 1, 1.0],
        [0.28813, 0.86654, 1, 1.0],
        [0.30039, 0.86775, 1, 1.0],
        [0.31215, 0.86897, 1, 1.0],
        [0.32349, 0.87017, 1, 1.0],
        [0.33443, 0.87138, 1, 1.0],
        [0.34499, 0.87259, 1, 1.0],
        [0.35526, 0.87379, 1, 1.0],
        [0.36521, 0.875, 1, 1.0],
        [0.37491, 0.87621, 1, 1.0],
        [0.38437, 0.87741, 1, 1.0],
        [0.3936, 0.87861, 1, 1.0],
        [0.40262, 0.87982, 1, 1.0],
        [0.41146, 0.88102, 1, 1.0],
        [0.42011, 0.88222, 1, 1.0],
        [0.4286, 0.88342, 1, 1.0],
        [0.43693, 0.88462, 1, 1.0],
        [0.44511, 0.88582, 1, 1.0],
        [0.45315, 0.88702, 1, 1.0],
        [0.46106, 0.88821, 1, 1.0],
        [0.46885, 0.88941, 1, 1.0],
        [0.47652, 0.8906, 1, 1.0],
        [0.48407, 0.8918, 1, 1.0],
        [0.49154, 0.89299, 1, 1.0],
        [0.49889, 0.89419, 1, 1.0],
        [0.50614, 0.89538, 1, 1.0],
        [0.51332, 0.89657, 1, 1.0],
        [0.5204, 0.89776, 1, 1.0],
        [0.5274, 0.89895, 1, 1.0],
        [0.53432, 0.90014, 1, 1.0],
        [0.54117, 0.90132, 1, 1.0],
        [0.54795, 0.90251, 1, 1.0],
        [0.55466, 0.9037, 1, 1.0],
        [0.56129, 0.90488, 1, 1.0],
        [0.56787, 0.90607, 1, 1.0],
        [0.57438, 0.90725, 1, 1.0],
        [0.58084, 0.90844, 1, 1.0],
        [0.58724, 0.90962, 1, 1.0],
        [0.59358, 0.9108, 1, 1.0],
        [0.59988, 0.91198, 1, 1.0],
        [0.60611, 0.91316, 1, 1.0],
        [0.6123, 0.91434, 1, 1.0],
        [0.61845, 0.91551, 1, 1.0],
        [0.62455, 0.91669, 1, 1.0],
        [0.6306, 0.91787, 1, 1.0],
        [0.63661, 0.91904, 1, 1.0],
        [0.64258, 0.92021, 1, 1.0],
        [0.6485, 0.92139, 1, 1.0],
        [0.65439, 0.92256, 1, 1.0],
        [0.66024, 0.92373, 1, 1.0],
        [0.66606, 0.9249, 1, 1.0],
        [0.67183, 0.92607, 1, 1.0],
        [0.67758, 0.92724, 1, 1.0],
        [0.68329, 0.92841, 1, 1.0],
        [0.68897, 0.92958, 1, 1.0],
        [0.69461, 0.93075, 1, 1.0],
        [0.70023, 0.93191, 1, 1.0],
        [0.70581, 0.93307, 1, 1.0],
        [0.71137, 0.93424, 1, 1.0],
        [0.7169, 0.9354, 1, 1.0],
        [0.72239, 0.93657, 1, 1.0],
        [0.72786, 0.93773, 1, 1.0],
        [0.73331, 0.93889, 1, 1.0],
        [0.73873, 0.94005, 1, 1.0],
        [0.74412, 0.94121, 1, 1.0],
        [0.74949, 0.94237, 1, 1.0],
        [0.75485, 0.94352, 1, 1.0],
        [0.76017, 0.94468, 1, 1.0],
        [0.76547, 0.94583, 1, 1.0],
        [0.77075, 0.94699, 1, 1.0],
        [0.776, 0.94814, 1, 1.0],
        [0.78124, 0.9493, 1, 1.0],
        [0.78646, 0.95045, 1, 1.0],
        [0.79165, 0.9516, 1, 1.0],
        [0.79683, 0.95275, 1, 1.0],
        [0.80199, 0.9539, 1, 1.0],
        [0.80713, 0.95505, 1, 1.0],
        [0.81224, 0.9562, 1, 1.0],
        [0.81735, 0.95735, 1, 1.0],
        [0.82244, 0.9585, 1, 1.0],
        [0.8275, 0.95964, 1, 1.0],
        [0.83255, 0.96079, 1, 1.0],
        [0.83759, 0.96192, 1, 1.0],
        [0.84261, 0.96307, 1, 1.0],
        [0.8476, 0.96421, 1, 1.0],
        [0.8526, 0.96535, 1, 1.0],
        [0.85756, 0.9665, 1, 1.0],
        [0.86253, 0.96764, 1, 1.0],
        [0.86746, 0.96878, 1, 1.0],
        [0.8724, 0.96991, 1, 1.0],
        [0.87731, 0.97105, 1, 1.0],
        [0.88221, 0.97219, 1, 1.0],
        [0.8871, 0.97332, 1, 1.0],
        [0.89197, 0.97446, 1, 1.0],
        [0.89684, 0.97559, 1, 1.0],
        [0.90168, 0.97672, 1, 1.0],
        [0.90652, 0.97786, 1, 1.0],
        [0.91134, 0.97899, 1, 1.0],
        [0.91615, 0.98012, 1, 1.0],
        [0.92095, 0.98125, 1, 1.0],
        [0.92575, 0.98238, 1, 1.0],
        [0.93053, 0.98351, 1, 1.0],
        [0.93529, 0.98464, 1, 1.0],
        [0.94005, 0.98576, 1, 1.0],
        [0.9448, 0.98689, 1, 1.0],
        [0.94953, 0.98801, 1, 1.0],
        [0.95426, 0.98914, 1, 1.0],
        [0.95897, 0.99026, 1, 1.0],
        [0.96367, 0.99138, 1, 1.0],
        [0.96837, 0.99251, 1, 1.0],
        [0.97306, 0.99363, 1, 1.0],
        [0.97773, 0.99474, 1, 1.0],
        [0.9824, 0.99586, 1, 1.0],
        [0.98725, 0.99702, 1, 1.0],
        [0.9912, 0.99798, 1, 1.0],
        [0.99685, 0.99934, 1, 1.0],
        [0.99988, 0.9982, 0.99969, 1.0],
        [0.99991, 0.99575, 0.99926, 1.0],
        [0.99993, 0.9933, 0.99882, 1.0],
        [0.99994, 0.99084, 0.99839, 1.0],
        [0.99996, 0.98838, 0.99796, 1.0],
        [0.99997, 0.98593, 0.99752, 1.0],
        [0.99998, 0.98347, 0.99709, 1.0],
        [0.99998, 0.98102, 0.99665, 1.0],
        [0.99998, 0.97856, 0.99622, 1.0],
        [0.99998, 0.97611, 0.99578, 1.0],
        [0.99998, 0.97365, 0.99535, 1.0],
        [0.99997, 0.97119, 0.99491, 1.0],
        [0.99996, 0.96874, 0.99448, 1.0],
        [0.99995, 0.96628, 0.99404, 1.0],
        [0.99993, 0.96382, 0.99361, 1.0],
        [0.99991, 0.96136, 0.99317, 1.0],
        [0.99989, 0.9589, 0.99273, 1.0],
        [0.99986, 0.95644, 0.99229, 1.0],
        [0.99984, 0.95398, 0.99185, 1.0],
        [0.9998, 0.95152, 0.99141, 1.0],
        [0.99977, 0.94906, 0.99097, 1.0],
        [0.99973, 0.9466, 0.99053, 1.0],
        [0.99969, 0.94414, 0.99009, 1.0],
        [0.99965, 0.94167, 0.98965, 1.0],
        [0.9996, 0.93921, 0.98921, 1.0],
        [0.99955, 0.93675, 0.98877, 1.0],
        [0.9995, 0.93428, 0.98832, 1.0],
        [0.99945, 0.93182, 0.98788, 1.0],
        [0.99939, 0.92935, 0.98744, 1.0],
        [0.99933, 0.92689, 0.987, 1.0],
        [0.99926, 0.92442, 0.98656, 1.0],
        [0.9992, 0.92196, 0.98611, 1.0],
        [0.99913, 0.91949, 0.98567, 1.0],
        [0.99905, 0.91702, 0.98522, 1.0],
        [0.99898, 0.91455, 0.98478, 1.0],
        [0.9989, 0.91208, 0.98433, 1.0],
        [0.99882, 0.90961, 0.98388, 1.0],
        [0.99873, 0.90714, 0.98343, 1.0],
        [0.99865, 0.90467, 0.98299, 1.0],
        [0.99855, 0.9022, 0.98254, 1.0],
        [0.99846, 0.89973, 0.9821, 1.0],
        [0.99837, 0.89726, 0.98165, 1.0],
        [0.99827, 0.89478, 0.9812, 1.0],
        [0.99816, 0.89231, 0.98075, 1.0],
        [0.99806, 0.88983, 0.9803, 1.0],
        [0.99795, 0.88735, 0.97985, 1.0],
        [0.99784, 0.88488, 0.9794, 1.0],
        [0.99773, 0.8824, 0.97894, 1.0],
        [0.99761, 0.87992, 0.97849, 1.0],
        [0.99749, 0.87744, 0.97804, 1.0],
        [0.99737, 0.87496, 0.97759, 1.0],
        [0.99725, 0.87248, 0.97714, 1.0],
        [0.99712, 0.87, 0.97668, 1.0],
        [0.99699, 0.86752, 0.97623, 1.0],
        [0.99686, 0.86503, 0.97578, 1.0],
        [0.99672, 0.86256, 0.97532, 1.0],
        [0.99658, 0.86007, 0.97487, 1.0],
        [0.99644, 0.85758, 0.97441, 1.0],
        [0.9963, 0.8551, 0.97396, 1.0],
        [0.99615, 0.85261, 0.9735, 1.0],
        [0.996, 0.85012, 0.97305, 1.0],
        [0.99585, 0.84763, 0.97259, 1.0],
        [0.9957, 0.84514, 0.97214, 1.0],
        [0.99554, 0.84265, 0.97168, 1.0],
        [0.99538, 0.84016, 0.97122, 1.0],
        [0.99522, 0.83767, 0.97076, 1.0],
        [0.99505, 0.83517, 0.9703, 1.0],
        [0.99488, 0.83267, 0.96984, 1.0],
        [0.99471, 0.83018, 0.96938, 1.0],
        [0.99454, 0.82768, 0.96892, 1.0],
        [0.99436, 0.82518, 0.96846, 1.0],
        [0.99418, 0.82268, 0.96801, 1.0],
        [0.994, 0.82018, 0.96754, 1.0],
        [0.99382, 0.81768, 0.96708, 1.0],
        [0.99363, 0.81518, 0.96662, 1.0],
        [0.99344, 0.81267, 0.96615, 1.0],
        [0.99325, 0.81017, 0.96569, 1.0],
        [0.99305, 0.80766, 0.96523, 1.0],
        [0.99285, 0.80516, 0.96476, 1.0],
        [0.99265, 0.80265, 0.9643, 1.0],
        [0.99245, 0.80014, 0.96384, 1.0],
        [0.99224, 0.79763, 0.96337, 1.0],
        [0.99203, 0.79512, 0.96291, 1.0],
        [0.99182, 0.7926, 0.96244, 1.0],
        [0.99161, 0.79009, 0.96197, 1.0],
        [0.99139, 0.78757, 0.96151, 1.0],
        [0.99117, 0.78506, 0.96105, 1.0],
        [0.99095, 0.78254, 0.96058, 1.0],
        [0.99072, 0.78001, 0.96011, 1.0],
        [0.9905, 0.7775, 0.95964, 1.0],
        [0.99027, 0.77497, 0.95917, 1.0],
        [0.99003, 0.77245, 0.95871, 1.0],
        [0.9898, 0.76992, 0.95824, 1.0],
        [0.98956, 0.76739, 0.95777, 1.0],
        [0.98932, 0.76487, 0.9573, 1.0],
        [0.98908, 0.76233, 0.95683, 1.0],
        [0.98883, 0.7598, 0.95636, 1.0],
        [0.98858, 0.75727, 0.95589, 1.0],
        [0.98833, 0.75474, 0.95542, 1.0],
        [0.98808, 0.7522, 0.95494, 1.0],
        [0.98782, 0.74966, 0.95447, 1.0],
        [0.98756, 0.74712, 0.954, 1.0],
        [0.9873, 0.74458, 0.95353, 1.0],
        [0.98704, 0.74204, 0.95305, 1.0],
        [0.98677, 0.7395, 0.95258, 1.0],
        [0.9865, 0.73694, 0.9521, 1.0],
        [0.98623, 0.7344, 0.95163, 1.0],
        [0.98596, 0.73185, 0.95115, 1.0],
        [0.98568, 0.72929, 0.95068, 1.0],
        [0.9854, 0.72674, 0.9502, 1.0],
        [0.98512, 0.72418, 0.94972, 1.0],
        [0.98484, 0.72162, 0.94925, 1.0],
        [0.98455, 0.71907, 0.94877, 1.0],
        [0.98426, 0.71651, 0.94829, 1.0],
        [0.98397, 0.71394, 0.94782, 1.0],
        [0.98367, 0.71138, 0.94734, 1.0],
        [0.98338, 0.70881, 0.94686, 1.0],
        [0.98308, 0.70624, 0.94638, 1.0],
        [0.98278, 0.70366, 0.9459, 1.0],
        [0.98247, 0.70109, 0.94542, 1.0],
        [0.98217, 0.69851, 0.94494, 1.0],
        [0.98186, 0.69594, 0.94446, 1.0],
        [0.98154, 0.69335, 0.94398, 1.0],
        [0.98123, 0.69077, 0.9435, 1.0],
        [0.98091, 0.68819, 0.94302, 1.0],
        [0.98059, 0.6856, 0.94253, 1.0],
        [0.98027, 0.68301, 0.94205, 1.0],
        [0.97995, 0.68041, 0.94156, 1.0],
    ],
    'cet.diverging_gkr_60_10_c40': [
        [0.2109, 0.65114, 0.08795, 1.0],
        [0.21113, 0.64645, 0.089674, 1.0],
        [0.21134, 0.64175, 0.091371, 1.0],
        [0.21153, 0.63707, 0.092907, 1.0],
        [0.21169, 0.63239, 0.09454, 1.0],
        [0.21184, 0.62772, 0.095984, 1.0],
        [0.21196, 0.62306, 0.097463, 1.0],
        [0.21206, 0.6184, 0.098858, 1.0],
        [0.21214, 0.61374, 0.1002, 1.0],
        [0.2122, 0.6091, 0.10151, 1.0],
        [0.21223, 0.60446, 0.1028, 1.0],
        [0.21225, 0.59982, 0.10401, 1.0],
        [0.21225, 0.59519, 0.10517, 1.0],
        [0.21224, 0.59056, 0.10638, 1.0],
        [0.2122, 0.58596, 0.10746, 1.0],
        [0.21215, 0.58134, 0.10849, 1.0],
        [0.21207, 0.57674, 0.1096, 1.0],
        [0.21198, 0.57214, 0.11058, 1.0],
        [0.21187, 0.56755, 0.11155, 1.0],
        [0.21174, 0.56297, 0.11249, 1.0],
        [0.21159, 0.55838, 0.1134, 1.0],
        [0.21142, 0.55382, 0.11421, 1.0],
        [0.21123, 0.54926, 0.11506, 1.0],
        [0.21103, 0.5447, 0.11592, 1.0],
        [0.21081, 0.54014, 0.11669, 1.0],
        [0.21057, 0.5356, 0.11742, 1.0],
        [0.21032, 0.53106, 0.1182, 1.0],
        [0.21005, 0.52654, 0.1189, 1.0],
        [0.20977, 0.522, 0.11955, 1.0],
        [0.20946, 0.5175, 0.1202, 1.0],
        [0.20915, 0.51298, 0.12082, 1.0],
        [0.20881, 0.50848, 0.12142, 1.0],
        [0.20846, 0.50398, 0.122, 1.0],
        [0.2081, 0.49948, 0.12257, 1.0],
        [0.20772, 0.49501, 0.12311, 1.0],
        [0.20732, 0.49053, 0.12363, 1.0],
        [0.20692, 0.48605, 0.12413, 1.0],
        [0.20649, 0.48159, 0.12461, 1.0],
        [0.20604, 0.47713, 0.12507, 1.0],
        [0.20556, 0.47268, 0.12553, 1.0],
        [0.20508, 0.46824, 0.12595, 1.0],
        [0.2046, 0.46381, 0.12633, 1.0],
        [0.2041, 0.45938, 0.12668, 1.0],
        [0.20357, 0.45497, 0.12703, 1.0],
        [0.20302, 0.45055, 0.12737, 1.0],
        [0.20246, 0.44614, 0.12771, 1.0],
        [0.20189, 0.44175, 0.12802, 1.0],
        [0.2013, 0.43736, 0.1283, 1.0],
        [0.2007, 0.43297, 0.12855, 1.0],
        [0.20009, 0.42859, 0.12879, 1.0],
        [0.19947, 0.42421, 0.12902, 1.0],
        [0.19883, 0.41986, 0.12924, 1.0],
        [0.19818, 0.4155, 0.12945, 1.0],
        [0.19752, 0.41115, 0.12965, 1.0],
        [0.19686, 0.40681, 0.12982, 1.0],
        [0.19616, 0.40247, 0.12998, 1.0],
        [0.19543, 0.39816, 0.13012, 1.0],
        [0.19472, 0.39383, 0.13024, 1.0],
        [0.19399, 0.38952, 0.13034, 1.0],
        [0.19321, 0.38522, 0.13043, 1.0],
        [0.19244, 0.38094, 0.13051, 1.0],
        [0.19166, 0.37665, 0.13056, 1.0],
        [0.19086, 0.37236, 0.13061, 1.0],
        [0.19005, 0.36809, 0.13064, 1.0],
        [0.18924, 0.36383, 0.13066, 1.0],
        [0.18842, 0.35958, 0.13066, 1.0],
        [0.18757, 0.35534, 0.13065, 1.0],
        [0.18668, 0.3511, 0.13063, 1.0],
        [0.18583, 0.34687, 0.13059, 1.0],
        [0.18493, 0.34265, 0.13054, 1.0],
        [0.184, 0.33842, 0.13048, 1.0],
        [0.18308, 0.33422, 0.13041, 1.0],
        [0.18214, 0.33002, 0.13032, 1.0],
        [0.1812, 0.32581, 0.13022, 1.0],
        [0.18025, 0.32164, 0.1301, 1.0],
        [0.17928, 0.31747, 0.12997, 1.0],
        [0.17832, 0.31331, 0.12982, 1.0],
        [0.17731, 0.30916, 0.12966, 1.0],
        [0.17626, 0.305, 0.12949, 1.0],
        [0.17526, 0.30085, 0.1293, 1.0],
        [0.17423, 0.29673, 0.1291, 1.0],
        [0.17316, 0.29259, 0.1289, 1.0],
        [0.1721, 0.28848, 0.1287, 1.0],
        [0.17102, 0.28437, 0.12849, 1.0],
        [0.16995, 0.28027, 0.12827, 1.0],
        [0.16885, 0.27621, 0.12802, 1.0],
        [0.16771, 0.27209, 0.12776, 1.0],
        [0.16659, 0.26803, 0.12748, 1.0],
        [0.16541, 0.26399, 0.12719, 1.0],
        [0.1643, 0.25993, 0.1269, 1.0],
        [0.16312, 0.25587, 0.12661, 1.0],
        [0.16194, 0.25185, 0.12632, 1.0],
        [0.16072, 0.24783, 0.12601, 1.0],
        [0.1595, 0.24378, 0.12567, 1.0],
        [0.1583, 0.23979, 0.12532, 1.0],
        [0.15704, 0.2358, 0.12495, 1.0],
        [0.15581, 0.23181, 0.12458, 1.0],
        [0.15452, 0.22783, 0.1242, 1.0],
        [0.15324, 0.22384, 0.12382, 1.0],
        [0.15195, 0.21989, 0.12342, 1.0],
        [0.15065, 0.21594, 0.12301, 1.0],
        [0.14935, 0.212, 0.1226, 1.0],
        [0.148, 0.20805, 0.12217, 1.0],
        [0.14664, 0.20414, 0.12174, 1.0],
        [0.14533, 0.20018, 0.1213, 1.0],
        [0.14393, 0.19632, 0.12085, 1.0],
        [0.14254, 0.1924, 0.1204, 1.0],
        [0.14116, 0.18853, 0.11993, 1.0],
        [0.1397, 0.18465, 0.11946, 1.0],
        [0.13835, 0.18077, 0.11899, 1.0],
        [0.13693, 0.17695, 0.11852, 1.0],
        [0.13553, 0.17313, 0.118, 1.0],
        [0.1342, 0.16938, 0.11747, 1.0],
        [0.13286, 0.16558, 0.11697, 1.0],
        [0.13158, 0.16193, 0.1165, 1.0],
        [0.13041, 0.15828, 0.116, 1.0],
        [0.12925, 0.1547, 0.11549, 1.0],
        [0.12828, 0.15123, 0.11499, 1.0],
        [0.12744, 0.14789, 0.11453, 1.0],
        [0.1268, 0.14468, 0.11413, 1.0],
        [0.12643, 0.14163, 0.11378, 1.0],
        [0.12631, 0.13876, 0.11346, 1.0],
        [0.12649, 0.13609, 0.11319, 1.0],
        [0.12701, 0.13374, 0.11297, 1.0],
        [0.12798, 0.13162, 0.11282, 1.0],
        [0.12929, 0.12981, 0.11275, 1.0],
        [0.13109, 0.12828, 0.11276, 1.0],
        [0.1333, 0.12705, 0.11287, 1.0],
        [0.13593, 0.12624, 0.11307, 1.0],
        [0.13905, 0.12571, 0.11335, 1.0],
        [0.14261, 0.1255, 0.11371, 1.0],
        [0.14653, 0.12561, 0.11414, 1.0],
        [0.15086, 0.12602, 0.11466, 1.0],
        [0.15553, 0.12666, 0.11531, 1.0],
        [0.16047, 0.12758, 0.11603, 1.0],
        [0.1657, 0.12871, 0.11675, 1.0],
        [0.17119, 0.13008, 0.11752, 1.0],
        [0.17685, 0.13154, 0.11839, 1.0],
        [0.18266, 0.13315, 0.11923, 1.0],
        [0.18863, 0.1349, 0.1201, 1.0],
        [0.1947, 0.13667, 0.121, 1.0],
        [0.20079, 0.13857, 0.12192, 1.0],
        [0.20703, 0.1405, 0.12286, 1.0],
        [0.21324, 0.14246, 0.12382, 1.0],
        [0.21954, 0.14446, 0.12478, 1.0],
        [0.22586, 0.14644, 0.12577, 1.0],
        [0.23219, 0.14845, 0.12669, 1.0],
        [0.23851, 0.1505, 0.12766, 1.0],
        [0.24487, 0.1525, 0.12861, 1.0],
        [0.25127, 0.15454, 0.12959, 1.0],
        [0.25763, 0.15658, 0.13056, 1.0],
        [0.26403, 0.1586, 0.13149, 1.0],
        [0.27043, 0.16058, 0.13244, 1.0],
        [0.27682, 0.16261, 0.13339, 1.0],
        [0.28323, 0.1646, 0.13435, 1.0],
        [0.28965, 0.1666, 0.13528, 1.0],
        [0.29607, 0.16858, 0.13618, 1.0],
        [0.3025, 0.17056, 0.13717, 1.0],
        [0.30898, 0.17253, 0.13812, 1.0],
        [0.31543, 0.17453, 0.13902, 1.0],
        [0.3219, 0.17646, 0.13994, 1.0],
        [0.32839, 0.17847, 0.14093, 1.0],
        [0.33489, 0.18039, 0.14184, 1.0],
        [0.34139, 0.18234, 0.14277, 1.0],
        [0.34791, 0.1843, 0.1437, 1.0],
        [0.35444, 0.18626, 0.14463, 1.0],
        [0.36096, 0.18821, 0.14557, 1.0],
        [0.36752, 0.19011, 0.14645, 1.0],
        [0.3741, 0.19204, 0.14739, 1.0],
        [0.38068, 0.19399, 0.14829, 1.0],
        [0.38725, 0.19589, 0.14922, 1.0],
        [0.39386, 0.1978, 0.15015, 1.0],
        [0.40049, 0.19969, 0.15104, 1.0],
        [0.40711, 0.2016, 0.15194, 1.0],
        [0.41375, 0.20353, 0.15285, 1.0],
        [0.4204, 0.20541, 0.15376, 1.0],
        [0.42707, 0.20731, 0.15468, 1.0],
        [0.43374, 0.20919, 0.1556, 1.0],
        [0.44044, 0.21108, 0.15651, 1.0],
        [0.44714, 0.21294, 0.15738, 1.0],
        [0.45386, 0.21481, 0.15831, 1.0],
        [0.46058, 0.21671, 0.15919, 1.0],
        [0.46734, 0.21856, 0.16006, 1.0],
        [0.47409, 0.22044, 0.16099, 1.0],
        [0.48085, 0.22227, 0.1619, 1.0],
        [0.48764, 0.22411, 0.16278, 1.0],
        [0.49444, 0.22599, 0.16368, 1.0],
        [0.50124, 0.22782, 0.16455, 1.0],
        [0.50806, 0.22963, 0.1654, 1.0],
        [0.51489, 0.2315, 0.16631, 1.0],
        [0.52173, 0.2333, 0.16721, 1.0],
        [0.5286, 0.23516, 0.16807, 1.0],
        [0.53546, 0.23698, 0.16898, 1.0],
        [0.54234, 0.23877, 0.16985, 1.0],
        [0.54924, 0.24058, 0.17071, 1.0],
        [0.55614, 0.2424, 0.17158, 1.0],
        [0.56307, 0.2442, 0.17245, 1.0],
        [0.56999, 0.246, 0.17332, 1.0],
        [0.57695, 0.24782, 0.17421, 1.0],
        [0.5839, 0.24959, 0.17508, 1.0],
        [0.59087, 0.25141, 0.17591, 1.0],
        [0.59785, 0.25318, 0.17679, 1.0],
        [0.60485, 0.25498, 0.17769, 1.0],
        [0.61185, 0.25674, 0.17854, 1.0],
        [0.61888, 0.25851, 0.17939, 1.0],
        [0.6259, 0.26028, 0.18024, 1.0],
        [0.63295, 0.26205, 0.18109, 1.0],
        [0.64001, 0.26383, 0.18194, 1.0],
        [0.64708, 0.26557, 0.1828, 1.0],
        [0.65415, 0.26731, 0.18366, 1.0],
        [0.66125, 0.26909, 0.18452, 1.0],
        [0.66835, 0.27084, 0.18539, 1.0],
        [0.67547, 0.27256, 0.18622, 1.0],
        [0.68259, 0.27431, 0.18707, 1.0],
        [0.68974, 0.27606, 0.18793, 1.0],
        [0.69689, 0.27778, 0.18876, 1.0],
        [0.70405, 0.27952, 0.18959, 1.0],
        [0.71123, 0.28123, 0.19042, 1.0],
        [0.71841, 0.28297, 0.19126, 1.0],
        [0.72562, 0.28467, 0.1921, 1.0],
        [0.73282, 0.28638, 0.19294, 1.0],
        [0.74005, 0.2881, 0.19379, 1.0],
        [0.74728, 0.28981, 0.19463, 1.0],
        [0.75453, 0.29152, 0.19544, 1.0],
        [0.76178, 0.29321, 0.19629, 1.0],
        [0.76904, 0.2949, 0.19711, 1.0],
        [0.77633, 0.29661, 0.19792, 1.0],
        [0.78362, 0.29829, 0.19874, 1.0],
        [0.79092, 0.29998, 0.19955, 1.0],
        [0.79823, 0.30166, 0.20037, 1.0],
        [0.80555, 0.30334, 0.2012, 1.0],
        [0.81289, 0.30503, 0.20202, 1.0],
        [0.82024, 0.3067, 0.20285, 1.0],
        [0.82759, 0.30837, 0.20368, 1.0],
        [0.83497, 0.31005, 0.2045, 1.0],
        [0.84235, 0.31169, 0.20529, 1.0],
        [0.84974, 0.31336, 0.20613, 1.0],
        [0.85714, 0.31501, 0.20694, 1.0],
        [0.86455, 0.31667, 0.20773, 1.0],
        [0.87198, 0.31832, 0.20854, 1.0],
        [0.87941, 0.31997, 0.20934, 1.0],
        [0.88686, 0.3216, 0.21015, 1.0],
        [0.89431, 0.32325, 0.21095, 1.0],
        [0.90178, 0.32488, 0.21177, 1.0],
        [0.90925, 0.32651, 0.21256, 1.0],
        [0.91675, 0.32815, 0.21334, 1.0],
        [0.92424, 0.32979, 0.21416, 1.0],
        [0.93175, 0.33139, 0.21494, 1.0],
        [0.93927, 0.33303, 0.21575, 1.0],
        [0.9468, 0.33465, 0.21655, 1.0],
        [0.95434, 0.33625, 0.21733, 1.0],
        [0.96189, 0.33786, 0.21812, 1.0],
        [0.96945, 0.33948, 0.21891, 1.0],
        [0.97703, 0.34108, 0.2197, 1.0],
        [0.98461, 0.34269, 0.2205, 1.0],
        [0.9922, 0.34427, 0.22128, 1.0],
    ],
    'cet.diverging_gwr_55_95_c38': [
        [0.22157, 0.59107, 0.055073, 1.0],
        [0.22965, 0.59389, 0.068993, 1.0],
        [0.2376, 0.59671, 0.081291, 1.0],
        [0.24531, 0.59952, 0.092565, 1.0],
        [0.25292, 0.60233, 0.10315, 1.0],
        [0.26037, 0.60514, 0.11313, 1.0],
        [0.26768, 0.60796, 0.12253, 1.0],
        [0.27491, 0.61076, 0.13168, 1.0],
        [0.28202, 0.61356, 0.14045, 1.0],
        [0.28902, 0.61637, 0.14894, 1.0],
        [0.29592, 0.61918, 0.15721, 1.0],
        [0.30273, 0.62197, 0.16528, 1.0],
        [0.3095, 0.62478, 0.1732, 1.0],
        [0.31616, 0.62758, 0.18095, 1.0],
        [0.32276, 0.63038, 0.18859, 1.0],
        [0.32929, 0.63317, 0.1961, 1.0],
        [0.33575, 0.63597, 0.20349, 1.0],
        [0.34216, 0.63876, 0.21079, 1.0],
        [0.34851, 0.64155, 0.21802, 1.0],
        [0.35482, 0.64434, 0.22514, 1.0],
        [0.36105, 0.64714, 0.23224, 1.0],
        [0.36726, 0.64993, 0.23924, 1.0],
        [0.37343, 0.65271, 0.24619, 1.0],
        [0.37954, 0.6555, 0.25311, 1.0],
        [0.38562, 0.65828, 0.25997, 1.0],
        [0.39167, 0.66106, 0.26678, 1.0],
        [0.39767, 0.66385, 0.27357, 1.0],
        [0.40364, 0.66662, 0.28029, 1.0],
        [0.40958, 0.66941, 0.287, 1.0],
        [0.41548, 0.67219, 0.29368, 1.0],
        [0.42135, 0.67496, 0.30034, 1.0],
        [0.42721, 0.67774, 0.30697, 1.0],
        [0.43302, 0.68051, 0.31358, 1.0],
        [0.43881, 0.68328, 0.32017, 1.0],
        [0.44459, 0.68606, 0.32672, 1.0],
        [0.45032, 0.68883, 0.33328, 1.0],
        [0.45604, 0.6916, 0.33982, 1.0],
        [0.46174, 0.69436, 0.34632, 1.0],
        [0.46742, 0.69713, 0.35283, 1.0],
        [0.47307, 0.6999, 0.35932, 1.0],
        [0.47871, 0.70267, 0.3658, 1.0],
        [0.48432, 0.70543, 0.37227, 1.0],
        [0.48992, 0.70819, 0.37873, 1.0],
        [0.49551, 0.71096, 0.38518, 1.0],
        [0.50108, 0.71371, 0.39164, 1.0],
        [0.50662, 0.71648, 0.39808, 1.0],
        [0.51215, 0.71923, 0.40451, 1.0],
        [0.51768, 0.72199, 0.41095, 1.0],
        [0.52318, 0.72475, 0.41738, 1.0],
        [0.52867, 0.7275, 0.42379, 1.0],
        [0.53414, 0.73026, 0.43022, 1.0],
        [0.5396, 0.73301, 0.43664, 1.0],
        [0.54506, 0.73576, 0.44305, 1.0],
        [0.5505, 0.73851, 0.44946, 1.0],
        [0.55592, 0.74126, 0.45587, 1.0],
        [0.56134, 0.74401, 0.46228, 1.0],
        [0.56675, 0.74676, 0.4687, 1.0],
        [0.57214, 0.7495, 0.47512, 1.0],
        [0.57752, 0.75225, 0.48152, 1.0],
        [0.58289, 0.755, 0.48794, 1.0],
        [0.58826, 0.75775, 0.49435, 1.0],
        [0.59362, 0.76049, 0.50076, 1.0],
        [0.59896, 0.76323, 0.50717, 1.0],
        [0.60431, 0.76597, 0.5136, 1.0],
        [0.60963, 0.76871, 0.52001, 1.0],
        [0.61495, 0.77146, 0.52644, 1.0],
        [0.62027, 0.77419, 0.53286, 1.0],
        [0.62557, 0.77693, 0.53928, 1.0],
        [0.63088, 0.77967, 0.54572, 1.0],
        [0.63617, 0.7824, 0.55215, 1.0],
        [0.64145, 0.78514, 0.55858, 1.0],
        [0.64673, 0.78787, 0.56502, 1.0],
        [0.652, 0.79061, 0.57147, 1.0],
        [0.65727, 0.79334, 0.57791, 1.0],
        [0.66253, 0.79607, 0.58437, 1.0],
        [0.66778, 0.7988, 0.59082, 1.0],
        [0.67303, 0.80153, 0.59729, 1.0],
        [0.67827, 0.80426, 0.60376, 1.0],
        [0.68351, 0.80699, 0.61022, 1.0],
        [0.68875, 0.80972, 0.6167, 1.0],
        [0.69397, 0.81244, 0.62318, 1.0],
        [0.69919, 0.81517, 0.62965, 1.0],
        [0.70441, 0.8179, 0.63615, 1.0],
        [0.70963, 0.82062, 0.64264, 1.0],
        [0.71483, 0.82335, 0.64914, 1.0],
        [0.72004, 0.82607, 0.65564, 1.0],
        [0.72525, 0.82879, 0.66215, 1.0],
        [0.73044, 0.83152, 0.66866, 1.0],
        [0.73563, 0.83424, 0.67518, 1.0],
        [0.74082, 0.83696, 0.6817, 1.0],
        [0.74601, 0.83968, 0.68824, 1.0],
        [0.7512, 0.84239, 0.69477, 1.0],
        [0.75637, 0.84511, 0.70131, 1.0],
        [0.76155, 0.84782, 0.70786, 1.0],
        [0.76672, 0.85054, 0.71441, 1.0],
        [0.77189, 0.85326, 0.72097, 1.0],
        [0.77706, 0.85597, 0.72754, 1.0],
        [0.78223, 0.85869, 0.73411, 1.0],
        [0.78739, 0.8614, 0.74068, 1.0],
        [0.79255, 0.86412, 0.74727, 1.0],
        [0.7977, 0.86682, 0.75386, 1.0],
        [0.80286, 0.86954, 0.76045, 1.0],
        [0.80801, 0.87225, 0.76705, 1.0],
        [0.81316, 0.87496, 0.77366, 1.0],
        [0.81831, 0.87767, 0.78027, 1.0],
        [0.82345, 0.88037, 0.7869, 1.0],
        [0.8286, 0.88308, 0.79353, 1.0],
        [0.83375, 0.88579, 0.80016, 1.0],
        [0.83889, 0.88849, 0.80678, 1.0],
        [0.84403, 0.89117, 0.8134, 1.0],
        [0.84917, 0.89385, 0.82001, 1.0],
        [0.8543, 0.8965, 0.82659, 1.0],
        [0.85943, 0.89913, 0.83314, 1.0],
        [0.86454, 0.90171, 0.83964, 1.0],
        [0.86965, 0.90424, 0.84606, 1.0],
        [0.87473, 0.9067, 0.85239, 1.0],
        [0.87979, 0.90907, 0.85857, 1.0],
        [0.88483, 0.91132, 0.8646, 1.0],
        [0.88981, 0.91343, 0.87039, 1.0],
        [0.89474, 0.91536, 0.87592, 1.0],
        [0.8996, 0.91708, 0.88112, 1.0],
        [0.90436, 0.91854, 0.88593, 1.0],
        [0.90902, 0.91973, 0.89029, 1.0],
        [0.91355, 0.92058, 0.89413, 1.0],
        [0.91792, 0.92108, 0.8974, 1.0],
        [0.92213, 0.9212, 0.90005, 1.0],
        [0.92614, 0.92091, 0.90203, 1.0],
        [0.92995, 0.9202, 0.90332, 1.0],
        [0.93353, 0.91905, 0.9039, 1.0],
        [0.9369, 0.91749, 0.90377, 1.0],
        [0.94002, 0.91549, 0.90294, 1.0],
        [0.94291, 0.91311, 0.90144, 1.0],
        [0.94556, 0.91036, 0.89932, 1.0],
        [0.94799, 0.90726, 0.89661, 1.0],
        [0.95021, 0.90386, 0.89338, 1.0],
        [0.95224, 0.90019, 0.88969, 1.0],
        [0.95409, 0.89629, 0.8856, 1.0],
        [0.95578, 0.89219, 0.88117, 1.0],
        [0.95733, 0.88793, 0.87646, 1.0],
        [0.95876, 0.88354, 0.87154, 1.0],
        [0.96008, 0.87904, 0.86642, 1.0],
        [0.96131, 0.87447, 0.86117, 1.0],
        [0.96246, 0.86983, 0.85582, 1.0],
        [0.96355, 0.86515, 0.85038, 1.0],
        [0.96458, 0.86044, 0.8449, 1.0],
        [0.96556, 0.8557, 0.83937, 1.0],
        [0.9665, 0.85093, 0.83383, 1.0],
        [0.9674, 0.84616, 0.82826, 1.0],
        [0.96826, 0.84138, 0.82269, 1.0],
        [0.96908, 0.83659, 0.81711, 1.0],
        [0.96988, 0.83181, 0.81154, 1.0],
        [0.97064, 0.82702, 0.80597, 1.0],
        [0.97138, 0.82223, 0.80041, 1.0],
        [0.9721, 0.81743, 0.79486, 1.0],
        [0.97278, 0.81263, 0.78932, 1.0],
        [0.97344, 0.80784, 0.78378, 1.0],
        [0.97407, 0.80303, 0.77824, 1.0],
        [0.97467, 0.79823, 0.77271, 1.0],
        [0.97524, 0.79344, 0.76719, 1.0],
        [0.97579, 0.78863, 0.76168, 1.0],
        [0.97632, 0.78382, 0.75618, 1.0],
        [0.97682, 0.77901, 0.75068, 1.0],
        [0.97729, 0.7742, 0.74518, 1.0],
        [0.97774, 0.76938, 0.7397, 1.0],
        [0.97816, 0.76457, 0.73422, 1.0],
        [0.97855, 0.75974, 0.72875, 1.0],
        [0.97893, 0.75493, 0.72328, 1.0],
        [0.97928, 0.7501, 0.71783, 1.0],
        [0.9796, 0.74527, 0.71237, 1.0],
        [0.9799, 0.74044, 0.70693, 1.0],
        [0.98017, 0.7356, 0.70149, 1.0],
        [0.98042, 0.73077, 0.69606, 1.0],
        [0.98064, 0.72593, 0.69063, 1.0],
        [0.98084, 0.72108, 0.68522, 1.0],
        [0.98102, 0.71624, 0.6798, 1.0],
        [0.98118, 0.71138, 0.6744, 1.0],
        [0.98131, 0.70653, 0.66901, 1.0],
        [0.98142, 0.70166, 0.66363, 1.0],
        [0.9815, 0.69679, 0.65824, 1.0],
        [0.98157, 0.69193, 0.65286, 1.0],
        [0.98161, 0.68705, 0.6475, 1.0],
        [0.98162, 0.68217, 0.64214, 1.0],
        [0.98162, 0.67729, 0.63679, 1.0],
        [0.98159, 0.6724, 0.63144, 1.0],
        [0.98154, 0.6675, 0.6261, 1.0],
        [0.98147, 0.6626, 0.62077, 1.0],
        [0.98138, 0.6577, 0.61544, 1.0],
        [0.98126, 0.65278, 0.61013, 1.0],
        [0.98113, 0.64786, 0.60482, 1.0],
        [0.98097, 0.64294, 0.59952, 1.0],
        [0.98079, 0.63801, 0.59422, 1.0],
        [0.98059, 0.63307, 0.58893, 1.0],
        [0.98037, 0.62813, 0.58366, 1.0],
        [0.98013, 0.62318, 0.57838, 1.0],
        [0.97987, 0.61821, 0.57313, 1.0],
        [0.97959, 0.61324, 0.56786, 1.0],
        [0.97929, 0.60827, 0.56262, 1.0],
        [0.97896, 0.60329, 0.55738, 1.0],
        [0.97862, 0.59829, 0.55214, 1.0],
        [0.97826, 0.59329, 0.54691, 1.0],
        [0.97788, 0.58827, 0.54169, 1.0],
        [0.97747, 0.58326, 0.53649, 1.0],
        [0.97705, 0.57822, 0.53128, 1.0],
        [0.97661, 0.57319, 0.52609, 1.0],
        [0.97615, 0.56814, 0.5209, 1.0],
        [0.97567, 0.56308, 0.51571, 1.0],
        [0.97517, 0.558, 0.51054, 1.0],
        [0.97465, 0.55292, 0.50537, 1.0],
        [0.97411, 0.54782, 0.50022, 1.0],
        [0.97355, 0.54272, 0.49508, 1.0],
        [0.97298, 0.5376, 0.48993, 1.0],
        [0.97239, 0.53246, 0.48479, 1.0],
        [0.97177, 0.52731, 0.47968, 1.0],
        [0.97114, 0.52213, 0.47456, 1.0],
        [0.97049, 0.51696, 0.46946, 1.0],
        [0.96982, 0.51176, 0.46436, 1.0],
        [0.96914, 0.50655, 0.45926, 1.0],
        [0.96843, 0.50133, 0.45417, 1.0],
        [0.96771, 0.49607, 0.4491, 1.0],
        [0.96697, 0.49082, 0.44403, 1.0],
        [0.96621, 0.48553, 0.43896, 1.0],
        [0.96544, 0.48023, 0.4339, 1.0],
        [0.96464, 0.47491, 0.42887, 1.0],
        [0.96383, 0.46957, 0.42382, 1.0],
        [0.96301, 0.4642, 0.4188, 1.0],
        [0.96216, 0.45881, 0.41378, 1.0],
        [0.9613, 0.45339, 0.40877, 1.0],
        [0.96042, 0.44795, 0.40377, 1.0],
        [0.95952, 0.4425, 0.39877, 1.0],
        [0.95861, 0.43701, 0.39379, 1.0],
        [0.95768, 0.43149, 0.38882, 1.0],
        [0.95673, 0.42593, 0.38384, 1.0],
        [0.95577, 0.42035, 0.37888, 1.0],
        [0.95479, 0.41474, 0.37393, 1.0],
        [0.9538, 0.4091, 0.36899, 1.0],
        [0.95278, 0.40342, 0.36405, 1.0],
        [0.95175, 0.3977, 0.35912, 1.0],
        [0.95071, 0.39194, 0.3542, 1.0],
        [0.94964, 0.38614, 0.3493, 1.0],
        [0.94857, 0.38031, 0.34439, 1.0],
        [0.94747, 0.37443, 0.33951, 1.0],
        [0.94636, 0.3685, 0.33463, 1.0],
        [0.94524, 0.36251, 0.32975, 1.0],
        [0.9441, 0.35648, 0.32487, 1.0],
        [0.94294, 0.3504, 0.32002, 1.0],
        [0.94177, 0.34423, 0.31516, 1.0],
        [0.94058, 0.33802, 0.31033, 1.0],
        [0.93938, 0.33175, 0.3055, 1.0],
        [0.93816, 0.3254, 0.30066, 1.0],
        [0.93693, 0.31899, 0.29584, 1.0],
        [0.93568, 0.31248, 0.29104, 1.0],
        [0.93441, 0.30592, 0.28623, 1.0],
        [0.93313, 0.29924, 0.28145, 1.0],
        [0.93184, 0.29246, 0.27668, 1.0],
        [0.93053, 0.28558, 0.27188, 1.0],
        [0.9292, 0.27862, 0.26712, 1.0],
    ],
    'cet.diverging_gwv_55_95_c39': [
        [0.22157, 0.59107, 0.055073, 1.0],
        [0.22965, 0.59389, 0.068993, 1.0],
        [0.2376, 0.59671, 0.081291, 1.0],
        [0.24531, 0.59952, 0.092565, 1.0],
        [0.25292, 0.60233, 0.10315, 1.0],
        [0.26037, 0.60514, 0.11313, 1.0],
        [0.26768, 0.60796, 0.12253, 1.0],
        [0.27491, 0.61076, 0.13168, 1.0],
        [0.28202, 0.61356, 0.14045, 1.0],
        [0.28902, 0.61637, 0.14894, 1.0],
        [0.29592, 0.61918, 0.15721, 1.0],
        [0.30273, 0.62197, 0.16528, 1.0],
        [0.3095, 0.62478, 0.1732, 1.0],
        [0.31616, 0.62758, 0.18095, 1.0],
        [0.32276, 0.63038, 0.18859, 1.0],
        [0.32929, 0.63317, 0.1961, 1.0],
        [0.33575, 0.63597, 0.20349, 1.0],
        [0.34216, 0.63876, 0.21079, 1.0],
        [0.34851, 0.64155, 0.21802, 1.0],
        [0.35482, 0.64434, 0.22514, 1.0],
        [0.36105, 0.64714, 0.23224, 1.0],
        [0.36726, 0.64993, 0.23924, 1.0],
        [0.37343, 0.65271, 0.24619, 1.0],
        [0.37954, 0.6555, 0.25311, 1.0],
        [0.38562, 0.65828, 0.25997, 1.0],
        [0.39167, 0.66106, 0.26678, 1.0],
        [0.39767, 0.66385, 0.27357, 1.0],
        [0.40364, 0.66662, 0.28029, 1.0],
        [0.40958, 0.66941, 0.287, 1.0],
        [0.41548, 0.67219, 0.29368, 1.0],
        [0.42135, 0.67496, 0.30034, 1.0],
        [0.42721, 0.67774, 0.30697, 1.0],
        [0.43302, 0.68051, 0.31358, 1.0],
        [0.43881, 0.68328, 0.32017, 1.0],
        [0.44459, 0.68606, 0.32672, 1.0],
        [0.45032, 0.68883, 0.33328, 1.0],
        [0.45604, 0.6916, 0.33982, 1.0],
        [0.46174, 0.69436, 0.34632, 1.0],
        [0.46742, 0.69713, 0.35283, 1.0],
        [0.47307, 0.6999, 0.35932, 1.0],
        [0.47871, 0.70267, 0.3658, 1.0],
        [0.48432, 0.70543, 0.37227, 1.0],
        [0.48992, 0.70819, 0.37873, 1.0],
        [0.49551, 0.71096, 0.38518, 1.0],
        [0.50108, 0.71371, 0.39164, 1.0],
        [0.50662, 0.71648, 0.39808, 1.0],
        [0.51215, 0.71923, 0.40451, 1.0],
        [0.51768, 0.72199, 0.41095, 1.0],
        [0.52318, 0.72475, 0.41738, 1.0],
        [0.52867, 0.7275, 0.42379, 1.0],
        [0.53414, 0.73026, 0.43022, 1.0],
        [0.5396, 0.73301, 0.43664, 1.0],
        [0.54506, 0.73576, 0.44305, 1.0],
        [0.5505, 0.73851, 0.44946, 1.0],
        [0.55592, 0.74126, 0.45587, 1.0],
        [0.56134, 0.74401, 0.46228, 1.0],
        [0.56675, 0.74676, 0.4687, 1.0],
        [0.57214, 0.7495, 0.47512, 1.0],
        [0.57752, 0.75225, 0.48152, 1.0],
        [0.58289, 0.755, 0.48794, 1.0],
        [0.58826, 0.75775, 0.49435, 1.0],
        [0.59362, 0.76049, 0.50076, 1.0],
        [0.59896, 0.76323, 0.50717, 1.0],
        [0.60431, 0.76597, 0.5136, 1.0],
        [0.60963, 0.76871, 0.52001, 1.0],
        [0.61495, 0.77146, 0.52644, 1.0],
        [0.62027, 0.77419, 0.53286, 1.0],
        [0.62557, 0.77693, 0.53928, 1.0],
        [0.63088, 0.77967, 0.54572, 1.0],
        [0.63617, 0.7824, 0.55215, 1.0],
        [0.64145, 0.78514, 0.55858, 1.0],
        [0.64673, 0.78787, 0.56502, 1.0],
        [0.652, 0.79061, 0.57147, 1.0],
        [0.65727, 0.79334, 0.57791, 1.0],
        [0.66253, 0.79607, 0.58437, 1.0],
        [0.66778, 0.7988, 0.59082, 1.0],
        [0.67303, 0.80153, 0.59729, 1.0],
        [0.67827, 0.80426, 0.60376, 1.0],
        [0.68351, 0.80699, 0.61022, 1.0],
        [0.68875, 0.80972, 0.6167, 1.0],
        [0.69397, 0.81244, 0.62318, 1.0],
        [0.69919, 0.81517, 0.62965, 1.0],
        [0.70441, 0.8179, 0.63615, 1.0],
        [0.70963, 0.82062, 0.64264, 1.0],
        [0.71483, 0.82335, 0.64914, 1.0],
        [0.72004, 0.82607, 0.65564, 1.0],
        [0.72525, 0.82879, 0.66215, 1.0],
        [0.73044, 0.83152, 0.66866, 1.0],
        [0.73563, 0.83424, 0.67518, 1.0],
        [0.74082, 0.83696, 0.6817, 1.0],
        [0.74601, 0.83968, 0.68824, 1.0],
        [0.7512, 0.84239, 0.69477, 1.0],
        [0.75637, 0.84511, 0.70131, 1.0],
        [0.76155, 0.84782, 0.70786, 1.0],
        [0.76672, 0.85054, 0.71441, 1.0],
        [0.77189, 0.85326, 0.72097, 1.0],
        [0.77706, 0.85597, 0.72754, 1.0],
        [0.78223, 0.85869, 0.73411, 1.0],
        [0.78739, 0.8614, 0.74068, 1.0],
        [0.79255, 0.86412, 0.74727, 1.0],
        [0.7977, 0.86682, 0.75386, 1.0],
        [0.80286, 0.86954, 0.76045, 1.0],
        [0.80801, 0.87225, 0.76705, 1.0],
        [0.81316, 0.87496, 0.77366, 1.0],
        [0.81831, 0.87767, 0.78027, 1.0],
        [0.82345, 0.88037, 0.7869, 1.0],
        [0.8286, 0.88308, 0.79353, 1.0],
        [0.83375, 0.88579, 0.80016, 1.0],
        [0.83888, 0.88849, 0.8068, 1.0],
        [0.84401, 0.89118, 0.81343, 1.0],
        [0.84914, 0.89385, 0.82007, 1.0],
        [0.85424, 0.89651, 0.82671, 1.0],
        [0.85933, 0.89914, 0.83333, 1.0],
        [0.8644, 0.90172, 0.83995, 1.0],
        [0.86942, 0.90426, 0.84652, 1.0],
        [0.8744, 0.90673, 0.85306, 1.0],
        [0.87932, 0.90912, 0.85955, 1.0],
        [0.88415, 0.91139, 0.86596, 1.0],
        [0.88888, 0.91352, 0.87228, 1.0],
        [0.89348, 0.91548, 0.87846, 1.0],
        [0.89792, 0.91724, 0.8845, 1.0],
        [0.90218, 0.91875, 0.89034, 1.0],
        [0.90621, 0.92, 0.89596, 1.0],
        [0.90998, 0.92093, 0.90131, 1.0],
        [0.91347, 0.92152, 0.90637, 1.0],
        [0.91664, 0.92174, 0.91109, 1.0],
        [0.91948, 0.92157, 0.91546, 1.0],
        [0.92195, 0.92098, 0.91944, 1.0],
        [0.92406, 0.91999, 0.92303, 1.0],
        [0.92579, 0.91859, 0.92621, 1.0],
        [0.92715, 0.91679, 0.92898, 1.0],
        [0.92815, 0.9146, 0.93137, 1.0],
        [0.92881, 0.91206, 0.93337, 1.0],
        [0.92915, 0.90919, 0.93503, 1.0],
        [0.9292, 0.90603, 0.93636, 1.0],
        [0.92898, 0.9026, 0.9374, 1.0],
        [0.92854, 0.89895, 0.93818, 1.0],
        [0.9279, 0.89512, 0.93875, 1.0],
        [0.9271, 0.89113, 0.93913, 1.0],
        [0.92616, 0.88701, 0.93935, 1.0],
        [0.92511, 0.8828, 0.93945, 1.0],
        [0.92397, 0.87851, 0.93946, 1.0],
        [0.92276, 0.87416, 0.93938, 1.0],
        [0.92149, 0.86976, 0.93925, 1.0],
        [0.92018, 0.86533, 0.93907, 1.0],
        [0.91883, 0.86089, 0.93886, 1.0],
        [0.91747, 0.85642, 0.93862, 1.0],
        [0.91607, 0.85195, 0.93837, 1.0],
        [0.91467, 0.84746, 0.93811, 1.0],
        [0.91325, 0.84298, 0.93783, 1.0],
        [0.91182, 0.83849, 0.93754, 1.0],
        [0.91039, 0.834, 0.93726, 1.0],
        [0.90894, 0.82952, 0.93697, 1.0],
        [0.9075, 0.82502, 0.93668, 1.0],
        [0.90604, 0.82053, 0.93639, 1.0],
        [0.90457, 0.81605, 0.93609, 1.0],
        [0.9031, 0.81156, 0.93579, 1.0],
        [0.90162, 0.80708, 0.93549, 1.0],
        [0.90014, 0.80258, 0.93519, 1.0],
        [0.89864, 0.7981, 0.93488, 1.0],
        [0.89715, 0.79361, 0.93457, 1.0],
        [0.89564, 0.78912, 0.93426, 1.0],
        [0.89412, 0.78464, 0.93395, 1.0],
        [0.8926, 0.78014, 0.93363, 1.0],
        [0.89107, 0.77565, 0.93332, 1.0],
        [0.88953, 0.77117, 0.93299, 1.0],
        [0.88799, 0.76667, 0.93267, 1.0],
        [0.88644, 0.76218, 0.93235, 1.0],
        [0.88488, 0.75769, 0.93202, 1.0],
        [0.88332, 0.75319, 0.93169, 1.0],
        [0.88174, 0.7487, 0.93136, 1.0],
        [0.88016, 0.74421, 0.93103, 1.0],
        [0.87857, 0.73972, 0.93069, 1.0],
        [0.87698, 0.73522, 0.93035, 1.0],
        [0.87538, 0.73072, 0.93001, 1.0],
        [0.87377, 0.72622, 0.92966, 1.0],
        [0.87215, 0.72172, 0.92931, 1.0],
        [0.87052, 0.71723, 0.92896, 1.0],
        [0.8689, 0.71271, 0.92861, 1.0],
        [0.86725, 0.70822, 0.92826, 1.0],
        [0.86561, 0.70371, 0.9279, 1.0],
        [0.86396, 0.6992, 0.92754, 1.0],
        [0.8623, 0.69469, 0.92718, 1.0],
        [0.86063, 0.69018, 0.92682, 1.0],
        [0.85895, 0.68568, 0.92645, 1.0],
        [0.85727, 0.68116, 0.92609, 1.0],
        [0.85558, 0.67665, 0.92572, 1.0],
        [0.85388, 0.67213, 0.92534, 1.0],
        [0.85218, 0.66761, 0.92497, 1.0],
        [0.85046, 0.66309, 0.92459, 1.0],
        [0.84874, 0.65856, 0.92421, 1.0],
        [0.84701, 0.65404, 0.92383, 1.0],
        [0.84528, 0.64951, 0.92345, 1.0],
        [0.84353, 0.64497, 0.92306, 1.0],
        [0.84178, 0.64044, 0.92267, 1.0],
        [0.84003, 0.6359, 0.92228, 1.0],
        [0.83826, 0.63136, 0.92189, 1.0],
        [0.83649, 0.62682, 0.92149, 1.0],
        [0.83471, 0.62227, 0.92109, 1.0],
        [0.83291, 0.61772, 0.92069, 1.0],
        [0.83112, 0.61316, 0.92029, 1.0],
        [0.82932, 0.60861, 0.91989, 1.0],
        [0.8275, 0.60405, 0.91948, 1.0],
        [0.82568, 0.59948, 0.91907, 1.0],
        [0.82386, 0.59491, 0.91866, 1.0],
        [0.82203, 0.59033, 0.91825, 1.0],
        [0.82018, 0.58576, 0.91784, 1.0],
        [0.81833, 0.58117, 0.91743, 1.0],
        [0.81648, 0.57659, 0.91701, 1.0],
        [0.81461, 0.57199, 0.91658, 1.0],
        [0.81273, 0.56739, 0.91615, 1.0],
        [0.81085, 0.56279, 0.91573, 1.0],
        [0.80897, 0.55817, 0.9153, 1.0],
        [0.80707, 0.55356, 0.91487, 1.0],
        [0.80516, 0.54895, 0.91444, 1.0],
        [0.80325, 0.54431, 0.91401, 1.0],
        [0.80133, 0.53967, 0.91357, 1.0],
        [0.7994, 0.53504, 0.91313, 1.0],
        [0.79746, 0.53039, 0.91269, 1.0],
        [0.79552, 0.52573, 0.91225, 1.0],
        [0.79357, 0.52107, 0.9118, 1.0],
        [0.7916, 0.51639, 0.91136, 1.0],
        [0.78964, 0.51172, 0.91091, 1.0],
        [0.78766, 0.50703, 0.91046, 1.0],
        [0.78568, 0.50233, 0.91001, 1.0],
        [0.78368, 0.49764, 0.90955, 1.0],
        [0.78168, 0.49291, 0.90909, 1.0],
        [0.77967, 0.48819, 0.90863, 1.0],
        [0.77766, 0.48345, 0.90817, 1.0],
        [0.77563, 0.47871, 0.90771, 1.0],
        [0.77359, 0.47395, 0.90724, 1.0],
        [0.77155, 0.46919, 0.90678, 1.0],
        [0.7695, 0.46441, 0.90631, 1.0],
        [0.76744, 0.45961, 0.90584, 1.0],
        [0.76538, 0.45481, 0.90536, 1.0],
        [0.76329, 0.44999, 0.90489, 1.0],
        [0.76121, 0.44516, 0.90441, 1.0],
        [0.75912, 0.44031, 0.90393, 1.0],
        [0.75702, 0.43546, 0.90345, 1.0],
        [0.75491, 0.43057, 0.90297, 1.0],
        [0.75278, 0.42568, 0.90248, 1.0],
        [0.75066, 0.42076, 0.90199, 1.0],
        [0.74852, 0.41584, 0.9015, 1.0],
        [0.74638, 0.4109, 0.90101, 1.0],
        [0.74423, 0.40594, 0.90052, 1.0],
        [0.74206, 0.40096, 0.90002, 1.0],
        [0.7399, 0.39595, 0.89953, 1.0],
        [0.73771, 0.39092, 0.89903, 1.0],
        [0.73552, 0.38586, 0.89853, 1.0],
        [0.73333, 0.3808, 0.89802, 1.0],
        [0.73112, 0.37569, 0.89752, 1.0],
        [0.7289, 0.37056, 0.89702, 1.0],
        [0.72668, 0.36542, 0.89651, 1.0],
        [0.72444, 0.36023, 0.896, 1.0],
        [0.72219, 0.35504, 0.89548, 1.0],
        [0.71995, 0.34979, 0.89497, 1.0],
    ],
    'cet.diverging_isoluminant_cjm_75_c23': [
        [0, 0.78663, 1, 1.0],
        [0, 0.78616, 0.99976, 1.0],
        [0, 0.78569, 0.99755, 1.0],
        [0, 0.78523, 0.99535, 1.0],
        [0, 0.78477, 0.99315, 1.0],
        [0, 0.7843, 0.99095, 1.0],
        [0, 0.78383, 0.98875, 1.0],
        [0.051263, 0.78336, 0.98655, 1.0],
        [0.088344, 0.78289, 0.98435, 1.0],
        [0.11524, 0.78243, 0.98215, 1.0],
        [0.13723, 0.78197, 0.97995, 1.0],
        [0.15612, 0.7815, 0.97775, 1.0],
        [0.17285, 0.78103, 0.97555, 1.0],
        [0.18805, 0.78056, 0.97335, 1.0],
        [0.20194, 0.78009, 0.97116, 1.0],
        [0.21488, 0.77962, 0.96896, 1.0],
        [0.227, 0.77915, 0.96676, 1.0],
        [0.23838, 0.77868, 0.96457, 1.0],
        [0.24919, 0.77821, 0.96237, 1.0],
        [0.25948, 0.77774, 0.96018, 1.0],
        [0.26929, 0.77727, 0.95799, 1.0],
        [0.27869, 0.7768, 0.9558, 1.0],
        [0.28771, 0.77632, 0.9536, 1.0],
        [0.29642, 0.77585, 0.95141, 1.0],
        [0.30482, 0.77538, 0.94921, 1.0],
        [0.31294, 0.7749, 0.94702, 1.0],
        [0.32083, 0.77443, 0.94483, 1.0],
        [0.32846, 0.77395, 0.94264, 1.0],
        [0.33588, 0.77348, 0.94045, 1.0],
        [0.3431, 0.77301, 0.93826, 1.0],
        [0.35013, 0.77253, 0.93607, 1.0],
        [0.357, 0.77206, 0.93388, 1.0],
        [0.36367, 0.77159, 0.93169, 1.0],
        [0.37021, 0.77111, 0.9295, 1.0],
        [0.37662, 0.77063, 0.92732, 1.0],
        [0.38287, 0.77015, 0.92513, 1.0],
        [0.389, 0.76967, 0.92295, 1.0],
        [0.395, 0.76919, 0.92075, 1.0],
        [0.40089, 0.76872, 0.91857, 1.0],
        [0.40666, 0.76824, 0.91639, 1.0],
        [0.41233, 0.76776, 0.91421, 1.0],
        [0.41789, 0.76728, 0.91202, 1.0],
        [0.42335, 0.7668, 0.90984, 1.0],
        [0.42874, 0.76632, 0.90765, 1.0],
        [0.43402, 0.76584, 0.90547, 1.0],
        [0.43922, 0.76537, 0.90329, 1.0],
        [0.44436, 0.76488, 0.9011, 1.0],
        [0.4494, 0.7644, 0.89892, 1.0],
        [0.45436, 0.76391, 0.89674, 1.0],
        [0.45926, 0.76343, 0.89456, 1.0],
        [0.46409, 0.76295, 0.89238, 1.0],
        [0.46884, 0.76246, 0.8902, 1.0],
        [0.47352, 0.76198, 0.88802, 1.0],
        [0.47815, 0.7615, 0.88584, 1.0],
        [0.48272, 0.76101, 0.88366, 1.0],
        [0.48724, 0.76053, 0.88148, 1.0],
        [0.49169, 0.76004, 0.8793, 1.0],
        [0.49607, 0.75955, 0.87712, 1.0],
        [0.50042, 0.75907, 0.87495, 1.0],
        [0.50472, 0.75859, 0.87277, 1.0],
        [0.50896, 0.7581, 0.87059, 1.0],
        [0.51314, 0.75761, 0.86842, 1.0],
        [0.51729, 0.75712, 0.86624, 1.0],
        [0.52138, 0.75663, 0.86407, 1.0],
        [0.52543, 0.75614, 0.8619, 1.0],
        [0.52945, 0.75565, 0.85972, 1.0],
        [0.5334, 0.75517, 0.85754, 1.0],
        [0.53734, 0.75468, 0.85537, 1.0],
        [0.54121, 0.75418, 0.8532, 1.0],
        [0.54506, 0.75369, 0.85102, 1.0],
        [0.54887, 0.75319, 0.84885, 1.0],
        [0.55263, 0.7527, 0.84668, 1.0],
        [0.55635, 0.75221, 0.84451, 1.0],
        [0.56005, 0.75172, 0.84234, 1.0],
        [0.56372, 0.75123, 0.84017, 1.0],
        [0.56734, 0.75074, 0.838, 1.0],
        [0.57092, 0.75024, 0.83582, 1.0],
        [0.57448, 0.74974, 0.83366, 1.0],
        [0.57801, 0.74924, 0.83149, 1.0],
        [0.58151, 0.74875, 0.82932, 1.0],
        [0.58498, 0.74826, 0.82715, 1.0],
        [0.5884, 0.74776, 0.82498, 1.0],
        [0.59182, 0.74726, 0.82281, 1.0],
        [0.59519, 0.74676, 0.82064, 1.0],
        [0.59854, 0.74626, 0.81847, 1.0],
        [0.60186, 0.74576, 0.81631, 1.0],
        [0.60516, 0.74526, 0.81414, 1.0],
        [0.60843, 0.74476, 0.81198, 1.0],
        [0.61167, 0.74426, 0.80981, 1.0],
        [0.61488, 0.74376, 0.80764, 1.0],
        [0.61807, 0.74326, 0.80547, 1.0],
        [0.62124, 0.74276, 0.80331, 1.0],
        [0.62439, 0.74226, 0.80115, 1.0],
        [0.6275, 0.74175, 0.79899, 1.0],
        [0.6306, 0.74125, 0.79682, 1.0],
        [0.63367, 0.74074, 0.79466, 1.0],
        [0.63672, 0.74024, 0.79249, 1.0],
        [0.63975, 0.73974, 0.79033, 1.0],
        [0.64276, 0.73924, 0.78816, 1.0],
        [0.64574, 0.73873, 0.78601, 1.0],
        [0.6487, 0.73822, 0.78384, 1.0],
        [0.65165, 0.73771, 0.78168, 1.0],
        [0.65457, 0.73721, 0.77952, 1.0],
        [0.65748, 0.7367, 0.77736, 1.0],
        [0.66036, 0.73618, 0.77519, 1.0],
        [0.66323, 0.73568, 0.77303, 1.0],
        [0.66607, 0.73517, 0.77087, 1.0],
        [0.6689, 0.73466, 0.76871, 1.0],
        [0.6717, 0.73415, 0.76655, 1.0],
        [0.67449, 0.73364, 0.7644, 1.0],
        [0.67727, 0.73312, 0.76225, 1.0],
        [0.68001, 0.73261, 0.76012, 1.0],
        [0.68275, 0.7321, 0.758, 1.0],
        [0.68547, 0.73158, 0.75589, 1.0],
        [0.68816, 0.73106, 0.7538, 1.0],
        [0.69083, 0.73054, 0.75175, 1.0],
        [0.69348, 0.73001, 0.74973, 1.0],
        [0.69611, 0.72948, 0.74778, 1.0],
        [0.69871, 0.72895, 0.74588, 1.0],
        [0.70129, 0.72841, 0.74406, 1.0],
        [0.70383, 0.72787, 0.74233, 1.0],
        [0.70635, 0.72732, 0.74072, 1.0],
        [0.70883, 0.72676, 0.73924, 1.0],
        [0.71127, 0.7262, 0.73789, 1.0],
        [0.71366, 0.72563, 0.73671, 1.0],
        [0.71602, 0.72504, 0.73571, 1.0],
        [0.71832, 0.72445, 0.73489, 1.0],
        [0.72058, 0.72384, 0.73427, 1.0],
        [0.72279, 0.72323, 0.73384, 1.0],
        [0.72496, 0.72261, 0.73361, 1.0],
        [0.72707, 0.72198, 0.73357, 1.0],
        [0.72914, 0.72134, 0.73372, 1.0],
        [0.73116, 0.72069, 0.73405, 1.0],
        [0.73315, 0.72005, 0.73455, 1.0],
        [0.73509, 0.71939, 0.73518, 1.0],
        [0.73699, 0.71872, 0.73594, 1.0],
        [0.73887, 0.71805, 0.73683, 1.0],
        [0.74071, 0.71739, 0.7378, 1.0],
        [0.74254, 0.71671, 0.73887, 1.0],
        [0.74434, 0.71603, 0.73999, 1.0],
        [0.74612, 0.71534, 0.74115, 1.0],
        [0.74789, 0.71465, 0.74238, 1.0],
        [0.74964, 0.71397, 0.74362, 1.0],
        [0.7514, 0.71328, 0.74489, 1.0],
        [0.75313, 0.71258, 0.74618, 1.0],
        [0.75487, 0.71189, 0.74749, 1.0],
        [0.7566, 0.7112, 0.74879, 1.0],
        [0.75832, 0.7105, 0.75011, 1.0],
        [0.76003, 0.7098, 0.75143, 1.0],
        [0.76175, 0.7091, 0.75275, 1.0],
        [0.76346, 0.70839, 0.75408, 1.0],
        [0.76517, 0.70768, 0.7554, 1.0],
        [0.76687, 0.70697, 0.75672, 1.0],
        [0.76857, 0.70626, 0.75805, 1.0],
        [0.77028, 0.70555, 0.75937, 1.0],
        [0.77198, 0.70483, 0.7607, 1.0],
        [0.77367, 0.70412, 0.76202, 1.0],
        [0.77536, 0.7034, 0.76334, 1.0],
        [0.77706, 0.70268, 0.76467, 1.0],
        [0.77874, 0.70195, 0.76599, 1.0],
        [0.78042, 0.70123, 0.76731, 1.0],
        [0.78211, 0.70051, 0.76863, 1.0],
        [0.78379, 0.69977, 0.76996, 1.0],
        [0.78546, 0.69904, 0.77128, 1.0],
        [0.78714, 0.69831, 0.7726, 1.0],
        [0.78881, 0.69758, 0.77392, 1.0],
        [0.79048, 0.69684, 0.77525, 1.0],
        [0.79215, 0.69611, 0.77657, 1.0],
        [0.79382, 0.69536, 0.7779, 1.0],
        [0.79547, 0.69461, 0.77922, 1.0],
        [0.79713, 0.69387, 0.78054, 1.0],
        [0.79879, 0.69313, 0.78187, 1.0],
        [0.80045, 0.69238, 0.78318, 1.0],
        [0.8021, 0.69162, 0.78451, 1.0],
        [0.80375, 0.69086, 0.78583, 1.0],
        [0.8054, 0.69011, 0.78715, 1.0],
        [0.80705, 0.68936, 0.78847, 1.0],
        [0.80869, 0.6886, 0.7898, 1.0],
        [0.81033, 0.68783, 0.79112, 1.0],
        [0.81197, 0.68706, 0.79244, 1.0],
        [0.81361, 0.6863, 0.79377, 1.0],
        [0.81524, 0.68553, 0.79508, 1.0],
        [0.81688, 0.68475, 0.7964, 1.0],
        [0.8185, 0.68398, 0.79773, 1.0],
        [0.82013, 0.68321, 0.79905, 1.0],
        [0.82176, 0.68242, 0.80037, 1.0],
        [0.82338, 0.68164, 0.80169, 1.0],
        [0.82501, 0.68086, 0.80301, 1.0],
        [0.82663, 0.68007, 0.80434, 1.0],
        [0.82824, 0.67928, 0.80565, 1.0],
        [0.82986, 0.6785, 0.80698, 1.0],
        [0.83148, 0.67771, 0.8083, 1.0],
        [0.83309, 0.67691, 0.80962, 1.0],
        [0.8347, 0.67611, 0.81094, 1.0],
        [0.83631, 0.67531, 0.81226, 1.0],
        [0.83791, 0.67451, 0.81358, 1.0],
        [0.83952, 0.6737, 0.81491, 1.0],
        [0.84112, 0.6729, 0.81623, 1.0],
        [0.84272, 0.67209, 0.81755, 1.0],
        [0.84432, 0.67128, 0.81887, 1.0],
        [0.84591, 0.67047, 0.82019, 1.0],
        [0.8475, 0.66965, 0.82151, 1.0],
        [0.8491, 0.66883, 0.82284, 1.0],
        [0.85069, 0.66801, 0.82415, 1.0],
        [0.85228, 0.66718, 0.82548, 1.0],
        [0.85386, 0.66635, 0.8268, 1.0],
        [0.85545, 0.66552, 0.82812, 1.0],
        [0.85703, 0.66469, 0.82944, 1.0],
        [0.85861, 0.66386, 0.83076, 1.0],
        [0.8602, 0.66302, 0.83209, 1.0],
        [0.86177, 0.66218, 0.83341, 1.0],
        [0.86335, 0.66134, 0.83473, 1.0],
        [0.86492, 0.66049, 0.83605, 1.0],
        [0.86649, 0.65964, 0.83737, 1.0],
        [0.86807, 0.65879, 0.83869, 1.0],
        [0.86963, 0.65794, 0.84001, 1.0],
        [0.8712, 0.65709, 0.84133, 1.0],
        [0.87277, 0.65623, 0.84265, 1.0],
        [0.87433, 0.65536, 0.84397, 1.0],
        [0.87589, 0.6545, 0.84529, 1.0],
        [0.87745, 0.65363, 0.84661, 1.0],
        [0.87901, 0.65276, 0.84793, 1.0],
        [0.88056, 0.6519, 0.84926, 1.0],
        [0.88212, 0.65102, 0.85058, 1.0],
        [0.88368, 0.65014, 0.8519, 1.0],
        [0.88523, 0.64927, 0.85322, 1.0],
        [0.88678, 0.64838, 0.85454, 1.0],
        [0.88833, 0.64749, 0.85587, 1.0],
        [0.88987, 0.64661, 0.85718, 1.0],
        [0.89142, 0.64571, 0.8585, 1.0],
        [0.89296, 0.64482, 0.85983, 1.0],
        [0.89451, 0.64392, 0.86115, 1.0],
        [0.89605, 0.64302, 0.86248, 1.0],
        [0.89759, 0.64212, 0.8638, 1.0],
        [0.89912, 0.64121, 0.86511, 1.0],
        [0.90066, 0.64031, 0.86643, 1.0],
        [0.90219, 0.63939, 0.86776, 1.0],
        [0.90372, 0.63848, 0.86908, 1.0],
        [0.90526, 0.63756, 0.8704, 1.0],
        [0.90679, 0.63664, 0.87172, 1.0],
        [0.90832, 0.63572, 0.87304, 1.0],
        [0.90984, 0.63479, 0.87436, 1.0],
        [0.91137, 0.63386, 0.87569, 1.0],
        [0.91289, 0.63293, 0.877, 1.0],
        [0.91441, 0.63199, 0.87833, 1.0],
        [0.91593, 0.63105, 0.87965, 1.0],
        [0.91746, 0.63011, 0.88097, 1.0],
        [0.91897, 0.62916, 0.88229, 1.0],
        [0.92048, 0.62822, 0.88362, 1.0],
        [0.922, 0.62726, 0.88494, 1.0],
        [0.92352, 0.62631, 0.88626, 1.0],
        [0.92503, 0.62535, 0.88758, 1.0],
        [0.92654, 0.62439, 0.88891, 1.0],
        [0.92805, 0.62343, 0.89022, 1.0],
        [0.92956, 0.62245, 0.89155, 1.0],
        [0.93106, 0.62148, 0.89287, 1.0],
    ],
    'cet.diverging_isoluminant_cjm_75_c24': [
        [0, 0.79435, 0.99671, 1.0],
        [0, 0.79384, 0.99455, 1.0],
        [0, 0.79333, 0.99239, 1.0],
        [0, 0.79282, 0.99023, 1.0],
        [0, 0.79231, 0.98806, 1.0],
        [0, 0.7918, 0.9859, 1.0],
        [0, 0.79128, 0.98374, 1.0],
        [0, 0.79077, 0.98158, 1.0],
        [0, 0.79026, 0.97942, 1.0],
        [0, 0.78975, 0.97726, 1.0],
        [0, 0.78924, 0.9751, 1.0],
        [0, 0.78872, 0.97295, 1.0],
        [0, 0.7882, 0.97079, 1.0],
        [0, 0.78769, 0.96863, 1.0],
        [0, 0.78717, 0.96647, 1.0],
        [0.030516, 0.78666, 0.96431, 1.0],
        [0.077099, 0.78614, 0.96216, 1.0],
        [0.10792, 0.78562, 0.96001, 1.0],
        [0.13219, 0.7851, 0.95785, 1.0],
        [0.15262, 0.78458, 0.9557, 1.0],
        [0.17059, 0.78406, 0.95354, 1.0],
        [0.18672, 0.78354, 0.95139, 1.0],
        [0.20145, 0.78302, 0.94923, 1.0],
        [0.21508, 0.7825, 0.94708, 1.0],
        [0.22782, 0.78198, 0.94493, 1.0],
        [0.23976, 0.78145, 0.94278, 1.0],
        [0.25106, 0.78093, 0.94063, 1.0],
        [0.26179, 0.7804, 0.93848, 1.0],
        [0.272, 0.77988, 0.93633, 1.0],
        [0.28182, 0.77935, 0.93417, 1.0],
        [0.29123, 0.77882, 0.93203, 1.0],
        [0.30027, 0.7783, 0.92988, 1.0],
        [0.30902, 0.77777, 0.92773, 1.0],
        [0.31745, 0.77725, 0.92558, 1.0],
        [0.32562, 0.77672, 0.92344, 1.0],
        [0.33356, 0.77618, 0.92129, 1.0],
        [0.34126, 0.77565, 0.91914, 1.0],
        [0.34875, 0.77512, 0.917, 1.0],
        [0.35605, 0.77459, 0.91485, 1.0],
        [0.36315, 0.77406, 0.91271, 1.0],
        [0.37009, 0.77352, 0.91056, 1.0],
        [0.37688, 0.77299, 0.90842, 1.0],
        [0.3835, 0.77246, 0.90627, 1.0],
        [0.38997, 0.77193, 0.90413, 1.0],
        [0.39633, 0.77139, 0.90199, 1.0],
        [0.40254, 0.77086, 0.89985, 1.0],
        [0.40865, 0.77032, 0.8977, 1.0],
        [0.41463, 0.76978, 0.89556, 1.0],
        [0.4205, 0.76924, 0.89342, 1.0],
        [0.42627, 0.7687, 0.89128, 1.0],
        [0.43196, 0.76816, 0.88914, 1.0],
        [0.43753, 0.76762, 0.887, 1.0],
        [0.443, 0.76708, 0.88486, 1.0],
        [0.44839, 0.76654, 0.88272, 1.0],
        [0.4537, 0.766, 0.88058, 1.0],
        [0.45893, 0.76546, 0.87844, 1.0],
        [0.46409, 0.76492, 0.8763, 1.0],
        [0.46917, 0.76437, 0.87417, 1.0],
        [0.47416, 0.76382, 0.87203, 1.0],
        [0.4791, 0.76328, 0.86989, 1.0],
        [0.48396, 0.76273, 0.86776, 1.0],
        [0.48876, 0.76219, 0.86562, 1.0],
        [0.4935, 0.76164, 0.86349, 1.0],
        [0.49819, 0.76109, 0.86135, 1.0],
        [0.5028, 0.76054, 0.85922, 1.0],
        [0.50737, 0.75999, 0.85708, 1.0],
        [0.51187, 0.75944, 0.85495, 1.0],
        [0.51632, 0.75889, 0.85282, 1.0],
        [0.52073, 0.75834, 0.85068, 1.0],
        [0.52508, 0.75779, 0.84855, 1.0],
        [0.52939, 0.75723, 0.84641, 1.0],
        [0.53364, 0.75668, 0.84429, 1.0],
        [0.53786, 0.75612, 0.84216, 1.0],
        [0.54202, 0.75557, 0.84003, 1.0],
        [0.54615, 0.75502, 0.83789, 1.0],
        [0.55022, 0.75446, 0.83576, 1.0],
        [0.55426, 0.7539, 0.83363, 1.0],
        [0.55825, 0.75334, 0.83151, 1.0],
        [0.56222, 0.75278, 0.82938, 1.0],
        [0.56614, 0.75222, 0.82725, 1.0],
        [0.57001, 0.75166, 0.82511, 1.0],
        [0.57386, 0.7511, 0.82299, 1.0],
        [0.57767, 0.75054, 0.82086, 1.0],
        [0.58145, 0.74997, 0.81873, 1.0],
        [0.5852, 0.7494, 0.81661, 1.0],
        [0.58889, 0.74884, 0.81448, 1.0],
        [0.59258, 0.74828, 0.81235, 1.0],
        [0.59622, 0.74772, 0.81023, 1.0],
        [0.59983, 0.74715, 0.8081, 1.0],
        [0.60342, 0.74658, 0.80598, 1.0],
        [0.60697, 0.74601, 0.80385, 1.0],
        [0.61049, 0.74544, 0.80173, 1.0],
        [0.61398, 0.74487, 0.79961, 1.0],
        [0.61745, 0.7443, 0.79748, 1.0],
        [0.62089, 0.74373, 0.79536, 1.0],
        [0.6243, 0.74316, 0.79324, 1.0],
        [0.62769, 0.74258, 0.79111, 1.0],
        [0.63105, 0.742, 0.78899, 1.0],
        [0.63438, 0.74143, 0.78687, 1.0],
        [0.63769, 0.74085, 0.78475, 1.0],
        [0.64097, 0.74028, 0.78262, 1.0],
        [0.64423, 0.73971, 0.7805, 1.0],
        [0.64747, 0.73913, 0.77838, 1.0],
        [0.65069, 0.73854, 0.77626, 1.0],
        [0.65388, 0.73796, 0.77414, 1.0],
        [0.65705, 0.73738, 0.77202, 1.0],
        [0.66019, 0.7368, 0.7699, 1.0],
        [0.66332, 0.73621, 0.76778, 1.0],
        [0.66642, 0.73563, 0.76567, 1.0],
        [0.66951, 0.73505, 0.76355, 1.0],
        [0.67257, 0.73446, 0.76145, 1.0],
        [0.6756, 0.73388, 0.75935, 1.0],
        [0.67862, 0.73329, 0.75727, 1.0],
        [0.68161, 0.7327, 0.75521, 1.0],
        [0.68458, 0.73211, 0.75316, 1.0],
        [0.68753, 0.73151, 0.75116, 1.0],
        [0.69045, 0.73091, 0.74918, 1.0],
        [0.69334, 0.73031, 0.74727, 1.0],
        [0.6962, 0.72971, 0.74541, 1.0],
        [0.69902, 0.7291, 0.74364, 1.0],
        [0.70181, 0.72848, 0.74196, 1.0],
        [0.70456, 0.72786, 0.74039, 1.0],
        [0.70726, 0.72724, 0.73895, 1.0],
        [0.70992, 0.72661, 0.73766, 1.0],
        [0.71252, 0.72597, 0.73652, 1.0],
        [0.71507, 0.72533, 0.73557, 1.0],
        [0.71757, 0.72468, 0.73481, 1.0],
        [0.72, 0.72402, 0.73423, 1.0],
        [0.72237, 0.72335, 0.73386, 1.0],
        [0.7247, 0.72268, 0.73368, 1.0],
        [0.72695, 0.722, 0.7337, 1.0],
        [0.72915, 0.72132, 0.73391, 1.0],
        [0.7313, 0.72063, 0.73429, 1.0],
        [0.7334, 0.71994, 0.73484, 1.0],
        [0.73545, 0.71924, 0.73553, 1.0],
        [0.73745, 0.71854, 0.73635, 1.0],
        [0.73943, 0.71784, 0.73729, 1.0],
        [0.74136, 0.71713, 0.73833, 1.0],
        [0.74327, 0.71642, 0.73945, 1.0],
        [0.74515, 0.71571, 0.74062, 1.0],
        [0.74702, 0.71498, 0.74185, 1.0],
        [0.74887, 0.71426, 0.74313, 1.0],
        [0.75071, 0.71355, 0.74443, 1.0],
        [0.75252, 0.71282, 0.74576, 1.0],
        [0.75434, 0.7121, 0.74711, 1.0],
        [0.75615, 0.71138, 0.74847, 1.0],
        [0.75795, 0.71064, 0.74983, 1.0],
        [0.75974, 0.70991, 0.75121, 1.0],
        [0.76153, 0.70918, 0.75258, 1.0],
        [0.76332, 0.70845, 0.75397, 1.0],
        [0.76511, 0.7077, 0.75535, 1.0],
        [0.76688, 0.70697, 0.75673, 1.0],
        [0.76866, 0.70623, 0.75812, 1.0],
        [0.77044, 0.70548, 0.75949, 1.0],
        [0.77221, 0.70474, 0.76088, 1.0],
        [0.77397, 0.70399, 0.76225, 1.0],
        [0.77574, 0.70324, 0.76364, 1.0],
        [0.77751, 0.70249, 0.76502, 1.0],
        [0.77926, 0.70173, 0.7664, 1.0],
        [0.78102, 0.70098, 0.76778, 1.0],
        [0.78278, 0.70021, 0.76916, 1.0],
        [0.78453, 0.69945, 0.77055, 1.0],
        [0.78628, 0.69869, 0.77193, 1.0],
        [0.78802, 0.69792, 0.7733, 1.0],
        [0.78977, 0.69715, 0.77468, 1.0],
        [0.79151, 0.69639, 0.77607, 1.0],
        [0.79325, 0.69561, 0.77745, 1.0],
        [0.79498, 0.69483, 0.77883, 1.0],
        [0.79672, 0.69405, 0.78021, 1.0],
        [0.79845, 0.69328, 0.78159, 1.0],
        [0.80018, 0.6925, 0.78297, 1.0],
        [0.8019, 0.69171, 0.78435, 1.0],
        [0.80363, 0.69092, 0.78573, 1.0],
        [0.80534, 0.69014, 0.78711, 1.0],
        [0.80707, 0.68935, 0.78849, 1.0],
        [0.80878, 0.68855, 0.78987, 1.0],
        [0.81049, 0.68775, 0.79125, 1.0],
        [0.8122, 0.68695, 0.79263, 1.0],
        [0.81391, 0.68615, 0.79401, 1.0],
        [0.81562, 0.68535, 0.79539, 1.0],
        [0.81732, 0.68454, 0.79677, 1.0],
        [0.81902, 0.68373, 0.79815, 1.0],
        [0.82072, 0.68292, 0.79953, 1.0],
        [0.82242, 0.68211, 0.80091, 1.0],
        [0.82411, 0.68129, 0.80228, 1.0],
        [0.82581, 0.68047, 0.80367, 1.0],
        [0.8275, 0.67965, 0.80504, 1.0],
        [0.82919, 0.67883, 0.80643, 1.0],
        [0.83087, 0.67801, 0.8078, 1.0],
        [0.83255, 0.67718, 0.80919, 1.0],
        [0.83424, 0.67634, 0.81056, 1.0],
        [0.83591, 0.67551, 0.81194, 1.0],
        [0.83759, 0.67467, 0.81332, 1.0],
        [0.83927, 0.67383, 0.8147, 1.0],
        [0.84094, 0.67299, 0.81608, 1.0],
        [0.84261, 0.67215, 0.81746, 1.0],
        [0.84427, 0.6713, 0.81883, 1.0],
        [0.84594, 0.67045, 0.82021, 1.0],
        [0.8476, 0.6696, 0.8216, 1.0],
        [0.84927, 0.66874, 0.82297, 1.0],
        [0.85092, 0.66788, 0.82435, 1.0],
        [0.85259, 0.66702, 0.82573, 1.0],
        [0.85424, 0.66615, 0.82711, 1.0],
        [0.8559, 0.66529, 0.82849, 1.0],
        [0.85754, 0.66442, 0.82987, 1.0],
        [0.85919, 0.66355, 0.83125, 1.0],
        [0.86084, 0.66268, 0.83263, 1.0],
        [0.86249, 0.6618, 0.83401, 1.0],
        [0.86414, 0.66091, 0.83538, 1.0],
        [0.86577, 0.66003, 0.83676, 1.0],
        [0.86741, 0.65914, 0.83814, 1.0],
        [0.86906, 0.65826, 0.83952, 1.0],
        [0.87069, 0.65737, 0.8409, 1.0],
        [0.87233, 0.65647, 0.84228, 1.0],
        [0.87395, 0.65557, 0.84366, 1.0],
        [0.87559, 0.65467, 0.84504, 1.0],
        [0.87721, 0.65377, 0.84641, 1.0],
        [0.87884, 0.65285, 0.84779, 1.0],
        [0.88047, 0.65195, 0.84918, 1.0],
        [0.88209, 0.65104, 0.85055, 1.0],
        [0.88371, 0.65012, 0.85193, 1.0],
        [0.88533, 0.64921, 0.85331, 1.0],
        [0.88695, 0.64828, 0.85469, 1.0],
        [0.88857, 0.64736, 0.85607, 1.0],
        [0.89018, 0.64643, 0.85745, 1.0],
        [0.89179, 0.64549, 0.85883, 1.0],
        [0.8934, 0.64456, 0.86021, 1.0],
        [0.89502, 0.64362, 0.86159, 1.0],
        [0.89662, 0.64269, 0.86297, 1.0],
        [0.89822, 0.64174, 0.86435, 1.0],
        [0.89983, 0.64079, 0.86572, 1.0],
        [0.90143, 0.63985, 0.8671, 1.0],
        [0.90304, 0.63889, 0.86849, 1.0],
        [0.90463, 0.63793, 0.86986, 1.0],
        [0.90623, 0.63698, 0.87124, 1.0],
        [0.90783, 0.63601, 0.87262, 1.0],
        [0.90942, 0.63504, 0.874, 1.0],
        [0.91101, 0.63408, 0.87538, 1.0],
        [0.9126, 0.6331, 0.87675, 1.0],
        [0.91419, 0.63213, 0.87814, 1.0],
        [0.91578, 0.63115, 0.87951, 1.0],
        [0.91737, 0.63016, 0.8809, 1.0],
        [0.91895, 0.62917, 0.88227, 1.0],
        [0.92053, 0.62819, 0.88366, 1.0],
        [0.92212, 0.62719, 0.88504, 1.0],
        [0.9237, 0.62619, 0.88642, 1.0],
        [0.92527, 0.62519, 0.88779, 1.0],
        [0.92685, 0.62419, 0.88918, 1.0],
        [0.92842, 0.62319, 0.89055, 1.0],
        [0.93, 0.62217, 0.89194, 1.0],
        [0.93157, 0.62116, 0.89331, 1.0],
        [0.93314, 0.62014, 0.8947, 1.0],
        [0.93471, 0.61912, 0.89607, 1.0],
        [0.93628, 0.61809, 0.89746, 1.0],
        [0.93785, 0.61706, 0.89883, 1.0],
        [0.93941, 0.61603, 0.90021, 1.0],
    ],
    'cet.diverging_isoluminant_cjo_70_c25': [
        [0, 0.71527, 1, 1.0],
        [0, 0.7149, 1, 1.0],
        [0, 0.71453, 1, 1.0],
        [0, 0.71417, 1, 1.0],
        [0.024434, 0.7138, 1, 1.0],
        [0.068274, 0.71344, 0.99912, 1.0],
        [0.097664, 0.71307, 0.99639, 1.0],
        [0.12062, 0.71271, 0.99368, 1.0],
        [0.13997, 0.71234, 0.99096, 1.0],
        [0.15693, 0.71199, 0.98824, 1.0],
        [0.1721, 0.71163, 0.98553, 1.0],
        [0.18598, 0.71126, 0.98281, 1.0],
        [0.19872, 0.7109, 0.9801, 1.0],
        [0.21064, 0.71054, 0.97739, 1.0],
        [0.2218, 0.71018, 0.97467, 1.0],
        [0.23235, 0.70981, 0.97196, 1.0],
        [0.24234, 0.70945, 0.96925, 1.0],
        [0.25188, 0.7091, 0.96654, 1.0],
        [0.26097, 0.70874, 0.96383, 1.0],
        [0.26971, 0.70837, 0.96112, 1.0],
        [0.27808, 0.70801, 0.95841, 1.0],
        [0.28614, 0.70765, 0.95571, 1.0],
        [0.29394, 0.70729, 0.953, 1.0],
        [0.30148, 0.70693, 0.95029, 1.0],
        [0.3088, 0.70658, 0.94759, 1.0],
        [0.31588, 0.70622, 0.94488, 1.0],
        [0.32276, 0.70586, 0.94218, 1.0],
        [0.32945, 0.7055, 0.93948, 1.0],
        [0.33595, 0.70514, 0.93678, 1.0],
        [0.3423, 0.70478, 0.93407, 1.0],
        [0.34848, 0.70443, 0.93137, 1.0],
        [0.35453, 0.70407, 0.92867, 1.0],
        [0.36042, 0.70371, 0.92597, 1.0],
        [0.3662, 0.70336, 0.92327, 1.0],
        [0.37184, 0.703, 0.92057, 1.0],
        [0.37737, 0.70265, 0.91788, 1.0],
        [0.38279, 0.70229, 0.91518, 1.0],
        [0.38809, 0.70193, 0.91249, 1.0],
        [0.3933, 0.70158, 0.90979, 1.0],
        [0.39841, 0.70122, 0.9071, 1.0],
        [0.40343, 0.70087, 0.9044, 1.0],
        [0.40835, 0.70052, 0.90171, 1.0],
        [0.4132, 0.70016, 0.89902, 1.0],
        [0.41795, 0.69981, 0.89633, 1.0],
        [0.42262, 0.69945, 0.89363, 1.0],
        [0.42723, 0.6991, 0.89094, 1.0],
        [0.43176, 0.69875, 0.88826, 1.0],
        [0.43621, 0.69839, 0.88557, 1.0],
        [0.44059, 0.69804, 0.88288, 1.0],
        [0.44493, 0.69769, 0.88019, 1.0],
        [0.44919, 0.69734, 0.8775, 1.0],
        [0.45337, 0.69699, 0.87482, 1.0],
        [0.45751, 0.69664, 0.87213, 1.0],
        [0.46159, 0.69629, 0.86945, 1.0],
        [0.46561, 0.69594, 0.86676, 1.0],
        [0.46959, 0.69559, 0.86408, 1.0],
        [0.47349, 0.69524, 0.86139, 1.0],
        [0.47736, 0.69489, 0.85871, 1.0],
        [0.48117, 0.69453, 0.85603, 1.0],
        [0.48494, 0.69418, 0.85335, 1.0],
        [0.48866, 0.69384, 0.85067, 1.0],
        [0.49233, 0.69349, 0.84799, 1.0],
        [0.49596, 0.69315, 0.84531, 1.0],
        [0.49954, 0.6928, 0.84264, 1.0],
        [0.50308, 0.69245, 0.83996, 1.0],
        [0.50659, 0.6921, 0.83728, 1.0],
        [0.51005, 0.69175, 0.8346, 1.0],
        [0.51348, 0.6914, 0.83193, 1.0],
        [0.51686, 0.69105, 0.82925, 1.0],
        [0.5202, 0.69071, 0.82658, 1.0],
        [0.52352, 0.69036, 0.8239, 1.0],
        [0.52679, 0.69002, 0.82123, 1.0],
        [0.53003, 0.68967, 0.81855, 1.0],
        [0.53323, 0.68933, 0.81588, 1.0],
        [0.5364, 0.68898, 0.81321, 1.0],
        [0.53953, 0.68864, 0.81053, 1.0],
        [0.54265, 0.68829, 0.80787, 1.0],
        [0.54572, 0.68795, 0.80519, 1.0],
        [0.54877, 0.6876, 0.80252, 1.0],
        [0.55178, 0.68726, 0.79986, 1.0],
        [0.55476, 0.68691, 0.79718, 1.0],
        [0.55772, 0.68657, 0.79452, 1.0],
        [0.56064, 0.68622, 0.79185, 1.0],
        [0.56355, 0.68588, 0.78919, 1.0],
        [0.56642, 0.68554, 0.78652, 1.0],
        [0.56925, 0.6852, 0.78385, 1.0],
        [0.57208, 0.68485, 0.78118, 1.0],
        [0.57487, 0.68451, 0.77852, 1.0],
        [0.57763, 0.68416, 0.77585, 1.0],
        [0.58038, 0.68382, 0.77318, 1.0],
        [0.5831, 0.68348, 0.77052, 1.0],
        [0.5858, 0.68314, 0.76786, 1.0],
        [0.58846, 0.6828, 0.7652, 1.0],
        [0.59111, 0.68246, 0.76253, 1.0],
        [0.59374, 0.68212, 0.75987, 1.0],
        [0.59634, 0.68177, 0.75721, 1.0],
        [0.59892, 0.68143, 0.75455, 1.0],
        [0.60148, 0.68109, 0.75189, 1.0],
        [0.60402, 0.68075, 0.74922, 1.0],
        [0.60653, 0.68041, 0.74656, 1.0],
        [0.60904, 0.68007, 0.7439, 1.0],
        [0.61151, 0.67974, 0.74124, 1.0],
        [0.61395, 0.6794, 0.73859, 1.0],
        [0.6164, 0.67906, 0.73592, 1.0],
        [0.61882, 0.67872, 0.73327, 1.0],
        [0.62121, 0.67839, 0.73061, 1.0],
        [0.62359, 0.67805, 0.72795, 1.0],
        [0.62595, 0.67771, 0.7253, 1.0],
        [0.62829, 0.67738, 0.72263, 1.0],
        [0.63062, 0.67704, 0.71998, 1.0],
        [0.63293, 0.6767, 0.71733, 1.0],
        [0.63522, 0.67636, 0.71467, 1.0],
        [0.6375, 0.67601, 0.71202, 1.0],
        [0.63977, 0.67567, 0.70938, 1.0],
        [0.64203, 0.67533, 0.70674, 1.0],
        [0.64428, 0.67498, 0.7041, 1.0],
        [0.64653, 0.67463, 0.70147, 1.0],
        [0.64878, 0.67427, 0.69886, 1.0],
        [0.65103, 0.67391, 0.69626, 1.0],
        [0.65329, 0.67353, 0.69367, 1.0],
        [0.65556, 0.67315, 0.6911, 1.0],
        [0.65785, 0.67276, 0.68857, 1.0],
        [0.66016, 0.67235, 0.68605, 1.0],
        [0.6625, 0.67193, 0.68357, 1.0],
        [0.66485, 0.67148, 0.68111, 1.0],
        [0.66726, 0.67103, 0.6787, 1.0],
        [0.6697, 0.67055, 0.67633, 1.0],
        [0.67218, 0.67005, 0.67399, 1.0],
        [0.6747, 0.66953, 0.6717, 1.0],
        [0.67726, 0.66898, 0.66945, 1.0],
        [0.67985, 0.66842, 0.66724, 1.0],
        [0.68249, 0.66784, 0.66507, 1.0],
        [0.68516, 0.66723, 0.66295, 1.0],
        [0.68786, 0.6666, 0.66084, 1.0],
        [0.69058, 0.66596, 0.65878, 1.0],
        [0.69332, 0.66531, 0.65675, 1.0],
        [0.69608, 0.66464, 0.65473, 1.0],
        [0.69884, 0.66396, 0.65274, 1.0],
        [0.70162, 0.66328, 0.65077, 1.0],
        [0.7044, 0.66258, 0.64882, 1.0],
        [0.70718, 0.66187, 0.64687, 1.0],
        [0.70995, 0.66115, 0.64493, 1.0],
        [0.71271, 0.66044, 0.643, 1.0],
        [0.71548, 0.65972, 0.64107, 1.0],
        [0.71822, 0.65899, 0.63915, 1.0],
        [0.72096, 0.65827, 0.63724, 1.0],
        [0.72369, 0.65754, 0.63532, 1.0],
        [0.72641, 0.65681, 0.63341, 1.0],
        [0.72911, 0.65607, 0.6315, 1.0],
        [0.7318, 0.65533, 0.62958, 1.0],
        [0.73448, 0.65459, 0.62767, 1.0],
        [0.73715, 0.65385, 0.62576, 1.0],
        [0.7398, 0.6531, 0.62385, 1.0],
        [0.74244, 0.65236, 0.62193, 1.0],
        [0.74507, 0.65162, 0.62003, 1.0],
        [0.74769, 0.65087, 0.61811, 1.0],
        [0.75029, 0.65012, 0.61621, 1.0],
        [0.75287, 0.64937, 0.61429, 1.0],
        [0.75546, 0.64862, 0.61238, 1.0],
        [0.75803, 0.64786, 0.61047, 1.0],
        [0.76059, 0.64711, 0.60857, 1.0],
        [0.76313, 0.64634, 0.60666, 1.0],
        [0.76567, 0.64558, 0.60475, 1.0],
        [0.76819, 0.64482, 0.60283, 1.0],
        [0.77071, 0.64405, 0.60092, 1.0],
        [0.77321, 0.64329, 0.59902, 1.0],
        [0.7757, 0.64252, 0.59711, 1.0],
        [0.77819, 0.64175, 0.5952, 1.0],
        [0.78066, 0.64098, 0.59329, 1.0],
        [0.78312, 0.64021, 0.59138, 1.0],
        [0.78557, 0.63943, 0.58947, 1.0],
        [0.78801, 0.63865, 0.58756, 1.0],
        [0.79044, 0.63787, 0.58566, 1.0],
        [0.79287, 0.63709, 0.58374, 1.0],
        [0.79528, 0.63631, 0.58183, 1.0],
        [0.79768, 0.63552, 0.57993, 1.0],
        [0.80008, 0.63473, 0.57801, 1.0],
        [0.80246, 0.63395, 0.57612, 1.0],
        [0.80484, 0.63315, 0.5742, 1.0],
        [0.80721, 0.63236, 0.5723, 1.0],
        [0.80956, 0.63156, 0.57038, 1.0],
        [0.81191, 0.63077, 0.56848, 1.0],
        [0.81425, 0.62996, 0.56657, 1.0],
        [0.81658, 0.62916, 0.56466, 1.0],
        [0.8189, 0.62836, 0.56276, 1.0],
        [0.82122, 0.62755, 0.56084, 1.0],
        [0.82352, 0.62674, 0.55893, 1.0],
        [0.82582, 0.62593, 0.55704, 1.0],
        [0.82811, 0.62511, 0.55512, 1.0],
        [0.83039, 0.6243, 0.55321, 1.0],
        [0.83266, 0.62349, 0.55131, 1.0],
        [0.83493, 0.62266, 0.5494, 1.0],
        [0.83719, 0.62184, 0.54749, 1.0],
        [0.83944, 0.62102, 0.54559, 1.0],
        [0.84168, 0.6202, 0.54367, 1.0],
        [0.84391, 0.61937, 0.54176, 1.0],
        [0.84614, 0.61854, 0.53985, 1.0],
        [0.84836, 0.6177, 0.53795, 1.0],
        [0.85057, 0.61687, 0.53604, 1.0],
        [0.85278, 0.61603, 0.53413, 1.0],
        [0.85497, 0.61518, 0.53223, 1.0],
        [0.85716, 0.61434, 0.53031, 1.0],
        [0.85935, 0.6135, 0.52841, 1.0],
        [0.86152, 0.61265, 0.5265, 1.0],
        [0.86369, 0.6118, 0.52458, 1.0],
        [0.86585, 0.61096, 0.52268, 1.0],
        [0.86801, 0.6101, 0.52076, 1.0],
        [0.87015, 0.60925, 0.51886, 1.0],
        [0.8723, 0.60839, 0.51695, 1.0],
        [0.87443, 0.60753, 0.51503, 1.0],
        [0.87656, 0.60666, 0.51312, 1.0],
        [0.87868, 0.60579, 0.51121, 1.0],
        [0.8808, 0.60493, 0.5093, 1.0],
        [0.88291, 0.60406, 0.50739, 1.0],
        [0.88501, 0.60319, 0.50547, 1.0],
        [0.88711, 0.60231, 0.50356, 1.0],
        [0.8892, 0.60143, 0.50166, 1.0],
        [0.89128, 0.60055, 0.49974, 1.0],
        [0.89336, 0.59967, 0.49784, 1.0],
        [0.89544, 0.59878, 0.49591, 1.0],
        [0.8975, 0.59789, 0.49401, 1.0],
        [0.89956, 0.59701, 0.49209, 1.0],
        [0.90162, 0.59611, 0.49018, 1.0],
        [0.90367, 0.59521, 0.48827, 1.0],
        [0.90571, 0.59431, 0.48635, 1.0],
        [0.90775, 0.59341, 0.48443, 1.0],
        [0.90978, 0.59252, 0.48252, 1.0],
        [0.9118, 0.5916, 0.4806, 1.0],
        [0.91383, 0.59069, 0.47869, 1.0],
        [0.91583, 0.58978, 0.47677, 1.0],
        [0.91785, 0.58886, 0.47486, 1.0],
        [0.91985, 0.58794, 0.47293, 1.0],
        [0.92185, 0.58703, 0.47102, 1.0],
        [0.92385, 0.58611, 0.46911, 1.0],
        [0.92583, 0.58518, 0.46719, 1.0],
        [0.92781, 0.58425, 0.46526, 1.0],
        [0.92979, 0.58332, 0.46333, 1.0],
        [0.93176, 0.58238, 0.46142, 1.0],
        [0.93373, 0.58145, 0.4595, 1.0],
        [0.9357, 0.58051, 0.45758, 1.0],
        [0.93765, 0.57957, 0.45566, 1.0],
        [0.93961, 0.57862, 0.45373, 1.0],
        [0.94155, 0.57767, 0.45181, 1.0],
        [0.9435, 0.57673, 0.44989, 1.0],
        [0.94543, 0.57577, 0.44796, 1.0],
        [0.94737, 0.5748, 0.44603, 1.0],
        [0.94929, 0.57384, 0.44412, 1.0],
        [0.95122, 0.57289, 0.44219, 1.0],
        [0.95314, 0.57192, 0.44025, 1.0],
        [0.95505, 0.57094, 0.43833, 1.0],
        [0.95696, 0.56997, 0.4364, 1.0],
        [0.95887, 0.56899, 0.43447, 1.0],
        [0.96077, 0.56802, 0.43254, 1.0],
        [0.96266, 0.56704, 0.43061, 1.0],
        [0.96455, 0.56605, 0.42867, 1.0],
        [0.96644, 0.56505, 0.42674, 1.0],
    ],
    'cet.diverging_linear_bjr_30_55_c53': [
        [0, 0.1654, 0.84384, 1.0],
        [0, 0.16745, 0.84024, 1.0],
        [0, 0.16948, 0.83663, 1.0],
        [0, 0.17145, 0.83302, 1.0],
        [0, 0.17344, 0.82943, 1.0],
        [0, 0.17543, 0.82582, 1.0],
        [0, 0.17744, 0.82223, 1.0],
        [0, 0.1794, 0.81863, 1.0],
        [0.025922, 0.18135, 0.81503, 1.0],
        [0.052828, 0.18332, 0.81145, 1.0],
        [0.073384, 0.18532, 0.80785, 1.0],
        [0.089868, 0.18726, 0.80427, 1.0],
        [0.10397, 0.1892, 0.80068, 1.0],
        [0.11641, 0.19113, 0.79709, 1.0],
        [0.12754, 0.19308, 0.79352, 1.0],
        [0.13776, 0.19502, 0.78993, 1.0],
        [0.14712, 0.19696, 0.78636, 1.0],
        [0.15586, 0.19885, 0.78277, 1.0],
        [0.16403, 0.20076, 0.7792, 1.0],
        [0.17168, 0.20269, 0.77562, 1.0],
        [0.17895, 0.20462, 0.77205, 1.0],
        [0.18585, 0.20653, 0.76848, 1.0],
        [0.19237, 0.20841, 0.76492, 1.0],
        [0.19861, 0.2103, 0.76135, 1.0],
        [0.20461, 0.21221, 0.75779, 1.0],
        [0.21032, 0.21409, 0.75423, 1.0],
        [0.21583, 0.21599, 0.75066, 1.0],
        [0.22112, 0.21785, 0.7471, 1.0],
        [0.22622, 0.21973, 0.74355, 1.0],
        [0.23112, 0.22159, 0.73999, 1.0],
        [0.23587, 0.22347, 0.73643, 1.0],
        [0.24042, 0.22532, 0.73288, 1.0],
        [0.24486, 0.22719, 0.72933, 1.0],
        [0.24917, 0.22905, 0.72578, 1.0],
        [0.25333, 0.2309, 0.72223, 1.0],
        [0.25737, 0.23274, 0.71868, 1.0],
        [0.26128, 0.23461, 0.71514, 1.0],
        [0.26508, 0.23645, 0.7116, 1.0],
        [0.2688, 0.23827, 0.70806, 1.0],
        [0.27236, 0.2401, 0.70452, 1.0],
        [0.27589, 0.24194, 0.70098, 1.0],
        [0.27929, 0.24376, 0.69744, 1.0],
        [0.2826, 0.24558, 0.6939, 1.0],
        [0.2858, 0.24742, 0.69037, 1.0],
        [0.28896, 0.24924, 0.68684, 1.0],
        [0.29202, 0.25106, 0.68331, 1.0],
        [0.29499, 0.25287, 0.67978, 1.0],
        [0.2979, 0.2547, 0.67625, 1.0],
        [0.30074, 0.25648, 0.67273, 1.0],
        [0.3035, 0.25829, 0.6692, 1.0],
        [0.30623, 0.2601, 0.66568, 1.0],
        [0.30886, 0.2619, 0.66216, 1.0],
        [0.31142, 0.26371, 0.65863, 1.0],
        [0.31394, 0.26549, 0.65511, 1.0],
        [0.31639, 0.26726, 0.6516, 1.0],
        [0.31878, 0.26908, 0.64807, 1.0],
        [0.32112, 0.27087, 0.64456, 1.0],
        [0.3234, 0.27263, 0.64104, 1.0],
        [0.32562, 0.27442, 0.63753, 1.0],
        [0.3278, 0.27621, 0.63402, 1.0],
        [0.32994, 0.27798, 0.63051, 1.0],
        [0.33201, 0.27975, 0.62699, 1.0],
        [0.33404, 0.28152, 0.62349, 1.0],
        [0.33602, 0.28329, 0.61998, 1.0],
        [0.33795, 0.28504, 0.61647, 1.0],
        [0.33985, 0.28681, 0.61296, 1.0],
        [0.34169, 0.28858, 0.60946, 1.0],
        [0.34349, 0.29033, 0.60594, 1.0],
        [0.34525, 0.2921, 0.60244, 1.0],
        [0.34698, 0.29385, 0.59894, 1.0],
        [0.34865, 0.2956, 0.59544, 1.0],
        [0.3503, 0.29736, 0.59194, 1.0],
        [0.35188, 0.29912, 0.58843, 1.0],
        [0.35345, 0.30085, 0.58494, 1.0],
        [0.35499, 0.30259, 0.58143, 1.0],
        [0.35647, 0.30434, 0.57793, 1.0],
        [0.35792, 0.3061, 0.57443, 1.0],
        [0.35932, 0.30781, 0.57094, 1.0],
        [0.36069, 0.30957, 0.56744, 1.0],
        [0.36205, 0.31129, 0.56395, 1.0],
        [0.36335, 0.31302, 0.56045, 1.0],
        [0.36463, 0.31475, 0.55696, 1.0],
        [0.36588, 0.31649, 0.55345, 1.0],
        [0.36709, 0.31821, 0.54996, 1.0],
        [0.36827, 0.31994, 0.54647, 1.0],
        [0.36941, 0.32165, 0.54297, 1.0],
        [0.37053, 0.32338, 0.53947, 1.0],
        [0.37161, 0.32509, 0.53597, 1.0],
        [0.37267, 0.32681, 0.53248, 1.0],
        [0.3737, 0.32854, 0.52899, 1.0],
        [0.37469, 0.33025, 0.52549, 1.0],
        [0.37565, 0.33196, 0.52198, 1.0],
        [0.3766, 0.33368, 0.5185, 1.0],
        [0.3775, 0.33539, 0.51499, 1.0],
        [0.37838, 0.33709, 0.51149, 1.0],
        [0.37924, 0.33879, 0.508, 1.0],
        [0.38006, 0.3405, 0.50451, 1.0],
        [0.38087, 0.3422, 0.501, 1.0],
        [0.38163, 0.34389, 0.4975, 1.0],
        [0.38237, 0.34559, 0.494, 1.0],
        [0.3831, 0.3473, 0.4905, 1.0],
        [0.38379, 0.34899, 0.48699, 1.0],
        [0.38445, 0.35069, 0.48348, 1.0],
        [0.38508, 0.35237, 0.47998, 1.0],
        [0.3857, 0.35406, 0.47647, 1.0],
        [0.38629, 0.35576, 0.47296, 1.0],
        [0.38685, 0.35745, 0.46946, 1.0],
        [0.38739, 0.35912, 0.46593, 1.0],
        [0.38791, 0.3608, 0.46242, 1.0],
        [0.3884, 0.3625, 0.45891, 1.0],
        [0.38888, 0.36417, 0.45539, 1.0],
        [0.38931, 0.36586, 0.45188, 1.0],
        [0.38973, 0.36753, 0.44835, 1.0],
        [0.39012, 0.36922, 0.44483, 1.0],
        [0.3905, 0.37088, 0.4413, 1.0],
        [0.39085, 0.37256, 0.43778, 1.0],
        [0.39118, 0.37425, 0.43423, 1.0],
        [0.39148, 0.37591, 0.4307, 1.0],
        [0.39176, 0.37758, 0.42717, 1.0],
        [0.39201, 0.37925, 0.42362, 1.0],
        [0.39224, 0.38092, 0.42008, 1.0],
        [0.39246, 0.38258, 0.41653, 1.0],
        [0.39264, 0.38425, 0.41298, 1.0],
        [0.39281, 0.3859, 0.40942, 1.0],
        [0.39296, 0.38757, 0.40587, 1.0],
        [0.39308, 0.38924, 0.40228, 1.0],
        [0.39318, 0.3909, 0.39872, 1.0],
        [0.39326, 0.39255, 0.39515, 1.0],
        [0.39669, 0.39314, 0.39214, 1.0],
        [0.40343, 0.39266, 0.38969, 1.0],
        [0.41007, 0.39217, 0.38724, 1.0],
        [0.41662, 0.39167, 0.3848, 1.0],
        [0.42308, 0.39116, 0.38235, 1.0],
        [0.42947, 0.39062, 0.37991, 1.0],
        [0.4358, 0.39007, 0.37746, 1.0],
        [0.44205, 0.38952, 0.37501, 1.0],
        [0.44822, 0.38896, 0.37255, 1.0],
        [0.45434, 0.38838, 0.3701, 1.0],
        [0.46038, 0.38778, 0.36765, 1.0],
        [0.46638, 0.38717, 0.3652, 1.0],
        [0.47233, 0.38655, 0.36274, 1.0],
        [0.47821, 0.38592, 0.36028, 1.0],
        [0.48404, 0.38527, 0.35784, 1.0],
        [0.48983, 0.38461, 0.35538, 1.0],
        [0.49557, 0.38394, 0.35291, 1.0],
        [0.50127, 0.38326, 0.35045, 1.0],
        [0.50692, 0.38255, 0.34798, 1.0],
        [0.51253, 0.38183, 0.34551, 1.0],
        [0.5181, 0.38111, 0.34305, 1.0],
        [0.52363, 0.38036, 0.34058, 1.0],
        [0.52913, 0.3796, 0.33809, 1.0],
        [0.53458, 0.37882, 0.33563, 1.0],
        [0.54, 0.37803, 0.33316, 1.0],
        [0.54539, 0.37723, 0.33067, 1.0],
        [0.55075, 0.37641, 0.32819, 1.0],
        [0.55607, 0.37556, 0.3257, 1.0],
        [0.56137, 0.37471, 0.32323, 1.0],
        [0.56664, 0.37384, 0.32075, 1.0],
        [0.57188, 0.37295, 0.31825, 1.0],
        [0.57709, 0.37204, 0.31576, 1.0],
        [0.58227, 0.37112, 0.31326, 1.0],
        [0.58743, 0.37018, 0.31077, 1.0],
        [0.59258, 0.36924, 0.30826, 1.0],
        [0.59768, 0.36827, 0.30577, 1.0],
        [0.60277, 0.36727, 0.30324, 1.0],
        [0.60785, 0.36627, 0.30073, 1.0],
        [0.61288, 0.36524, 0.29821, 1.0],
        [0.61791, 0.36419, 0.2957, 1.0],
        [0.62292, 0.36313, 0.29318, 1.0],
        [0.6279, 0.36205, 0.29066, 1.0],
        [0.63287, 0.36094, 0.28813, 1.0],
        [0.63782, 0.35983, 0.28559, 1.0],
        [0.64275, 0.35868, 0.28307, 1.0],
        [0.64766, 0.35754, 0.28051, 1.0],
        [0.65255, 0.35635, 0.27798, 1.0],
        [0.65744, 0.35515, 0.27544, 1.0],
        [0.6623, 0.35391, 0.27288, 1.0],
        [0.66714, 0.35267, 0.27033, 1.0],
        [0.67198, 0.3514, 0.26774, 1.0],
        [0.6768, 0.35012, 0.26518, 1.0],
        [0.6816, 0.3488, 0.26261, 1.0],
        [0.68639, 0.34747, 0.26004, 1.0],
        [0.69116, 0.3461, 0.25745, 1.0],
        [0.69594, 0.34472, 0.25487, 1.0],
        [0.70069, 0.34332, 0.25226, 1.0],
        [0.70542, 0.34189, 0.24964, 1.0],
        [0.71015, 0.34043, 0.24704, 1.0],
        [0.71486, 0.33896, 0.24441, 1.0],
        [0.71957, 0.33745, 0.24181, 1.0],
        [0.72426, 0.33591, 0.23917, 1.0],
        [0.72895, 0.33436, 0.23654, 1.0],
        [0.73362, 0.33277, 0.23387, 1.0],
        [0.73828, 0.33113, 0.23124, 1.0],
        [0.74294, 0.32951, 0.22858, 1.0],
        [0.74758, 0.32782, 0.2259, 1.0],
        [0.75221, 0.32611, 0.22322, 1.0],
        [0.75684, 0.32438, 0.22053, 1.0],
        [0.76145, 0.32263, 0.21781, 1.0],
        [0.76606, 0.32083, 0.21509, 1.0],
        [0.77066, 0.31899, 0.21238, 1.0],
        [0.77525, 0.31713, 0.20964, 1.0],
        [0.77984, 0.31523, 0.20691, 1.0],
        [0.78442, 0.31331, 0.20416, 1.0],
        [0.78899, 0.31134, 0.20135, 1.0],
        [0.79355, 0.30935, 0.19857, 1.0],
        [0.7981, 0.30729, 0.19578, 1.0],
        [0.80264, 0.30522, 0.19297, 1.0],
        [0.80719, 0.30309, 0.19014, 1.0],
        [0.81172, 0.30093, 0.18732, 1.0],
        [0.81625, 0.29874, 0.18444, 1.0],
        [0.82077, 0.2965, 0.18155, 1.0],
        [0.82529, 0.2942, 0.17869, 1.0],
        [0.8298, 0.29189, 0.17574, 1.0],
        [0.83431, 0.28951, 0.17282, 1.0],
        [0.8388, 0.28707, 0.16989, 1.0],
        [0.84329, 0.2846, 0.16692, 1.0],
        [0.84778, 0.28209, 0.16393, 1.0],
        [0.85227, 0.27951, 0.16088, 1.0],
        [0.85675, 0.27688, 0.15783, 1.0],
        [0.86122, 0.27419, 0.15475, 1.0],
        [0.86569, 0.27144, 0.15165, 1.0],
        [0.87015, 0.26865, 0.14851, 1.0],
        [0.87462, 0.26578, 0.1454, 1.0],
        [0.87907, 0.26285, 0.14218, 1.0],
        [0.88353, 0.25985, 0.13893, 1.0],
        [0.88797, 0.25678, 0.13565, 1.0],
        [0.89242, 0.25364, 0.13237, 1.0],
        [0.89686, 0.25041, 0.12899, 1.0],
        [0.9013, 0.24713, 0.12563, 1.0],
        [0.90573, 0.24374, 0.12213, 1.0],
        [0.91016, 0.24028, 0.11869, 1.0],
        [0.91459, 0.23676, 0.11509, 1.0],
        [0.91901, 0.23308, 0.11151, 1.0],
        [0.92343, 0.22934, 0.10779, 1.0],
        [0.92784, 0.22549, 0.10405, 1.0],
        [0.93226, 0.22153, 0.1002, 1.0],
        [0.93668, 0.21745, 0.096258, 1.0],
        [0.94108, 0.21323, 0.092292, 1.0],
        [0.94549, 0.2089, 0.088179, 1.0],
        [0.94989, 0.20443, 0.083966, 1.0],
        [0.95429, 0.19976, 0.079537, 1.0],
        [0.95869, 0.19499, 0.075045, 1.0],
        [0.96309, 0.19001, 0.070373, 1.0],
        [0.96749, 0.18486, 0.065518, 1.0],
        [0.97188, 0.17948, 0.06046, 1.0],
        [0.97626, 0.17389, 0.055081, 1.0],
        [0.98065, 0.16803, 0.049511, 1.0],
        [0.98504, 0.16195, 0.043373, 1.0],
        [0.98943, 0.15551, 0.037065, 1.0],
        [0.99381, 0.14872, 0.03044, 1.0],
        [0.99819, 0.14159, 0.024101, 1.0],
        [1, 0.13398, 0.017854, 1.0],
        [1, 0.12585, 0.011691, 1.0],
        [1, 0.11706, 0.0054342, 1.0],
        [1, 0.10757, 0, 1.0],
        [1, 0.097091, 0, 1.0],
    ],
    'cet.diverging_linear_bjy_30_90_c45': [
        [0.077854, 0.19343, 0.75827, 1.0],
        [0.095213, 0.19629, 0.7569, 1.0],
        [0.11007, 0.1991, 0.75553, 1.0],
        [0.12317, 0.20194, 0.75416, 1.0],
        [0.13514, 0.20481, 0.75279, 1.0],
        [0.14608, 0.20765, 0.75143, 1.0],
        [0.15626, 0.21049, 0.75004, 1.0],
        [0.16572, 0.21333, 0.74867, 1.0],
        [0.17472, 0.21621, 0.7473, 1.0],
        [0.18318, 0.21905, 0.74592, 1.0],
        [0.19126, 0.22188, 0.74454, 1.0],
        [0.19897, 0.22472, 0.74317, 1.0],
        [0.20641, 0.2276, 0.74178, 1.0],
        [0.21348, 0.23044, 0.7404, 1.0],
        [0.22035, 0.23329, 0.73902, 1.0],
        [0.22695, 0.23617, 0.73763, 1.0],
        [0.23332, 0.23902, 0.73624, 1.0],
        [0.23953, 0.24188, 0.73486, 1.0],
        [0.24552, 0.24472, 0.73347, 1.0],
        [0.25139, 0.24761, 0.73208, 1.0],
        [0.25706, 0.25045, 0.73069, 1.0],
        [0.26259, 0.25333, 0.72929, 1.0],
        [0.26797, 0.25618, 0.7279, 1.0],
        [0.27326, 0.25907, 0.7265, 1.0],
        [0.2784, 0.26192, 0.72511, 1.0],
        [0.28343, 0.26478, 0.7237, 1.0],
        [0.28834, 0.26764, 0.7223, 1.0],
        [0.29316, 0.27055, 0.7209, 1.0],
        [0.29788, 0.27341, 0.7195, 1.0],
        [0.3025, 0.27629, 0.71809, 1.0],
        [0.30706, 0.27916, 0.71668, 1.0],
        [0.31151, 0.28204, 0.71527, 1.0],
        [0.3159, 0.2849, 0.71386, 1.0],
        [0.3202, 0.28778, 0.71244, 1.0],
        [0.32441, 0.29066, 0.71103, 1.0],
        [0.32858, 0.29354, 0.70962, 1.0],
        [0.33268, 0.29643, 0.7082, 1.0],
        [0.33669, 0.29932, 0.70678, 1.0],
        [0.34065, 0.30219, 0.70535, 1.0],
        [0.34455, 0.30509, 0.70393, 1.0],
        [0.34839, 0.30797, 0.7025, 1.0],
        [0.35217, 0.31088, 0.70108, 1.0],
        [0.35592, 0.31377, 0.69964, 1.0],
        [0.35959, 0.31666, 0.69821, 1.0],
        [0.36322, 0.31955, 0.69678, 1.0],
        [0.36681, 0.32245, 0.69535, 1.0],
        [0.37033, 0.32533, 0.6939, 1.0],
        [0.37383, 0.32824, 0.69247, 1.0],
        [0.37727, 0.33113, 0.69102, 1.0],
        [0.38067, 0.33405, 0.68958, 1.0],
        [0.38403, 0.33695, 0.68814, 1.0],
        [0.38734, 0.33986, 0.68669, 1.0],
        [0.39062, 0.34277, 0.68524, 1.0],
        [0.39386, 0.34566, 0.68378, 1.0],
        [0.39705, 0.34858, 0.68232, 1.0],
        [0.40023, 0.35149, 0.68086, 1.0],
        [0.40336, 0.35441, 0.67941, 1.0],
        [0.40645, 0.35733, 0.67795, 1.0],
        [0.40951, 0.36023, 0.67649, 1.0],
        [0.41254, 0.36315, 0.67502, 1.0],
        [0.41553, 0.36607, 0.67355, 1.0],
        [0.41848, 0.36899, 0.67208, 1.0],
        [0.42141, 0.3719, 0.67061, 1.0],
        [0.42432, 0.37484, 0.66913, 1.0],
        [0.4272, 0.37776, 0.66765, 1.0],
        [0.43004, 0.38069, 0.66616, 1.0],
        [0.43285, 0.38362, 0.66468, 1.0],
        [0.43564, 0.38654, 0.6632, 1.0],
        [0.4384, 0.38948, 0.66171, 1.0],
        [0.44113, 0.39241, 0.66021, 1.0],
        [0.44384, 0.39535, 0.65871, 1.0],
        [0.44652, 0.39829, 0.65722, 1.0],
        [0.44918, 0.40123, 0.65572, 1.0],
        [0.45181, 0.40416, 0.65421, 1.0],
        [0.45442, 0.4071, 0.6527, 1.0],
        [0.45699, 0.41005, 0.6512, 1.0],
        [0.45955, 0.413, 0.64969, 1.0],
        [0.46209, 0.41594, 0.64817, 1.0],
        [0.46461, 0.41888, 0.64665, 1.0],
        [0.4671, 0.42183, 0.64513, 1.0],
        [0.46957, 0.42479, 0.6436, 1.0],
        [0.47202, 0.42775, 0.64208, 1.0],
        [0.47444, 0.4307, 0.64055, 1.0],
        [0.47685, 0.43364, 0.63902, 1.0],
        [0.47923, 0.43661, 0.63748, 1.0],
        [0.4816, 0.43957, 0.63594, 1.0],
        [0.48394, 0.44254, 0.6344, 1.0],
        [0.48627, 0.44549, 0.63285, 1.0],
        [0.48858, 0.44846, 0.6313, 1.0],
        [0.49088, 0.45143, 0.62974, 1.0],
        [0.49313, 0.4544, 0.62819, 1.0],
        [0.49539, 0.45736, 0.62663, 1.0],
        [0.49763, 0.46033, 0.62506, 1.0],
        [0.49983, 0.4633, 0.6235, 1.0],
        [0.50204, 0.46628, 0.62192, 1.0],
        [0.50422, 0.46927, 0.62036, 1.0],
        [0.50637, 0.47224, 0.61878, 1.0],
        [0.50853, 0.47522, 0.61719, 1.0],
        [0.51065, 0.47819, 0.6156, 1.0],
        [0.51277, 0.48117, 0.61401, 1.0],
        [0.51487, 0.48416, 0.61242, 1.0],
        [0.51695, 0.48715, 0.61083, 1.0],
        [0.51901, 0.49014, 0.60923, 1.0],
        [0.52106, 0.49312, 0.60762, 1.0],
        [0.52309, 0.49611, 0.606, 1.0],
        [0.52511, 0.49911, 0.6044, 1.0],
        [0.52712, 0.50211, 0.60277, 1.0],
        [0.52911, 0.5051, 0.60115, 1.0],
        [0.53107, 0.50811, 0.59953, 1.0],
        [0.53303, 0.5111, 0.59789, 1.0],
        [0.53497, 0.51411, 0.59626, 1.0],
        [0.53691, 0.51711, 0.59462, 1.0],
        [0.53882, 0.5201, 0.59298, 1.0],
        [0.54072, 0.52312, 0.59133, 1.0],
        [0.54261, 0.52613, 0.58967, 1.0],
        [0.54448, 0.52914, 0.58801, 1.0],
        [0.54635, 0.53215, 0.58635, 1.0],
        [0.54819, 0.53516, 0.58469, 1.0],
        [0.55002, 0.53818, 0.58301, 1.0],
        [0.55184, 0.54119, 0.58133, 1.0],
        [0.55364, 0.54421, 0.57966, 1.0],
        [0.55543, 0.54723, 0.57796, 1.0],
        [0.55722, 0.55025, 0.57628, 1.0],
        [0.55898, 0.55327, 0.57457, 1.0],
        [0.56074, 0.55629, 0.57288, 1.0],
        [0.56249, 0.55933, 0.57116, 1.0],
        [0.56422, 0.56236, 0.56945, 1.0],
        [0.56593, 0.56538, 0.56773, 1.0],
        [0.56883, 0.56809, 0.5657, 1.0],
        [0.57292, 0.57047, 0.56336, 1.0],
        [0.57698, 0.57287, 0.56099, 1.0],
        [0.58101, 0.57525, 0.55863, 1.0],
        [0.58503, 0.57764, 0.55626, 1.0],
        [0.58901, 0.58005, 0.55389, 1.0],
        [0.59299, 0.58244, 0.55151, 1.0],
        [0.59693, 0.58486, 0.54913, 1.0],
        [0.60085, 0.58726, 0.54673, 1.0],
        [0.60476, 0.58967, 0.54433, 1.0],
        [0.60865, 0.5921, 0.54191, 1.0],
        [0.6125, 0.59451, 0.5395, 1.0],
        [0.61635, 0.59694, 0.53708, 1.0],
        [0.62018, 0.59936, 0.53465, 1.0],
        [0.62399, 0.60179, 0.53221, 1.0],
        [0.62777, 0.60423, 0.52976, 1.0],
        [0.63154, 0.60666, 0.52731, 1.0],
        [0.6353, 0.6091, 0.52484, 1.0],
        [0.63904, 0.61154, 0.52237, 1.0],
        [0.64276, 0.61398, 0.51989, 1.0],
        [0.64646, 0.61644, 0.51741, 1.0],
        [0.65015, 0.61889, 0.51491, 1.0],
        [0.65382, 0.62134, 0.5124, 1.0],
        [0.65749, 0.62381, 0.50989, 1.0],
        [0.66112, 0.62626, 0.50736, 1.0],
        [0.66475, 0.62873, 0.50483, 1.0],
        [0.66837, 0.6312, 0.50229, 1.0],
        [0.67197, 0.63367, 0.49973, 1.0],
        [0.67556, 0.63615, 0.49717, 1.0],
        [0.67913, 0.63862, 0.4946, 1.0],
        [0.68269, 0.6411, 0.49202, 1.0],
        [0.68624, 0.64358, 0.48942, 1.0],
        [0.68978, 0.64607, 0.48682, 1.0],
        [0.6933, 0.64856, 0.4842, 1.0],
        [0.69681, 0.65106, 0.48158, 1.0],
        [0.70031, 0.65355, 0.47894, 1.0],
        [0.7038, 0.65605, 0.47629, 1.0],
        [0.70727, 0.65855, 0.47362, 1.0],
        [0.71074, 0.66105, 0.47096, 1.0],
        [0.71419, 0.66357, 0.46826, 1.0],
        [0.71764, 0.66607, 0.46556, 1.0],
        [0.72106, 0.66859, 0.46285, 1.0],
        [0.72449, 0.6711, 0.46013, 1.0],
        [0.7279, 0.67362, 0.45739, 1.0],
        [0.7313, 0.67614, 0.45465, 1.0],
        [0.73469, 0.67866, 0.45188, 1.0],
        [0.73807, 0.68119, 0.4491, 1.0],
        [0.74144, 0.68372, 0.4463, 1.0],
        [0.74481, 0.68625, 0.44349, 1.0],
        [0.74816, 0.68879, 0.44066, 1.0],
        [0.75151, 0.69132, 0.43783, 1.0],
        [0.75485, 0.69386, 0.43497, 1.0],
        [0.75817, 0.69641, 0.4321, 1.0],
        [0.76149, 0.69895, 0.42919, 1.0],
        [0.7648, 0.7015, 0.42628, 1.0],
        [0.7681, 0.70405, 0.42335, 1.0],
        [0.7714, 0.70661, 0.42041, 1.0],
        [0.77468, 0.70917, 0.41745, 1.0],
        [0.77796, 0.71173, 0.41446, 1.0],
        [0.78123, 0.71428, 0.41146, 1.0],
        [0.7845, 0.71685, 0.40844, 1.0],
        [0.78775, 0.71942, 0.4054, 1.0],
        [0.79099, 0.72198, 0.40232, 1.0],
        [0.79424, 0.72456, 0.39924, 1.0],
        [0.79747, 0.72713, 0.39614, 1.0],
        [0.8007, 0.72971, 0.393, 1.0],
        [0.80392, 0.73229, 0.38984, 1.0],
        [0.80713, 0.73487, 0.38666, 1.0],
        [0.81033, 0.73745, 0.38347, 1.0],
        [0.81354, 0.74005, 0.38023, 1.0],
        [0.81673, 0.74263, 0.37698, 1.0],
        [0.81992, 0.74522, 0.37369, 1.0],
        [0.8231, 0.74782, 0.37037, 1.0],
        [0.82628, 0.75041, 0.36704, 1.0],
        [0.82945, 0.75301, 0.36366, 1.0],
        [0.83261, 0.75561, 0.36026, 1.0],
        [0.83577, 0.75822, 0.35684, 1.0],
        [0.83892, 0.76082, 0.35336, 1.0],
        [0.84207, 0.76343, 0.34987, 1.0],
        [0.84521, 0.76604, 0.34632, 1.0],
        [0.84834, 0.76865, 0.34277, 1.0],
        [0.85147, 0.77127, 0.33916, 1.0],
        [0.8546, 0.77388, 0.33551, 1.0],
        [0.85772, 0.77651, 0.33181, 1.0],
        [0.86083, 0.77913, 0.32808, 1.0],
        [0.86395, 0.78175, 0.3243, 1.0],
        [0.86705, 0.78438, 0.3205, 1.0],
        [0.87015, 0.78701, 0.31662, 1.0],
        [0.87324, 0.78964, 0.31269, 1.0],
        [0.87633, 0.79227, 0.30875, 1.0],
        [0.87942, 0.79491, 0.30472, 1.0],
        [0.8825, 0.79754, 0.30064, 1.0],
        [0.88558, 0.80019, 0.29651, 1.0],
        [0.88866, 0.80283, 0.29232, 1.0],
        [0.89172, 0.80547, 0.28806, 1.0],
        [0.89479, 0.80812, 0.28374, 1.0],
        [0.89785, 0.81077, 0.27936, 1.0],
        [0.9009, 0.81342, 0.27488, 1.0],
        [0.90395, 0.81607, 0.27036, 1.0],
        [0.907, 0.81872, 0.26572, 1.0],
        [0.91005, 0.82138, 0.26101, 1.0],
        [0.91309, 0.82404, 0.2562, 1.0],
        [0.91612, 0.82671, 0.25133, 1.0],
        [0.91915, 0.82937, 0.24631, 1.0],
        [0.92219, 0.83204, 0.24121, 1.0],
        [0.92521, 0.8347, 0.236, 1.0],
        [0.92823, 0.83737, 0.23064, 1.0],
        [0.93125, 0.84005, 0.22515, 1.0],
        [0.93426, 0.84272, 0.21954, 1.0],
        [0.93728, 0.84539, 0.21376, 1.0],
        [0.94029, 0.84807, 0.20781, 1.0],
        [0.94329, 0.85075, 0.20166, 1.0],
        [0.94629, 0.85343, 0.19535, 1.0],
        [0.94929, 0.85612, 0.18881, 1.0],
        [0.95229, 0.8588, 0.18199, 1.0],
        [0.95528, 0.86149, 0.17496, 1.0],
        [0.95827, 0.86419, 0.16758, 1.0],
        [0.96125, 0.86687, 0.15984, 1.0],
        [0.96424, 0.86957, 0.15175, 1.0],
        [0.96722, 0.87227, 0.1432, 1.0],
        [0.9702, 0.87497, 0.13412, 1.0],
        [0.97317, 0.87767, 0.12434, 1.0],
        [0.97614, 0.88037, 0.11385, 1.0],
        [0.97911, 0.88307, 0.10233, 1.0],
        [0.98208, 0.88578, 0.089538, 1.0],
        [0.98505, 0.88849, 0.07491, 1.0],
        [0.98801, 0.8912, 0.057534, 1.0],
        [0.99097, 0.89391, 0.035647, 1.0],
    ],
    'cet.diverging_protanopic_deuteranopic_bwy_60_95_c32': [
        [0.22906, 0.56603, 0.9967, 1.0],
        [0.24157, 0.56872, 0.99641, 1.0],
        [0.25345, 0.57142, 0.99612, 1.0],
        [0.26476, 0.57412, 0.99583, 1.0],
        [0.27564, 0.57683, 0.99553, 1.0],
        [0.28604, 0.57954, 0.99524, 1.0],
        [0.2961, 0.58225, 0.99494, 1.0],
        [0.30584, 0.58497, 0.99464, 1.0],
        [0.31523, 0.58769, 0.99434, 1.0],
        [0.32437, 0.59042, 0.99404, 1.0],
        [0.33327, 0.59316, 0.99374, 1.0],
        [0.34192, 0.5959, 0.99343, 1.0],
        [0.35037, 0.59864, 0.99313, 1.0],
        [0.3586, 0.60139, 0.99282, 1.0],
        [0.36667, 0.60415, 0.99251, 1.0],
        [0.37457, 0.6069, 0.99219, 1.0],
        [0.38229, 0.60966, 0.99188, 1.0],
        [0.38988, 0.61242, 0.99156, 1.0],
        [0.39734, 0.61519, 0.99124, 1.0],
        [0.40465, 0.61797, 0.99092, 1.0],
        [0.41186, 0.62076, 0.9906, 1.0],
        [0.41894, 0.62354, 0.99028, 1.0],
        [0.42591, 0.62632, 0.98996, 1.0],
        [0.43278, 0.62912, 0.98963, 1.0],
        [0.43955, 0.63192, 0.9893, 1.0],
        [0.44622, 0.63472, 0.98897, 1.0],
        [0.45282, 0.63752, 0.98864, 1.0],
        [0.45932, 0.64034, 0.9883, 1.0],
        [0.46573, 0.64315, 0.98797, 1.0],
        [0.47209, 0.64596, 0.98763, 1.0],
        [0.47835, 0.64879, 0.98729, 1.0],
        [0.48455, 0.65162, 0.98695, 1.0],
        [0.4907, 0.65444, 0.98661, 1.0],
        [0.49675, 0.65728, 0.98626, 1.0],
        [0.50276, 0.66012, 0.98592, 1.0],
        [0.50872, 0.66297, 0.98557, 1.0],
        [0.5146, 0.66581, 0.98522, 1.0],
        [0.52043, 0.66866, 0.98487, 1.0],
        [0.52622, 0.67151, 0.98451, 1.0],
        [0.53194, 0.67437, 0.98416, 1.0],
        [0.53763, 0.67724, 0.9838, 1.0],
        [0.54326, 0.6801, 0.98343, 1.0],
        [0.54885, 0.68297, 0.98307, 1.0],
        [0.55438, 0.68585, 0.98271, 1.0],
        [0.55988, 0.68873, 0.98235, 1.0],
        [0.56533, 0.69161, 0.98198, 1.0],
        [0.57075, 0.69449, 0.98161, 1.0],
        [0.57614, 0.69738, 0.98123, 1.0],
        [0.58147, 0.70027, 0.98086, 1.0],
        [0.58677, 0.70317, 0.98049, 1.0],
        [0.59205, 0.70607, 0.98011, 1.0],
        [0.59728, 0.70898, 0.97973, 1.0],
        [0.60247, 0.71188, 0.97935, 1.0],
        [0.60765, 0.71479, 0.97896, 1.0],
        [0.61277, 0.71771, 0.97857, 1.0],
        [0.61788, 0.72063, 0.97819, 1.0],
        [0.62296, 0.72355, 0.9778, 1.0],
        [0.62801, 0.72648, 0.97741, 1.0],
        [0.63302, 0.72941, 0.97701, 1.0],
        [0.63801, 0.73234, 0.97661, 1.0],
        [0.64298, 0.73528, 0.97622, 1.0],
        [0.64791, 0.73821, 0.97581, 1.0],
        [0.65283, 0.74115, 0.97541, 1.0],
        [0.65772, 0.74411, 0.97501, 1.0],
        [0.66259, 0.74706, 0.9746, 1.0],
        [0.66743, 0.75001, 0.97419, 1.0],
        [0.67225, 0.75296, 0.97378, 1.0],
        [0.67704, 0.75593, 0.97337, 1.0],
        [0.68181, 0.75889, 0.97296, 1.0],
        [0.68657, 0.76186, 0.97254, 1.0],
        [0.6913, 0.76483, 0.97212, 1.0],
        [0.69602, 0.7678, 0.9717, 1.0],
        [0.70071, 0.77078, 0.97127, 1.0],
        [0.70538, 0.77376, 0.97084, 1.0],
        [0.71003, 0.77675, 0.97042, 1.0],
        [0.71466, 0.77973, 0.96999, 1.0],
        [0.71929, 0.78272, 0.96955, 1.0],
        [0.72389, 0.78572, 0.96912, 1.0],
        [0.72847, 0.78871, 0.96868, 1.0],
        [0.73304, 0.79171, 0.96824, 1.0],
        [0.73758, 0.79471, 0.9678, 1.0],
        [0.74212, 0.79772, 0.96736, 1.0],
        [0.74664, 0.80073, 0.96691, 1.0],
        [0.75115, 0.80374, 0.96646, 1.0],
        [0.75563, 0.80676, 0.96601, 1.0],
        [0.7601, 0.80977, 0.96555, 1.0],
        [0.76456, 0.81279, 0.9651, 1.0],
        [0.769, 0.81582, 0.96464, 1.0],
        [0.77343, 0.81884, 0.96418, 1.0],
        [0.77785, 0.82188, 0.96372, 1.0],
        [0.78226, 0.82491, 0.96325, 1.0],
        [0.78665, 0.82795, 0.96278, 1.0],
        [0.79102, 0.83099, 0.96231, 1.0],
        [0.79539, 0.83404, 0.96184, 1.0],
        [0.79974, 0.83708, 0.96136, 1.0],
        [0.80408, 0.84013, 0.96089, 1.0],
        [0.80841, 0.84318, 0.96041, 1.0],
        [0.81272, 0.84623, 0.95993, 1.0],
        [0.81703, 0.84929, 0.95944, 1.0],
        [0.82133, 0.85236, 0.95895, 1.0],
        [0.82561, 0.85542, 0.95847, 1.0],
        [0.82988, 0.85848, 0.95797, 1.0],
        [0.83415, 0.86155, 0.95748, 1.0],
        [0.8384, 0.86462, 0.95698, 1.0],
        [0.84264, 0.8677, 0.95648, 1.0],
        [0.84687, 0.87078, 0.95598, 1.0],
        [0.85109, 0.87386, 0.95547, 1.0],
        [0.85531, 0.87694, 0.95497, 1.0],
        [0.85951, 0.88003, 0.95445, 1.0],
        [0.8637, 0.88312, 0.95394, 1.0],
        [0.86789, 0.88621, 0.95343, 1.0],
        [0.87206, 0.88931, 0.95291, 1.0],
        [0.87623, 0.89241, 0.95239, 1.0],
        [0.88039, 0.8955, 0.95185, 1.0],
        [0.88453, 0.8986, 0.95131, 1.0],
        [0.88867, 0.90168, 0.95074, 1.0],
        [0.89277, 0.90475, 0.95013, 1.0],
        [0.89686, 0.90779, 0.94947, 1.0],
        [0.90088, 0.91077, 0.94872, 1.0],
        [0.90485, 0.91368, 0.94786, 1.0],
        [0.90872, 0.91647, 0.94684, 1.0],
        [0.91247, 0.9191, 0.9456, 1.0],
        [0.91603, 0.92152, 0.94409, 1.0],
        [0.91936, 0.92367, 0.94224, 1.0],
        [0.92242, 0.92548, 0.94, 1.0],
        [0.92513, 0.9269, 0.93732, 1.0],
        [0.92745, 0.92788, 0.93415, 1.0],
        [0.92933, 0.92837, 0.93049, 1.0],
        [0.93077, 0.92836, 0.92633, 1.0],
        [0.93173, 0.92785, 0.9217, 1.0],
        [0.93225, 0.92686, 0.91663, 1.0],
        [0.93234, 0.92542, 0.91117, 1.0],
        [0.93205, 0.9236, 0.90539, 1.0],
        [0.93143, 0.92143, 0.89935, 1.0],
        [0.93053, 0.91899, 0.8931, 1.0],
        [0.92941, 0.91635, 0.88671, 1.0],
        [0.92813, 0.91355, 0.88021, 1.0],
        [0.92671, 0.91063, 0.87364, 1.0],
        [0.92521, 0.90764, 0.86702, 1.0],
        [0.92364, 0.90459, 0.86039, 1.0],
        [0.92202, 0.90151, 0.85373, 1.0],
        [0.92036, 0.89841, 0.84708, 1.0],
        [0.91868, 0.89531, 0.84042, 1.0],
        [0.91699, 0.8922, 0.83377, 1.0],
        [0.91527, 0.88909, 0.82712, 1.0],
        [0.91355, 0.88598, 0.82048, 1.0],
        [0.91181, 0.88287, 0.81385, 1.0],
        [0.91007, 0.87977, 0.80722, 1.0],
        [0.90831, 0.87667, 0.8006, 1.0],
        [0.90653, 0.87358, 0.79399, 1.0],
        [0.90475, 0.87048, 0.78738, 1.0],
        [0.90296, 0.8674, 0.78077, 1.0],
        [0.90115, 0.86431, 0.77417, 1.0],
        [0.89933, 0.86122, 0.76758, 1.0],
        [0.8975, 0.85814, 0.761, 1.0],
        [0.89566, 0.85507, 0.75442, 1.0],
        [0.89381, 0.85199, 0.74784, 1.0],
        [0.89195, 0.84892, 0.74126, 1.0],
        [0.89007, 0.84585, 0.73471, 1.0],
        [0.88818, 0.84278, 0.72814, 1.0],
        [0.88629, 0.83972, 0.72159, 1.0],
        [0.88438, 0.83666, 0.71504, 1.0],
        [0.88245, 0.8336, 0.7085, 1.0],
        [0.88052, 0.83055, 0.70196, 1.0],
        [0.87858, 0.82749, 0.69543, 1.0],
        [0.87662, 0.82444, 0.6889, 1.0],
        [0.87466, 0.8214, 0.68237, 1.0],
        [0.87268, 0.81835, 0.67586, 1.0],
        [0.87069, 0.81532, 0.66935, 1.0],
        [0.8687, 0.81228, 0.66284, 1.0],
        [0.86668, 0.80925, 0.65634, 1.0],
        [0.86466, 0.80622, 0.64984, 1.0],
        [0.86263, 0.80319, 0.64334, 1.0],
        [0.86058, 0.80017, 0.63685, 1.0],
        [0.85852, 0.79714, 0.63037, 1.0],
        [0.85646, 0.79413, 0.62389, 1.0],
        [0.85438, 0.7911, 0.6174, 1.0],
        [0.8523, 0.78809, 0.61093, 1.0],
        [0.85019, 0.78509, 0.60446, 1.0],
        [0.84808, 0.78208, 0.59799, 1.0],
        [0.84596, 0.77907, 0.59153, 1.0],
        [0.84383, 0.77607, 0.58507, 1.0],
        [0.84169, 0.77307, 0.57861, 1.0],
        [0.83953, 0.77008, 0.57216, 1.0],
        [0.83737, 0.76709, 0.5657, 1.0],
        [0.83519, 0.7641, 0.55926, 1.0],
        [0.833, 0.76112, 0.55281, 1.0],
        [0.83081, 0.75814, 0.54638, 1.0],
        [0.8286, 0.75516, 0.53993, 1.0],
        [0.82638, 0.75218, 0.53349, 1.0],
        [0.82415, 0.7492, 0.52706, 1.0],
        [0.82191, 0.74624, 0.52061, 1.0],
        [0.81966, 0.74328, 0.51419, 1.0],
        [0.8174, 0.74031, 0.50775, 1.0],
        [0.81513, 0.73735, 0.50132, 1.0],
        [0.81284, 0.73439, 0.49488, 1.0],
        [0.81055, 0.73144, 0.48845, 1.0],
        [0.80825, 0.72849, 0.48201, 1.0],
        [0.80593, 0.72555, 0.47558, 1.0],
        [0.80361, 0.72259, 0.46914, 1.0],
        [0.80127, 0.71966, 0.46269, 1.0],
        [0.79893, 0.71672, 0.45625, 1.0],
        [0.79657, 0.71378, 0.44981, 1.0],
        [0.79421, 0.71086, 0.44337, 1.0],
        [0.79183, 0.70792, 0.43692, 1.0],
        [0.78944, 0.705, 0.43046, 1.0],
        [0.78704, 0.70208, 0.42399, 1.0],
        [0.78464, 0.69916, 0.41754, 1.0],
        [0.78222, 0.69625, 0.41106, 1.0],
        [0.77978, 0.69334, 0.40458, 1.0],
        [0.77735, 0.69042, 0.3981, 1.0],
        [0.7749, 0.68752, 0.39161, 1.0],
        [0.77244, 0.68462, 0.3851, 1.0],
        [0.76997, 0.68172, 0.37859, 1.0],
        [0.76749, 0.67882, 0.37206, 1.0],
        [0.765, 0.67593, 0.36553, 1.0],
        [0.7625, 0.67305, 0.35898, 1.0],
        [0.75999, 0.67017, 0.35242, 1.0],
        [0.75747, 0.66728, 0.34583, 1.0],
        [0.75494, 0.6644, 0.33926, 1.0],
        [0.7524, 0.66153, 0.33264, 1.0],
        [0.74985, 0.65865, 0.32598, 1.0],
        [0.74729, 0.65579, 0.31934, 1.0],
        [0.74472, 0.65291, 0.31264, 1.0],
        [0.74214, 0.65006, 0.30596, 1.0],
        [0.73956, 0.6472, 0.29921, 1.0],
        [0.73695, 0.64434, 0.29243, 1.0],
        [0.73434, 0.64149, 0.28562, 1.0],
        [0.73172, 0.63864, 0.2788, 1.0],
        [0.72909, 0.6358, 0.2719, 1.0],
        [0.72646, 0.63296, 0.26498, 1.0],
        [0.72381, 0.63012, 0.258, 1.0],
        [0.72115, 0.62728, 0.251, 1.0],
        [0.71848, 0.62446, 0.24389, 1.0],
        [0.71581, 0.62162, 0.23678, 1.0],
        [0.71312, 0.61881, 0.22953, 1.0],
        [0.71042, 0.61598, 0.22224, 1.0],
        [0.70771, 0.61316, 0.21485, 1.0],
        [0.705, 0.61035, 0.2074, 1.0],
        [0.70227, 0.60754, 0.19979, 1.0],
        [0.69954, 0.60473, 0.1921, 1.0],
        [0.6968, 0.60193, 0.18428, 1.0],
        [0.69404, 0.59913, 0.17627, 1.0],
        [0.69128, 0.59633, 0.16813, 1.0],
        [0.68852, 0.59354, 0.15977, 1.0],
        [0.68574, 0.59075, 0.15122, 1.0],
        [0.68294, 0.58796, 0.1424, 1.0],
        [0.68014, 0.58518, 0.13326, 1.0],
        [0.67734, 0.5824, 0.12372, 1.0],
        [0.67452, 0.57963, 0.1138, 1.0],
        [0.67169, 0.57686, 0.10332, 1.0],
        [0.66886, 0.57408, 0.092119, 1.0],
        [0.66602, 0.57132, 0.07995, 1.0],
        [0.66317, 0.56855, 0.066579, 1.0],
        [0.6603, 0.5658, 0.051268, 1.0],
        [0.65744, 0.56305, 0.03304, 1.0],
    ],
    'cet.diverging_rainbow_bgymr_45_85_c67': [
        [0.032081, 0.36182, 0.97348, 1.0],
        [0.05836, 0.37092, 0.95845, 1.0],
        [0.075961, 0.37984, 0.94345, 1.0],
        [0.088784, 0.38858, 0.92847, 1.0],
        [0.098335, 0.39714, 0.91352, 1.0],
        [0.10538, 0.40555, 0.89858, 1.0],
        [0.1105, 0.4138, 0.88367, 1.0],
        [0.1138, 0.42191, 0.86877, 1.0],
        [0.11557, 0.4299, 0.85388, 1.0],
        [0.11592, 0.43777, 0.83902, 1.0],
        [0.11487, 0.44549, 0.82416, 1.0],
        [0.11266, 0.45311, 0.80932, 1.0],
        [0.10918, 0.46059, 0.79447, 1.0],
        [0.10455, 0.46796, 0.77961, 1.0],
        [0.099069, 0.47521, 0.76474, 1.0],
        [0.092835, 0.4823, 0.74982, 1.0],
        [0.08633, 0.48923, 0.73486, 1.0],
        [0.080053, 0.496, 0.71982, 1.0],
        [0.074782, 0.50259, 0.70469, 1.0],
        [0.071457, 0.50899, 0.68944, 1.0],
        [0.07085, 0.51517, 0.67403, 1.0],
        [0.073695, 0.52113, 0.65846, 1.0],
        [0.079835, 0.52688, 0.64271, 1.0],
        [0.089012, 0.5324, 0.62676, 1.0],
        [0.10026, 0.53772, 0.61062, 1.0],
        [0.11288, 0.54284, 0.59428, 1.0],
        [0.126, 0.54779, 0.57774, 1.0],
        [0.1391, 0.55261, 0.56104, 1.0],
        [0.15183, 0.55732, 0.54417, 1.0],
        [0.16388, 0.56193, 0.52714, 1.0],
        [0.17497, 0.56648, 0.50997, 1.0],
        [0.18508, 0.57098, 0.49266, 1.0],
        [0.19412, 0.57547, 0.47524, 1.0],
        [0.20204, 0.57994, 0.45766, 1.0],
        [0.20895, 0.58441, 0.43995, 1.0],
        [0.21483, 0.58888, 0.4221, 1.0],
        [0.21979, 0.59337, 0.40411, 1.0],
        [0.22384, 0.59785, 0.38597, 1.0],
        [0.22711, 0.60234, 0.36769, 1.0],
        [0.22964, 0.60683, 0.3493, 1.0],
        [0.23163, 0.6113, 0.33081, 1.0],
        [0.23311, 0.61574, 0.3123, 1.0],
        [0.23437, 0.62014, 0.29385, 1.0],
        [0.23553, 0.62448, 0.27559, 1.0],
        [0.23686, 0.62873, 0.25761, 1.0],
        [0.23856, 0.63287, 0.24012, 1.0],
        [0.24094, 0.63689, 0.22333, 1.0],
        [0.24418, 0.64076, 0.2074, 1.0],
        [0.2485, 0.64447, 0.19256, 1.0],
        [0.25393, 0.64801, 0.17902, 1.0],
        [0.26052, 0.65139, 0.16694, 1.0],
        [0.26821, 0.65459, 0.15642, 1.0],
        [0.2769, 0.65765, 0.14749, 1.0],
        [0.28638, 0.66054, 0.14012, 1.0],
        [0.29654, 0.66333, 0.13429, 1.0],
        [0.30712, 0.666, 0.12971, 1.0],
        [0.318, 0.6686, 0.12623, 1.0],
        [0.32904, 0.67112, 0.12356, 1.0],
        [0.34011, 0.6736, 0.12159, 1.0],
        [0.35116, 0.67603, 0.1201, 1.0],
        [0.36212, 0.67844, 0.11895, 1.0],
        [0.37296, 0.68081, 0.11798, 1.0],
        [0.38369, 0.68318, 0.11711, 1.0],
        [0.39426, 0.68554, 0.11638, 1.0],
        [0.40469, 0.68788, 0.11563, 1.0],
        [0.415, 0.69021, 0.11486, 1.0],
        [0.42518, 0.69254, 0.11414, 1.0],
        [0.43523, 0.69484, 0.11344, 1.0],
        [0.44516, 0.69715, 0.11268, 1.0],
        [0.455, 0.69945, 0.1119, 1.0],
        [0.46473, 0.70173, 0.11112, 1.0],
        [0.47437, 0.70402, 0.11034, 1.0],
        [0.48392, 0.7063, 0.10954, 1.0],
        [0.4934, 0.70856, 0.10866, 1.0],
        [0.50281, 0.71081, 0.10783, 1.0],
        [0.51215, 0.71306, 0.10703, 1.0],
        [0.52142, 0.7153, 0.10617, 1.0],
        [0.53064, 0.71754, 0.10523, 1.0],
        [0.53978, 0.71976, 0.10434, 1.0],
        [0.5489, 0.72197, 0.10349, 1.0],
        [0.55794, 0.72417, 0.10255, 1.0],
        [0.56694, 0.72637, 0.1016, 1.0],
        [0.5759, 0.72856, 0.10065, 1.0],
        [0.58481, 0.73074, 0.099684, 1.0],
        [0.59368, 0.73292, 0.098715, 1.0],
        [0.60252, 0.73509, 0.097735, 1.0],
        [0.61132, 0.73724, 0.096645, 1.0],
        [0.62009, 0.73939, 0.095664, 1.0],
        [0.62882, 0.74152, 0.094646, 1.0],
        [0.63752, 0.74366, 0.09351, 1.0],
        [0.64619, 0.74578, 0.092435, 1.0],
        [0.65483, 0.7479, 0.091367, 1.0],
        [0.66346, 0.75, 0.090209, 1.0],
        [0.67205, 0.7521, 0.089055, 1.0],
        [0.68061, 0.75419, 0.087892, 1.0],
        [0.68917, 0.75627, 0.086685, 1.0],
        [0.69769, 0.75835, 0.085411, 1.0],
        [0.7062, 0.76041, 0.084247, 1.0],
        [0.71468, 0.76246, 0.082921, 1.0],
        [0.72315, 0.76451, 0.081681, 1.0],
        [0.73161, 0.76655, 0.0803, 1.0],
        [0.74005, 0.76858, 0.078922, 1.0],
        [0.74847, 0.77061, 0.077534, 1.0],
        [0.75687, 0.77262, 0.076136, 1.0],
        [0.76527, 0.77462, 0.074724, 1.0],
        [0.77364, 0.77663, 0.07331, 1.0],
        [0.78201, 0.77861, 0.071765, 1.0],
        [0.79036, 0.78059, 0.070194, 1.0],
        [0.7987, 0.78257, 0.068669, 1.0],
        [0.80704, 0.78453, 0.067, 1.0],
        [0.81535, 0.78649, 0.065324, 1.0],
        [0.82366, 0.78843, 0.063634, 1.0],
        [0.83198, 0.79037, 0.061832, 1.0],
        [0.84029, 0.7923, 0.060168, 1.0],
        [0.84859, 0.7942, 0.058382, 1.0],
        [0.85689, 0.79607, 0.056834, 1.0],
        [0.8652, 0.79789, 0.055378, 1.0],
        [0.87351, 0.79966, 0.054292, 1.0],
        [0.88182, 0.80132, 0.053775, 1.0],
        [0.89012, 0.80285, 0.054093, 1.0],
        [0.8984, 0.8042, 0.055566, 1.0],
        [0.90662, 0.8053, 0.058415, 1.0],
        [0.91475, 0.80608, 0.063031, 1.0],
        [0.92272, 0.80648, 0.069366, 1.0],
        [0.93047, 0.80641, 0.077301, 1.0],
        [0.9379, 0.80582, 0.08703, 1.0],
        [0.94493, 0.80465, 0.097983, 1.0],
        [0.95147, 0.80288, 0.10998, 1.0],
        [0.95744, 0.80051, 0.12259, 1.0],
        [0.9628, 0.79755, 0.1357, 1.0],
        [0.9675, 0.79406, 0.14898, 1.0],
        [0.97155, 0.79007, 0.16223, 1.0],
        [0.97499, 0.78567, 0.17523, 1.0],
        [0.97786, 0.78094, 0.18795, 1.0],
        [0.98025, 0.77593, 0.20021, 1.0],
        [0.98222, 0.77073, 0.21212, 1.0],
        [0.98385, 0.76537, 0.22355, 1.0],
        [0.98522, 0.75991, 0.23457, 1.0],
        [0.98638, 0.75438, 0.24514, 1.0],
        [0.9874, 0.74879, 0.25538, 1.0],
        [0.98831, 0.74317, 0.26524, 1.0],
        [0.98914, 0.73751, 0.27479, 1.0],
        [0.98991, 0.73185, 0.28406, 1.0],
        [0.99062, 0.72616, 0.29307, 1.0],
        [0.9913, 0.72045, 0.30183, 1.0],
        [0.99194, 0.71474, 0.3104, 1.0],
        [0.99255, 0.70902, 0.31874, 1.0],
        [0.99314, 0.70327, 0.32691, 1.0],
        [0.99369, 0.6975, 0.33494, 1.0],
        [0.99421, 0.69172, 0.34279, 1.0],
        [0.9947, 0.68593, 0.35051, 1.0],
        [0.99516, 0.68011, 0.35809, 1.0],
        [0.9956, 0.67428, 0.36554, 1.0],
        [0.996, 0.66843, 0.37289, 1.0],
        [0.99638, 0.66256, 0.38013, 1.0],
        [0.99672, 0.65667, 0.38727, 1.0],
        [0.99704, 0.65075, 0.39432, 1.0],
        [0.99732, 0.64482, 0.40128, 1.0],
        [0.99758, 0.63886, 0.40815, 1.0],
        [0.99781, 0.63289, 0.41495, 1.0],
        [0.99801, 0.62688, 0.42166, 1.0],
        [0.99818, 0.62086, 0.42832, 1.0],
        [0.99832, 0.6148, 0.43492, 1.0],
        [0.99843, 0.60874, 0.44143, 1.0],
        [0.99851, 0.60262, 0.44789, 1.0],
        [0.99857, 0.59649, 0.45431, 1.0],
        [0.99859, 0.59033, 0.46065, 1.0],
        [0.99858, 0.58414, 0.46696, 1.0],
        [0.99855, 0.57791, 0.4732, 1.0],
        [0.99848, 0.57166, 0.47942, 1.0],
        [0.99839, 0.56537, 0.48557, 1.0],
        [0.99827, 0.55905, 0.4917, 1.0],
        [0.99812, 0.5527, 0.49778, 1.0],
        [0.99793, 0.54631, 0.50381, 1.0],
        [0.99772, 0.53987, 0.50981, 1.0],
        [0.99748, 0.53339, 0.51577, 1.0],
        [0.99721, 0.52689, 0.52171, 1.0],
        [0.99692, 0.52032, 0.52761, 1.0],
        [0.99659, 0.51372, 0.53348, 1.0],
        [0.99623, 0.50706, 0.53932, 1.0],
        [0.99585, 0.50036, 0.54514, 1.0],
        [0.99543, 0.4936, 0.55092, 1.0],
        [0.99499, 0.4868, 0.55668, 1.0],
        [0.99451, 0.47994, 0.56242, 1.0],
        [0.99401, 0.473, 0.56813, 1.0],
        [0.99348, 0.46601, 0.57381, 1.0],
        [0.99292, 0.45897, 0.57948, 1.0],
        [0.99232, 0.45185, 0.58513, 1.0],
        [0.9917, 0.44466, 0.59074, 1.0],
        [0.99105, 0.43739, 0.59635, 1.0],
        [0.99036, 0.43003, 0.60193, 1.0],
        [0.98965, 0.42258, 0.60751, 1.0],
        [0.98891, 0.41506, 0.61304, 1.0],
        [0.98813, 0.40745, 0.61855, 1.0],
        [0.98733, 0.39973, 0.62399, 1.0],
        [0.98649, 0.39194, 0.62934, 1.0],
        [0.98562, 0.38405, 0.63457, 1.0],
        [0.98472, 0.37608, 0.63961, 1.0],
        [0.98378, 0.36804, 0.64438, 1.0],
        [0.98281, 0.35995, 0.64878, 1.0],
        [0.98181, 0.35183, 0.65266, 1.0],
        [0.98078, 0.34373, 0.65588, 1.0],
        [0.97973, 0.3357, 0.65825, 1.0],
        [0.97864, 0.32775, 0.65959, 1.0],
        [0.97754, 0.31999, 0.65974, 1.0],
        [0.97642, 0.3124, 0.65853, 1.0],
        [0.97528, 0.30511, 0.65589, 1.0],
        [0.97411, 0.29808, 0.65173, 1.0],
        [0.97292, 0.2914, 0.64606, 1.0],
        [0.97169, 0.285, 0.63895, 1.0],
        [0.97041, 0.27897, 0.63052, 1.0],
        [0.96907, 0.2732, 0.62092, 1.0],
        [0.96766, 0.26768, 0.61031, 1.0],
        [0.96618, 0.26243, 0.5989, 1.0],
        [0.96461, 0.25735, 0.58686, 1.0],
        [0.96297, 0.2524, 0.57435, 1.0],
        [0.96124, 0.24756, 0.56152, 1.0],
        [0.95942, 0.24278, 0.54846, 1.0],
        [0.95753, 0.23806, 0.53526, 1.0],
        [0.95556, 0.23335, 0.52198, 1.0],
        [0.95351, 0.22869, 0.50869, 1.0],
        [0.95138, 0.22398, 0.49537, 1.0],
        [0.94918, 0.2193, 0.48207, 1.0],
        [0.94691, 0.21459, 0.4688, 1.0],
        [0.94457, 0.20987, 0.45555, 1.0],
        [0.94216, 0.20512, 0.44234, 1.0],
        [0.93968, 0.20033, 0.42915, 1.0],
        [0.93714, 0.19555, 0.416, 1.0],
        [0.93453, 0.19073, 0.40287, 1.0],
        [0.93185, 0.1859, 0.38976, 1.0],
        [0.92911, 0.18098, 0.3767, 1.0],
        [0.92631, 0.17605, 0.36362, 1.0],
        [0.92345, 0.17111, 0.35059, 1.0],
        [0.92052, 0.16609, 0.33755, 1.0],
        [0.91755, 0.16106, 0.32451, 1.0],
        [0.9145, 0.15595, 0.31148, 1.0],
        [0.9114, 0.15076, 0.29845, 1.0],
        [0.90825, 0.14556, 0.2854, 1.0],
        [0.90503, 0.1402, 0.27233, 1.0],
        [0.90176, 0.13484, 0.25926, 1.0],
        [0.89844, 0.12932, 0.24609, 1.0],
        [0.89507, 0.12371, 0.23288, 1.0],
        [0.89164, 0.11805, 0.21961, 1.0],
        [0.88816, 0.11221, 0.20623, 1.0],
        [0.88463, 0.10623, 0.19268, 1.0],
        [0.88106, 0.10002, 0.17898, 1.0],
        [0.87743, 0.093639, 0.16503, 1.0],
        [0.87376, 0.087085, 0.15083, 1.0],
        [0.87004, 0.08013, 0.13619, 1.0],
        [0.86629, 0.072935, 0.12107, 1.0],
        [0.86249, 0.065249, 0.10524, 1.0],
        [0.85864, 0.057063, 0.088412, 1.0],
        [0.85476, 0.048151, 0.069991, 1.0],
        [0.85083, 0.038404, 0.048987, 1.0],
        [0.84687, 0.028128, 0.024389, 1.0],
        [0.84287, 0.018301, 0.0015175, 1.0],
    ],
    'cet.diverging_tritanopic_cwr_75_98_c20': [
        [0.16144, 0.79052, 0.90539, 1.0],
        [0.17912, 0.79202, 0.90596, 1.0],
        [0.19524, 0.79352, 0.90654, 1.0],
        [0.21014, 0.79501, 0.90711, 1.0],
        [0.22404, 0.7965, 0.90769, 1.0],
        [0.23717, 0.798, 0.90826, 1.0],
        [0.24955, 0.7995, 0.90883, 1.0],
        [0.26139, 0.80098, 0.90941, 1.0],
        [0.27271, 0.80247, 0.90998, 1.0],
        [0.28359, 0.80397, 0.91056, 1.0],
        [0.29407, 0.80545, 0.91113, 1.0],
        [0.30421, 0.80695, 0.9117, 1.0],
        [0.31403, 0.80844, 0.91227, 1.0],
        [0.32357, 0.80992, 0.91285, 1.0],
        [0.33286, 0.81141, 0.91342, 1.0],
        [0.34189, 0.81289, 0.91399, 1.0],
        [0.35072, 0.81438, 0.91456, 1.0],
        [0.35933, 0.81587, 0.91513, 1.0],
        [0.36776, 0.81735, 0.9157, 1.0],
        [0.37604, 0.81883, 0.91627, 1.0],
        [0.38414, 0.82032, 0.91685, 1.0],
        [0.3921, 0.82181, 0.91742, 1.0],
        [0.39991, 0.82329, 0.91799, 1.0],
        [0.4076, 0.82477, 0.91856, 1.0],
        [0.41517, 0.82625, 0.91913, 1.0],
        [0.42261, 0.82773, 0.9197, 1.0],
        [0.42996, 0.82921, 0.92027, 1.0],
        [0.4372, 0.83069, 0.92083, 1.0],
        [0.44434, 0.83217, 0.92141, 1.0],
        [0.45139, 0.83365, 0.92198, 1.0],
        [0.45834, 0.83512, 0.92254, 1.0],
        [0.46522, 0.8366, 0.92311, 1.0],
        [0.47202, 0.83808, 0.92368, 1.0],
        [0.47874, 0.83955, 0.92425, 1.0],
        [0.48538, 0.84102, 0.92481, 1.0],
        [0.49197, 0.8425, 0.92538, 1.0],
        [0.49849, 0.84397, 0.92595, 1.0],
        [0.50493, 0.84544, 0.92651, 1.0],
        [0.51131, 0.84691, 0.92708, 1.0],
        [0.51766, 0.84838, 0.92765, 1.0],
        [0.52393, 0.84986, 0.92821, 1.0],
        [0.53015, 0.85132, 0.92878, 1.0],
        [0.53632, 0.8528, 0.92934, 1.0],
        [0.54244, 0.85426, 0.92991, 1.0],
        [0.54852, 0.85573, 0.93048, 1.0],
        [0.55454, 0.8572, 0.93104, 1.0],
        [0.56052, 0.85867, 0.93161, 1.0],
        [0.56646, 0.86014, 0.93217, 1.0],
        [0.57236, 0.8616, 0.93273, 1.0],
        [0.57822, 0.86307, 0.9333, 1.0],
        [0.58404, 0.86453, 0.93386, 1.0],
        [0.58982, 0.86599, 0.93442, 1.0],
        [0.59557, 0.86745, 0.93499, 1.0],
        [0.60128, 0.86892, 0.93555, 1.0],
        [0.60697, 0.87037, 0.93612, 1.0],
        [0.61261, 0.87184, 0.93668, 1.0],
        [0.61823, 0.8733, 0.93724, 1.0],
        [0.62382, 0.87476, 0.9378, 1.0],
        [0.62936, 0.87622, 0.93837, 1.0],
        [0.63489, 0.87768, 0.93893, 1.0],
        [0.64039, 0.87913, 0.93949, 1.0],
        [0.64586, 0.88059, 0.94005, 1.0],
        [0.65131, 0.88205, 0.94061, 1.0],
        [0.65673, 0.88351, 0.94117, 1.0],
        [0.66212, 0.88496, 0.94173, 1.0],
        [0.66749, 0.88642, 0.94229, 1.0],
        [0.67284, 0.88787, 0.94285, 1.0],
        [0.67816, 0.88932, 0.94341, 1.0],
        [0.68346, 0.89078, 0.94397, 1.0],
        [0.68874, 0.89223, 0.94453, 1.0],
        [0.69399, 0.89368, 0.94509, 1.0],
        [0.69923, 0.89513, 0.94565, 1.0],
        [0.70445, 0.89658, 0.9462, 1.0],
        [0.70965, 0.89803, 0.94676, 1.0],
        [0.71483, 0.89948, 0.94733, 1.0],
        [0.71999, 0.90093, 0.94788, 1.0],
        [0.72514, 0.90238, 0.94844, 1.0],
        [0.73026, 0.90382, 0.949, 1.0],
        [0.73536, 0.90527, 0.94955, 1.0],
        [0.74045, 0.90672, 0.95011, 1.0],
        [0.74553, 0.90817, 0.95067, 1.0],
        [0.75059, 0.90961, 0.95123, 1.0],
        [0.75563, 0.91105, 0.95178, 1.0],
        [0.76066, 0.9125, 0.95233, 1.0],
        [0.76567, 0.91394, 0.95289, 1.0],
        [0.77067, 0.91538, 0.95345, 1.0],
        [0.77565, 0.91682, 0.954, 1.0],
        [0.78062, 0.91826, 0.95456, 1.0],
        [0.78558, 0.9197, 0.95511, 1.0],
        [0.79052, 0.92114, 0.95567, 1.0],
        [0.79545, 0.92258, 0.95622, 1.0],
        [0.80037, 0.92402, 0.95677, 1.0],
        [0.80527, 0.92546, 0.95733, 1.0],
        [0.81016, 0.9269, 0.95789, 1.0],
        [0.81505, 0.92833, 0.95844, 1.0],
        [0.81991, 0.92977, 0.95899, 1.0],
        [0.82477, 0.93121, 0.95954, 1.0],
        [0.82962, 0.93264, 0.9601, 1.0],
        [0.83446, 0.93407, 0.96065, 1.0],
        [0.83928, 0.93551, 0.9612, 1.0],
        [0.8441, 0.93695, 0.96175, 1.0],
        [0.8489, 0.93838, 0.9623, 1.0],
        [0.85369, 0.93981, 0.96286, 1.0],
        [0.85848, 0.94124, 0.96341, 1.0],
        [0.86326, 0.94267, 0.96396, 1.0],
        [0.86803, 0.9441, 0.96451, 1.0],
        [0.87278, 0.94553, 0.96506, 1.0],
        [0.87753, 0.94696, 0.96561, 1.0],
        [0.88227, 0.94839, 0.96616, 1.0],
        [0.887, 0.94982, 0.96671, 1.0],
        [0.89172, 0.95124, 0.96726, 1.0],
        [0.89644, 0.95267, 0.96781, 1.0],
        [0.90114, 0.9541, 0.96836, 1.0],
        [0.90585, 0.95552, 0.9689, 1.0],
        [0.91054, 0.95694, 0.96944, 1.0],
        [0.91522, 0.95835, 0.96997, 1.0],
        [0.9199, 0.95974, 0.97048, 1.0],
        [0.92455, 0.9611, 0.97097, 1.0],
        [0.92919, 0.96242, 0.97141, 1.0],
        [0.93379, 0.96369, 0.97179, 1.0],
        [0.93836, 0.96486, 0.97208, 1.0],
        [0.94284, 0.96593, 0.97226, 1.0],
        [0.94723, 0.96684, 0.97228, 1.0],
        [0.95148, 0.96757, 0.97212, 1.0],
        [0.95556, 0.96806, 0.97173, 1.0],
        [0.95941, 0.96828, 0.97109, 1.0],
        [0.963, 0.9682, 0.97017, 1.0],
        [0.96629, 0.9678, 0.96895, 1.0],
        [0.96926, 0.96707, 0.96743, 1.0],
        [0.97189, 0.96601, 0.9656, 1.0],
        [0.97417, 0.96464, 0.96351, 1.0],
        [0.97613, 0.96299, 0.96117, 1.0],
        [0.97779, 0.9611, 0.95862, 1.0],
        [0.97918, 0.95899, 0.95589, 1.0],
        [0.98035, 0.95671, 0.95302, 1.0],
        [0.98133, 0.9543, 0.95004, 1.0],
        [0.98218, 0.9518, 0.94699, 1.0],
        [0.9829, 0.94923, 0.94388, 1.0],
        [0.98355, 0.94661, 0.94074, 1.0],
        [0.98415, 0.94395, 0.93757, 1.0],
        [0.9847, 0.94128, 0.93439, 1.0],
        [0.98522, 0.9386, 0.9312, 1.0],
        [0.98572, 0.93591, 0.92801, 1.0],
        [0.9862, 0.93321, 0.92482, 1.0],
        [0.98668, 0.93052, 0.92163, 1.0],
        [0.98714, 0.92782, 0.91844, 1.0],
        [0.98759, 0.92512, 0.91525, 1.0],
        [0.98804, 0.92243, 0.91207, 1.0],
        [0.98847, 0.91973, 0.90889, 1.0],
        [0.9889, 0.91704, 0.90572, 1.0],
        [0.98932, 0.91435, 0.90254, 1.0],
        [0.98973, 0.91165, 0.89936, 1.0],
        [0.99014, 0.90895, 0.89619, 1.0],
        [0.99053, 0.90626, 0.89302, 1.0],
        [0.99091, 0.90356, 0.88985, 1.0],
        [0.99129, 0.90087, 0.88668, 1.0],
        [0.99166, 0.89817, 0.88351, 1.0],
        [0.99202, 0.89548, 0.88035, 1.0],
        [0.99237, 0.89278, 0.87718, 1.0],
        [0.99272, 0.89008, 0.87403, 1.0],
        [0.99305, 0.88739, 0.87087, 1.0],
        [0.99338, 0.88469, 0.86772, 1.0],
        [0.9937, 0.882, 0.86456, 1.0],
        [0.99401, 0.8793, 0.86141, 1.0],
        [0.99431, 0.8766, 0.85826, 1.0],
        [0.9946, 0.87391, 0.85511, 1.0],
        [0.99489, 0.87121, 0.85197, 1.0],
        [0.99516, 0.86852, 0.84882, 1.0],
        [0.99543, 0.86582, 0.84568, 1.0],
        [0.9957, 0.86312, 0.84254, 1.0],
        [0.99595, 0.86043, 0.8394, 1.0],
        [0.9962, 0.85772, 0.83627, 1.0],
        [0.99643, 0.85503, 0.83313, 1.0],
        [0.99667, 0.85234, 0.83, 1.0],
        [0.99689, 0.84964, 0.82687, 1.0],
        [0.9971, 0.84693, 0.82374, 1.0],
        [0.99731, 0.84424, 0.82061, 1.0],
        [0.99751, 0.84154, 0.81749, 1.0],
        [0.9977, 0.83884, 0.81437, 1.0],
        [0.99789, 0.83614, 0.81125, 1.0],
        [0.99807, 0.83344, 0.80813, 1.0],
        [0.99824, 0.83074, 0.80502, 1.0],
        [0.9984, 0.82804, 0.8019, 1.0],
        [0.99855, 0.82534, 0.7988, 1.0],
        [0.9987, 0.82264, 0.79568, 1.0],
        [0.99884, 0.81994, 0.79258, 1.0],
        [0.99897, 0.81724, 0.78947, 1.0],
        [0.9991, 0.81453, 0.78637, 1.0],
        [0.99921, 0.81183, 0.78327, 1.0],
        [0.99932, 0.80913, 0.78017, 1.0],
        [0.99943, 0.80643, 0.77708, 1.0],
        [0.99952, 0.80372, 0.77397, 1.0],
        [0.99961, 0.80102, 0.77089, 1.0],
        [0.99969, 0.79832, 0.76779, 1.0],
        [0.99976, 0.79561, 0.76471, 1.0],
        [0.99983, 0.79291, 0.76162, 1.0],
        [0.99989, 0.7902, 0.75854, 1.0],
        [0.99994, 0.7875, 0.75545, 1.0],
        [0.99998, 0.78479, 0.75237, 1.0],
        [1, 0.78208, 0.74929, 1.0],
        [1, 0.77937, 0.74622, 1.0],
        [1, 0.77667, 0.74315, 1.0],
        [1, 0.77395, 0.74008, 1.0],
        [1, 0.77125, 0.737, 1.0],
        [1, 0.76853, 0.73394, 1.0],
        [1, 0.76583, 0.73087, 1.0],
        [1, 0.76311, 0.72781, 1.0],
        [1, 0.7604, 0.72475, 1.0],
        [1, 0.75769, 0.72169, 1.0],
        [1, 0.75498, 0.71863, 1.0],
        [0.99998, 0.75226, 0.71558, 1.0],
        [0.99994, 0.74954, 0.71252, 1.0],
        [0.99988, 0.74683, 0.70948, 1.0],
        [0.99983, 0.74412, 0.70643, 1.0],
        [0.99976, 0.7414, 0.70338, 1.0],
        [0.99969, 0.73868, 0.70034, 1.0],
        [0.99961, 0.73596, 0.69729, 1.0],
        [0.99953, 0.73324, 0.69425, 1.0],
        [0.99943, 0.73052, 0.69122, 1.0],
        [0.99934, 0.7278, 0.68819, 1.0],
        [0.99923, 0.72508, 0.68515, 1.0],
        [0.99912, 0.72235, 0.68212, 1.0],
        [0.999, 0.71963, 0.67909, 1.0],
        [0.99888, 0.71691, 0.67607, 1.0],
        [0.99875, 0.71418, 0.67305, 1.0],
        [0.99861, 0.71146, 0.67003, 1.0],
        [0.99846, 0.70873, 0.667, 1.0],
        [0.99831, 0.706, 0.66399, 1.0],
        [0.99816, 0.70327, 0.66097, 1.0],
        [0.99799, 0.70054, 0.65796, 1.0],
        [0.99782, 0.6978, 0.65494, 1.0],
        [0.99765, 0.69507, 0.65194, 1.0],
        [0.99746, 0.69234, 0.64894, 1.0],
        [0.99728, 0.6896, 0.64593, 1.0],
        [0.99708, 0.68686, 0.64293, 1.0],
        [0.99688, 0.68412, 0.63993, 1.0],
        [0.99667, 0.68138, 0.63694, 1.0],
        [0.99646, 0.67864, 0.63394, 1.0],
        [0.99624, 0.6759, 0.63095, 1.0],
        [0.99601, 0.67316, 0.62796, 1.0],
        [0.99578, 0.67042, 0.62497, 1.0],
        [0.99554, 0.66767, 0.62198, 1.0],
        [0.9953, 0.66491, 0.619, 1.0],
        [0.99505, 0.66217, 0.61602, 1.0],
        [0.9948, 0.65942, 0.61303, 1.0],
        [0.99453, 0.65667, 0.61006, 1.0],
        [0.99427, 0.65391, 0.60709, 1.0],
        [0.99399, 0.65116, 0.60412, 1.0],
        [0.99371, 0.64839, 0.60114, 1.0],
        [0.99343, 0.64563, 0.59817, 1.0],
        [0.99314, 0.64288, 0.59521, 1.0],
        [0.99284, 0.64012, 0.59226, 1.0],
        [0.99253, 0.63735, 0.58928, 1.0],
        [0.99222, 0.63459, 0.58633, 1.0],
        [0.99191, 0.63182, 0.58337, 1.0],
        [0.99158, 0.62904, 0.58043, 1.0],
    ],
    'cet.glasbey_bw': [
        [0.843137, 0.0, 0.0, 1.0],
        [0.54902, 0.235294, 1.0, 1.0],
        [0.007843, 0.533333, 0.0, 1.0],
        [0.0, 0.67451, 0.780392, 1.0],
        [0.596078, 1.0, 0.0, 1.0],
        [1.0, 0.498039, 0.819608, 1.0],
        [0.423529, 0.0, 0.309804, 1.0],
        [1.0, 0.647059, 0.188235, 1.0],
        [0.0, 0.0, 0.615686, 1.0],
        [0.52549, 0.439216, 0.407843, 1.0],
        [0.0, 0.286275, 0.258824, 1.0],
        [0.309804, 0.164706, 0.0, 1.0],
        [0.0, 0.992157, 0.811765, 1.0],
        [0.737255, 0.717647, 1.0, 1.0],
        [0.584314, 0.705882, 0.478431, 1.0],
        [0.752941, 0.015686, 0.72549, 1.0],
        [0.145098, 0.4, 0.635294, 1.0],
        [0.156863, 0.0, 0.254902, 1.0],
        [0.862745, 0.701961, 0.686275, 1.0],
        [0.996078, 0.960784, 0.564706, 1.0],
        [0.313725, 0.270588, 0.356863, 1.0],
        [0.643137, 0.486275, 0.0, 1.0],
        [1.0, 0.443137, 0.4, 1.0],
        [0.247059, 0.505882, 0.431373, 1.0],
        [0.509804, 0.0, 0.05098, 1.0],
        [0.639216, 0.482353, 0.701961, 1.0],
        [0.203922, 0.305882, 0.0, 1.0],
        [0.607843, 0.894118, 1.0, 1.0],
        [0.921569, 0.0, 0.466667, 1.0],
        [0.176471, 0.0, 0.039216, 1.0],
        [0.368627, 0.564706, 1.0, 1.0],
        [0.0, 0.780392, 0.12549, 1.0],
        [0.345098, 0.003922, 0.666667, 1.0],
        [0.0, 0.117647, 0.0, 1.0],
        [0.603922, 0.278431, 0.0, 1.0],
        [0.588235, 0.623529, 0.65098, 1.0],
        [0.607843, 0.258824, 0.360784, 1.0],
        [0.0, 0.121569, 0.196078, 1.0],
        [0.784314, 0.768627, 0.0, 1.0],
        [1.0, 0.815686, 1.0, 1.0],
        [0.0, 0.745098, 0.603922, 1.0],
        [0.215686, 0.082353, 1.0, 1.0],
        [0.176471, 0.145098, 0.145098, 1.0],
        [0.87451, 0.345098, 1.0, 1.0],
        [0.745098, 0.905882, 0.752941, 1.0],
        [0.498039, 0.270588, 0.596078, 1.0],
        [0.321569, 0.309804, 0.235294, 1.0],
        [0.847059, 0.4, 0.0, 1.0],
        [0.392157, 0.454902, 0.219608, 1.0],
        [0.756863, 0.45098, 0.533333, 1.0],
        [0.431373, 0.454902, 0.541176, 1.0],
        [0.501961, 0.615686, 0.011765, 1.0],
        [0.745098, 0.545098, 0.396078, 1.0],
        [0.388235, 0.2, 0.223529, 1.0],
        [0.792157, 0.803922, 0.854902, 1.0],
        [0.423529, 0.921569, 0.513725, 1.0],
        [0.133333, 0.25098, 0.411765, 1.0],
        [0.635294, 0.498039, 1.0, 1.0],
        [0.996078, 0.011765, 0.796078, 1.0],
        [0.462745, 0.737255, 0.992157, 1.0],
        [0.85098, 0.764706, 0.509804, 1.0],
        [0.807843, 0.639216, 0.807843, 1.0],
        [0.427451, 0.313725, 0.0, 1.0],
        [0.0, 0.411765, 0.454902, 1.0],
        [0.278431, 0.623529, 0.368627, 1.0],
        [0.580392, 0.776471, 0.74902, 1.0],
        [0.976471, 1.0, 0.0, 1.0],
        [0.752941, 0.329412, 0.270588, 1.0],
        [0.0, 0.396078, 0.235294, 1.0],
        [0.356863, 0.313725, 0.658824, 1.0],
        [0.32549, 0.12549, 0.392157, 1.0],
        [0.309804, 0.372549, 1.0, 1.0],
        [0.494118, 0.560784, 0.466667, 1.0],
        [0.72549, 0.031373, 0.980392, 1.0],
        [0.545098, 0.572549, 0.764706, 1.0],
        [0.701961, 0.0, 0.207843, 1.0],
        [0.533333, 0.376471, 0.494118, 1.0],
        [0.623529, 0.0, 0.458824, 1.0],
        [1.0, 0.870588, 0.768627, 1.0],
        [0.317647, 0.031373, 0.0, 1.0],
        [0.101961, 0.031373, 0.0, 1.0],
        [0.298039, 0.537255, 0.713725, 1.0],
        [0.0, 0.87451, 0.87451, 1.0],
        [0.784314, 1.0, 0.980392, 1.0],
        [0.188235, 0.207843, 0.082353, 1.0],
        [1.0, 0.152941, 0.278431, 1.0],
        [1.0, 0.592157, 0.666667, 1.0],
        [0.015686, 0.0, 0.101961, 1.0],
        [0.788235, 0.376471, 0.694118, 1.0],
        [0.764706, 0.635294, 0.215686, 1.0],
        [0.486275, 0.309804, 0.227451, 1.0],
        [0.976471, 0.619608, 0.466667, 1.0],
        [0.337255, 0.396078, 0.392157, 1.0],
        [0.819608, 0.576471, 1.0, 1.0],
        [0.176471, 0.121569, 0.411765, 1.0],
        [0.254902, 0.105882, 0.203922, 1.0],
        [0.686275, 0.576471, 0.596078, 1.0],
        [0.384314, 0.619608, 0.6, 1.0],
        [0.741176, 0.870588, 0.482353, 1.0],
        [1.0, 0.368627, 0.580392, 1.0],
        [0.058824, 0.160784, 0.137255, 1.0],
        [0.721569, 0.745098, 0.67451, 1.0],
        [0.454902, 0.231373, 0.396078, 1.0],
        [0.062745, 0.0, 0.05098, 1.0],
        [0.498039, 0.431373, 0.741176, 1.0],
        [0.619608, 0.419608, 0.231373, 1.0],
        [1.0, 0.27451, 0.0, 1.0],
        [0.498039, 0.0, 0.529412, 1.0],
        [1.0, 0.807843, 0.243137, 1.0],
        [0.188235, 0.231373, 0.262745, 1.0],
        [0.996078, 0.647059, 1.0, 1.0],
        [0.541176, 0.007843, 0.243137, 1.0],
        [0.462745, 0.172549, 0.003922, 1.0],
        [0.039216, 0.541176, 0.588235, 1.0],
        [0.019608, 0.0, 0.321569, 1.0],
        [0.556863, 0.839216, 0.196078, 1.0],
        [0.32549, 0.768627, 0.45098, 1.0],
        [0.278431, 0.34902, 0.443137, 1.0],
        [0.345098, 0.007843, 0.133333, 1.0],
        [0.65098, 0.133333, 0.003922, 1.0],
        [0.564706, 0.576471, 0.298039, 1.0],
        [0.0, 0.262745, 0.117647, 1.0],
        [0.505882, 0.0, 0.819608, 1.0],
        [0.184314, 0.14902, 0.247059, 1.0],
        [0.74902, 0.223529, 0.517647, 1.0],
        [0.960784, 1.0, 0.835294, 1.0],
        [0.0, 0.827451, 1.0, 1.0],
        [0.415686, 0.0, 0.972549, 1.0],
        [0.611765, 0.733333, 0.823529, 1.0],
        [0.478431, 0.85098, 0.670588, 1.0],
        [0.411765, 0.341176, 0.364706, 1.0],
        [0.0, 0.411765, 0.019608, 1.0],
        [0.211765, 0.211765, 0.611765, 1.0],
        [0.003922, 0.513725, 0.278431, 1.0],
        [0.266667, 0.117647, 0.094118, 1.0],
        [0.027451, 0.647059, 0.937255, 1.0],
        [1.0, 0.505882, 0.188235, 1.0],
        [0.654902, 0.333333, 0.721569, 1.0],
        [0.407843, 0.352941, 0.513725, 1.0],
        [0.45098, 1.0, 1.0, 1.0],
        [0.85098, 0.529412, 0.007843, 1.0],
        [0.733333, 0.827451, 1.0, 1.0],
        [0.556863, 0.215686, 0.184314, 1.0],
        [0.654902, 0.627451, 0.501961, 1.0],
        [0.0, 0.490196, 0.890196, 1.0],
        [0.556863, 0.494118, 0.560784, 1.0],
        [0.6, 0.266667, 0.533333, 1.0],
        [0.0, 0.945098, 0.207843, 1.0],
        [0.682353, 0.666667, 0.788235, 1.0],
        [0.627451, 0.380392, 0.384314, 1.0],
        [0.298039, 0.227451, 0.466667, 1.0],
        [0.423529, 0.509804, 0.513725, 1.0],
        [0.945098, 0.866667, 0.905882, 1.0],
        [1.0, 0.733333, 0.827451, 1.0],
        [0.219608, 0.647059, 0.137255, 1.0],
        [0.705882, 1.0, 0.658824, 1.0],
        [0.047059, 0.070588, 0.027451, 1.0],
        [0.843137, 0.321569, 0.431373, 1.0],
        [0.584314, 0.623529, 0.996078, 1.0],
        [0.490196, 0.498039, 0.0, 1.0],
        [0.462745, 0.623529, 0.72549, 1.0],
        [0.858824, 0.529412, 0.498039, 1.0],
        [0.066667, 0.07451, 0.098039, 1.0],
        [0.831373, 0.509804, 0.831373, 1.0],
        [0.623529, 0.0, 0.74902, 1.0],
        [0.862745, 0.937255, 1.0, 1.0],
        [0.556863, 0.670588, 0.603922, 1.0],
        [0.443137, 0.392157, 0.258824, 1.0],
        [0.290196, 0.235294, 0.243137, 1.0],
        [0.031373, 0.305882, 0.372549, 1.0],
        [0.611765, 0.721569, 0.266667, 1.0],
        [0.847059, 0.870588, 0.835294, 1.0],
        [0.796078, 1.0, 0.423529, 1.0],
        [0.701961, 0.392157, 0.921569, 1.0],
        [0.27451, 0.364706, 0.2, 1.0],
        [0.0, 0.619608, 0.490196, 1.0],
        [0.760784, 0.254902, 0.0, 1.0],
        [0.309804, 0.737255, 0.733333, 1.0],
        [0.85098, 0.545098, 0.694118, 1.0],
        [0.356863, 0.45098, 0.713725, 1.0],
        [0.294118, 0.254902, 0.003922, 1.0],
        [0.584314, 0.513725, 0.368627, 1.0],
        [0.286275, 0.454902, 0.545098, 1.0],
        [1.0, 0.45098, 1.0, 1.0],
        [0.513725, 0.415686, 0.113725, 1.0],
        [0.862745, 0.811765, 1.0, 1.0],
        [0.494118, 0.419608, 0.996078, 1.0],
        [0.388235, 0.462745, 0.376471, 1.0],
        [1.0, 0.756863, 0.572549, 1.0],
        [0.34902, 0.368627, 0.0, 1.0],
        [0.894118, 0.035294, 0.901961, 1.0],
        [0.72549, 0.694118, 0.717647, 1.0],
        [0.827451, 0.176471, 0.254902, 1.0],
        [0.196078, 0.258824, 0.215686, 1.0],
        [0.85098, 0.639216, 0.388235, 1.0],
        [0.356863, 0.545098, 0.2, 1.0],
        [0.184314, 0.121569, 0.0, 1.0],
        [0.596078, 0.905882, 0.843137, 1.0],
        [0.164706, 0.384314, 0.341176, 1.0],
        [0.807843, 0.447059, 0.301961, 1.0],
        [0.364706, 0.239216, 0.156863, 1.0],
        [0.0, 0.34902, 0.85098, 1.0],
        [0.678431, 0.580392, 0.839216, 1.0],
        [0.419608, 0.117647, 0.580392, 1.0],
        [0.705882, 0.003922, 0.368627, 1.0],
        [0.254902, 0.0, 0.27451, 1.0],
        [0.615686, 1.0, 0.811765, 1.0],
        [0.894118, 0.282353, 0.615686, 1.0],
        [0.890196, 0.890196, 0.278431, 1.0],
        [0.862745, 0.886275, 0.647059, 1.0],
        [0.0, 0.156863, 0.352941, 1.0],
        [0.666667, 0.356863, 0.509804, 1.0],
        [0.0, 0.0, 0.862745, 1.0],
        [0.294118, 0.305882, 0.317647, 1.0],
        [0.854902, 0.74902, 0.835294, 1.0],
        [0.0, 0.301961, 0.6, 1.0],
        [0.533333, 0.392157, 0.619608, 1.0],
        [0.415686, 0.117647, 0.113725, 1.0],
        [0.556863, 0.321569, 0.772549, 1.0],
        [0.721569, 0.854902, 0.87451, 1.0],
        [0.866667, 0.701961, 0.992157, 1.0],
        [0.482353, 0.282353, 0.329412, 1.0],
        [0.298039, 0.45098, 0.0, 1.0],
        [0.270588, 0.0, 0.466667, 1.0],
        [0.698039, 0.372549, 0.0, 1.0],
        [0.572549, 0.819608, 0.52549, 1.0],
        [0.333333, 0.2, 0.298039, 1.0],
        [0.411765, 0.690196, 0.521569, 1.0],
        [0.670588, 0.576471, 0.690196, 1.0],
        [0.905882, 0.329412, 0.258824, 1.0],
        [0.560784, 0.54902, 0.541176, 1.0],
        [0.439216, 0.678431, 0.317647, 1.0],
        [0.670588, 0.486275, 0.454902, 1.0],
        [0.0, 0.203922, 0.235294, 1.0],
        [0.145098, 0.058824, 0.07451, 1.0],
        [0.905882, 0.690196, 0.0, 1.0],
        [0.478431, 0.8, 0.862745, 1.0],
        [0.094118, 0.078431, 0.227451, 1.0],
        [0.615686, 0.321569, 0.223529, 1.0],
        [0.733333, 0.482353, 0.192157, 1.0],
        [0.717647, 0.792157, 0.580392, 1.0],
        [0.192157, 0.031373, 0.0, 1.0],
        [0.639216, 0.584314, 0.023529, 1.0],
        [0.0, 0.854902, 0.729412, 1.0],
        [0.454902, 0.627451, 0.870588, 1.0],
        [0.388235, 0.235294, 0.45098, 1.0],
        [1.0, 0.854902, 0.560784, 1.0],
        [0.466667, 0.721569, 0.0, 1.0],
        [0.25098, 0.184314, 0.113725, 1.0],
        [0.345098, 0.529412, 0.34902, 1.0],
        [0.176471, 0.0, 0.129412, 1.0],
        [0.960784, 0.631373, 0.831373, 1.0],
        [0.854902, 0.0, 0.666667, 1.0],
        [0.462745, 0.160784, 0.286275, 1.0],
        [0.741176, 0.898039, 0.0, 1.0],
        [0.764706, 0.760784, 0.364706, 1.0],
    ],
    'cet.glasbey_bw_minc_20': [
        [0.843137, 0.0, 0.0, 1.0],
        [0.54902, 0.235294, 1.0, 1.0],
        [0.007843, 0.533333, 0.0, 1.0],
        [0.0, 0.67451, 0.780392, 1.0],
        [0.596078, 1.0, 0.0, 1.0],
        [1.0, 0.498039, 0.819608, 1.0],
        [0.423529, 0.0, 0.309804, 1.0],
        [1.0, 0.647059, 0.188235, 1.0],
        [0.345098, 0.231373, 0.0, 1.0],
        [0.0, 0.341176, 0.34902, 1.0],
        [0.0, 0.0, 0.866667, 1.0],
        [0.0, 0.992157, 0.811765, 1.0],
        [0.631373, 0.458824, 0.415686, 1.0],
        [0.737255, 0.717647, 1.0, 1.0],
        [0.584314, 0.709804, 0.470588, 1.0],
        [0.752941, 0.015686, 0.72549, 1.0],
        [0.392157, 0.329412, 0.454902, 1.0],
        [0.47451, 0.0, 0.0, 1.0],
        [0.027451, 0.454902, 0.847059, 1.0],
        [0.996078, 0.960784, 0.564706, 1.0],
        [0.0, 0.294118, 0.0, 1.0],
        [0.560784, 0.478431, 0.0, 1.0],
        [1.0, 0.447059, 0.4, 1.0],
        [0.933333, 0.72549, 0.72549, 1.0],
        [0.368627, 0.494118, 0.4, 1.0],
        [0.607843, 0.894118, 1.0, 1.0],
        [0.92549, 0.0, 0.466667, 1.0],
        [0.65098, 0.482353, 0.72549, 1.0],
        [0.352941, 0.0, 0.643137, 1.0],
        [0.015686, 0.776471, 0.0, 1.0],
        [0.619608, 0.294118, 0.0, 1.0],
        [0.611765, 0.231373, 0.313725, 1.0],
        [0.796078, 0.768627, 0.0, 1.0],
        [0.443137, 0.509804, 0.596078, 1.0],
        [0.0, 0.686275, 0.541176, 1.0],
        [0.513725, 0.533333, 1.0, 1.0],
        [0.364706, 0.215686, 0.231373, 1.0],
        [0.223529, 0.0, 0.0, 1.0],
        [0.992157, 0.752941, 1.0, 1.0],
        [0.745098, 0.905882, 0.752941, 1.0],
        [0.858824, 0.427451, 0.003922, 1.0],
        [0.576471, 0.721569, 0.713725, 1.0],
        [0.894118, 0.321569, 1.0, 1.0],
        [0.184314, 0.32549, 0.509804, 1.0],
        [0.768627, 0.4, 0.564706, 1.0],
        [0.333333, 0.384314, 0.12549, 1.0],
        [0.772549, 0.623529, 0.447059, 1.0],
        [0.015686, 0.509804, 0.529412, 1.0],
        [0.411765, 0.905882, 0.501961, 1.0],
        [0.501961, 0.152941, 0.564706, 1.0],
        [0.427451, 0.705882, 1.0, 1.0],
        [0.305882, 0.2, 1.0, 1.0],
        [0.52549, 0.639216, 0.007843, 1.0],
        [0.996078, 0.011765, 0.796078, 1.0],
        [0.760784, 0.65098, 0.772549, 1.0],
        [0.772549, 0.341176, 0.27451, 1.0],
        [0.462745, 0.345098, 0.239216, 1.0],
        [0.003922, 0.407843, 0.258824, 1.0],
        [0.0, 0.839216, 0.835294, 1.0],
        [0.854902, 0.878431, 1.0, 1.0],
        [0.976471, 1.0, 0.0, 1.0],
        [0.415686, 0.407843, 0.690196, 1.0],
        [0.764706, 0.596078, 0.0, 1.0],
        [0.882353, 0.803922, 0.611765, 1.0],
        [0.854902, 0.588235, 1.0, 1.0],
        [0.733333, 0.011765, 0.992157, 1.0],
        [0.572549, 0.321569, 0.509804, 1.0],
        [0.627451, 0.0, 0.45098, 1.0],
        [0.341176, 0.607843, 0.333333, 1.0],
        [0.827451, 0.54902, 0.560784, 1.0],
        [0.215686, 0.270588, 0.152941, 1.0],
        [0.592157, 0.647059, 0.764706, 1.0],
        [0.556863, 0.552941, 0.372549, 1.0],
        [1.0, 0.27451, 0.0, 1.0],
        [0.784314, 1.0, 0.980392, 1.0],
        [0.682353, 0.427451, 1.0, 1.0],
        [0.431373, 0.815686, 0.654902, 1.0],
        [0.74902, 1.0, 0.54902, 1.0],
        [0.54902, 0.329412, 0.694118, 1.0],
        [0.470588, 0.211765, 0.098039, 1.0],
        [1.0, 0.627451, 0.47451, 1.0],
        [0.662745, 0.0, 0.121569, 1.0],
        [1.0, 0.109804, 0.270588, 1.0],
        [0.372549, 0.066667, 0.137255, 1.0],
        [0.403922, 0.592157, 0.580392, 1.0],
        [1.0, 0.372549, 0.580392, 1.0],
        [0.298039, 0.403922, 0.454902, 1.0],
        [0.32549, 0.572549, 0.8, 1.0],
        [0.666667, 0.443137, 0.192157, 1.0],
        [0.007843, 0.811765, 0.996078, 1.0],
        [0.0, 0.768627, 0.423529, 1.0],
        [0.380392, 0.207843, 0.364706, 1.0],
        [0.564706, 0.831373, 0.184314, 1.0],
        [0.74902, 0.835294, 0.486275, 1.0],
        [0.317647, 0.270588, 0.635294, 1.0],
        [0.305882, 0.137255, 0.047059, 1.0],
        [0.486275, 0.352941, 0.0, 1.0],
        [1.0, 0.807843, 0.266667, 1.0],
        [0.513725, 0.007843, 0.811765, 1.0],
        [0.301961, 0.992157, 1.0, 1.0],
        [0.537255, 0.0, 0.239216, 1.0],
        [0.482353, 0.321569, 0.360784, 1.0],
        [0.0, 0.454902, 0.615686, 1.0],
        [0.666667, 0.513725, 0.596078, 1.0],
        [0.505882, 0.443137, 0.560784, 1.0],
        [0.384314, 0.396078, 0.996078, 1.0],
        [0.764706, 0.203922, 0.537255, 1.0],
        [0.803922, 0.160784, 0.278431, 1.0],
        [1.0, 0.603922, 0.709804, 1.0],
        [0.764706, 0.364706, 0.733333, 1.0],
        [0.129412, 0.407843, 0.007843, 1.0],
        [0.0, 0.556863, 0.396078, 1.0],
        [0.388235, 0.501961, 0.137255, 1.0],
        [0.537255, 0.529412, 0.74902, 1.0],
        [0.596078, 0.866667, 0.835294, 1.0],
        [0.807843, 0.498039, 0.345098, 1.0],
        [0.823529, 0.717647, 0.356863, 1.0],
        [0.380392, 0.0, 0.431373, 1.0],
        [0.6, 0.329412, 0.266667, 1.0],
        [0.690196, 0.780392, 0.858824, 1.0],
        [0.94902, 1.0, 0.823529, 1.0],
        [0.0, 0.92549, 0.007843, 1.0],
        [0.803922, 0.52549, 0.741176, 1.0],
        [0.270588, 0.0, 0.772549, 1.0],
        [0.478431, 0.615686, 0.498039, 1.0],
        [0.447059, 0.443137, 0.278431, 1.0],
        [0.576471, 1.0, 0.729412, 1.0],
        [0.0, 0.329412, 0.756863, 1.0],
        [0.678431, 0.580392, 0.92549, 1.0],
        [0.247059, 0.643137, 0.086275, 1.0],
        [0.372549, 0.227451, 0.501961, 1.0],
        [0.0, 0.298039, 0.2, 1.0],
        [0.486275, 0.721569, 0.827451, 1.0],
        [0.596078, 0.164706, 0.0, 1.0],
        [0.223529, 0.431373, 0.392157, 1.0],
        [0.721569, 0.0, 0.356863, 1.0],
        [1.0, 0.501961, 0.239216, 1.0],
        [1.0, 0.823529, 0.913725, 1.0],
        [0.501961, 0.188235, 0.352941, 1.0],
        [0.129412, 0.203922, 0.0, 1.0],
        [0.631373, 0.368627, 0.435294, 1.0],
        [0.309804, 0.709804, 0.690196, 1.0],
        [0.623529, 0.623529, 0.27451, 1.0],
        [0.2, 0.486275, 0.239216, 1.0],
        [0.760784, 0.254902, 0.0, 1.0],
        [0.780392, 0.909804, 0.243137, 1.0],
        [0.423529, 0.019608, 0.909804, 1.0],
        [0.462745, 0.737255, 0.313725, 1.0],
        [0.647059, 0.772549, 0.662745, 1.0],
        [0.854902, 0.329412, 0.431373, 1.0],
        [0.847059, 0.560784, 0.219608, 1.0],
        [0.984314, 0.486275, 1.0, 1.0],
        [0.294118, 0.392157, 0.286275, 1.0],
        [0.839216, 0.764706, 0.921569, 1.0],
        [0.478431, 0.180392, 0.211765, 1.0],
        [0.298039, 0.560784, 0.647059, 1.0],
        [0.27451, 0.533333, 1.0, 1.0],
        [0.639216, 0.0, 0.768627, 1.0],
        [0.917647, 0.639216, 0.835294, 1.0],
        [1.0, 0.737255, 0.470588, 1.0],
        [0.278431, 0.282353, 0.0, 1.0],
        [0.635294, 0.780392, 1.0, 1.0],
        [0.568627, 0.635294, 0.917647, 1.0],
        [0.309804, 0.411765, 0.576471, 1.0],
        [0.905882, 0.368627, 0.698039, 1.0],
        [0.623529, 0.568627, 0.690196, 1.0],
        [0.345098, 0.317647, 0.168627, 1.0],
        [0.690196, 0.368627, 0.831373, 1.0],
        [0.52549, 0.427451, 0.882353, 1.0],
        [0.756863, 0.431373, 0.447059, 1.0],
        [0.894118, 0.0, 0.890196, 1.0],
        [0.72549, 0.717647, 0.545098, 1.0],
        [0.223529, 0.180392, 0.0, 1.0],
        [0.890196, 0.494118, 0.643137, 1.0],
        [0.678431, 0.231373, 0.188235, 1.0],
        [0.662745, 0.733333, 0.298039, 1.0],
        [0.411765, 0.709804, 0.513725, 1.0],
        [0.580392, 0.823529, 0.564706, 1.0],
        [0.690196, 0.552941, 0.27451, 1.0],
        [0.027451, 0.372549, 0.470588, 1.0],
        [0.0, 0.596078, 0.537255, 1.0],
        [0.352941, 0.058824, 0.007843, 1.0],
        [0.356863, 0.490196, 0.501961, 1.0],
        [0.188235, 0.345098, 0.14902, 1.0],
        [0.898039, 0.396078, 0.231373, 1.0],
        [0.372549, 0.25098, 0.160784, 1.0],
        [0.45098, 0.290196, 0.737255, 1.0],
        [0.294118, 0.32549, 0.419608, 1.0],
        [0.788235, 0.478431, 0.866667, 1.0],
        [0.611765, 0.196078, 0.568627, 1.0],
        [0.784314, 0.901961, 0.94902, 1.0],
        [0.019608, 0.670588, 0.921569, 1.0],
        [0.654902, 0.419608, 0.603922, 1.0],
        [0.905882, 0.690196, 0.0, 1.0],
        [0.376471, 1.0, 0.388235, 1.0],
        [0.94902, 0.870588, 0.0, 1.0],
        [0.466667, 0.266667, 0.003922, 1.0],
        [0.376471, 0.145098, 0.254902, 1.0],
        [0.407843, 0.498039, 0.796078, 1.0],
        [0.47451, 0.623529, 0.690196, 1.0],
        [0.05098, 0.913725, 0.635294, 1.0],
        [0.615686, 0.972549, 0.858824, 1.0],
        [0.517647, 0.0, 0.462745, 1.0],
        [0.556863, 0.427451, 0.286275, 1.0],
        [0.890196, 0.254902, 0.188235, 1.0],
        [0.72549, 0.286275, 0.423529, 1.0],
        [0.478431, 0.290196, 0.52549, 1.0],
        [1.0, 0.815686, 0.713725, 1.0],
        [0.298039, 0.364706, 0.780392, 1.0],
        [0.886275, 0.701961, 0.572549, 1.0],
        [1.0, 0.298039, 0.933333, 1.0],
        [0.839216, 0.941176, 0.647059, 1.0],
        [0.74902, 0.376471, 0.14902, 1.0],
        [0.843137, 0.639216, 0.709804, 1.0],
        [0.741176, 0.490196, 0.0, 1.0],
        [0.533333, 0.435294, 0.698039, 1.0],
        [1.0, 0.188235, 0.631373, 1.0],
        [1.0, 0.913725, 0.690196, 1.0],
        [0.2, 0.345098, 0.298039, 1.0],
        [0.721569, 0.54902, 0.478431, 1.0],
        [0.423529, 0.529412, 0.321569, 1.0],
        [0.737255, 0.580392, 0.823529, 1.0],
        [0.105882, 0.901961, 0.996078, 1.0],
        [0.631373, 0.235294, 0.447059, 1.0],
        [0.639216, 0.317647, 0.658824, 1.0],
        [0.427451, 0.0, 0.596078, 1.0],
        [0.537255, 0.396078, 0.482353, 1.0],
        [0.352941, 0.345098, 0.545098, 1.0],
        [0.976471, 0.560784, 0.545098, 1.0],
        [0.905882, 0.843137, 0.486275, 1.0],
        [0.439216, 0.423529, 0.003922, 1.0],
        [0.098039, 0.34902, 1.0, 1.0],
        [0.090196, 0.14902, 1.0, 1.0],
        [0.0, 0.847059, 0.337255, 1.0],
        [0.972549, 0.631373, 0.992157, 1.0],
        [0.478431, 0.588235, 0.235294, 1.0],
        [0.694118, 0.654902, 0.835294, 1.0],
        [0.494118, 0.815686, 0.866667, 1.0],
        [0.0, 0.796078, 0.690196, 1.0],
        [0.478431, 0.278431, 0.235294, 1.0],
        [0.854902, 1.0, 0.901961, 1.0],
        [0.858824, 0.019608, 0.694118, 1.0],
        [0.952941, 0.866667, 1.0, 1.0],
        [0.639216, 0.894118, 0.435294, 1.0],
        [0.541176, 0.07451, 0.137255, 1.0],
        [0.4, 0.407843, 0.513725, 1.0],
        [0.909804, 0.992157, 0.439216, 1.0],
        [0.847059, 0.670588, 0.909804, 1.0],
        [0.878431, 0.729412, 0.835294, 1.0],
        [0.996078, 0.32549, 0.411765, 1.0],
        [0.458824, 0.682353, 0.607843, 1.0],
        [0.596078, 0.2, 0.878431, 1.0],
        [0.894118, 0.45098, 0.494118, 1.0],
        [0.54902, 0.34902, 0.14902, 1.0],
        [0.466667, 0.278431, 0.411765, 1.0],
        [0.184314, 0.243137, 0.658824, 1.0],
    ],
    'cet.glasbey_bw_minc_20_hue_150_280': [
        [0.05098, 0.415686, 1.0, 1.0],
        [0.035294, 0.584314, 0.301961, 1.0],
        [0.0, 0.792157, 0.898039, 1.0],
        [0.290196, 1.0, 0.568627, 1.0],
        [0.0, 0.345098, 0.376471, 1.0],
        [0.678431, 0.643137, 1.0, 1.0],
        [0.458824, 0.447059, 0.560784, 1.0],
        [0.298039, 0.0, 0.745098, 1.0],
        [0.607843, 0.733333, 0.623529, 1.0],
        [0.584314, 1.0, 0.94902, 1.0],
        [0.258824, 0.560784, 0.568627, 1.0],
        [0.0, 0.270588, 0.12549, 1.0],
        [0.737255, 0.858824, 1.0, 1.0],
        [0.254902, 0.643137, 1.0, 1.0],
        [0.305882, 0.419608, 0.32549, 1.0],
        [0.572549, 0.65098, 0.729412, 1.0],
        [0.027451, 0.313725, 0.588235, 1.0],
        [0.0, 0.784314, 0.494118, 1.0],
        [0.52549, 0.435294, 0.980392, 1.0],
        [0.003922, 0.478431, 0.666667, 1.0],
        [0.380392, 0.329412, 0.682353, 1.0],
        [0.443137, 0.572549, 0.462745, 1.0],
        [0.780392, 0.913725, 0.792157, 1.0],
        [0.294118, 0.32549, 0.419608, 1.0],
        [0.0, 0.858824, 0.760784, 1.0],
        [0.113725, 0.0, 1.0, 1.0],
        [0.603922, 0.803922, 0.815686, 1.0],
        [0.478431, 0.54902, 0.776471, 1.0],
        [0.329412, 0.690196, 0.603922, 1.0],
        [0.0, 0.639216, 0.784314, 1.0],
        [0.313725, 0.431373, 0.466667, 1.0],
        [0.745098, 0.729412, 0.862745, 1.0],
        [0.482353, 0.768627, 0.996078, 1.0],
        [0.0, 0.509804, 0.4, 1.0],
        [0.513725, 0.870588, 0.662745, 1.0],
        [0.356863, 0.141176, 1.0, 1.0],
        [0.007843, 0.396078, 0.196078, 1.0],
        [0.0, 0.945098, 1.0, 1.0],
        [0.823529, 0.964706, 0.996078, 1.0],
        [0.0, 1.0, 0.788235, 1.0],
        [0.439216, 0.537255, 0.611765, 1.0],
        [0.329412, 0.443137, 0.72549, 1.0],
        [0.180392, 0.321569, 0.270588, 1.0],
        [0.356863, 0.517647, 0.992157, 1.0],
        [0.407843, 0.686275, 0.72549, 1.0],
        [0.662745, 1.0, 0.737255, 1.0],
        [0.352941, 0.662745, 0.439216, 1.0],
        [0.890196, 0.87451, 1.0, 1.0],
        [0.172549, 0.380392, 0.501961, 1.0],
        [0.568627, 0.556863, 0.670588, 1.0],
        [0.556863, 0.662745, 0.886275, 1.0],
        [0.529412, 0.866667, 0.988235, 1.0],
        [0.015686, 0.545098, 0.866667, 1.0],
        [0.0, 0.447059, 0.439216, 1.0],
        [0.223529, 0.341176, 0.768627, 1.0],
        [0.380392, 0.360784, 0.94902, 1.0],
        [0.462745, 0.607843, 0.592157, 1.0],
        [0.0, 0.619608, 0.470588, 1.0],
        [0.34902, 0.494118, 0.454902, 1.0],
        [0.254902, 0.262745, 0.596078, 1.0],
        [0.686275, 0.760784, 1.0, 1.0],
        [0.478431, 0.447059, 0.733333, 1.0],
        [0.623529, 0.756863, 0.862745, 1.0],
        [0.541176, 0.564706, 0.980392, 1.0],
        [0.286275, 0.360784, 0.568627, 1.0],
        [0.490196, 0.784314, 0.698039, 1.0],
        [0.011765, 0.72549, 0.956863, 1.0],
        [0.34902, 0.454902, 0.580392, 1.0],
        [0.423529, 0.615686, 0.768627, 1.0],
        [0.627451, 0.890196, 0.811765, 1.0],
        [0.015686, 0.403922, 0.317647, 1.0],
        [0.0, 0.756863, 0.733333, 1.0],
        [0.309804, 0.509804, 0.356863, 1.0],
        [0.0, 0.886275, 0.466667, 1.0],
        [0.0, 0.498039, 0.568627, 1.0],
        [0.47451, 0.760784, 0.545098, 1.0],
        [0.647059, 0.631373, 0.811765, 1.0],
        [0.0, 0.490196, 0.262745, 1.0],
        [0.796078, 1.0, 0.933333, 1.0],
        [0.552941, 0.701961, 0.686275, 1.0],
        [0.270588, 0.545098, 0.666667, 1.0],
        [0.0, 0.968627, 0.894118, 1.0],
        [0.0, 0.654902, 0.662745, 1.0],
        [0.0, 0.403922, 0.694118, 1.0],
        [0.376471, 0.843137, 0.854902, 1.0],
        [0.647059, 0.909804, 0.937255, 1.0],
        [0.003922, 0.866667, 0.639216, 1.0],
        [0.227451, 0.380392, 0.372549, 1.0],
        [0.380392, 0.368627, 0.517647, 1.0],
        [0.482353, 0.662745, 0.54902, 1.0],
        [0.454902, 0.709804, 0.839216, 1.0],
        [0.0, 0.270588, 1.0, 1.0],
        [0.313725, 0.294118, 0.494118, 1.0],
        [0.239216, 0.192157, 0.803922, 1.0],
        [0.0, 0.776471, 0.623529, 1.0],
        [0.658824, 0.831373, 0.701961, 1.0],
        [0.333333, 0.576471, 0.505882, 1.0],
        [0.576471, 0.984314, 0.827451, 1.0],
        [0.341176, 0.521569, 0.733333, 1.0],
        [0.231373, 0.341176, 0.392157, 1.0],
        [0.380392, 0.6, 0.658824, 1.0],
        [0.807843, 0.8, 1.0, 1.0],
        [0.588235, 0.560784, 0.835294, 1.0],
        [0.0, 0.705882, 0.368627, 1.0],
        [0.729412, 0.843137, 0.894118, 1.0],
        [0.345098, 0.227451, 0.752941, 1.0],
        [0.0, 0.705882, 0.501961, 1.0],
        [0.0, 0.239216, 0.705882, 1.0],
        [0.0, 0.337255, 0.215686, 1.0],
        [0.47451, 0.635294, 1.0, 1.0],
        [0.415686, 0.454902, 0.858824, 1.0],
        [0.415686, 0.905882, 0.768627, 1.0],
        [0.494118, 0.784314, 0.862745, 1.0],
        [0.447059, 0.498039, 0.647059, 1.0],
        [0.0, 0.419608, 0.486275, 1.0],
        [0.341176, 0.396078, 0.478431, 1.0],
        [0.431373, 0.964706, 0.690196, 1.0],
        [0.113725, 0.462745, 0.815686, 1.0],
        [0.364706, 0.505882, 0.533333, 1.0],
        [0.235294, 0.443137, 0.388235, 1.0],
        [0.0, 0.709804, 0.788235, 1.0],
        [0.368627, 0.572549, 0.878431, 1.0],
        [0.4, 0.427451, 0.619608, 1.0],
        [0.227451, 0.611765, 0.847059, 1.0],
        [0.211765, 0.368627, 0.25098, 1.0],
        [0.317647, 0.819608, 1.0, 1.0],
        [0.443137, 0.760784, 0.752941, 1.0],
        [0.0, 0.564706, 0.501961, 1.0],
        [0.419608, 0.686275, 0.92549, 1.0],
        [0.309804, 0.588235, 0.415686, 1.0],
        [0.752941, 0.905882, 0.886275, 1.0],
        [0.639216, 0.694118, 0.831373, 1.0],
        [0.411765, 0.278431, 0.87451, 1.0],
        [0.0, 0.588235, 0.662745, 1.0],
        [0.443137, 0.380392, 0.803922, 1.0],
        [0.839216, 0.913725, 1.0, 1.0],
        [0.54902, 0.603922, 0.756863, 1.0],
        [0.729412, 0.705882, 0.94902, 1.0],
        [0.74902, 0.796078, 0.894118, 1.0],
        [0.184314, 0.443137, 0.305882, 1.0],
        [0.556863, 0.713725, 0.764706, 1.0],
        [0.498039, 0.909804, 0.87451, 1.0],
        [0.227451, 0.447059, 0.54902, 1.0],
        [0.529412, 0.509804, 0.713725, 1.0],
        [0.403922, 0.835294, 0.533333, 1.0],
        [0.043137, 0.505882, 1.0, 1.0],
        [0.513725, 0.501961, 0.854902, 1.0],
        [0.14902, 0.635294, 0.568627, 1.0],
        [0.631373, 0.784314, 0.733333, 1.0],
        [0.27451, 0.294118, 1.0, 1.0],
        [0.243137, 0.419608, 0.603922, 1.0],
        [0.780392, 1.0, 0.839216, 1.0],
        [0.223529, 0.498039, 0.482353, 1.0],
        [0.658824, 0.921569, 0.74902, 1.0],
        [0.003922, 0.345098, 0.313725, 1.0],
        [0.184314, 0.003922, 0.827451, 1.0],
        [0.501961, 0.972549, 1.0, 1.0],
        [0.607843, 0.823529, 0.996078, 1.0],
        [0.733333, 0.913725, 1.0, 1.0],
        [0.196078, 0.329412, 0.498039, 1.0],
        [0.0, 0.87451, 0.992157, 1.0],
        [0.501961, 0.639216, 0.67451, 1.0],
        [0.062745, 0.556863, 0.376471, 1.0],
        [0.341176, 0.380392, 0.768627, 1.0],
        [0.0, 0.647059, 0.4, 1.0],
        [0.317647, 0.435294, 1.0, 1.0],
        [0.305882, 0.501961, 0.843137, 1.0],
        [0.360784, 0.647059, 0.631373, 1.0],
        [0.568627, 0.729412, 1.0, 1.0],
        [0.376471, 0.713725, 0.54902, 1.0],
        [0.031373, 0.92549, 0.603922, 1.0],
        [0.380392, 0.8, 0.623529, 1.0],
        [0.333333, 0.643137, 0.509804, 1.0],
        [0.152941, 0.290196, 0.188235, 1.0],
        [0.733333, 1.0, 1.0, 1.0],
        [0.360784, 0.654902, 0.760784, 1.0],
        [0.0, 0.545098, 0.752941, 1.0],
        [0.596078, 0.666667, 1.0, 1.0],
        [0.486275, 0.6, 0.686275, 1.0],
        [0.423529, 0.486275, 0.745098, 1.0],
        [0.156863, 0.576471, 0.996078, 1.0],
        [0.0, 0.392157, 0.839216, 1.0],
        [0.007843, 0.345098, 0.439216, 1.0],
        [0.435294, 0.552941, 0.698039, 1.0],
        [0.0, 0.301961, 0.784314, 1.0],
        [0.215686, 0.321569, 0.623529, 1.0],
        [0.52549, 0.6, 0.882353, 1.0],
        [0.552941, 0.717647, 0.890196, 1.0],
        [0.0, 0.368627, 0.576471, 1.0],
        [0.4, 0.545098, 0.529412, 1.0],
        [0.341176, 0.0, 0.890196, 1.0],
        [0.505882, 0.831373, 0.792157, 1.0],
        [0.478431, 0.894118, 0.945098, 1.0],
        [0.513725, 0.717647, 0.635294, 1.0],
        [0.329412, 0.756863, 0.682353, 1.0],
        [0.627451, 0.823529, 0.909804, 1.0],
        [0.247059, 0.152941, 1.0, 1.0],
        [0.482353, 0.352941, 0.984314, 1.0],
        [0.321569, 0.494118, 0.580392, 1.0],
        [0.25098, 0.392157, 0.682353, 1.0],
        [0.403922, 1.0, 0.878431, 1.0],
        [0.47451, 0.498039, 1.0, 1.0],
        [0.270588, 0.423529, 0.847059, 1.0],
        [0.27451, 0.52549, 0.431373, 1.0],
        [0.552941, 0.784314, 0.643137, 1.0],
        [0.243137, 0.384314, 0.32549, 1.0],
        [0.392157, 0.513725, 0.419608, 1.0],
        [0.345098, 0.733333, 0.462745, 1.0],
        [0.207843, 0.454902, 0.490196, 1.0],
        [0.321569, 0.752941, 0.8, 1.0],
        [0.45098, 0.623529, 0.862745, 1.0],
        [0.301961, 0.305882, 0.701961, 1.0],
        [0.247059, 0.470588, 0.698039, 1.0],
        [0.423529, 0.392157, 0.67451, 1.0],
        [0.031373, 0.698039, 0.647059, 1.0],
        [0.435294, 0.52549, 0.862745, 1.0],
        [0.52549, 0.654902, 0.796078, 1.0],
        [0.219608, 0.396078, 0.435294, 1.0],
        [0.27451, 0.368627, 0.494118, 1.0],
        [0.458824, 0.905882, 0.588235, 1.0],
        [0.419608, 0.478431, 0.560784, 1.0],
        [0.309804, 0.666667, 0.854902, 1.0],
        [0.266667, 0.729412, 0.862745, 1.0],
        [0.352941, 0.345098, 0.576471, 1.0],
        [0.443137, 0.568627, 0.596078, 1.0],
        [0.643137, 0.666667, 0.905882, 1.0],
        [0.682353, 0.788235, 0.945098, 1.0],
        [0.0, 0.898039, 0.866667, 1.0],
        [0.509804, 0.501961, 0.623529, 1.0],
        [0.0, 0.423529, 0.588235, 1.0],
        [0.662745, 0.776471, 0.823529, 1.0],
        [0.435294, 0.701961, 0.670588, 1.0],
        [0.501961, 0.54902, 0.654902, 1.0],
        [0.682353, 0.839216, 0.815686, 1.0],
        [0.294118, 0.196078, 0.639216, 1.0],
        [0.807843, 0.847059, 0.984314, 1.0],
        [0.721569, 0.941176, 0.843137, 1.0],
        [0.435294, 0.611765, 0.537255, 1.0],
        [0.329412, 0.286275, 0.596078, 1.0],
        [0.054902, 0.388235, 0.384314, 1.0],
        [0.254902, 0.305882, 0.521569, 1.0],
        [0.227451, 0.639216, 0.705882, 1.0],
        [0.533333, 0.847059, 0.72549, 1.0],
        [0.305882, 0.470588, 0.380392, 1.0],
        [0.572549, 0.501961, 1.0, 1.0],
        [0.607843, 0.615686, 0.72549, 1.0],
        [0.145098, 1.0, 0.996078, 1.0],
        [0.007843, 0.823529, 0.796078, 1.0],
        [0.345098, 0.392157, 0.65098, 1.0],
        [0.682353, 0.670588, 0.788235, 1.0],
        [0.662745, 0.937255, 0.901961, 1.0],
        [0.423529, 0.623529, 0.466667, 1.0],
        [0.32549, 0.313725, 0.847059, 1.0],
        [0.0, 0.529412, 0.545098, 1.0],
        [0.435294, 0.572549, 1.0, 1.0],
        [0.25098, 0.529412, 0.588235, 1.0],
    ],
    'cet.glasbey_bw_minc_20_hue_330_100': [
        [0.843137, 0.0, 0.0, 1.0],
        [1.0, 0.384314, 0.972549, 1.0],
        [0.67451, 0.615686, 0.0, 1.0],
        [0.454902, 0.0, 0.443137, 1.0],
        [0.317647, 0.286275, 0.0, 1.0],
        [1.0, 0.603922, 0.537255, 1.0],
        [0.568627, 0.443137, 0.541176, 1.0],
        [1.0, 0.945098, 0.439216, 1.0],
        [0.815686, 0.0, 0.505882, 1.0],
        [0.509804, 0.227451, 0.196078, 1.0],
        [1.0, 0.760784, 0.956863, 1.0],
        [0.729412, 0.423529, 0.188235, 1.0],
        [0.776471, 0.74902, 0.572549, 1.0],
        [1.0, 0.607843, 0.0, 1.0],
        [1.0, 0.301961, 0.419608, 1.0],
        [0.470588, 0.45098, 0.298039, 1.0],
        [0.835294, 0.545098, 0.701961, 1.0],
        [0.392157, 0.27451, 0.368627, 1.0],
        [1.0, 0.352941, 0.0, 1.0],
        [0.627451, 0.25098, 0.607843, 1.0],
        [0.713725, 0.345098, 0.388235, 1.0],
        [0.576471, 0.0, 0.301961, 1.0],
        [0.52549, 0.309804, 0.003922, 1.0],
        [0.729412, 0.54902, 0.498039, 1.0],
        [0.603922, 0.0, 0.0, 1.0],
        [1.0, 0.8, 0.729412, 1.0],
        [0.87451, 0.0, 0.811765, 1.0],
        [0.894118, 0.752941, 0.0, 1.0],
        [1.0, 0.27451, 0.686275, 1.0],
        [0.619608, 0.596078, 0.388235, 1.0],
        [0.592157, 0.458824, 0.0, 1.0],
        [0.976471, 0.94902, 0.756863, 1.0],
        [1.0, 0.776471, 0.443137, 1.0],
        [0.74902, 0.011765, 0.25098, 1.0],
        [0.682353, 0.25098, 0.015686, 1.0],
        [0.541176, 0.376471, 0.341176, 1.0],
        [0.768627, 0.364706, 0.607843, 1.0],
        [0.835294, 0.615686, 0.368627, 1.0],
        [0.866667, 0.447059, 0.380392, 1.0],
        [0.564706, 0.266667, 0.4, 1.0],
        [0.403922, 0.309804, 0.192157, 1.0],
        [0.882353, 0.690196, 0.745098, 1.0],
        [0.780392, 0.521569, 0.0, 1.0],
        [1.0, 0.494118, 0.615686, 1.0],
        [1.0, 0.588235, 0.901961, 1.0],
        [0.972549, 0.52549, 0.270588, 1.0],
        [0.431373, 0.388235, 0.003922, 1.0],
        [0.843137, 0.278431, 0.258824, 1.0],
        [0.607843, 0.0, 0.490196, 1.0],
        [0.913725, 0.0, 0.380392, 1.0],
        [1.0, 0.0, 0.192157, 1.0],
        [0.756863, 0.713725, 0.337255, 1.0],
        [0.717647, 0.466667, 0.537255, 1.0],
        [0.619608, 0.470588, 0.341176, 1.0],
        [0.823529, 0.45098, 0.788235, 1.0],
        [0.862745, 0.682353, 0.588235, 1.0],
        [0.662745, 0.231373, 0.219608, 1.0],
        [0.486275, 0.227451, 0.462745, 1.0],
        [0.529412, 0.207843, 0.0, 1.0],
        [0.858824, 0.396078, 0.517647, 1.0],
        [0.827451, 0.32549, 0.0, 1.0],
        [0.533333, 0.082353, 0.156863, 1.0],
        [0.611765, 0.341176, 0.196078, 1.0],
        [0.682353, 0.54902, 0.65098, 1.0],
        [0.894118, 0.858824, 0.541176, 1.0],
        [0.698039, 0.215686, 0.388235, 1.0],
        [0.858824, 0.541176, 0.564706, 1.0],
        [0.74902, 0.0, 0.627451, 1.0],
        [0.870588, 0.447059, 0.0, 1.0],
        [1.0, 0.662745, 0.427451, 1.0],
        [1.0, 0.623529, 0.764706, 1.0],
        [0.447059, 0.290196, 0.298039, 1.0],
        [0.847059, 0.635294, 0.039216, 1.0],
        [0.501961, 0.341176, 0.478431, 1.0],
        [0.964706, 0.466667, 0.756863, 1.0],
        [0.713725, 0.439216, 0.384314, 1.0],
        [1.0, 0.803922, 0.866667, 1.0],
        [0.639216, 0.368627, 0.498039, 1.0],
        [0.478431, 0.133333, 0.34902, 1.0],
        [0.870588, 0.65098, 0.831373, 1.0],
        [1.0, 0.376471, 0.298039, 1.0],
        [0.560784, 0.407843, 0.176471, 1.0],
        [0.709804, 0.533333, 0.286275, 1.0],
        [0.686275, 0.45098, 0.654902, 1.0],
        [0.956863, 0.87451, 0.0, 1.0],
        [0.745098, 0.313725, 0.721569, 1.0],
        [1.0, 0.184314, 0.854902, 1.0],
        [0.823529, 0.509804, 0.317647, 1.0],
        [0.741176, 0.345098, 0.227451, 1.0],
        [0.945098, 0.203922, 0.003922, 1.0],
        [0.588235, 0.301961, 0.317647, 1.0],
        [0.917647, 0.023529, 0.670588, 1.0],
        [0.545098, 0.513725, 0.25098, 1.0],
        [0.890196, 0.247059, 0.529412, 1.0],
        [0.513725, 0.180392, 0.27451, 1.0],
        [0.690196, 0.258824, 0.52549, 1.0],
        [0.917647, 0.819608, 0.647059, 1.0],
        [0.721569, 0.07451, 0.105882, 1.0],
        [1.0, 0.721569, 0.172549, 1.0],
        [0.866667, 0.011765, 0.215686, 1.0],
        [0.647059, 0.352941, 0.0, 1.0],
        [0.733333, 0.643137, 0.486275, 1.0],
        [0.392157, 0.372549, 0.188235, 1.0],
        [0.486275, 0.27451, 0.141176, 1.0],
        [0.686275, 0.003922, 0.427451, 1.0],
        [0.733333, 0.611765, 0.254902, 1.0],
        [0.807843, 0.254902, 0.376471, 1.0],
        [0.411765, 0.27451, 0.0, 1.0],
        [1.0, 0.486275, 0.466667, 1.0],
        [0.972549, 0.827451, 0.333333, 1.0],
        [1.0, 0.701961, 0.690196, 1.0],
        [0.862745, 0.584314, 0.482353, 1.0],
        [0.784314, 0.6, 0.654902, 1.0],
        [0.627451, 0.141176, 0.262745, 1.0],
        [0.858824, 0.717647, 0.435294, 1.0],
        [0.607843, 0.423529, 0.454902, 1.0],
        [0.890196, 0.552941, 0.180392, 1.0],
        [0.894118, 0.415686, 0.211765, 1.0],
        [0.886275, 0.34902, 0.729412, 1.0],
        [0.992157, 0.360784, 0.576471, 1.0],
        [0.486275, 0.380392, 0.258824, 1.0],
        [0.529412, 0.345098, 0.403922, 1.0],
        [0.615686, 0.364706, 0.588235, 1.0],
        [0.580392, 0.176471, 0.105882, 1.0],
        [0.588235, 0.537255, 0.003922, 1.0],
        [0.694118, 0.443137, 0.007843, 1.0],
        [0.792157, 0.239216, 0.094118, 1.0],
        [0.458824, 0.231373, 0.34902, 1.0],
        [0.760784, 0.698039, 0.070588, 1.0],
        [0.635294, 0.0, 0.631373, 1.0],
        [0.886275, 0.305882, 0.862745, 1.0],
        [0.988235, 0.752941, 0.568627, 1.0],
        [0.756863, 0.313725, 0.482353, 1.0],
        [0.85098, 0.443137, 0.647059, 1.0],
        [0.870588, 0.552941, 0.827451, 1.0],
        [0.933333, 0.662745, 0.298039, 1.0],
        [0.8, 0.239216, 0.647059, 1.0],
        [0.894118, 0.74902, 0.858824, 1.0],
        [0.580392, 0.160784, 0.396078, 1.0],
        [0.662745, 0.552941, 0.415686, 1.0],
        [0.635294, 0.0, 0.141176, 1.0],
        [1.0, 0.172549, 0.486275, 1.0],
        [0.666667, 0.529412, 0.14902, 1.0],
        [0.886275, 0.360784, 0.392157, 1.0],
        [0.894118, 0.631373, 0.619608, 1.0],
        [0.490196, 0.439216, 0.168627, 1.0],
        [0.796078, 0.086275, 0.380392, 1.0],
        [0.470588, 0.356863, 0.105882, 1.0],
        [0.65098, 0.360784, 0.313725, 1.0],
        [1.0, 0.454902, 0.0, 1.0],
        [0.803922, 0.454902, 0.478431, 1.0],
        [1.0, 0.945098, 0.611765, 1.0],
        [0.839216, 0.792157, 0.34902, 1.0],
        [0.596078, 0.282353, 0.027451, 1.0],
        [0.929412, 0.203922, 0.313725, 1.0],
        [0.564706, 0.286275, 0.498039, 1.0],
        [0.756863, 0.12549, 0.74902, 1.0],
        [0.533333, 0.109804, 0.517647, 1.0],
        [0.988235, 0.717647, 0.839216, 1.0],
        [0.768627, 0.192157, 0.227451, 1.0],
        [0.592157, 0.266667, 0.176471, 1.0],
        [0.698039, 0.666667, 0.411765, 1.0],
        [0.662745, 0.14902, 0.0, 1.0],
        [0.976471, 0.588235, 0.635294, 1.0],
        [0.937255, 0.52549, 0.407843, 1.0],
        [0.87451, 0.713725, 0.270588, 1.0],
        [0.517647, 0.305882, 0.254902, 1.0],
        [0.619608, 0.478431, 0.215686, 1.0],
        [0.992157, 0.0, 0.592157, 1.0],
        [0.909804, 0.321569, 0.196078, 1.0],
        [0.772549, 0.603922, 0.737255, 1.0],
        [0.721569, 0.501961, 0.368627, 1.0],
        [0.788235, 0.380392, 0.34902, 1.0],
        [0.564706, 0.513725, 0.356863, 1.0],
        [0.72549, 0.341176, 0.086275, 1.0],
        [0.764706, 0.517647, 0.729412, 1.0],
        [0.8, 0.505882, 0.439216, 1.0],
        [0.784314, 0.431373, 0.294118, 1.0],
        [0.623529, 0.588235, 0.254902, 1.0],
        [0.698039, 0.0, 0.32549, 1.0],
        [0.784314, 0.490196, 0.180392, 1.0],
        [0.972549, 0.678431, 0.564706, 1.0],
        [1.0, 0.858824, 0.584314, 1.0],
        [1.0, 0.0, 0.996078, 1.0],
        [0.662745, 0.411765, 0.278431, 1.0],
        [1.0, 0.376471, 0.839216, 1.0],
        [0.956863, 0.419608, 0.498039, 1.0],
        [0.768627, 0.580392, 0.431373, 1.0],
        [0.509804, 0.262745, 0.313725, 1.0],
        [0.647059, 0.301961, 0.407843, 1.0],
        [0.670588, 0.486275, 0.482353, 1.0],
        [0.890196, 0.603922, 0.694118, 1.0],
        [0.811765, 0.780392, 0.486275, 1.0],
        [0.529412, 0.396078, 0.0, 1.0],
        [1.0, 0.6, 0.258824, 1.0],
        [0.419608, 0.164706, 0.403922, 1.0],
        [0.890196, 0.505882, 0.627451, 1.0],
        [0.333333, 0.313725, 0.160784, 1.0],
        [0.941176, 0.564706, 0.780392, 1.0],
        [0.960784, 0.490196, 0.878431, 1.0],
        [0.917647, 0.588235, 0.380392, 1.0],
        [0.898039, 0.168627, 0.156863, 1.0],
        [0.741176, 0.298039, 0.282353, 1.0],
        [0.52549, 0.101961, 0.0, 1.0],
        [0.52549, 0.341176, 0.168627, 1.0],
        [0.580392, 0.223529, 0.254902, 1.0],
        [0.756863, 0.478431, 0.631373, 1.0],
        [1.0, 0.447059, 0.254902, 1.0],
        [0.760784, 0.403922, 0.537255, 1.0],
        [0.905882, 0.286275, 0.443137, 1.0],
        [0.898039, 0.678431, 0.478431, 1.0],
        [0.4, 0.32549, 0.0, 1.0],
        [0.619608, 0.2, 0.509804, 1.0],
        [0.615686, 0.431373, 0.380392, 1.0],
        [0.466667, 0.247059, 0.0, 1.0],
        [1.0, 0.262745, 0.282353, 1.0],
        [1.0, 0.835294, 0.960784, 1.0],
        [0.992157, 0.67451, 0.894118, 1.0],
        [0.501961, 0.454902, 0.0, 1.0],
        [0.788235, 0.392157, 0.003922, 1.0],
        [0.658824, 0.478431, 0.588235, 1.0],
        [0.905882, 0.352941, 0.615686, 1.0],
        [0.733333, 0.572549, 0.003922, 1.0],
        [0.756863, 0.533333, 0.560784, 1.0],
        [0.572549, 0.4, 0.282353, 1.0],
        [0.835294, 0.607843, 0.227451, 1.0],
        [0.517647, 0.0, 0.419608, 1.0],
        [1.0, 0.807843, 0.0, 1.0],
        [0.690196, 0.262745, 0.32549, 1.0],
        [0.796078, 0.239216, 0.541176, 1.0],
        [1.0, 0.533333, 0.003922, 1.0],
        [0.866667, 0.741176, 0.580392, 1.0],
        [0.8, 0.611765, 0.564706, 1.0],
        [0.466667, 0.298039, 0.384314, 1.0],
        [0.709804, 0.266667, 0.168627, 1.0],
        [0.596078, 0.207843, 0.337255, 1.0],
        [0.698039, 0.32549, 0.607843, 1.0],
        [0.611765, 0.4, 0.007843, 1.0],
        [0.752941, 0.4, 0.694118, 1.0],
        [0.623529, 0.360784, 0.403922, 1.0],
        [0.737255, 0.603922, 0.364706, 1.0],
        [0.529412, 0.0, 0.054902, 1.0],
        [0.894118, 0.0, 0.478431, 1.0],
        [0.690196, 0.415686, 0.443137, 1.0],
        [0.498039, 0.0, 0.301961, 1.0],
        [0.752941, 0.137255, 0.0, 1.0],
        [0.729412, 0.12549, 0.521569, 1.0],
        [0.905882, 0.780392, 0.419608, 1.0],
        [0.52549, 0.0, 0.211765, 1.0],
        [0.643137, 0.407843, 0.164706, 1.0],
        [1.0, 0.015686, 0.364706, 1.0],
        [0.866667, 0.490196, 0.745098, 1.0],
        [0.678431, 0.466667, 0.262745, 1.0],
        [0.901961, 0.482353, 0.490196, 1.0],
        [0.870588, 0.270588, 0.631373, 1.0],
        [0.803922, 0.34902, 0.423529, 1.0],
    ],
    'cet.glasbey_bw_minc_20_maxl_70': [
        [0.843137, 0.0, 0.0, 1.0],
        [0.54902, 0.235294, 1.0, 1.0],
        [0.007843, 0.533333, 0.0, 1.0],
        [0.0, 0.67451, 0.780392, 1.0],
        [0.905882, 0.647059, 0.0, 1.0],
        [1.0, 0.498039, 0.819608, 1.0],
        [0.423529, 0.0, 0.309804, 1.0],
        [0.345098, 0.231373, 0.0, 1.0],
        [0.0, 0.341176, 0.34902, 1.0],
        [0.082353, 0.882353, 0.552941, 1.0],
        [0.0, 0.0, 0.866667, 1.0],
        [0.635294, 0.462745, 0.415686, 1.0],
        [0.737255, 0.717647, 1.0, 1.0],
        [0.752941, 0.015686, 0.72549, 1.0],
        [0.392157, 0.329412, 0.45098, 1.0],
        [0.47451, 0.0, 0.0, 1.0],
        [0.027451, 0.454902, 0.847059, 1.0],
        [0.45098, 0.607843, 0.490196, 1.0],
        [1.0, 0.470588, 0.321569, 1.0],
        [0.0, 0.294118, 0.0, 1.0],
        [0.560784, 0.482353, 0.003922, 1.0],
        [0.952941, 0.0, 0.482353, 1.0],
        [0.560784, 0.729412, 0.0, 1.0],
        [0.65098, 0.482353, 0.721569, 1.0],
        [0.352941, 0.007843, 0.639216, 1.0],
        [0.890196, 0.686275, 0.686275, 1.0],
        [0.627451, 0.227451, 0.321569, 1.0],
        [0.635294, 0.784314, 0.784314, 1.0],
        [0.619608, 0.294118, 0.0, 1.0],
        [0.329412, 0.403922, 0.270588, 1.0],
        [0.733333, 0.764706, 0.537255, 1.0],
        [0.372549, 0.482353, 0.533333, 1.0],
        [0.376471, 0.219608, 0.235294, 1.0],
        [0.513725, 0.533333, 1.0, 1.0],
        [0.223529, 0.0, 0.0, 1.0],
        [0.890196, 0.32549, 1.0, 1.0],
        [0.188235, 0.32549, 0.509804, 1.0],
        [0.498039, 0.792157, 1.0, 1.0],
        [0.772549, 0.4, 0.560784, 1.0],
        [0.0, 0.505882, 0.415686, 1.0],
        [0.572549, 0.619608, 0.717647, 1.0],
        [0.8, 0.454902, 0.027451, 1.0],
        [0.498039, 0.168627, 0.556863, 1.0],
        [0.0, 0.745098, 0.643137, 1.0],
        [0.176471, 0.694118, 0.321569, 1.0],
        [0.305882, 0.2, 1.0, 1.0],
        [0.0, 0.898039, 0.0, 1.0],
        [1.0, 0.0, 0.807843, 1.0],
        [0.784314, 0.345098, 0.282353, 1.0],
        [0.898039, 0.611765, 1.0, 1.0],
        [0.113725, 0.631373, 1.0, 1.0],
        [0.431373, 0.439216, 0.670588, 1.0],
        [0.784314, 0.603922, 0.411765, 1.0],
        [0.470588, 0.341176, 0.231373, 1.0],
        [0.015686, 0.854902, 0.901961, 1.0],
        [0.756863, 0.639216, 0.768627, 1.0],
        [1.0, 0.415686, 0.541176, 1.0],
        [0.733333, 0.0, 0.996078, 1.0],
        [0.572549, 0.32549, 0.501961, 1.0],
        [0.623529, 0.007843, 0.454902, 1.0],
        [0.580392, 0.631373, 0.313725, 1.0],
        [0.215686, 0.266667, 0.145098, 1.0],
        [0.686275, 0.427451, 1.0, 1.0],
        [0.34902, 0.427451, 0.0, 1.0],
        [1.0, 0.192157, 0.278431, 1.0],
        [0.513725, 0.501961, 0.341176, 1.0],
        [0.0, 0.427451, 0.180392, 1.0],
        [0.537255, 0.337255, 0.686275, 1.0],
        [0.352941, 0.290196, 0.639216, 1.0],
        [0.466667, 0.207843, 0.086275, 1.0],
        [0.52549, 0.764706, 0.603922, 1.0],
        [0.372549, 0.066667, 0.137255, 1.0],
        [0.835294, 0.521569, 0.505882, 1.0],
        [0.643137, 0.160784, 0.094118, 1.0],
        [0.0, 0.533333, 0.694118, 1.0],
        [0.796078, 0.0, 0.266667, 1.0],
        [1.0, 0.627451, 0.337255, 1.0],
        [0.921569, 0.305882, 0.0, 1.0],
        [0.423529, 0.592157, 0.0, 1.0],
        [0.32549, 0.52549, 0.286275, 1.0],
        [0.458824, 0.352941, 0.0, 1.0],
        [0.784314, 0.768627, 0.25098, 1.0],
        [0.572549, 0.827451, 0.439216, 1.0],
        [0.294118, 0.596078, 0.580392, 1.0],
        [0.301961, 0.137255, 0.05098, 1.0],
        [0.380392, 0.203922, 0.360784, 1.0],
        [0.517647, 0.0, 0.811765, 1.0],
        [0.545098, 0.0, 0.192157, 1.0],
        [0.623529, 0.431373, 0.196078, 1.0],
        [0.67451, 0.517647, 0.6, 1.0],
        [0.776471, 0.192157, 0.537255, 1.0],
        [0.007843, 0.329412, 0.219608, 1.0],
        [0.031373, 0.419608, 0.517647, 1.0],
        [0.529412, 0.658824, 0.92549, 1.0],
        [0.392157, 0.4, 0.937255, 1.0],
        [0.768627, 0.364706, 0.729412, 1.0],
        [0.003922, 0.623529, 0.439216, 1.0],
        [0.505882, 0.317647, 0.34902, 1.0],
        [0.513725, 0.435294, 0.54902, 1.0],
        [0.701961, 0.752941, 0.854902, 1.0],
        [0.72549, 0.568627, 0.160784, 1.0],
        [1.0, 0.592157, 0.698039, 1.0],
        [0.654902, 0.576471, 0.882353, 1.0],
        [0.411765, 0.552941, 0.745098, 1.0],
        [0.298039, 0.313725, 0.003922, 1.0],
        [0.282353, 0.007843, 0.8, 1.0],
        [0.380392, 0.0, 0.431373, 1.0],
        [0.270588, 0.415686, 0.4, 1.0],
        [0.615686, 0.341176, 0.262745, 1.0],
        [0.482353, 0.67451, 0.709804, 1.0],
        [0.803922, 0.517647, 0.741176, 1.0],
        [0.0, 0.329412, 0.756863, 1.0],
        [0.482353, 0.184314, 0.309804, 1.0],
        [0.984314, 0.486275, 0.0, 1.0],
        [0.203922, 0.752941, 0.0, 1.0],
        [1.0, 0.611765, 0.533333, 1.0],
        [0.882353, 0.717647, 0.411765, 1.0],
        [0.32549, 0.380392, 0.466667, 1.0],
        [0.360784, 0.227451, 0.486275, 1.0],
        [0.929412, 0.647059, 0.854902, 1.0],
        [0.941176, 0.32549, 0.639216, 1.0],
        [0.364706, 0.494118, 0.411765, 1.0],
        [0.768627, 0.466667, 0.313725, 1.0],
        [0.819608, 0.282353, 0.407843, 1.0],
        [0.431373, 0.0, 0.921569, 1.0],
        [0.121569, 0.203922, 0.0, 1.0],
        [0.756863, 0.254902, 0.015686, 1.0],
        [0.427451, 0.835294, 0.760784, 1.0],
        [0.27451, 0.439216, 0.623529, 1.0],
        [0.635294, 0.003922, 0.768627, 1.0],
        [0.039216, 0.509804, 0.537255, 1.0],
        [0.686275, 0.65098, 0.003922, 1.0],
        [0.65098, 0.360784, 0.419608, 1.0],
        [0.996078, 0.466667, 1.0, 1.0],
        [0.545098, 0.521569, 0.682353, 1.0],
        [0.780392, 0.498039, 0.913725, 1.0],
        [0.603922, 0.670588, 0.521569, 1.0],
        [0.529412, 0.423529, 0.85098, 1.0],
        [0.003922, 0.729412, 0.968627, 1.0],
        [0.686275, 0.368627, 0.823529, 1.0],
        [0.34902, 0.317647, 0.168627, 1.0],
        [0.713725, 0.0, 0.372549, 1.0],
        [0.486275, 0.713725, 0.415686, 1.0],
        [0.286275, 0.521569, 1.0, 1.0],
        [0.0, 0.760784, 0.509804, 1.0],
        [0.823529, 0.584314, 0.670588, 1.0],
        [0.639216, 0.294118, 0.658824, 1.0],
        [0.890196, 0.023529, 0.890196, 1.0],
        [0.086275, 0.639216, 0.0, 1.0],
        [0.223529, 0.180392, 0.0, 1.0],
        [0.517647, 0.188235, 0.2, 1.0],
        [0.368627, 0.584314, 0.666667, 1.0],
        [0.352941, 0.062745, 0.0, 1.0],
        [0.482353, 0.27451, 0.0, 1.0],
        [0.435294, 0.435294, 0.192157, 1.0],
        [0.2, 0.345098, 0.14902, 1.0],
        [0.301961, 0.376471, 0.713725, 1.0],
        [0.635294, 0.584314, 0.392157, 1.0],
        [0.384314, 0.25098, 0.156863, 1.0],
        [0.270588, 0.831373, 0.345098, 1.0],
        [0.439216, 0.666667, 0.815686, 1.0],
        [0.180392, 0.419608, 0.305882, 1.0],
        [0.45098, 0.686275, 0.619608, 1.0],
        [0.992157, 0.082353, 0.0, 1.0],
        [0.847059, 0.705882, 0.572549, 1.0],
        [0.478431, 0.537255, 0.231373, 1.0],
        [0.490196, 0.776471, 0.85098, 1.0],
        [0.862745, 0.568627, 0.215686, 1.0],
        [0.92549, 0.380392, 0.368627, 1.0],
        [0.92549, 0.372549, 0.831373, 1.0],
        [0.898039, 0.482353, 0.654902, 1.0],
        [0.65098, 0.423529, 0.596078, 1.0],
        [0.0, 0.592157, 0.266667, 1.0],
        [0.729412, 0.372549, 0.133333, 1.0],
        [0.737255, 0.678431, 0.32549, 1.0],
        [0.533333, 0.847059, 0.188235, 1.0],
        [0.529412, 0.207843, 0.45098, 1.0],
        [0.682353, 0.658824, 0.823529, 1.0],
        [0.890196, 0.54902, 0.388235, 1.0],
        [0.819608, 0.694118, 0.92549, 1.0],
        [0.215686, 0.258824, 0.623529, 1.0],
        [0.227451, 0.745098, 0.760784, 1.0],
        [0.4, 0.615686, 0.301961, 1.0],
        [0.619608, 0.011765, 0.6, 1.0],
        [0.305882, 0.305882, 0.478431, 1.0],
        [0.482353, 0.298039, 0.52549, 1.0],
        [0.764706, 0.207843, 0.192157, 1.0],
        [0.552941, 0.4, 0.466667, 1.0],
        [0.666667, 0.0, 0.176471, 1.0],
        [0.498039, 0.003922, 0.458824, 1.0],
        [0.003922, 0.509804, 0.301961, 1.0],
        [0.45098, 0.290196, 0.403922, 1.0],
        [0.447059, 0.466667, 0.568627, 1.0],
        [0.431373, 0.0, 0.6, 1.0],
        [0.627451, 0.729412, 0.321569, 1.0],
        [0.882353, 0.431373, 0.192157, 1.0],
        [0.772549, 0.415686, 0.443137, 1.0],
        [0.427451, 0.356863, 0.588235, 1.0],
        [0.639216, 0.235294, 0.454902, 1.0],
        [0.196078, 0.384314, 0.0, 1.0],
        [0.533333, 0.0, 0.313725, 1.0],
        [0.2, 0.345098, 0.411765, 1.0],
        [0.729412, 0.552941, 0.486275, 1.0],
        [0.098039, 0.34902, 1.0, 1.0],
        [0.568627, 0.572549, 0.007843, 1.0],
        [0.172549, 0.545098, 0.835294, 1.0],
        [0.090196, 0.14902, 1.0, 1.0],
        [0.129412, 0.827451, 1.0, 1.0],
        [0.643137, 0.564706, 0.686275, 1.0],
        [0.545098, 0.427451, 0.309804, 1.0],
        [0.368627, 0.129412, 0.243137, 1.0],
        [0.862745, 0.011765, 0.701961, 1.0],
        [0.435294, 0.341176, 0.792157, 1.0],
        [0.396078, 0.156863, 0.129412, 1.0],
        [0.678431, 0.466667, 0.0, 1.0],
        [0.639216, 0.74902, 0.968627, 1.0],
        [0.709804, 0.517647, 0.27451, 1.0],
        [0.592157, 0.219608, 0.862745, 1.0],
        [0.698039, 0.317647, 0.580392, 1.0],
        [0.447059, 0.258824, 0.639216, 1.0],
        [0.529412, 0.560784, 0.819608, 1.0],
        [0.541176, 0.439216, 0.694118, 1.0],
        [0.419608, 0.686275, 0.211765, 1.0],
        [0.352941, 0.478431, 0.788235, 1.0],
        [0.780392, 0.623529, 1.0, 1.0],
        [0.337255, 0.517647, 0.101961, 1.0],
        [0.0, 0.839216, 0.654902, 1.0],
        [0.509804, 0.278431, 0.223529, 1.0],
        [0.066667, 0.262745, 0.113725, 1.0],
        [0.352941, 0.670588, 0.458824, 1.0],
        [0.568627, 0.356863, 0.003922, 1.0],
        [0.964706, 0.270588, 0.439216, 1.0],
        [1.0, 0.592157, 0.011765, 1.0],
        [0.882353, 0.258824, 0.192157, 1.0],
        [0.729412, 0.572549, 0.811765, 1.0],
        [0.203922, 0.345098, 0.301961, 1.0],
        [0.972549, 0.501961, 0.490196, 1.0],
        [0.568627, 0.203922, 0.0, 1.0],
        [0.701961, 0.803922, 0.0, 1.0],
        [0.180392, 0.623529, 0.827451, 1.0],
        [0.47451, 0.545098, 0.623529, 1.0],
        [0.317647, 0.505882, 0.490196, 1.0],
        [0.756863, 0.211765, 0.843137, 1.0],
        [0.92549, 0.019608, 0.32549, 1.0],
        [0.72549, 0.67451, 0.494118, 1.0],
        [0.282353, 0.439216, 0.196078, 1.0],
        [0.517647, 0.584314, 0.396078, 1.0],
        [0.85098, 0.615686, 0.537255, 1.0],
        [0.0, 0.392157, 0.639216, 1.0],
        [0.298039, 0.564706, 0.470588, 1.0],
        [0.560784, 0.380392, 0.596078, 1.0],
        [1.0, 0.32549, 0.219608, 1.0],
        [0.654902, 0.258824, 0.231373, 1.0],
        [0.0, 0.431373, 0.439216, 1.0],
        [0.596078, 0.517647, 0.243137, 1.0],
        [0.862745, 0.690196, 0.784314, 1.0],
    ],
    'cet.glasbey_bw_minc_20_minl_30': [
        [0.843137, 0.0, 0.0, 1.0],
        [0.007843, 0.533333, 0.0, 1.0],
        [0.713725, 0.0, 1.0, 1.0],
        [0.023529, 0.67451, 0.776471, 1.0],
        [0.596078, 1.0, 0.0, 1.0],
        [1.0, 0.647059, 0.188235, 1.0],
        [1.0, 0.560784, 0.784314, 1.0],
        [0.47451, 0.321569, 0.372549, 1.0],
        [0.0, 0.996078, 0.811765, 1.0],
        [0.690196, 0.647059, 1.0, 1.0],
        [0.580392, 0.678431, 0.517647, 1.0],
        [0.603922, 0.411765, 0.0, 1.0],
        [0.215686, 0.415686, 0.384314, 1.0],
        [0.827451, 0.0, 0.54902, 1.0],
        [0.996078, 0.960784, 0.564706, 1.0],
        [0.784314, 0.435294, 0.4, 1.0],
        [0.619608, 0.890196, 1.0, 1.0],
        [0.0, 0.788235, 0.27451, 1.0],
        [0.662745, 0.466667, 0.678431, 1.0],
        [0.721569, 0.733333, 0.007843, 1.0],
        [0.956863, 0.752941, 0.694118, 1.0],
        [1.0, 0.156863, 0.992157, 1.0],
        [0.952941, 0.807843, 1.0, 1.0],
        [0.0, 0.623529, 0.490196, 1.0],
        [1.0, 0.384314, 0.0, 1.0],
        [0.337255, 0.396078, 0.168627, 1.0],
        [0.588235, 0.247059, 0.121569, 1.0],
        [0.568627, 0.192157, 0.560784, 1.0],
        [1.0, 0.203922, 0.396078, 1.0],
        [0.627451, 0.894118, 0.572549, 1.0],
        [0.552941, 0.607843, 0.698039, 1.0],
        [0.509804, 0.568627, 0.14902, 1.0],
        [0.682353, 0.035294, 0.247059, 1.0],
        [0.470588, 0.780392, 0.733333, 1.0],
        [0.737255, 0.572549, 0.345098, 1.0],
        [0.898039, 0.560784, 1.0, 1.0],
        [0.447059, 0.72549, 1.0, 1.0],
        [0.776471, 0.647059, 0.756863, 1.0],
        [1.0, 0.568627, 0.443137, 1.0],
        [0.827451, 0.764706, 0.490196, 1.0],
        [0.741176, 0.933333, 0.858824, 1.0],
        [0.419608, 0.521569, 0.407843, 1.0],
        [0.572549, 0.431373, 0.337255, 1.0],
        [0.976471, 1.0, 0.0, 1.0],
        [0.729412, 0.760784, 0.878431, 1.0],
        [0.678431, 0.341176, 0.490196, 1.0],
        [1.0, 0.807843, 0.011765, 1.0],
        [1.0, 0.290196, 0.694118, 1.0],
        [0.760784, 0.341176, 0.011765, 1.0],
        [0.364706, 0.54902, 0.564706, 1.0],
        [0.760784, 0.266667, 0.741176, 1.0],
        [0.0, 0.458824, 0.25098, 1.0],
        [0.729412, 0.435294, 0.996078, 1.0],
        [0.0, 0.831373, 0.580392, 1.0],
        [0.0, 1.0, 0.462745, 1.0],
        [0.286275, 0.635294, 0.317647, 1.0],
        [0.8, 0.596078, 0.568627, 1.0],
        [0.0, 0.921569, 0.933333, 1.0],
        [0.858824, 0.494118, 0.003922, 1.0],
        [0.972549, 0.458824, 0.541176, 1.0],
        [0.72549, 0.588235, 0.0, 1.0],
        [0.788235, 0.258824, 0.282353, 1.0],
        [0.0, 0.815686, 0.980392, 1.0],
        [0.462745, 0.345098, 0.152941, 1.0],
        [0.521569, 0.831373, 0.003922, 1.0],
        [0.92549, 1.0, 0.831373, 1.0],
        [0.654902, 0.482353, 0.533333, 1.0],
        [0.862745, 0.447059, 0.788235, 1.0],
        [0.796078, 0.890196, 0.341176, 1.0],
        [0.545098, 0.74902, 0.368627, 1.0],
        [0.631373, 0.129412, 0.419608, 1.0],
        [0.52549, 0.356863, 0.537255, 1.0],
        [0.541176, 0.733333, 0.815686, 1.0],
        [1.0, 0.729412, 0.843137, 1.0],
        [0.717647, 0.811765, 0.670588, 1.0],
        [0.592157, 0.254902, 0.305882, 1.0],
        [0.407843, 0.670588, 0.0, 1.0],
        [0.996078, 0.882353, 0.698039, 1.0],
        [1.0, 0.215686, 0.160784, 1.0],
        [0.501961, 0.478431, 0.243137, 1.0],
        [0.843137, 0.909804, 1.0, 1.0],
        [0.654902, 0.584314, 0.776471, 1.0],
        [0.494118, 0.647059, 0.607843, 1.0],
        [0.819608, 0.513725, 0.643137, 1.0],
        [0.329412, 0.509804, 0.231373, 1.0],
        [0.901961, 0.662745, 0.45098, 1.0],
        [0.611765, 1.0, 1.0, 1.0],
        [0.854902, 0.333333, 0.505882, 1.0],
        [0.019608, 0.705882, 0.666667, 1.0],
        [1.0, 0.670588, 0.964706, 1.0],
        [0.819608, 0.686275, 0.937255, 1.0],
        [0.854902, 0.007843, 0.368627, 1.0],
        [0.67451, 0.105882, 0.07451, 1.0],
        [0.376471, 0.701961, 0.521569, 1.0],
        [0.835294, 0.258824, 0.992157, 1.0],
        [0.678431, 0.670588, 0.34902, 1.0],
        [0.984314, 0.615686, 0.654902, 1.0],
        [0.701961, 0.447059, 0.235294, 1.0],
        [0.94902, 0.415686, 0.32549, 1.0],
        [0.682353, 0.823529, 0.835294, 1.0],
        [0.607843, 1.0, 0.768627, 1.0],
        [0.858824, 0.701961, 0.2, 1.0],
        [0.92549, 0.007843, 0.764706, 1.0],
        [0.6, 0.0, 0.772549, 1.0],
        [0.815686, 1.0, 0.619608, 1.0],
        [0.65098, 0.352941, 0.290196, 1.0],
        [0.235294, 0.427451, 0.003922, 1.0],
        [0.0, 0.521569, 0.478431, 1.0],
        [0.584314, 0.572549, 0.403922, 1.0],
        [0.541176, 0.862745, 0.701961, 1.0],
        [0.427451, 0.454902, 0.0, 1.0],
        [0.666667, 0.368627, 0.792157, 1.0],
        [0.027451, 0.941176, 0.0, 1.0],
        [0.505882, 0.309804, 0.243137, 1.0],
        [0.85098, 0.505882, 0.321569, 1.0],
        [1.0, 0.784314, 0.388235, 1.0],
        [0.721569, 0.0, 0.623529, 1.0],
        [0.6, 0.67451, 0.870588, 1.0],
        [0.568627, 0.309804, 0.0, 1.0],
        [0.54902, 0.270588, 0.439216, 1.0],
        [0.309804, 0.431373, 0.321569, 1.0],
        [1.0, 0.533333, 0.203922, 1.0],
        [0.780392, 0.560784, 0.807843, 1.0],
        [0.835294, 0.886275, 0.619608, 1.0],
        [0.698039, 0.509804, 0.427451, 1.0],
        [0.615686, 0.984314, 0.458824, 1.0],
        [0.341176, 0.870588, 0.466667, 1.0],
        [0.980392, 0.0, 0.529412, 1.0],
        [0.635294, 0.803922, 1.0, 1.0],
        [0.078431, 0.796078, 0.823529, 1.0],
        [0.066667, 0.560784, 0.333333, 1.0],
        [0.823529, 0.329412, 0.647059, 1.0],
        [0.0, 0.87451, 0.764706, 1.0],
        [0.639216, 0.517647, 0.184314, 1.0],
        [0.466667, 0.592157, 0.356863, 1.0],
        [0.733333, 0.670588, 0.501961, 1.0],
        [0.439216, 0.639216, 0.690196, 1.0],
        [0.839216, 0.984314, 1.0, 1.0],
        [0.909804, 0.007843, 0.227451, 1.0],
        [0.847059, 0.278431, 0.133333, 1.0],
        [1.0, 0.513725, 0.929412, 1.0],
        [0.717647, 0.219608, 0.388235, 1.0],
        [0.717647, 0.807843, 0.447059, 1.0],
        [0.596078, 0.384314, 0.419608, 1.0],
        [0.541176, 0.454902, 0.568627, 1.0],
        [0.0, 0.639216, 0.090196, 1.0],
        [0.0, 0.960784, 0.631373, 1.0],
        [0.752941, 0.568627, 0.94902, 1.0],
        [0.541176, 0.894118, 0.847059, 1.0],
        [0.643137, 0.305882, 0.584314, 1.0],
        [0.431373, 0.368627, 0.0, 1.0],
        [0.54902, 0.776471, 0.556863, 1.0],
        [0.584314, 0.666667, 0.168627, 1.0],
        [0.780392, 0.45098, 0.866667, 1.0],
        [0.705882, 0.231373, 0.003922, 1.0],
        [0.843137, 0.603922, 0.215686, 1.0],
        [0.87451, 0.678431, 0.717647, 1.0],
        [0.0, 0.607843, 0.627451, 1.0],
        [0.352941, 0.564706, 0.0, 1.0],
        [0.592157, 0.737255, 0.658824, 1.0],
        [0.678431, 0.552941, 0.658824, 1.0],
        [0.854902, 0.835294, 1.0, 1.0],
        [0.333333, 0.490196, 0.447059, 1.0],
        [0.0, 0.733333, 0.411765, 1.0],
        [1.0, 0.768627, 0.556863, 1.0],
        [0.72549, 0.0, 0.831373, 1.0],
        [0.878431, 0.815686, 0.356863, 1.0],
        [0.388235, 0.603922, 0.482353, 1.0],
        [0.752941, 0.933333, 0.737255, 1.0],
        [0.760784, 0.745098, 0.996078, 1.0],
        [0.501961, 0.827451, 0.870588, 1.0],
        [0.886275, 0.521569, 0.494118, 1.0],
        [0.980392, 0.921569, 0.305882, 1.0],
        [0.752941, 0.427451, 0.513725, 1.0],
        [0.796078, 1.0, 0.313725, 1.0],
        [0.941176, 0.447059, 0.666667, 1.0],
        [0.929412, 0.407843, 1.0, 1.0],
        [0.6, 0.278431, 0.682353, 1.0],
        [0.427451, 0.411765, 0.262745, 1.0],
        [0.890196, 0.341176, 0.380392, 1.0],
        [0.866667, 0.4, 0.176471, 1.0],
        [0.615686, 0.858824, 0.364706, 1.0],
        [0.886275, 0.615686, 0.815686, 1.0],
        [0.72549, 0.462745, 0.0, 1.0],
        [0.776471, 0.0, 0.176471, 1.0],
        [0.87451, 0.741176, 0.854902, 1.0],
        [0.352941, 0.713725, 0.87451, 1.0],
        [1.0, 0.352941, 0.854902, 1.0],
        [0.219608, 0.760784, 0.631373, 1.0],
        [0.619608, 0.415686, 0.54902, 1.0],
        [0.678431, 0.666667, 0.784314, 1.0],
        [0.588235, 0.388235, 0.188235, 1.0],
        [0.713725, 0.337255, 0.384314, 1.0],
        [0.172549, 0.498039, 0.376471, 1.0],
        [0.698039, 0.894118, 0.0, 1.0],
        [0.933333, 0.647059, 0.568627, 1.0],
        [0.584314, 0.996078, 0.886275, 1.0],
        [1.0, 0.333333, 0.556863, 1.0],
        [0.745098, 0.435294, 0.631373, 1.0],
        [0.666667, 0.235294, 0.215686, 1.0],
        [0.85098, 0.811765, 0.0, 1.0],
        [0.670588, 0.501961, 0.807843, 1.0],
        [0.627451, 0.501961, 0.321569, 1.0],
        [0.882353, 0.0, 0.909804, 1.0],
        [0.764706, 0.360784, 0.243137, 1.0],
        [0.709804, 0.227451, 0.521569, 1.0],
        [0.54902, 0.470588, 0.0, 1.0],
        [0.858824, 0.737255, 0.588235, 1.0],
        [0.321569, 0.619608, 0.576471, 1.0],
        [0.690196, 0.741176, 0.513725, 1.0],
        [0.572549, 0.713725, 0.717647, 1.0],
        [0.654902, 0.329412, 0.141176, 1.0],
        [1.0, 0.835294, 0.937255, 1.0],
        [0.47451, 0.682353, 0.419608, 1.0],
        [0.368627, 0.709804, 0.298039, 1.0],
        [0.501961, 0.984314, 0.607843, 1.0],
        [0.282353, 1.0, 0.937255, 1.0],
        [0.596078, 0.588235, 0.282353, 1.0],
        [0.580392, 0.533333, 0.654902, 1.0],
        [0.196078, 0.835294, 0.0, 1.0],
        [0.431373, 0.917647, 0.337255, 1.0],
        [0.717647, 0.831373, 0.921569, 1.0],
        [0.439216, 0.333333, 0.439216, 1.0],
        [0.94902, 0.858824, 0.545098, 1.0],
        [0.670588, 0.835294, 0.760784, 1.0],
        [0.498039, 0.803922, 0.94902, 1.0],
        [0.541176, 0.733333, 0.0, 1.0],
        [0.396078, 0.717647, 0.733333, 1.0],
        [1.0, 0.713725, 0.0, 1.0],
        [0.764706, 0.509804, 0.52549, 1.0],
        [0.796078, 0.670588, 0.372549, 1.0],
        [0.396078, 0.470588, 0.282353, 1.0],
        [0.34902, 0.890196, 1.0, 1.0],
        [0.87451, 0.305882, 0.803922, 1.0],
        [0.917647, 1.0, 0.47451, 1.0],
        [0.741176, 0.4, 0.72549, 1.0],
        [0.768627, 0.584314, 0.65098, 1.0],
        [0.392157, 0.776471, 0.454902, 1.0],
        [0.819608, 0.584314, 0.439216, 1.0],
        [0.439216, 0.811765, 0.309804, 1.0],
        [0.670588, 0.431373, 0.4, 1.0],
        [0.615686, 0.380392, 0.647059, 1.0],
        [0.0, 0.721569, 0.0, 1.0],
        [0.890196, 0.6, 0.705882, 1.0],
        [0.741176, 0.0, 0.423529, 1.0],
        [0.701961, 0.913725, 0.941176, 1.0],
        [0.807843, 0.74902, 0.894118, 1.0],
        [0.466667, 0.639216, 0.262745, 1.0],
        [0.521569, 0.384314, 0.470588, 1.0],
        [0.341176, 0.560784, 0.360784, 1.0],
        [0.619608, 0.690196, 0.772549, 1.0],
        [0.909804, 0.188235, 0.627451, 1.0],
        [0.145098, 0.486275, 0.164706, 1.0],
        [0.509804, 0.407843, 0.137255, 1.0],
        [0.752941, 0.737255, 0.305882, 1.0],
        [0.866667, 0.827451, 0.647059, 1.0],
    ],
    'cet.glasbey_category10': [
        [0.121569, 0.466667, 0.705882, 1.0],
        [1.0, 0.498039, 0.054902, 1.0],
        [0.172549, 0.627451, 0.172549, 1.0],
        [0.839216, 0.152941, 0.156863, 1.0],
        [0.580392, 0.403922, 0.741176, 1.0],
        [0.54902, 0.337255, 0.294118, 1.0],
        [0.890196, 0.466667, 0.760784, 1.0],
        [0.498039, 0.498039, 0.498039, 1.0],
        [0.737255, 0.741176, 0.133333, 1.0],
        [0.090196, 0.745098, 0.811765, 1.0],
        [0.227451, 0.003922, 0.513725, 1.0],
        [0.0, 0.262745, 0.003922, 1.0],
        [0.058824, 1.0, 0.662745, 1.0],
        [0.368627, 0.0, 0.25098, 1.0],
        [0.737255, 0.737255, 1.0, 1.0],
        [0.847059, 0.686275, 0.635294, 1.0],
        [0.721569, 0.0, 0.501961, 1.0],
        [0.0, 0.305882, 0.32549, 1.0],
        [0.419608, 0.396078, 0.0, 1.0],
        [0.490196, 0.007843, 0.0, 1.0],
        [0.380392, 0.14902, 1.0, 1.0],
        [1.0, 1.0, 0.603922, 1.0],
        [0.341176, 0.286275, 0.392157, 1.0],
        [0.54902, 0.721569, 0.580392, 1.0],
        [0.580392, 0.988235, 1.0, 1.0],
        [0.007843, 0.509804, 0.407843, 1.0],
        [0.568627, 1.0, 0.0, 1.0],
        [0.513725, 0.0, 0.627451, 1.0],
        [0.678431, 0.537255, 0.266667, 1.0],
        [0.356863, 0.203922, 0.0, 1.0],
        [1.0, 0.752941, 0.952941, 1.0],
        [1.0, 0.435294, 0.462745, 1.0],
        [0.47451, 0.54902, 1.0, 1.0],
        [0.866667, 0.0, 1.0, 1.0],
        [0.317647, 0.337255, 0.27451, 1.0],
        [0.0, 0.270588, 0.541176, 1.0],
        [1.0, 0.74902, 0.376471, 1.0],
        [1.0, 0.003922, 0.552941, 1.0],
        [0.745098, 0.788235, 0.811765, 1.0],
        [0.686275, 0.596078, 0.709804, 1.0],
        [0.717647, 0.341176, 0.0, 1.0],
        [0.007843, 0.439216, 0.0, 1.0],
        [0.803922, 0.533333, 1.0, 1.0],
        [0.113725, 0.839216, 0.27451, 1.0],
        [0.752941, 0.92549, 0.768627, 1.0],
        [0.478431, 0.596078, 0.709804, 1.0],
        [0.647059, 0.376471, 0.537255, 1.0],
        [0.435294, 0.537255, 0.341176, 1.0],
        [0.741176, 0.490196, 0.462745, 1.0],
        [0.545098, 0.160784, 0.270588, 1.0],
        [0.0, 0.678431, 1.0, 1.0],
        [0.560784, 0.831373, 1.0, 1.0],
        [0.294118, 0.427451, 0.466667, 1.0],
        [0.0, 0.831373, 0.694118, 1.0],
        [0.576471, 0.0, 0.952941, 1.0],
        [0.545098, 0.584314, 0.0, 1.0],
        [0.364706, 0.360784, 0.623529, 1.0],
        [0.996078, 0.87451, 0.733333, 1.0],
        [0.0, 0.576471, 0.623529, 1.0],
        [1.0, 0.862745, 0.0, 1.0],
        [0.0, 0.670588, 0.47451, 1.0],
        [0.321569, 0.0, 0.407843, 1.0],
        [0.0, 0.0, 0.572549, 1.0],
        [0.043137, 0.364706, 0.243137, 1.0],
        [0.65098, 0.890196, 0.462745, 1.0],
        [0.384314, 0.231373, 0.254902, 1.0],
        [0.776471, 0.780392, 0.541176, 1.0],
        [1.0, 0.619608, 0.713725, 1.0],
        [0.807843, 0.313725, 0.423529, 1.0],
        [1.0, 0.027451, 0.839216, 1.0],
        [0.545098, 0.227451, 0.019608, 1.0],
        [0.498039, 0.243137, 0.443137, 1.0],
        [1.0, 0.286275, 0.007843, 1.0],
        [0.376471, 0.172549, 0.65098, 1.0],
        [0.109804, 0.0, 1.0, 1.0],
        [0.905882, 0.87451, 1.0, 1.0],
        [0.666667, 0.231373, 0.686275, 1.0],
        [0.85098, 0.611765, 0.0, 1.0],
        [0.639216, 0.639216, 0.623529, 1.0],
        [0.247059, 0.415686, 1.0, 1.0],
        [0.27451, 0.286275, 0.05098, 1.0],
        [0.482353, 0.411765, 0.521569, 1.0],
        [0.423529, 0.596078, 0.552941, 1.0],
        [1.0, 0.603922, 0.458824, 1.0],
        [0.517647, 0.360784, 1.0, 1.0],
        [0.486275, 0.423529, 0.27451, 1.0],
        [0.505882, 0.717647, 0.333333, 1.0],
        [0.741176, 0.0, 0.290196, 1.0],
        [0.992157, 0.580392, 1.0, 1.0],
        [0.364706, 0.0, 0.094118, 1.0],
        [0.541176, 0.819608, 0.819608, 1.0],
        [0.615686, 0.552941, 0.827451, 1.0],
        [0.854902, 0.427451, 0.262745, 1.0],
        [0.545098, 0.345098, 0.0, 1.0],
        [0.235294, 0.317647, 0.415686, 1.0],
        [0.298039, 0.423529, 0.231373, 1.0],
        [0.933333, 0.815686, 0.847059, 1.0],
        [0.811765, 0.933333, 1.0, 1.0],
        [0.666667, 0.082353, 0.0, 1.0],
        [0.87451, 1.0, 0.309804, 1.0],
        [1.0, 0.168627, 0.341176, 1.0],
        [0.819608, 0.286275, 0.619608, 1.0],
        [0.439216, 0.490196, 0.721569, 1.0],
        [0.352941, 0.501961, 0.0, 1.0],
        [0.0, 0.898039, 0.992157, 1.0],
        [0.466667, 0.294118, 0.584314, 1.0],
        [0.407843, 0.835294, 0.54902, 1.0],
        [0.243137, 0.227451, 0.447059, 1.0],
        [0.67451, 0.254902, 0.247059, 1.0],
        [0.839216, 0.635294, 0.4, 1.0],
        [0.756863, 0.411765, 0.807843, 1.0],
        [0.415686, 0.34902, 0.368627, 1.0],
        [0.533333, 0.67451, 0.929412, 1.0],
        [0.627451, 0.65098, 0.415686, 1.0],
        [0.823529, 0.666667, 0.901961, 1.0],
        [0.533333, 0.0, 0.388235, 1.0],
        [0.0, 0.992157, 0.858824, 1.0],
        [0.407843, 0.156863, 0.098039, 1.0],
        [0.705882, 0.258824, 1.0, 1.0],
        [0.054902, 0.34902, 0.772549, 1.0],
        [0.090196, 0.529412, 0.262745, 1.0],
        [0.568627, 0.827451, 0.0, 1.0],
        [0.807843, 0.47451, 0.0, 1.0],
        [0.976471, 0.352941, 1.0, 1.0],
        [0.356863, 0.454902, 0.4, 1.0],
        [0.556863, 0.682353, 0.701961, 1.0],
        [0.611765, 0.490196, 0.54902, 1.0],
        [0.27451, 0.0, 0.776471, 1.0],
        [0.423529, 0.305882, 0.180392, 1.0],
        [0.65098, 0.427451, 0.27451, 1.0],
        [0.619608, 0.537255, 0.45098, 1.0],
        [0.658824, 0.686275, 0.792157, 1.0],
        [0.807843, 0.552941, 0.654902, 1.0],
        [0.0, 0.996078, 0.392157, 1.0],
        [0.572549, 0.47451, 0.0, 1.0],
        [1.0, 0.388235, 0.631373, 1.0],
        [0.960784, 1.0, 0.847059, 1.0],
        [0.003922, 0.54902, 0.945098, 1.0],
        [0.078431, 0.67451, 0.627451, 1.0],
        [0.356863, 0.180392, 0.352941, 1.0],
        [0.537255, 0.52549, 0.619608, 1.0],
        [0.815686, 0.8, 0.733333, 1.0],
        [0.831373, 0.686275, 0.772549, 1.0],
        [0.858824, 0.866667, 0.427451, 1.0],
        [0.815686, 1.0, 0.956863, 1.0],
        [0.0, 0.396078, 0.52549, 1.0],
        [0.0, 0.411765, 0.388235, 1.0],
        [0.658824, 0.254902, 0.407843, 1.0],
        [0.176471, 0.592157, 0.772549, 1.0],
        [0.662745, 0.454902, 1.0, 1.0],
        [0.152941, 0.733333, 0.368627, 1.0],
        [0.345098, 0.717647, 0.0, 1.0],
        [0.796078, 1.0, 0.654902, 1.0],
        [0.643137, 0.478431, 0.670588, 1.0],
        [1.0, 0.741176, 0.580392, 1.0],
        [0.537255, 0.886275, 0.756863, 1.0],
        [0.058824, 0.788235, 1.0, 1.0],
        [0.835294, 0.0, 0.772549, 1.0],
        [0.388235, 0.427451, 0.541176, 1.0],
        [0.411765, 0.521569, 0.560784, 1.0],
        [0.294118, 0.305882, 0.32549, 1.0],
        [0.670588, 0.376471, 0.407843, 1.0],
        [0.478431, 0.713725, 0.835294, 1.0],
        [0.172549, 0.352941, 0.090196, 1.0],
        [0.603922, 0.0, 0.145098, 1.0],
        [0.745098, 0.819608, 0.952941, 1.0],
        [0.541176, 0.435294, 0.407843, 1.0],
        [0.415686, 0.647059, 0.419608, 1.0],
        [0.52549, 0.329412, 0.407843, 1.0],
        [0.682353, 0.803922, 0.729412, 1.0],
        [0.533333, 0.6, 0.498039, 1.0],
        [0.796078, 0.862745, 0.0, 1.0],
        [0.607843, 0.015686, 0.568627, 1.0],
        [0.921569, 0.737255, 0.105882, 1.0],
        [0.921569, 0.611765, 0.823529, 1.0],
        [0.439216, 0.0, 0.435294, 1.0],
        [0.694118, 0.631373, 0.196078, 1.0],
        [0.792157, 0.423529, 0.576471, 1.0],
        [0.254902, 0.27451, 0.643137, 1.0],
        [0.898039, 0.54902, 0.541176, 1.0],
        [0.835294, 0.270588, 0.0, 1.0],
        [0.780392, 0.545098, 0.796078, 1.0],
        [0.717647, 0.588235, 0.592157, 1.0],
        [0.831373, 0.12549, 0.462745, 1.0],
        [0.447059, 0.294118, 0.8, 1.0],
        [0.407843, 0.305882, 0.0, 1.0],
        [0.407843, 0.133333, 0.219608, 1.0],
        [0.219608, 0.337255, 0.309804, 1.0],
        [0.435294, 0.733333, 0.670588, 1.0],
        [0.52549, 0.227451, 0.192157, 1.0],
        [0.647059, 0.827451, 0.596078, 1.0],
        [0.72549, 0.686275, 0.560784, 1.0],
        [0.847059, 0.894118, 0.87451, 1.0],
        [0.670588, 0.0, 0.878431, 1.0],
        [0.796078, 0.756863, 0.858824, 1.0],
        [1.0, 0.87451, 0.54902, 1.0],
        [0.890196, 0.32549, 0.301961, 1.0],
        [0.4, 0.411765, 0.435294, 1.0],
        [1.0, 0.0, 0.109804, 1.0],
        [0.32549, 0.176471, 0.45098, 1.0],
        [0.305882, 0.568627, 0.423529, 1.0],
        [0.658824, 0.427451, 0.066667, 1.0],
        [1.0, 0.623529, 0.14902, 1.0],
        [0.372549, 0.639216, 0.690196, 1.0],
        [0.784314, 0.521569, 0.341176, 1.0],
        [0.572549, 0.34902, 0.596078, 1.0],
        [0.639216, 0.631373, 1.0, 1.0],
        [0.996078, 0.729412, 0.729412, 1.0],
        [0.145098, 0.164706, 0.533333, 1.0],
        [0.858824, 0.901961, 0.658824, 1.0],
        [0.592157, 0.94902, 0.654902, 1.0],
        [0.403922, 0.580392, 0.839216, 1.0],
        [0.729412, 0.356863, 0.25098, 1.0],
        [0.227451, 0.364706, 0.572549, 1.0],
        [0.211765, 0.309804, 0.184314, 1.0],
        [0.152941, 0.486275, 0.588235, 1.0],
        [0.541176, 0.584314, 0.607843, 1.0],
        [0.815686, 0.705882, 0.341176, 1.0],
        [0.0, 0.278431, 0.392157, 1.0],
        [0.372549, 0.364706, 0.184314, 1.0],
        [0.556863, 0.556863, 0.254902, 1.0],
        [0.678431, 0.247059, 0.07451, 1.0],
        [0.415686, 0.588235, 0.235294, 1.0],
        [0.631373, 0.239216, 0.521569, 1.0],
        [0.74902, 0.717647, 0.729412, 1.0],
        [0.67451, 0.776471, 0.403922, 1.0],
        [0.396078, 0.411765, 0.811765, 1.0],
        [0.572549, 0.690196, 0.0, 1.0],
        [0.172549, 0.890196, 0.854902, 1.0],
        [0.003922, 0.435294, 0.211765, 1.0],
        [1.0, 0.47451, 0.32549, 1.0],
        [0.258824, 0.505882, 0.498039, 1.0],
        [0.309804, 0.913725, 0.0, 1.0],
        [0.6, 0.329412, 0.156863, 1.0],
        [0.364706, 0.039216, 0.0, 1.0],
        [0.639216, 0.0, 0.345098, 1.0],
        [0.047059, 0.533333, 0.0, 1.0],
        [0.352941, 0.513725, 0.654902, 1.0],
        [1.0, 0.92549, 0.984314, 1.0],
        [0.294118, 0.411765, 0.003922, 1.0],
        [0.533333, 0.462745, 0.831373, 1.0],
        [0.901961, 0.780392, 1.0, 1.0],
        [0.647059, 1.0, 0.854902, 1.0],
        [0.847059, 0.435294, 0.470588, 1.0],
        [0.87451, 0.007843, 0.294118, 1.0],
        [0.415686, 0.407843, 0.360784, 1.0],
        [0.470588, 0.419608, 0.635294, 1.0],
        [0.494118, 0.501961, 0.403922, 1.0],
        [0.352941, 0.278431, 0.52549, 1.0],
        [0.0, 0.0, 0.792157, 1.0],
        [0.486275, 0.0, 0.168627, 1.0],
        [0.592157, 1.0, 0.447059, 1.0],
        [0.713725, 0.890196, 0.882353, 1.0],
        [0.862745, 0.32549, 0.788235, 1.0],
        [0.466667, 0.470588, 0.203922, 1.0],
        [0.345098, 0.745098, 0.556863, 1.0],
    ],
    'cet.glasbey_hv': [
        [0.188235, 0.635294, 0.854902, 1.0],
        [0.988235, 0.309804, 0.188235, 1.0],
        [0.898039, 0.682353, 0.219608, 1.0],
        [0.427451, 0.564706, 0.309804, 1.0],
        [0.545098, 0.545098, 0.545098, 1.0],
        [0.090196, 0.745098, 0.811765, 1.0],
        [0.580392, 0.403922, 0.741176, 1.0],
        [0.839216, 0.152941, 0.156863, 1.0],
        [0.121569, 0.466667, 0.705882, 1.0],
        [0.890196, 0.466667, 0.760784, 1.0],
        [0.54902, 0.337255, 0.294118, 1.0],
        [0.737255, 0.741176, 0.133333, 1.0],
        [0.227451, 0.003922, 0.513725, 1.0],
        [0.0, 0.262745, 0.0, 1.0],
        [0.058824, 1.0, 0.662745, 1.0],
        [0.368627, 0.0, 0.25098, 1.0],
        [0.776471, 0.741176, 1.0, 1.0],
        [0.258824, 0.313725, 0.321569, 1.0],
        [0.721569, 0.0, 0.501961, 1.0],
        [1.0, 0.717647, 0.701961, 1.0],
        [0.490196, 0.007843, 0.0, 1.0],
        [0.380392, 0.14902, 1.0, 1.0],
        [1.0, 1.0, 0.603922, 1.0],
        [0.682353, 0.788235, 0.670588, 1.0],
        [0.0, 0.52549, 0.486275, 1.0],
        [0.333333, 0.227451, 0.0, 1.0],
        [0.580392, 0.988235, 1.0, 1.0],
        [0.0, 0.74902, 0.0, 1.0],
        [0.490196, 0.0, 0.627451, 1.0],
        [0.670588, 0.447059, 0.0, 1.0],
        [0.568627, 1.0, 0.0, 1.0],
        [0.003922, 0.745098, 0.541176, 1.0],
        [0.0, 0.270588, 0.482353, 1.0],
        [0.784314, 0.509804, 0.435294, 1.0],
        [1.0, 0.121569, 0.513725, 1.0],
        [0.866667, 0.0, 1.0, 1.0],
        [0.019608, 0.454902, 0.0, 1.0],
        [0.392157, 0.266667, 0.380392, 1.0],
        [0.533333, 0.560784, 1.0, 1.0],
        [1.0, 0.713725, 0.956863, 1.0],
        [0.32549, 0.384314, 0.215686, 1.0],
        [0.807843, 0.521569, 1.0, 1.0],
        [0.407843, 0.415686, 0.517647, 1.0],
        [0.745098, 0.705882, 0.745098, 1.0],
        [0.647059, 0.376471, 0.537255, 1.0],
        [0.584314, 0.827451, 1.0, 1.0],
        [0.003922, 0.0, 0.972549, 1.0],
        [1.0, 0.501961, 0.007843, 1.0],
        [0.545098, 0.160784, 0.270588, 1.0],
        [0.678431, 0.627451, 0.427451, 1.0],
        [0.32549, 0.270588, 0.545098, 1.0],
        [0.784314, 1.0, 0.85098, 1.0],
        [0.666667, 0.27451, 0.0, 1.0],
        [1.0, 0.47451, 0.560784, 1.0],
        [0.513725, 0.827451, 0.443137, 1.0],
        [0.564706, 0.619608, 0.74902, 1.0],
        [0.580392, 0.0, 0.960784, 1.0],
        [0.921569, 0.815686, 0.607843, 1.0],
        [0.678431, 0.545098, 0.694118, 1.0],
        [0.0, 0.388235, 0.290196, 1.0],
        [1.0, 0.862745, 0.0, 1.0],
        [0.533333, 0.466667, 0.317647, 1.0],
        [0.494118, 0.670588, 0.639216, 1.0],
        [0.0, 0.0, 0.592157, 1.0],
        [0.960784, 0.0, 0.776471, 1.0],
        [0.396078, 0.2, 0.160784, 1.0],
        [0.0, 0.4, 0.470588, 1.0],
        [0.015686, 0.890196, 0.784314, 1.0],
        [0.654902, 0.215686, 0.682353, 1.0],
        [0.772549, 0.858824, 0.882353, 1.0],
        [0.301961, 0.431373, 1.0, 1.0],
        [0.607843, 0.576471, 0.003922, 1.0],
        [0.803922, 0.345098, 0.419608, 1.0],
        [0.937255, 0.870588, 0.996078, 1.0],
        [0.47451, 0.352941, 0.0, 1.0],
        [0.372549, 0.533333, 0.603922, 1.0],
        [0.705882, 1.0, 0.572549, 1.0],
        [0.368627, 0.447059, 0.419608, 1.0],
        [0.321569, 0.0, 0.4, 1.0],
        [0.019608, 0.529412, 0.317647, 1.0],
        [0.517647, 0.12549, 0.435294, 1.0],
        [0.235294, 0.588235, 0.019608, 1.0],
        [0.396078, 0.45098, 0.0, 1.0],
        [0.945098, 0.627451, 0.423529, 1.0],
        [0.372549, 0.313725, 0.270588, 1.0],
        [0.741176, 0.0, 0.290196, 1.0],
        [0.815686, 0.407843, 0.152941, 1.0],
        [0.843137, 0.588235, 0.670588, 1.0],
        [0.537255, 0.364706, 1.0, 1.0],
        [0.509804, 0.423529, 0.462745, 1.0],
        [0.168627, 0.333333, 0.72549, 1.0],
        [0.431373, 0.486275, 0.733333, 1.0],
        [0.905882, 0.835294, 0.827451, 1.0],
        [0.364706, 0.0, 0.094118, 1.0],
        [0.486275, 0.231373, 0.003922, 1.0],
        [0.501961, 0.694118, 0.490196, 1.0],
        [0.784314, 0.85098, 0.490196, 1.0],
        [0.0, 0.909804, 0.231373, 1.0],
        [0.486275, 0.698039, 1.0, 1.0],
        [1.0, 0.333333, 1.0, 1.0],
        [0.643137, 0.152941, 0.129412, 1.0],
        [0.113725, 0.894118, 1.0, 1.0],
        [0.490196, 0.686275, 0.231373, 1.0],
        [0.482353, 0.294118, 0.568627, 1.0],
        [0.878431, 1.0, 0.282353, 1.0],
        [0.419608, 0.0, 0.768627, 1.0],
        [0.803922, 0.658824, 0.592157, 1.0],
        [0.745098, 0.388235, 0.768627, 1.0],
        [0.537255, 0.803922, 0.807843, 1.0],
        [0.27451, 0.011765, 0.784314, 1.0],
        [0.368627, 0.572549, 0.47451, 1.0],
        [0.254902, 0.290196, 0.003922, 1.0],
        [0.019608, 0.654902, 0.615686, 1.0],
        [0.811765, 0.54902, 0.215686, 1.0],
        [1.0, 0.972549, 0.815686, 1.0],
        [0.262745, 0.329412, 0.443137, 1.0],
        [0.709804, 0.266667, 1.0, 1.0],
        [0.811765, 0.286275, 0.576471, 1.0],
        [0.811765, 0.643137, 0.87451, 1.0],
        [0.580392, 0.831373, 0.0, 1.0],
        [0.654902, 0.580392, 0.854902, 1.0],
        [0.176471, 0.647059, 0.345098, 1.0],
        [0.552941, 0.890196, 0.713725, 1.0],
        [0.643137, 0.662745, 0.615686, 1.0],
        [0.423529, 0.360784, 0.717647, 1.0],
        [1.0, 0.494118, 0.368627, 1.0],
        [0.654902, 0.513725, 0.541176, 1.0],
        [0.686275, 0.745098, 0.847059, 1.0],
        [0.164706, 0.768627, 1.0, 1.0],
        [0.65098, 0.407843, 0.239216, 1.0],
        [0.964706, 0.568627, 0.996078, 1.0],
        [0.529412, 0.294118, 0.392157, 1.0],
        [1.0, 0.047059, 0.294118, 1.0],
        [0.129412, 0.368627, 0.137255, 1.0],
        [0.258824, 0.572549, 1.0, 1.0],
        [0.529412, 0.513725, 0.615686, 1.0],
        [0.403922, 0.176471, 0.270588, 1.0],
        [0.694118, 0.309804, 0.254902, 1.0],
        [0.0, 0.305882, 0.32549, 1.0],
        [0.372549, 0.105882, 0.0, 1.0],
        [0.678431, 0.254902, 0.403922, 1.0],
        [0.313725, 0.196078, 0.403922, 1.0],
        [0.839216, 1.0, 0.992157, 1.0],
        [0.498039, 0.709804, 0.819608, 1.0],
        [0.662745, 0.72549, 0.411765, 1.0],
        [1.0, 0.588235, 0.796078, 1.0],
        [0.784314, 0.454902, 0.584314, 1.0],
        [0.211765, 0.313725, 0.223529, 1.0],
        [1.0, 0.815686, 0.388235, 1.0],
        [0.368627, 0.345098, 0.384314, 1.0],
        [0.529412, 0.580392, 0.462745, 1.0],
        [0.662745, 0.470588, 1.0, 1.0],
        [0.011765, 0.784314, 0.388235, 1.0],
        [0.905882, 0.745098, 0.831373, 1.0],
        [0.831373, 0.890196, 0.815686, 1.0],
        [0.529412, 0.403922, 0.564706, 1.0],
        [0.537255, 0.486275, 0.152941, 1.0],
        [0.803922, 0.862745, 1.0, 1.0],
        [0.666667, 0.403922, 0.419608, 1.0],
        [0.196078, 0.203922, 0.454902, 1.0],
        [1.0, 0.368627, 0.662745, 1.0],
        [0.0, 0.607843, 0.690196, 1.0],
        [0.443137, 1.0, 0.866667, 1.0],
        [0.470588, 0.360784, 0.219608, 1.0],
        [0.313725, 0.396078, 0.607843, 1.0],
        [0.8, 0.0, 0.701961, 1.0],
        [0.341176, 0.482353, 0.333333, 1.0],
        [0.317647, 0.431373, 0.482353, 1.0],
        [0.003922, 0.372549, 0.572549, 1.0],
        [0.666667, 0.741176, 0.745098, 1.0],
        [0.003922, 0.498039, 0.6, 1.0],
        [0.015686, 0.866667, 0.592157, 1.0],
        [0.529412, 0.227451, 0.172549, 1.0],
        [0.941176, 0.588235, 0.556863, 1.0],
        [0.458824, 0.776471, 0.666667, 1.0],
        [0.439216, 0.411765, 0.364706, 1.0],
        [0.8, 0.862745, 0.035294, 1.0],
        [0.686275, 0.521569, 0.341176, 1.0],
        [0.847059, 0.0, 0.458824, 1.0],
        [0.615686, 0.247059, 0.505882, 1.0],
        [0.85098, 0.270588, 0.0, 1.0],
        [0.866667, 0.403922, 0.329412, 1.0],
        [0.372549, 1.0, 0.47451, 1.0],
        [0.835294, 0.694118, 0.45098, 1.0],
        [0.384314, 0.14902, 0.368627, 1.0],
        [0.729412, 0.635294, 0.239216, 1.0],
        [0.85098, 0.94902, 0.701961, 1.0],
        [0.341176, 0.007843, 0.560784, 1.0],
        [0.631373, 0.607843, 0.666667, 1.0],
        [0.301961, 0.290196, 0.152941, 1.0],
        [0.643137, 0.662745, 1.0, 1.0],
        [0.67451, 0.909804, 0.858824, 1.0],
        [0.6, 0.34902, 0.003922, 1.0],
        [0.67451, 0.0, 0.886275, 1.0],
        [0.278431, 0.509804, 0.184314, 1.0],
        [0.796078, 0.764706, 0.678431, 1.0],
        [0.0, 0.772549, 0.713725, 1.0],
        [0.380392, 0.32549, 0.470588, 1.0],
        [0.2, 0.427451, 0.407843, 1.0],
        [0.647059, 0.572549, 0.501961, 1.0],
        [0.517647, 0.6, 0.635294, 1.0],
        [0.992157, 0.341176, 0.392157, 1.0],
        [0.439216, 0.588235, 0.823529, 1.0],
        [0.447059, 0.552941, 0.027451, 1.0],
        [0.498039, 0.0, 0.298039, 1.0],
        [0.082353, 0.188235, 0.627451, 1.0],
        [0.819608, 0.756863, 0.886275, 1.0],
        [0.788235, 0.521569, 0.815686, 1.0],
        [0.423529, 0.270588, 0.294118, 1.0],
        [0.498039, 0.0, 0.141176, 1.0],
        [0.0, 0.635294, 0.47451, 1.0],
        [0.698039, 0.662745, 0.811765, 1.0],
        [0.976471, 0.0, 0.0, 1.0],
        [0.690196, 0.913725, 1.0, 1.0],
        [0.576471, 0.619608, 0.313725, 1.0],
        [0.447059, 0.478431, 0.509804, 1.0],
        [0.85098, 0.180392, 0.333333, 1.0],
        [0.278431, 0.380392, 0.003922, 1.0],
        [0.0, 0.34902, 1.0, 1.0],
        [0.466667, 0.25098, 0.709804, 1.0],
        [0.67451, 0.894118, 0.376471, 1.0],
        [0.403922, 0.270588, 0.145098, 1.0],
        [0.321569, 0.364706, 0.317647, 1.0],
        [0.584314, 0.45098, 0.407843, 1.0],
        [0.662745, 0.894118, 0.603922, 1.0],
        [0.639216, 0.0, 0.345098, 1.0],
        [0.85098, 0.384314, 0.964706, 1.0],
        [0.556863, 0.490196, 0.811765, 1.0],
        [1.0, 0.741176, 0.576471, 1.0],
        [0.639216, 0.0, 0.572549, 1.0],
        [0.603922, 1.0, 0.72549, 1.0],
        [0.654902, 0.760784, 1.0, 1.0],
        [0.956863, 0.384314, 0.0, 1.0],
        [0.898039, 0.941176, 1.0, 1.0],
        [0.721569, 0.611765, 0.643137, 1.0],
        [0.376471, 0.588235, 0.580392, 1.0],
        [1.0, 0.623529, 0.207843, 1.0],
        [0.54902, 0.160784, 0.0, 1.0],
        [0.447059, 0.419608, 0.196078, 1.0],
        [0.87451, 0.509804, 0.305882, 1.0],
        [0.686275, 0.482353, 0.835294, 1.0],
        [0.737255, 0.176471, 0.0, 1.0],
        [0.482353, 0.435294, 0.639216, 1.0],
        [0.282353, 0.262745, 0.384314, 1.0],
        [0.780392, 0.639216, 1.0, 1.0],
        [0.0, 0.301961, 0.156863, 1.0],
        [0.768627, 0.776471, 0.556863, 1.0],
        [0.878431, 0.282353, 0.843137, 1.0],
        [0.905882, 0.913725, 0.396078, 1.0],
        [0.898039, 0.756863, 0.043137, 1.0],
        [0.0, 0.956863, 0.945098, 1.0],
        [0.623529, 0.356863, 0.635294, 1.0],
        [0.298039, 0.254902, 0.717647, 1.0],
        [0.396078, 0.2, 0.556863, 1.0],
        [0.462745, 0.494118, 0.423529, 1.0],
        [0.662745, 0.541176, 0.211765, 1.0],
    ],
    'cet.isoluminant_cgo_70_c39': [
        [0.21566, 0.71777, 0.92594, 1.0],
        [0.21805, 0.71808, 0.92254, 1.0],
        [0.2204, 0.71839, 0.91913, 1.0],
        [0.22272, 0.7187, 0.91573, 1.0],
        [0.22499, 0.71901, 0.91232, 1.0],
        [0.22727, 0.71931, 0.90891, 1.0],
        [0.2295, 0.71962, 0.9055, 1.0],
        [0.23174, 0.71992, 0.90208, 1.0],
        [0.23392, 0.72022, 0.89866, 1.0],
        [0.23611, 0.72051, 0.89524, 1.0],
        [0.23825, 0.72081, 0.89181, 1.0],
        [0.24038, 0.7211, 0.88838, 1.0],
        [0.2425, 0.72139, 0.88495, 1.0],
        [0.2446, 0.72168, 0.88151, 1.0],
        [0.24668, 0.72196, 0.87807, 1.0],
        [0.24877, 0.72225, 0.87462, 1.0],
        [0.25081, 0.72253, 0.87117, 1.0],
        [0.25284, 0.72281, 0.86772, 1.0],
        [0.25488, 0.72309, 0.86426, 1.0],
        [0.25687, 0.72336, 0.8608, 1.0],
        [0.25887, 0.72363, 0.85734, 1.0],
        [0.26085, 0.7239, 0.85387, 1.0],
        [0.26281, 0.72417, 0.8504, 1.0],
        [0.26477, 0.72444, 0.84692, 1.0],
        [0.26672, 0.7247, 0.84344, 1.0],
        [0.26866, 0.72496, 0.83996, 1.0],
        [0.27061, 0.72522, 0.83647, 1.0],
        [0.2725, 0.72548, 0.83297, 1.0],
        [0.27442, 0.72573, 0.82948, 1.0],
        [0.27635, 0.72598, 0.82598, 1.0],
        [0.27824, 0.72622, 0.82247, 1.0],
        [0.28012, 0.72647, 0.81896, 1.0],
        [0.28203, 0.72671, 0.81545, 1.0],
        [0.28389, 0.72694, 0.81193, 1.0],
        [0.28576, 0.72718, 0.8084, 1.0],
        [0.28764, 0.72741, 0.80487, 1.0],
        [0.28953, 0.72764, 0.80134, 1.0],
        [0.2914, 0.72787, 0.7978, 1.0],
        [0.29325, 0.72809, 0.79426, 1.0],
        [0.29511, 0.72831, 0.79071, 1.0],
        [0.29699, 0.72853, 0.78716, 1.0],
        [0.29885, 0.72875, 0.7836, 1.0],
        [0.3007, 0.72896, 0.78003, 1.0],
        [0.30255, 0.72917, 0.77647, 1.0],
        [0.30443, 0.72937, 0.77289, 1.0],
        [0.30631, 0.72958, 0.76931, 1.0],
        [0.30815, 0.72978, 0.76573, 1.0],
        [0.31004, 0.72997, 0.76213, 1.0],
        [0.31189, 0.73016, 0.75854, 1.0],
        [0.31378, 0.73035, 0.75494, 1.0],
        [0.31565, 0.73053, 0.75133, 1.0],
        [0.31753, 0.73071, 0.74772, 1.0],
        [0.31943, 0.73089, 0.74409, 1.0],
        [0.32131, 0.73106, 0.74047, 1.0],
        [0.32321, 0.73123, 0.73684, 1.0],
        [0.32511, 0.7314, 0.7332, 1.0],
        [0.32703, 0.73156, 0.72956, 1.0],
        [0.32897, 0.73172, 0.72591, 1.0],
        [0.33088, 0.73187, 0.72225, 1.0],
        [0.33284, 0.73202, 0.71859, 1.0],
        [0.33479, 0.73217, 0.71492, 1.0],
        [0.33674, 0.73231, 0.71125, 1.0],
        [0.33871, 0.73244, 0.70756, 1.0],
        [0.34069, 0.73257, 0.70388, 1.0],
        [0.34269, 0.7327, 0.70018, 1.0],
        [0.34469, 0.73282, 0.69648, 1.0],
        [0.34672, 0.73293, 0.69278, 1.0],
        [0.34875, 0.73304, 0.68906, 1.0],
        [0.35081, 0.73315, 0.68534, 1.0],
        [0.35286, 0.73325, 0.68161, 1.0],
        [0.35496, 0.73334, 0.67788, 1.0],
        [0.35706, 0.73343, 0.67413, 1.0],
        [0.35916, 0.73351, 0.67039, 1.0],
        [0.3613, 0.73359, 0.66663, 1.0],
        [0.36345, 0.73366, 0.66287, 1.0],
        [0.36562, 0.73373, 0.6591, 1.0],
        [0.36781, 0.73379, 0.65532, 1.0],
        [0.37003, 0.73384, 0.65155, 1.0],
        [0.37227, 0.73388, 0.64775, 1.0],
        [0.37454, 0.73392, 0.64396, 1.0],
        [0.37683, 0.73395, 0.64016, 1.0],
        [0.37914, 0.73398, 0.63635, 1.0],
        [0.38148, 0.73399, 0.63254, 1.0],
        [0.38384, 0.734, 0.62872, 1.0],
        [0.38622, 0.734, 0.62489, 1.0],
        [0.38865, 0.734, 0.62106, 1.0],
        [0.3911, 0.73398, 0.61722, 1.0],
        [0.39357, 0.73396, 0.61337, 1.0],
        [0.39609, 0.73392, 0.60953, 1.0],
        [0.39863, 0.73388, 0.60567, 1.0],
        [0.40121, 0.73383, 0.60181, 1.0],
        [0.40382, 0.73377, 0.59795, 1.0],
        [0.40646, 0.7337, 0.59409, 1.0],
        [0.40914, 0.73361, 0.59021, 1.0],
        [0.41186, 0.73352, 0.58635, 1.0],
        [0.41461, 0.73342, 0.58247, 1.0],
        [0.41741, 0.7333, 0.5786, 1.0],
        [0.42024, 0.73318, 0.57472, 1.0],
        [0.4231, 0.73304, 0.57084, 1.0],
        [0.42602, 0.73289, 0.56698, 1.0],
        [0.42898, 0.73273, 0.5631, 1.0],
        [0.43199, 0.73255, 0.55923, 1.0],
        [0.43504, 0.73236, 0.55536, 1.0],
        [0.43813, 0.73216, 0.5515, 1.0],
        [0.44125, 0.73194, 0.54764, 1.0],
        [0.44444, 0.73171, 0.54379, 1.0],
        [0.44765, 0.73146, 0.53995, 1.0],
        [0.45093, 0.73119, 0.53612, 1.0],
        [0.45426, 0.73092, 0.53231, 1.0],
        [0.45762, 0.73062, 0.5285, 1.0],
        [0.46104, 0.73032, 0.52471, 1.0],
        [0.46451, 0.72999, 0.52094, 1.0],
        [0.468, 0.72965, 0.51719, 1.0],
        [0.47157, 0.72928, 0.51346, 1.0],
        [0.47518, 0.7289, 0.50975, 1.0],
        [0.47882, 0.7285, 0.50606, 1.0],
        [0.48251, 0.72809, 0.50241, 1.0],
        [0.48625, 0.72766, 0.49879, 1.0],
        [0.49004, 0.7272, 0.4952, 1.0],
        [0.49386, 0.72673, 0.49165, 1.0],
        [0.49773, 0.72625, 0.48813, 1.0],
        [0.50164, 0.72574, 0.48464, 1.0],
        [0.50557, 0.72521, 0.48121, 1.0],
        [0.50955, 0.72466, 0.47782, 1.0],
        [0.51357, 0.72409, 0.47449, 1.0],
        [0.51761, 0.72351, 0.4712, 1.0],
        [0.52167, 0.7229, 0.46795, 1.0],
        [0.52578, 0.72228, 0.46477, 1.0],
        [0.5299, 0.72164, 0.46164, 1.0],
        [0.53404, 0.72098, 0.45857, 1.0],
        [0.53822, 0.7203, 0.45556, 1.0],
        [0.5424, 0.71961, 0.45262, 1.0],
        [0.5466, 0.7189, 0.44973, 1.0],
        [0.55081, 0.71817, 0.4469, 1.0],
        [0.55503, 0.71743, 0.44415, 1.0],
        [0.55926, 0.71667, 0.44145, 1.0],
        [0.5635, 0.71589, 0.43882, 1.0],
        [0.56773, 0.71509, 0.43627, 1.0],
        [0.57197, 0.71428, 0.43376, 1.0],
        [0.57622, 0.71346, 0.43134, 1.0],
        [0.58045, 0.71262, 0.42898, 1.0],
        [0.58468, 0.71178, 0.42669, 1.0],
        [0.5889, 0.71092, 0.42445, 1.0],
        [0.59311, 0.71004, 0.42224, 1.0],
        [0.5973, 0.70917, 0.42009, 1.0],
        [0.60146, 0.70828, 0.41796, 1.0],
        [0.60561, 0.70738, 0.41587, 1.0],
        [0.60975, 0.70647, 0.41382, 1.0],
        [0.61386, 0.70556, 0.4118, 1.0],
        [0.61796, 0.70463, 0.40983, 1.0],
        [0.62204, 0.7037, 0.40789, 1.0],
        [0.62612, 0.70276, 0.406, 1.0],
        [0.63017, 0.70181, 0.40413, 1.0],
        [0.63421, 0.70085, 0.4023, 1.0],
        [0.63822, 0.69988, 0.40055, 1.0],
        [0.64223, 0.69891, 0.3988, 1.0],
        [0.64621, 0.69792, 0.39711, 1.0],
        [0.65019, 0.69693, 0.39547, 1.0],
        [0.65415, 0.69593, 0.39385, 1.0],
        [0.65809, 0.69492, 0.39229, 1.0],
        [0.66202, 0.6939, 0.39078, 1.0],
        [0.66593, 0.69288, 0.3893, 1.0],
        [0.66983, 0.69184, 0.38787, 1.0],
        [0.67371, 0.69079, 0.38648, 1.0],
        [0.67758, 0.68974, 0.38515, 1.0],
        [0.68143, 0.68868, 0.38386, 1.0],
        [0.68527, 0.6876, 0.38261, 1.0],
        [0.6891, 0.68652, 0.38142, 1.0],
        [0.69291, 0.68544, 0.38026, 1.0],
        [0.6967, 0.68433, 0.37915, 1.0],
        [0.70047, 0.68324, 0.37809, 1.0],
        [0.70424, 0.68212, 0.37708, 1.0],
        [0.70798, 0.681, 0.37611, 1.0],
        [0.71172, 0.67987, 0.37518, 1.0],
        [0.71544, 0.67874, 0.37432, 1.0],
        [0.71914, 0.6776, 0.37349, 1.0],
        [0.72282, 0.67644, 0.37271, 1.0],
        [0.7265, 0.67528, 0.37197, 1.0],
        [0.73016, 0.67411, 0.37128, 1.0],
        [0.7338, 0.67294, 0.37065, 1.0],
        [0.73742, 0.67175, 0.37006, 1.0],
        [0.74103, 0.67057, 0.36951, 1.0],
        [0.74462, 0.66937, 0.36902, 1.0],
        [0.74821, 0.66816, 0.36856, 1.0],
        [0.75177, 0.66694, 0.36815, 1.0],
        [0.75531, 0.66573, 0.36778, 1.0],
        [0.75884, 0.6645, 0.36746, 1.0],
        [0.76236, 0.66327, 0.36719, 1.0],
        [0.76586, 0.66203, 0.36696, 1.0],
        [0.76934, 0.66077, 0.36678, 1.0],
        [0.77281, 0.65952, 0.36664, 1.0],
        [0.77626, 0.65826, 0.36654, 1.0],
        [0.7797, 0.65699, 0.36649, 1.0],
        [0.78312, 0.65572, 0.36647, 1.0],
        [0.78653, 0.65443, 0.3665, 1.0],
        [0.78991, 0.65314, 0.36657, 1.0],
        [0.79329, 0.65185, 0.36668, 1.0],
        [0.79664, 0.65055, 0.36682, 1.0],
        [0.79999, 0.64925, 0.36701, 1.0],
        [0.80331, 0.64792, 0.36723, 1.0],
        [0.80662, 0.64661, 0.3675, 1.0],
        [0.80991, 0.64528, 0.36781, 1.0],
        [0.81318, 0.64395, 0.36816, 1.0],
        [0.81645, 0.64261, 0.36854, 1.0],
        [0.81969, 0.64126, 0.36896, 1.0],
        [0.82293, 0.63992, 0.36941, 1.0],
        [0.82614, 0.63856, 0.36989, 1.0],
        [0.82935, 0.6372, 0.37041, 1.0],
        [0.83253, 0.63583, 0.37097, 1.0],
        [0.8357, 0.63446, 0.37156, 1.0],
        [0.83885, 0.63308, 0.37219, 1.0],
        [0.84199, 0.63169, 0.37285, 1.0],
        [0.84511, 0.6303, 0.37355, 1.0],
        [0.84822, 0.6289, 0.37427, 1.0],
        [0.85131, 0.6275, 0.37502, 1.0],
        [0.85439, 0.62609, 0.3758, 1.0],
        [0.85745, 0.62468, 0.37663, 1.0],
        [0.86051, 0.62326, 0.37746, 1.0],
        [0.86354, 0.62183, 0.37833, 1.0],
        [0.86656, 0.62041, 0.37923, 1.0],
        [0.86956, 0.61897, 0.38016, 1.0],
        [0.87256, 0.61752, 0.38112, 1.0],
        [0.87554, 0.61607, 0.38209, 1.0],
        [0.8785, 0.61462, 0.38312, 1.0],
        [0.88145, 0.61316, 0.38414, 1.0],
        [0.88438, 0.6117, 0.3852, 1.0],
        [0.8873, 0.61023, 0.38628, 1.0],
        [0.89021, 0.60876, 0.3874, 1.0],
        [0.8931, 0.60728, 0.38854, 1.0],
        [0.89598, 0.60578, 0.38969, 1.0],
        [0.89885, 0.60429, 0.39088, 1.0],
        [0.9017, 0.60279, 0.39208, 1.0],
        [0.90454, 0.60128, 0.3933, 1.0],
        [0.90737, 0.59978, 0.39455, 1.0],
        [0.91018, 0.59826, 0.39583, 1.0],
        [0.91298, 0.59674, 0.3971, 1.0],
        [0.91577, 0.59521, 0.39842, 1.0],
        [0.91854, 0.59368, 0.39974, 1.0],
        [0.92131, 0.59215, 0.40111, 1.0],
        [0.92406, 0.59059, 0.40246, 1.0],
        [0.92679, 0.58904, 0.40386, 1.0],
        [0.92952, 0.58748, 0.40527, 1.0],
        [0.93223, 0.58593, 0.40669, 1.0],
        [0.93493, 0.58436, 0.40813, 1.0],
        [0.93763, 0.58278, 0.4096, 1.0],
        [0.9403, 0.5812, 0.41108, 1.0],
        [0.94297, 0.57962, 0.41258, 1.0],
        [0.94562, 0.57802, 0.41408, 1.0],
        [0.94826, 0.57644, 0.41561, 1.0],
        [0.95089, 0.57482, 0.41716, 1.0],
        [0.95351, 0.57322, 0.41871, 1.0],
        [0.95612, 0.57159, 0.42029, 1.0],
        [0.95872, 0.56997, 0.42188, 1.0],
        [0.9613, 0.56834, 0.42348, 1.0],
        [0.96388, 0.56671, 0.42511, 1.0],
        [0.96644, 0.56505, 0.42674, 1.0],
    ],
    'cet.isoluminant_cgo_80_c38': [
        [0.43773, 0.82141, 1, 1.0],
        [0.438, 0.82178, 1, 1.0],
        [0.43825, 0.82216, 1, 1.0],
        [0.43853, 0.82252, 1, 1.0],
        [0.4388, 0.82289, 1, 1.0],
        [0.43909, 0.82325, 0.99787, 1.0],
        [0.43939, 0.82362, 0.99477, 1.0],
        [0.43969, 0.82398, 0.99168, 1.0],
        [0.44, 0.82433, 0.98857, 1.0],
        [0.44031, 0.82469, 0.98546, 1.0],
        [0.44063, 0.82504, 0.98235, 1.0],
        [0.44095, 0.8254, 0.97923, 1.0],
        [0.44129, 0.82575, 0.97611, 1.0],
        [0.44163, 0.82609, 0.97299, 1.0],
        [0.44199, 0.82644, 0.96986, 1.0],
        [0.44234, 0.82678, 0.96673, 1.0],
        [0.4427, 0.82712, 0.96359, 1.0],
        [0.44307, 0.82746, 0.96045, 1.0],
        [0.44345, 0.82779, 0.95731, 1.0],
        [0.44384, 0.82812, 0.95416, 1.0],
        [0.44424, 0.82845, 0.95101, 1.0],
        [0.44464, 0.82878, 0.94785, 1.0],
        [0.44505, 0.82911, 0.94469, 1.0],
        [0.44546, 0.82943, 0.94152, 1.0],
        [0.44589, 0.82975, 0.93835, 1.0],
        [0.44634, 0.83007, 0.93517, 1.0],
        [0.44679, 0.83038, 0.93199, 1.0],
        [0.44725, 0.83069, 0.9288, 1.0],
        [0.4477, 0.831, 0.92562, 1.0],
        [0.4482, 0.83131, 0.92243, 1.0],
        [0.44869, 0.83161, 0.91922, 1.0],
        [0.44919, 0.83191, 0.91602, 1.0],
        [0.4497, 0.83221, 0.91281, 1.0],
        [0.45022, 0.8325, 0.9096, 1.0],
        [0.45076, 0.83279, 0.90638, 1.0],
        [0.4513, 0.83308, 0.90316, 1.0],
        [0.45186, 0.83337, 0.89993, 1.0],
        [0.45244, 0.83365, 0.8967, 1.0],
        [0.45301, 0.83394, 0.89345, 1.0],
        [0.4536, 0.83421, 0.89021, 1.0],
        [0.45421, 0.83448, 0.88696, 1.0],
        [0.45483, 0.83475, 0.8837, 1.0],
        [0.45546, 0.83502, 0.88044, 1.0],
        [0.45611, 0.83528, 0.87717, 1.0],
        [0.45676, 0.83555, 0.8739, 1.0],
        [0.45744, 0.8358, 0.87062, 1.0],
        [0.45813, 0.83606, 0.86733, 1.0],
        [0.45884, 0.83631, 0.86405, 1.0],
        [0.45956, 0.83656, 0.86075, 1.0],
        [0.46029, 0.8368, 0.85744, 1.0],
        [0.46104, 0.83704, 0.85414, 1.0],
        [0.46181, 0.83728, 0.85082, 1.0],
        [0.46259, 0.83751, 0.8475, 1.0],
        [0.46339, 0.83774, 0.84417, 1.0],
        [0.46422, 0.83796, 0.84084, 1.0],
        [0.46505, 0.83818, 0.8375, 1.0],
        [0.46591, 0.8384, 0.83416, 1.0],
        [0.46679, 0.83861, 0.8308, 1.0],
        [0.46767, 0.83882, 0.82744, 1.0],
        [0.46859, 0.83903, 0.82407, 1.0],
        [0.46953, 0.83923, 0.8207, 1.0],
        [0.47047, 0.83943, 0.81732, 1.0],
        [0.47145, 0.83962, 0.81393, 1.0],
        [0.47244, 0.83981, 0.81053, 1.0],
        [0.47345, 0.83999, 0.80714, 1.0],
        [0.47449, 0.84017, 0.80373, 1.0],
        [0.47556, 0.84034, 0.80031, 1.0],
        [0.47664, 0.84051, 0.79688, 1.0],
        [0.47774, 0.84067, 0.79346, 1.0],
        [0.47888, 0.84083, 0.79002, 1.0],
        [0.48003, 0.84098, 0.78658, 1.0],
        [0.48121, 0.84113, 0.78312, 1.0],
        [0.48242, 0.84127, 0.77966, 1.0],
        [0.48365, 0.8414, 0.77619, 1.0],
        [0.48491, 0.84153, 0.77272, 1.0],
        [0.4862, 0.84166, 0.76924, 1.0],
        [0.48753, 0.84178, 0.76575, 1.0],
        [0.48887, 0.84189, 0.76225, 1.0],
        [0.49025, 0.842, 0.75875, 1.0],
        [0.49167, 0.8421, 0.75524, 1.0],
        [0.49309, 0.84219, 0.75172, 1.0],
        [0.49457, 0.84228, 0.74819, 1.0],
        [0.49605, 0.84236, 0.74465, 1.0],
        [0.4976, 0.84243, 0.74111, 1.0],
        [0.49917, 0.84249, 0.73756, 1.0],
        [0.50078, 0.84255, 0.73401, 1.0],
        [0.50242, 0.8426, 0.73045, 1.0],
        [0.5041, 0.84264, 0.72687, 1.0],
        [0.5058, 0.84267, 0.7233, 1.0],
        [0.50756, 0.8427, 0.71972, 1.0],
        [0.50935, 0.84271, 0.71613, 1.0],
        [0.51117, 0.84272, 0.71253, 1.0],
        [0.51304, 0.84272, 0.70893, 1.0],
        [0.51496, 0.84271, 0.70532, 1.0],
        [0.51691, 0.84269, 0.70171, 1.0],
        [0.51891, 0.84266, 0.69809, 1.0],
        [0.52094, 0.84262, 0.69447, 1.0],
        [0.52303, 0.84257, 0.69084, 1.0],
        [0.52516, 0.84251, 0.68722, 1.0],
        [0.52734, 0.84243, 0.68359, 1.0],
        [0.52957, 0.84235, 0.67995, 1.0],
        [0.53184, 0.84226, 0.67632, 1.0],
        [0.53416, 0.84215, 0.67268, 1.0],
        [0.53654, 0.84203, 0.66904, 1.0],
        [0.53896, 0.84189, 0.66541, 1.0],
        [0.54142, 0.84175, 0.66178, 1.0],
        [0.54396, 0.84159, 0.65814, 1.0],
        [0.54654, 0.84142, 0.65451, 1.0],
        [0.54917, 0.84123, 0.65088, 1.0],
        [0.55185, 0.84103, 0.64727, 1.0],
        [0.55458, 0.84082, 0.64365, 1.0],
        [0.55737, 0.84059, 0.64005, 1.0],
        [0.56021, 0.84035, 0.63646, 1.0],
        [0.56311, 0.84009, 0.63287, 1.0],
        [0.56606, 0.83981, 0.6293, 1.0],
        [0.56906, 0.83952, 0.62575, 1.0],
        [0.57213, 0.8392, 0.6222, 1.0],
        [0.57524, 0.83888, 0.61869, 1.0],
        [0.5784, 0.83854, 0.61518, 1.0],
        [0.58162, 0.83818, 0.61171, 1.0],
        [0.5849, 0.8378, 0.60826, 1.0],
        [0.58821, 0.83741, 0.60483, 1.0],
        [0.59159, 0.837, 0.60142, 1.0],
        [0.595, 0.83656, 0.59805, 1.0],
        [0.59846, 0.83612, 0.59472, 1.0],
        [0.60197, 0.83565, 0.59142, 1.0],
        [0.60552, 0.83517, 0.58814, 1.0],
        [0.60913, 0.83467, 0.58492, 1.0],
        [0.61275, 0.83415, 0.58173, 1.0],
        [0.61642, 0.83362, 0.57858, 1.0],
        [0.62014, 0.83306, 0.57549, 1.0],
        [0.62388, 0.83249, 0.57243, 1.0],
        [0.62765, 0.83191, 0.56942, 1.0],
        [0.63145, 0.8313, 0.56646, 1.0],
        [0.63527, 0.83068, 0.56356, 1.0],
        [0.63912, 0.83004, 0.56069, 1.0],
        [0.64299, 0.82939, 0.55789, 1.0],
        [0.64689, 0.82872, 0.55514, 1.0],
        [0.6508, 0.82803, 0.55245, 1.0],
        [0.65472, 0.82733, 0.5498, 1.0],
        [0.65865, 0.82662, 0.54721, 1.0],
        [0.66261, 0.82589, 0.54468, 1.0],
        [0.66656, 0.82515, 0.54221, 1.0],
        [0.67053, 0.82439, 0.53979, 1.0],
        [0.6745, 0.82363, 0.53744, 1.0],
        [0.67847, 0.82285, 0.53513, 1.0],
        [0.68244, 0.82206, 0.53288, 1.0],
        [0.68642, 0.82125, 0.53068, 1.0],
        [0.69038, 0.82043, 0.52855, 1.0],
        [0.69435, 0.8196, 0.52647, 1.0],
        [0.6983, 0.81877, 0.5244, 1.0],
        [0.70224, 0.81793, 0.52237, 1.0],
        [0.70617, 0.81709, 0.52036, 1.0],
        [0.71008, 0.81624, 0.51839, 1.0],
        [0.71397, 0.81537, 0.51642, 1.0],
        [0.71785, 0.81451, 0.51449, 1.0],
        [0.72171, 0.81363, 0.51258, 1.0],
        [0.72557, 0.81275, 0.5107, 1.0],
        [0.7294, 0.81187, 0.50885, 1.0],
        [0.73323, 0.81098, 0.50702, 1.0],
        [0.73704, 0.81008, 0.50522, 1.0],
        [0.74083, 0.80918, 0.50344, 1.0],
        [0.74462, 0.80826, 0.50171, 1.0],
        [0.7484, 0.80735, 0.49999, 1.0],
        [0.75216, 0.80642, 0.49833, 1.0],
        [0.75591, 0.80548, 0.49666, 1.0],
        [0.75965, 0.80455, 0.49505, 1.0],
        [0.76337, 0.8036, 0.49346, 1.0],
        [0.76709, 0.80265, 0.49191, 1.0],
        [0.7708, 0.80169, 0.49039, 1.0],
        [0.77448, 0.80072, 0.4889, 1.0],
        [0.77817, 0.79975, 0.48745, 1.0],
        [0.78184, 0.79876, 0.48602, 1.0],
        [0.7855, 0.79777, 0.48463, 1.0],
        [0.78915, 0.79678, 0.48328, 1.0],
        [0.79278, 0.79578, 0.48198, 1.0],
        [0.7964, 0.79477, 0.4807, 1.0],
        [0.80002, 0.79376, 0.47946, 1.0],
        [0.80362, 0.79273, 0.47826, 1.0],
        [0.80722, 0.7917, 0.47709, 1.0],
        [0.8108, 0.79066, 0.47597, 1.0],
        [0.81437, 0.78962, 0.47489, 1.0],
        [0.81792, 0.78857, 0.47383, 1.0],
        [0.82147, 0.78751, 0.47283, 1.0],
        [0.82501, 0.78645, 0.47187, 1.0],
        [0.82853, 0.78538, 0.47094, 1.0],
        [0.83205, 0.7843, 0.47006, 1.0],
        [0.83555, 0.78321, 0.46922, 1.0],
        [0.83903, 0.78212, 0.46841, 1.0],
        [0.84251, 0.78102, 0.46765, 1.0],
        [0.84597, 0.77992, 0.46694, 1.0],
        [0.84943, 0.77881, 0.46626, 1.0],
        [0.85287, 0.77769, 0.46563, 1.0],
        [0.85629, 0.77657, 0.46504, 1.0],
        [0.85971, 0.77544, 0.46451, 1.0],
        [0.86311, 0.7743, 0.46401, 1.0],
        [0.86649, 0.77316, 0.46354, 1.0],
        [0.86986, 0.77201, 0.46313, 1.0],
        [0.87323, 0.77086, 0.46276, 1.0],
        [0.87657, 0.7697, 0.46244, 1.0],
        [0.87991, 0.76853, 0.46216, 1.0],
        [0.88323, 0.76736, 0.46193, 1.0],
        [0.88653, 0.76619, 0.46174, 1.0],
        [0.88982, 0.76501, 0.46159, 1.0],
        [0.89309, 0.76382, 0.46149, 1.0],
        [0.89636, 0.76263, 0.46143, 1.0],
        [0.8996, 0.76143, 0.46142, 1.0],
        [0.90283, 0.76023, 0.46145, 1.0],
        [0.90605, 0.75903, 0.46152, 1.0],
        [0.90924, 0.75782, 0.46164, 1.0],
        [0.91242, 0.7566, 0.4618, 1.0],
        [0.91559, 0.75539, 0.462, 1.0],
        [0.91874, 0.75416, 0.46225, 1.0],
        [0.92188, 0.75293, 0.46253, 1.0],
        [0.92499, 0.75171, 0.46286, 1.0],
        [0.92809, 0.75047, 0.46324, 1.0],
        [0.93118, 0.74922, 0.46366, 1.0],
        [0.93424, 0.74799, 0.46413, 1.0],
        [0.9373, 0.74674, 0.46462, 1.0],
        [0.94033, 0.74549, 0.46515, 1.0],
        [0.94335, 0.74424, 0.46573, 1.0],
        [0.94635, 0.74299, 0.46635, 1.0],
        [0.94933, 0.74172, 0.46702, 1.0],
        [0.95229, 0.74046, 0.46771, 1.0],
        [0.95524, 0.7392, 0.46844, 1.0],
        [0.95817, 0.73792, 0.46923, 1.0],
        [0.96108, 0.73666, 0.47004, 1.0],
        [0.96398, 0.73539, 0.47088, 1.0],
        [0.96685, 0.73411, 0.47177, 1.0],
        [0.96971, 0.73284, 0.47268, 1.0],
        [0.97256, 0.73155, 0.47363, 1.0],
        [0.97537, 0.73027, 0.47464, 1.0],
        [0.97818, 0.72899, 0.47566, 1.0],
        [0.98097, 0.7277, 0.47671, 1.0],
        [0.98374, 0.72642, 0.47781, 1.0],
        [0.98649, 0.72513, 0.47893, 1.0],
        [0.98923, 0.72383, 0.4801, 1.0],
        [0.99194, 0.72254, 0.48128, 1.0],
        [0.99464, 0.72125, 0.4825, 1.0],
        [0.99732, 0.71995, 0.48375, 1.0],
        [0.99999, 0.71865, 0.48503, 1.0],
        [1, 0.71736, 0.48634, 1.0],
        [1, 0.71606, 0.48769, 1.0],
        [1, 0.71476, 0.48905, 1.0],
        [1, 0.71346, 0.49046, 1.0],
        [1, 0.71215, 0.49188, 1.0],
        [1, 0.71085, 0.49332, 1.0],
        [1, 0.70955, 0.49481, 1.0],
        [1, 0.70824, 0.4963, 1.0],
        [1, 0.70694, 0.49785, 1.0],
        [1, 0.70563, 0.49939, 1.0],
        [1, 0.70432, 0.50098, 1.0],
        [1, 0.70301, 0.50257, 1.0],
        [1, 0.70169, 0.50421, 1.0],
        [1, 0.70039, 0.50584, 1.0],
        [1, 0.69907, 0.50753, 1.0],
    ],
    'cet.isoluminant_cm_70_c39': [
        [0.078311, 0.7275, 0.90055, 1.0],
        [0.096546, 0.72692, 0.9011, 1.0],
        [0.11226, 0.72635, 0.90165, 1.0],
        [0.12614, 0.72577, 0.9022, 1.0],
        [0.13869, 0.72519, 0.90275, 1.0],
        [0.15028, 0.72461, 0.90329, 1.0],
        [0.16105, 0.72402, 0.90382, 1.0],
        [0.17113, 0.72343, 0.90436, 1.0],
        [0.18067, 0.72284, 0.90489, 1.0],
        [0.18976, 0.72225, 0.90541, 1.0],
        [0.19841, 0.72165, 0.90593, 1.0],
        [0.20674, 0.72106, 0.90644, 1.0],
        [0.2147, 0.72046, 0.90695, 1.0],
        [0.2224, 0.71986, 0.90745, 1.0],
        [0.22982, 0.71926, 0.90795, 1.0],
        [0.23706, 0.71865, 0.90845, 1.0],
        [0.24402, 0.71804, 0.90894, 1.0],
        [0.25084, 0.71744, 0.90942, 1.0],
        [0.25746, 0.71682, 0.9099, 1.0],
        [0.26394, 0.71621, 0.91038, 1.0],
        [0.27024, 0.71559, 0.91085, 1.0],
        [0.27641, 0.71496, 0.91131, 1.0],
        [0.28246, 0.71434, 0.91177, 1.0],
        [0.28836, 0.71372, 0.91222, 1.0],
        [0.29415, 0.71309, 0.91267, 1.0],
        [0.29986, 0.71246, 0.91312, 1.0],
        [0.30546, 0.71183, 0.91356, 1.0],
        [0.31096, 0.71119, 0.91399, 1.0],
        [0.31637, 0.71055, 0.91441, 1.0],
        [0.32169, 0.70991, 0.91483, 1.0],
        [0.32693, 0.70927, 0.91524, 1.0],
        [0.33212, 0.70863, 0.91565, 1.0],
        [0.33721, 0.70797, 0.91605, 1.0],
        [0.34224, 0.70732, 0.91645, 1.0],
        [0.34721, 0.70668, 0.91684, 1.0],
        [0.3521, 0.70602, 0.91723, 1.0],
        [0.35696, 0.70536, 0.91761, 1.0],
        [0.36174, 0.70469, 0.91797, 1.0],
        [0.36648, 0.70403, 0.91834, 1.0],
        [0.37114, 0.70336, 0.91869, 1.0],
        [0.37578, 0.70269, 0.91904, 1.0],
        [0.38037, 0.70202, 0.91938, 1.0],
        [0.3849, 0.70134, 0.91972, 1.0],
        [0.3894, 0.70067, 0.92005, 1.0],
        [0.39385, 0.69998, 0.92037, 1.0],
        [0.39827, 0.6993, 0.92068, 1.0],
        [0.40264, 0.69861, 0.92099, 1.0],
        [0.40698, 0.69792, 0.92129, 1.0],
        [0.41129, 0.69723, 0.92158, 1.0],
        [0.41555, 0.69654, 0.92187, 1.0],
        [0.41979, 0.69584, 0.92214, 1.0],
        [0.42399, 0.69514, 0.92241, 1.0],
        [0.42817, 0.69443, 0.92267, 1.0],
        [0.43232, 0.69372, 0.92292, 1.0],
        [0.43643, 0.69302, 0.92316, 1.0],
        [0.44051, 0.69231, 0.92339, 1.0],
        [0.44458, 0.69158, 0.92362, 1.0],
        [0.44861, 0.69086, 0.92383, 1.0],
        [0.45263, 0.69014, 0.92403, 1.0],
        [0.4566, 0.68942, 0.92423, 1.0],
        [0.46056, 0.68869, 0.92441, 1.0],
        [0.46452, 0.68796, 0.92459, 1.0],
        [0.46843, 0.68722, 0.92475, 1.0],
        [0.47233, 0.68648, 0.92491, 1.0],
        [0.47621, 0.68574, 0.92505, 1.0],
        [0.48007, 0.685, 0.92519, 1.0],
        [0.4839, 0.68424, 0.92531, 1.0],
        [0.48774, 0.6835, 0.92543, 1.0],
        [0.49155, 0.68274, 0.92553, 1.0],
        [0.49532, 0.68198, 0.92562, 1.0],
        [0.49909, 0.68122, 0.9257, 1.0],
        [0.50285, 0.68045, 0.92576, 1.0],
        [0.50659, 0.67969, 0.92582, 1.0],
        [0.51032, 0.67892, 0.92586, 1.0],
        [0.51404, 0.67815, 0.92589, 1.0],
        [0.51773, 0.67737, 0.9259, 1.0],
        [0.52141, 0.67659, 0.92591, 1.0],
        [0.52509, 0.6758, 0.92589, 1.0],
        [0.52875, 0.67501, 0.92587, 1.0],
        [0.5324, 0.67422, 0.92583, 1.0],
        [0.53603, 0.67343, 0.92578, 1.0],
        [0.53965, 0.67264, 0.92571, 1.0],
        [0.54327, 0.67183, 0.92562, 1.0],
        [0.54687, 0.67103, 0.92552, 1.0],
        [0.55046, 0.67022, 0.92541, 1.0],
        [0.55405, 0.66941, 0.92527, 1.0],
        [0.55762, 0.66859, 0.92513, 1.0],
        [0.56118, 0.66778, 0.92496, 1.0],
        [0.56474, 0.66695, 0.92478, 1.0],
        [0.56828, 0.66613, 0.92458, 1.0],
        [0.57183, 0.6653, 0.92436, 1.0],
        [0.57536, 0.66447, 0.92412, 1.0],
        [0.57888, 0.66364, 0.92387, 1.0],
        [0.58239, 0.6628, 0.92359, 1.0],
        [0.58591, 0.66196, 0.92329, 1.0],
        [0.5894, 0.66111, 0.92298, 1.0],
        [0.5929, 0.66026, 0.92264, 1.0],
        [0.59638, 0.65941, 0.92228, 1.0],
        [0.59986, 0.65856, 0.92189, 1.0],
        [0.60333, 0.65771, 0.92149, 1.0],
        [0.6068, 0.65685, 0.92106, 1.0],
        [0.61025, 0.65599, 0.9206, 1.0],
        [0.6137, 0.65512, 0.92013, 1.0],
        [0.61716, 0.65425, 0.91962, 1.0],
        [0.6206, 0.65338, 0.91909, 1.0],
        [0.62403, 0.65251, 0.91854, 1.0],
        [0.62745, 0.65164, 0.91796, 1.0],
        [0.63088, 0.65076, 0.91735, 1.0],
        [0.63429, 0.64989, 0.91671, 1.0],
        [0.63769, 0.64901, 0.91604, 1.0],
        [0.64108, 0.64812, 0.91534, 1.0],
        [0.64447, 0.64724, 0.91461, 1.0],
        [0.64785, 0.64636, 0.91385, 1.0],
        [0.65123, 0.64547, 0.91306, 1.0],
        [0.65459, 0.64458, 0.91223, 1.0],
        [0.65795, 0.6437, 0.91137, 1.0],
        [0.66129, 0.64282, 0.91048, 1.0],
        [0.66462, 0.64193, 0.90955, 1.0],
        [0.66796, 0.64104, 0.90858, 1.0],
        [0.67126, 0.64017, 0.90758, 1.0],
        [0.67456, 0.63928, 0.90654, 1.0],
        [0.67785, 0.6384, 0.90546, 1.0],
        [0.68111, 0.63753, 0.90434, 1.0],
        [0.68437, 0.63666, 0.90319, 1.0],
        [0.68761, 0.63578, 0.90199, 1.0],
        [0.69083, 0.63491, 0.90077, 1.0],
        [0.69404, 0.63405, 0.89953, 1.0],
        [0.69723, 0.63317, 0.89826, 1.0],
        [0.7004, 0.63231, 0.89698, 1.0],
        [0.70355, 0.63144, 0.89567, 1.0],
        [0.70668, 0.63058, 0.89435, 1.0],
        [0.70979, 0.62971, 0.89301, 1.0],
        [0.71288, 0.62885, 0.89165, 1.0],
        [0.71597, 0.62799, 0.89028, 1.0],
        [0.71902, 0.62713, 0.88889, 1.0],
        [0.72206, 0.62627, 0.88748, 1.0],
        [0.72509, 0.62541, 0.88607, 1.0],
        [0.72809, 0.62455, 0.88463, 1.0],
        [0.73108, 0.6237, 0.88318, 1.0],
        [0.73405, 0.62284, 0.88173, 1.0],
        [0.737, 0.62198, 0.88025, 1.0],
        [0.73994, 0.62113, 0.87877, 1.0],
        [0.74285, 0.62028, 0.87728, 1.0],
        [0.74575, 0.61942, 0.87577, 1.0],
        [0.74863, 0.61857, 0.87426, 1.0],
        [0.7515, 0.61771, 0.87273, 1.0],
        [0.75435, 0.61686, 0.8712, 1.0],
        [0.75718, 0.61601, 0.86965, 1.0],
        [0.75999, 0.61515, 0.8681, 1.0],
        [0.76279, 0.6143, 0.86653, 1.0],
        [0.76558, 0.61345, 0.86496, 1.0],
        [0.76834, 0.6126, 0.86339, 1.0],
        [0.7711, 0.61175, 0.8618, 1.0],
        [0.77383, 0.6109, 0.8602, 1.0],
        [0.77656, 0.61005, 0.8586, 1.0],
        [0.77926, 0.6092, 0.85699, 1.0],
        [0.78195, 0.60835, 0.85538, 1.0],
        [0.78463, 0.6075, 0.85375, 1.0],
        [0.78729, 0.60665, 0.85212, 1.0],
        [0.78993, 0.60579, 0.85048, 1.0],
        [0.79257, 0.60495, 0.84884, 1.0],
        [0.79518, 0.6041, 0.84719, 1.0],
        [0.79779, 0.60325, 0.84554, 1.0],
        [0.80038, 0.6024, 0.84387, 1.0],
        [0.80295, 0.60155, 0.84221, 1.0],
        [0.80551, 0.6007, 0.84054, 1.0],
        [0.80806, 0.59985, 0.83886, 1.0],
        [0.8106, 0.599, 0.83718, 1.0],
        [0.81312, 0.59814, 0.83549, 1.0],
        [0.81563, 0.5973, 0.83381, 1.0],
        [0.81812, 0.59644, 0.83211, 1.0],
        [0.82061, 0.59559, 0.83041, 1.0],
        [0.82308, 0.59474, 0.8287, 1.0],
        [0.82554, 0.59389, 0.82699, 1.0],
        [0.82798, 0.59304, 0.82528, 1.0],
        [0.83042, 0.59219, 0.82356, 1.0],
        [0.83284, 0.59133, 0.82184, 1.0],
        [0.83525, 0.59047, 0.82011, 1.0],
        [0.83765, 0.58962, 0.81838, 1.0],
        [0.84003, 0.58876, 0.81665, 1.0],
        [0.84241, 0.58791, 0.81491, 1.0],
        [0.84477, 0.58705, 0.81317, 1.0],
        [0.84712, 0.5862, 0.81143, 1.0],
        [0.84946, 0.58535, 0.80968, 1.0],
        [0.85179, 0.58449, 0.80793, 1.0],
        [0.8541, 0.58363, 0.80617, 1.0],
        [0.85641, 0.58277, 0.80442, 1.0],
        [0.85871, 0.58191, 0.80265, 1.0],
        [0.86099, 0.58105, 0.80089, 1.0],
        [0.86327, 0.5802, 0.79913, 1.0],
        [0.86553, 0.57934, 0.79735, 1.0],
        [0.86779, 0.57847, 0.79558, 1.0],
        [0.87002, 0.57761, 0.79381, 1.0],
        [0.87226, 0.57675, 0.79203, 1.0],
        [0.87448, 0.57589, 0.79025, 1.0],
        [0.87669, 0.57502, 0.78847, 1.0],
        [0.8789, 0.57415, 0.78668, 1.0],
        [0.88109, 0.57329, 0.78489, 1.0],
        [0.88328, 0.57243, 0.7831, 1.0],
        [0.88545, 0.57155, 0.78131, 1.0],
        [0.88761, 0.57068, 0.77951, 1.0],
        [0.88977, 0.56981, 0.77772, 1.0],
        [0.89192, 0.56895, 0.77591, 1.0],
        [0.89405, 0.56808, 0.77411, 1.0],
        [0.89618, 0.56721, 0.77231, 1.0],
        [0.8983, 0.56634, 0.7705, 1.0],
        [0.90041, 0.56546, 0.76869, 1.0],
        [0.90251, 0.56459, 0.76688, 1.0],
        [0.9046, 0.56372, 0.76507, 1.0],
        [0.90668, 0.56284, 0.76325, 1.0],
        [0.90876, 0.56197, 0.76143, 1.0],
        [0.91082, 0.56108, 0.75961, 1.0],
        [0.91288, 0.56021, 0.7578, 1.0],
        [0.91493, 0.55932, 0.75597, 1.0],
        [0.91697, 0.55844, 0.75415, 1.0],
        [0.91899, 0.55756, 0.75232, 1.0],
        [0.92102, 0.55668, 0.7505, 1.0],
        [0.92304, 0.55579, 0.74866, 1.0],
        [0.92504, 0.55491, 0.74683, 1.0],
        [0.92704, 0.55402, 0.745, 1.0],
        [0.92903, 0.55313, 0.74317, 1.0],
        [0.93102, 0.55225, 0.74133, 1.0],
        [0.93299, 0.55136, 0.7395, 1.0],
        [0.93496, 0.55047, 0.73765, 1.0],
        [0.93692, 0.54957, 0.73581, 1.0],
        [0.93887, 0.54869, 0.73397, 1.0],
        [0.94082, 0.54779, 0.73213, 1.0],
        [0.94276, 0.54689, 0.73028, 1.0],
        [0.94469, 0.546, 0.72843, 1.0],
        [0.94661, 0.5451, 0.72659, 1.0],
        [0.94852, 0.54419, 0.72474, 1.0],
        [0.95043, 0.5433, 0.72288, 1.0],
        [0.95233, 0.54239, 0.72103, 1.0],
        [0.95423, 0.54148, 0.71918, 1.0],
        [0.95611, 0.54058, 0.71733, 1.0],
        [0.95799, 0.53967, 0.71548, 1.0],
        [0.95986, 0.53878, 0.71361, 1.0],
        [0.96173, 0.53787, 0.71176, 1.0],
        [0.96359, 0.53696, 0.7099, 1.0],
        [0.96544, 0.53604, 0.70804, 1.0],
        [0.96729, 0.53513, 0.70618, 1.0],
        [0.96912, 0.53421, 0.70431, 1.0],
        [0.97096, 0.53329, 0.70245, 1.0],
        [0.97278, 0.53238, 0.70058, 1.0],
        [0.9746, 0.53146, 0.69871, 1.0],
        [0.97641, 0.53054, 0.69685, 1.0],
        [0.97822, 0.52962, 0.69498, 1.0],
        [0.98002, 0.5287, 0.69311, 1.0],
        [0.98181, 0.52777, 0.69124, 1.0],
        [0.9836, 0.52685, 0.68937, 1.0],
        [0.98538, 0.52592, 0.6875, 1.0],
        [0.98716, 0.52499, 0.68563, 1.0],
        [0.98892, 0.52406, 0.68375, 1.0],
        [0.99069, 0.52313, 0.68187, 1.0],
        [0.99244, 0.52218, 0.67999, 1.0],
        [0.99419, 0.52125, 0.67812, 1.0],
    ],
    'cet.linear_bgy_10_95_c74': [
        [0, 0.047803, 0.4883, 1.0],
        [0, 0.049756, 0.49556, 1.0],
        [0, 0.051605, 0.50281, 1.0],
        [0, 0.053545, 0.51004, 1.0],
        [0, 0.055585, 0.51721, 1.0],
        [0, 0.057566, 0.52435, 1.0],
        [0, 0.05978, 0.53144, 1.0],
        [0, 0.061812, 0.53849, 1.0],
        [0, 0.064016, 0.5455, 1.0],
        [0, 0.066232, 0.55245, 1.0],
        [0, 0.068551, 0.55934, 1.0],
        [0, 0.070824, 0.5662, 1.0],
        [0, 0.073229, 0.57299, 1.0],
        [0, 0.07557, 0.57971, 1.0],
        [0, 0.078003, 0.58638, 1.0],
        [0, 0.080554, 0.59299, 1.0],
        [0, 0.083114, 0.59951, 1.0],
        [0, 0.085697, 0.60596, 1.0],
        [0, 0.08842, 0.61236, 1.0],
        [0, 0.091168, 0.61866, 1.0],
        [0, 0.093925, 0.62487, 1.0],
        [0, 0.096707, 0.63101, 1.0],
        [0, 0.09963, 0.63705, 1.0],
        [0, 0.1026, 0.64298, 1.0],
        [0, 0.10561, 0.64881, 1.0],
        [0, 0.10866, 0.65454, 1.0],
        [0, 0.11183, 0.66016, 1.0],
        [0, 0.11497, 0.66567, 1.0],
        [0, 0.11829, 0.67103, 1.0],
        [0, 0.12156, 0.67626, 1.0],
        [0, 0.12498, 0.68134, 1.0],
        [0, 0.12846, 0.68629, 1.0],
        [0, 0.13201, 0.69107, 1.0],
        [0, 0.13559, 0.6957, 1.0],
        [0, 0.13927, 0.70014, 1.0],
        [0, 0.14307, 0.70439, 1.0],
        [0, 0.1469, 0.70845, 1.0],
        [0, 0.15085, 0.71227, 1.0],
        [0, 0.15487, 0.71588, 1.0],
        [0, 0.159, 0.71923, 1.0],
        [0, 0.16323, 0.7223, 1.0],
        [0, 0.16754, 0.7251, 1.0],
        [0, 0.17195, 0.72757, 1.0],
        [0, 0.17647, 0.72972, 1.0],
        [0, 0.18113, 0.73149, 1.0],
        [0, 0.18594, 0.73289, 1.0],
        [0, 0.19074, 0.73398, 1.0],
        [0, 0.19556, 0.73486, 1.0],
        [0, 0.20033, 0.73556, 1.0],
        [0, 0.20512, 0.73608, 1.0],
        [0, 0.20987, 0.73643, 1.0],
        [0, 0.21461, 0.73659, 1.0],
        [0, 0.21934, 0.73657, 1.0],
        [0, 0.22402, 0.73637, 1.0],
        [0, 0.22875, 0.73599, 1.0],
        [0, 0.2334, 0.73544, 1.0],
        [0, 0.23809, 0.73469, 1.0],
        [0, 0.24275, 0.73376, 1.0],
        [0, 0.24743, 0.73266, 1.0],
        [0, 0.25208, 0.73137, 1.0],
        [0, 0.25673, 0.72991, 1.0],
        [0, 0.26137, 0.72825, 1.0],
        [0, 0.26603, 0.72642, 1.0],
        [0, 0.27068, 0.72441, 1.0],
        [0, 0.27531, 0.72221, 1.0],
        [0, 0.27995, 0.71983, 1.0],
        [0, 0.28458, 0.71727, 1.0],
        [0, 0.28924, 0.71452, 1.0],
        [0, 0.29387, 0.71161, 1.0],
        [0, 0.29852, 0.70851, 1.0],
        [0, 0.30317, 0.70521, 1.0],
        [0, 0.30782, 0.70174, 1.0],
        [0, 0.31248, 0.69809, 1.0],
        [0, 0.31716, 0.69426, 1.0],
        [0, 0.32182, 0.69025, 1.0],
        [0, 0.32649, 0.68607, 1.0],
        [0, 0.33116, 0.68178, 1.0],
        [0, 0.33582, 0.67746, 1.0],
        [0, 0.34046, 0.6731, 1.0],
        [0, 0.34509, 0.66871, 1.0],
        [0, 0.3497, 0.66429, 1.0],
        [0, 0.3543, 0.65984, 1.0],
        [0, 0.35888, 0.65536, 1.0],
        [0, 0.36346, 0.65085, 1.0],
        [0, 0.36803, 0.6463, 1.0],
        [0, 0.37258, 0.64173, 1.0],
        [0, 0.37713, 0.63713, 1.0],
        [0, 0.38167, 0.6325, 1.0],
        [0, 0.38618, 0.62783, 1.0],
        [0, 0.39071, 0.62313, 1.0],
        [0, 0.39523, 0.6184, 1.0],
        [0, 0.39972, 0.61363, 1.0],
        [0, 0.40423, 0.60885, 1.0],
        [0, 0.40872, 0.60402, 1.0],
        [0, 0.41321, 0.59915, 1.0],
        [0, 0.41769, 0.59426, 1.0],
        [0, 0.42215, 0.58932, 1.0],
        [0, 0.42663, 0.58437, 1.0],
        [0, 0.4311, 0.57937, 1.0],
        [0, 0.43556, 0.57433, 1.0],
        [0, 0.44001, 0.56926, 1.0],
        [0, 0.44446, 0.56416, 1.0],
        [0, 0.44891, 0.55902, 1.0],
        [0, 0.45334, 0.55384, 1.0],
        [0, 0.45778, 0.54863, 1.0],
        [0, 0.46222, 0.54336, 1.0],
        [0, 0.46665, 0.53802, 1.0],
        [0, 0.47105, 0.53253, 1.0],
        [0, 0.47545, 0.52691, 1.0],
        [0, 0.47982, 0.52115, 1.0],
        [0, 0.48417, 0.51525, 1.0],
        [0, 0.48852, 0.50921, 1.0],
        [0, 0.49284, 0.50301, 1.0],
        [0, 0.49717, 0.49668, 1.0],
        [0, 0.50147, 0.49022, 1.0],
        [0, 0.50575, 0.48359, 1.0],
        [0, 0.51003, 0.47682, 1.0],
        [0, 0.51431, 0.4699, 1.0],
        [0, 0.51856, 0.4628, 1.0],
        [0.0097866, 0.52281, 0.45558, 1.0],
        [0.023896, 0.52704, 0.44818, 1.0],
        [0.038383, 0.53126, 0.44061, 1.0],
        [0.051763, 0.53547, 0.43289, 1.0],
        [0.063442, 0.53968, 0.42499, 1.0],
        [0.073828, 0.54388, 0.41692, 1.0],
        [0.083244, 0.54807, 0.40866, 1.0],
        [0.092062, 0.55225, 0.40022, 1.0],
        [0.10019, 0.55642, 0.39159, 1.0],
        [0.10786, 0.56059, 0.38276, 1.0],
        [0.11513, 0.56474, 0.37372, 1.0],
        [0.12206, 0.56889, 0.36445, 1.0],
        [0.12871, 0.57304, 0.35498, 1.0],
        [0.13507, 0.57718, 0.34524, 1.0],
        [0.14115, 0.58131, 0.33527, 1.0],
        [0.14697, 0.58544, 0.32499, 1.0],
        [0.15257, 0.58954, 0.31449, 1.0],
        [0.15773, 0.59367, 0.30393, 1.0],
        [0.16231, 0.59779, 0.29352, 1.0],
        [0.16631, 0.60191, 0.28332, 1.0],
        [0.16984, 0.60603, 0.27332, 1.0],
        [0.17292, 0.61015, 0.26352, 1.0],
        [0.17565, 0.61427, 0.25387, 1.0],
        [0.17811, 0.6184, 0.24439, 1.0],
        [0.18021, 0.62252, 0.23514, 1.0],
        [0.18207, 0.62664, 0.22606, 1.0],
        [0.18374, 0.63076, 0.21715, 1.0],
        [0.18522, 0.63487, 0.2084, 1.0],
        [0.18649, 0.63898, 0.19982, 1.0],
        [0.18765, 0.64309, 0.19148, 1.0],
        [0.18863, 0.6472, 0.18334, 1.0],
        [0.18951, 0.6513, 0.1754, 1.0],
        [0.19029, 0.65539, 0.16767, 1.0],
        [0.19099, 0.65948, 0.16013, 1.0],
        [0.19162, 0.66357, 0.15293, 1.0],
        [0.19219, 0.66765, 0.14604, 1.0],
        [0.19272, 0.67172, 0.13937, 1.0],
        [0.1932, 0.67579, 0.13311, 1.0],
        [0.19366, 0.67985, 0.1272, 1.0],
        [0.1941, 0.68391, 0.1218, 1.0],
        [0.19451, 0.68797, 0.11692, 1.0],
        [0.1949, 0.69202, 0.11259, 1.0],
        [0.19529, 0.69606, 0.10881, 1.0],
        [0.19569, 0.70009, 0.10581, 1.0],
        [0.19611, 0.70412, 0.10358, 1.0],
        [0.19653, 0.70814, 0.10209, 1.0],
        [0.19694, 0.71215, 0.10139, 1.0],
        [0.19736, 0.71617, 0.10116, 1.0],
        [0.19779, 0.72018, 0.10101, 1.0],
        [0.19823, 0.7242, 0.10087, 1.0],
        [0.19868, 0.72822, 0.10073, 1.0],
        [0.19914, 0.73225, 0.1006, 1.0],
        [0.19961, 0.73627, 0.10048, 1.0],
        [0.20009, 0.74031, 0.10036, 1.0],
        [0.20058, 0.74434, 0.10025, 1.0],
        [0.20108, 0.74838, 0.10015, 1.0],
        [0.20159, 0.75242, 0.10006, 1.0],
        [0.20211, 0.75647, 0.099977, 1.0],
        [0.20265, 0.76052, 0.099902, 1.0],
        [0.2032, 0.76457, 0.099835, 1.0],
        [0.20376, 0.76862, 0.099777, 1.0],
        [0.20433, 0.77267, 0.099729, 1.0],
        [0.20488, 0.77674, 0.099691, 1.0],
        [0.20546, 0.7808, 0.099663, 1.0],
        [0.20608, 0.78487, 0.099645, 1.0],
        [0.20669, 0.78894, 0.099637, 1.0],
        [0.20729, 0.79301, 0.099641, 1.0],
        [0.20791, 0.79708, 0.099656, 1.0],
        [0.20855, 0.80116, 0.099683, 1.0],
        [0.2092, 0.80523, 0.09972, 1.0],
        [0.20987, 0.80932, 0.09977, 1.0],
        [0.21055, 0.8134, 0.099833, 1.0],
        [0.21125, 0.81749, 0.099908, 1.0],
        [0.21196, 0.82159, 0.099996, 1.0],
        [0.21266, 0.82567, 0.1001, 1.0],
        [0.2134, 0.82977, 0.10021, 1.0],
        [0.21454, 0.83386, 0.10034, 1.0],
        [0.21746, 0.83784, 0.10049, 1.0],
        [0.22334, 0.84166, 0.10065, 1.0],
        [0.23182, 0.84531, 0.10083, 1.0],
        [0.24228, 0.84884, 0.10102, 1.0],
        [0.25428, 0.85224, 0.10123, 1.0],
        [0.26735, 0.85553, 0.10145, 1.0],
        [0.28125, 0.85872, 0.10168, 1.0],
        [0.29571, 0.86184, 0.10193, 1.0],
        [0.31067, 0.86485, 0.10219, 1.0],
        [0.32594, 0.86779, 0.10246, 1.0],
        [0.34137, 0.87065, 0.10275, 1.0],
        [0.35684, 0.87346, 0.10306, 1.0],
        [0.3724, 0.87619, 0.10337, 1.0],
        [0.38805, 0.87886, 0.10369, 1.0],
        [0.40366, 0.88147, 0.10401, 1.0],
        [0.41921, 0.88402, 0.10433, 1.0],
        [0.43478, 0.88651, 0.10468, 1.0],
        [0.45028, 0.88894, 0.10507, 1.0],
        [0.4657, 0.89133, 0.10549, 1.0],
        [0.48111, 0.89365, 0.10592, 1.0],
        [0.49641, 0.89593, 0.10637, 1.0],
        [0.51169, 0.89815, 0.10681, 1.0],
        [0.52691, 0.90032, 0.10725, 1.0],
        [0.54202, 0.90245, 0.1077, 1.0],
        [0.55713, 0.90452, 0.10817, 1.0],
        [0.57212, 0.90655, 0.10869, 1.0],
        [0.5871, 0.90852, 0.10927, 1.0],
        [0.60201, 0.91045, 0.10983, 1.0],
        [0.61689, 0.91232, 0.11037, 1.0],
        [0.63169, 0.91415, 0.11095, 1.0],
        [0.64646, 0.91593, 0.11155, 1.0],
        [0.66118, 0.91767, 0.11216, 1.0],
        [0.67585, 0.91934, 0.11281, 1.0],
        [0.69049, 0.92098, 0.11347, 1.0],
        [0.70508, 0.92257, 0.11409, 1.0],
        [0.71966, 0.92411, 0.11477, 1.0],
        [0.73418, 0.9256, 0.11552, 1.0],
        [0.74868, 0.92704, 0.11627, 1.0],
        [0.76314, 0.92844, 0.11699, 1.0],
        [0.77759, 0.92979, 0.11777, 1.0],
        [0.79201, 0.93109, 0.11859, 1.0],
        [0.8064, 0.93233, 0.11937, 1.0],
        [0.82077, 0.93353, 0.12019, 1.0],
        [0.83511, 0.93468, 0.12102, 1.0],
        [0.84946, 0.93578, 0.12189, 1.0],
        [0.86375, 0.93684, 0.12278, 1.0],
        [0.87808, 0.93783, 0.1237, 1.0],
        [0.89234, 0.93878, 0.12464, 1.0],
        [0.90664, 0.93968, 0.12562, 1.0],
        [0.92088, 0.94052, 0.12657, 1.0],
        [0.93514, 0.94131, 0.12755, 1.0],
        [0.94939, 0.94206, 0.12857, 1.0],
        [0.9636, 0.94275, 0.12961, 1.0],
        [0.97785, 0.94338, 0.13068, 1.0],
        [0.99205, 0.94397, 0.13172, 1.0],
        [1, 0.94449, 0.13281, 1.0],
        [1, 0.94497, 0.13392, 1.0],
        [1, 0.94539, 0.13505, 1.0],
        [1, 0.94574, 0.13614, 1.0],
        [1, 0.94606, 0.13735, 1.0],
    ],
    'cet.linear_bgyw_15_100_c67': [
        [0.10477, 0.0011197, 0.51875, 1.0],
        [0.105, 0.0031206, 0.52587, 1.0],
        [0.10521, 0.005201, 0.53301, 1.0],
        [0.10541, 0.0074297, 0.5401, 1.0],
        [0.10559, 0.0097752, 0.54718, 1.0],
        [0.10576, 0.012459, 0.55425, 1.0],
        [0.10592, 0.015073, 0.56126, 1.0],
        [0.10605, 0.017812, 0.56829, 1.0],
        [0.10619, 0.020743, 0.57524, 1.0],
        [0.10631, 0.023778, 0.5822, 1.0],
        [0.10643, 0.027021, 0.58909, 1.0],
        [0.10653, 0.030386, 0.59599, 1.0],
        [0.10663, 0.033922, 0.60282, 1.0],
        [0.10672, 0.037861, 0.60963, 1.0],
        [0.10682, 0.041783, 0.6164, 1.0],
        [0.10691, 0.045535, 0.62314, 1.0],
        [0.107, 0.049457, 0.62982, 1.0],
        [0.10709, 0.053176, 0.63647, 1.0],
        [0.10718, 0.057025, 0.64308, 1.0],
        [0.10728, 0.060795, 0.64963, 1.0],
        [0.10738, 0.064591, 0.65615, 1.0],
        [0.1075, 0.068417, 0.6626, 1.0],
        [0.10762, 0.072133, 0.66902, 1.0],
        [0.10776, 0.075909, 0.67536, 1.0],
        [0.10791, 0.079695, 0.68166, 1.0],
        [0.10808, 0.08353, 0.6879, 1.0],
        [0.10826, 0.087375, 0.69408, 1.0],
        [0.10848, 0.091188, 0.7002, 1.0],
        [0.10873, 0.095035, 0.70626, 1.0],
        [0.10901, 0.098847, 0.71224, 1.0],
        [0.10933, 0.10273, 0.71815, 1.0],
        [0.10965, 0.10666, 0.724, 1.0],
        [0.11, 0.11057, 0.72975, 1.0],
        [0.11035, 0.11443, 0.73545, 1.0],
        [0.11077, 0.11848, 0.74103, 1.0],
        [0.11121, 0.1224, 0.74656, 1.0],
        [0.11171, 0.12647, 0.75198, 1.0],
        [0.11224, 0.13056, 0.75731, 1.0],
        [0.11282, 0.13464, 0.76255, 1.0],
        [0.11344, 0.13874, 0.76767, 1.0],
        [0.11404, 0.14289, 0.77271, 1.0],
        [0.11474, 0.14709, 0.77762, 1.0],
        [0.11555, 0.15131, 0.78241, 1.0],
        [0.11637, 0.1556, 0.78711, 1.0],
        [0.11721, 0.15989, 0.79164, 1.0],
        [0.11817, 0.16429, 0.79606, 1.0],
        [0.11913, 0.16868, 0.80035, 1.0],
        [0.12014, 0.17313, 0.80446, 1.0],
        [0.12122, 0.17766, 0.80845, 1.0],
        [0.12236, 0.18216, 0.81227, 1.0],
        [0.12358, 0.1868, 0.8159, 1.0],
        [0.12487, 0.19146, 0.81936, 1.0],
        [0.12621, 0.19619, 0.82267, 1.0],
        [0.12758, 0.20095, 0.82573, 1.0],
        [0.12902, 0.20585, 0.82858, 1.0],
        [0.13057, 0.21075, 0.83123, 1.0],
        [0.13209, 0.21574, 0.83365, 1.0],
        [0.1337, 0.22083, 0.83579, 1.0],
        [0.13536, 0.22598, 0.83764, 1.0],
        [0.13708, 0.23121, 0.83921, 1.0],
        [0.13882, 0.23653, 0.84047, 1.0],
        [0.14063, 0.24194, 0.84141, 1.0],
        [0.14244, 0.24745, 0.84198, 1.0],
        [0.1443, 0.25307, 0.84216, 1.0],
        [0.14616, 0.25882, 0.84191, 1.0],
        [0.14804, 0.26468, 0.84117, 1.0],
        [0.14995, 0.27071, 0.8399, 1.0],
        [0.15179, 0.27687, 0.83804, 1.0],
        [0.15363, 0.2832, 0.83552, 1.0],
        [0.15544, 0.28972, 0.83227, 1.0],
        [0.15711, 0.29645, 0.82819, 1.0],
        [0.1587, 0.30339, 0.82319, 1.0],
        [0.16004, 0.31064, 0.81705, 1.0],
        [0.16121, 0.31816, 0.80955, 1.0],
        [0.16198, 0.32608, 0.80043, 1.0],
        [0.16232, 0.33446, 0.78944, 1.0],
        [0.16261, 0.34288, 0.77734, 1.0],
        [0.16339, 0.351, 0.7652, 1.0],
        [0.16458, 0.35878, 0.75318, 1.0],
        [0.16618, 0.3663, 0.7413, 1.0],
        [0.16813, 0.37354, 0.72954, 1.0],
        [0.17035, 0.38056, 0.71789, 1.0],
        [0.1728, 0.38735, 0.70636, 1.0],
        [0.17542, 0.39397, 0.69491, 1.0],
        [0.17821, 0.40042, 0.68357, 1.0],
        [0.18104, 0.40669, 0.67233, 1.0],
        [0.18398, 0.41284, 0.66117, 1.0],
        [0.18698, 0.41883, 0.65009, 1.0],
        [0.19, 0.42472, 0.6391, 1.0],
        [0.19303, 0.43049, 0.62818, 1.0],
        [0.19608, 0.43615, 0.61732, 1.0],
        [0.19905, 0.44173, 0.60653, 1.0],
        [0.20205, 0.4472, 0.59581, 1.0],
        [0.20503, 0.45261, 0.58515, 1.0],
        [0.20793, 0.45792, 0.57453, 1.0],
        [0.2108, 0.46316, 0.56398, 1.0],
        [0.21364, 0.46835, 0.55345, 1.0],
        [0.21643, 0.47347, 0.54299, 1.0],
        [0.21913, 0.47854, 0.53255, 1.0],
        [0.22179, 0.48354, 0.52214, 1.0],
        [0.22439, 0.4885, 0.51178, 1.0],
        [0.22697, 0.4934, 0.50144, 1.0],
        [0.22945, 0.49828, 0.49112, 1.0],
        [0.23194, 0.50308, 0.48079, 1.0],
        [0.23434, 0.50787, 0.47051, 1.0],
        [0.23669, 0.5126, 0.4602, 1.0],
        [0.23896, 0.51731, 0.44992, 1.0],
        [0.24122, 0.52197, 0.43962, 1.0],
        [0.24342, 0.52661, 0.42932, 1.0],
        [0.2456, 0.53121, 0.419, 1.0],
        [0.24776, 0.53578, 0.40865, 1.0],
        [0.24982, 0.54033, 0.39827, 1.0],
        [0.2519, 0.54485, 0.38784, 1.0],
        [0.25394, 0.54933, 0.37747, 1.0],
        [0.25603, 0.55376, 0.36733, 1.0],
        [0.25825, 0.55813, 0.35754, 1.0],
        [0.26059, 0.56246, 0.34801, 1.0],
        [0.26305, 0.56672, 0.33878, 1.0],
        [0.26563, 0.57092, 0.32981, 1.0],
        [0.26835, 0.57509, 0.32108, 1.0],
        [0.27123, 0.57921, 0.31258, 1.0],
        [0.27426, 0.58328, 0.30433, 1.0],
        [0.27745, 0.58731, 0.29629, 1.0],
        [0.28078, 0.5913, 0.28844, 1.0],
        [0.28431, 0.59525, 0.28077, 1.0],
        [0.28799, 0.59916, 0.27333, 1.0],
        [0.29185, 0.60303, 0.26603, 1.0],
        [0.29585, 0.60687, 0.2589, 1.0],
        [0.30003, 0.61067, 0.25192, 1.0],
        [0.30437, 0.61442, 0.24507, 1.0],
        [0.3089, 0.61816, 0.23841, 1.0],
        [0.31357, 0.62185, 0.23192, 1.0],
        [0.3184, 0.62552, 0.22553, 1.0],
        [0.32339, 0.62915, 0.21927, 1.0],
        [0.32852, 0.63275, 0.21311, 1.0],
        [0.3338, 0.63632, 0.20712, 1.0],
        [0.33922, 0.63986, 0.20117, 1.0],
        [0.34475, 0.64337, 0.19538, 1.0],
        [0.35045, 0.64686, 0.1897, 1.0],
        [0.35629, 0.6503, 0.18415, 1.0],
        [0.36225, 0.65372, 0.17872, 1.0],
        [0.36834, 0.65712, 0.17336, 1.0],
        [0.37454, 0.66048, 0.1681, 1.0],
        [0.38085, 0.66383, 0.16297, 1.0],
        [0.38726, 0.66714, 0.15793, 1.0],
        [0.39382, 0.67043, 0.15302, 1.0],
        [0.40049, 0.67368, 0.14824, 1.0],
        [0.40723, 0.67691, 0.14356, 1.0],
        [0.41408, 0.68011, 0.13895, 1.0],
        [0.42102, 0.68329, 0.13455, 1.0],
        [0.42809, 0.68644, 0.13028, 1.0],
        [0.43524, 0.68956, 0.12609, 1.0],
        [0.44246, 0.69267, 0.12198, 1.0],
        [0.44975, 0.69574, 0.11813, 1.0],
        [0.45716, 0.69877, 0.1144, 1.0],
        [0.46465, 0.70179, 0.11092, 1.0],
        [0.4722, 0.70479, 0.10752, 1.0],
        [0.47982, 0.70776, 0.1043, 1.0],
        [0.48754, 0.7107, 0.1014, 1.0],
        [0.49532, 0.71361, 0.098689, 1.0],
        [0.50314, 0.7165, 0.096121, 1.0],
        [0.51106, 0.71936, 0.093905, 1.0],
        [0.51907, 0.72219, 0.091988, 1.0],
        [0.52711, 0.72501, 0.090242, 1.0],
        [0.53519, 0.72779, 0.08877, 1.0],
        [0.54339, 0.73055, 0.087727, 1.0],
        [0.55162, 0.73328, 0.086928, 1.0],
        [0.5599, 0.73598, 0.086341, 1.0],
        [0.56824, 0.73866, 0.086171, 1.0],
        [0.57666, 0.74131, 0.086363, 1.0],
        [0.58511, 0.74394, 0.086854, 1.0],
        [0.59362, 0.74654, 0.087647, 1.0],
        [0.60218, 0.74911, 0.088756, 1.0],
        [0.61075, 0.75167, 0.090091, 1.0],
        [0.6193, 0.75421, 0.091662, 1.0],
        [0.62776, 0.75676, 0.093291, 1.0],
        [0.63618, 0.7593, 0.095179, 1.0],
        [0.64452, 0.76186, 0.097055, 1.0],
        [0.65279, 0.76442, 0.0992, 1.0],
        [0.66101, 0.76698, 0.10144, 1.0],
        [0.66917, 0.76954, 0.10382, 1.0],
        [0.67726, 0.77211, 0.10635, 1.0],
        [0.68528, 0.77468, 0.10898, 1.0],
        [0.69324, 0.77727, 0.11176, 1.0],
        [0.70115, 0.77985, 0.1146, 1.0],
        [0.70899, 0.78245, 0.11768, 1.0],
        [0.71675, 0.78505, 0.12084, 1.0],
        [0.72446, 0.78766, 0.12415, 1.0],
        [0.73211, 0.79027, 0.12759, 1.0],
        [0.73969, 0.7929, 0.13116, 1.0],
        [0.74719, 0.79554, 0.13488, 1.0],
        [0.75463, 0.79819, 0.13869, 1.0],
        [0.762, 0.80085, 0.14265, 1.0],
        [0.76931, 0.80352, 0.1467, 1.0],
        [0.77655, 0.80621, 0.15091, 1.0],
        [0.78371, 0.80891, 0.15527, 1.0],
        [0.79078, 0.81163, 0.15974, 1.0],
        [0.79778, 0.81436, 0.1644, 1.0],
        [0.80471, 0.81711, 0.16917, 1.0],
        [0.81155, 0.81987, 0.17404, 1.0],
        [0.8183, 0.82266, 0.17908, 1.0],
        [0.82496, 0.82547, 0.18425, 1.0],
        [0.83154, 0.8283, 0.18958, 1.0],
        [0.83802, 0.83116, 0.19506, 1.0],
        [0.84439, 0.83404, 0.20068, 1.0],
        [0.85066, 0.83694, 0.20653, 1.0],
        [0.85681, 0.83988, 0.21248, 1.0],
        [0.86285, 0.84285, 0.21864, 1.0],
        [0.86877, 0.84585, 0.22495, 1.0],
        [0.87454, 0.84889, 0.23152, 1.0],
        [0.88018, 0.85196, 0.23823, 1.0],
        [0.88567, 0.85508, 0.24516, 1.0],
        [0.89101, 0.85823, 0.25235, 1.0],
        [0.89617, 0.86144, 0.25975, 1.0],
        [0.90116, 0.86469, 0.26737, 1.0],
        [0.90596, 0.868, 0.27529, 1.0],
        [0.91052, 0.87137, 0.2835, 1.0],
        [0.91485, 0.87481, 0.29203, 1.0],
        [0.91894, 0.87831, 0.30086, 1.0],
        [0.92276, 0.88189, 0.31007, 1.0],
        [0.92625, 0.88556, 0.3197, 1.0],
        [0.92941, 0.88931, 0.32973, 1.0],
        [0.93217, 0.89317, 0.34027, 1.0],
        [0.93451, 0.89714, 0.3513, 1.0],
        [0.93634, 0.90125, 0.36298, 1.0],
        [0.93763, 0.9055, 0.37534, 1.0],
        [0.9387, 0.90978, 0.38837, 1.0],
        [0.93989, 0.91399, 0.40197, 1.0],
        [0.94123, 0.91811, 0.41613, 1.0],
        [0.94272, 0.92216, 0.43083, 1.0],
        [0.94436, 0.92612, 0.44608, 1.0],
        [0.94613, 0.93, 0.46186, 1.0],
        [0.94803, 0.9338, 0.47813, 1.0],
        [0.95005, 0.93753, 0.49497, 1.0],
        [0.95218, 0.94117, 0.5123, 1.0],
        [0.95441, 0.94474, 0.53014, 1.0],
        [0.95674, 0.94822, 0.54852, 1.0],
        [0.95915, 0.95163, 0.56741, 1.0],
        [0.96162, 0.95496, 0.58679, 1.0],
        [0.96415, 0.95822, 0.60671, 1.0],
        [0.96673, 0.96139, 0.62717, 1.0],
        [0.96934, 0.96449, 0.64813, 1.0],
        [0.97196, 0.96752, 0.66962, 1.0],
        [0.97459, 0.97046, 0.69168, 1.0],
        [0.97722, 0.97333, 0.71425, 1.0],
        [0.9798, 0.97613, 0.73736, 1.0],
        [0.98235, 0.97885, 0.76105, 1.0],
        [0.98483, 0.98151, 0.78529, 1.0],
        [0.98722, 0.98408, 0.81007, 1.0],
        [0.98952, 0.98658, 0.83544, 1.0],
        [0.99169, 0.98901, 0.8614, 1.0],
        [0.99371, 0.99136, 0.88792, 1.0],
        [0.99556, 0.99365, 0.91503, 1.0],
        [0.99723, 0.99585, 0.94278, 1.0],
        [0.99867, 0.99799, 0.97109, 1.0],
        [0.99986, 1, 1, 1.0],
    ],
    'cet.linear_bgyw_15_100_c68': [
        [0.10261, 0, 0.52493, 1.0],
        [0.10283, 0, 0.53197, 1.0],
        [0.10301, 0, 0.53902, 1.0],
        [0.10318, 0.0009426, 0.54604, 1.0],
        [0.10333, 0.0032938, 0.55302, 1.0],
        [0.10346, 0.0057773, 0.56, 1.0],
        [0.10358, 0.0084209, 0.56694, 1.0],
        [0.10367, 0.01129, 0.57386, 1.0],
        [0.10377, 0.014338, 0.58073, 1.0],
        [0.10383, 0.017402, 0.5876, 1.0],
        [0.1039, 0.020685, 0.59441, 1.0],
        [0.10395, 0.024094, 0.60121, 1.0],
        [0.10399, 0.027709, 0.60797, 1.0],
        [0.10402, 0.031481, 0.61469, 1.0],
        [0.10405, 0.035677, 0.62137, 1.0],
        [0.10407, 0.039812, 0.62802, 1.0],
        [0.10409, 0.043972, 0.63463, 1.0],
        [0.1041, 0.048145, 0.64118, 1.0],
        [0.10411, 0.052249, 0.64771, 1.0],
        [0.10412, 0.056438, 0.65417, 1.0],
        [0.10412, 0.060474, 0.66061, 1.0],
        [0.10414, 0.064518, 0.66698, 1.0],
        [0.10414, 0.068586, 0.67332, 1.0],
        [0.10416, 0.072559, 0.67957, 1.0],
        [0.10417, 0.076535, 0.68581, 1.0],
        [0.1042, 0.080591, 0.69196, 1.0],
        [0.10423, 0.084636, 0.69806, 1.0],
        [0.10427, 0.088643, 0.7041, 1.0],
        [0.10432, 0.092635, 0.71007, 1.0],
        [0.10438, 0.096648, 0.71599, 1.0],
        [0.10445, 0.10074, 0.72181, 1.0],
        [0.10454, 0.10477, 0.72759, 1.0],
        [0.10466, 0.1089, 0.73327, 1.0],
        [0.10478, 0.11303, 0.73891, 1.0],
        [0.10495, 0.11711, 0.74441, 1.0],
        [0.10512, 0.12123, 0.74987, 1.0],
        [0.10534, 0.12546, 0.75522, 1.0],
        [0.10558, 0.12966, 0.76048, 1.0],
        [0.10584, 0.13388, 0.76566, 1.0],
        [0.10615, 0.13816, 0.77071, 1.0],
        [0.10646, 0.14242, 0.77569, 1.0],
        [0.10681, 0.14674, 0.78053, 1.0],
        [0.10717, 0.15111, 0.78527, 1.0],
        [0.10755, 0.15551, 0.7899, 1.0],
        [0.10798, 0.15993, 0.79438, 1.0],
        [0.10845, 0.16445, 0.79875, 1.0],
        [0.10901, 0.16898, 0.80298, 1.0],
        [0.10961, 0.17353, 0.80705, 1.0],
        [0.1102, 0.17818, 0.81099, 1.0],
        [0.11082, 0.1828, 0.81477, 1.0],
        [0.1115, 0.18758, 0.81836, 1.0],
        [0.11222, 0.19233, 0.82179, 1.0],
        [0.11298, 0.19716, 0.82505, 1.0],
        [0.11375, 0.20204, 0.82808, 1.0],
        [0.11454, 0.20704, 0.83091, 1.0],
        [0.11544, 0.21207, 0.83352, 1.0],
        [0.11636, 0.21715, 0.83593, 1.0],
        [0.11726, 0.22231, 0.83805, 1.0],
        [0.11827, 0.22758, 0.83989, 1.0],
        [0.11923, 0.23291, 0.84144, 1.0],
        [0.12022, 0.23833, 0.84271, 1.0],
        [0.12122, 0.24384, 0.84364, 1.0],
        [0.12223, 0.24946, 0.84423, 1.0],
        [0.12325, 0.2552, 0.84442, 1.0],
        [0.12427, 0.26103, 0.84418, 1.0],
        [0.12527, 0.26698, 0.84347, 1.0],
        [0.12622, 0.2731, 0.84224, 1.0],
        [0.12705, 0.27937, 0.84043, 1.0],
        [0.12787, 0.28578, 0.83797, 1.0],
        [0.12853, 0.2924, 0.83479, 1.0],
        [0.129, 0.29923, 0.8308, 1.0],
        [0.12928, 0.30627, 0.82589, 1.0],
        [0.12926, 0.31358, 0.81986, 1.0],
        [0.12882, 0.3212, 0.8125, 1.0],
        [0.12785, 0.32922, 0.80355, 1.0],
        [0.12621, 0.33765, 0.79274, 1.0],
        [0.1245, 0.34613, 0.78084, 1.0],
        [0.12367, 0.35431, 0.76889, 1.0],
        [0.12366, 0.36214, 0.75705, 1.0],
        [0.12444, 0.36966, 0.74532, 1.0],
        [0.12594, 0.37693, 0.7337, 1.0],
        [0.12792, 0.38394, 0.72217, 1.0],
        [0.13044, 0.39074, 0.71074, 1.0],
        [0.13327, 0.39733, 0.69939, 1.0],
        [0.13642, 0.40376, 0.68814, 1.0],
        [0.13984, 0.41001, 0.67697, 1.0],
        [0.14348, 0.41611, 0.66586, 1.0],
        [0.14722, 0.42207, 0.65483, 1.0],
        [0.15108, 0.42792, 0.64387, 1.0],
        [0.15499, 0.43363, 0.63298, 1.0],
        [0.15896, 0.43925, 0.62214, 1.0],
        [0.16291, 0.44478, 0.61137, 1.0],
        [0.16687, 0.4502, 0.60064, 1.0],
        [0.17081, 0.45554, 0.58996, 1.0],
        [0.17471, 0.4608, 0.57934, 1.0],
        [0.17858, 0.46599, 0.56874, 1.0],
        [0.18239, 0.47111, 0.55819, 1.0],
        [0.18617, 0.47617, 0.54768, 1.0],
        [0.18985, 0.48116, 0.53721, 1.0],
        [0.19353, 0.4861, 0.52675, 1.0],
        [0.19713, 0.491, 0.51631, 1.0],
        [0.20061, 0.49582, 0.50589, 1.0],
        [0.20411, 0.50061, 0.4955, 1.0],
        [0.20751, 0.50535, 0.48511, 1.0],
        [0.21087, 0.51006, 0.47474, 1.0],
        [0.21416, 0.51473, 0.46436, 1.0],
        [0.21738, 0.51936, 0.45396, 1.0],
        [0.22058, 0.52395, 0.44356, 1.0],
        [0.2237, 0.52851, 0.43315, 1.0],
        [0.22681, 0.53303, 0.42271, 1.0],
        [0.22982, 0.53753, 0.41226, 1.0],
        [0.23283, 0.54198, 0.40175, 1.0],
        [0.23581, 0.54643, 0.39121, 1.0],
        [0.23872, 0.55083, 0.38071, 1.0],
        [0.24169, 0.55518, 0.37044, 1.0],
        [0.24469, 0.55949, 0.3605, 1.0],
        [0.24781, 0.56374, 0.35089, 1.0],
        [0.25097, 0.56793, 0.34154, 1.0],
        [0.25425, 0.57208, 0.33247, 1.0],
        [0.25761, 0.5762, 0.32363, 1.0],
        [0.26111, 0.58025, 0.31505, 1.0],
        [0.26472, 0.58427, 0.3067, 1.0],
        [0.26848, 0.58825, 0.29856, 1.0],
        [0.27234, 0.5922, 0.29062, 1.0],
        [0.27639, 0.5961, 0.28291, 1.0],
        [0.28053, 0.59996, 0.27535, 1.0],
        [0.28484, 0.6038, 0.26796, 1.0],
        [0.28931, 0.60759, 0.26077, 1.0],
        [0.29388, 0.61135, 0.25373, 1.0],
        [0.29862, 0.61508, 0.24682, 1.0],
        [0.3035, 0.61878, 0.24008, 1.0],
        [0.30855, 0.62243, 0.23349, 1.0],
        [0.31372, 0.62607, 0.22707, 1.0],
        [0.31901, 0.62967, 0.22077, 1.0],
        [0.32444, 0.63324, 0.21455, 1.0],
        [0.33002, 0.63679, 0.20847, 1.0],
        [0.3357, 0.6403, 0.20249, 1.0],
        [0.3415, 0.64378, 0.19666, 1.0],
        [0.34744, 0.64724, 0.1909, 1.0],
        [0.35349, 0.65066, 0.18533, 1.0],
        [0.35968, 0.65406, 0.17981, 1.0],
        [0.36597, 0.65744, 0.17443, 1.0],
        [0.37234, 0.66078, 0.16914, 1.0],
        [0.37883, 0.6641, 0.16394, 1.0],
        [0.38543, 0.6674, 0.15885, 1.0],
        [0.39215, 0.67066, 0.15389, 1.0],
        [0.39895, 0.6739, 0.14907, 1.0],
        [0.40585, 0.67712, 0.14434, 1.0],
        [0.41283, 0.6803, 0.13966, 1.0],
        [0.41989, 0.68346, 0.13522, 1.0],
        [0.42707, 0.6866, 0.1309, 1.0],
        [0.43431, 0.68971, 0.12666, 1.0],
        [0.44163, 0.6928, 0.12254, 1.0],
        [0.44902, 0.69586, 0.11865, 1.0],
        [0.45651, 0.69888, 0.11488, 1.0],
        [0.46408, 0.70188, 0.11136, 1.0],
        [0.4717, 0.70487, 0.1079, 1.0],
        [0.47938, 0.70783, 0.10464, 1.0],
        [0.48716, 0.71076, 0.10172, 1.0],
        [0.495, 0.71367, 0.098964, 1.0],
        [0.50288, 0.71655, 0.096355, 1.0],
        [0.51084, 0.71941, 0.094134, 1.0],
        [0.51888, 0.72223, 0.092156, 1.0],
        [0.52696, 0.72504, 0.090393, 1.0],
        [0.53508, 0.72782, 0.088892, 1.0],
        [0.54329, 0.73057, 0.087819, 1.0],
        [0.55155, 0.73329, 0.087005, 1.0],
        [0.55985, 0.73599, 0.086399, 1.0],
        [0.56821, 0.73867, 0.08621, 1.0],
        [0.57664, 0.74131, 0.086387, 1.0],
        [0.5851, 0.74394, 0.086866, 1.0],
        [0.59361, 0.74654, 0.087651, 1.0],
        [0.60218, 0.74911, 0.088758, 1.0],
        [0.61075, 0.75167, 0.090091, 1.0],
        [0.6193, 0.75421, 0.091662, 1.0],
        [0.62776, 0.75676, 0.093291, 1.0],
        [0.63618, 0.7593, 0.095179, 1.0],
        [0.64452, 0.76186, 0.097055, 1.0],
        [0.65279, 0.76442, 0.0992, 1.0],
        [0.66101, 0.76698, 0.10144, 1.0],
        [0.66917, 0.76954, 0.10382, 1.0],
        [0.67726, 0.77211, 0.10635, 1.0],
        [0.68528, 0.77468, 0.10898, 1.0],
        [0.69324, 0.77727, 0.11176, 1.0],
        [0.70115, 0.77985, 0.1146, 1.0],
        [0.70899, 0.78245, 0.11768, 1.0],
        [0.71675, 0.78505, 0.12084, 1.0],
        [0.72446, 0.78766, 0.12415, 1.0],
        [0.73211, 0.79027, 0.12759, 1.0],
        [0.73969, 0.7929, 0.13116, 1.0],
        [0.74719, 0.79554, 0.13488, 1.0],
        [0.75463, 0.79819, 0.13869, 1.0],
        [0.762, 0.80085, 0.14265, 1.0],
        [0.76931, 0.80352, 0.1467, 1.0],
        [0.77655, 0.80621, 0.15091, 1.0],
        [0.78371, 0.80891, 0.15527, 1.0],
        [0.79078, 0.81163, 0.15974, 1.0],
        [0.79778, 0.81436, 0.1644, 1.0],
        [0.80471, 0.81711, 0.16917, 1.0],
        [0.81155, 0.81987, 0.17404, 1.0],
        [0.8183, 0.82266, 0.17908, 1.0],
        [0.82496, 0.82547, 0.18425, 1.0],
        [0.83154, 0.8283, 0.18958, 1.0],
        [0.83802, 0.83116, 0.19506, 1.0],
        [0.84439, 0.83404, 0.20068, 1.0],
        [0.85066, 0.83694, 0.20653, 1.0],
        [0.85681, 0.83988, 0.21248, 1.0],
        [0.86285, 0.84285, 0.21864, 1.0],
        [0.86877, 0.84585, 0.22495, 1.0],
        [0.87454, 0.84889, 0.23152, 1.0],
        [0.88018, 0.85196, 0.23823, 1.0],
        [0.88567, 0.85508, 0.24516, 1.0],
        [0.89101, 0.85823, 0.25235, 1.0],
        [0.89617, 0.86144, 0.25975, 1.0],
        [0.90116, 0.86469, 0.26737, 1.0],
        [0.90596, 0.868, 0.27529, 1.0],
        [0.91052, 0.87137, 0.2835, 1.0],
        [0.91485, 0.87481, 0.29203, 1.0],
        [0.91894, 0.87831, 0.30086, 1.0],
        [0.92276, 0.88189, 0.31007, 1.0],
        [0.92625, 0.88556, 0.3197, 1.0],
        [0.92941, 0.88931, 0.32973, 1.0],
        [0.93217, 0.89317, 0.34027, 1.0],
        [0.93451, 0.89714, 0.3513, 1.0],
        [0.93634, 0.90125, 0.36298, 1.0],
        [0.93763, 0.9055, 0.37534, 1.0],
        [0.9387, 0.90978, 0.38837, 1.0],
        [0.93989, 0.91399, 0.40197, 1.0],
        [0.94123, 0.91811, 0.41613, 1.0],
        [0.94272, 0.92216, 0.43083, 1.0],
        [0.94436, 0.92612, 0.44608, 1.0],
        [0.94613, 0.93, 0.46186, 1.0],
        [0.94803, 0.9338, 0.47813, 1.0],
        [0.95005, 0.93753, 0.49497, 1.0],
        [0.95218, 0.94117, 0.5123, 1.0],
        [0.95441, 0.94474, 0.53014, 1.0],
        [0.95674, 0.94822, 0.54852, 1.0],
        [0.95915, 0.95163, 0.56741, 1.0],
        [0.96162, 0.95496, 0.58679, 1.0],
        [0.96415, 0.95822, 0.60671, 1.0],
        [0.96673, 0.96139, 0.62717, 1.0],
        [0.96934, 0.96449, 0.64813, 1.0],
        [0.97196, 0.96752, 0.66962, 1.0],
        [0.97459, 0.97046, 0.69168, 1.0],
        [0.97722, 0.97333, 0.71425, 1.0],
        [0.9798, 0.97613, 0.73736, 1.0],
        [0.98235, 0.97885, 0.76105, 1.0],
        [0.98483, 0.98151, 0.78529, 1.0],
        [0.98722, 0.98408, 0.81007, 1.0],
        [0.98952, 0.98658, 0.83544, 1.0],
        [0.99169, 0.98901, 0.8614, 1.0],
        [0.99371, 0.99136, 0.88792, 1.0],
        [0.99556, 0.99365, 0.91503, 1.0],
        [0.99723, 0.99585, 0.94278, 1.0],
        [0.99867, 0.99799, 0.97109, 1.0],
        [0.99986, 1, 1, 1.0],
    ],
    'cet.linear_bgyw_20_98_c66': [
        [0.019721, 0, 0.67312, 1.0],
        [0.021792, 0.0093198, 0.67457, 1.0],
        [0.023764, 0.020375, 0.67602, 1.0],
        [0.025723, 0.031533, 0.67744, 1.0],
        [0.027593, 0.042972, 0.67884, 1.0],
        [0.029434, 0.053399, 0.68022, 1.0],
        [0.0312, 0.062887, 0.68158, 1.0],
        [0.032926, 0.071508, 0.68292, 1.0],
        [0.034668, 0.079503, 0.68423, 1.0],
        [0.036359, 0.087188, 0.68553, 1.0],
        [0.037918, 0.09442, 0.68679, 1.0],
        [0.039376, 0.1013, 0.68804, 1.0],
        [0.040814, 0.10797, 0.68926, 1.0],
        [0.042148, 0.11441, 0.69045, 1.0],
        [0.043258, 0.12068, 0.69161, 1.0],
        [0.044531, 0.12678, 0.69276, 1.0],
        [0.045545, 0.13274, 0.69387, 1.0],
        [0.046606, 0.13856, 0.69495, 1.0],
        [0.047504, 0.14425, 0.69602, 1.0],
        [0.048422, 0.14985, 0.69703, 1.0],
        [0.049286, 0.15533, 0.69803, 1.0],
        [0.049957, 0.16073, 0.69899, 1.0],
        [0.050622, 0.16607, 0.69992, 1.0],
        [0.051213, 0.17134, 0.70083, 1.0],
        [0.051756, 0.17652, 0.70168, 1.0],
        [0.052246, 0.18167, 0.70251, 1.0],
        [0.052659, 0.18678, 0.70331, 1.0],
        [0.053041, 0.19182, 0.70406, 1.0],
        [0.053359, 0.19684, 0.70477, 1.0],
        [0.0536, 0.20176, 0.70545, 1.0],
        [0.05381, 0.20672, 0.70608, 1.0],
        [0.053957, 0.2116, 0.70667, 1.0],
        [0.054028, 0.21646, 0.70721, 1.0],
        [0.054057, 0.22128, 0.70771, 1.0],
        [0.054033, 0.22609, 0.70816, 1.0],
        [0.053937, 0.23085, 0.70856, 1.0],
        [0.053775, 0.23561, 0.70892, 1.0],
        [0.05358, 0.24032, 0.7092, 1.0],
        [0.053321, 0.24504, 0.70944, 1.0],
        [0.052992, 0.24974, 0.70962, 1.0],
        [0.052597, 0.25445, 0.70974, 1.0],
        [0.052169, 0.25912, 0.70979, 1.0],
        [0.051684, 0.26379, 0.70978, 1.0],
        [0.051133, 0.26843, 0.70969, 1.0],
        [0.050513, 0.27307, 0.70954, 1.0],
        [0.049841, 0.27771, 0.70932, 1.0],
        [0.049147, 0.28235, 0.709, 1.0],
        [0.04825, 0.28695, 0.70859, 1.0],
        [0.04738, 0.29159, 0.7081, 1.0],
        [0.046417, 0.29621, 0.70751, 1.0],
        [0.045403, 0.30083, 0.70682, 1.0],
        [0.044335, 0.30547, 0.70603, 1.0],
        [0.043076, 0.3101, 0.70511, 1.0],
        [0.041991, 0.31472, 0.70408, 1.0],
        [0.040637, 0.31937, 0.70291, 1.0],
        [0.039245, 0.32401, 0.70159, 1.0],
        [0.037801, 0.32869, 0.70013, 1.0],
        [0.036303, 0.33336, 0.6985, 1.0],
        [0.034665, 0.33804, 0.69669, 1.0],
        [0.033, 0.34276, 0.69467, 1.0],
        [0.031386, 0.34749, 0.69245, 1.0],
        [0.02977, 0.35224, 0.68995, 1.0],
        [0.028127, 0.35704, 0.68719, 1.0],
        [0.026459, 0.36185, 0.68412, 1.0],
        [0.02481, 0.36671, 0.6807, 1.0],
        [0.023175, 0.37161, 0.67686, 1.0],
        [0.022142, 0.37657, 0.67264, 1.0],
        [0.022449, 0.38146, 0.66815, 1.0],
        [0.024367, 0.38628, 0.66347, 1.0],
        [0.027722, 0.39108, 0.6586, 1.0],
        [0.032448, 0.39582, 0.65355, 1.0],
        [0.03852, 0.40052, 0.64833, 1.0],
        [0.045286, 0.40516, 0.64294, 1.0],
        [0.052276, 0.40978, 0.63739, 1.0],
        [0.059484, 0.41435, 0.63169, 1.0],
        [0.066532, 0.41889, 0.62583, 1.0],
        [0.073577, 0.42341, 0.61983, 1.0],
        [0.080364, 0.42791, 0.61368, 1.0],
        [0.08713, 0.43237, 0.60741, 1.0],
        [0.093557, 0.43681, 0.60099, 1.0],
        [0.099853, 0.44122, 0.59445, 1.0],
        [0.10599, 0.44562, 0.58778, 1.0],
        [0.11186, 0.45001, 0.58099, 1.0],
        [0.11745, 0.45438, 0.57408, 1.0],
        [0.12286, 0.45873, 0.56706, 1.0],
        [0.12813, 0.46305, 0.55991, 1.0],
        [0.13311, 0.46739, 0.55265, 1.0],
        [0.13789, 0.47171, 0.54528, 1.0],
        [0.1424, 0.476, 0.53781, 1.0],
        [0.14672, 0.48029, 0.53021, 1.0],
        [0.15086, 0.48457, 0.52251, 1.0],
        [0.15477, 0.48885, 0.51471, 1.0],
        [0.15849, 0.49311, 0.50679, 1.0],
        [0.16197, 0.49739, 0.49878, 1.0],
        [0.16519, 0.50165, 0.49067, 1.0],
        [0.16827, 0.50588, 0.48243, 1.0],
        [0.17113, 0.51014, 0.47409, 1.0],
        [0.17379, 0.51439, 0.46564, 1.0],
        [0.17622, 0.51863, 0.45709, 1.0],
        [0.1785, 0.52286, 0.44843, 1.0],
        [0.1805, 0.52709, 0.43965, 1.0],
        [0.18232, 0.53132, 0.43076, 1.0],
        [0.18395, 0.53555, 0.42174, 1.0],
        [0.18539, 0.53977, 0.41262, 1.0],
        [0.18656, 0.544, 0.40336, 1.0],
        [0.18757, 0.54823, 0.39396, 1.0],
        [0.18834, 0.55246, 0.38443, 1.0],
        [0.18903, 0.55666, 0.37491, 1.0],
        [0.18989, 0.56081, 0.3656, 1.0],
        [0.19095, 0.5649, 0.35655, 1.0],
        [0.19225, 0.56895, 0.34772, 1.0],
        [0.19379, 0.57295, 0.33913, 1.0],
        [0.19553, 0.57689, 0.33073, 1.0],
        [0.19754, 0.58079, 0.32256, 1.0],
        [0.19976, 0.58465, 0.31455, 1.0],
        [0.20225, 0.58845, 0.30674, 1.0],
        [0.20498, 0.59224, 0.2991, 1.0],
        [0.20794, 0.59596, 0.29161, 1.0],
        [0.21114, 0.59966, 0.28426, 1.0],
        [0.21456, 0.60332, 0.27707, 1.0],
        [0.21821, 0.60694, 0.27001, 1.0],
        [0.22206, 0.61053, 0.26306, 1.0],
        [0.22618, 0.61408, 0.25623, 1.0],
        [0.23049, 0.6176, 0.24956, 1.0],
        [0.23505, 0.62109, 0.24299, 1.0],
        [0.23975, 0.62454, 0.23654, 1.0],
        [0.24464, 0.62797, 0.23013, 1.0],
        [0.24971, 0.63137, 0.22383, 1.0],
        [0.25499, 0.63473, 0.21763, 1.0],
        [0.26043, 0.63806, 0.21154, 1.0],
        [0.26605, 0.64137, 0.2055, 1.0],
        [0.27177, 0.64465, 0.19951, 1.0],
        [0.27767, 0.6479, 0.19362, 1.0],
        [0.28367, 0.65113, 0.18778, 1.0],
        [0.28987, 0.65432, 0.18198, 1.0],
        [0.29618, 0.6575, 0.17626, 1.0],
        [0.30259, 0.66063, 0.1706, 1.0],
        [0.30913, 0.66376, 0.16494, 1.0],
        [0.31579, 0.66684, 0.15938, 1.0],
        [0.32256, 0.66991, 0.15386, 1.0],
        [0.32942, 0.67295, 0.14835, 1.0],
        [0.33634, 0.67597, 0.14288, 1.0],
        [0.34341, 0.67895, 0.13748, 1.0],
        [0.35057, 0.68191, 0.13209, 1.0],
        [0.35779, 0.68486, 0.12667, 1.0],
        [0.36507, 0.68777, 0.12127, 1.0],
        [0.37248, 0.69065, 0.11603, 1.0],
        [0.37996, 0.69352, 0.11072, 1.0],
        [0.38748, 0.69636, 0.10536, 1.0],
        [0.3951, 0.69917, 0.1001, 1.0],
        [0.40279, 0.70196, 0.094912, 1.0],
        [0.41054, 0.70473, 0.089608, 1.0],
        [0.41833, 0.70747, 0.084378, 1.0],
        [0.42622, 0.71018, 0.079119, 1.0],
        [0.43414, 0.71287, 0.073963, 1.0],
        [0.44214, 0.71554, 0.068745, 1.0],
        [0.4502, 0.71818, 0.063586, 1.0],
        [0.45829, 0.72079, 0.05835, 1.0],
        [0.46644, 0.72338, 0.053154, 1.0],
        [0.47467, 0.72595, 0.048139, 1.0],
        [0.48291, 0.72849, 0.043005, 1.0],
        [0.49122, 0.731, 0.038082, 1.0],
        [0.49958, 0.73349, 0.033323, 1.0],
        [0.50799, 0.73595, 0.029083, 1.0],
        [0.51642, 0.7384, 0.025269, 1.0],
        [0.52493, 0.7408, 0.021961, 1.0],
        [0.53346, 0.7432, 0.018981, 1.0],
        [0.54204, 0.74556, 0.016456, 1.0],
        [0.55067, 0.74789, 0.014369, 1.0],
        [0.55933, 0.7502, 0.012644, 1.0],
        [0.56805, 0.75248, 0.01132, 1.0],
        [0.5768, 0.75475, 0.010293, 1.0],
        [0.58554, 0.75698, 0.0097626, 1.0],
        [0.59425, 0.7592, 0.0095221, 1.0],
        [0.60291, 0.76143, 0.0093793, 1.0],
        [0.61149, 0.76365, 0.0093837, 1.0],
        [0.62001, 0.76588, 0.0095486, 1.0],
        [0.62846, 0.7681, 0.0098317, 1.0],
        [0.63684, 0.77033, 0.010273, 1.0],
        [0.64515, 0.77256, 0.010973, 1.0],
        [0.6534, 0.77478, 0.011934, 1.0],
        [0.6616, 0.77702, 0.012885, 1.0],
        [0.66973, 0.77925, 0.014059, 1.0],
        [0.6778, 0.78149, 0.015391, 1.0],
        [0.68581, 0.78373, 0.016941, 1.0],
        [0.69375, 0.78598, 0.018714, 1.0],
        [0.70164, 0.78822, 0.02067, 1.0],
        [0.70948, 0.79047, 0.022856, 1.0],
        [0.71724, 0.79273, 0.02532, 1.0],
        [0.72495, 0.79499, 0.027999, 1.0],
        [0.73261, 0.79726, 0.030918, 1.0],
        [0.74019, 0.79954, 0.034117, 1.0],
        [0.74772, 0.80182, 0.037833, 1.0],
        [0.75519, 0.80411, 0.041619, 1.0],
        [0.7626, 0.80641, 0.045386, 1.0],
        [0.76994, 0.80872, 0.049415, 1.0],
        [0.77723, 0.81104, 0.053367, 1.0],
        [0.78444, 0.81337, 0.057479, 1.0],
        [0.79159, 0.81571, 0.061666, 1.0],
        [0.79868, 0.81806, 0.065966, 1.0],
        [0.80569, 0.82043, 0.070321, 1.0],
        [0.81263, 0.82282, 0.074765, 1.0],
        [0.8195, 0.82521, 0.079243, 1.0],
        [0.82631, 0.82763, 0.083887, 1.0],
        [0.83303, 0.83006, 0.088519, 1.0],
        [0.83968, 0.83251, 0.093204, 1.0],
        [0.84624, 0.83498, 0.098097, 1.0],
        [0.85271, 0.83747, 0.10302, 1.0],
        [0.85909, 0.83999, 0.10799, 1.0],
        [0.86538, 0.84253, 0.11317, 1.0],
        [0.87158, 0.84509, 0.11836, 1.0],
        [0.87768, 0.84768, 0.12362, 1.0],
        [0.88367, 0.85031, 0.12904, 1.0],
        [0.88954, 0.85296, 0.13462, 1.0],
        [0.89531, 0.85565, 0.14024, 1.0],
        [0.90094, 0.85837, 0.14604, 1.0],
        [0.90644, 0.86113, 0.15193, 1.0],
        [0.9118, 0.86394, 0.15801, 1.0],
        [0.91702, 0.86679, 0.16424, 1.0],
        [0.92207, 0.86968, 0.17059, 1.0],
        [0.92694, 0.87264, 0.17716, 1.0],
        [0.93162, 0.87565, 0.18392, 1.0],
        [0.9361, 0.87872, 0.19089, 1.0],
        [0.94037, 0.88186, 0.19807, 1.0],
        [0.9444, 0.88507, 0.2055, 1.0],
        [0.94813, 0.88837, 0.21323, 1.0],
        [0.95158, 0.89176, 0.22126, 1.0],
        [0.9547, 0.89524, 0.22957, 1.0],
        [0.95743, 0.89884, 0.23832, 1.0],
        [0.95979, 0.90256, 0.24754, 1.0],
        [0.96199, 0.9063, 0.25771, 1.0],
        [0.96425, 0.90998, 0.26918, 1.0],
        [0.96658, 0.91361, 0.28181, 1.0],
        [0.96896, 0.91718, 0.29575, 1.0],
        [0.9714, 0.92068, 0.31084, 1.0],
        [0.97388, 0.92413, 0.32705, 1.0],
        [0.9764, 0.92751, 0.34453, 1.0],
        [0.97893, 0.93084, 0.36314, 1.0],
        [0.98148, 0.93409, 0.38291, 1.0],
        [0.98401, 0.93727, 0.40392, 1.0],
        [0.98651, 0.94038, 0.42621, 1.0],
        [0.98895, 0.94342, 0.4498, 1.0],
        [0.9913, 0.94637, 0.47473, 1.0],
        [0.99352, 0.94926, 0.50109, 1.0],
        [0.99555, 0.95206, 0.52897, 1.0],
        [0.99736, 0.95478, 0.55845, 1.0],
        [0.99887, 0.95742, 0.58967, 1.0],
        [1, 0.95997, 0.62277, 1.0],
        [1, 0.96243, 0.65786, 1.0],
        [1, 0.96481, 0.6951, 1.0],
        [1, 0.96711, 0.7347, 1.0],
        [0.99841, 0.96931, 0.77694, 1.0],
        [0.99564, 0.97144, 0.82203, 1.0],
        [0.99146, 0.97349, 0.87012, 1.0],
        [0.98544, 0.97545, 0.92187, 1.0],
        [0.97718, 0.97737, 0.97732, 1.0],
    ],
    'cet.linear_blue_5_95_c73': [
        [0, 0.0024382, 0.30687, 1.0],
        [0, 0.0044692, 0.31437, 1.0],
        [0, 0.0062324, 0.32191, 1.0],
        [0, 0.0077305, 0.32951, 1.0],
        [0, 0.008958, 0.33713, 1.0],
        [0, 0.0098968, 0.34479, 1.0],
        [0, 0.010555, 0.35249, 1.0],
        [0, 0.011009, 0.36023, 1.0],
        [0, 0.01114, 0.36802, 1.0],
        [0.0018829, 0.010944, 0.37585, 1.0],
        [0.0043414, 0.010697, 0.38371, 1.0],
        [0.0068536, 0.010463, 0.39161, 1.0],
        [0.0094655, 0.010231, 0.39952, 1.0],
        [0.01235, 0.0099983, 0.4075, 1.0],
        [0.015052, 0.0097591, 0.4155, 1.0],
        [0.017851, 0.0094983, 0.42354, 1.0],
        [0.020695, 0.0092222, 0.43163, 1.0],
        [0.02357, 0.0089375, 0.43973, 1.0],
        [0.026496, 0.0086445, 0.44787, 1.0],
        [0.029448, 0.0083501, 0.45605, 1.0],
        [0.032396, 0.0080591, 0.46429, 1.0],
        [0.03558, 0.0077658, 0.47253, 1.0],
        [0.038524, 0.0074701, 0.48082, 1.0],
        [0.041458, 0.0071848, 0.48915, 1.0],
        [0.044141, 0.0069073, 0.49753, 1.0],
        [0.04679, 0.0066377, 0.50593, 1.0],
        [0.04932, 0.0063792, 0.51438, 1.0],
        [0.051527, 0.0061442, 0.52287, 1.0],
        [0.053656, 0.0059329, 0.53139, 1.0],
        [0.055683, 0.0057462, 0.53995, 1.0],
        [0.057455, 0.0055887, 0.54857, 1.0],
        [0.059195, 0.0054661, 0.55722, 1.0],
        [0.060593, 0.0053876, 0.5659, 1.0],
        [0.061766, 0.0053629, 0.57464, 1.0],
        [0.062841, 0.0053961, 0.58343, 1.0],
        [0.063532, 0.0054935, 0.59227, 1.0],
        [0.063966, 0.0056647, 0.60114, 1.0],
        [0.0641, 0.0059201, 0.61007, 1.0],
        [0.063882, 0.0062716, 0.61907, 1.0],
        [0.063281, 0.0067326, 0.6281, 1.0],
        [0.062148, 0.0073175, 0.63719, 1.0],
        [0.060493, 0.0080408, 0.64634, 1.0],
        [0.058092, 0.008929, 0.65557, 1.0],
        [0.055233, 0.0099623, 0.66482, 1.0],
        [0.052105, 0.011266, 0.67402, 1.0],
        [0.049146, 0.012683, 0.68314, 1.0],
        [0.046014, 0.014144, 0.69216, 1.0],
        [0.04309, 0.015741, 0.70108, 1.0],
        [0.040435, 0.017485, 0.70992, 1.0],
        [0.037863, 0.019379, 0.71866, 1.0],
        [0.035616, 0.021429, 0.72731, 1.0],
        [0.033428, 0.02364, 0.73587, 1.0],
        [0.031841, 0.026021, 0.74433, 1.0],
        [0.030635, 0.028579, 0.75268, 1.0],
        [0.029823, 0.031319, 0.76095, 1.0],
        [0.029422, 0.034249, 0.7691, 1.0],
        [0.029449, 0.037557, 0.77717, 1.0],
        [0.029926, 0.040864, 0.78513, 1.0],
        [0.030874, 0.044198, 0.793, 1.0],
        [0.032312, 0.047578, 0.80076, 1.0],
        [0.034281, 0.051036, 0.80842, 1.0],
        [0.036977, 0.054512, 0.81597, 1.0],
        [0.040055, 0.058003, 0.82341, 1.0],
        [0.043483, 0.061561, 0.83076, 1.0],
        [0.047434, 0.065191, 0.83799, 1.0],
        [0.051627, 0.068868, 0.84513, 1.0],
        [0.056188, 0.072421, 0.85216, 1.0],
        [0.060871, 0.076069, 0.85907, 1.0],
        [0.065858, 0.079772, 0.86589, 1.0],
        [0.071059, 0.083524, 0.87259, 1.0],
        [0.07632, 0.087319, 0.87918, 1.0],
        [0.081824, 0.091117, 0.88564, 1.0],
        [0.087161, 0.095093, 0.89195, 1.0],
        [0.092292, 0.099225, 0.89805, 1.0],
        [0.097256, 0.10365, 0.90395, 1.0],
        [0.10208, 0.10819, 0.90965, 1.0],
        [0.10678, 0.11304, 0.91514, 1.0],
        [0.11126, 0.11798, 0.92041, 1.0],
        [0.11561, 0.12306, 0.92547, 1.0],
        [0.11981, 0.12837, 0.93032, 1.0],
        [0.12389, 0.13378, 0.93496, 1.0],
        [0.12789, 0.13928, 0.9394, 1.0],
        [0.13172, 0.14498, 0.94362, 1.0],
        [0.13541, 0.15071, 0.94764, 1.0],
        [0.13898, 0.15659, 0.95143, 1.0],
        [0.14245, 0.16255, 0.95501, 1.0],
        [0.14579, 0.16859, 0.95837, 1.0],
        [0.14895, 0.17474, 0.96151, 1.0],
        [0.15202, 0.18091, 0.96444, 1.0],
        [0.15497, 0.18721, 0.96717, 1.0],
        [0.15778, 0.19355, 0.96967, 1.0],
        [0.16044, 0.19992, 0.97196, 1.0],
        [0.16301, 0.20643, 0.97403, 1.0],
        [0.16537, 0.21292, 0.97587, 1.0],
        [0.16765, 0.21951, 0.9775, 1.0],
        [0.16978, 0.22614, 0.9789, 1.0],
        [0.17171, 0.23278, 0.9801, 1.0],
        [0.17352, 0.2395, 0.98107, 1.0],
        [0.17518, 0.24623, 0.98183, 1.0],
        [0.17664, 0.25301, 0.98238, 1.0],
        [0.17803, 0.25977, 0.98279, 1.0],
        [0.17924, 0.26645, 0.98317, 1.0],
        [0.18037, 0.27304, 0.98356, 1.0],
        [0.18141, 0.27957, 0.98394, 1.0],
        [0.18236, 0.28598, 0.98432, 1.0],
        [0.18323, 0.29237, 0.98469, 1.0],
        [0.18401, 0.29868, 0.98507, 1.0],
        [0.1847, 0.30493, 0.98544, 1.0],
        [0.1853, 0.31112, 0.9858, 1.0],
        [0.1858, 0.31725, 0.98617, 1.0],
        [0.18619, 0.32334, 0.98654, 1.0],
        [0.18649, 0.32939, 0.9869, 1.0],
        [0.18671, 0.33539, 0.98726, 1.0],
        [0.18684, 0.34133, 0.98762, 1.0],
        [0.18688, 0.34725, 0.98797, 1.0],
        [0.18682, 0.35312, 0.98832, 1.0],
        [0.18667, 0.35896, 0.98868, 1.0],
        [0.18643, 0.36477, 0.98903, 1.0],
        [0.1861, 0.37054, 0.98937, 1.0],
        [0.18568, 0.37631, 0.98972, 1.0],
        [0.18513, 0.38201, 0.99006, 1.0],
        [0.18448, 0.38771, 0.9904, 1.0],
        [0.18373, 0.39338, 0.99074, 1.0],
        [0.18287, 0.39902, 0.99107, 1.0],
        [0.18192, 0.40464, 0.9914, 1.0],
        [0.18086, 0.41025, 0.99173, 1.0],
        [0.17969, 0.41582, 0.99206, 1.0],
        [0.17843, 0.42137, 0.99239, 1.0],
        [0.17708, 0.42691, 0.99271, 1.0],
        [0.17576, 0.43242, 0.99301, 1.0],
        [0.17462, 0.43788, 0.9933, 1.0],
        [0.17355, 0.44331, 0.99356, 1.0],
        [0.17263, 0.44871, 0.99381, 1.0],
        [0.17185, 0.45406, 0.99403, 1.0],
        [0.17122, 0.4594, 0.99423, 1.0],
        [0.17072, 0.4647, 0.99442, 1.0],
        [0.17037, 0.46998, 0.99459, 1.0],
        [0.17015, 0.47522, 0.99473, 1.0],
        [0.17008, 0.48043, 0.99486, 1.0],
        [0.17016, 0.48562, 0.99497, 1.0],
        [0.17038, 0.4908, 0.99505, 1.0],
        [0.17077, 0.49593, 0.99512, 1.0],
        [0.17131, 0.50106, 0.99517, 1.0],
        [0.17201, 0.50615, 0.99519, 1.0],
        [0.17286, 0.51122, 0.9952, 1.0],
        [0.17386, 0.51627, 0.99519, 1.0],
        [0.17503, 0.52131, 0.99516, 1.0],
        [0.17629, 0.52633, 0.9951, 1.0],
        [0.17778, 0.53132, 0.99503, 1.0],
        [0.17936, 0.5363, 0.99494, 1.0],
        [0.1811, 0.54125, 0.99482, 1.0],
        [0.18299, 0.5462, 0.99469, 1.0],
        [0.18504, 0.55111, 0.99454, 1.0],
        [0.1872, 0.55601, 0.99436, 1.0],
        [0.18948, 0.5609, 0.99417, 1.0],
        [0.19189, 0.56577, 0.99396, 1.0],
        [0.19443, 0.57063, 0.99373, 1.0],
        [0.19686, 0.5755, 0.99349, 1.0],
        [0.19906, 0.58036, 0.99326, 1.0],
        [0.2011, 0.58524, 0.99303, 1.0],
        [0.20297, 0.59011, 0.99281, 1.0],
        [0.20464, 0.59499, 0.9926, 1.0],
        [0.20612, 0.59989, 0.99239, 1.0],
        [0.2074, 0.60479, 0.99218, 1.0],
        [0.2085, 0.60969, 0.99198, 1.0],
        [0.20942, 0.6146, 0.99179, 1.0],
        [0.21016, 0.61953, 0.9916, 1.0],
        [0.21072, 0.62445, 0.99142, 1.0],
        [0.21111, 0.62938, 0.99124, 1.0],
        [0.21132, 0.63432, 0.99107, 1.0],
        [0.21135, 0.63926, 0.9909, 1.0],
        [0.2112, 0.64421, 0.99074, 1.0],
        [0.21086, 0.64918, 0.99058, 1.0],
        [0.21033, 0.65414, 0.99043, 1.0],
        [0.20961, 0.65911, 0.99029, 1.0],
        [0.2087, 0.66409, 0.99015, 1.0],
        [0.2076, 0.66908, 0.99002, 1.0],
        [0.20631, 0.67406, 0.98989, 1.0],
        [0.20478, 0.67906, 0.98977, 1.0],
        [0.20305, 0.68406, 0.98965, 1.0],
        [0.20108, 0.68908, 0.98954, 1.0],
        [0.1989, 0.69409, 0.98943, 1.0],
        [0.19651, 0.69911, 0.98933, 1.0],
        [0.19382, 0.70414, 0.98924, 1.0],
        [0.19088, 0.70918, 0.98914, 1.0],
        [0.18788, 0.71421, 0.98905, 1.0],
        [0.18488, 0.71923, 0.98895, 1.0],
        [0.18198, 0.72423, 0.98883, 1.0],
        [0.17926, 0.72923, 0.98871, 1.0],
        [0.17665, 0.73421, 0.98857, 1.0],
        [0.17423, 0.73918, 0.98842, 1.0],
        [0.17193, 0.74412, 0.98825, 1.0],
        [0.16983, 0.74906, 0.98808, 1.0],
        [0.16785, 0.75399, 0.98789, 1.0],
        [0.16608, 0.7589, 0.9877, 1.0],
        [0.16452, 0.76381, 0.98749, 1.0],
        [0.16316, 0.76869, 0.98727, 1.0],
        [0.16202, 0.77357, 0.98703, 1.0],
        [0.1611, 0.77844, 0.98679, 1.0],
        [0.16037, 0.7833, 0.98653, 1.0],
        [0.15991, 0.78814, 0.98626, 1.0],
        [0.1597, 0.79298, 0.98597, 1.0],
        [0.15972, 0.7978, 0.98568, 1.0],
        [0.15999, 0.80261, 0.98537, 1.0],
        [0.16053, 0.80742, 0.98505, 1.0],
        [0.16137, 0.81221, 0.98472, 1.0],
        [0.16241, 0.81699, 0.98438, 1.0],
        [0.16373, 0.82176, 0.98402, 1.0],
        [0.16523, 0.82652, 0.98365, 1.0],
        [0.16707, 0.83127, 0.98327, 1.0],
        [0.1691, 0.83601, 0.98287, 1.0],
        [0.17134, 0.84074, 0.98247, 1.0],
        [0.17387, 0.84546, 0.98205, 1.0],
        [0.17729, 0.85015, 0.98162, 1.0],
        [0.18258, 0.85474, 0.98119, 1.0],
        [0.19003, 0.85923, 0.98076, 1.0],
        [0.19916, 0.86363, 0.98033, 1.0],
        [0.20965, 0.86794, 0.97991, 1.0],
        [0.22117, 0.87217, 0.97948, 1.0],
        [0.23338, 0.87632, 0.97905, 1.0],
        [0.24622, 0.88041, 0.97862, 1.0],
        [0.25953, 0.88443, 0.9782, 1.0],
        [0.27309, 0.8884, 0.97777, 1.0],
        [0.28681, 0.89231, 0.97734, 1.0],
        [0.30063, 0.89617, 0.97691, 1.0],
        [0.31448, 0.89998, 0.97648, 1.0],
        [0.32832, 0.90375, 0.97605, 1.0],
        [0.34224, 0.90747, 0.97562, 1.0],
        [0.35613, 0.91115, 0.97518, 1.0],
        [0.36991, 0.91479, 0.97475, 1.0],
        [0.38361, 0.9184, 0.97431, 1.0],
        [0.39728, 0.92197, 0.97387, 1.0],
        [0.4109, 0.9255, 0.97343, 1.0],
        [0.42439, 0.92899, 0.973, 1.0],
        [0.43779, 0.93247, 0.97255, 1.0],
        [0.45116, 0.9359, 0.97211, 1.0],
        [0.46443, 0.93931, 0.97166, 1.0],
        [0.47755, 0.94269, 0.97121, 1.0],
        [0.49069, 0.94603, 0.97076, 1.0],
        [0.5037, 0.94935, 0.97031, 1.0],
        [0.51659, 0.95265, 0.96986, 1.0],
        [0.52949, 0.95592, 0.9694, 1.0],
        [0.54227, 0.95916, 0.96894, 1.0],
        [0.55496, 0.96238, 0.96849, 1.0],
        [0.56763, 0.96557, 0.96803, 1.0],
        [0.58018, 0.96874, 0.96756, 1.0],
        [0.59271, 0.97189, 0.9671, 1.0],
        [0.60515, 0.97501, 0.96663, 1.0],
        [0.61751, 0.97812, 0.96616, 1.0],
        [0.62987, 0.98119, 0.96569, 1.0],
        [0.64213, 0.98425, 0.96521, 1.0],
        [0.65436, 0.98729, 0.96474, 1.0],
        [0.66654, 0.9903, 0.96426, 1.0],
        [0.67864, 0.9933, 0.96378, 1.0],
        [0.69072, 0.99626, 0.9633, 1.0],
        [0.70271, 0.99922, 0.96282, 1.0],
    ],
    'cet.linear_blue_95_50_c20': [
        [0.94334, 0.94353, 0.94348, 1.0],
        [0.94036, 0.94166, 0.94325, 1.0],
        [0.93738, 0.9398, 0.94302, 1.0],
        [0.93439, 0.93793, 0.94278, 1.0],
        [0.93141, 0.93607, 0.94255, 1.0],
        [0.92843, 0.9342, 0.94231, 1.0],
        [0.92545, 0.93234, 0.94206, 1.0],
        [0.92247, 0.93048, 0.94182, 1.0],
        [0.91948, 0.92862, 0.94157, 1.0],
        [0.9165, 0.92676, 0.94131, 1.0],
        [0.91352, 0.9249, 0.94106, 1.0],
        [0.91054, 0.92304, 0.9408, 1.0],
        [0.90755, 0.92118, 0.94054, 1.0],
        [0.90456, 0.91932, 0.94028, 1.0],
        [0.90157, 0.91747, 0.94001, 1.0],
        [0.89858, 0.91561, 0.93974, 1.0],
        [0.8956, 0.91376, 0.93947, 1.0],
        [0.89261, 0.9119, 0.93919, 1.0],
        [0.88962, 0.91005, 0.93891, 1.0],
        [0.88663, 0.9082, 0.93863, 1.0],
        [0.88364, 0.90635, 0.93834, 1.0],
        [0.88065, 0.90449, 0.93805, 1.0],
        [0.87766, 0.90264, 0.93776, 1.0],
        [0.87466, 0.90079, 0.93746, 1.0],
        [0.87167, 0.89894, 0.93716, 1.0],
        [0.86868, 0.8971, 0.93686, 1.0],
        [0.86569, 0.89525, 0.93655, 1.0],
        [0.8627, 0.89339, 0.93624, 1.0],
        [0.8597, 0.89155, 0.93593, 1.0],
        [0.8567, 0.8897, 0.93561, 1.0],
        [0.8537, 0.88785, 0.93528, 1.0],
        [0.85071, 0.88601, 0.93496, 1.0],
        [0.84771, 0.88417, 0.93463, 1.0],
        [0.84472, 0.88232, 0.9343, 1.0],
        [0.84172, 0.88048, 0.93396, 1.0],
        [0.83872, 0.87864, 0.93362, 1.0],
        [0.83572, 0.87679, 0.93327, 1.0],
        [0.83272, 0.87495, 0.93292, 1.0],
        [0.82973, 0.87311, 0.93257, 1.0],
        [0.82673, 0.87127, 0.93222, 1.0],
        [0.82373, 0.86943, 0.93186, 1.0],
        [0.82073, 0.86759, 0.93149, 1.0],
        [0.81773, 0.86575, 0.93112, 1.0],
        [0.81473, 0.86392, 0.93075, 1.0],
        [0.81173, 0.86208, 0.93037, 1.0],
        [0.80873, 0.86025, 0.92999, 1.0],
        [0.80573, 0.85841, 0.9296, 1.0],
        [0.80273, 0.85657, 0.92921, 1.0],
        [0.79973, 0.85474, 0.92881, 1.0],
        [0.79673, 0.85291, 0.92841, 1.0],
        [0.79374, 0.85107, 0.928, 1.0],
        [0.79073, 0.84924, 0.92759, 1.0],
        [0.78773, 0.8474, 0.92717, 1.0],
        [0.78474, 0.84557, 0.92675, 1.0],
        [0.78174, 0.84374, 0.92633, 1.0],
        [0.77873, 0.84191, 0.9259, 1.0],
        [0.77573, 0.84009, 0.92546, 1.0],
        [0.77274, 0.83825, 0.92502, 1.0],
        [0.76974, 0.83642, 0.92457, 1.0],
        [0.76674, 0.8346, 0.92412, 1.0],
        [0.76375, 0.83277, 0.92366, 1.0],
        [0.76075, 0.83094, 0.92319, 1.0],
        [0.75776, 0.82912, 0.92272, 1.0],
        [0.75477, 0.82729, 0.92224, 1.0],
        [0.75178, 0.82546, 0.92176, 1.0],
        [0.74878, 0.82363, 0.92127, 1.0],
        [0.74579, 0.82181, 0.92077, 1.0],
        [0.7428, 0.81998, 0.92027, 1.0],
        [0.73982, 0.81816, 0.91976, 1.0],
        [0.73683, 0.81634, 0.91924, 1.0],
        [0.73384, 0.81451, 0.91871, 1.0],
        [0.73086, 0.81269, 0.91818, 1.0],
        [0.72788, 0.81087, 0.91765, 1.0],
        [0.72491, 0.80905, 0.9171, 1.0],
        [0.72192, 0.80723, 0.91654, 1.0],
        [0.71895, 0.8054, 0.91598, 1.0],
        [0.71599, 0.80358, 0.91541, 1.0],
        [0.71301, 0.80176, 0.91483, 1.0],
        [0.71005, 0.79995, 0.91424, 1.0],
        [0.70709, 0.79812, 0.91365, 1.0],
        [0.70413, 0.7963, 0.91304, 1.0],
        [0.70117, 0.79449, 0.91242, 1.0],
        [0.69822, 0.79266, 0.91179, 1.0],
        [0.69528, 0.79084, 0.91116, 1.0],
        [0.69234, 0.78903, 0.91051, 1.0],
        [0.6894, 0.78721, 0.90986, 1.0],
        [0.68646, 0.78539, 0.90919, 1.0],
        [0.68354, 0.78357, 0.90851, 1.0],
        [0.68061, 0.78175, 0.90782, 1.0],
        [0.67771, 0.77993, 0.90711, 1.0],
        [0.6748, 0.77812, 0.9064, 1.0],
        [0.6719, 0.7763, 0.90567, 1.0],
        [0.66901, 0.77447, 0.90492, 1.0],
        [0.66612, 0.77266, 0.90416, 1.0],
        [0.66325, 0.77084, 0.90339, 1.0],
        [0.66038, 0.76902, 0.9026, 1.0],
        [0.65753, 0.7672, 0.90179, 1.0],
        [0.65467, 0.76538, 0.90097, 1.0],
        [0.65185, 0.76356, 0.90013, 1.0],
        [0.64903, 0.76174, 0.89928, 1.0],
        [0.64622, 0.75992, 0.89839, 1.0],
        [0.64342, 0.7581, 0.8975, 1.0],
        [0.64065, 0.75627, 0.89658, 1.0],
        [0.63789, 0.75445, 0.89563, 1.0],
        [0.63514, 0.75262, 0.89466, 1.0],
        [0.63243, 0.7508, 0.89366, 1.0],
        [0.62972, 0.74897, 0.89264, 1.0],
        [0.62705, 0.74715, 0.89159, 1.0],
        [0.6244, 0.74531, 0.8905, 1.0],
        [0.62177, 0.74349, 0.88938, 1.0],
        [0.61919, 0.74165, 0.88823, 1.0],
        [0.61663, 0.73982, 0.88703, 1.0],
        [0.6141, 0.73798, 0.88579, 1.0],
        [0.61162, 0.73613, 0.8845, 1.0],
        [0.60918, 0.73429, 0.88317, 1.0],
        [0.60674, 0.73245, 0.88182, 1.0],
        [0.60432, 0.73061, 0.88046, 1.0],
        [0.6019, 0.72876, 0.87909, 1.0],
        [0.5995, 0.72692, 0.87772, 1.0],
        [0.59711, 0.72508, 0.87632, 1.0],
        [0.59471, 0.72323, 0.87492, 1.0],
        [0.59235, 0.72139, 0.87351, 1.0],
        [0.58997, 0.71955, 0.87209, 1.0],
        [0.58761, 0.71771, 0.87065, 1.0],
        [0.58527, 0.71586, 0.86921, 1.0],
        [0.58292, 0.71402, 0.86776, 1.0],
        [0.58059, 0.71217, 0.86629, 1.0],
        [0.57827, 0.71033, 0.86481, 1.0],
        [0.57597, 0.70849, 0.86333, 1.0],
        [0.57366, 0.70665, 0.86183, 1.0],
        [0.57136, 0.7048, 0.86033, 1.0],
        [0.56908, 0.70296, 0.8588, 1.0],
        [0.56682, 0.70112, 0.85727, 1.0],
        [0.56455, 0.69927, 0.85574, 1.0],
        [0.5623, 0.69743, 0.85418, 1.0],
        [0.56006, 0.69559, 0.85263, 1.0],
        [0.55782, 0.69375, 0.85105, 1.0],
        [0.55559, 0.69191, 0.84947, 1.0],
        [0.55338, 0.69007, 0.84788, 1.0],
        [0.55118, 0.68823, 0.84627, 1.0],
        [0.549, 0.68638, 0.84466, 1.0],
        [0.54681, 0.68454, 0.84304, 1.0],
        [0.54464, 0.6827, 0.8414, 1.0],
        [0.54248, 0.68085, 0.83976, 1.0],
        [0.54033, 0.67901, 0.8381, 1.0],
        [0.53819, 0.67718, 0.83644, 1.0],
        [0.53605, 0.67533, 0.83476, 1.0],
        [0.53393, 0.67349, 0.83307, 1.0],
        [0.53183, 0.67165, 0.83138, 1.0],
        [0.52973, 0.66981, 0.82967, 1.0],
        [0.52764, 0.66797, 0.82795, 1.0],
        [0.52557, 0.66613, 0.82622, 1.0],
        [0.5235, 0.66429, 0.82448, 1.0],
        [0.52144, 0.66245, 0.82274, 1.0],
        [0.5194, 0.6606, 0.82097, 1.0],
        [0.51737, 0.65876, 0.8192, 1.0],
        [0.51534, 0.65693, 0.81742, 1.0],
        [0.51333, 0.65508, 0.81564, 1.0],
        [0.51133, 0.65324, 0.81383, 1.0],
        [0.50934, 0.65141, 0.81203, 1.0],
        [0.50737, 0.64957, 0.8102, 1.0],
        [0.50539, 0.64772, 0.80838, 1.0],
        [0.50344, 0.64588, 0.80654, 1.0],
        [0.5015, 0.64404, 0.80469, 1.0],
        [0.49956, 0.64221, 0.80282, 1.0],
        [0.49765, 0.64037, 0.80095, 1.0],
        [0.49573, 0.63853, 0.79907, 1.0],
        [0.49383, 0.6367, 0.79718, 1.0],
        [0.49195, 0.63486, 0.79528, 1.0],
        [0.49007, 0.63302, 0.79337, 1.0],
        [0.4882, 0.63118, 0.79145, 1.0],
        [0.48631, 0.62934, 0.78955, 1.0],
        [0.48439, 0.62751, 0.78769, 1.0],
        [0.48243, 0.62568, 0.78587, 1.0],
        [0.48043, 0.62386, 0.78409, 1.0],
        [0.4784, 0.62203, 0.78233, 1.0],
        [0.47634, 0.62022, 0.78062, 1.0],
        [0.47423, 0.61841, 0.77894, 1.0],
        [0.47211, 0.6166, 0.77729, 1.0],
        [0.46995, 0.61479, 0.77567, 1.0],
        [0.46775, 0.61298, 0.77408, 1.0],
        [0.46552, 0.61119, 0.77252, 1.0],
        [0.46327, 0.60939, 0.77099, 1.0],
        [0.461, 0.6076, 0.76947, 1.0],
        [0.4587, 0.6058, 0.76799, 1.0],
        [0.45636, 0.60403, 0.76653, 1.0],
        [0.45401, 0.60223, 0.7651, 1.0],
        [0.45164, 0.60045, 0.76367, 1.0],
        [0.44923, 0.59867, 0.76228, 1.0],
        [0.4468, 0.5969, 0.76091, 1.0],
        [0.44436, 0.59512, 0.75956, 1.0],
        [0.44188, 0.59336, 0.75823, 1.0],
        [0.43937, 0.59159, 0.75691, 1.0],
        [0.43686, 0.58981, 0.75562, 1.0],
        [0.43431, 0.58805, 0.75434, 1.0],
        [0.43176, 0.5863, 0.75308, 1.0],
        [0.42917, 0.58454, 0.75184, 1.0],
        [0.42655, 0.58278, 0.75061, 1.0],
        [0.42392, 0.58102, 0.74939, 1.0],
        [0.42127, 0.57928, 0.74821, 1.0],
        [0.4186, 0.57752, 0.74702, 1.0],
        [0.41591, 0.57578, 0.74586, 1.0],
        [0.4132, 0.57403, 0.7447, 1.0],
        [0.41046, 0.57229, 0.74357, 1.0],
        [0.4077, 0.57054, 0.74245, 1.0],
        [0.40491, 0.56881, 0.74133, 1.0],
        [0.40211, 0.56708, 0.74024, 1.0],
        [0.39929, 0.56533, 0.73915, 1.0],
        [0.39645, 0.56361, 0.73807, 1.0],
        [0.39358, 0.56188, 0.73701, 1.0],
        [0.3907, 0.56015, 0.73596, 1.0],
        [0.38779, 0.55842, 0.73493, 1.0],
        [0.38485, 0.5567, 0.7339, 1.0],
        [0.3819, 0.55498, 0.73288, 1.0],
        [0.37893, 0.55325, 0.73187, 1.0],
        [0.37593, 0.55154, 0.73088, 1.0],
        [0.3729, 0.54983, 0.72989, 1.0],
        [0.36986, 0.54812, 0.72892, 1.0],
        [0.36679, 0.54641, 0.72795, 1.0],
        [0.36369, 0.54469, 0.72699, 1.0],
        [0.36057, 0.54299, 0.72605, 1.0],
        [0.35745, 0.54127, 0.72511, 1.0],
        [0.35426, 0.53957, 0.72418, 1.0],
        [0.35108, 0.53788, 0.72326, 1.0],
        [0.34785, 0.53617, 0.72235, 1.0],
        [0.3446, 0.53447, 0.72144, 1.0],
        [0.34133, 0.53278, 0.72055, 1.0],
        [0.33801, 0.53108, 0.71967, 1.0],
        [0.3347, 0.52939, 0.71879, 1.0],
        [0.33131, 0.5277, 0.71792, 1.0],
        [0.32793, 0.52601, 0.71706, 1.0],
        [0.3245, 0.52432, 0.7162, 1.0],
        [0.32105, 0.52263, 0.71535, 1.0],
        [0.31756, 0.52095, 0.7145, 1.0],
        [0.31404, 0.51927, 0.71368, 1.0],
        [0.31049, 0.5176, 0.71284, 1.0],
        [0.30689, 0.5159, 0.71203, 1.0],
        [0.30325, 0.51424, 0.71122, 1.0],
        [0.2996, 0.51256, 0.71041, 1.0],
        [0.29588, 0.51089, 0.70961, 1.0],
        [0.29213, 0.50922, 0.70882, 1.0],
        [0.28834, 0.50755, 0.70803, 1.0],
        [0.2845, 0.50587, 0.70724, 1.0],
        [0.28061, 0.50422, 0.70647, 1.0],
        [0.27671, 0.50255, 0.7057, 1.0],
        [0.27272, 0.50089, 0.70494, 1.0],
        [0.2687, 0.49923, 0.70418, 1.0],
        [0.26461, 0.49758, 0.70343, 1.0],
        [0.26047, 0.49591, 0.70268, 1.0],
        [0.25627, 0.49427, 0.70194, 1.0],
        [0.25203, 0.4926, 0.70121, 1.0],
        [0.24771, 0.49097, 0.70048, 1.0],
        [0.24329, 0.4893, 0.69975, 1.0],
        [0.23883, 0.48767, 0.69903, 1.0],
        [0.23431, 0.48601, 0.69831, 1.0],
        [0.22967, 0.48437, 0.6976, 1.0],
    ],
    'cet.linear_bmw_5_95_c86': [
        [0, 0.0078689, 0.29563, 1.0],
        [0, 0.01018, 0.30347, 1.0],
        [0, 0.01249, 0.31136, 1.0],
        [0, 0.014296, 0.31929, 1.0],
        [0, 0.015847, 0.32724, 1.0],
        [0, 0.01713, 0.33526, 1.0],
        [0, 0.018143, 0.3433, 1.0],
        [0, 0.018877, 0.35137, 1.0],
        [0, 0.019332, 0.35948, 1.0],
        [0, 0.019537, 0.36762, 1.0],
        [0, 0.019696, 0.37581, 1.0],
        [0, 0.019848, 0.38402, 1.0],
        [0, 0.019989, 0.39226, 1.0],
        [0.0002784, 0.020121, 0.40055, 1.0],
        [0.0013175, 0.020246, 0.40884, 1.0],
        [0.0023914, 0.020361, 0.41718, 1.0],
        [0.0034883, 0.020469, 0.42554, 1.0],
        [0.004603, 0.020572, 0.43392, 1.0],
        [0.0057432, 0.020668, 0.44236, 1.0],
        [0.0068995, 0.020759, 0.4508, 1.0],
        [0.0080586, 0.020848, 0.45928, 1.0],
        [0.0092385, 0.020933, 0.46778, 1.0],
        [0.010387, 0.021014, 0.47632, 1.0],
        [0.011786, 0.021099, 0.48487, 1.0],
        [0.012932, 0.021185, 0.49346, 1.0],
        [0.014093, 0.021272, 0.50208, 1.0],
        [0.015228, 0.021363, 0.51072, 1.0],
        [0.016327, 0.021464, 0.51939, 1.0],
        [0.017385, 0.021575, 0.52808, 1.0],
        [0.018402, 0.021697, 0.53681, 1.0],
        [0.019367, 0.021832, 0.54555, 1.0],
        [0.020271, 0.021984, 0.55432, 1.0],
        [0.021093, 0.022157, 0.56312, 1.0],
        [0.021816, 0.022358, 0.57193, 1.0],
        [0.022431, 0.022589, 0.58078, 1.0],
        [0.022925, 0.022854, 0.58964, 1.0],
        [0.02328, 0.023157, 0.59854, 1.0],
        [0.023474, 0.023505, 0.60747, 1.0],
        [0.023484, 0.023905, 0.6164, 1.0],
        [0.023283, 0.024365, 0.62537, 1.0],
        [0.022843, 0.024892, 0.63435, 1.0],
        [0.02213, 0.025497, 0.64335, 1.0],
        [0.021108, 0.026192, 0.6524, 1.0],
        [0.019919, 0.026976, 0.66144, 1.0],
        [0.018888, 0.027836, 0.67043, 1.0],
        [0.018212, 0.028767, 0.67933, 1.0],
        [0.017924, 0.029768, 0.68816, 1.0],
        [0.018038, 0.030843, 0.69692, 1.0],
        [0.018576, 0.03199, 0.7056, 1.0],
        [0.019563, 0.033222, 0.7142, 1.0],
        [0.021022, 0.034609, 0.72273, 1.0],
        [0.022976, 0.036126, 0.73118, 1.0],
        [0.02546, 0.037612, 0.73955, 1.0],
        [0.028511, 0.039192, 0.74783, 1.0],
        [0.032139, 0.040867, 0.75603, 1.0],
        [0.036548, 0.042546, 0.76415, 1.0],
        [0.0414, 0.04435, 0.77219, 1.0],
        [0.046471, 0.046119, 0.78014, 1.0],
        [0.051815, 0.048019, 0.78801, 1.0],
        [0.057373, 0.050007, 0.7958, 1.0],
        [0.063189, 0.051954, 0.8035, 1.0],
        [0.069106, 0.054002, 0.81111, 1.0],
        [0.075029, 0.056167, 0.81863, 1.0],
        [0.081171, 0.05824, 0.82607, 1.0],
        [0.087403, 0.060492, 0.83342, 1.0],
        [0.093627, 0.062774, 0.84068, 1.0],
        [0.099985, 0.064997, 0.84785, 1.0],
        [0.10645, 0.067338, 0.85494, 1.0],
        [0.11293, 0.069742, 0.86194, 1.0],
        [0.11943, 0.072103, 0.86884, 1.0],
        [0.12606, 0.074573, 0.87564, 1.0],
        [0.13279, 0.077004, 0.88234, 1.0],
        [0.13992, 0.079441, 0.88889, 1.0],
        [0.1477, 0.081844, 0.89524, 1.0],
        [0.15601, 0.084044, 0.90139, 1.0],
        [0.16477, 0.08607, 0.90734, 1.0],
        [0.17399, 0.088131, 0.91308, 1.0],
        [0.18361, 0.090027, 0.9186, 1.0],
        [0.19359, 0.091859, 0.92392, 1.0],
        [0.20383, 0.093506, 0.92903, 1.0],
        [0.21429, 0.095185, 0.93394, 1.0],
        [0.22495, 0.096634, 0.93864, 1.0],
        [0.23584, 0.098158, 0.94313, 1.0],
        [0.24685, 0.099485, 0.94742, 1.0],
        [0.25802, 0.10076, 0.95149, 1.0],
        [0.26936, 0.10196, 0.95534, 1.0],
        [0.28076, 0.1031, 0.95898, 1.0],
        [0.2923, 0.1041, 0.9624, 1.0],
        [0.3039, 0.10503, 0.96562, 1.0],
        [0.31558, 0.10597, 0.96862, 1.0],
        [0.3273, 0.10679, 0.97142, 1.0],
        [0.3391, 0.10749, 0.974, 1.0],
        [0.35094, 0.10811, 0.97636, 1.0],
        [0.36282, 0.1087, 0.9785, 1.0],
        [0.37476, 0.10925, 0.98043, 1.0],
        [0.38671, 0.1097, 0.98214, 1.0],
        [0.3987, 0.11006, 0.98364, 1.0],
        [0.41071, 0.11034, 0.98492, 1.0],
        [0.42271, 0.11056, 0.98599, 1.0],
        [0.43474, 0.11072, 0.98685, 1.0],
        [0.44667, 0.11084, 0.98757, 1.0],
        [0.45843, 0.11094, 0.98824, 1.0],
        [0.47001, 0.11104, 0.98888, 1.0],
        [0.48139, 0.11114, 0.9895, 1.0],
        [0.49262, 0.11123, 0.99008, 1.0],
        [0.50371, 0.11133, 0.99064, 1.0],
        [0.51465, 0.11141, 0.99117, 1.0],
        [0.52546, 0.11149, 0.99168, 1.0],
        [0.53615, 0.11157, 0.99216, 1.0],
        [0.54673, 0.11164, 0.99261, 1.0],
        [0.55721, 0.1117, 0.99304, 1.0],
        [0.56758, 0.11176, 0.99343, 1.0],
        [0.57785, 0.11181, 0.9938, 1.0],
        [0.58804, 0.11186, 0.99415, 1.0],
        [0.59816, 0.1119, 0.99446, 1.0],
        [0.6082, 0.11193, 0.99475, 1.0],
        [0.61815, 0.11196, 0.99501, 1.0],
        [0.62805, 0.11197, 0.99525, 1.0],
        [0.63787, 0.11198, 0.99545, 1.0],
        [0.64764, 0.11198, 0.99563, 1.0],
        [0.65735, 0.11197, 0.99579, 1.0],
        [0.66699, 0.11195, 0.99591, 1.0],
        [0.6766, 0.11192, 0.99601, 1.0],
        [0.68614, 0.11188, 0.99608, 1.0],
        [0.69564, 0.11183, 0.99613, 1.0],
        [0.7051, 0.11177, 0.99614, 1.0],
        [0.71451, 0.1117, 0.99613, 1.0],
        [0.72388, 0.11162, 0.9961, 1.0],
        [0.73317, 0.11164, 0.99604, 1.0],
        [0.7423, 0.11194, 0.99598, 1.0],
        [0.75124, 0.11262, 0.99593, 1.0],
        [0.75998, 0.11368, 0.99588, 1.0],
        [0.76854, 0.1151, 0.99583, 1.0],
        [0.77691, 0.11698, 0.9958, 1.0],
        [0.7851, 0.11925, 0.99576, 1.0],
        [0.79312, 0.12184, 0.99574, 1.0],
        [0.80096, 0.12485, 0.99572, 1.0],
        [0.80864, 0.12819, 0.9957, 1.0],
        [0.81615, 0.13184, 0.99569, 1.0],
        [0.8235, 0.13575, 0.99568, 1.0],
        [0.83069, 0.14, 0.99568, 1.0],
        [0.83772, 0.14456, 0.99569, 1.0],
        [0.84458, 0.14935, 0.9957, 1.0],
        [0.85129, 0.15434, 0.99571, 1.0],
        [0.85785, 0.15956, 0.99573, 1.0],
        [0.86427, 0.16499, 0.99576, 1.0],
        [0.87053, 0.17062, 0.99578, 1.0],
        [0.87664, 0.17639, 0.99582, 1.0],
        [0.88261, 0.18234, 0.99586, 1.0],
        [0.88844, 0.18847, 0.9959, 1.0],
        [0.89411, 0.19472, 0.99595, 1.0],
        [0.89964, 0.20104, 0.996, 1.0],
        [0.90503, 0.20754, 0.99606, 1.0],
        [0.91028, 0.21413, 0.99612, 1.0],
        [0.91538, 0.22082, 0.99619, 1.0],
        [0.92035, 0.22757, 0.99626, 1.0],
        [0.92518, 0.23444, 0.99634, 1.0],
        [0.92985, 0.24141, 0.9964, 1.0],
        [0.93435, 0.24851, 0.99646, 1.0],
        [0.9387, 0.25569, 0.9965, 1.0],
        [0.9429, 0.26299, 0.99653, 1.0],
        [0.94693, 0.27039, 0.99654, 1.0],
        [0.9508, 0.27784, 0.99654, 1.0],
        [0.95452, 0.28537, 0.99653, 1.0],
        [0.95808, 0.29301, 0.9965, 1.0],
        [0.96146, 0.30071, 0.99646, 1.0],
        [0.96469, 0.30849, 0.9964, 1.0],
        [0.96776, 0.31632, 0.99633, 1.0],
        [0.97067, 0.32419, 0.99624, 1.0],
        [0.97343, 0.33214, 0.99614, 1.0],
        [0.97602, 0.34012, 0.99603, 1.0],
        [0.97845, 0.34814, 0.9959, 1.0],
        [0.98073, 0.35621, 0.99576, 1.0],
        [0.98283, 0.36432, 0.9956, 1.0],
        [0.98477, 0.37248, 0.99543, 1.0],
        [0.98655, 0.38069, 0.99525, 1.0],
        [0.98816, 0.38891, 0.99505, 1.0],
        [0.98962, 0.39715, 0.99483, 1.0],
        [0.9909, 0.40545, 0.9946, 1.0],
        [0.99203, 0.41375, 0.99435, 1.0],
        [0.99299, 0.42208, 0.99409, 1.0],
        [0.99377, 0.43046, 0.99382, 1.0],
        [0.99438, 0.43884, 0.99353, 1.0],
        [0.99482, 0.44726, 0.99322, 1.0],
        [0.9951, 0.45569, 0.99291, 1.0],
        [0.99529, 0.46407, 0.99259, 1.0],
        [0.99544, 0.47235, 0.99229, 1.0],
        [0.99558, 0.48052, 0.99201, 1.0],
        [0.99572, 0.48859, 0.99175, 1.0],
        [0.99585, 0.49654, 0.99152, 1.0],
        [0.99597, 0.50442, 0.99132, 1.0],
        [0.99608, 0.51219, 0.99113, 1.0],
        [0.99619, 0.51988, 0.99097, 1.0],
        [0.99629, 0.52749, 0.99084, 1.0],
        [0.99638, 0.53502, 0.99072, 1.0],
        [0.99647, 0.54248, 0.99063, 1.0],
        [0.99655, 0.54987, 0.99057, 1.0],
        [0.99662, 0.55719, 0.99053, 1.0],
        [0.99669, 0.56443, 0.99051, 1.0],
        [0.99675, 0.57162, 0.99052, 1.0],
        [0.9968, 0.57875, 0.99055, 1.0],
        [0.99685, 0.58582, 0.9906, 1.0],
        [0.99689, 0.59284, 0.99068, 1.0],
        [0.99693, 0.5998, 0.99078, 1.0],
        [0.99696, 0.60672, 0.9909, 1.0],
        [0.99698, 0.61357, 0.99105, 1.0],
        [0.997, 0.6204, 0.99122, 1.0],
        [0.99701, 0.62716, 0.99142, 1.0],
        [0.99702, 0.6339, 0.99164, 1.0],
        [0.99702, 0.64058, 0.99189, 1.0],
        [0.99701, 0.64722, 0.99216, 1.0],
        [0.997, 0.65381, 0.99245, 1.0],
        [0.99699, 0.66038, 0.99277, 1.0],
        [0.99697, 0.66692, 0.9931, 1.0],
        [0.99697, 0.67341, 0.99343, 1.0],
        [0.99699, 0.67985, 0.99373, 1.0],
        [0.99703, 0.68627, 0.99402, 1.0],
        [0.99708, 0.69265, 0.99429, 1.0],
        [0.99714, 0.69899, 0.99455, 1.0],
        [0.9972, 0.70531, 0.99479, 1.0],
        [0.99728, 0.7116, 0.99502, 1.0],
        [0.99736, 0.71786, 0.99524, 1.0],
        [0.99745, 0.72409, 0.99544, 1.0],
        [0.99754, 0.7303, 0.99563, 1.0],
        [0.99762, 0.73648, 0.99582, 1.0],
        [0.99771, 0.74266, 0.99599, 1.0],
        [0.9978, 0.7488, 0.99615, 1.0],
        [0.99789, 0.75492, 0.9963, 1.0],
        [0.99798, 0.76103, 0.99645, 1.0],
        [0.99806, 0.76711, 0.99658, 1.0],
        [0.99814, 0.77318, 0.99671, 1.0],
        [0.99821, 0.77923, 0.99682, 1.0],
        [0.99828, 0.78527, 0.99693, 1.0],
        [0.99835, 0.79129, 0.99703, 1.0],
        [0.99841, 0.79729, 0.99712, 1.0],
        [0.99846, 0.80328, 0.9972, 1.0],
        [0.99851, 0.80926, 0.99727, 1.0],
        [0.99854, 0.81522, 0.99734, 1.0],
        [0.99857, 0.82117, 0.9974, 1.0],
        [0.9986, 0.82711, 0.99745, 1.0],
        [0.99861, 0.83304, 0.99749, 1.0],
        [0.99862, 0.83895, 0.99753, 1.0],
        [0.99861, 0.84486, 0.99756, 1.0],
        [0.9986, 0.85075, 0.99758, 1.0],
        [0.99858, 0.85663, 0.9976, 1.0],
        [0.99854, 0.86251, 0.99761, 1.0],
        [0.9985, 0.86838, 0.99761, 1.0],
        [0.99845, 0.87423, 0.9976, 1.0],
        [0.99838, 0.88007, 0.99759, 1.0],
        [0.99831, 0.88591, 0.99757, 1.0],
        [0.99822, 0.89174, 0.99755, 1.0],
        [0.99812, 0.89756, 0.99752, 1.0],
        [0.99801, 0.90339, 0.99748, 1.0],
        [0.99789, 0.90918, 0.99744, 1.0],
        [0.99775, 0.91498, 0.99739, 1.0],
        [0.9976, 0.92077, 0.99733, 1.0],
    ],
    'cet.linear_bmw_5_95_c89': [
        [0, 0.017709, 0.34641, 1.0],
        [0, 0.020672, 0.3555, 1.0],
        [0, 0.023402, 0.3646, 1.0],
        [0, 0.025899, 0.37376, 1.0],
        [0, 0.028159, 0.38295, 1.0],
        [0, 0.030176, 0.39217, 1.0],
        [0, 0.031948, 0.40143, 1.0],
        [0, 0.03346, 0.41074, 1.0],
        [0, 0.034886, 0.42006, 1.0],
        [0, 0.036005, 0.42943, 1.0],
        [0, 0.037031, 0.43882, 1.0],
        [0, 0.038092, 0.44825, 1.0],
        [0, 0.039171, 0.45769, 1.0],
        [0, 0.04027, 0.46718, 1.0],
        [0, 0.041408, 0.47668, 1.0],
        [0, 0.042463, 0.4862, 1.0],
        [0, 0.043503, 0.49576, 1.0],
        [0, 0.044741, 0.50533, 1.0],
        [0, 0.045774, 0.51494, 1.0],
        [0, 0.047001, 0.52456, 1.0],
        [0, 0.048092, 0.5342, 1.0],
        [0, 0.049352, 0.54387, 1.0],
        [0, 0.050447, 0.55355, 1.0],
        [0, 0.051609, 0.56326, 1.0],
        [0, 0.052795, 0.57298, 1.0],
        [0, 0.054014, 0.58271, 1.0],
        [0, 0.055261, 0.59247, 1.0],
        [0, 0.056563, 0.60223, 1.0],
        [0, 0.057716, 0.61201, 1.0],
        [0, 0.059101, 0.6218, 1.0],
        [0, 0.060386, 0.63161, 1.0],
        [0, 0.061629, 0.64141, 1.0],
        [0, 0.063072, 0.65124, 1.0],
        [0, 0.064391, 0.66106, 1.0],
        [0, 0.065778, 0.6709, 1.0],
        [0, 0.067217, 0.68073, 1.0],
        [0, 0.068717, 0.69056, 1.0],
        [0, 0.070145, 0.7004, 1.0],
        [0, 0.071697, 0.71023, 1.0],
        [0, 0.073287, 0.72005, 1.0],
        [0, 0.074826, 0.72985, 1.0],
        [0, 0.076443, 0.73965, 1.0],
        [0, 0.078139, 0.74942, 1.0],
        [0, 0.079895, 0.75915, 1.0],
        [0, 0.08168, 0.76872, 1.0],
        [0, 0.083307, 0.77811, 1.0],
        [0, 0.084962, 0.78731, 1.0],
        [0, 0.086573, 0.79632, 1.0],
        [0, 0.088156, 0.80515, 1.0],
        [0, 0.089689, 0.81379, 1.0],
        [0, 0.091208, 0.82225, 1.0],
        [0, 0.092616, 0.83051, 1.0],
        [0, 0.09408, 0.83857, 1.0],
        [0, 0.095474, 0.84644, 1.0],
        [0, 0.096762, 0.8541, 1.0],
        [0, 0.098154, 0.86158, 1.0],
        [0, 0.099403, 0.86886, 1.0],
        [0, 0.10065, 0.87593, 1.0],
        [0, 0.10187, 0.88281, 1.0],
        [0, 0.10309, 0.88949, 1.0],
        [0, 0.1042, 0.89597, 1.0],
        [0, 0.10532, 0.90224, 1.0],
        [0, 0.10647, 0.9083, 1.0],
        [0, 0.10749, 0.91415, 1.0],
        [0, 0.10849, 0.9198, 1.0],
        [0, 0.10956, 0.92525, 1.0],
        [0, 0.11052, 0.9305, 1.0],
        [0, 0.11147, 0.93553, 1.0],
        [0, 0.1124, 0.94036, 1.0],
        [0, 0.11331, 0.94497, 1.0],
        [0, 0.11413, 0.94937, 1.0],
        [0, 0.11498, 0.95357, 1.0],
        [0, 0.11585, 0.9576, 1.0],
        [0, 0.11662, 0.96148, 1.0],
        [0, 0.11733, 0.96522, 1.0],
        [0, 0.11806, 0.96883, 1.0],
        [0, 0.11873, 0.97228, 1.0],
        [0, 0.11931, 0.97558, 1.0],
        [0, 0.11987, 0.97874, 1.0],
        [0, 0.12039, 0.98176, 1.0],
        [0, 0.12087, 0.98464, 1.0],
        [0, 0.12132, 0.98737, 1.0],
        [0, 0.12173, 0.98995, 1.0],
        [0.042484, 0.1221, 0.99239, 1.0],
        [0.096239, 0.12243, 0.99468, 1.0],
        [0.13272, 0.12272, 0.99682, 1.0],
        [0.16225, 0.12297, 0.99881, 1.0],
        [0.18788, 0.12318, 1, 1.0],
        [0.21091, 0.12336, 1, 1.0],
        [0.23216, 0.1235, 1, 1.0],
        [0.25202, 0.1236, 1, 1.0],
        [0.27081, 0.12366, 1, 1.0],
        [0.28872, 0.12369, 1, 1.0],
        [0.30596, 0.12367, 1, 1.0],
        [0.32259, 0.12362, 1, 1.0],
        [0.33869, 0.12354, 1, 1.0],
        [0.35436, 0.12342, 1, 1.0],
        [0.36964, 0.12326, 1, 1.0],
        [0.38457, 0.12307, 1, 1.0],
        [0.39919, 0.12286, 1, 1.0],
        [0.41348, 0.12262, 1, 1.0],
        [0.42736, 0.12239, 1, 1.0],
        [0.44084, 0.12216, 1, 1.0],
        [0.454, 0.12195, 1, 1.0],
        [0.46684, 0.12174, 1, 1.0],
        [0.47939, 0.12155, 1, 1.0],
        [0.49169, 0.12136, 1, 1.0],
        [0.50374, 0.12117, 1, 1.0],
        [0.51557, 0.121, 1, 1.0],
        [0.52721, 0.12083, 1, 1.0],
        [0.53866, 0.12067, 1, 1.0],
        [0.54992, 0.12051, 1, 1.0],
        [0.56102, 0.12037, 1, 1.0],
        [0.57198, 0.12022, 1, 1.0],
        [0.58279, 0.12009, 1, 1.0],
        [0.59347, 0.11996, 1, 1.0],
        [0.60403, 0.11983, 1, 1.0],
        [0.61446, 0.11971, 1, 1.0],
        [0.62479, 0.11959, 1, 1.0],
        [0.63501, 0.11948, 1, 1.0],
        [0.64513, 0.11938, 1, 1.0],
        [0.65516, 0.11927, 1, 1.0],
        [0.66511, 0.11918, 1, 1.0],
        [0.67497, 0.11908, 1, 1.0],
        [0.68475, 0.11899, 1, 1.0],
        [0.69445, 0.1189, 1, 1.0],
        [0.7041, 0.11881, 1, 1.0],
        [0.71366, 0.11873, 1, 1.0],
        [0.72312, 0.11873, 1, 1.0],
        [0.73244, 0.11896, 1, 1.0],
        [0.74156, 0.11949, 1, 1.0],
        [0.75051, 0.12036, 1, 1.0],
        [0.75927, 0.12156, 1, 1.0],
        [0.76785, 0.12312, 1, 1.0],
        [0.77627, 0.12504, 1, 1.0],
        [0.78452, 0.12724, 1, 1.0],
        [0.79261, 0.12981, 1, 1.0],
        [0.80054, 0.13262, 1, 1.0],
        [0.80832, 0.1357, 1, 1.0],
        [0.81594, 0.1391, 1, 1.0],
        [0.82341, 0.14279, 1, 1.0],
        [0.83074, 0.14669, 1, 1.0],
        [0.83791, 0.15087, 1, 1.0],
        [0.84494, 0.15527, 1, 1.0],
        [0.85183, 0.15984, 1, 1.0],
        [0.85859, 0.16467, 1, 1.0],
        [0.8652, 0.16967, 1, 1.0],
        [0.87169, 0.17481, 1, 1.0],
        [0.87803, 0.1801, 1, 1.0],
        [0.88424, 0.18562, 1, 1.0],
        [0.89031, 0.1912, 1, 1.0],
        [0.89626, 0.19697, 1, 1.0],
        [0.90207, 0.20282, 1, 1.0],
        [0.90776, 0.2088, 1, 1.0],
        [0.91332, 0.21488, 1, 1.0],
        [0.91875, 0.22109, 1, 1.0],
        [0.92405, 0.22737, 1, 1.0],
        [0.92919, 0.23379, 1, 1.0],
        [0.93415, 0.24041, 1, 1.0],
        [0.93894, 0.2472, 1, 1.0],
        [0.94355, 0.25413, 1, 1.0],
        [0.94798, 0.26118, 1, 1.0],
        [0.95224, 0.26837, 1, 1.0],
        [0.95633, 0.2757, 1, 1.0],
        [0.96024, 0.28311, 1, 1.0],
        [0.96396, 0.29064, 1, 1.0],
        [0.96751, 0.29827, 1, 1.0],
        [0.97089, 0.30602, 1, 1.0],
        [0.97409, 0.31382, 1, 1.0],
        [0.97712, 0.3217, 1, 1.0],
        [0.97997, 0.32968, 1, 1.0],
        [0.98265, 0.33769, 1, 1.0],
        [0.98515, 0.34577, 1, 1.0],
        [0.98746, 0.35394, 1, 1.0],
        [0.9896, 0.36216, 1, 1.0],
        [0.99155, 0.37042, 1, 1.0],
        [0.99333, 0.37874, 1, 1.0],
        [0.99493, 0.3871, 1, 1.0],
        [0.99635, 0.39551, 1, 1.0],
        [0.9976, 0.40394, 1, 1.0],
        [0.99866, 0.41243, 1, 1.0],
        [0.99953, 0.42094, 1, 1.0],
        [1, 0.4295, 1, 1.0],
        [1, 0.43809, 1, 1.0],
        [1, 0.44668, 1, 1.0],
        [1, 0.45524, 1, 1.0],
        [1, 0.46369, 1, 1.0],
        [1, 0.47203, 1, 1.0],
        [1, 0.48024, 1, 1.0],
        [1, 0.48835, 1, 1.0],
        [1, 0.49634, 1, 1.0],
        [1, 0.50426, 1, 1.0],
        [1, 0.51206, 1, 1.0],
        [1, 0.51978, 1, 1.0],
        [1, 0.52742, 1, 1.0],
        [1, 0.53498, 1, 1.0],
        [1, 0.54247, 1, 1.0],
        [1, 0.54988, 1, 1.0],
        [1, 0.55722, 1, 1.0],
        [1, 0.56449, 1, 1.0],
        [1, 0.57169, 1, 1.0],
        [1, 0.57884, 1, 1.0],
        [1, 0.58594, 1, 1.0],
        [1, 0.59297, 1, 1.0],
        [1, 0.59995, 1, 1.0],
        [1, 0.60688, 1, 1.0],
        [1, 0.61374, 1, 1.0],
        [1, 0.62058, 1, 1.0],
        [1, 0.62736, 1, 1.0],
        [1, 0.6341, 1, 1.0],
        [1, 0.64079, 1, 1.0],
        [1, 0.64743, 1, 1.0],
        [1, 0.65405, 1, 1.0],
        [1, 0.66063, 1, 1.0],
        [1, 0.66718, 1, 1.0],
        [1, 0.6737, 1, 1.0],
        [1, 0.68019, 1, 1.0],
        [1, 0.68667, 1, 1.0],
        [1, 0.69312, 1, 1.0],
        [1, 0.69954, 1, 1.0],
        [1, 0.70595, 1, 1.0],
        [1, 0.71233, 1, 1.0],
        [1, 0.71869, 1, 1.0],
        [1, 0.72504, 1, 1.0],
        [1, 0.73136, 1, 1.0],
        [1, 0.73767, 1, 1.0],
        [1, 0.74396, 1, 1.0],
        [1, 0.75023, 1, 1.0],
        [1, 0.75649, 1, 1.0],
        [1, 0.76273, 1, 1.0],
        [1, 0.76895, 1, 1.0],
        [1, 0.77517, 1, 1.0],
        [1, 0.78137, 1, 1.0],
        [1, 0.78755, 1, 1.0],
        [1, 0.79372, 1, 1.0],
        [1, 0.79988, 1, 1.0],
        [1, 0.80602, 1, 1.0],
        [1, 0.81215, 1, 1.0],
        [1, 0.81826, 1, 1.0],
        [1, 0.82437, 1, 1.0],
        [1, 0.83047, 1, 1.0],
        [1, 0.83656, 1, 1.0],
        [1, 0.84263, 1, 1.0],
        [1, 0.84869, 1, 1.0],
        [1, 0.85475, 1, 1.0],
        [1, 0.86079, 1, 1.0],
        [1, 0.86683, 1, 1.0],
        [1, 0.87286, 0.99978, 1.0],
        [1, 0.87887, 0.9995, 1.0],
        [1, 0.88488, 0.99921, 1.0],
        [1, 0.89088, 0.99892, 1.0],
        [0.99975, 0.89688, 0.99861, 1.0],
        [0.99925, 0.90287, 0.9983, 1.0],
        [0.99872, 0.90884, 0.99799, 1.0],
        [0.99817, 0.91481, 0.99766, 1.0],
        [0.9976, 0.92077, 0.99733, 1.0],
    ],
    'cet.linear_bmy_10_95_c71': [
        [0.0018068, 0.058001, 0.36399, 1.0],
        [0.0024107, 0.059964, 0.37048, 1.0],
        [0.0031987, 0.061692, 0.37697, 1.0],
        [0.0042843, 0.063571, 0.38341, 1.0],
        [0.0057638, 0.065341, 0.38979, 1.0],
        [0.0075093, 0.067136, 0.39617, 1.0],
        [0.0097084, 0.068953, 0.40248, 1.0],
        [0.012532, 0.070615, 0.40875, 1.0],
        [0.0155, 0.07232, 0.41499, 1.0],
        [0.019067, 0.074062, 0.42116, 1.0],
        [0.023134, 0.075673, 0.42729, 1.0],
        [0.027668, 0.077301, 0.43336, 1.0],
        [0.032903, 0.078925, 0.43937, 1.0],
        [0.038954, 0.080546, 0.44532, 1.0],
        [0.045181, 0.082169, 0.45122, 1.0],
        [0.051521, 0.083668, 0.45704, 1.0],
        [0.058053, 0.085134, 0.46278, 1.0],
        [0.06473, 0.086625, 0.46847, 1.0],
        [0.071444, 0.088071, 0.47409, 1.0],
        [0.078236, 0.089456, 0.4796, 1.0],
        [0.085243, 0.090814, 0.48502, 1.0],
        [0.092333, 0.092133, 0.49038, 1.0],
        [0.099463, 0.093353, 0.49564, 1.0],
        [0.10684, 0.094646, 0.50078, 1.0],
        [0.11423, 0.095771, 0.50581, 1.0],
        [0.12178, 0.096854, 0.51075, 1.0],
        [0.12948, 0.097993, 0.51558, 1.0],
        [0.13728, 0.098973, 0.52029, 1.0],
        [0.14525, 0.099911, 0.52487, 1.0],
        [0.1533, 0.10078, 0.5293, 1.0],
        [0.16159, 0.10159, 0.53358, 1.0],
        [0.16995, 0.10233, 0.53773, 1.0],
        [0.17849, 0.103, 0.5417, 1.0],
        [0.18715, 0.10358, 0.54552, 1.0],
        [0.19599, 0.10402, 0.54915, 1.0],
        [0.20499, 0.10436, 0.55259, 1.0],
        [0.21418, 0.10461, 0.55582, 1.0],
        [0.22355, 0.10475, 0.55884, 1.0],
        [0.2331, 0.10475, 0.56162, 1.0],
        [0.24286, 0.10462, 0.56415, 1.0],
        [0.25285, 0.10434, 0.5664, 1.0],
        [0.26305, 0.10391, 0.56836, 1.0],
        [0.27348, 0.10327, 0.57, 1.0],
        [0.28411, 0.10237, 0.5713, 1.0],
        [0.29502, 0.10125, 0.57224, 1.0],
        [0.30619, 0.099883, 0.57281, 1.0],
        [0.31733, 0.098383, 0.57312, 1.0],
        [0.32829, 0.096731, 0.57334, 1.0],
        [0.33902, 0.095191, 0.57351, 1.0],
        [0.34952, 0.093473, 0.57361, 1.0],
        [0.35984, 0.09185, 0.57367, 1.0],
        [0.36998, 0.090102, 0.57366, 1.0],
        [0.37996, 0.088354, 0.5736, 1.0],
        [0.38979, 0.086567, 0.57349, 1.0],
        [0.39947, 0.084774, 0.57331, 1.0],
        [0.40903, 0.082914, 0.57309, 1.0],
        [0.41845, 0.081085, 0.5728, 1.0],
        [0.42777, 0.079164, 0.57245, 1.0],
        [0.43696, 0.077258, 0.57205, 1.0],
        [0.44604, 0.075373, 0.57159, 1.0],
        [0.45505, 0.073529, 0.57107, 1.0],
        [0.46394, 0.071572, 0.57049, 1.0],
        [0.47273, 0.069648, 0.56986, 1.0],
        [0.48145, 0.067661, 0.56917, 1.0],
        [0.49008, 0.06569, 0.56843, 1.0],
        [0.49863, 0.063767, 0.56763, 1.0],
        [0.5071, 0.061792, 0.56677, 1.0],
        [0.51549, 0.059971, 0.56585, 1.0],
        [0.52382, 0.057948, 0.56487, 1.0],
        [0.53207, 0.056175, 0.56385, 1.0],
        [0.54025, 0.054286, 0.56276, 1.0],
        [0.54838, 0.052493, 0.5616, 1.0],
        [0.55642, 0.05079, 0.5604, 1.0],
        [0.56441, 0.049208, 0.55913, 1.0],
        [0.57234, 0.04752, 0.55781, 1.0],
        [0.58021, 0.045977, 0.55643, 1.0],
        [0.588, 0.044652, 0.55502, 1.0],
        [0.59575, 0.043191, 0.55358, 1.0],
        [0.60343, 0.042094, 0.55214, 1.0],
        [0.61104, 0.040933, 0.55067, 1.0],
        [0.6186, 0.039904, 0.5492, 1.0],
        [0.62609, 0.039006, 0.5477, 1.0],
        [0.63354, 0.038249, 0.5462, 1.0],
        [0.64092, 0.037647, 0.54466, 1.0],
        [0.64826, 0.037202, 0.54313, 1.0],
        [0.65554, 0.036908, 0.54156, 1.0],
        [0.66278, 0.036776, 0.53999, 1.0],
        [0.66996, 0.036816, 0.53841, 1.0],
        [0.6771, 0.037039, 0.53681, 1.0],
        [0.68417, 0.037443, 0.53518, 1.0],
        [0.69122, 0.038023, 0.53354, 1.0],
        [0.69821, 0.038789, 0.53189, 1.0],
        [0.70517, 0.039756, 0.53022, 1.0],
        [0.71207, 0.040926, 0.52854, 1.0],
        [0.71894, 0.042269, 0.52684, 1.0],
        [0.72576, 0.043681, 0.52511, 1.0],
        [0.73255, 0.045402, 0.52338, 1.0],
        [0.73929, 0.047268, 0.52162, 1.0],
        [0.74598, 0.049331, 0.51985, 1.0],
        [0.75264, 0.051385, 0.51807, 1.0],
        [0.75926, 0.053656, 0.51626, 1.0],
        [0.76585, 0.056145, 0.51445, 1.0],
        [0.77239, 0.058663, 0.5126, 1.0],
        [0.7789, 0.061273, 0.51075, 1.0],
        [0.78537, 0.064105, 0.50888, 1.0],
        [0.79179, 0.067003, 0.50698, 1.0],
        [0.79815, 0.07017, 0.50503, 1.0],
        [0.8044, 0.073831, 0.503, 1.0],
        [0.81054, 0.077734, 0.50091, 1.0],
        [0.81658, 0.082182, 0.49873, 1.0],
        [0.82251, 0.086838, 0.49646, 1.0],
        [0.82832, 0.09184, 0.49413, 1.0],
        [0.83402, 0.097033, 0.49171, 1.0],
        [0.83961, 0.10255, 0.48919, 1.0],
        [0.8451, 0.10821, 0.48661, 1.0],
        [0.85047, 0.1141, 0.48394, 1.0],
        [0.85573, 0.12016, 0.48118, 1.0],
        [0.86088, 0.12639, 0.47835, 1.0],
        [0.86592, 0.13272, 0.47543, 1.0],
        [0.87085, 0.13913, 0.47242, 1.0],
        [0.87567, 0.14574, 0.46934, 1.0],
        [0.88036, 0.15236, 0.46614, 1.0],
        [0.88495, 0.15912, 0.46287, 1.0],
        [0.88942, 0.16592, 0.45953, 1.0],
        [0.89379, 0.17282, 0.45608, 1.0],
        [0.89803, 0.17978, 0.45256, 1.0],
        [0.90216, 0.18681, 0.44893, 1.0],
        [0.90617, 0.1939, 0.44521, 1.0],
        [0.91008, 0.20098, 0.44141, 1.0],
        [0.91386, 0.20817, 0.43752, 1.0],
        [0.91752, 0.21538, 0.43351, 1.0],
        [0.92106, 0.22265, 0.42942, 1.0],
        [0.92449, 0.22991, 0.42524, 1.0],
        [0.9278, 0.23727, 0.42094, 1.0],
        [0.93099, 0.24459, 0.41657, 1.0],
        [0.93405, 0.252, 0.41209, 1.0],
        [0.93701, 0.25939, 0.4076, 1.0],
        [0.93986, 0.26675, 0.40316, 1.0],
        [0.9426, 0.27411, 0.39879, 1.0],
        [0.94522, 0.28144, 0.39449, 1.0],
        [0.94774, 0.28878, 0.39026, 1.0],
        [0.95015, 0.29609, 0.3861, 1.0],
        [0.95245, 0.30338, 0.382, 1.0],
        [0.95466, 0.31069, 0.37798, 1.0],
        [0.95674, 0.31797, 0.37403, 1.0],
        [0.95873, 0.32523, 0.37012, 1.0],
        [0.96061, 0.33251, 0.36631, 1.0],
        [0.96239, 0.33976, 0.36253, 1.0],
        [0.96406, 0.34701, 0.35883, 1.0],
        [0.96562, 0.35425, 0.35522, 1.0],
        [0.96708, 0.36148, 0.35164, 1.0],
        [0.96843, 0.36871, 0.34814, 1.0],
        [0.96968, 0.37593, 0.3447, 1.0],
        [0.97082, 0.38315, 0.34134, 1.0],
        [0.97186, 0.39036, 0.33803, 1.0],
        [0.9728, 0.39757, 0.33481, 1.0],
        [0.97362, 0.40476, 0.33161, 1.0],
        [0.97434, 0.41197, 0.32852, 1.0],
        [0.97495, 0.41917, 0.32547, 1.0],
        [0.97546, 0.42636, 0.32252, 1.0],
        [0.97586, 0.43355, 0.31962, 1.0],
        [0.97615, 0.44074, 0.31678, 1.0],
        [0.97634, 0.44792, 0.31402, 1.0],
        [0.97641, 0.45512, 0.31133, 1.0],
        [0.97637, 0.46229, 0.30872, 1.0],
        [0.97624, 0.46947, 0.30617, 1.0],
        [0.97607, 0.47658, 0.30363, 1.0],
        [0.97591, 0.4836, 0.30112, 1.0],
        [0.97579, 0.49054, 0.29861, 1.0],
        [0.97569, 0.49738, 0.2961, 1.0],
        [0.97563, 0.50413, 0.29358, 1.0],
        [0.97559, 0.5108, 0.29108, 1.0],
        [0.97559, 0.51739, 0.28856, 1.0],
        [0.97562, 0.5239, 0.28603, 1.0],
        [0.97568, 0.53035, 0.28352, 1.0],
        [0.97578, 0.53672, 0.28099, 1.0],
        [0.9759, 0.54302, 0.27848, 1.0],
        [0.97607, 0.54926, 0.27597, 1.0],
        [0.97626, 0.55543, 0.27343, 1.0],
        [0.97649, 0.56155, 0.2709, 1.0],
        [0.97675, 0.56761, 0.26835, 1.0],
        [0.97705, 0.57361, 0.26582, 1.0],
        [0.97738, 0.57956, 0.26328, 1.0],
        [0.97775, 0.58545, 0.26073, 1.0],
        [0.97815, 0.59129, 0.25816, 1.0],
        [0.97859, 0.59708, 0.25562, 1.0],
        [0.97907, 0.60282, 0.25307, 1.0],
        [0.97958, 0.60852, 0.25049, 1.0],
        [0.98013, 0.61416, 0.24794, 1.0],
        [0.98072, 0.61978, 0.24534, 1.0],
        [0.98135, 0.62534, 0.24277, 1.0],
        [0.98202, 0.63087, 0.24018, 1.0],
        [0.98273, 0.63635, 0.23762, 1.0],
        [0.98347, 0.64177, 0.23503, 1.0],
        [0.98425, 0.64718, 0.23241, 1.0],
        [0.98507, 0.65256, 0.22982, 1.0],
        [0.98586, 0.65793, 0.22748, 1.0],
        [0.98656, 0.66331, 0.22545, 1.0],
        [0.98719, 0.6687, 0.22375, 1.0],
        [0.98774, 0.6741, 0.22234, 1.0],
        [0.98823, 0.67951, 0.22119, 1.0],
        [0.98867, 0.68493, 0.22026, 1.0],
        [0.98906, 0.69035, 0.21952, 1.0],
        [0.98939, 0.69578, 0.21896, 1.0],
        [0.98968, 0.7012, 0.2186, 1.0],
        [0.98992, 0.70664, 0.2184, 1.0],
        [0.99012, 0.71207, 0.21835, 1.0],
        [0.99028, 0.7175, 0.21841, 1.0],
        [0.9904, 0.72292, 0.21862, 1.0],
        [0.99048, 0.72836, 0.21896, 1.0],
        [0.99054, 0.73379, 0.2194, 1.0],
        [0.99055, 0.73922, 0.21995, 1.0],
        [0.99053, 0.74463, 0.22062, 1.0],
        [0.99048, 0.75005, 0.22135, 1.0],
        [0.9904, 0.75548, 0.22218, 1.0],
        [0.99028, 0.7609, 0.22313, 1.0],
        [0.99014, 0.76631, 0.22411, 1.0],
        [0.98996, 0.77172, 0.22522, 1.0],
        [0.98976, 0.77714, 0.22642, 1.0],
        [0.98952, 0.78254, 0.22765, 1.0],
        [0.98925, 0.78794, 0.22898, 1.0],
        [0.98896, 0.79335, 0.23033, 1.0],
        [0.98863, 0.79874, 0.23182, 1.0],
        [0.98828, 0.80414, 0.2333, 1.0],
        [0.9879, 0.80953, 0.23491, 1.0],
        [0.98749, 0.81492, 0.23654, 1.0],
        [0.98705, 0.82031, 0.23821, 1.0],
        [0.98658, 0.82569, 0.23995, 1.0],
        [0.98608, 0.83108, 0.24175, 1.0],
        [0.98556, 0.83646, 0.24358, 1.0],
        [0.98501, 0.84184, 0.24547, 1.0],
        [0.98443, 0.84721, 0.24743, 1.0],
        [0.98382, 0.85258, 0.2494, 1.0],
        [0.98318, 0.85795, 0.25145, 1.0],
        [0.98251, 0.86332, 0.25351, 1.0],
        [0.98182, 0.86869, 0.25562, 1.0],
        [0.98109, 0.87405, 0.25776, 1.0],
        [0.98034, 0.87941, 0.25997, 1.0],
        [0.97957, 0.88477, 0.26219, 1.0],
        [0.97875, 0.89012, 0.26445, 1.0],
        [0.97792, 0.89548, 0.26675, 1.0],
        [0.97705, 0.90083, 0.26909, 1.0],
        [0.97615, 0.90619, 0.27144, 1.0],
        [0.97523, 0.91153, 0.27384, 1.0],
        [0.97428, 0.91688, 0.27628, 1.0],
        [0.9733, 0.92223, 0.27873, 1.0],
        [0.97229, 0.92756, 0.2812, 1.0],
        [0.97124, 0.93291, 0.28373, 1.0],
        [0.97017, 0.93825, 0.28625, 1.0],
        [0.96907, 0.94359, 0.28885, 1.0],
        [0.96794, 0.94893, 0.29144, 1.0],
        [0.96677, 0.95427, 0.29405, 1.0],
        [0.96558, 0.9596, 0.29671, 1.0],
        [0.96436, 0.96493, 0.29938, 1.0],
        [0.9631, 0.97026, 0.30206, 1.0],
        [0.96182, 0.97559, 0.30477, 1.0],
    ],
    'cet.linear_bmy_10_95_c78': [
        [0, 0.047803, 0.4883, 1.0],
        [0, 0.049705, 0.49553, 1.0],
        [0, 0.051451, 0.50272, 1.0],
        [0, 0.053214, 0.50983, 1.0],
        [0, 0.054977, 0.51684, 1.0],
        [0, 0.056756, 0.52379, 1.0],
        [0, 0.058368, 0.53062, 1.0],
        [0, 0.060099, 0.53736, 1.0],
        [0, 0.061618, 0.54402, 1.0],
        [0, 0.063279, 0.55055, 1.0],
        [0, 0.06478, 0.55698, 1.0],
        [0, 0.066288, 0.56332, 1.0],
        [0, 0.067769, 0.5695, 1.0],
        [0, 0.069247, 0.57558, 1.0],
        [0, 0.070546, 0.58154, 1.0],
        [0, 0.071898, 0.58736, 1.0],
        [0, 0.073227, 0.59303, 1.0],
        [0, 0.074425, 0.59856, 1.0],
        [0, 0.075597, 0.60398, 1.0],
        [0, 0.076712, 0.60919, 1.0],
        [0, 0.077789, 0.61423, 1.0],
        [0, 0.078828, 0.61913, 1.0],
        [0, 0.079825, 0.62386, 1.0],
        [0, 0.080751, 0.62837, 1.0],
        [0, 0.081634, 0.63267, 1.0],
        [0, 0.082399, 0.63679, 1.0],
        [0, 0.083056, 0.64069, 1.0],
        [0, 0.083728, 0.64438, 1.0],
        [0, 0.084298, 0.64781, 1.0],
        [0, 0.084735, 0.65098, 1.0],
        [0, 0.085075, 0.65389, 1.0],
        [0, 0.085333, 0.65653, 1.0],
        [0, 0.085503, 0.65887, 1.0],
        [0, 0.085575, 0.66091, 1.0],
        [0, 0.085538, 0.66263, 1.0],
        [0, 0.085387, 0.664, 1.0],
        [0.041146, 0.085117, 0.66498, 1.0],
        [0.082348, 0.084719, 0.66559, 1.0],
        [0.11295, 0.084153, 0.66576, 1.0],
        [0.13887, 0.083348, 0.66549, 1.0],
        [0.16224, 0.08245, 0.66472, 1.0],
        [0.18389, 0.081312, 0.66345, 1.0],
        [0.20444, 0.079918, 0.6616, 1.0],
        [0.2241, 0.078308, 0.65916, 1.0],
        [0.24323, 0.076464, 0.65608, 1.0],
        [0.26189, 0.074387, 0.65234, 1.0],
        [0.27969, 0.072084, 0.64827, 1.0],
        [0.29634, 0.069818, 0.64421, 1.0],
        [0.31196, 0.067486, 0.64024, 1.0],
        [0.32675, 0.065157, 0.63634, 1.0],
        [0.34081, 0.062906, 0.63252, 1.0],
        [0.35421, 0.060546, 0.6288, 1.0],
        [0.36705, 0.058179, 0.62515, 1.0],
        [0.3794, 0.055931, 0.62158, 1.0],
        [0.39131, 0.05356, 0.6181, 1.0],
        [0.40281, 0.051267, 0.6147, 1.0],
        [0.41397, 0.049057, 0.6114, 1.0],
        [0.42479, 0.046684, 0.60817, 1.0],
        [0.43533, 0.044376, 0.60501, 1.0],
        [0.44558, 0.042108, 0.60193, 1.0],
        [0.4556, 0.039763, 0.59895, 1.0],
        [0.46537, 0.037486, 0.59604, 1.0],
        [0.47496, 0.035294, 0.59322, 1.0],
        [0.48432, 0.032963, 0.59047, 1.0],
        [0.49352, 0.030903, 0.5878, 1.0],
        [0.50254, 0.028926, 0.58523, 1.0],
        [0.5114, 0.027022, 0.58272, 1.0],
        [0.52012, 0.025191, 0.5803, 1.0],
        [0.52872, 0.02343, 0.57794, 1.0],
        [0.53717, 0.021744, 0.57569, 1.0],
        [0.54549, 0.020131, 0.57351, 1.0],
        [0.5537, 0.018589, 0.5714, 1.0],
        [0.56182, 0.017116, 0.56937, 1.0],
        [0.56982, 0.015713, 0.56743, 1.0],
        [0.57772, 0.014383, 0.56556, 1.0],
        [0.58556, 0.013108, 0.56378, 1.0],
        [0.59331, 0.011906, 0.56202, 1.0],
        [0.60102, 0.010448, 0.56026, 1.0],
        [0.60871, 0.0092728, 0.55849, 1.0],
        [0.61634, 0.0080608, 0.55673, 1.0],
        [0.62394, 0.0068636, 0.55496, 1.0],
        [0.6315, 0.0056715, 0.55317, 1.0],
        [0.63904, 0.0044851, 0.5514, 1.0],
        [0.64654, 0.0033027, 0.5496, 1.0],
        [0.65401, 0.0021237, 0.54781, 1.0],
        [0.66146, 0.00094944, 0.54601, 1.0],
        [0.66888, 0, 0.54419, 1.0],
        [0.67628, 0, 0.54238, 1.0],
        [0.68364, 0, 0.54055, 1.0],
        [0.69099, 0, 0.53873, 1.0],
        [0.69832, 0, 0.53689, 1.0],
        [0.70562, 0, 0.53504, 1.0],
        [0.71291, 0, 0.53319, 1.0],
        [0.72018, 0, 0.53134, 1.0],
        [0.72742, 0, 0.52948, 1.0],
        [0.73466, 0, 0.52761, 1.0],
        [0.74187, 0, 0.52573, 1.0],
        [0.74906, 0, 0.52385, 1.0],
        [0.75625, 0, 0.52195, 1.0],
        [0.76342, 0, 0.52005, 1.0],
        [0.77058, 0, 0.51816, 1.0],
        [0.77773, 0, 0.51624, 1.0],
        [0.78486, 0, 0.51433, 1.0],
        [0.79198, 0, 0.51239, 1.0],
        [0.79909, 0, 0.51046, 1.0],
        [0.80618, 0, 0.50853, 1.0],
        [0.81322, 0, 0.50656, 1.0],
        [0.82017, 0, 0.50459, 1.0],
        [0.82703, 0, 0.50258, 1.0],
        [0.83381, 0, 0.50056, 1.0],
        [0.84048, 0, 0.49853, 1.0],
        [0.84706, 0, 0.49645, 1.0],
        [0.85355, 0, 0.49437, 1.0],
        [0.85996, 0, 0.49225, 1.0],
        [0.86628, 0, 0.49011, 1.0],
        [0.8725, 0, 0.48796, 1.0],
        [0.87863, 0.0025964, 0.48577, 1.0],
        [0.88468, 0.0090591, 0.48356, 1.0],
        [0.89063, 0.016464, 0.48133, 1.0],
        [0.8965, 0.024452, 0.47908, 1.0],
        [0.90228, 0.033265, 0.47679, 1.0],
        [0.90796, 0.042948, 0.47449, 1.0],
        [0.91356, 0.052352, 0.47216, 1.0],
        [0.91907, 0.061335, 0.4698, 1.0],
        [0.92449, 0.070106, 0.46741, 1.0],
        [0.92982, 0.07857, 0.46499, 1.0],
        [0.93506, 0.086993, 0.46255, 1.0],
        [0.94022, 0.095176, 0.46008, 1.0],
        [0.94529, 0.10322, 0.45759, 1.0],
        [0.95027, 0.11119, 0.45507, 1.0],
        [0.95516, 0.11907, 0.45252, 1.0],
        [0.95996, 0.12687, 0.44993, 1.0],
        [0.96467, 0.13467, 0.44731, 1.0],
        [0.9693, 0.14235, 0.44468, 1.0],
        [0.97383, 0.15004, 0.44201, 1.0],
        [0.97827, 0.15766, 0.43929, 1.0],
        [0.9826, 0.16532, 0.43656, 1.0],
        [0.9868, 0.17308, 0.4338, 1.0],
        [0.99086, 0.18089, 0.43103, 1.0],
        [0.99477, 0.18882, 0.42822, 1.0],
        [0.99854, 0.19681, 0.42539, 1.0],
        [1, 0.20481, 0.42252, 1.0],
        [1, 0.21285, 0.41965, 1.0],
        [1, 0.22099, 0.41674, 1.0],
        [1, 0.22914, 0.4138, 1.0],
        [1, 0.23736, 0.41083, 1.0],
        [1, 0.24555, 0.40783, 1.0],
        [1, 0.25382, 0.4048, 1.0],
        [1, 0.2621, 0.40173, 1.0],
        [1, 0.27043, 0.39864, 1.0],
        [1, 0.27875, 0.39552, 1.0],
        [1, 0.28708, 0.39235, 1.0],
        [1, 0.29545, 0.38916, 1.0],
        [1, 0.30385, 0.38591, 1.0],
        [1, 0.31225, 0.38264, 1.0],
        [1, 0.3207, 0.37933, 1.0],
        [1, 0.32913, 0.37598, 1.0],
        [1, 0.33756, 0.37257, 1.0],
        [1, 0.34602, 0.36914, 1.0],
        [1, 0.35451, 0.36565, 1.0],
        [1, 0.36297, 0.36212, 1.0],
        [1, 0.37145, 0.35853, 1.0],
        [1, 0.37995, 0.35492, 1.0],
        [1, 0.38846, 0.35122, 1.0],
        [1, 0.39696, 0.34749, 1.0],
        [1, 0.40547, 0.34369, 1.0],
        [1, 0.4139, 0.33986, 1.0],
        [1, 0.4222, 0.33597, 1.0],
        [1, 0.4304, 0.33207, 1.0],
        [1, 0.43847, 0.3281, 1.0],
        [1, 0.44643, 0.3241, 1.0],
        [1, 0.45429, 0.32007, 1.0],
        [1, 0.46204, 0.31598, 1.0],
        [1, 0.46971, 0.31182, 1.0],
        [1, 0.47727, 0.30763, 1.0],
        [1, 0.48476, 0.30339, 1.0],
        [1, 0.49217, 0.2991, 1.0],
        [1, 0.4995, 0.29473, 1.0],
        [1, 0.50677, 0.2903, 1.0],
        [1, 0.51397, 0.28581, 1.0],
        [1, 0.5211, 0.28126, 1.0],
        [1, 0.52816, 0.27665, 1.0],
        [1, 0.53517, 0.27191, 1.0],
        [1, 0.54212, 0.26713, 1.0],
        [1, 0.54902, 0.26226, 1.0],
        [1, 0.55585, 0.2573, 1.0],
        [1, 0.56265, 0.25223, 1.0],
        [1, 0.56938, 0.24705, 1.0],
        [1, 0.57609, 0.24177, 1.0],
        [1, 0.58273, 0.23637, 1.0],
        [1, 0.58934, 0.23082, 1.0],
        [1, 0.59591, 0.22513, 1.0],
        [1, 0.60244, 0.21933, 1.0],
        [1, 0.60893, 0.21333, 1.0],
        [1, 0.61536, 0.20719, 1.0],
        [1, 0.62179, 0.20085, 1.0],
        [1, 0.62814, 0.19473, 1.0],
        [1, 0.63438, 0.18898, 1.0],
        [1, 0.64052, 0.18363, 1.0],
        [1, 0.64658, 0.17866, 1.0],
        [1, 0.65258, 0.17395, 1.0],
        [1, 0.65851, 0.16956, 1.0],
        [1, 0.66439, 0.16532, 1.0],
        [1, 0.67023, 0.1614, 1.0],
        [1, 0.67601, 0.15763, 1.0],
        [1, 0.68174, 0.1541, 1.0],
        [1, 0.68745, 0.15075, 1.0],
        [1, 0.69312, 0.14754, 1.0],
        [1, 0.69875, 0.14449, 1.0],
        [1, 0.70435, 0.14163, 1.0],
        [1, 0.70993, 0.13886, 1.0],
        [1, 0.71548, 0.13623, 1.0],
        [1, 0.72099, 0.13382, 1.0],
        [1, 0.72649, 0.1315, 1.0],
        [1, 0.73197, 0.12928, 1.0],
        [1, 0.73742, 0.12722, 1.0],
        [1, 0.74286, 0.1253, 1.0],
        [1, 0.74827, 0.12347, 1.0],
        [1, 0.75367, 0.1218, 1.0],
        [1, 0.75905, 0.12025, 1.0],
        [1, 0.76442, 0.11888, 1.0],
        [1, 0.76976, 0.11751, 1.0],
        [1, 0.7751, 0.11639, 1.0],
        [1, 0.78042, 0.11528, 1.0],
        [1, 0.78573, 0.11434, 1.0],
        [1, 0.79102, 0.11357, 1.0],
        [1, 0.79631, 0.11289, 1.0],
        [1, 0.80158, 0.1123, 1.0],
        [1, 0.80685, 0.11183, 1.0],
        [1, 0.81209, 0.1115, 1.0],
        [1, 0.81733, 0.11127, 1.0],
        [1, 0.82257, 0.11116, 1.0],
        [1, 0.82778, 0.11116, 1.0],
        [1, 0.833, 0.11128, 1.0],
        [1, 0.8382, 0.1115, 1.0],
        [1, 0.8434, 0.11183, 1.0],
        [1, 0.84859, 0.11227, 1.0],
        [1, 0.85377, 0.11282, 1.0],
        [1, 0.85894, 0.11347, 1.0],
        [1, 0.86412, 0.11414, 1.0],
        [1, 0.86928, 0.115, 1.0],
        [1, 0.87443, 0.11595, 1.0],
        [1, 0.87958, 0.11697, 1.0],
        [1, 0.88472, 0.11809, 1.0],
        [1, 0.88986, 0.11929, 1.0],
        [1, 0.89499, 0.12054, 1.0],
        [1, 0.90012, 0.1219, 1.0],
        [1, 0.90524, 0.12335, 1.0],
        [1, 0.91036, 0.12486, 1.0],
        [1, 0.91547, 0.12649, 1.0],
        [1, 0.92058, 0.12812, 1.0],
        [1, 0.92569, 0.1299, 1.0],
        [1, 0.93079, 0.13165, 1.0],
        [1, 0.93588, 0.13349, 1.0],
        [1, 0.94097, 0.13541, 1.0],
        [1, 0.94606, 0.13735, 1.0],
    ],
    'cet.linear_gow_60_85_c27': [
        [0.39872, 0.60624, 0.56451, 1.0],
        [0.40156, 0.60721, 0.56266, 1.0],
        [0.4044, 0.60816, 0.5608, 1.0],
        [0.40724, 0.60911, 0.55895, 1.0],
        [0.41009, 0.61005, 0.55712, 1.0],
        [0.41293, 0.61099, 0.55528, 1.0],
        [0.41577, 0.61192, 0.55344, 1.0],
        [0.41863, 0.61285, 0.55162, 1.0],
        [0.42148, 0.61378, 0.5498, 1.0],
        [0.42435, 0.6147, 0.54798, 1.0],
        [0.42723, 0.61561, 0.54618, 1.0],
        [0.4301, 0.61653, 0.54436, 1.0],
        [0.43298, 0.61743, 0.54256, 1.0],
        [0.43588, 0.61833, 0.54076, 1.0],
        [0.43876, 0.61923, 0.53897, 1.0],
        [0.44169, 0.62012, 0.53719, 1.0],
        [0.44461, 0.621, 0.5354, 1.0],
        [0.44752, 0.62186, 0.53362, 1.0],
        [0.45047, 0.62274, 0.53186, 1.0],
        [0.45342, 0.62361, 0.5301, 1.0],
        [0.45639, 0.62446, 0.52835, 1.0],
        [0.45937, 0.62531, 0.5266, 1.0],
        [0.46235, 0.62615, 0.52485, 1.0],
        [0.46536, 0.62698, 0.52312, 1.0],
        [0.46838, 0.62781, 0.52138, 1.0],
        [0.47142, 0.62864, 0.51966, 1.0],
        [0.47447, 0.62944, 0.51795, 1.0],
        [0.47754, 0.63025, 0.51623, 1.0],
        [0.48061, 0.63105, 0.51454, 1.0],
        [0.48372, 0.63184, 0.51285, 1.0],
        [0.48685, 0.63262, 0.51116, 1.0],
        [0.48999, 0.63339, 0.50949, 1.0],
        [0.49314, 0.63416, 0.50783, 1.0],
        [0.49633, 0.63491, 0.50616, 1.0],
        [0.49954, 0.63565, 0.50452, 1.0],
        [0.50277, 0.63639, 0.50287, 1.0],
        [0.50602, 0.63711, 0.50125, 1.0],
        [0.50931, 0.63782, 0.49961, 1.0],
        [0.51261, 0.63852, 0.49802, 1.0],
        [0.51594, 0.63922, 0.4964, 1.0],
        [0.5193, 0.6399, 0.49483, 1.0],
        [0.52268, 0.64057, 0.49323, 1.0],
        [0.5261, 0.64122, 0.49168, 1.0],
        [0.52955, 0.64187, 0.49012, 1.0],
        [0.53302, 0.6425, 0.48858, 1.0],
        [0.53654, 0.64312, 0.48705, 1.0],
        [0.54007, 0.64372, 0.48552, 1.0],
        [0.54365, 0.64431, 0.48402, 1.0],
        [0.54726, 0.64489, 0.48253, 1.0],
        [0.55092, 0.64545, 0.48105, 1.0],
        [0.55461, 0.64599, 0.4796, 1.0],
        [0.55833, 0.64652, 0.47815, 1.0],
        [0.56212, 0.64704, 0.47672, 1.0],
        [0.56592, 0.64753, 0.47532, 1.0],
        [0.56978, 0.648, 0.47391, 1.0],
        [0.57369, 0.64846, 0.47253, 1.0],
        [0.57764, 0.6489, 0.47118, 1.0],
        [0.58164, 0.64932, 0.46984, 1.0],
        [0.5857, 0.64971, 0.46851, 1.0],
        [0.5898, 0.65009, 0.46722, 1.0],
        [0.59397, 0.65044, 0.46593, 1.0],
        [0.59819, 0.65076, 0.46469, 1.0],
        [0.60248, 0.65106, 0.46344, 1.0],
        [0.60683, 0.65134, 0.46224, 1.0],
        [0.61124, 0.65159, 0.46106, 1.0],
        [0.61572, 0.6518, 0.45991, 1.0],
        [0.62028, 0.65199, 0.45879, 1.0],
        [0.62491, 0.65214, 0.45769, 1.0],
        [0.62961, 0.65226, 0.45663, 1.0],
        [0.63441, 0.65235, 0.4556, 1.0],
        [0.63928, 0.6524, 0.45461, 1.0],
        [0.64424, 0.65241, 0.45364, 1.0],
        [0.6493, 0.65237, 0.45273, 1.0],
        [0.65445, 0.6523, 0.45184, 1.0],
        [0.65971, 0.65218, 0.451, 1.0],
        [0.66508, 0.65201, 0.45021, 1.0],
        [0.67058, 0.65178, 0.44946, 1.0],
        [0.67612, 0.65152, 0.44876, 1.0],
        [0.68161, 0.65126, 0.44805, 1.0],
        [0.68699, 0.65102, 0.44736, 1.0],
        [0.69226, 0.65081, 0.44667, 1.0],
        [0.69741, 0.65061, 0.44598, 1.0],
        [0.70245, 0.65044, 0.44529, 1.0],
        [0.70738, 0.65029, 0.44461, 1.0],
        [0.71221, 0.65017, 0.44392, 1.0],
        [0.71694, 0.65007, 0.44324, 1.0],
        [0.72155, 0.65, 0.44256, 1.0],
        [0.72607, 0.64995, 0.44187, 1.0],
        [0.73048, 0.64993, 0.44118, 1.0],
        [0.7348, 0.64994, 0.4405, 1.0],
        [0.73901, 0.64997, 0.43982, 1.0],
        [0.74312, 0.65003, 0.43914, 1.0],
        [0.74713, 0.65011, 0.43846, 1.0],
        [0.75106, 0.65023, 0.43779, 1.0],
        [0.75488, 0.65037, 0.43711, 1.0],
        [0.7586, 0.65054, 0.43643, 1.0],
        [0.76223, 0.65074, 0.43576, 1.0],
        [0.76578, 0.65097, 0.43508, 1.0],
        [0.76922, 0.65123, 0.4344, 1.0],
        [0.77257, 0.65152, 0.43372, 1.0],
        [0.77583, 0.65185, 0.43305, 1.0],
        [0.779, 0.65219, 0.43239, 1.0],
        [0.78209, 0.65257, 0.43171, 1.0],
        [0.78507, 0.65298, 0.43103, 1.0],
        [0.78797, 0.65343, 0.43036, 1.0],
        [0.79078, 0.65391, 0.42968, 1.0],
        [0.7935, 0.65441, 0.42901, 1.0],
        [0.79612, 0.65495, 0.42833, 1.0],
        [0.79867, 0.65553, 0.42766, 1.0],
        [0.80112, 0.65614, 0.42699, 1.0],
        [0.80349, 0.65678, 0.4263, 1.0],
        [0.80576, 0.65745, 0.42564, 1.0],
        [0.80795, 0.65816, 0.42497, 1.0],
        [0.81006, 0.65889, 0.42428, 1.0],
        [0.81207, 0.65966, 0.42361, 1.0],
        [0.814, 0.66047, 0.42293, 1.0],
        [0.81584, 0.66131, 0.42225, 1.0],
        [0.8176, 0.66219, 0.42158, 1.0],
        [0.81927, 0.66309, 0.4209, 1.0],
        [0.82085, 0.66403, 0.42023, 1.0],
        [0.82235, 0.665, 0.41956, 1.0],
        [0.82376, 0.66601, 0.41887, 1.0],
        [0.82508, 0.66705, 0.41819, 1.0],
        [0.82632, 0.66813, 0.41752, 1.0],
        [0.82747, 0.66924, 0.41684, 1.0],
        [0.82853, 0.67039, 0.41616, 1.0],
        [0.82952, 0.67156, 0.41547, 1.0],
        [0.83041, 0.67278, 0.41479, 1.0],
        [0.83123, 0.67401, 0.41414, 1.0],
        [0.83202, 0.67526, 0.41355, 1.0],
        [0.83279, 0.67651, 0.41307, 1.0],
        [0.83355, 0.67776, 0.41268, 1.0],
        [0.83429, 0.67901, 0.41239, 1.0],
        [0.83501, 0.68025, 0.41219, 1.0],
        [0.83572, 0.68151, 0.41208, 1.0],
        [0.83641, 0.68277, 0.41209, 1.0],
        [0.83708, 0.68402, 0.41219, 1.0],
        [0.83774, 0.68528, 0.41239, 1.0],
        [0.83838, 0.68653, 0.41269, 1.0],
        [0.83901, 0.68779, 0.41309, 1.0],
        [0.83962, 0.68906, 0.41358, 1.0],
        [0.84021, 0.69031, 0.41417, 1.0],
        [0.84079, 0.69157, 0.41487, 1.0],
        [0.84135, 0.69284, 0.41567, 1.0],
        [0.84189, 0.6941, 0.41657, 1.0],
        [0.84242, 0.69537, 0.41757, 1.0],
        [0.84293, 0.69663, 0.41865, 1.0],
        [0.84342, 0.6979, 0.41986, 1.0],
        [0.8439, 0.69916, 0.42115, 1.0],
        [0.84436, 0.70044, 0.42254, 1.0],
        [0.8448, 0.7017, 0.42404, 1.0],
        [0.84523, 0.70298, 0.42564, 1.0],
        [0.84563, 0.70425, 0.42735, 1.0],
        [0.84602, 0.70552, 0.42913, 1.0],
        [0.84639, 0.7068, 0.43103, 1.0],
        [0.84674, 0.70808, 0.43303, 1.0],
        [0.84707, 0.70936, 0.43513, 1.0],
        [0.84739, 0.71063, 0.43732, 1.0],
        [0.84768, 0.71191, 0.4396, 1.0],
        [0.84796, 0.71319, 0.44201, 1.0],
        [0.84821, 0.71447, 0.4445, 1.0],
        [0.84845, 0.71577, 0.44707, 1.0],
        [0.84866, 0.71705, 0.44976, 1.0],
        [0.84885, 0.71833, 0.45256, 1.0],
        [0.84903, 0.71963, 0.45543, 1.0],
        [0.84918, 0.72091, 0.45841, 1.0],
        [0.8493, 0.7222, 0.46149, 1.0],
        [0.84941, 0.7235, 0.46467, 1.0],
        [0.84949, 0.7248, 0.46793, 1.0],
        [0.84954, 0.72609, 0.4713, 1.0],
        [0.84958, 0.72739, 0.47477, 1.0],
        [0.84958, 0.72869, 0.47832, 1.0],
        [0.84956, 0.72999, 0.48199, 1.0],
        [0.84952, 0.73129, 0.48573, 1.0],
        [0.84945, 0.7326, 0.48957, 1.0],
        [0.84935, 0.7339, 0.49352, 1.0],
        [0.84922, 0.73521, 0.49757, 1.0],
        [0.84907, 0.73652, 0.5017, 1.0],
        [0.84889, 0.73783, 0.50591, 1.0],
        [0.84868, 0.73916, 0.51022, 1.0],
        [0.84848, 0.74046, 0.51454, 1.0],
        [0.84828, 0.74176, 0.51885, 1.0],
        [0.8481, 0.74306, 0.52316, 1.0],
        [0.84792, 0.74435, 0.52745, 1.0],
        [0.84775, 0.74564, 0.53175, 1.0],
        [0.84759, 0.74692, 0.53603, 1.0],
        [0.84743, 0.74821, 0.54032, 1.0],
        [0.84727, 0.74947, 0.5446, 1.0],
        [0.84712, 0.75075, 0.54888, 1.0],
        [0.84698, 0.75202, 0.55314, 1.0],
        [0.84684, 0.75328, 0.55742, 1.0],
        [0.8467, 0.75455, 0.56168, 1.0],
        [0.84656, 0.7558, 0.56594, 1.0],
        [0.84643, 0.75706, 0.57019, 1.0],
        [0.84629, 0.75831, 0.57444, 1.0],
        [0.84616, 0.75955, 0.5787, 1.0],
        [0.84603, 0.76081, 0.58295, 1.0],
        [0.8459, 0.76205, 0.58719, 1.0],
        [0.84577, 0.76329, 0.59144, 1.0],
        [0.84564, 0.76453, 0.59568, 1.0],
        [0.84551, 0.76577, 0.59993, 1.0],
        [0.84537, 0.767, 0.60417, 1.0],
        [0.84524, 0.76824, 0.6084, 1.0],
        [0.84511, 0.76947, 0.61263, 1.0],
        [0.84497, 0.77071, 0.61687, 1.0],
        [0.84484, 0.77194, 0.6211, 1.0],
        [0.8447, 0.77316, 0.62533, 1.0],
        [0.84455, 0.77439, 0.62955, 1.0],
        [0.84441, 0.77561, 0.63379, 1.0],
        [0.84426, 0.77684, 0.63801, 1.0],
        [0.84411, 0.77806, 0.64224, 1.0],
        [0.84396, 0.77928, 0.64646, 1.0],
        [0.8438, 0.7805, 0.65068, 1.0],
        [0.84364, 0.78172, 0.6549, 1.0],
        [0.84348, 0.78294, 0.65912, 1.0],
        [0.84331, 0.78416, 0.66335, 1.0],
        [0.84314, 0.78537, 0.66757, 1.0],
        [0.84297, 0.78659, 0.67179, 1.0],
        [0.84279, 0.7878, 0.67601, 1.0],
        [0.84261, 0.78901, 0.68022, 1.0],
        [0.84243, 0.79022, 0.68444, 1.0],
        [0.84224, 0.79143, 0.68867, 1.0],
        [0.84204, 0.79265, 0.69289, 1.0],
        [0.84184, 0.79386, 0.6971, 1.0],
        [0.84163, 0.79507, 0.70132, 1.0],
        [0.84142, 0.79627, 0.70554, 1.0],
        [0.8412, 0.79748, 0.70976, 1.0],
        [0.84098, 0.79869, 0.71398, 1.0],
        [0.84076, 0.7999, 0.7182, 1.0],
        [0.84053, 0.8011, 0.72241, 1.0],
        [0.84029, 0.80231, 0.72663, 1.0],
        [0.84004, 0.80352, 0.73085, 1.0],
        [0.8398, 0.80472, 0.73508, 1.0],
        [0.83954, 0.80593, 0.7393, 1.0],
        [0.83928, 0.80713, 0.74352, 1.0],
        [0.83901, 0.80834, 0.74774, 1.0],
        [0.83873, 0.80954, 0.75196, 1.0],
        [0.83845, 0.81074, 0.75618, 1.0],
        [0.83817, 0.81195, 0.76041, 1.0],
        [0.83788, 0.81315, 0.76463, 1.0],
        [0.83758, 0.81435, 0.76885, 1.0],
        [0.83727, 0.81555, 0.77308, 1.0],
        [0.83695, 0.81676, 0.77731, 1.0],
        [0.83663, 0.81795, 0.78154, 1.0],
        [0.8363, 0.81916, 0.78577, 1.0],
        [0.83597, 0.82036, 0.78999, 1.0],
        [0.83563, 0.82156, 0.79422, 1.0],
        [0.83528, 0.82277, 0.79845, 1.0],
        [0.83492, 0.82396, 0.80268, 1.0],
        [0.83456, 0.82516, 0.80692, 1.0],
        [0.83419, 0.82637, 0.81115, 1.0],
        [0.83381, 0.82757, 0.81538, 1.0],
        [0.83342, 0.82877, 0.81962, 1.0],
        [0.83302, 0.82997, 0.82386, 1.0],
        [0.83262, 0.83118, 0.82809, 1.0],
        [0.83221, 0.83237, 0.83233, 1.0],
    ],
    'cet.linear_gow_65_90_c35': [
        [0.43765, 0.67814, 0.36054, 1.0],
        [0.44314, 0.67844, 0.361, 1.0],
        [0.4486, 0.67874, 0.36146, 1.0],
        [0.45399, 0.67903, 0.36192, 1.0],
        [0.45934, 0.67932, 0.36237, 1.0],
        [0.46465, 0.67961, 0.36282, 1.0],
        [0.46991, 0.6799, 0.36327, 1.0],
        [0.47513, 0.68018, 0.36373, 1.0],
        [0.48029, 0.68047, 0.36419, 1.0],
        [0.48542, 0.68075, 0.36465, 1.0],
        [0.49052, 0.68102, 0.36511, 1.0],
        [0.49557, 0.6813, 0.36557, 1.0],
        [0.50059, 0.68157, 0.36603, 1.0],
        [0.50556, 0.68184, 0.3665, 1.0],
        [0.51051, 0.68211, 0.36696, 1.0],
        [0.51542, 0.68237, 0.36741, 1.0],
        [0.5203, 0.68264, 0.36788, 1.0],
        [0.52515, 0.6829, 0.36835, 1.0],
        [0.52996, 0.68316, 0.36882, 1.0],
        [0.53474, 0.68341, 0.36928, 1.0],
        [0.53949, 0.68366, 0.36975, 1.0],
        [0.54422, 0.68391, 0.37021, 1.0],
        [0.54891, 0.68416, 0.37068, 1.0],
        [0.55357, 0.6844, 0.37115, 1.0],
        [0.55821, 0.68465, 0.37162, 1.0],
        [0.56283, 0.68489, 0.3721, 1.0],
        [0.56741, 0.68514, 0.37257, 1.0],
        [0.57197, 0.68538, 0.37305, 1.0],
        [0.57651, 0.68561, 0.37353, 1.0],
        [0.58101, 0.68585, 0.37401, 1.0],
        [0.5855, 0.68608, 0.37449, 1.0],
        [0.58995, 0.68631, 0.37496, 1.0],
        [0.59438, 0.68654, 0.37543, 1.0],
        [0.5988, 0.68676, 0.37592, 1.0],
        [0.60319, 0.68699, 0.37641, 1.0],
        [0.60756, 0.68721, 0.37689, 1.0],
        [0.6119, 0.68744, 0.37737, 1.0],
        [0.61622, 0.68766, 0.37785, 1.0],
        [0.62053, 0.68788, 0.37833, 1.0],
        [0.6248, 0.6881, 0.37882, 1.0],
        [0.62906, 0.68831, 0.37931, 1.0],
        [0.6333, 0.68853, 0.37979, 1.0],
        [0.63752, 0.68875, 0.38029, 1.0],
        [0.64171, 0.68896, 0.38078, 1.0],
        [0.64589, 0.68917, 0.38127, 1.0],
        [0.65005, 0.68938, 0.38175, 1.0],
        [0.65418, 0.68959, 0.38224, 1.0],
        [0.6583, 0.6898, 0.38274, 1.0],
        [0.6624, 0.69001, 0.38324, 1.0],
        [0.66647, 0.69021, 0.38374, 1.0],
        [0.67054, 0.69042, 0.38423, 1.0],
        [0.67457, 0.69062, 0.38472, 1.0],
        [0.67859, 0.69083, 0.38522, 1.0],
        [0.68259, 0.69103, 0.38572, 1.0],
        [0.68657, 0.69124, 0.38622, 1.0],
        [0.69054, 0.69145, 0.38672, 1.0],
        [0.69448, 0.69166, 0.38723, 1.0],
        [0.69841, 0.69186, 0.38773, 1.0],
        [0.70231, 0.69207, 0.38824, 1.0],
        [0.70621, 0.69228, 0.38876, 1.0],
        [0.71007, 0.69248, 0.38926, 1.0],
        [0.71392, 0.69269, 0.38976, 1.0],
        [0.71776, 0.69289, 0.39027, 1.0],
        [0.72157, 0.6931, 0.39079, 1.0],
        [0.72537, 0.6933, 0.39131, 1.0],
        [0.72914, 0.69351, 0.39182, 1.0],
        [0.7329, 0.69372, 0.39233, 1.0],
        [0.73663, 0.69393, 0.39284, 1.0],
        [0.74035, 0.69414, 0.39336, 1.0],
        [0.74405, 0.69435, 0.39388, 1.0],
        [0.74774, 0.69457, 0.3944, 1.0],
        [0.7514, 0.69479, 0.39492, 1.0],
        [0.75504, 0.69501, 0.39545, 1.0],
        [0.75865, 0.69523, 0.39597, 1.0],
        [0.76225, 0.69545, 0.39649, 1.0],
        [0.76584, 0.69568, 0.39701, 1.0],
        [0.76939, 0.69591, 0.39755, 1.0],
        [0.77293, 0.69614, 0.39808, 1.0],
        [0.77645, 0.69638, 0.39861, 1.0],
        [0.77995, 0.69661, 0.39913, 1.0],
        [0.78342, 0.69685, 0.39966, 1.0],
        [0.78688, 0.69709, 0.40021, 1.0],
        [0.7903, 0.69734, 0.40076, 1.0],
        [0.79372, 0.69759, 0.40129, 1.0],
        [0.79709, 0.69785, 0.40182, 1.0],
        [0.80046, 0.69811, 0.40236, 1.0],
        [0.80379, 0.69838, 0.40291, 1.0],
        [0.80711, 0.69865, 0.40346, 1.0],
        [0.81039, 0.69893, 0.404, 1.0],
        [0.81365, 0.69921, 0.40454, 1.0],
        [0.81689, 0.6995, 0.40509, 1.0],
        [0.82009, 0.6998, 0.40565, 1.0],
        [0.82328, 0.70011, 0.40621, 1.0],
        [0.82643, 0.70042, 0.40676, 1.0],
        [0.82956, 0.70074, 0.40731, 1.0],
        [0.83264, 0.70107, 0.40787, 1.0],
        [0.83571, 0.7014, 0.40843, 1.0],
        [0.83874, 0.70174, 0.409, 1.0],
        [0.84174, 0.7021, 0.40956, 1.0],
        [0.8447, 0.70247, 0.41014, 1.0],
        [0.84763, 0.70285, 0.41071, 1.0],
        [0.85052, 0.70324, 0.41127, 1.0],
        [0.85337, 0.70364, 0.41185, 1.0],
        [0.85619, 0.70405, 0.41243, 1.0],
        [0.85896, 0.70448, 0.41301, 1.0],
        [0.86169, 0.70492, 0.41359, 1.0],
        [0.86438, 0.70538, 0.41418, 1.0],
        [0.86701, 0.70586, 0.41476, 1.0],
        [0.8696, 0.70636, 0.41536, 1.0],
        [0.87215, 0.70687, 0.41595, 1.0],
        [0.87463, 0.7074, 0.41656, 1.0],
        [0.87705, 0.70795, 0.41716, 1.0],
        [0.87942, 0.70853, 0.41776, 1.0],
        [0.88172, 0.70913, 0.41837, 1.0],
        [0.88395, 0.70976, 0.41899, 1.0],
        [0.88611, 0.71042, 0.41961, 1.0],
        [0.88818, 0.71111, 0.42023, 1.0],
        [0.89017, 0.71183, 0.42086, 1.0],
        [0.89208, 0.71258, 0.4215, 1.0],
        [0.89388, 0.71338, 0.42214, 1.0],
        [0.89558, 0.71421, 0.42279, 1.0],
        [0.89716, 0.7151, 0.42344, 1.0],
        [0.8986, 0.71605, 0.42411, 1.0],
        [0.8999, 0.71704, 0.42479, 1.0],
        [0.90104, 0.7181, 0.42548, 1.0],
        [0.902, 0.71924, 0.42616, 1.0],
        [0.90274, 0.72045, 0.42688, 1.0],
        [0.90325, 0.72176, 0.42761, 1.0],
        [0.90355, 0.72316, 0.42836, 1.0],
        [0.90378, 0.72458, 0.42917, 1.0],
        [0.90399, 0.726, 0.43006, 1.0],
        [0.9042, 0.72741, 0.43102, 1.0],
        [0.90441, 0.72883, 0.43206, 1.0],
        [0.90462, 0.73024, 0.43315, 1.0],
        [0.90481, 0.73165, 0.43433, 1.0],
        [0.90501, 0.73306, 0.43559, 1.0],
        [0.90519, 0.73447, 0.43691, 1.0],
        [0.90537, 0.73586, 0.4383, 1.0],
        [0.90555, 0.73727, 0.43978, 1.0],
        [0.90572, 0.73867, 0.44132, 1.0],
        [0.90588, 0.74007, 0.44294, 1.0],
        [0.90604, 0.74145, 0.44463, 1.0],
        [0.90619, 0.74285, 0.44638, 1.0],
        [0.90633, 0.74424, 0.44821, 1.0],
        [0.90647, 0.74563, 0.45013, 1.0],
        [0.9066, 0.74702, 0.45211, 1.0],
        [0.90673, 0.7484, 0.45416, 1.0],
        [0.90684, 0.74978, 0.45628, 1.0],
        [0.90696, 0.75117, 0.45847, 1.0],
        [0.90706, 0.75254, 0.46074, 1.0],
        [0.90715, 0.75392, 0.46307, 1.0],
        [0.90724, 0.75529, 0.46549, 1.0],
        [0.90732, 0.75666, 0.46797, 1.0],
        [0.90739, 0.75804, 0.47054, 1.0],
        [0.90746, 0.7594, 0.47315, 1.0],
        [0.90751, 0.76077, 0.47586, 1.0],
        [0.90756, 0.76213, 0.47862, 1.0],
        [0.90759, 0.7635, 0.48146, 1.0],
        [0.90762, 0.76487, 0.48437, 1.0],
        [0.90764, 0.76622, 0.48736, 1.0],
        [0.90764, 0.76758, 0.49041, 1.0],
        [0.90764, 0.76894, 0.49353, 1.0],
        [0.90763, 0.77029, 0.49672, 1.0],
        [0.9076, 0.77165, 0.49998, 1.0],
        [0.90756, 0.773, 0.50331, 1.0],
        [0.90752, 0.77435, 0.50672, 1.0],
        [0.90746, 0.7757, 0.51019, 1.0],
        [0.90738, 0.77706, 0.51373, 1.0],
        [0.9073, 0.7784, 0.51735, 1.0],
        [0.9072, 0.77974, 0.52102, 1.0],
        [0.90709, 0.78109, 0.52477, 1.0],
        [0.90697, 0.78243, 0.52859, 1.0],
        [0.90683, 0.78378, 0.53248, 1.0],
        [0.90667, 0.78512, 0.53643, 1.0],
        [0.90651, 0.78646, 0.54046, 1.0],
        [0.90632, 0.78779, 0.54455, 1.0],
        [0.90612, 0.78913, 0.54872, 1.0],
        [0.90591, 0.79046, 0.55293, 1.0],
        [0.90568, 0.7918, 0.55724, 1.0],
        [0.90544, 0.79314, 0.56159, 1.0],
        [0.9052, 0.79447, 0.56594, 1.0],
        [0.90497, 0.79578, 0.5703, 1.0],
        [0.90475, 0.7971, 0.57465, 1.0],
        [0.90454, 0.79841, 0.579, 1.0],
        [0.90433, 0.79973, 0.58333, 1.0],
        [0.90413, 0.80102, 0.58767, 1.0],
        [0.90394, 0.80232, 0.59201, 1.0],
        [0.90376, 0.80361, 0.59633, 1.0],
        [0.90358, 0.8049, 0.60065, 1.0],
        [0.90341, 0.80619, 0.60497, 1.0],
        [0.90323, 0.80747, 0.60929, 1.0],
        [0.90307, 0.80875, 0.6136, 1.0],
        [0.9029, 0.81003, 0.61791, 1.0],
        [0.90273, 0.8113, 0.62221, 1.0],
        [0.90257, 0.81257, 0.62652, 1.0],
        [0.90241, 0.81384, 0.63083, 1.0],
        [0.90225, 0.8151, 0.63512, 1.0],
        [0.90209, 0.81637, 0.63942, 1.0],
        [0.90194, 0.81763, 0.64371, 1.0],
        [0.90178, 0.81888, 0.648, 1.0],
        [0.90162, 0.82014, 0.6523, 1.0],
        [0.90146, 0.8214, 0.65659, 1.0],
        [0.9013, 0.82265, 0.66087, 1.0],
        [0.90114, 0.8239, 0.66516, 1.0],
        [0.90098, 0.82514, 0.66945, 1.0],
        [0.90082, 0.82639, 0.67373, 1.0],
        [0.90066, 0.82764, 0.67801, 1.0],
        [0.90049, 0.82888, 0.68229, 1.0],
        [0.90032, 0.83012, 0.68657, 1.0],
        [0.90015, 0.83137, 0.69084, 1.0],
        [0.89998, 0.8326, 0.69512, 1.0],
        [0.89981, 0.83384, 0.6994, 1.0],
        [0.89963, 0.83508, 0.70368, 1.0],
        [0.89945, 0.83631, 0.70795, 1.0],
        [0.89927, 0.83755, 0.71222, 1.0],
        [0.89908, 0.83878, 0.7165, 1.0],
        [0.89889, 0.84002, 0.72077, 1.0],
        [0.89869, 0.84124, 0.72505, 1.0],
        [0.89849, 0.84248, 0.72932, 1.0],
        [0.89829, 0.8437, 0.73359, 1.0],
        [0.89809, 0.84493, 0.73786, 1.0],
        [0.89788, 0.84616, 0.74213, 1.0],
        [0.89766, 0.84738, 0.7464, 1.0],
        [0.89745, 0.84861, 0.75068, 1.0],
        [0.89722, 0.84984, 0.75495, 1.0],
        [0.897, 0.85106, 0.75921, 1.0],
        [0.89676, 0.85229, 0.76349, 1.0],
        [0.89652, 0.85351, 0.76776, 1.0],
        [0.89628, 0.85474, 0.77203, 1.0],
        [0.89603, 0.85596, 0.7763, 1.0],
        [0.89578, 0.85718, 0.78057, 1.0],
        [0.89552, 0.8584, 0.78485, 1.0],
        [0.89526, 0.85962, 0.78912, 1.0],
        [0.89499, 0.86084, 0.7934, 1.0],
        [0.89471, 0.86207, 0.79767, 1.0],
        [0.89443, 0.86328, 0.80194, 1.0],
        [0.89414, 0.8645, 0.80622, 1.0],
        [0.89385, 0.86572, 0.81049, 1.0],
        [0.89355, 0.86694, 0.81477, 1.0],
        [0.89324, 0.86816, 0.81904, 1.0],
        [0.89293, 0.86938, 0.82332, 1.0],
        [0.89262, 0.87059, 0.8276, 1.0],
        [0.89229, 0.87181, 0.83188, 1.0],
        [0.89196, 0.87303, 0.83616, 1.0],
        [0.89162, 0.87424, 0.84044, 1.0],
        [0.89128, 0.87546, 0.84472, 1.0],
        [0.89093, 0.87667, 0.849, 1.0],
        [0.89057, 0.87789, 0.85328, 1.0],
        [0.8902, 0.87911, 0.85756, 1.0],
        [0.88983, 0.88032, 0.86185, 1.0],
        [0.88945, 0.88154, 0.86614, 1.0],
        [0.88907, 0.88276, 0.87042, 1.0],
        [0.88867, 0.88398, 0.87471, 1.0],
        [0.88827, 0.88519, 0.879, 1.0],
        [0.88786, 0.88641, 0.88329, 1.0],
        [0.88744, 0.88762, 0.88758, 1.0],
    ],
    'cet.linear_green_5_95_c69': [
        [0.0020082, 0.082527, 0.022201, 1.0],
        [0.004381, 0.08615, 0.022118, 1.0],
        [0.0067598, 0.089747, 0.022041, 1.0],
        [0.0091625, 0.093124, 0.021981, 1.0],
        [0.011768, 0.096433, 0.021933, 1.0],
        [0.014187, 0.099686, 0.021895, 1.0],
        [0.016629, 0.10283, 0.021877, 1.0],
        [0.019082, 0.10587, 0.021867, 1.0],
        [0.021556, 0.1088, 0.021877, 1.0],
        [0.024018, 0.11172, 0.021897, 1.0],
        [0.026293, 0.11459, 0.021902, 1.0],
        [0.028361, 0.1176, 0.0219, 1.0],
        [0.030209, 0.12061, 0.021879, 1.0],
        [0.031836, 0.12368, 0.021843, 1.0],
        [0.033248, 0.12681, 0.021797, 1.0],
        [0.03448, 0.13002, 0.021732, 1.0],
        [0.035611, 0.13318, 0.021656, 1.0],
        [0.036308, 0.13639, 0.021568, 1.0],
        [0.036803, 0.13965, 0.021464, 1.0],
        [0.037067, 0.14299, 0.021348, 1.0],
        [0.037096, 0.14631, 0.021222, 1.0],
        [0.036881, 0.14971, 0.021083, 1.0],
        [0.036566, 0.15305, 0.020931, 1.0],
        [0.036258, 0.15648, 0.020778, 1.0],
        [0.035956, 0.15982, 0.02062, 1.0],
        [0.035648, 0.16326, 0.020454, 1.0],
        [0.03531, 0.16666, 0.020281, 1.0],
        [0.034935, 0.17007, 0.02011, 1.0],
        [0.034549, 0.17347, 0.019938, 1.0],
        [0.034194, 0.17689, 0.019764, 1.0],
        [0.0339, 0.18031, 0.01959, 1.0],
        [0.033658, 0.18374, 0.019418, 1.0],
        [0.03346, 0.18719, 0.019251, 1.0],
        [0.033308, 0.1906, 0.019094, 1.0],
        [0.033202, 0.19407, 0.018947, 1.0],
        [0.033153, 0.19748, 0.018811, 1.0],
        [0.033171, 0.2009, 0.018691, 1.0],
        [0.033269, 0.20438, 0.018588, 1.0],
        [0.033456, 0.2078, 0.018509, 1.0],
        [0.033755, 0.21125, 0.018457, 1.0],
        [0.034229, 0.21467, 0.018437, 1.0],
        [0.03498, 0.21811, 0.018456, 1.0],
        [0.03581, 0.22154, 0.018521, 1.0],
        [0.036701, 0.22495, 0.018622, 1.0],
        [0.037696, 0.22842, 0.018735, 1.0],
        [0.038702, 0.23186, 0.018848, 1.0],
        [0.039729, 0.23531, 0.018957, 1.0],
        [0.040766, 0.23875, 0.019061, 1.0],
        [0.041844, 0.24222, 0.019159, 1.0],
        [0.042758, 0.24568, 0.019252, 1.0],
        [0.043802, 0.24918, 0.019339, 1.0],
        [0.044931, 0.25267, 0.019419, 1.0],
        [0.045873, 0.25616, 0.019493, 1.0],
        [0.047009, 0.25968, 0.019561, 1.0],
        [0.047989, 0.26319, 0.019623, 1.0],
        [0.049157, 0.2667, 0.019676, 1.0],
        [0.050138, 0.27025, 0.019721, 1.0],
        [0.051173, 0.27378, 0.019758, 1.0],
        [0.052215, 0.27732, 0.019785, 1.0],
        [0.053276, 0.28085, 0.019802, 1.0],
        [0.054355, 0.28442, 0.01981, 1.0],
        [0.055446, 0.28799, 0.01981, 1.0],
        [0.056569, 0.29158, 0.019809, 1.0],
        [0.057528, 0.29515, 0.019834, 1.0],
        [0.058624, 0.29874, 0.01989, 1.0],
        [0.059734, 0.30233, 0.019977, 1.0],
        [0.06068, 0.30596, 0.020098, 1.0],
        [0.061651, 0.30957, 0.020253, 1.0],
        [0.062756, 0.31318, 0.020445, 1.0],
        [0.063696, 0.31681, 0.020677, 1.0],
        [0.064656, 0.32045, 0.02095, 1.0],
        [0.065612, 0.32408, 0.021258, 1.0],
        [0.066576, 0.32773, 0.021584, 1.0],
        [0.067549, 0.33138, 0.021916, 1.0],
        [0.068538, 0.33506, 0.022251, 1.0],
        [0.06952, 0.33872, 0.022589, 1.0],
        [0.070402, 0.3424, 0.022929, 1.0],
        [0.071419, 0.34607, 0.023272, 1.0],
        [0.072319, 0.34977, 0.023618, 1.0],
        [0.073361, 0.35346, 0.023966, 1.0],
        [0.074283, 0.35718, 0.024318, 1.0],
        [0.075218, 0.36087, 0.024672, 1.0],
        [0.076165, 0.36459, 0.025028, 1.0],
        [0.077123, 0.36832, 0.025388, 1.0],
        [0.078091, 0.37204, 0.02575, 1.0],
        [0.079071, 0.37578, 0.026116, 1.0],
        [0.080061, 0.37952, 0.026484, 1.0],
        [0.081061, 0.38328, 0.026854, 1.0],
        [0.082077, 0.38702, 0.027228, 1.0],
        [0.082984, 0.39079, 0.027604, 1.0],
        [0.084013, 0.39456, 0.027983, 1.0],
        [0.084952, 0.39834, 0.028365, 1.0],
        [0.085878, 0.40211, 0.02875, 1.0],
        [0.086941, 0.40591, 0.029138, 1.0],
        [0.087908, 0.4097, 0.029528, 1.0],
        [0.088876, 0.4135, 0.029921, 1.0],
        [0.089858, 0.41731, 0.030317, 1.0],
        [0.090847, 0.42111, 0.030716, 1.0],
        [0.091852, 0.42494, 0.031118, 1.0],
        [0.092761, 0.42876, 0.031521, 1.0],
        [0.093773, 0.43259, 0.031927, 1.0],
        [0.094809, 0.43643, 0.032341, 1.0],
        [0.09575, 0.44027, 0.03276, 1.0],
        [0.096692, 0.44412, 0.033171, 1.0],
        [0.097753, 0.44796, 0.033567, 1.0],
        [0.098721, 0.45183, 0.033985, 1.0],
        [0.099698, 0.4557, 0.034483, 1.0],
        [0.10069, 0.45957, 0.035028, 1.0],
        [0.10168, 0.46344, 0.035514, 1.0],
        [0.10269, 0.46733, 0.035934, 1.0],
        [0.1037, 0.47122, 0.036349, 1.0],
        [0.10463, 0.47512, 0.036789, 1.0],
        [0.10568, 0.47902, 0.037237, 1.0],
        [0.10671, 0.48292, 0.037682, 1.0],
        [0.10766, 0.48683, 0.038128, 1.0],
        [0.10865, 0.49076, 0.038578, 1.0],
        [0.10971, 0.49468, 0.039032, 1.0],
        [0.11069, 0.49861, 0.039489, 1.0],
        [0.11169, 0.50254, 0.039948, 1.0],
        [0.1127, 0.50648, 0.040406, 1.0],
        [0.11369, 0.51042, 0.040871, 1.0],
        [0.11464, 0.51438, 0.041351, 1.0],
        [0.11569, 0.51834, 0.041826, 1.0],
        [0.1167, 0.52229, 0.042253, 1.0],
        [0.11769, 0.52627, 0.042639, 1.0],
        [0.11873, 0.53024, 0.043044, 1.0],
        [0.1197, 0.53421, 0.043511, 1.0],
        [0.1207, 0.53821, 0.044017, 1.0],
        [0.1217, 0.54219, 0.044525, 1.0],
        [0.12271, 0.54619, 0.044992, 1.0],
        [0.12373, 0.55018, 0.045398, 1.0],
        [0.12476, 0.55419, 0.045806, 1.0],
        [0.12581, 0.55819, 0.046288, 1.0],
        [0.12679, 0.56222, 0.046801, 1.0],
        [0.12783, 0.56624, 0.047247, 1.0],
        [0.12882, 0.57026, 0.047653, 1.0],
        [0.12988, 0.57429, 0.048118, 1.0],
        [0.13089, 0.57833, 0.048645, 1.0],
        [0.1319, 0.58237, 0.049135, 1.0],
        [0.13292, 0.58642, 0.049563, 1.0],
        [0.13395, 0.59047, 0.04998, 1.0],
        [0.13498, 0.59453, 0.050418, 1.0],
        [0.13595, 0.59859, 0.050866, 1.0],
        [0.13701, 0.60266, 0.051311, 1.0],
        [0.13806, 0.60673, 0.051757, 1.0],
        [0.13904, 0.61081, 0.052205, 1.0],
        [0.14007, 0.61488, 0.052658, 1.0],
        [0.14114, 0.61898, 0.053112, 1.0],
        [0.14214, 0.62307, 0.053569, 1.0],
        [0.14318, 0.62716, 0.054029, 1.0],
        [0.14421, 0.63127, 0.054491, 1.0],
        [0.14526, 0.63537, 0.054953, 1.0],
        [0.14626, 0.63949, 0.055418, 1.0],
        [0.1473, 0.6436, 0.055896, 1.0],
        [0.14831, 0.64772, 0.056378, 1.0],
        [0.14938, 0.65185, 0.056824, 1.0],
        [0.15041, 0.65599, 0.057227, 1.0],
        [0.15143, 0.66012, 0.057637, 1.0],
        [0.15246, 0.66426, 0.058099, 1.0],
        [0.15349, 0.66841, 0.058598, 1.0],
        [0.15454, 0.67256, 0.0591, 1.0],
        [0.1556, 0.67671, 0.059581, 1.0],
        [0.15665, 0.68086, 0.060024, 1.0],
        [0.15766, 0.68503, 0.06044, 1.0],
        [0.15873, 0.68921, 0.060845, 1.0],
        [0.15973, 0.69338, 0.061267, 1.0],
        [0.1608, 0.69755, 0.061737, 1.0],
        [0.16187, 0.70173, 0.06225, 1.0],
        [0.16291, 0.70593, 0.06274, 1.0],
        [0.16396, 0.71012, 0.063178, 1.0],
        [0.16497, 0.71431, 0.063603, 1.0],
        [0.16602, 0.71852, 0.064042, 1.0],
        [0.1671, 0.72272, 0.064491, 1.0],
        [0.16812, 0.72693, 0.064939, 1.0],
        [0.16921, 0.73115, 0.065387, 1.0],
        [0.17024, 0.73537, 0.065837, 1.0],
        [0.17128, 0.7396, 0.066291, 1.0],
        [0.17233, 0.74382, 0.066748, 1.0],
        [0.17339, 0.74806, 0.067206, 1.0],
        [0.17446, 0.75229, 0.067663, 1.0],
        [0.1755, 0.75654, 0.068124, 1.0],
        [0.17654, 0.76078, 0.068597, 1.0],
        [0.17764, 0.76504, 0.069073, 1.0],
        [0.17869, 0.76929, 0.069516, 1.0],
        [0.17973, 0.77355, 0.06992, 1.0],
        [0.18078, 0.77782, 0.070337, 1.0],
        [0.18184, 0.78209, 0.070809, 1.0],
        [0.1829, 0.78636, 0.071291, 1.0],
        [0.18397, 0.79063, 0.071723, 1.0],
        [0.18506, 0.79491, 0.072134, 1.0],
        [0.18612, 0.7992, 0.07259, 1.0],
        [0.18718, 0.80349, 0.073087, 1.0],
        [0.18826, 0.80779, 0.073557, 1.0],
        [0.1893, 0.81208, 0.073983, 1.0],
        [0.19036, 0.81639, 0.074402, 1.0],
        [0.19143, 0.82069, 0.074835, 1.0],
        [0.1925, 0.825, 0.075276, 1.0],
        [0.19359, 0.82933, 0.075716, 1.0],
        [0.19467, 0.83365, 0.076155, 1.0],
        [0.19571, 0.83797, 0.076597, 1.0],
        [0.19681, 0.8423, 0.077042, 1.0],
        [0.19786, 0.84663, 0.077489, 1.0],
        [0.19892, 0.85096, 0.077938, 1.0],
        [0.19999, 0.85531, 0.078388, 1.0],
        [0.20106, 0.85965, 0.078841, 1.0],
        [0.20215, 0.864, 0.079296, 1.0],
        [0.20324, 0.86836, 0.079753, 1.0],
        [0.20434, 0.87271, 0.080211, 1.0],
        [0.20539, 0.87707, 0.080669, 1.0],
        [0.2065, 0.88144, 0.081135, 1.0],
        [0.20756, 0.88581, 0.08161, 1.0],
        [0.20863, 0.89017, 0.082069, 1.0],
        [0.20974, 0.89456, 0.082489, 1.0],
        [0.21167, 0.8989, 0.082885, 1.0],
        [0.21577, 0.90314, 0.083267, 1.0],
        [0.22243, 0.90724, 0.083619, 1.0],
        [0.23129, 0.91122, 0.083917, 1.0],
        [0.24192, 0.91509, 0.084156, 1.0],
        [0.25398, 0.91886, 0.084342, 1.0],
        [0.26714, 0.92253, 0.084483, 1.0],
        [0.28122, 0.92611, 0.084587, 1.0],
        [0.29605, 0.92959, 0.084656, 1.0],
        [0.31138, 0.93299, 0.084696, 1.0],
        [0.32707, 0.93632, 0.08471, 1.0],
        [0.34303, 0.93956, 0.084701, 1.0],
        [0.35913, 0.94274, 0.084672, 1.0],
        [0.37535, 0.94584, 0.084623, 1.0],
        [0.39181, 0.94887, 0.084553, 1.0],
        [0.40832, 0.95183, 0.084465, 1.0],
        [0.42483, 0.95473, 0.084363, 1.0],
        [0.4413, 0.95756, 0.084247, 1.0],
        [0.45785, 0.96033, 0.084113, 1.0],
        [0.47443, 0.96303, 0.083964, 1.0],
        [0.49093, 0.96567, 0.083803, 1.0],
        [0.50737, 0.96826, 0.083635, 1.0],
        [0.52388, 0.97077, 0.083456, 1.0],
        [0.54033, 0.97323, 0.083278, 1.0],
        [0.55668, 0.97564, 0.083106, 1.0],
        [0.57311, 0.97798, 0.082937, 1.0],
        [0.58945, 0.98026, 0.082777, 1.0],
        [0.60571, 0.98249, 0.082624, 1.0],
        [0.62205, 0.98465, 0.082472, 1.0],
        [0.63831, 0.98675, 0.082325, 1.0],
        [0.6545, 0.9888, 0.08218, 1.0],
        [0.67074, 0.99078, 0.082035, 1.0],
        [0.68689, 0.99272, 0.081896, 1.0],
        [0.70305, 0.99458, 0.081762, 1.0],
        [0.71919, 0.99639, 0.081638, 1.0],
        [0.73525, 0.99815, 0.081527, 1.0],
        [0.75139, 0.99984, 0.081428, 1.0],
        [0.76742, 1, 0.081347, 1.0],
        [0.78349, 1, 0.081282, 1.0],
        [0.79956, 1, 0.081236, 1.0],
        [0.81555, 1, 0.08121, 1.0],
        [0.83159, 1, 0.081204, 1.0],
        [0.84754, 1, 0.081223, 1.0],
    ],
    'cet.linear_grey_0_100_c0': [
        [0, 0, 0, 1.0],
        [0.0055606, 0.0055631, 0.0055625, 1.0],
        [0.011212, 0.011219, 0.011217, 1.0],
        [0.016877, 0.016885, 0.016883, 1.0],
        [0.022438, 0.022448, 0.022445, 1.0],
        [0.027998, 0.028011, 0.028008, 1.0],
        [0.03354, 0.033554, 0.033551, 1.0],
        [0.039316, 0.039333, 0.039329, 1.0],
        [0.0447, 0.044719, 0.044714, 1.0],
        [0.049695, 0.049713, 0.049709, 1.0],
        [0.054322, 0.054343, 0.054338, 1.0],
        [0.058797, 0.058821, 0.058815, 1.0],
        [0.063041, 0.063062, 0.063057, 1.0],
        [0.066996, 0.067019, 0.067014, 1.0],
        [0.070827, 0.070853, 0.070846, 1.0],
        [0.074487, 0.074511, 0.074505, 1.0],
        [0.077967, 0.077992, 0.077986, 1.0],
        [0.081449, 0.081477, 0.08147, 1.0],
        [0.084728, 0.084752, 0.084746, 1.0],
        [0.087913, 0.087939, 0.087933, 1.0],
        [0.091003, 0.091031, 0.091024, 1.0],
        [0.094004, 0.094034, 0.094027, 1.0],
        [0.096981, 0.097012, 0.097005, 1.0],
        [0.10004, 0.10007, 0.10006, 1.0],
        [0.10311, 0.10314, 0.10314, 1.0],
        [0.10618, 0.10621, 0.1062, 1.0],
        [0.10924, 0.10928, 0.10927, 1.0],
        [0.11232, 0.11235, 0.11234, 1.0],
        [0.11538, 0.11541, 0.1154, 1.0],
        [0.11852, 0.11855, 0.11854, 1.0],
        [0.12157, 0.1216, 0.12159, 1.0],
        [0.12471, 0.12474, 0.12473, 1.0],
        [0.12787, 0.1279, 0.12789, 1.0],
        [0.13102, 0.13105, 0.13105, 1.0],
        [0.13418, 0.13421, 0.1342, 1.0],
        [0.13734, 0.13738, 0.13737, 1.0],
        [0.14051, 0.14055, 0.14054, 1.0],
        [0.1437, 0.14373, 0.14372, 1.0],
        [0.14687, 0.14691, 0.1469, 1.0],
        [0.15011, 0.15015, 0.15014, 1.0],
        [0.15329, 0.15333, 0.15332, 1.0],
        [0.15656, 0.15659, 0.15659, 1.0],
        [0.15975, 0.15979, 0.15978, 1.0],
        [0.16304, 0.16308, 0.16307, 1.0],
        [0.16628, 0.16632, 0.16631, 1.0],
        [0.16957, 0.16961, 0.1696, 1.0],
        [0.17281, 0.17286, 0.17285, 1.0],
        [0.17608, 0.17612, 0.17611, 1.0],
        [0.1794, 0.17944, 0.17943, 1.0],
        [0.18269, 0.18273, 0.18272, 1.0],
        [0.18604, 0.18608, 0.18607, 1.0],
        [0.18934, 0.18939, 0.18938, 1.0],
        [0.19267, 0.19272, 0.19271, 1.0],
        [0.19602, 0.19607, 0.19606, 1.0],
        [0.19934, 0.19939, 0.19938, 1.0],
        [0.20271, 0.20276, 0.20275, 1.0],
        [0.20611, 0.20616, 0.20615, 1.0],
        [0.20946, 0.20951, 0.2095, 1.0],
        [0.21284, 0.21289, 0.21288, 1.0],
        [0.21626, 0.21632, 0.2163, 1.0],
        [0.21965, 0.2197, 0.21969, 1.0],
        [0.22307, 0.22312, 0.22311, 1.0],
        [0.22649, 0.22654, 0.22653, 1.0],
        [0.22988, 0.22994, 0.22992, 1.0],
        [0.23332, 0.23337, 0.23336, 1.0],
        [0.2368, 0.23685, 0.23684, 1.0],
        [0.24022, 0.24027, 0.24026, 1.0],
        [0.24368, 0.24373, 0.24372, 1.0],
        [0.24716, 0.24722, 0.2472, 1.0],
        [0.25063, 0.25069, 0.25067, 1.0],
        [0.25412, 0.25418, 0.25417, 1.0],
        [0.2576, 0.25766, 0.25765, 1.0],
        [0.26111, 0.26117, 0.26115, 1.0],
        [0.26461, 0.26467, 0.26465, 1.0],
        [0.26812, 0.26818, 0.26817, 1.0],
        [0.27164, 0.2717, 0.27168, 1.0],
        [0.27518, 0.27525, 0.27523, 1.0],
        [0.27872, 0.27879, 0.27877, 1.0],
        [0.28227, 0.28234, 0.28232, 1.0],
        [0.2858, 0.28587, 0.28585, 1.0],
        [0.28938, 0.28945, 0.28943, 1.0],
        [0.29294, 0.293, 0.29298, 1.0],
        [0.29652, 0.29659, 0.29657, 1.0],
        [0.30009, 0.30016, 0.30014, 1.0],
        [0.30368, 0.30375, 0.30373, 1.0],
        [0.30728, 0.30734, 0.30733, 1.0],
        [0.3109, 0.31096, 0.31095, 1.0],
        [0.31449, 0.31456, 0.31454, 1.0],
        [0.31811, 0.31819, 0.31817, 1.0],
        [0.32173, 0.32181, 0.32179, 1.0],
        [0.32536, 0.32543, 0.32542, 1.0],
        [0.32902, 0.32909, 0.32907, 1.0],
        [0.33267, 0.33274, 0.33272, 1.0],
        [0.3363, 0.33638, 0.33636, 1.0],
        [0.33997, 0.34005, 0.34003, 1.0],
        [0.34363, 0.3437, 0.34369, 1.0],
        [0.34731, 0.34739, 0.34737, 1.0],
        [0.35099, 0.35107, 0.35105, 1.0],
        [0.35468, 0.35476, 0.35474, 1.0],
        [0.35836, 0.35844, 0.35842, 1.0],
        [0.36207, 0.36214, 0.36212, 1.0],
        [0.36577, 0.36585, 0.36583, 1.0],
        [0.36948, 0.36956, 0.36954, 1.0],
        [0.37319, 0.37328, 0.37326, 1.0],
        [0.37693, 0.37701, 0.37699, 1.0],
        [0.38066, 0.38074, 0.38072, 1.0],
        [0.38439, 0.38447, 0.38445, 1.0],
        [0.38814, 0.38822, 0.3882, 1.0],
        [0.39189, 0.39197, 0.39195, 1.0],
        [0.39565, 0.39574, 0.39572, 1.0],
        [0.3994, 0.39949, 0.39946, 1.0],
        [0.40318, 0.40327, 0.40325, 1.0],
        [0.40695, 0.40704, 0.40702, 1.0],
        [0.41074, 0.41083, 0.41081, 1.0],
        [0.41452, 0.41461, 0.41459, 1.0],
        [0.41831, 0.4184, 0.41838, 1.0],
        [0.42211, 0.4222, 0.42218, 1.0],
        [0.42592, 0.42601, 0.42599, 1.0],
        [0.42974, 0.42983, 0.42981, 1.0],
        [0.43355, 0.43364, 0.43362, 1.0],
        [0.43739, 0.43748, 0.43746, 1.0],
        [0.44121, 0.44131, 0.44128, 1.0],
        [0.44505, 0.44515, 0.44512, 1.0],
        [0.4489, 0.449, 0.44897, 1.0],
        [0.45275, 0.45284, 0.45282, 1.0],
        [0.45659, 0.45669, 0.45667, 1.0],
        [0.46045, 0.46055, 0.46052, 1.0],
        [0.46433, 0.46443, 0.46441, 1.0],
        [0.46819, 0.46829, 0.46826, 1.0],
        [0.47208, 0.47218, 0.47215, 1.0],
        [0.47596, 0.47606, 0.47603, 1.0],
        [0.47985, 0.47995, 0.47992, 1.0],
        [0.48373, 0.48383, 0.48381, 1.0],
        [0.48764, 0.48775, 0.48772, 1.0],
        [0.49155, 0.49165, 0.49163, 1.0],
        [0.49545, 0.49556, 0.49553, 1.0],
        [0.49936, 0.49947, 0.49944, 1.0],
        [0.50329, 0.50339, 0.50337, 1.0],
        [0.50722, 0.50733, 0.5073, 1.0],
        [0.51115, 0.51126, 0.51123, 1.0],
        [0.51509, 0.5152, 0.51517, 1.0],
        [0.51904, 0.51915, 0.51912, 1.0],
        [0.52299, 0.5231, 0.52307, 1.0],
        [0.52695, 0.52706, 0.52703, 1.0],
        [0.5309, 0.53101, 0.53099, 1.0],
        [0.53487, 0.53498, 0.53495, 1.0],
        [0.53884, 0.53895, 0.53893, 1.0],
        [0.54282, 0.54293, 0.5429, 1.0],
        [0.5468, 0.54691, 0.54688, 1.0],
        [0.55078, 0.5509, 0.55087, 1.0],
        [0.55478, 0.55489, 0.55486, 1.0],
        [0.55877, 0.55888, 0.55886, 1.0],
        [0.56278, 0.5629, 0.56287, 1.0],
        [0.56679, 0.56691, 0.56688, 1.0],
        [0.57079, 0.57091, 0.57088, 1.0],
        [0.57481, 0.57493, 0.5749, 1.0],
        [0.57884, 0.57896, 0.57893, 1.0],
        [0.58286, 0.58298, 0.58295, 1.0],
        [0.5869, 0.58702, 0.58699, 1.0],
        [0.59094, 0.59106, 0.59103, 1.0],
        [0.59498, 0.5951, 0.59507, 1.0],
        [0.59903, 0.59916, 0.59913, 1.0],
        [0.60309, 0.60321, 0.60318, 1.0],
        [0.60715, 0.60728, 0.60724, 1.0],
        [0.61121, 0.61134, 0.61131, 1.0],
        [0.61527, 0.6154, 0.61537, 1.0],
        [0.61936, 0.61948, 0.61945, 1.0],
        [0.62343, 0.62356, 0.62353, 1.0],
        [0.62751, 0.62764, 0.62761, 1.0],
        [0.6316, 0.63173, 0.6317, 1.0],
        [0.63569, 0.63583, 0.63579, 1.0],
        [0.6398, 0.63993, 0.63989, 1.0],
        [0.64389, 0.64402, 0.64399, 1.0],
        [0.648, 0.64813, 0.6481, 1.0],
        [0.65212, 0.65225, 0.65222, 1.0],
        [0.65624, 0.65637, 0.65634, 1.0],
        [0.66035, 0.66049, 0.66045, 1.0],
        [0.66448, 0.66461, 0.66458, 1.0],
        [0.66862, 0.66875, 0.66872, 1.0],
        [0.67275, 0.67289, 0.67286, 1.0],
        [0.6769, 0.67703, 0.677, 1.0],
        [0.68103, 0.68117, 0.68114, 1.0],
        [0.68519, 0.68533, 0.6853, 1.0],
        [0.68935, 0.68949, 0.68945, 1.0],
        [0.6935, 0.69364, 0.69361, 1.0],
        [0.69766, 0.69781, 0.69777, 1.0],
        [0.70183, 0.70197, 0.70194, 1.0],
        [0.70601, 0.70616, 0.70612, 1.0],
        [0.71019, 0.71033, 0.7103, 1.0],
        [0.71437, 0.71451, 0.71448, 1.0],
        [0.71855, 0.7187, 0.71867, 1.0],
        [0.72274, 0.72289, 0.72286, 1.0],
        [0.72694, 0.72709, 0.72706, 1.0],
        [0.73114, 0.73129, 0.73126, 1.0],
        [0.73535, 0.7355, 0.73546, 1.0],
        [0.73957, 0.73972, 0.73968, 1.0],
        [0.74378, 0.74393, 0.74389, 1.0],
        [0.748, 0.74815, 0.74811, 1.0],
        [0.75222, 0.75237, 0.75233, 1.0],
        [0.75644, 0.7566, 0.75656, 1.0],
        [0.76068, 0.76083, 0.76079, 1.0],
        [0.76492, 0.76507, 0.76503, 1.0],
        [0.76915, 0.76931, 0.76927, 1.0],
        [0.7734, 0.77355, 0.77351, 1.0],
        [0.77765, 0.77781, 0.77777, 1.0],
        [0.78191, 0.78206, 0.78202, 1.0],
        [0.78616, 0.78632, 0.78628, 1.0],
        [0.79042, 0.79058, 0.79054, 1.0],
        [0.79469, 0.79485, 0.79481, 1.0],
        [0.79896, 0.79913, 0.79909, 1.0],
        [0.80323, 0.8034, 0.80336, 1.0],
        [0.80752, 0.80768, 0.80764, 1.0],
        [0.8118, 0.81196, 0.81192, 1.0],
        [0.81609, 0.81626, 0.81621, 1.0],
        [0.82038, 0.82054, 0.8205, 1.0],
        [0.82467, 0.82484, 0.8248, 1.0],
        [0.82898, 0.82915, 0.82911, 1.0],
        [0.83328, 0.83345, 0.83341, 1.0],
        [0.83759, 0.83776, 0.83772, 1.0],
        [0.84191, 0.84208, 0.84204, 1.0],
        [0.84622, 0.84639, 0.84635, 1.0],
        [0.85054, 0.85071, 0.85067, 1.0],
        [0.85487, 0.85504, 0.855, 1.0],
        [0.8592, 0.85937, 0.85933, 1.0],
        [0.86354, 0.86371, 0.86367, 1.0],
        [0.86787, 0.86805, 0.86801, 1.0],
        [0.87222, 0.87239, 0.87235, 1.0],
        [0.87656, 0.87673, 0.87669, 1.0],
        [0.88091, 0.88109, 0.88104, 1.0],
        [0.88527, 0.88544, 0.8854, 1.0],
        [0.88962, 0.8898, 0.88976, 1.0],
        [0.89399, 0.89417, 0.89412, 1.0],
        [0.89835, 0.89853, 0.89849, 1.0],
        [0.90272, 0.90291, 0.90286, 1.0],
        [0.9071, 0.90728, 0.90724, 1.0],
        [0.91148, 0.91166, 0.91161, 1.0],
        [0.91585, 0.91604, 0.91599, 1.0],
        [0.92024, 0.92043, 0.92038, 1.0],
        [0.92463, 0.92482, 0.92477, 1.0],
        [0.92903, 0.92921, 0.92917, 1.0],
        [0.93342, 0.93361, 0.93356, 1.0],
        [0.93783, 0.93802, 0.93797, 1.0],
        [0.94224, 0.94243, 0.94238, 1.0],
        [0.94664, 0.94683, 0.94679, 1.0],
        [0.95106, 0.95125, 0.9512, 1.0],
        [0.95548, 0.95567, 0.95562, 1.0],
        [0.9599, 0.96009, 0.96004, 1.0],
        [0.96432, 0.96451, 0.96446, 1.0],
        [0.96875, 0.96894, 0.9689, 1.0],
        [0.97318, 0.97338, 0.97333, 1.0],
        [0.97762, 0.97781, 0.97777, 1.0],
        [0.98206, 0.98226, 0.98221, 1.0],
        [0.98651, 0.9867, 0.98666, 1.0],
        [0.99095, 0.99115, 0.9911, 1.0],
        [0.9954, 0.9956, 0.99555, 1.0],
        [0.99986, 1, 1, 1.0],
    ],
    'cet.linear_grey_10_95_c0': [
        [0.10767, 0.1077, 0.1077, 1.0],
        [0.11032, 0.11035, 0.11035, 1.0],
        [0.11295, 0.11298, 0.11297, 1.0],
        [0.11554, 0.11558, 0.11557, 1.0],
        [0.1182, 0.11824, 0.11823, 1.0],
        [0.12079, 0.12083, 0.12082, 1.0],
        [0.12344, 0.12348, 0.12347, 1.0],
        [0.12615, 0.12618, 0.12618, 1.0],
        [0.12879, 0.12882, 0.12881, 1.0],
        [0.13149, 0.13152, 0.13151, 1.0],
        [0.13418, 0.13421, 0.1342, 1.0],
        [0.13684, 0.13688, 0.13687, 1.0],
        [0.13951, 0.13955, 0.13954, 1.0],
        [0.14226, 0.1423, 0.14229, 1.0],
        [0.14499, 0.14503, 0.14502, 1.0],
        [0.1477, 0.14774, 0.14773, 1.0],
        [0.15042, 0.15046, 0.15045, 1.0],
        [0.15313, 0.15317, 0.15316, 1.0],
        [0.15591, 0.15595, 0.15594, 1.0],
        [0.15866, 0.1587, 0.15869, 1.0],
        [0.16142, 0.16147, 0.16145, 1.0],
        [0.16418, 0.16423, 0.16422, 1.0],
        [0.16695, 0.16699, 0.16698, 1.0],
        [0.16973, 0.16977, 0.16976, 1.0],
        [0.17248, 0.17253, 0.17252, 1.0],
        [0.17529, 0.17533, 0.17532, 1.0],
        [0.17811, 0.17815, 0.17814, 1.0],
        [0.18087, 0.18092, 0.1809, 1.0],
        [0.18369, 0.18374, 0.18372, 1.0],
        [0.18652, 0.18656, 0.18655, 1.0],
        [0.18934, 0.18939, 0.18938, 1.0],
        [0.19217, 0.19221, 0.1922, 1.0],
        [0.19502, 0.19506, 0.19505, 1.0],
        [0.19785, 0.1979, 0.19788, 1.0],
        [0.20068, 0.20073, 0.20072, 1.0],
        [0.20357, 0.20362, 0.20361, 1.0],
        [0.20645, 0.2065, 0.20649, 1.0],
        [0.20929, 0.20934, 0.20933, 1.0],
        [0.21219, 0.21224, 0.21222, 1.0],
        [0.21504, 0.21509, 0.21508, 1.0],
        [0.21795, 0.218, 0.21799, 1.0],
        [0.22086, 0.22091, 0.2209, 1.0],
        [0.22374, 0.22379, 0.22377, 1.0],
        [0.22666, 0.22671, 0.22669, 1.0],
        [0.22954, 0.2296, 0.22958, 1.0],
        [0.23248, 0.23253, 0.23252, 1.0],
        [0.23542, 0.23547, 0.23546, 1.0],
        [0.23832, 0.23838, 0.23836, 1.0],
        [0.24127, 0.24133, 0.24131, 1.0],
        [0.24419, 0.24425, 0.24424, 1.0],
        [0.24716, 0.24722, 0.2472, 1.0],
        [0.25009, 0.25015, 0.25014, 1.0],
        [0.25308, 0.25313, 0.25312, 1.0],
        [0.25603, 0.25608, 0.25607, 1.0],
        [0.25902, 0.25908, 0.25906, 1.0],
        [0.26198, 0.26204, 0.26203, 1.0],
        [0.26496, 0.26502, 0.265, 1.0],
        [0.26794, 0.268, 0.26798, 1.0],
        [0.27095, 0.27101, 0.271, 1.0],
        [0.27395, 0.27401, 0.274, 1.0],
        [0.27695, 0.27702, 0.277, 1.0],
        [0.27996, 0.28002, 0.28, 1.0],
        [0.28298, 0.28304, 0.28303, 1.0],
        [0.28598, 0.28604, 0.28603, 1.0],
        [0.28902, 0.28909, 0.28907, 1.0],
        [0.29205, 0.29212, 0.2921, 1.0],
        [0.29508, 0.29514, 0.29513, 1.0],
        [0.29812, 0.29818, 0.29817, 1.0],
        [0.30116, 0.30123, 0.30121, 1.0],
        [0.30422, 0.30429, 0.30427, 1.0],
        [0.30728, 0.30734, 0.30733, 1.0],
        [0.31036, 0.31043, 0.31041, 1.0],
        [0.31342, 0.31349, 0.31347, 1.0],
        [0.31649, 0.31656, 0.31654, 1.0],
        [0.31957, 0.31964, 0.31962, 1.0],
        [0.32266, 0.32273, 0.32271, 1.0],
        [0.32572, 0.3258, 0.32578, 1.0],
        [0.32883, 0.32891, 0.32889, 1.0],
        [0.33193, 0.332, 0.33198, 1.0],
        [0.33504, 0.33512, 0.3351, 1.0],
        [0.33813, 0.3382, 0.33818, 1.0],
        [0.34125, 0.34133, 0.34131, 1.0],
        [0.34436, 0.34444, 0.34442, 1.0],
        [0.3475, 0.34757, 0.34755, 1.0],
        [0.35063, 0.3507, 0.35068, 1.0],
        [0.35374, 0.35382, 0.3538, 1.0],
        [0.35689, 0.35697, 0.35695, 1.0],
        [0.36002, 0.3601, 0.36008, 1.0],
        [0.36317, 0.36325, 0.36323, 1.0],
        [0.36633, 0.36641, 0.36639, 1.0],
        [0.36948, 0.36956, 0.36954, 1.0],
        [0.37263, 0.37272, 0.3727, 1.0],
        [0.3758, 0.37589, 0.37587, 1.0],
        [0.37897, 0.37906, 0.37904, 1.0],
        [0.38214, 0.38223, 0.38221, 1.0],
        [0.38532, 0.3854, 0.38538, 1.0],
        [0.38852, 0.3886, 0.38858, 1.0],
        [0.3917, 0.39179, 0.39177, 1.0],
        [0.39489, 0.39498, 0.39496, 1.0],
        [0.3981, 0.39818, 0.39816, 1.0],
        [0.4013, 0.40138, 0.40136, 1.0],
        [0.40449, 0.40458, 0.40456, 1.0],
        [0.40771, 0.4078, 0.40778, 1.0],
        [0.41093, 0.41102, 0.411, 1.0],
        [0.41415, 0.41423, 0.41421, 1.0],
        [0.41738, 0.41747, 0.41744, 1.0],
        [0.4206, 0.42068, 0.42066, 1.0],
        [0.42383, 0.42392, 0.4239, 1.0],
        [0.42708, 0.42717, 0.42715, 1.0],
        [0.43031, 0.43041, 0.43038, 1.0],
        [0.43355, 0.43364, 0.43362, 1.0],
        [0.43681, 0.43691, 0.43688, 1.0],
        [0.44007, 0.44016, 0.44014, 1.0],
        [0.44333, 0.44342, 0.4434, 1.0],
        [0.44659, 0.44668, 0.44666, 1.0],
        [0.44986, 0.44995, 0.44993, 1.0],
        [0.45313, 0.45322, 0.4532, 1.0],
        [0.4564, 0.4565, 0.45647, 1.0],
        [0.45968, 0.45978, 0.45976, 1.0],
        [0.46296, 0.46306, 0.46303, 1.0],
        [0.46625, 0.46635, 0.46633, 1.0],
        [0.46956, 0.46966, 0.46963, 1.0],
        [0.47284, 0.47294, 0.47292, 1.0],
        [0.47615, 0.47625, 0.47623, 1.0],
        [0.47946, 0.47956, 0.47953, 1.0],
        [0.48276, 0.48286, 0.48284, 1.0],
        [0.48607, 0.48618, 0.48615, 1.0],
        [0.48939, 0.48949, 0.48947, 1.0],
        [0.49271, 0.49281, 0.49279, 1.0],
        [0.49603, 0.49614, 0.49611, 1.0],
        [0.49936, 0.49947, 0.49944, 1.0],
        [0.5027, 0.5028, 0.50278, 1.0],
        [0.50603, 0.50614, 0.50612, 1.0],
        [0.50938, 0.50949, 0.50946, 1.0],
        [0.51273, 0.51284, 0.51281, 1.0],
        [0.51607, 0.51618, 0.51615, 1.0],
        [0.51943, 0.51954, 0.51951, 1.0],
        [0.52279, 0.5229, 0.52287, 1.0],
        [0.52615, 0.52626, 0.52624, 1.0],
        [0.52952, 0.52963, 0.5296, 1.0],
        [0.53289, 0.533, 0.53297, 1.0],
        [0.53626, 0.53637, 0.53634, 1.0],
        [0.53963, 0.53974, 0.53971, 1.0],
        [0.54302, 0.54313, 0.5431, 1.0],
        [0.54641, 0.54652, 0.54649, 1.0],
        [0.54979, 0.5499, 0.54987, 1.0],
        [0.55317, 0.55329, 0.55326, 1.0],
        [0.55657, 0.55669, 0.55666, 1.0],
        [0.55998, 0.56009, 0.56007, 1.0],
        [0.56338, 0.5635, 0.56347, 1.0],
        [0.56679, 0.56691, 0.56688, 1.0],
        [0.57019, 0.57031, 0.57028, 1.0],
        [0.57361, 0.57373, 0.5737, 1.0],
        [0.57703, 0.57715, 0.57712, 1.0],
        [0.58045, 0.58057, 0.58054, 1.0],
        [0.58387, 0.58399, 0.58396, 1.0],
        [0.5873, 0.58742, 0.58739, 1.0],
        [0.59073, 0.59086, 0.59083, 1.0],
        [0.59417, 0.5943, 0.59427, 1.0],
        [0.59761, 0.59774, 0.59771, 1.0],
        [0.60106, 0.60118, 0.60115, 1.0],
        [0.60451, 0.60463, 0.6046, 1.0],
        [0.60796, 0.60809, 0.60806, 1.0],
        [0.61141, 0.61154, 0.61151, 1.0],
        [0.61486, 0.61499, 0.61496, 1.0],
        [0.61833, 0.61846, 0.61843, 1.0],
        [0.62179, 0.62192, 0.62189, 1.0],
        [0.62527, 0.62539, 0.62536, 1.0],
        [0.62874, 0.62887, 0.62884, 1.0],
        [0.63222, 0.63235, 0.63231, 1.0],
        [0.63569, 0.63583, 0.63579, 1.0],
        [0.63918, 0.63931, 0.63928, 1.0],
        [0.64267, 0.6428, 0.64276, 1.0],
        [0.64615, 0.64629, 0.64625, 1.0],
        [0.64965, 0.64978, 0.64975, 1.0],
        [0.65314, 0.65327, 0.65324, 1.0],
        [0.65665, 0.65678, 0.65675, 1.0],
        [0.66015, 0.66028, 0.66025, 1.0],
        [0.66366, 0.6638, 0.66376, 1.0],
        [0.66717, 0.6673, 0.66727, 1.0],
        [0.67069, 0.67082, 0.67079, 1.0],
        [0.6742, 0.67434, 0.6743, 1.0],
        [0.67772, 0.67786, 0.67783, 1.0],
        [0.68124, 0.68138, 0.68134, 1.0],
        [0.68477, 0.68491, 0.68488, 1.0],
        [0.68831, 0.68845, 0.68841, 1.0],
        [0.69184, 0.69198, 0.69195, 1.0],
        [0.69538, 0.69552, 0.69548, 1.0],
        [0.69891, 0.69906, 0.69902, 1.0],
        [0.70246, 0.7026, 0.70257, 1.0],
        [0.70601, 0.70616, 0.70612, 1.0],
        [0.70956, 0.70971, 0.70967, 1.0],
        [0.71311, 0.71326, 0.71322, 1.0],
        [0.71668, 0.71682, 0.71679, 1.0],
        [0.72023, 0.72038, 0.72034, 1.0],
        [0.7238, 0.72394, 0.72391, 1.0],
        [0.72736, 0.72751, 0.72748, 1.0],
        [0.73093, 0.73108, 0.73105, 1.0],
        [0.73451, 0.73466, 0.73463, 1.0],
        [0.73808, 0.73823, 0.7382, 1.0],
        [0.74167, 0.74182, 0.74178, 1.0],
        [0.74525, 0.7454, 0.74536, 1.0],
        [0.74884, 0.74899, 0.74895, 1.0],
        [0.75243, 0.75258, 0.75254, 1.0],
        [0.75602, 0.75618, 0.75614, 1.0],
        [0.75961, 0.75977, 0.75973, 1.0],
        [0.76322, 0.76337, 0.76333, 1.0],
        [0.76682, 0.76697, 0.76694, 1.0],
        [0.77043, 0.77058, 0.77055, 1.0],
        [0.77403, 0.77419, 0.77415, 1.0],
        [0.77765, 0.77781, 0.77777, 1.0],
        [0.78126, 0.78142, 0.78138, 1.0],
        [0.78489, 0.78504, 0.785, 1.0],
        [0.78851, 0.78867, 0.78863, 1.0],
        [0.79213, 0.79229, 0.79225, 1.0],
        [0.79576, 0.79592, 0.79588, 1.0],
        [0.79939, 0.79955, 0.79951, 1.0],
        [0.80302, 0.80318, 0.80314, 1.0],
        [0.80666, 0.80683, 0.80679, 1.0],
        [0.8103, 0.81046, 0.81042, 1.0],
        [0.81394, 0.81411, 0.81406, 1.0],
        [0.81759, 0.81775, 0.81771, 1.0],
        [0.82124, 0.82141, 0.82136, 1.0],
        [0.82489, 0.82506, 0.82501, 1.0],
        [0.82855, 0.82872, 0.82867, 1.0],
        [0.83221, 0.83237, 0.83233, 1.0],
        [0.83587, 0.83604, 0.83599, 1.0],
        [0.83953, 0.8397, 0.83966, 1.0],
        [0.8432, 0.84337, 0.84333, 1.0],
        [0.84687, 0.84704, 0.847, 1.0],
        [0.85054, 0.85071, 0.85067, 1.0],
        [0.85422, 0.85439, 0.85435, 1.0],
        [0.8579, 0.85807, 0.85803, 1.0],
        [0.86158, 0.86176, 0.86171, 1.0],
        [0.86527, 0.86544, 0.8654, 1.0],
        [0.86896, 0.86913, 0.86909, 1.0],
        [0.87265, 0.87282, 0.87278, 1.0],
        [0.87634, 0.87652, 0.87647, 1.0],
        [0.88004, 0.88022, 0.88017, 1.0],
        [0.88374, 0.88392, 0.88388, 1.0],
        [0.88744, 0.88762, 0.88758, 1.0],
        [0.89115, 0.89133, 0.89128, 1.0],
        [0.89486, 0.89504, 0.895, 1.0],
        [0.89857, 0.89875, 0.89871, 1.0],
        [0.90229, 0.90247, 0.90242, 1.0],
        [0.90601, 0.90619, 0.90614, 1.0],
        [0.90972, 0.90991, 0.90986, 1.0],
        [0.91345, 0.91363, 0.91359, 1.0],
        [0.91718, 0.91736, 0.91732, 1.0],
        [0.9209, 0.92108, 0.92104, 1.0],
        [0.92463, 0.92482, 0.92477, 1.0],
        [0.92837, 0.92855, 0.92851, 1.0],
        [0.9321, 0.93229, 0.93224, 1.0],
        [0.93585, 0.93604, 0.93599, 1.0],
        [0.93959, 0.93978, 0.93973, 1.0],
        [0.94334, 0.94353, 0.94348, 1.0],
    ],
    'cet.linear_kbc_5_95_c73': [
        [0, 0.0024382, 0.30687, 1.0],
        [0, 0.0044692, 0.31437, 1.0],
        [0, 0.0062324, 0.32191, 1.0],
        [0, 0.0077305, 0.32951, 1.0],
        [0, 0.008958, 0.33713, 1.0],
        [0, 0.0098968, 0.34479, 1.0],
        [0, 0.010555, 0.35249, 1.0],
        [0, 0.011009, 0.36023, 1.0],
        [0, 0.01114, 0.36802, 1.0],
        [0.0018829, 0.010944, 0.37585, 1.0],
        [0.0043414, 0.010697, 0.38371, 1.0],
        [0.0068536, 0.010463, 0.39161, 1.0],
        [0.0094655, 0.010231, 0.39952, 1.0],
        [0.01235, 0.0099983, 0.4075, 1.0],
        [0.015052, 0.0097591, 0.4155, 1.0],
        [0.017851, 0.0094983, 0.42354, 1.0],
        [0.020695, 0.0092222, 0.43163, 1.0],
        [0.02357, 0.0089375, 0.43973, 1.0],
        [0.026496, 0.0086445, 0.44787, 1.0],
        [0.029448, 0.0083501, 0.45605, 1.0],
        [0.032396, 0.0080591, 0.46429, 1.0],
        [0.03558, 0.0077658, 0.47253, 1.0],
        [0.038524, 0.0074701, 0.48082, 1.0],
        [0.041458, 0.0071848, 0.48915, 1.0],
        [0.044141, 0.0069073, 0.49753, 1.0],
        [0.04679, 0.0066377, 0.50593, 1.0],
        [0.04932, 0.0063792, 0.51438, 1.0],
        [0.051527, 0.0061442, 0.52287, 1.0],
        [0.053656, 0.0059329, 0.53139, 1.0],
        [0.055683, 0.0057462, 0.53995, 1.0],
        [0.057455, 0.0055887, 0.54857, 1.0],
        [0.059195, 0.0054661, 0.55722, 1.0],
        [0.060593, 0.0053876, 0.5659, 1.0],
        [0.061766, 0.0053629, 0.57464, 1.0],
        [0.062841, 0.0053961, 0.58343, 1.0],
        [0.063532, 0.0054935, 0.59227, 1.0],
        [0.063966, 0.0056647, 0.60114, 1.0],
        [0.0641, 0.0059201, 0.61007, 1.0],
        [0.063882, 0.0062716, 0.61907, 1.0],
        [0.063281, 0.0067326, 0.6281, 1.0],
        [0.062148, 0.0073175, 0.63719, 1.0],
        [0.060493, 0.0080408, 0.64634, 1.0],
        [0.058092, 0.008929, 0.65557, 1.0],
        [0.055233, 0.0099623, 0.66482, 1.0],
        [0.052105, 0.011266, 0.67402, 1.0],
        [0.049146, 0.012683, 0.68314, 1.0],
        [0.046014, 0.014144, 0.69216, 1.0],
        [0.04309, 0.015741, 0.70108, 1.0],
        [0.040435, 0.017485, 0.70992, 1.0],
        [0.037863, 0.019379, 0.71866, 1.0],
        [0.035616, 0.021429, 0.72731, 1.0],
        [0.033428, 0.02364, 0.73587, 1.0],
        [0.031841, 0.026021, 0.74433, 1.0],
        [0.030635, 0.028579, 0.75268, 1.0],
        [0.029823, 0.031319, 0.76095, 1.0],
        [0.029422, 0.034249, 0.7691, 1.0],
        [0.029449, 0.037557, 0.77717, 1.0],
        [0.029926, 0.040864, 0.78513, 1.0],
        [0.030874, 0.044198, 0.793, 1.0],
        [0.032312, 0.047578, 0.80076, 1.0],
        [0.034281, 0.051036, 0.80842, 1.0],
        [0.036977, 0.054512, 0.81597, 1.0],
        [0.040055, 0.058003, 0.82341, 1.0],
        [0.043483, 0.061561, 0.83076, 1.0],
        [0.047434, 0.065191, 0.83799, 1.0],
        [0.051627, 0.068868, 0.84513, 1.0],
        [0.056188, 0.072421, 0.85216, 1.0],
        [0.060871, 0.076069, 0.85907, 1.0],
        [0.065858, 0.079772, 0.86589, 1.0],
        [0.071059, 0.083524, 0.87259, 1.0],
        [0.07632, 0.087319, 0.87918, 1.0],
        [0.081824, 0.091117, 0.88564, 1.0],
        [0.087161, 0.095093, 0.89195, 1.0],
        [0.092292, 0.099225, 0.89805, 1.0],
        [0.097256, 0.10365, 0.90395, 1.0],
        [0.10208, 0.10819, 0.90965, 1.0],
        [0.10678, 0.11304, 0.91514, 1.0],
        [0.11126, 0.11798, 0.92041, 1.0],
        [0.11561, 0.12306, 0.92547, 1.0],
        [0.11981, 0.12837, 0.93032, 1.0],
        [0.12389, 0.13378, 0.93496, 1.0],
        [0.12789, 0.13928, 0.9394, 1.0],
        [0.13172, 0.14498, 0.94362, 1.0],
        [0.13541, 0.15071, 0.94764, 1.0],
        [0.13898, 0.15659, 0.95143, 1.0],
        [0.14245, 0.16255, 0.95501, 1.0],
        [0.14579, 0.16859, 0.95837, 1.0],
        [0.14895, 0.17474, 0.96151, 1.0],
        [0.15202, 0.18091, 0.96444, 1.0],
        [0.15497, 0.18721, 0.96717, 1.0],
        [0.15778, 0.19355, 0.96967, 1.0],
        [0.16044, 0.19992, 0.97196, 1.0],
        [0.16301, 0.20643, 0.97403, 1.0],
        [0.16537, 0.21292, 0.97587, 1.0],
        [0.16765, 0.21951, 0.9775, 1.0],
        [0.16978, 0.22614, 0.9789, 1.0],
        [0.17171, 0.23278, 0.9801, 1.0],
        [0.17352, 0.2395, 0.98107, 1.0],
        [0.17518, 0.24623, 0.98183, 1.0],
        [0.17664, 0.25301, 0.98238, 1.0],
        [0.17803, 0.25977, 0.98279, 1.0],
        [0.17924, 0.26645, 0.98317, 1.0],
        [0.18037, 0.27304, 0.98356, 1.0],
        [0.18141, 0.27957, 0.98394, 1.0],
        [0.18236, 0.28598, 0.98432, 1.0],
        [0.18323, 0.29237, 0.98469, 1.0],
        [0.18401, 0.29868, 0.98507, 1.0],
        [0.1847, 0.30493, 0.98544, 1.0],
        [0.1853, 0.31112, 0.9858, 1.0],
        [0.1858, 0.31725, 0.98617, 1.0],
        [0.18619, 0.32334, 0.98654, 1.0],
        [0.18649, 0.32939, 0.9869, 1.0],
        [0.18671, 0.33539, 0.98726, 1.0],
        [0.18684, 0.34133, 0.98762, 1.0],
        [0.18688, 0.34725, 0.98797, 1.0],
        [0.18682, 0.35312, 0.98832, 1.0],
        [0.18667, 0.35896, 0.98868, 1.0],
        [0.18643, 0.36477, 0.98903, 1.0],
        [0.1861, 0.37054, 0.98937, 1.0],
        [0.18568, 0.37631, 0.98972, 1.0],
        [0.18513, 0.38201, 0.99006, 1.0],
        [0.18448, 0.38771, 0.9904, 1.0],
        [0.18373, 0.39338, 0.99074, 1.0],
        [0.18287, 0.39902, 0.99107, 1.0],
        [0.18192, 0.40464, 0.9914, 1.0],
        [0.18086, 0.41025, 0.99173, 1.0],
        [0.17969, 0.41582, 0.99206, 1.0],
        [0.17843, 0.42137, 0.99239, 1.0],
        [0.17708, 0.42691, 0.99271, 1.0],
        [0.17576, 0.43242, 0.99301, 1.0],
        [0.17462, 0.43788, 0.9933, 1.0],
        [0.17355, 0.44331, 0.99356, 1.0],
        [0.17263, 0.44871, 0.99381, 1.0],
        [0.17185, 0.45406, 0.99403, 1.0],
        [0.17122, 0.4594, 0.99423, 1.0],
        [0.17072, 0.4647, 0.99442, 1.0],
        [0.17037, 0.46998, 0.99459, 1.0],
        [0.17015, 0.47522, 0.99473, 1.0],
        [0.17008, 0.48043, 0.99486, 1.0],
        [0.17016, 0.48562, 0.99497, 1.0],
        [0.17038, 0.4908, 0.99505, 1.0],
        [0.17077, 0.49593, 0.99512, 1.0],
        [0.17131, 0.50106, 0.99517, 1.0],
        [0.17201, 0.50615, 0.99519, 1.0],
        [0.17286, 0.51122, 0.9952, 1.0],
        [0.17386, 0.51627, 0.99519, 1.0],
        [0.17503, 0.52131, 0.99516, 1.0],
        [0.17629, 0.52633, 0.9951, 1.0],
        [0.17778, 0.53132, 0.99503, 1.0],
        [0.17936, 0.5363, 0.99494, 1.0],
        [0.1811, 0.54125, 0.99482, 1.0],
        [0.18299, 0.5462, 0.99469, 1.0],
        [0.18504, 0.55111, 0.99454, 1.0],
        [0.1872, 0.55601, 0.99436, 1.0],
        [0.18948, 0.5609, 0.99417, 1.0],
        [0.19189, 0.56577, 0.99396, 1.0],
        [0.19443, 0.57063, 0.99373, 1.0],
        [0.19686, 0.5755, 0.99349, 1.0],
        [0.19906, 0.58036, 0.99326, 1.0],
        [0.2011, 0.58524, 0.99303, 1.0],
        [0.20297, 0.59011, 0.99281, 1.0],
        [0.20464, 0.59499, 0.9926, 1.0],
        [0.20612, 0.59989, 0.99239, 1.0],
        [0.2074, 0.60479, 0.99218, 1.0],
        [0.2085, 0.60969, 0.99198, 1.0],
        [0.20942, 0.6146, 0.99179, 1.0],
        [0.21016, 0.61953, 0.9916, 1.0],
        [0.21072, 0.62445, 0.99142, 1.0],
        [0.21111, 0.62938, 0.99124, 1.0],
        [0.21132, 0.63432, 0.99107, 1.0],
        [0.21135, 0.63926, 0.9909, 1.0],
        [0.2112, 0.64421, 0.99074, 1.0],
        [0.21086, 0.64918, 0.99058, 1.0],
        [0.21033, 0.65414, 0.99043, 1.0],
        [0.20961, 0.65911, 0.99029, 1.0],
        [0.2087, 0.66409, 0.99015, 1.0],
        [0.2076, 0.66908, 0.99002, 1.0],
        [0.20631, 0.67406, 0.98989, 1.0],
        [0.20478, 0.67906, 0.98977, 1.0],
        [0.20305, 0.68406, 0.98965, 1.0],
        [0.20108, 0.68908, 0.98954, 1.0],
        [0.1989, 0.69409, 0.98943, 1.0],
        [0.19651, 0.69911, 0.98933, 1.0],
        [0.19382, 0.70414, 0.98924, 1.0],
        [0.19088, 0.70918, 0.98914, 1.0],
        [0.18788, 0.71421, 0.98905, 1.0],
        [0.18488, 0.71923, 0.98895, 1.0],
        [0.18198, 0.72423, 0.98883, 1.0],
        [0.17926, 0.72923, 0.98871, 1.0],
        [0.17665, 0.73421, 0.98857, 1.0],
        [0.17423, 0.73918, 0.98842, 1.0],
        [0.17193, 0.74412, 0.98825, 1.0],
        [0.16983, 0.74906, 0.98808, 1.0],
        [0.16785, 0.75399, 0.98789, 1.0],
        [0.16608, 0.7589, 0.9877, 1.0],
        [0.16452, 0.76381, 0.98749, 1.0],
        [0.16316, 0.76869, 0.98727, 1.0],
        [0.16202, 0.77357, 0.98703, 1.0],
        [0.1611, 0.77844, 0.98679, 1.0],
        [0.16037, 0.7833, 0.98653, 1.0],
        [0.15991, 0.78814, 0.98626, 1.0],
        [0.1597, 0.79298, 0.98597, 1.0],
        [0.15972, 0.7978, 0.98568, 1.0],
        [0.15999, 0.80261, 0.98537, 1.0],
        [0.16053, 0.80742, 0.98505, 1.0],
        [0.16137, 0.81221, 0.98472, 1.0],
        [0.16241, 0.81699, 0.98438, 1.0],
        [0.16373, 0.82176, 0.98402, 1.0],
        [0.16523, 0.82652, 0.98365, 1.0],
        [0.16707, 0.83127, 0.98327, 1.0],
        [0.1691, 0.83601, 0.98287, 1.0],
        [0.17134, 0.84074, 0.98247, 1.0],
        [0.17387, 0.84546, 0.98205, 1.0],
        [0.17729, 0.85015, 0.98162, 1.0],
        [0.18258, 0.85474, 0.98119, 1.0],
        [0.19003, 0.85923, 0.98076, 1.0],
        [0.19916, 0.86363, 0.98033, 1.0],
        [0.20965, 0.86794, 0.97991, 1.0],
        [0.22117, 0.87217, 0.97948, 1.0],
        [0.23338, 0.87632, 0.97905, 1.0],
        [0.24622, 0.88041, 0.97862, 1.0],
        [0.25953, 0.88443, 0.9782, 1.0],
        [0.27309, 0.8884, 0.97777, 1.0],
        [0.28681, 0.89231, 0.97734, 1.0],
        [0.30063, 0.89617, 0.97691, 1.0],
        [0.31448, 0.89998, 0.97648, 1.0],
        [0.32832, 0.90375, 0.97605, 1.0],
        [0.34224, 0.90747, 0.97562, 1.0],
        [0.35613, 0.91115, 0.97518, 1.0],
        [0.36991, 0.91479, 0.97475, 1.0],
        [0.38361, 0.9184, 0.97431, 1.0],
        [0.39728, 0.92197, 0.97387, 1.0],
        [0.4109, 0.9255, 0.97343, 1.0],
        [0.42439, 0.92899, 0.973, 1.0],
        [0.43779, 0.93247, 0.97255, 1.0],
        [0.45116, 0.9359, 0.97211, 1.0],
        [0.46443, 0.93931, 0.97166, 1.0],
        [0.47755, 0.94269, 0.97121, 1.0],
        [0.49069, 0.94603, 0.97076, 1.0],
        [0.5037, 0.94935, 0.97031, 1.0],
        [0.51659, 0.95265, 0.96986, 1.0],
        [0.52949, 0.95592, 0.9694, 1.0],
        [0.54227, 0.95916, 0.96894, 1.0],
        [0.55496, 0.96238, 0.96849, 1.0],
        [0.56763, 0.96557, 0.96803, 1.0],
        [0.58018, 0.96874, 0.96756, 1.0],
        [0.59271, 0.97189, 0.9671, 1.0],
        [0.60515, 0.97501, 0.96663, 1.0],
        [0.61751, 0.97812, 0.96616, 1.0],
        [0.62987, 0.98119, 0.96569, 1.0],
        [0.64213, 0.98425, 0.96521, 1.0],
        [0.65436, 0.98729, 0.96474, 1.0],
        [0.66654, 0.9903, 0.96426, 1.0],
        [0.67864, 0.9933, 0.96378, 1.0],
        [0.69072, 0.99626, 0.9633, 1.0],
        [0.70271, 0.99922, 0.96282, 1.0],
    ],
    'cet.linear_kbgyw_5_98_c62': [
        [0.066001, 0.066024, 0.066019, 1.0],
        [0.073531, 0.067157, 0.081516, 1.0],
        [0.080354, 0.068289, 0.094843, 1.0],
        [0.08632, 0.069502, 0.10722, 1.0],
        [0.091205, 0.070686, 0.11969, 1.0],
        [0.095166, 0.071969, 0.13223, 1.0],
        [0.098937, 0.073058, 0.14484, 1.0],
        [0.10264, 0.073887, 0.15744, 1.0],
        [0.10625, 0.074435, 0.17015, 1.0],
        [0.1097, 0.074836, 0.18285, 1.0],
        [0.11289, 0.075212, 0.1956, 1.0],
        [0.11587, 0.075547, 0.20839, 1.0],
        [0.11864, 0.075871, 0.22116, 1.0],
        [0.12114, 0.076152, 0.23396, 1.0],
        [0.12347, 0.07644, 0.24672, 1.0],
        [0.12565, 0.076696, 0.25953, 1.0],
        [0.12755, 0.076951, 0.27226, 1.0],
        [0.12927, 0.077199, 0.28502, 1.0],
        [0.13082, 0.077434, 0.29777, 1.0],
        [0.13212, 0.077693, 0.31047, 1.0],
        [0.13324, 0.077937, 0.32315, 1.0],
        [0.13417, 0.078217, 0.33575, 1.0],
        [0.13489, 0.078507, 0.34833, 1.0],
        [0.13539, 0.078813, 0.36086, 1.0],
        [0.1357, 0.079175, 0.3733, 1.0],
        [0.13582, 0.079553, 0.3857, 1.0],
        [0.13576, 0.079992, 0.39802, 1.0],
        [0.13552, 0.080484, 0.41025, 1.0],
        [0.1351, 0.081016, 0.42242, 1.0],
        [0.13446, 0.081668, 0.43445, 1.0],
        [0.13361, 0.082336, 0.44639, 1.0],
        [0.13258, 0.083014, 0.45826, 1.0],
        [0.13136, 0.083921, 0.46995, 1.0],
        [0.12997, 0.084835, 0.48154, 1.0],
        [0.12833, 0.085789, 0.49302, 1.0],
        [0.12653, 0.087046, 0.50432, 1.0],
        [0.12453, 0.088286, 0.51545, 1.0],
        [0.12232, 0.089654, 0.5265, 1.0],
        [0.11998, 0.091206, 0.5373, 1.0],
        [0.11744, 0.092805, 0.54793, 1.0],
        [0.11468, 0.094674, 0.55839, 1.0],
        [0.11181, 0.096524, 0.56866, 1.0],
        [0.10868, 0.098699, 0.57867, 1.0],
        [0.10542, 0.10095, 0.58847, 1.0],
        [0.10197, 0.10342, 0.59806, 1.0],
        [0.098375, 0.106, 0.60741, 1.0],
        [0.094641, 0.10876, 0.61644, 1.0],
        [0.090708, 0.11175, 0.6252, 1.0],
        [0.086641, 0.11483, 0.63368, 1.0],
        [0.082459, 0.11819, 0.64187, 1.0],
        [0.078079, 0.12163, 0.64973, 1.0],
        [0.073814, 0.12537, 0.6572, 1.0],
        [0.069419, 0.12924, 0.66429, 1.0],
        [0.064888, 0.13334, 0.67101, 1.0],
        [0.060456, 0.13763, 0.67733, 1.0],
        [0.056065, 0.14207, 0.68321, 1.0],
        [0.051735, 0.14671, 0.68863, 1.0],
        [0.047663, 0.15158, 0.69354, 1.0],
        [0.043895, 0.15667, 0.69793, 1.0],
        [0.040589, 0.16195, 0.70175, 1.0],
        [0.03776, 0.16742, 0.70497, 1.0],
        [0.035653, 0.17312, 0.70753, 1.0],
        [0.033912, 0.17901, 0.7095, 1.0],
        [0.032749, 0.18494, 0.71116, 1.0],
        [0.031656, 0.1908, 0.71269, 1.0],
        [0.030664, 0.19667, 0.71411, 1.0],
        [0.029761, 0.20244, 0.71541, 1.0],
        [0.028951, 0.20823, 0.71659, 1.0],
        [0.028232, 0.21398, 0.71764, 1.0],
        [0.027604, 0.2197, 0.71856, 1.0],
        [0.027065, 0.22539, 0.71936, 1.0],
        [0.026613, 0.23109, 0.72001, 1.0],
        [0.026245, 0.23676, 0.72053, 1.0],
        [0.025983, 0.2424, 0.72089, 1.0],
        [0.025814, 0.24807, 0.72111, 1.0],
        [0.025721, 0.2537, 0.72117, 1.0],
        [0.025696, 0.25934, 0.72108, 1.0],
        [0.025732, 0.26495, 0.72082, 1.0],
        [0.025825, 0.2706, 0.7204, 1.0],
        [0.026001, 0.27623, 0.7198, 1.0],
        [0.02623, 0.28186, 0.71901, 1.0],
        [0.026481, 0.28748, 0.71804, 1.0],
        [0.026742, 0.29313, 0.71688, 1.0],
        [0.027045, 0.29879, 0.71551, 1.0],
        [0.027353, 0.30445, 0.71392, 1.0],
        [0.027623, 0.31013, 0.71213, 1.0],
        [0.027866, 0.31582, 0.71011, 1.0],
        [0.028066, 0.3215, 0.70785, 1.0],
        [0.028168, 0.32721, 0.70535, 1.0],
        [0.028179, 0.33297, 0.7026, 1.0],
        [0.028061, 0.33871, 0.69957, 1.0],
        [0.027763, 0.34447, 0.69628, 1.0],
        [0.02728, 0.35028, 0.69268, 1.0],
        [0.026539, 0.3561, 0.68879, 1.0],
        [0.025532, 0.36194, 0.68457, 1.0],
        [0.024173, 0.3678, 0.68002, 1.0],
        [0.022675, 0.37371, 0.67511, 1.0],
        [0.022239, 0.37957, 0.66989, 1.0],
        [0.024007, 0.38536, 0.66437, 1.0],
        [0.0278, 0.39108, 0.65859, 1.0],
        [0.033577, 0.39671, 0.65255, 1.0],
        [0.041196, 0.40229, 0.64627, 1.0],
        [0.049455, 0.40782, 0.63975, 1.0],
        [0.057803, 0.4133, 0.63301, 1.0],
        [0.066263, 0.41872, 0.62605, 1.0],
        [0.074632, 0.4241, 0.61889, 1.0],
        [0.082773, 0.42945, 0.61152, 1.0],
        [0.090615, 0.43476, 0.60397, 1.0],
        [0.098247, 0.44004, 0.59622, 1.0],
        [0.10554, 0.44529, 0.58829, 1.0],
        [0.11254, 0.45051, 0.5802, 1.0],
        [0.11917, 0.45572, 0.57193, 1.0],
        [0.12556, 0.46089, 0.56349, 1.0],
        [0.13162, 0.46605, 0.55489, 1.0],
        [0.13737, 0.47121, 0.54613, 1.0],
        [0.14277, 0.47633, 0.53722, 1.0],
        [0.14788, 0.48145, 0.52815, 1.0],
        [0.15268, 0.48655, 0.51893, 1.0],
        [0.15721, 0.49165, 0.50954, 1.0],
        [0.16147, 0.49672, 0.50001, 1.0],
        [0.16533, 0.50181, 0.49034, 1.0],
        [0.16899, 0.50687, 0.48051, 1.0],
        [0.17228, 0.51193, 0.47054, 1.0],
        [0.17532, 0.51699, 0.46039, 1.0],
        [0.17808, 0.52204, 0.45011, 1.0],
        [0.18049, 0.52709, 0.43966, 1.0],
        [0.18264, 0.53214, 0.42904, 1.0],
        [0.18452, 0.53718, 0.41824, 1.0],
        [0.1861, 0.54222, 0.40728, 1.0],
        [0.18737, 0.54725, 0.39614, 1.0],
        [0.18835, 0.55229, 0.38481, 1.0],
        [0.18921, 0.5573, 0.3735, 1.0],
        [0.19029, 0.56224, 0.36248, 1.0],
        [0.19168, 0.56709, 0.35179, 1.0],
        [0.1934, 0.57187, 0.34145, 1.0],
        [0.19542, 0.57659, 0.33138, 1.0],
        [0.19779, 0.58123, 0.32162, 1.0],
        [0.20048, 0.58583, 0.31211, 1.0],
        [0.20356, 0.59035, 0.30285, 1.0],
        [0.20697, 0.59482, 0.29384, 1.0],
        [0.21073, 0.59924, 0.28508, 1.0],
        [0.21484, 0.6036, 0.27654, 1.0],
        [0.21928, 0.60791, 0.26814, 1.0],
        [0.224, 0.61216, 0.25996, 1.0],
        [0.22904, 0.61638, 0.25192, 1.0],
        [0.23435, 0.62055, 0.244, 1.0],
        [0.23991, 0.62468, 0.23627, 1.0],
        [0.24581, 0.62875, 0.2287, 1.0],
        [0.25199, 0.63279, 0.22126, 1.0],
        [0.25837, 0.63678, 0.21392, 1.0],
        [0.26496, 0.64073, 0.2067, 1.0],
        [0.27176, 0.64465, 0.1995, 1.0],
        [0.27883, 0.64852, 0.19249, 1.0],
        [0.28609, 0.65235, 0.18561, 1.0],
        [0.29353, 0.65616, 0.17874, 1.0],
        [0.30111, 0.65991, 0.17192, 1.0],
        [0.30888, 0.66364, 0.16516, 1.0],
        [0.31685, 0.66732, 0.1586, 1.0],
        [0.32493, 0.67096, 0.15199, 1.0],
        [0.33316, 0.67457, 0.14547, 1.0],
        [0.3415, 0.67815, 0.13891, 1.0],
        [0.35004, 0.68168, 0.13253, 1.0],
        [0.35864, 0.68519, 0.12613, 1.0],
        [0.36736, 0.68866, 0.11969, 1.0],
        [0.37623, 0.69209, 0.1134, 1.0],
        [0.38519, 0.69549, 0.10711, 1.0],
        [0.39423, 0.69885, 0.10074, 1.0],
        [0.40339, 0.70217, 0.09449, 1.0],
        [0.41267, 0.70546, 0.088268, 1.0],
        [0.42198, 0.70873, 0.082038, 1.0],
        [0.4314, 0.71195, 0.075694, 1.0],
        [0.44093, 0.71513, 0.069656, 1.0],
        [0.45052, 0.71827, 0.063424, 1.0],
        [0.46016, 0.72139, 0.057182, 1.0],
        [0.46995, 0.72447, 0.05115, 1.0],
        [0.47975, 0.72751, 0.045105, 1.0],
        [0.48961, 0.73052, 0.039074, 1.0],
        [0.49959, 0.73349, 0.033395, 1.0],
        [0.50961, 0.73642, 0.028381, 1.0],
        [0.5197, 0.73933, 0.02399, 1.0],
        [0.52987, 0.74218, 0.020282, 1.0],
        [0.54007, 0.74501, 0.017058, 1.0],
        [0.55036, 0.7478, 0.014496, 1.0],
        [0.56069, 0.75056, 0.012516, 1.0],
        [0.57107, 0.75326, 0.010898, 1.0],
        [0.5815, 0.75595, 0.010052, 1.0],
        [0.59191, 0.75861, 0.0095873, 1.0],
        [0.60224, 0.76126, 0.0093949, 1.0],
        [0.61246, 0.76391, 0.0094303, 1.0],
        [0.62261, 0.76656, 0.0096325, 1.0],
        [0.63265, 0.76922, 0.010052, 1.0],
        [0.64259, 0.77188, 0.010748, 1.0],
        [0.65245, 0.77453, 0.011847, 1.0],
        [0.66223, 0.7772, 0.012989, 1.0],
        [0.6719, 0.77986, 0.014429, 1.0],
        [0.68149, 0.78252, 0.016102, 1.0],
        [0.691, 0.7852, 0.018089, 1.0],
        [0.70042, 0.78787, 0.020399, 1.0],
        [0.70977, 0.79056, 0.02298, 1.0],
        [0.71902, 0.79325, 0.025904, 1.0],
        [0.72818, 0.79595, 0.029244, 1.0],
        [0.73727, 0.79866, 0.032918, 1.0],
        [0.74627, 0.80138, 0.037138, 1.0],
        [0.75519, 0.80411, 0.041627, 1.0],
        [0.764, 0.80686, 0.046159, 1.0],
        [0.77274, 0.80961, 0.05093, 1.0],
        [0.78139, 0.81238, 0.055784, 1.0],
        [0.78995, 0.81517, 0.060722, 1.0],
        [0.7984, 0.81797, 0.065847, 1.0],
        [0.80676, 0.8208, 0.071087, 1.0],
        [0.81501, 0.82365, 0.076312, 1.0],
        [0.82317, 0.82652, 0.081795, 1.0],
        [0.83123, 0.82941, 0.087295, 1.0],
        [0.83917, 0.83232, 0.092849, 1.0],
        [0.84698, 0.83527, 0.098673, 1.0],
        [0.85467, 0.83825, 0.10453, 1.0],
        [0.86225, 0.84126, 0.11062, 1.0],
        [0.86967, 0.8443, 0.11675, 1.0],
        [0.87697, 0.84738, 0.12302, 1.0],
        [0.88411, 0.85051, 0.12951, 1.0],
        [0.8911, 0.85368, 0.1361, 1.0],
        [0.89791, 0.8569, 0.14293, 1.0],
        [0.90454, 0.86018, 0.14993, 1.0],
        [0.91098, 0.86351, 0.15708, 1.0],
        [0.9172, 0.8669, 0.1645, 1.0],
        [0.9232, 0.87036, 0.17211, 1.0],
        [0.92894, 0.87391, 0.17999, 1.0],
        [0.9344, 0.87753, 0.18822, 1.0],
        [0.93955, 0.88126, 0.19673, 1.0],
        [0.94437, 0.88508, 0.20555, 1.0],
        [0.94882, 0.88902, 0.21474, 1.0],
        [0.9528, 0.89309, 0.22442, 1.0],
        [0.95631, 0.8973, 0.23461, 1.0],
        [0.95927, 0.90169, 0.24539, 1.0],
        [0.9619, 0.90615, 0.25733, 1.0],
        [0.96461, 0.91054, 0.27111, 1.0],
        [0.9674, 0.91485, 0.2865, 1.0],
        [0.97027, 0.91907, 0.30377, 1.0],
        [0.97321, 0.92321, 0.32267, 1.0],
        [0.9762, 0.92726, 0.34315, 1.0],
        [0.97923, 0.93121, 0.3654, 1.0],
        [0.98227, 0.93507, 0.38934, 1.0],
        [0.98527, 0.93883, 0.41497, 1.0],
        [0.98821, 0.94249, 0.44241, 1.0],
        [0.99103, 0.94604, 0.47174, 1.0],
        [0.99368, 0.94948, 0.50316, 1.0],
        [0.99606, 0.9528, 0.53675, 1.0],
        [0.9981, 0.95601, 0.57266, 1.0],
        [0.99966, 0.9591, 0.61109, 1.0],
        [1, 0.96206, 0.65228, 1.0],
        [1, 0.9649, 0.69659, 1.0],
        [0.99974, 0.96762, 0.74429, 1.0],
        [0.99739, 0.97022, 0.7957, 1.0],
        [0.99327, 0.97271, 0.85118, 1.0],
        [0.98675, 0.97508, 0.91169, 1.0],
        [0.97718, 0.97737, 0.97732, 1.0],
    ],
    'cet.linear_kgy_5_95_c69': [
        [0.0020082, 0.082527, 0.022201, 1.0],
        [0.004381, 0.08615, 0.022118, 1.0],
        [0.0067598, 0.089747, 0.022041, 1.0],
        [0.0091625, 0.093124, 0.021981, 1.0],
        [0.011768, 0.096433, 0.021933, 1.0],
        [0.014187, 0.099686, 0.021895, 1.0],
        [0.016629, 0.10283, 0.021877, 1.0],
        [0.019082, 0.10587, 0.021867, 1.0],
        [0.021556, 0.1088, 0.021877, 1.0],
        [0.024018, 0.11172, 0.021897, 1.0],
        [0.026293, 0.11459, 0.021902, 1.0],
        [0.028361, 0.1176, 0.0219, 1.0],
        [0.030209, 0.12061, 0.021879, 1.0],
        [0.031836, 0.12368, 0.021843, 1.0],
        [0.033248, 0.12681, 0.021797, 1.0],
        [0.03448, 0.13002, 0.021732, 1.0],
        [0.035611, 0.13318, 0.021656, 1.0],
        [0.036308, 0.13639, 0.021568, 1.0],
        [0.036803, 0.13965, 0.021464, 1.0],
        [0.037067, 0.14299, 0.021348, 1.0],
        [0.037096, 0.14631, 0.021222, 1.0],
        [0.036881, 0.14971, 0.021083, 1.0],
        [0.036566, 0.15305, 0.020931, 1.0],
        [0.036258, 0.15648, 0.020778, 1.0],
        [0.035956, 0.15982, 0.02062, 1.0],
        [0.035648, 0.16326, 0.020454, 1.0],
        [0.03531, 0.16666, 0.020281, 1.0],
        [0.034935, 0.17007, 0.02011, 1.0],
        [0.034549, 0.17347, 0.019938, 1.0],
        [0.034194, 0.17689, 0.019764, 1.0],
        [0.0339, 0.18031, 0.01959, 1.0],
        [0.033658, 0.18374, 0.019418, 1.0],
        [0.03346, 0.18719, 0.019251, 1.0],
        [0.033308, 0.1906, 0.019094, 1.0],
        [0.033202, 0.19407, 0.018947, 1.0],
        [0.033153, 0.19748, 0.018811, 1.0],
        [0.033171, 0.2009, 0.018691, 1.0],
        [0.033269, 0.20438, 0.018588, 1.0],
        [0.033456, 0.2078, 0.018509, 1.0],
        [0.033755, 0.21125, 0.018457, 1.0],
        [0.034229, 0.21467, 0.018437, 1.0],
        [0.03498, 0.21811, 0.018456, 1.0],
        [0.03581, 0.22154, 0.018521, 1.0],
        [0.036701, 0.22495, 0.018622, 1.0],
        [0.037696, 0.22842, 0.018735, 1.0],
        [0.038702, 0.23186, 0.018848, 1.0],
        [0.039729, 0.23531, 0.018957, 1.0],
        [0.040766, 0.23875, 0.019061, 1.0],
        [0.041844, 0.24222, 0.019159, 1.0],
        [0.042758, 0.24568, 0.019252, 1.0],
        [0.043802, 0.24918, 0.019339, 1.0],
        [0.044931, 0.25267, 0.019419, 1.0],
        [0.045873, 0.25616, 0.019493, 1.0],
        [0.047009, 0.25968, 0.019561, 1.0],
        [0.047989, 0.26319, 0.019623, 1.0],
        [0.049157, 0.2667, 0.019676, 1.0],
        [0.050138, 0.27025, 0.019721, 1.0],
        [0.051173, 0.27378, 0.019758, 1.0],
        [0.052215, 0.27732, 0.019785, 1.0],
        [0.053276, 0.28085, 0.019802, 1.0],
        [0.054355, 0.28442, 0.01981, 1.0],
        [0.055446, 0.28799, 0.01981, 1.0],
        [0.056569, 0.29158, 0.019809, 1.0],
        [0.057528, 0.29515, 0.019834, 1.0],
        [0.058624, 0.29874, 0.01989, 1.0],
        [0.059734, 0.30233, 0.019977, 1.0],
        [0.06068, 0.30596, 0.020098, 1.0],
        [0.061651, 0.30957, 0.020253, 1.0],
        [0.062756, 0.31318, 0.020445, 1.0],
        [0.063696, 0.31681, 0.020677, 1.0],
        [0.064656, 0.32045, 0.02095, 1.0],
        [0.065612, 0.32408, 0.021258, 1.0],
        [0.066576, 0.32773, 0.021584, 1.0],
        [0.067549, 0.33138, 0.021916, 1.0],
        [0.068538, 0.33506, 0.022251, 1.0],
        [0.06952, 0.33872, 0.022589, 1.0],
        [0.070402, 0.3424, 0.022929, 1.0],
        [0.071419, 0.34607, 0.023272, 1.0],
        [0.072319, 0.34977, 0.023618, 1.0],
        [0.073361, 0.35346, 0.023966, 1.0],
        [0.074283, 0.35718, 0.024318, 1.0],
        [0.075218, 0.36087, 0.024672, 1.0],
        [0.076165, 0.36459, 0.025028, 1.0],
        [0.077123, 0.36832, 0.025388, 1.0],
        [0.078091, 0.37204, 0.02575, 1.0],
        [0.079071, 0.37578, 0.026116, 1.0],
        [0.080061, 0.37952, 0.026484, 1.0],
        [0.081061, 0.38328, 0.026854, 1.0],
        [0.082077, 0.38702, 0.027228, 1.0],
        [0.082984, 0.39079, 0.027604, 1.0],
        [0.084013, 0.39456, 0.027983, 1.0],
        [0.084952, 0.39834, 0.028365, 1.0],
        [0.085878, 0.40211, 0.02875, 1.0],
        [0.086941, 0.40591, 0.029138, 1.0],
        [0.087908, 0.4097, 0.029528, 1.0],
        [0.088876, 0.4135, 0.029921, 1.0],
        [0.089858, 0.41731, 0.030317, 1.0],
        [0.090847, 0.42111, 0.030716, 1.0],
        [0.091852, 0.42494, 0.031118, 1.0],
        [0.092761, 0.42876, 0.031521, 1.0],
        [0.093773, 0.43259, 0.031927, 1.0],
        [0.094809, 0.43643, 0.032341, 1.0],
        [0.09575, 0.44027, 0.03276, 1.0],
        [0.096692, 0.44412, 0.033171, 1.0],
        [0.097753, 0.44796, 0.033567, 1.0],
        [0.098721, 0.45183, 0.033985, 1.0],
        [0.099698, 0.4557, 0.034483, 1.0],
        [0.10069, 0.45957, 0.035028, 1.0],
        [0.10168, 0.46344, 0.035514, 1.0],
        [0.10269, 0.46733, 0.035934, 1.0],
        [0.1037, 0.47122, 0.036349, 1.0],
        [0.10463, 0.47512, 0.036789, 1.0],
        [0.10568, 0.47902, 0.037237, 1.0],
        [0.10671, 0.48292, 0.037682, 1.0],
        [0.10766, 0.48683, 0.038128, 1.0],
        [0.10865, 0.49076, 0.038578, 1.0],
        [0.10971, 0.49468, 0.039032, 1.0],
        [0.11069, 0.49861, 0.039489, 1.0],
        [0.11169, 0.50254, 0.039948, 1.0],
        [0.1127, 0.50648, 0.040406, 1.0],
        [0.11369, 0.51042, 0.040871, 1.0],
        [0.11464, 0.51438, 0.041351, 1.0],
        [0.11569, 0.51834, 0.041826, 1.0],
        [0.1167, 0.52229, 0.042253, 1.0],
        [0.11769, 0.52627, 0.042639, 1.0],
        [0.11873, 0.53024, 0.043044, 1.0],
        [0.1197, 0.53421, 0.043511, 1.0],
        [0.1207, 0.53821, 0.044017, 1.0],
        [0.1217, 0.54219, 0.044525, 1.0],
        [0.12271, 0.54619, 0.044992, 1.0],
        [0.12373, 0.55018, 0.045398, 1.0],
        [0.12476, 0.55419, 0.045806, 1.0],
        [0.12581, 0.55819, 0.046288, 1.0],
        [0.12679, 0.56222, 0.046801, 1.0],
        [0.12783, 0.56624, 0.047247, 1.0],
        [0.12882, 0.57026, 0.047653, 1.0],
        [0.12988, 0.57429, 0.048118, 1.0],
        [0.13089, 0.57833, 0.048645, 1.0],
        [0.1319, 0.58237, 0.049135, 1.0],
        [0.13292, 0.58642, 0.049563, 1.0],
        [0.13395, 0.59047, 0.04998, 1.0],
        [0.13498, 0.59453, 0.050418, 1.0],
        [0.13595, 0.59859, 0.050866, 1.0],
        [0.13701, 0.60266, 0.051311, 1.0],
        [0.13806, 0.60673, 0.051757, 1.0],
        [0.13904, 0.61081, 0.052205, 1.0],
        [0.14007, 0.61488, 0.052658, 1.0],
        [0.14114, 0.61898, 0.053112, 1.0],
        [0.14214, 0.62307, 0.053569, 1.0],
        [0.14318, 0.62716, 0.054029, 1.0],
        [0.14421, 0.63127, 0.054491, 1.0],
        [0.14526, 0.63537, 0.054953, 1.0],
        [0.14626, 0.63949, 0.055418, 1.0],
        [0.1473, 0.6436, 0.055896, 1.0],
        [0.14831, 0.64772, 0.056378, 1.0],
        [0.14938, 0.65185, 0.056824, 1.0],
        [0.15041, 0.65599, 0.057227, 1.0],
        [0.15143, 0.66012, 0.057637, 1.0],
        [0.15246, 0.66426, 0.058099, 1.0],
        [0.15349, 0.66841, 0.058598, 1.0],
        [0.15454, 0.67256, 0.0591, 1.0],
        [0.1556, 0.67671, 0.059581, 1.0],
        [0.15665, 0.68086, 0.060024, 1.0],
        [0.15766, 0.68503, 0.06044, 1.0],
        [0.15873, 0.68921, 0.060845, 1.0],
        [0.15973, 0.69338, 0.061267, 1.0],
        [0.1608, 0.69755, 0.061737, 1.0],
        [0.16187, 0.70173, 0.06225, 1.0],
        [0.16291, 0.70593, 0.06274, 1.0],
        [0.16396, 0.71012, 0.063178, 1.0],
        [0.16497, 0.71431, 0.063603, 1.0],
        [0.16602, 0.71852, 0.064042, 1.0],
        [0.1671, 0.72272, 0.064491, 1.0],
        [0.16812, 0.72693, 0.064939, 1.0],
        [0.16921, 0.73115, 0.065387, 1.0],
        [0.17024, 0.73537, 0.065837, 1.0],
        [0.17128, 0.7396, 0.066291, 1.0],
        [0.17233, 0.74382, 0.066748, 1.0],
        [0.17339, 0.74806, 0.067206, 1.0],
        [0.17446, 0.75229, 0.067663, 1.0],
        [0.1755, 0.75654, 0.068124, 1.0],
        [0.17654, 0.76078, 0.068597, 1.0],
        [0.17764, 0.76504, 0.069073, 1.0],
        [0.17869, 0.76929, 0.069516, 1.0],
        [0.17973, 0.77355, 0.06992, 1.0],
        [0.18078, 0.77782, 0.070337, 1.0],
        [0.18184, 0.78209, 0.070809, 1.0],
        [0.1829, 0.78636, 0.071291, 1.0],
        [0.18397, 0.79063, 0.071723, 1.0],
        [0.18506, 0.79491, 0.072134, 1.0],
        [0.18612, 0.7992, 0.07259, 1.0],
        [0.18718, 0.80349, 0.073087, 1.0],
        [0.18826, 0.80779, 0.073557, 1.0],
        [0.1893, 0.81208, 0.073983, 1.0],
        [0.19036, 0.81639, 0.074402, 1.0],
        [0.19143, 0.82069, 0.074835, 1.0],
        [0.1925, 0.825, 0.075276, 1.0],
        [0.19359, 0.82933, 0.075716, 1.0],
        [0.19467, 0.83365, 0.076155, 1.0],
        [0.19571, 0.83797, 0.076597, 1.0],
        [0.19681, 0.8423, 0.077042, 1.0],
        [0.19786, 0.84663, 0.077489, 1.0],
        [0.19892, 0.85096, 0.077938, 1.0],
        [0.19999, 0.85531, 0.078388, 1.0],
        [0.20106, 0.85965, 0.078841, 1.0],
        [0.20215, 0.864, 0.079296, 1.0],
        [0.20324, 0.86836, 0.079753, 1.0],
        [0.20434, 0.87271, 0.080211, 1.0],
        [0.20539, 0.87707, 0.080669, 1.0],
        [0.2065, 0.88144, 0.081135, 1.0],
        [0.20756, 0.88581, 0.08161, 1.0],
        [0.20863, 0.89017, 0.082069, 1.0],
        [0.20974, 0.89456, 0.082489, 1.0],
        [0.21167, 0.8989, 0.082885, 1.0],
        [0.21577, 0.90314, 0.083267, 1.0],
        [0.22243, 0.90724, 0.083619, 1.0],
        [0.23129, 0.91122, 0.083917, 1.0],
        [0.24192, 0.91509, 0.084156, 1.0],
        [0.25398, 0.91886, 0.084342, 1.0],
        [0.26714, 0.92253, 0.084483, 1.0],
        [0.28122, 0.92611, 0.084587, 1.0],
        [0.29605, 0.92959, 0.084656, 1.0],
        [0.31138, 0.93299, 0.084696, 1.0],
        [0.32707, 0.93632, 0.08471, 1.0],
        [0.34303, 0.93956, 0.084701, 1.0],
        [0.35913, 0.94274, 0.084672, 1.0],
        [0.37535, 0.94584, 0.084623, 1.0],
        [0.39181, 0.94887, 0.084553, 1.0],
        [0.40832, 0.95183, 0.084465, 1.0],
        [0.42483, 0.95473, 0.084363, 1.0],
        [0.4413, 0.95756, 0.084247, 1.0],
        [0.45785, 0.96033, 0.084113, 1.0],
        [0.47443, 0.96303, 0.083964, 1.0],
        [0.49093, 0.96567, 0.083803, 1.0],
        [0.50737, 0.96826, 0.083635, 1.0],
        [0.52388, 0.97077, 0.083456, 1.0],
        [0.54033, 0.97323, 0.083278, 1.0],
        [0.55668, 0.97564, 0.083106, 1.0],
        [0.57311, 0.97798, 0.082937, 1.0],
        [0.58945, 0.98026, 0.082777, 1.0],
        [0.60571, 0.98249, 0.082624, 1.0],
        [0.62205, 0.98465, 0.082472, 1.0],
        [0.63831, 0.98675, 0.082325, 1.0],
        [0.6545, 0.9888, 0.08218, 1.0],
        [0.67074, 0.99078, 0.082035, 1.0],
        [0.68689, 0.99272, 0.081896, 1.0],
        [0.70305, 0.99458, 0.081762, 1.0],
        [0.71919, 0.99639, 0.081638, 1.0],
        [0.73525, 0.99815, 0.081527, 1.0],
        [0.75139, 0.99984, 0.081428, 1.0],
        [0.76742, 1, 0.081347, 1.0],
        [0.78349, 1, 0.081282, 1.0],
        [0.79956, 1, 0.081236, 1.0],
        [0.81555, 1, 0.08121, 1.0],
        [0.83159, 1, 0.081204, 1.0],
        [0.84754, 1, 0.081223, 1.0],
    ],
    'cet.linear_kry_0_97_c73': [
        [0, 0, 0, 1.0],
        [0.025875, 1.8579e-05, 0, 1.0],
        [0.050536, 6.891e-05, 2.2895e-17, 1.0],
        [0.069748, 0.00013143, 0, 1.0],
        [0.085428, 0.00019917, 0, 1.0],
        [0.099057, 0.00026966, 0, 1.0],
        [0.11118, 0.00034172, 2.0277e-17, 1.0],
        [0.12208, 0.00041489, 4.1874e-17, 1.0],
        [0.13223, 0.00048918, 2.2397e-17, 1.0],
        [0.14161, 0.00056432, 3.363e-18, 1.0],
        [0.15035, 0.00067943, 0, 1.0],
        [0.15851, 0.00088674, 0, 1.0],
        [0.16633, 0.0010025, 0, 1.0],
        [0.1739, 0.0010092, 0, 1.0],
        [0.18103, 0.0011063, 0, 1.0],
        [0.18795, 0.0011839, 0, 1.0],
        [0.19455, 0.0012756, 0, 1.0],
        [0.2009, 0.0013408, 0, 1.0],
        [0.2071, 0.0014347, 0, 1.0],
        [0.21305, 0.00149, 0, 1.0],
        [0.21884, 0.0015929, 0, 1.0],
        [0.2245, 0.0015673, 0, 1.0],
        [0.2301, 0.0015759, 9.1726e-06, 1.0],
        [0.23571, 0.0016594, 7.2964e-06, 1.0],
        [0.24129, 0.0017457, 9.1367e-06, 1.0],
        [0.2469, 0.0018347, 7.4138e-06, 1.0],
        [0.25254, 0.0019267, 9.048e-06, 1.0],
        [0.25818, 0.0020217, 7.7461e-06, 1.0],
        [0.26389, 0.0021199, 9.0408e-06, 1.0],
        [0.26958, 0.0022211, 8.2807e-06, 1.0],
        [0.27529, 0.0023254, 9.1305e-06, 1.0],
        [0.28101, 0.0024328, 8.9188e-06, 1.0],
        [0.28677, 0.0025437, 9.1759e-06, 1.0],
        [0.29255, 0.002658, 9.4883e-06, 1.0],
        [0.29834, 0.0027757, 9.1679e-06, 1.0],
        [0.30416, 0.002897, 9.7948e-06, 1.0],
        [0.31001, 0.0030218, 8.8831e-06, 1.0],
        [0.31586, 0.0031503, 9.5701e-06, 1.0],
        [0.32171, 0.0032825, 8.1271e-06, 1.0],
        [0.3276, 0.0034185, 8.4831e-06, 1.0],
        [0.33352, 0.0035585, 8.1576e-06, 1.0],
        [0.33945, 0.0037024, 7.8335e-06, 1.0],
        [0.34538, 0.0038504, 9.8047e-06, 1.0],
        [0.35134, 0.0040025, 8.7941e-06, 1.0],
        [0.35733, 0.0041588, 1.0059e-05, 1.0],
        [0.3633, 0.0043191, 8.5968e-06, 1.0],
        [0.36932, 0.0044839, 8.3847e-06, 1.0],
        [0.37534, 0.0046534, 9.2457e-06, 1.0],
        [0.3814, 0.0048273, 7.8263e-06, 1.0],
        [0.38745, 0.0050061, 1.0258e-05, 1.0],
        [0.39353, 0.0051895, 8.5681e-06, 1.0],
        [0.39962, 0.0053778, 8.2326e-06, 1.0],
        [0.40575, 0.0055711, 9.7513e-06, 1.0],
        [0.41187, 0.0057692, 7.767e-06, 1.0],
        [0.41801, 0.0059729, 9.806e-06, 1.0],
        [0.42417, 0.0061818, 8.3319e-06, 1.0],
        [0.43035, 0.0063962, 5.875e-06, 1.0],
        [0.43654, 0.0066164, 1.0184e-05, 1.0],
        [0.44274, 0.0068416, 8.184e-06, 1.0],
        [0.44897, 0.0070728, 6.4277e-06, 1.0],
        [0.4552, 0.0073107, 1.0111e-05, 1.0],
        [0.46145, 0.0075542, 7.8984e-06, 1.0],
        [0.46771, 0.0078038, 6.2861e-06, 1.0],
        [0.47399, 0.0080598, 9.9295e-06, 1.0],
        [0.48028, 0.0083217, 7.7295e-06, 1.0],
        [0.4866, 0.0085909, 4.858e-06, 1.0],
        [0.49291, 0.0088684, 9.3925e-06, 1.0],
        [0.49925, 0.0091538, 8.5788e-06, 1.0],
        [0.5056, 0.0094452, 5.3801e-06, 1.0],
        [0.51197, 0.0097424, 7.7889e-06, 1.0],
        [0.51836, 0.01004, 9.2895e-06, 1.0],
        [0.52474, 0.010346, 6.7865e-06, 1.0],
        [0.53116, 0.010674, 3.6172e-06, 1.0],
        [0.5376, 0.011007, 7.8667e-06, 1.0],
        [0.54404, 0.011355, 8.6084e-06, 1.0],
        [0.55051, 0.011709, 6.2993e-06, 1.0],
        [0.55698, 0.012063, 2.7416e-06, 1.0],
        [0.56345, 0.012427, 6.5109e-06, 1.0],
        [0.56992, 0.012791, 8.0473e-06, 1.0],
        [0.57644, 0.013176, 7.2625e-06, 1.0],
        [0.58293, 0.013573, 4.6408e-06, 1.0],
        [0.58946, 0.013979, 2.1857e-06, 1.0],
        [0.596, 0.014395, 5.2887e-06, 1.0],
        [0.60255, 0.014821, 6.7191e-06, 1.0],
        [0.60912, 0.015259, 6.739e-06, 1.0],
        [0.61569, 0.015709, 5.6664e-06, 1.0],
        [0.62227, 0.016172, 3.8093e-06, 1.0],
        [0.62888, 0.016646, 1.4078e-06, 1.0],
        [0.63548, 0.017134, 1.7518e-06, 1.0],
        [0.64211, 0.017635, 3.6381e-06, 1.0],
        [0.64875, 0.018151, 4.8728e-06, 1.0],
        [0.65539, 0.018681, 5.6412e-06, 1.0],
        [0.66205, 0.019227, 6.0862e-06, 1.0],
        [0.66872, 0.019788, 6.2969e-06, 1.0],
        [0.67539, 0.020365, 6.4176e-06, 1.0],
        [0.68208, 0.020959, 6.4663e-06, 1.0],
        [0.68879, 0.021571, 6.5228e-06, 1.0],
        [0.6955, 0.022202, 6.6182e-06, 1.0],
        [0.70222, 0.022851, 6.7011e-06, 1.0],
        [0.70896, 0.023521, 6.7892e-06, 1.0],
        [0.7157, 0.024212, 6.7682e-06, 1.0],
        [0.72245, 0.024926, 6.4978e-06, 1.0],
        [0.72921, 0.025662, 1.5249e-06, 1.0],
        [0.73598, 0.026422, 2.6986e-08, 1.0],
        [0.74277, 0.027209, 0, 1.0],
        [0.74956, 0.028023, 0, 1.0],
        [0.75636, 0.028867, 0, 1.0],
        [0.76317, 0.02974, 0, 1.0],
        [0.76999, 0.030646, 0, 1.0],
        [0.77682, 0.031585, 0, 1.0],
        [0.78365, 0.032567, 0, 1.0],
        [0.79049, 0.033563, 0, 1.0],
        [0.79736, 0.034613, 0, 1.0],
        [0.80423, 0.035779, 0, 1.0],
        [0.8111, 0.036893, 0, 1.0],
        [0.81796, 0.038106, 0, 1.0],
        [0.82484, 0.039371, 0, 1.0],
        [0.83173, 0.040693, 0, 1.0],
        [0.83859, 0.04215, 0, 1.0],
        [0.84547, 0.043514, 0, 1.0],
        [0.85234, 0.045178, 0, 1.0],
        [0.85921, 0.046838, 0, 1.0],
        [0.86608, 0.048579, 0, 1.0],
        [0.87292, 0.050451, 0, 1.0],
        [0.87974, 0.0525, 0, 1.0],
        [0.88656, 0.054719, 0, 1.0],
        [0.89334, 0.057161, 0, 1.0],
        [0.90008, 0.059959, 0, 1.0],
        [0.90677, 0.063006, 0, 1.0],
        [0.91335, 0.066454, 0, 1.0],
        [0.91977, 0.070728, 0, 1.0],
        [0.92596, 0.076324, 0, 1.0],
        [0.93169, 0.083888, 0, 1.0],
        [0.93692, 0.093109, 0, 1.0],
        [0.94164, 0.10384, 0, 1.0],
        [0.94588, 0.1155, 0, 1.0],
        [0.94967, 0.12783, 0, 1.0],
        [0.95306, 0.14045, 0, 1.0],
        [0.95608, 0.15318, 0, 1.0],
        [0.95878, 0.1659, 0, 1.0],
        [0.96121, 0.17852, 0, 1.0],
        [0.96341, 0.19087, 0, 1.0],
        [0.96539, 0.20302, 0, 1.0],
        [0.96721, 0.21491, 0, 1.0],
        [0.96886, 0.22655, 0, 1.0],
        [0.97038, 0.2379, 0, 1.0],
        [0.97178, 0.249, 0, 1.0],
        [0.97308, 0.25985, 0, 1.0],
        [0.97429, 0.27047, 0, 1.0],
        [0.97542, 0.28082, 0, 1.0],
        [0.97647, 0.29102, 0, 1.0],
        [0.97746, 0.30097, 0, 1.0],
        [0.97838, 0.31077, 0, 1.0],
        [0.97926, 0.32037, 0, 1.0],
        [0.98008, 0.32979, 0, 1.0],
        [0.98086, 0.33905, 0, 1.0],
        [0.9816, 0.34817, 0, 1.0],
        [0.9823, 0.35714, 0, 1.0],
        [0.98297, 0.36597, 0, 1.0],
        [0.98361, 0.37467, 0, 1.0],
        [0.98422, 0.38326, 0, 1.0],
        [0.9848, 0.39172, 0, 1.0],
        [0.98535, 0.40008, 0, 1.0],
        [0.98588, 0.40833, 0, 1.0],
        [0.98639, 0.41649, 0, 1.0],
        [0.98688, 0.42455, 0, 1.0],
        [0.98735, 0.43253, 0, 1.0],
        [0.9878, 0.44041, 0, 1.0],
        [0.98823, 0.44821, 0, 1.0],
        [0.98865, 0.45595, 0, 1.0],
        [0.98905, 0.4636, 0, 1.0],
        [0.98944, 0.47119, 0, 1.0],
        [0.98981, 0.47871, 0, 1.0],
        [0.99017, 0.48616, 0, 1.0],
        [0.99052, 0.49355, 0, 1.0],
        [0.99086, 0.50088, 0, 1.0],
        [0.99118, 0.50817, 0, 1.0],
        [0.9915, 0.51538, 0, 1.0],
        [0.9918, 0.52255, 0, 1.0],
        [0.99209, 0.52967, 0, 1.0],
        [0.99238, 0.53674, 0, 1.0],
        [0.99265, 0.54376, 0, 1.0],
        [0.99292, 0.55074, 0, 1.0],
        [0.99318, 0.55768, 0, 1.0],
        [0.99343, 0.56457, 0, 1.0],
        [0.99367, 0.57142, 0, 1.0],
        [0.9939, 0.57823, 0, 1.0],
        [0.99413, 0.58502, 0, 1.0],
        [0.99435, 0.59177, 0, 1.0],
        [0.99457, 0.59847, 0, 1.0],
        [0.99478, 0.60514, 0, 1.0],
        [0.99497, 0.61179, 0, 1.0],
        [0.99517, 0.6184, 0, 1.0],
        [0.99536, 0.62498, 0, 1.0],
        [0.99554, 0.63154, 0, 1.0],
        [0.99572, 0.63806, 0, 1.0],
        [0.9959, 0.64456, 0, 1.0],
        [0.99606, 0.65104, 0, 1.0],
        [0.99623, 0.65749, 0, 1.0],
        [0.99638, 0.66391, 0, 1.0],
        [0.99654, 0.67031, 0, 1.0],
        [0.99669, 0.67668, 0, 1.0],
        [0.99683, 0.68303, 0, 1.0],
        [0.99697, 0.68937, 0, 1.0],
        [0.9971, 0.69568, 0, 1.0],
        [0.99724, 0.70196, 0, 1.0],
        [0.99736, 0.70824, 0, 1.0],
        [0.99749, 0.71448, 0, 1.0],
        [0.99761, 0.72072, 0, 1.0],
        [0.99772, 0.72693, 0, 1.0],
        [0.99783, 0.73313, 0, 1.0],
        [0.99794, 0.73932, 0, 1.0],
        [0.99805, 0.74547, 0, 1.0],
        [0.99814, 0.75163, 0, 1.0],
        [0.99825, 0.75776, 0, 1.0],
        [0.99834, 0.76387, 0, 1.0],
        [0.99843, 0.76997, 0, 1.0],
        [0.99852, 0.77607, 0, 1.0],
        [0.99861, 0.78214, 0, 1.0],
        [0.99869, 0.7882, 0, 1.0],
        [0.99877, 0.79425, 0, 1.0],
        [0.99884, 0.80029, 0, 1.0],
        [0.99892, 0.80631, 0, 1.0],
        [0.99899, 0.81232, 0, 1.0],
        [0.99906, 0.81832, 0, 1.0],
        [0.99912, 0.82431, 0, 1.0],
        [0.99918, 0.83029, 0, 1.0],
        [0.99924, 0.83626, 0, 1.0],
        [0.9993, 0.84222, 0, 1.0],
        [0.99935, 0.84816, 0, 1.0],
        [0.99941, 0.85409, 0, 1.0],
        [0.99945, 0.86003, 0, 1.0],
        [0.99951, 0.86594, 0, 1.0],
        [0.99954, 0.87186, 0, 1.0],
        [0.99959, 0.87775, 0, 1.0],
        [0.99963, 0.88365, 0, 1.0],
        [0.99967, 0.88953, 0, 1.0],
        [0.9997, 0.8954, 0, 1.0],
        [0.99974, 0.90127, 0, 1.0],
        [0.99977, 0.90713, 0, 1.0],
        [0.9998, 0.91298, 0, 1.0],
        [0.99983, 0.91882, 0, 1.0],
        [0.99985, 0.92466, 0, 1.0],
        [0.99988, 0.93049, 0, 1.0],
        [0.9999, 0.93632, 0, 1.0],
        [0.99992, 0.94214, 0, 1.0],
        [0.99993, 0.94795, 0, 1.0],
        [0.99995, 0.95375, 0, 1.0],
        [0.99996, 0.95955, 0, 1.0],
        [0.99998, 0.96534, 0, 1.0],
        [0.99998, 0.97113, 0, 1.0],
        [0.99999, 0.97692, 0, 1.0],
        [1, 0.9827, 0, 1.0],
        [1, 0.98847, 0, 1.0],
        [1, 0.99423, 0, 1.0],
        [1, 1, 1.9991e-15, 1.0],
    ],
    'cet.linear_kry_5_95_c72': [
        [0.066001, 0.066024, 0.066019, 1.0],
        [0.07965, 0.066744, 0.064745, 1.0],
        [0.091664, 0.06747, 0.063475, 1.0],
        [0.10228, 0.068214, 0.06216, 1.0],
        [0.112, 0.068994, 0.060816, 1.0],
        [0.12092, 0.069706, 0.059585, 1.0],
        [0.12971, 0.070185, 0.058154, 1.0],
        [0.13843, 0.07042, 0.05692, 1.0],
        [0.14709, 0.070382, 0.055604, 1.0],
        [0.15576, 0.07009, 0.054295, 1.0],
        [0.16433, 0.069694, 0.052994, 1.0],
        [0.17278, 0.069179, 0.051712, 1.0],
        [0.18118, 0.068484, 0.050432, 1.0],
        [0.18954, 0.067685, 0.049199, 1.0],
        [0.1978, 0.066788, 0.047758, 1.0],
        [0.20605, 0.065769, 0.046454, 1.0],
        [0.2142, 0.064648, 0.045151, 1.0],
        [0.2223, 0.063428, 0.043725, 1.0],
        [0.23036, 0.062012, 0.042429, 1.0],
        [0.23838, 0.060521, 0.04109, 1.0],
        [0.24634, 0.058898, 0.039699, 1.0],
        [0.25428, 0.057101, 0.038324, 1.0],
        [0.26215, 0.055158, 0.036964, 1.0],
        [0.26998, 0.053082, 0.035663, 1.0],
        [0.27773, 0.050917, 0.034117, 1.0],
        [0.28544, 0.048622, 0.032846, 1.0],
        [0.29312, 0.046013, 0.031565, 1.0],
        [0.30072, 0.043344, 0.030323, 1.0],
        [0.30827, 0.040658, 0.029105, 1.0],
        [0.31576, 0.037722, 0.02791, 1.0],
        [0.32318, 0.034637, 0.02674, 1.0],
        [0.33052, 0.031576, 0.025595, 1.0],
        [0.33779, 0.028628, 0.024479, 1.0],
        [0.34497, 0.025745, 0.023396, 1.0],
        [0.35205, 0.022943, 0.022345, 1.0],
        [0.35905, 0.020248, 0.021325, 1.0],
        [0.36595, 0.017697, 0.02034, 1.0],
        [0.37272, 0.015331, 0.01939, 1.0],
        [0.37938, 0.01319, 0.01848, 1.0],
        [0.38589, 0.01125, 0.017611, 1.0],
        [0.39225, 0.0096476, 0.016788, 1.0],
        [0.39845, 0.0085386, 0.016013, 1.0],
        [0.40447, 0.0079151, 0.015288, 1.0],
        [0.41036, 0.0076915, 0.014615, 1.0],
        [0.41618, 0.0076329, 0.013987, 1.0],
        [0.42199, 0.007602, 0.01339, 1.0],
        [0.42783, 0.0075831, 0.012837, 1.0],
        [0.43365, 0.0075764, 0.012347, 1.0],
        [0.4395, 0.0075827, 0.011859, 1.0],
        [0.44534, 0.0076027, 0.011316, 1.0],
        [0.4512, 0.0076373, 0.010796, 1.0],
        [0.45705, 0.0076872, 0.010385, 1.0],
        [0.46291, 0.0077536, 0.010055, 1.0],
        [0.46879, 0.0078379, 0.0097685, 1.0],
        [0.47467, 0.0079404, 0.0095068, 1.0],
        [0.48054, 0.0080616, 0.0092717, 1.0],
        [0.48643, 0.0082023, 0.0090674, 1.0],
        [0.49232, 0.0083637, 0.0088963, 1.0],
        [0.49823, 0.0085472, 0.008759, 1.0],
        [0.50414, 0.0087542, 0.0086553, 1.0],
        [0.51004, 0.008987, 0.0085858, 1.0],
        [0.51595, 0.0092456, 0.0085516, 1.0],
        [0.52187, 0.0095265, 0.0085507, 1.0],
        [0.5278, 0.0098238, 0.0085815, 1.0],
        [0.53373, 0.010138, 0.0086438, 1.0],
        [0.53967, 0.010498, 0.0087375, 1.0],
        [0.54563, 0.010949, 0.0088628, 1.0],
        [0.55158, 0.011488, 0.0090195, 1.0],
        [0.55753, 0.012012, 0.0092082, 1.0],
        [0.56349, 0.012487, 0.0094284, 1.0],
        [0.56945, 0.012988, 0.0096743, 1.0],
        [0.57543, 0.013545, 0.009933, 1.0],
        [0.5814, 0.014124, 0.010192, 1.0],
        [0.5874, 0.014709, 0.010451, 1.0],
        [0.59341, 0.015309, 0.010717, 1.0],
        [0.59942, 0.015921, 0.010993, 1.0],
        [0.60544, 0.016546, 0.011263, 1.0],
        [0.61149, 0.017183, 0.011511, 1.0],
        [0.61754, 0.017832, 0.011726, 1.0],
        [0.62361, 0.018494, 0.011906, 1.0],
        [0.62967, 0.019169, 0.012055, 1.0],
        [0.63576, 0.019858, 0.012179, 1.0],
        [0.64186, 0.020559, 0.01228, 1.0],
        [0.64796, 0.021273, 0.012363, 1.0],
        [0.65409, 0.022, 0.012427, 1.0],
        [0.66022, 0.022741, 0.012473, 1.0],
        [0.66635, 0.023496, 0.012501, 1.0],
        [0.67251, 0.024264, 0.012512, 1.0],
        [0.67867, 0.025046, 0.012503, 1.0],
        [0.68485, 0.025842, 0.012477, 1.0],
        [0.69103, 0.026652, 0.012431, 1.0],
        [0.69722, 0.027476, 0.012369, 1.0],
        [0.70343, 0.028316, 0.012312, 1.0],
        [0.70965, 0.02917, 0.012261, 1.0],
        [0.71588, 0.030041, 0.012218, 1.0],
        [0.7221, 0.030928, 0.012182, 1.0],
        [0.72835, 0.031827, 0.012155, 1.0],
        [0.73461, 0.032755, 0.012137, 1.0],
        [0.74086, 0.033657, 0.012129, 1.0],
        [0.74714, 0.034746, 0.01213, 1.0],
        [0.7534, 0.035909, 0.012143, 1.0],
        [0.75965, 0.037152, 0.012168, 1.0],
        [0.76588, 0.038639, 0.012207, 1.0],
        [0.77207, 0.040359, 0.012259, 1.0],
        [0.77825, 0.042283, 0.012323, 1.0],
        [0.7844, 0.044355, 0.0124, 1.0],
        [0.79052, 0.046616, 0.012491, 1.0],
        [0.79662, 0.049121, 0.012597, 1.0],
        [0.80269, 0.051607, 0.01272, 1.0],
        [0.80874, 0.054357, 0.012862, 1.0],
        [0.81476, 0.057256, 0.013025, 1.0],
        [0.82076, 0.060328, 0.013209, 1.0],
        [0.82673, 0.063454, 0.013414, 1.0],
        [0.83267, 0.066671, 0.01364, 1.0],
        [0.83859, 0.070023, 0.013884, 1.0],
        [0.84448, 0.073512, 0.014147, 1.0],
        [0.85034, 0.076937, 0.014432, 1.0],
        [0.85618, 0.080598, 0.014739, 1.0],
        [0.86199, 0.084349, 0.015072, 1.0],
        [0.86776, 0.088098, 0.015429, 1.0],
        [0.87351, 0.09196, 0.015811, 1.0],
        [0.87924, 0.095821, 0.016218, 1.0],
        [0.88494, 0.099784, 0.016653, 1.0],
        [0.89061, 0.10383, 0.017114, 1.0],
        [0.89625, 0.10787, 0.017605, 1.0],
        [0.90186, 0.11205, 0.018127, 1.0],
        [0.90744, 0.11624, 0.018679, 1.0],
        [0.91299, 0.12043, 0.019262, 1.0],
        [0.91846, 0.12485, 0.019871, 1.0],
        [0.92381, 0.12964, 0.020493, 1.0],
        [0.92898, 0.13485, 0.021122, 1.0],
        [0.93399, 0.14044, 0.02176, 1.0],
        [0.93881, 0.14642, 0.022407, 1.0],
        [0.94345, 0.15278, 0.023063, 1.0],
        [0.94791, 0.15946, 0.023731, 1.0],
        [0.95218, 0.16642, 0.024411, 1.0],
        [0.95628, 0.17361, 0.025105, 1.0],
        [0.9602, 0.18101, 0.025814, 1.0],
        [0.96394, 0.18866, 0.026541, 1.0],
        [0.9675, 0.19646, 0.027287, 1.0],
        [0.97086, 0.20443, 0.028053, 1.0],
        [0.97403, 0.21254, 0.028843, 1.0],
        [0.97702, 0.22083, 0.029658, 1.0],
        [0.97982, 0.22918, 0.0305, 1.0],
        [0.98243, 0.23769, 0.031373, 1.0],
        [0.98485, 0.24624, 0.032279, 1.0],
        [0.98708, 0.25493, 0.03322, 1.0],
        [0.98911, 0.26367, 0.034197, 1.0],
        [0.99095, 0.27247, 0.035441, 1.0],
        [0.99259, 0.28137, 0.036475, 1.0],
        [0.99402, 0.29032, 0.0376, 1.0],
        [0.99526, 0.29935, 0.038765, 1.0],
        [0.99629, 0.3084, 0.039989, 1.0],
        [0.99713, 0.31749, 0.041278, 1.0],
        [0.99777, 0.32662, 0.042522, 1.0],
        [0.9982, 0.3358, 0.043828, 1.0],
        [0.99844, 0.34498, 0.045261, 1.0],
        [0.99859, 0.35407, 0.04666, 1.0],
        [0.99869, 0.36301, 0.048013, 1.0],
        [0.99878, 0.37178, 0.049508, 1.0],
        [0.99884, 0.38043, 0.050843, 1.0],
        [0.99888, 0.38894, 0.052219, 1.0],
        [0.99889, 0.39731, 0.05362, 1.0],
        [0.99887, 0.40558, 0.055042, 1.0],
        [0.99884, 0.41373, 0.056502, 1.0],
        [0.99878, 0.42178, 0.057786, 1.0],
        [0.99869, 0.42975, 0.059296, 1.0],
        [0.99857, 0.43763, 0.060625, 1.0],
        [0.99844, 0.4454, 0.061996, 1.0],
        [0.99827, 0.45312, 0.063411, 1.0],
        [0.99808, 0.46074, 0.064752, 1.0],
        [0.99787, 0.46831, 0.066112, 1.0],
        [0.99763, 0.47581, 0.067489, 1.0],
        [0.99736, 0.48323, 0.068891, 1.0],
        [0.99707, 0.49061, 0.070164, 1.0],
        [0.99675, 0.49792, 0.071543, 1.0],
        [0.9964, 0.50517, 0.072849, 1.0],
        [0.99603, 0.51237, 0.074177, 1.0],
        [0.99563, 0.51953, 0.075448, 1.0],
        [0.9952, 0.52664, 0.076731, 1.0],
        [0.99474, 0.53369, 0.078024, 1.0],
        [0.99426, 0.54072, 0.079325, 1.0],
        [0.99375, 0.54769, 0.08063, 1.0],
        [0.99322, 0.55463, 0.081958, 1.0],
        [0.99265, 0.56153, 0.083158, 1.0],
        [0.99204, 0.5684, 0.084524, 1.0],
        [0.99138, 0.57524, 0.085856, 1.0],
        [0.99067, 0.58206, 0.087485, 1.0],
        [0.98991, 0.58886, 0.089115, 1.0],
        [0.98909, 0.59566, 0.090908, 1.0],
        [0.98821, 0.60242, 0.092755, 1.0],
        [0.98728, 0.60918, 0.094848, 1.0],
        [0.98629, 0.6159, 0.096892, 1.0],
        [0.98524, 0.62262, 0.099162, 1.0],
        [0.98414, 0.62932, 0.1015, 1.0],
        [0.98297, 0.63601, 0.10396, 1.0],
        [0.98175, 0.64268, 0.10656, 1.0],
        [0.98046, 0.64934, 0.10919, 1.0],
        [0.97912, 0.65599, 0.11195, 1.0],
        [0.97771, 0.66262, 0.11474, 1.0],
        [0.97623, 0.66924, 0.11771, 1.0],
        [0.9747, 0.67585, 0.12072, 1.0],
        [0.9731, 0.68244, 0.12383, 1.0],
        [0.97144, 0.68904, 0.12703, 1.0],
        [0.9697, 0.69561, 0.13037, 1.0],
        [0.96791, 0.70217, 0.1337, 1.0],
        [0.96603, 0.70874, 0.13715, 1.0],
        [0.96409, 0.71529, 0.14067, 1.0],
        [0.96208, 0.72182, 0.14425, 1.0],
        [0.96, 0.72836, 0.14791, 1.0],
        [0.95785, 0.73488, 0.15162, 1.0],
        [0.95563, 0.74139, 0.15542, 1.0],
        [0.95333, 0.74791, 0.15928, 1.0],
        [0.95104, 0.75439, 0.16306, 1.0],
        [0.94892, 0.76075, 0.16643, 1.0],
        [0.94705, 0.767, 0.16936, 1.0],
        [0.9454, 0.77315, 0.1718, 1.0],
        [0.94394, 0.7792, 0.1739, 1.0],
        [0.94268, 0.78516, 0.17562, 1.0],
        [0.94159, 0.79104, 0.17704, 1.0],
        [0.94067, 0.79684, 0.17816, 1.0],
        [0.93991, 0.80258, 0.17893, 1.0],
        [0.93929, 0.80825, 0.17943, 1.0],
        [0.93881, 0.81387, 0.1797, 1.0],
        [0.93845, 0.81943, 0.17972, 1.0],
        [0.9382, 0.82494, 0.17952, 1.0],
        [0.93807, 0.83042, 0.17911, 1.0],
        [0.93806, 0.83583, 0.17845, 1.0],
        [0.93816, 0.84121, 0.17756, 1.0],
        [0.93835, 0.84655, 0.17643, 1.0],
        [0.93863, 0.85186, 0.17517, 1.0],
        [0.93901, 0.85713, 0.17363, 1.0],
        [0.93948, 0.86238, 0.17189, 1.0],
        [0.94002, 0.86758, 0.16998, 1.0],
        [0.94064, 0.87277, 0.16783, 1.0],
        [0.94135, 0.87792, 0.16542, 1.0],
        [0.94214, 0.88305, 0.16286, 1.0],
        [0.94298, 0.88816, 0.16003, 1.0],
        [0.94391, 0.89324, 0.15697, 1.0],
        [0.9449, 0.8983, 0.15365, 1.0],
        [0.94594, 0.90334, 0.15015, 1.0],
        [0.94707, 0.90836, 0.14627, 1.0],
        [0.94825, 0.91336, 0.14216, 1.0],
        [0.94948, 0.91834, 0.13776, 1.0],
        [0.95079, 0.92331, 0.13295, 1.0],
        [0.95212, 0.92826, 0.12782, 1.0],
        [0.95354, 0.93319, 0.12222, 1.0],
        [0.955, 0.93811, 0.11627, 1.0],
        [0.95649, 0.94302, 0.1098, 1.0],
        [0.95807, 0.94791, 0.10259, 1.0],
        [0.95966, 0.95279, 0.094821, 1.0],
        [0.96132, 0.95766, 0.086007, 1.0],
        [0.96302, 0.96252, 0.076202, 1.0],
        [0.96476, 0.96736, 0.065035, 1.0],
        [0.96656, 0.97219, 0.051675, 1.0],
        [0.96837, 0.97701, 0.035491, 1.0],
    ],
    'cet.linear_kry_5_98_c75': [
        [0.066001, 0.066024, 0.066019, 1.0],
        [0.080538, 0.066611, 0.064712, 1.0],
        [0.093113, 0.067208, 0.063412, 1.0],
        [0.10433, 0.067823, 0.062042, 1.0],
        [0.11447, 0.068466, 0.060693, 1.0],
        [0.12392, 0.069079, 0.059406, 1.0],
        [0.13324, 0.069387, 0.057942, 1.0],
        [0.1425, 0.069367, 0.056714, 1.0],
        [0.1517, 0.069013, 0.055346, 1.0],
        [0.16087, 0.068361, 0.05402, 1.0],
        [0.16995, 0.067575, 0.052699, 1.0],
        [0.17892, 0.066658, 0.051395, 1.0],
        [0.18783, 0.065607, 0.050099, 1.0],
        [0.19664, 0.064412, 0.04882, 1.0],
        [0.20537, 0.063105, 0.047405, 1.0],
        [0.21407, 0.061489, 0.046005, 1.0],
        [0.2227, 0.059924, 0.044746, 1.0],
        [0.23128, 0.057935, 0.043254, 1.0],
        [0.23978, 0.055984, 0.042035, 1.0],
        [0.24826, 0.053694, 0.040618, 1.0],
        [0.25665, 0.051268, 0.039228, 1.0],
        [0.265, 0.048696, 0.03786, 1.0],
        [0.2733, 0.045729, 0.036506, 1.0],
        [0.28153, 0.042641, 0.03519, 1.0],
        [0.28972, 0.039309, 0.033667, 1.0],
        [0.29783, 0.035771, 0.032419, 1.0],
        [0.3059, 0.031918, 0.031169, 1.0],
        [0.31386, 0.028215, 0.029947, 1.0],
        [0.32176, 0.024452, 0.028752, 1.0],
        [0.32961, 0.020653, 0.027583, 1.0],
        [0.33736, 0.016844, 0.026442, 1.0],
        [0.34502, 0.013048, 0.025331, 1.0],
        [0.35258, 0.0091504, 0.024255, 1.0],
        [0.36003, 0.005529, 0.023213, 1.0],
        [0.36736, 0.0020418, 0.022204, 1.0],
        [0.37459, 0, 0.021232, 1.0],
        [0.38167, 0, 0.020297, 1.0],
        [0.38862, 0, 0.019403, 1.0],
        [0.39539, 0, 0.018552, 1.0],
        [0.40197, 0, 0.017747, 1.0],
        [0.40837, 0, 0.016994, 1.0],
        [0.41456, 0, 0.016295, 1.0],
        [0.42062, 0, 0.015634, 1.0],
        [0.42666, 0, 0.014992, 1.0],
        [0.4327, 0, 0.014366, 1.0],
        [0.43874, 0, 0.013752, 1.0],
        [0.44481, 0, 0.013144, 1.0],
        [0.45086, 0, 0.012574, 1.0],
        [0.45693, 0, 0.012021, 1.0],
        [0.463, 0, 0.011365, 1.0],
        [0.4691, 0, 0.010683, 1.0],
        [0.47519, 0, 0.010135, 1.0],
        [0.48128, 0, 0.0096387, 1.0],
        [0.48739, 0, 0.0091289, 1.0],
        [0.49349, 0, 0.0086244, 1.0],
        [0.49961, 0, 0.0081373, 1.0],
        [0.50573, 0, 0.0076619, 1.0],
        [0.51187, 0, 0.0071948, 1.0],
        [0.51802, 0, 0.0067375, 1.0],
        [0.52416, 0, 0.0062922, 1.0],
        [0.53031, 0, 0.0058577, 1.0],
        [0.53647, 0, 0.0054319, 1.0],
        [0.54263, 0, 0.0050145, 1.0],
        [0.54881, 0, 0.0046053, 1.0],
        [0.55498, 0, 0.0042044, 1.0],
        [0.56116, 0, 0.0038134, 1.0],
        [0.56735, 0, 0.0034314, 1.0],
        [0.57355, 0, 0.0030565, 1.0],
        [0.57975, 0, 0.0026882, 1.0],
        [0.58596, 0, 0.0023271, 1.0],
        [0.59219, 0, 0.0019742, 1.0],
        [0.59842, 0, 0.0016322, 1.0],
        [0.60468, 0, 0.001301, 1.0],
        [0.61096, 0, 0.00097818, 1.0],
        [0.61724, 0, 0.00066352, 1.0],
        [0.62356, 0, 0.00035687, 1.0],
        [0.62988, 0, 5.8077e-05, 1.0],
        [0.63622, 0, 0, 1.0],
        [0.64258, 0, 0, 1.0],
        [0.64896, 0, 0, 1.0],
        [0.65535, 0, 0, 1.0],
        [0.66176, 0, 0, 1.0],
        [0.66819, 0, 0, 1.0],
        [0.67463, 0, 0, 1.0],
        [0.68108, 0, 0, 1.0],
        [0.68756, 0, 0, 1.0],
        [0.69405, 0, 0, 1.0],
        [0.70057, 0, 0, 1.0],
        [0.7071, 0, 0, 1.0],
        [0.71364, 0, 0, 1.0],
        [0.7202, 0, 0, 1.0],
        [0.72678, 0, 0, 1.0],
        [0.73337, 0, 0, 1.0],
        [0.73999, 0, 0, 1.0],
        [0.74661, 0, 0, 1.0],
        [0.75325, 0, 0, 1.0],
        [0.75991, 0, 0, 1.0],
        [0.76657, 0, 0, 1.0],
        [0.77322, 0, 0, 1.0],
        [0.77985, 0, 0, 1.0],
        [0.78648, 0, 0, 1.0],
        [0.79309, 0, 0, 1.0],
        [0.79969, 0, 0, 1.0],
        [0.80627, 0, 0, 1.0],
        [0.81283, 0, 0, 1.0],
        [0.81939, 0, 0, 1.0],
        [0.82593, 0, 0, 1.0],
        [0.83246, 0, 0, 1.0],
        [0.83897, 0, 0, 1.0],
        [0.84547, 0, 0, 1.0],
        [0.85195, 0, 0, 1.0],
        [0.85842, 0, 0, 1.0],
        [0.86487, 0, 0, 1.0],
        [0.87132, 0, 0, 1.0],
        [0.87774, 0, 0, 1.0],
        [0.88415, 0, 0, 1.0],
        [0.89054, 0, 0, 1.0],
        [0.89692, 0, 0, 1.0],
        [0.90328, 0, 0, 1.0],
        [0.90963, 0, 0, 1.0],
        [0.91595, 0, 0, 1.0],
        [0.92227, 0.0017832, 0, 1.0],
        [0.92856, 0.0061612, 0, 1.0],
        [0.93484, 0.010887, 0, 1.0],
        [0.94104, 0.016478, 0, 1.0],
        [0.9471, 0.023267, 0, 1.0],
        [0.95296, 0.031841, 0, 1.0],
        [0.95862, 0.042415, 0, 1.0],
        [0.96409, 0.053281, 0, 1.0],
        [0.96937, 0.064278, 0, 1.0],
        [0.97446, 0.075188, 0, 1.0],
        [0.97936, 0.086066, 0, 1.0],
        [0.98405, 0.096997, 0, 1.0],
        [0.98853, 0.10794, 0, 1.0],
        [0.99282, 0.11888, 0, 1.0],
        [0.9969, 0.12973, 0, 1.0],
        [1, 0.14054, 0, 1.0],
        [1, 0.1513, 0, 1.0],
        [1, 0.1621, 0, 1.0],
        [1, 0.17286, 0, 1.0],
        [1, 0.18361, 0, 1.0],
        [1, 0.19437, 0, 1.0],
        [1, 0.20505, 0, 1.0],
        [1, 0.21574, 0, 1.0],
        [1, 0.22642, 0, 1.0],
        [1, 0.23711, 0, 1.0],
        [1, 0.24776, 0, 1.0],
        [1, 0.25838, 0, 1.0],
        [1, 0.26903, 0, 1.0],
        [1, 0.27963, 0, 1.0],
        [1, 0.2902, 0, 1.0],
        [1, 0.30076, 0, 1.0],
        [1, 0.31115, 0, 1.0],
        [1, 0.32126, 0, 1.0],
        [1, 0.33113, 0, 1.0],
        [1, 0.34081, 0, 1.0],
        [1, 0.35027, 0, 1.0],
        [1, 0.35954, 0, 1.0],
        [1, 0.36866, 0.00010807, 1.0],
        [1, 0.3776, 0.0016338, 1.0],
        [1, 0.3864, 0.0031726, 1.0],
        [1, 0.39508, 0.0047225, 1.0],
        [1, 0.40364, 0.0062803, 1.0],
        [1, 0.41207, 0.0078416, 1.0],
        [1, 0.42039, 0.0094129, 1.0],
        [1, 0.42862, 0.011021, 1.0],
        [1, 0.43675, 0.012734, 1.0],
        [1, 0.44479, 0.014303, 1.0],
        [1, 0.45274, 0.015864, 1.0],
        [1, 0.4606, 0.017417, 1.0],
        [1, 0.4684, 0.018959, 1.0],
        [1, 0.47614, 0.020491, 1.0],
        [1, 0.48379, 0.022011, 1.0],
        [1, 0.4914, 0.023517, 1.0],
        [1, 0.49892, 0.025006, 1.0],
        [1, 0.5064, 0.026472, 1.0],
        [1, 0.51383, 0.027913, 1.0],
        [1, 0.52119, 0.02933, 1.0],
        [1, 0.52852, 0.030724, 1.0],
        [1, 0.53577, 0.032109, 1.0],
        [1, 0.54298, 0.033495, 1.0],
        [1, 0.55012, 0.035116, 1.0],
        [1, 0.55721, 0.036562, 1.0],
        [1, 0.56423, 0.038032, 1.0],
        [1, 0.57119, 0.039515, 1.0],
        [1, 0.57811, 0.041015, 1.0],
        [1, 0.58499, 0.042457, 1.0],
        [1, 0.59181, 0.043871, 1.0],
        [1, 0.59857, 0.045349, 1.0],
        [1, 0.6053, 0.046804, 1.0],
        [1, 0.61199, 0.048174, 1.0],
        [1, 0.61864, 0.049638, 1.0],
        [1, 0.62524, 0.050967, 1.0],
        [1, 0.6318, 0.052314, 1.0],
        [1, 0.63833, 0.053669, 1.0],
        [1, 0.64482, 0.05503, 1.0],
        [1, 0.65128, 0.056416, 1.0],
        [1, 0.6577, 0.057622, 1.0],
        [1, 0.66409, 0.05901, 1.0],
        [1, 0.67045, 0.060291, 1.0],
        [1, 0.67678, 0.061456, 1.0],
        [1, 0.68308, 0.062815, 1.0],
        [1, 0.68935, 0.063988, 1.0],
        [1, 0.69558, 0.065188, 1.0],
        [1, 0.70178, 0.06638, 1.0],
        [1, 0.70798, 0.067574, 1.0],
        [1, 0.71415, 0.068771, 1.0],
        [1, 0.72028, 0.069853, 1.0],
        [1, 0.72637, 0.07091, 1.0],
        [1, 0.73244, 0.071928, 1.0],
        [1, 0.73847, 0.072954, 1.0],
        [1, 0.74448, 0.073945, 1.0],
        [1, 0.75047, 0.074848, 1.0],
        [1, 0.75643, 0.075762, 1.0],
        [1, 0.76237, 0.076661, 1.0],
        [1, 0.7683, 0.077556, 1.0],
        [1, 0.77421, 0.078448, 1.0],
        [1, 0.78011, 0.079336, 1.0],
        [1, 0.786, 0.080219, 1.0],
        [1, 0.79186, 0.081101, 1.0],
        [1, 0.79771, 0.081992, 1.0],
        [1, 0.80356, 0.082776, 1.0],
        [1, 0.80939, 0.083622, 1.0],
        [1, 0.81521, 0.084477, 1.0],
        [1, 0.82102, 0.085237, 1.0],
        [1, 0.82682, 0.086035, 1.0],
        [1, 0.83261, 0.086929, 1.0],
        [1, 0.83839, 0.087733, 1.0],
        [1, 0.84416, 0.088519, 1.0],
        [1, 0.84993, 0.089324, 1.0],
        [1, 0.85569, 0.090123, 1.0],
        [1, 0.86143, 0.090933, 1.0],
        [1, 0.86717, 0.091749, 1.0],
        [1, 0.87291, 0.092489, 1.0],
        [1, 0.87864, 0.093256, 1.0],
        [1, 0.88437, 0.094098, 1.0],
        [1, 0.89009, 0.094916, 1.0],
        [1, 0.8958, 0.095666, 1.0],
        [1, 0.90151, 0.096403, 1.0],
        [1, 0.90721, 0.097221, 1.0],
        [1, 0.91291, 0.098051, 1.0],
        [1, 0.9186, 0.098807, 1.0],
        [1, 0.92429, 0.099584, 1.0],
        [1, 0.92997, 0.10036, 1.0],
        [1, 0.93565, 0.10115, 1.0],
        [1, 0.94133, 0.10194, 1.0],
        [1, 0.947, 0.10274, 1.0],
        [1, 0.95267, 0.10354, 1.0],
        [1, 0.95834, 0.10428, 1.0],
        [1, 0.964, 0.10506, 1.0],
        [1, 0.96966, 0.10589, 1.0],
        [1, 0.97532, 0.1067, 1.0],
        [1, 0.98098, 0.10746, 1.0],
        [1, 0.98663, 0.10821, 1.0],
        [1, 0.99228, 0.10903, 1.0],
        [1, 0.99792, 0.10986, 1.0],
    ],
    'cet.linear_kryw_0_100_c71': [
        [0, 0, 0, 1.0],
        [0.027065, 2.143e-05, 0, 1.0],
        [0.052054, 7.4728e-05, 0, 1.0],
        [0.071511, 0.00013914, 0, 1.0],
        [0.08742, 0.0002088, 0, 1.0],
        [0.10109, 0.00028141, 0, 1.0],
        [0.11337, 0.000356, 2.4266e-17, 1.0],
        [0.12439, 0.00043134, 3.3615e-17, 1.0],
        [0.13463, 0.00050796, 2.1604e-17, 1.0],
        [0.14411, 0.0005856, 0, 1.0],
        [0.15292, 0.00070304, 0, 1.0],
        [0.16073, 0.0013432, 0, 1.0],
        [0.16871, 0.0014516, 0, 1.0],
        [0.17657, 0.0012408, 0, 1.0],
        [0.18364, 0.0015336, 0, 1.0],
        [0.19052, 0.0017515, 0, 1.0],
        [0.19751, 0.0015146, 0, 1.0],
        [0.20401, 0.0015249, 0, 1.0],
        [0.20994, 0.0019639, 0, 1.0],
        [0.21605, 0.002031, 0, 1.0],
        [0.22215, 0.0017559, 0, 1.0],
        [0.22808, 0.001546, 1.8755e-05, 1.0],
        [0.23378, 0.0016315, 3.5012e-05, 1.0],
        [0.23955, 0.0017194, 3.3352e-05, 1.0],
        [0.24531, 0.0018097, 1.8559e-05, 1.0],
        [0.25113, 0.0019038, 1.9139e-05, 1.0],
        [0.25694, 0.0020015, 3.5308e-05, 1.0],
        [0.26278, 0.0021017, 3.2613e-05, 1.0],
        [0.26864, 0.0022048, 2.0338e-05, 1.0],
        [0.27451, 0.0023119, 2.2453e-05, 1.0],
        [0.28041, 0.0024227, 3.6003e-05, 1.0],
        [0.28633, 0.0025363, 2.9817e-05, 1.0],
        [0.29229, 0.0026532, 1.9559e-05, 1.0],
        [0.29824, 0.0027747, 2.7666e-05, 1.0],
        [0.30423, 0.0028999, 3.5752e-05, 1.0],
        [0.31026, 0.0030279, 2.3231e-05, 1.0],
        [0.31628, 0.0031599, 1.2902e-05, 1.0],
        [0.32232, 0.0032974, 3.2915e-05, 1.0],
        [0.32838, 0.0034379, 3.2803e-05, 1.0],
        [0.33447, 0.0035819, 2.0757e-05, 1.0],
        [0.34057, 0.003731, 2.3831e-05, 1.0],
        [0.34668, 0.0038848, 3.502e-05, 1.0],
        [0.35283, 0.0040418, 2.4468e-05, 1.0],
        [0.35897, 0.0042032, 1.1444e-05, 1.0],
        [0.36515, 0.0043708, 3.2793e-05, 1.0],
        [0.37134, 0.0045418, 3.012e-05, 1.0],
        [0.37756, 0.0047169, 1.4846e-05, 1.0],
        [0.38379, 0.0048986, 2.796e-05, 1.0],
        [0.39003, 0.0050848, 3.2782e-05, 1.0],
        [0.3963, 0.0052751, 1.9244e-05, 1.0],
        [0.40258, 0.0054715, 2.2667e-05, 1.0],
        [0.40888, 0.0056736, 3.3223e-05, 1.0],
        [0.41519, 0.0058798, 2.159e-05, 1.0],
        [0.42152, 0.0060922, 1.8214e-05, 1.0],
        [0.42788, 0.0063116, 3.2525e-05, 1.0],
        [0.43424, 0.0065353, 2.2247e-05, 1.0],
        [0.44062, 0.006765, 1.5852e-05, 1.0],
        [0.44702, 0.0070024, 3.1769e-05, 1.0],
        [0.45344, 0.0072442, 2.1245e-05, 1.0],
        [0.45987, 0.0074929, 1.5726e-05, 1.0],
        [0.46631, 0.0077499, 3.0976e-05, 1.0],
        [0.47277, 0.0080108, 1.8722e-05, 1.0],
        [0.47926, 0.0082789, 1.9285e-05, 1.0],
        [0.48574, 0.0085553, 3.0063e-05, 1.0],
        [0.49225, 0.0088392, 1.4313e-05, 1.0],
        [0.49878, 0.0091356, 2.3404e-05, 1.0],
        [0.50531, 0.0094374, 2.8099e-05, 1.0],
        [0.51187, 0.0097365, 6.4695e-06, 1.0],
        [0.51844, 0.010039, 2.5791e-05, 1.0],
        [0.52501, 0.010354, 2.4393e-05, 1.0],
        [0.53162, 0.010689, 1.6037e-05, 1.0],
        [0.53825, 0.011031, 2.7295e-05, 1.0],
        [0.54489, 0.011393, 1.5848e-05, 1.0],
        [0.55154, 0.011789, 2.3111e-05, 1.0],
        [0.55818, 0.012159, 2.5416e-05, 1.0],
        [0.56485, 0.012508, 1.5064e-05, 1.0],
        [0.57154, 0.012881, 2.541e-05, 1.0],
        [0.57823, 0.013283, 1.6166e-05, 1.0],
        [0.58494, 0.013701, 2.263e-05, 1.0],
        [0.59166, 0.014122, 2.3316e-05, 1.0],
        [0.59839, 0.014551, 1.9432e-05, 1.0],
        [0.60514, 0.014994, 2.4323e-05, 1.0],
        [0.6119, 0.01545, 1.3929e-05, 1.0],
        [0.61868, 0.01592, 2.1615e-05, 1.0],
        [0.62546, 0.016401, 1.5846e-05, 1.0],
        [0.63226, 0.016897, 2.0838e-05, 1.0],
        [0.63907, 0.017407, 1.9549e-05, 1.0],
        [0.64589, 0.017931, 2.0961e-05, 1.0],
        [0.65273, 0.018471, 2.0737e-05, 1.0],
        [0.65958, 0.019026, 2.0621e-05, 1.0],
        [0.66644, 0.019598, 2.0675e-05, 1.0],
        [0.67332, 0.020187, 2.0301e-05, 1.0],
        [0.68019, 0.020793, 2.0029e-05, 1.0],
        [0.68709, 0.021418, 2.0088e-05, 1.0],
        [0.69399, 0.022062, 1.9102e-05, 1.0],
        [0.70092, 0.022727, 1.9662e-05, 1.0],
        [0.70784, 0.023412, 1.7757e-05, 1.0],
        [0.71478, 0.024121, 1.8236e-05, 1.0],
        [0.72173, 0.024852, 1.4944e-05, 1.0],
        [0.7287, 0.025608, 2.0245e-06, 1.0],
        [0.73567, 0.02639, 1.5013e-07, 1.0],
        [0.74266, 0.027199, 0, 1.0],
        [0.74964, 0.028038, 0, 1.0],
        [0.75665, 0.028906, 0, 1.0],
        [0.76365, 0.029806, 0, 1.0],
        [0.77068, 0.030743, 0, 1.0],
        [0.77771, 0.031711, 0, 1.0],
        [0.78474, 0.032732, 0, 1.0],
        [0.79179, 0.033741, 0, 1.0],
        [0.79886, 0.034936, 0, 1.0],
        [0.80593, 0.036031, 0, 1.0],
        [0.81299, 0.03723, 0, 1.0],
        [0.82007, 0.038493, 0, 1.0],
        [0.82715, 0.039819, 0, 1.0],
        [0.83423, 0.041236, 0, 1.0],
        [0.84131, 0.042647, 0, 1.0],
        [0.84838, 0.044235, 0, 1.0],
        [0.85545, 0.045857, 0, 1.0],
        [0.86252, 0.047645, 0, 1.0],
        [0.86958, 0.049578, 0, 1.0],
        [0.87661, 0.051541, 0, 1.0],
        [0.88365, 0.053735, 0, 1.0],
        [0.89064, 0.056168, 0, 1.0],
        [0.89761, 0.058852, 0, 1.0],
        [0.90451, 0.061777, 0, 1.0],
        [0.91131, 0.065281, 0, 1.0],
        [0.91796, 0.069448, 0, 1.0],
        [0.92445, 0.074684, 0, 1.0],
        [0.93061, 0.08131, 0, 1.0],
        [0.93648, 0.088878, 0, 1.0],
        [0.94205, 0.097336, 0, 1.0],
        [0.9473, 0.10665, 0, 1.0],
        [0.9522, 0.1166, 0, 1.0],
        [0.95674, 0.12716, 0, 1.0],
        [0.96094, 0.13824, 0, 1.0],
        [0.96479, 0.14963, 0, 1.0],
        [0.96829, 0.16128, 0, 1.0],
        [0.97147, 0.17303, 0, 1.0],
        [0.97436, 0.18489, 0, 1.0],
        [0.97698, 0.19672, 0, 1.0],
        [0.97934, 0.20846, 0, 1.0],
        [0.98148, 0.22013, 0, 1.0],
        [0.9834, 0.23167, 0, 1.0],
        [0.98515, 0.24301, 0, 1.0],
        [0.98672, 0.25425, 0, 1.0],
        [0.98815, 0.26525, 0, 1.0],
        [0.98944, 0.27614, 0, 1.0],
        [0.99061, 0.28679, 0, 1.0],
        [0.99167, 0.29731, 0, 1.0],
        [0.99263, 0.30764, 0, 1.0],
        [0.9935, 0.31781, 0, 1.0],
        [0.99428, 0.3278, 0, 1.0],
        [0.995, 0.33764, 0, 1.0],
        [0.99564, 0.34735, 0, 1.0],
        [0.99623, 0.35689, 0, 1.0],
        [0.99675, 0.3663, 0, 1.0],
        [0.99722, 0.37556, 0, 1.0],
        [0.99765, 0.38471, 0, 1.0],
        [0.99803, 0.39374, 0, 1.0],
        [0.99836, 0.40265, 0, 1.0],
        [0.99866, 0.41145, 0, 1.0],
        [0.99892, 0.42015, 0, 1.0],
        [0.99915, 0.42874, 0, 1.0],
        [0.99935, 0.43724, 0, 1.0],
        [0.99952, 0.44563, 0, 1.0],
        [0.99966, 0.45395, 0, 1.0],
        [0.99977, 0.46217, 0, 1.0],
        [0.99986, 0.47032, 0, 1.0],
        [0.99993, 0.47838, 0, 1.0],
        [0.99997, 0.48638, 0, 1.0],
        [1, 0.4943, 0, 1.0],
        [1, 0.50214, 0, 1.0],
        [1, 0.50991, 1.2756e-05, 1.0],
        [1, 0.51761, 4.5388e-05, 1.0],
        [1, 0.52523, 9.6977e-05, 1.0],
        [1, 0.5328, 0.00016858, 1.0],
        [1, 0.54028, 0.0002582, 1.0],
        [1, 0.54771, 0.00036528, 1.0],
        [1, 0.55508, 0.00049276, 1.0],
        [1, 0.5624, 0.00063955, 1.0],
        [1, 0.56965, 0.00080443, 1.0],
        [1, 0.57687, 0.00098902, 1.0],
        [1, 0.58402, 0.0011943, 1.0],
        [1, 0.59113, 0.0014189, 1.0],
        [1, 0.59819, 0.0016626, 1.0],
        [1, 0.60521, 0.0019281, 1.0],
        [1, 0.61219, 0.0022145, 1.0],
        [1, 0.61914, 0.0025213, 1.0],
        [1, 0.62603, 0.0028496, 1.0],
        [1, 0.6329, 0.0032006, 1.0],
        [1, 0.63972, 0.0035741, 1.0],
        [1, 0.64651, 0.0039701, 1.0],
        [1, 0.65327, 0.0043898, 1.0],
        [1, 0.66, 0.0048341, 1.0],
        [1, 0.66669, 0.005303, 1.0],
        [1, 0.67336, 0.0057969, 1.0],
        [1, 0.67999, 0.006317, 1.0],
        [1, 0.68661, 0.0068648, 1.0],
        [1, 0.69319, 0.0074406, 1.0],
        [1, 0.69974, 0.0080433, 1.0],
        [1, 0.70628, 0.0086756, 1.0],
        [1, 0.71278, 0.0093486, 1.0],
        [1, 0.71927, 0.010023, 1.0],
        [1, 0.72573, 0.010724, 1.0],
        [1, 0.73217, 0.011565, 1.0],
        [1, 0.73859, 0.012339, 1.0],
        [1, 0.74499, 0.01316, 1.0],
        [1, 0.75137, 0.014042, 1.0],
        [1, 0.75772, 0.014955, 1.0],
        [1, 0.76406, 0.015913, 1.0],
        [1, 0.77039, 0.016915, 1.0],
        [1, 0.77669, 0.017964, 1.0],
        [1, 0.78298, 0.019062, 1.0],
        [1, 0.78925, 0.020212, 1.0],
        [1, 0.7955, 0.021417, 1.0],
        [1, 0.80174, 0.02268, 1.0],
        [1, 0.80797, 0.024005, 1.0],
        [1, 0.81418, 0.025396, 1.0],
        [1, 0.82038, 0.026858, 1.0],
        [1, 0.82656, 0.028394, 1.0],
        [1, 0.83273, 0.030013, 1.0],
        [1, 0.83889, 0.031717, 1.0],
        [1, 0.84503, 0.03348, 1.0],
        [1, 0.85116, 0.035488, 1.0],
        [1, 0.85728, 0.037452, 1.0],
        [1, 0.8634, 0.039592, 1.0],
        [1, 0.86949, 0.041898, 1.0],
        [1, 0.87557, 0.044392, 1.0],
        [1, 0.88165, 0.046958, 1.0],
        [1, 0.88771, 0.04977, 1.0],
        [1, 0.89376, 0.052828, 1.0],
        [1, 0.8998, 0.056209, 1.0],
        [1, 0.90584, 0.059919, 1.0],
        [1, 0.91185, 0.063925, 1.0],
        [1, 0.91783, 0.068579, 1.0],
        [1, 0.92384, 0.073948, 1.0],
        [1, 0.92981, 0.080899, 1.0],
        [1, 0.93576, 0.090648, 1.0],
        [1, 0.94166, 0.10377, 1.0],
        [1, 0.94752, 0.12051, 1.0],
        [1, 0.9533, 0.14149, 1.0],
        [1, 0.959, 0.1672, 1.0],
        [1, 0.96456, 0.19823, 1.0],
        [1, 0.96995, 0.23514, 1.0],
        [1, 0.9751, 0.2786, 1.0],
        [1, 0.97992, 0.32883, 1.0],
        [1, 0.98432, 0.38571, 1.0],
        [1, 0.9882, 0.44866, 1.0],
        [1, 0.9915, 0.51653, 1.0],
        [1, 0.99417, 0.58754, 1.0],
        [1, 0.99625, 0.65985, 1.0],
        [1, 0.99778, 0.73194, 1.0],
        [1, 0.99885, 0.80259, 1.0],
        [1, 0.99953, 0.87115, 1.0],
        [1, 0.99989, 0.93683, 1.0],
        [1, 1, 1, 1.0],
    ],
    'cet.linear_kryw_5_100_c64': [
        [0.066001, 0.066024, 0.066019, 1.0],
        [0.080369, 0.066784, 0.064674, 1.0],
        [0.092822, 0.067552, 0.063341, 1.0],
        [0.10397, 0.06834, 0.06191, 1.0],
        [0.11402, 0.069166, 0.060555, 1.0],
        [0.12335, 0.069862, 0.059198, 1.0],
        [0.13261, 0.070292, 0.057702, 1.0],
        [0.14179, 0.070442, 0.056438, 1.0],
        [0.15095, 0.070268, 0.055015, 1.0],
        [0.16001, 0.069905, 0.053644, 1.0],
        [0.16905, 0.069432, 0.052281, 1.0],
        [0.17797, 0.068765, 0.050929, 1.0],
        [0.18676, 0.067963, 0.049608, 1.0],
        [0.19551, 0.06705, 0.048145, 1.0],
        [0.20423, 0.066, 0.046785, 1.0],
        [0.21283, 0.064845, 0.045348, 1.0],
        [0.22141, 0.063566, 0.043893, 1.0],
        [0.22991, 0.062103, 0.042492, 1.0],
        [0.23838, 0.060521, 0.04109, 1.0],
        [0.24679, 0.058793, 0.039622, 1.0],
        [0.25516, 0.056921, 0.038174, 1.0],
        [0.26346, 0.054829, 0.03674, 1.0],
        [0.27169, 0.052601, 0.035359, 1.0],
        [0.27989, 0.050287, 0.033739, 1.0],
        [0.288, 0.047729, 0.032416, 1.0],
        [0.29607, 0.045108, 0.031085, 1.0],
        [0.30408, 0.042249, 0.02978, 1.0],
        [0.31201, 0.03918, 0.028501, 1.0],
        [0.3199, 0.03606, 0.027253, 1.0],
        [0.32767, 0.032742, 0.026037, 1.0],
        [0.33538, 0.029627, 0.024852, 1.0],
        [0.34298, 0.026563, 0.023698, 1.0],
        [0.3505, 0.023574, 0.022579, 1.0],
        [0.3579, 0.0207, 0.021495, 1.0],
        [0.36518, 0.01798, 0.020449, 1.0],
        [0.37234, 0.015464, 0.019443, 1.0],
        [0.37938, 0.013196, 0.018481, 1.0],
        [0.38624, 0.011135, 0.017565, 1.0],
        [0.39295, 0.0095033, 0.016699, 1.0],
        [0.39946, 0.0083814, 0.015886, 1.0],
        [0.4058, 0.0078194, 0.015132, 1.0],
        [0.41198, 0.0076635, 0.014439, 1.0],
        [0.41811, 0.0076226, 0.013789, 1.0],
        [0.42426, 0.0075941, 0.013171, 1.0],
        [0.43042, 0.0075784, 0.012613, 1.0],
        [0.43658, 0.0075771, 0.012105, 1.0],
        [0.44275, 0.0075916, 0.01156, 1.0],
        [0.44893, 0.0076225, 0.01099, 1.0],
        [0.45511, 0.0076698, 0.010514, 1.0],
        [0.46129, 0.0077346, 0.010144, 1.0],
        [0.46749, 0.0078179, 0.0098304, 1.0],
        [0.47368, 0.0079218, 0.0095481, 1.0],
        [0.4799, 0.0080473, 0.0092968, 1.0],
        [0.4861, 0.0081943, 0.0090788, 1.0],
        [0.49232, 0.0083639, 0.0088967, 1.0],
        [0.49856, 0.0085577, 0.0087515, 1.0],
        [0.50479, 0.008779, 0.0086465, 1.0],
        [0.51102, 0.0090297, 0.0085815, 1.0],
        [0.51728, 0.0093076, 0.0085522, 1.0],
        [0.52353, 0.0096083, 0.0085576, 1.0],
        [0.52979, 0.0099253, 0.0085974, 1.0],
        [0.53605, 0.010269, 0.0086738, 1.0],
        [0.54232, 0.010684, 0.0087889, 1.0],
        [0.5486, 0.011214, 0.0089401, 1.0],
        [0.55488, 0.01179, 0.0091252, 1.0],
        [0.56117, 0.012305, 0.0093423, 1.0],
        [0.56747, 0.012813, 0.0095893, 1.0],
        [0.57376, 0.013386, 0.0098594, 1.0],
        [0.58008, 0.013995, 0.010134, 1.0],
        [0.5864, 0.014611, 0.010408, 1.0],
        [0.59274, 0.015241, 0.010687, 1.0],
        [0.59909, 0.015887, 0.010978, 1.0],
        [0.60544, 0.016546, 0.011263, 1.0],
        [0.61182, 0.017218, 0.011525, 1.0],
        [0.61821, 0.017905, 0.011749, 1.0],
        [0.62462, 0.018606, 0.011933, 1.0],
        [0.63103, 0.019321, 0.012084, 1.0],
        [0.63746, 0.020051, 0.012209, 1.0],
        [0.64389, 0.020795, 0.01231, 1.0],
        [0.65035, 0.021554, 0.012391, 1.0],
        [0.65681, 0.022328, 0.01245, 1.0],
        [0.66329, 0.023117, 0.01249, 1.0],
        [0.66978, 0.023921, 0.012509, 1.0],
        [0.67628, 0.024741, 0.012509, 1.0],
        [0.68279, 0.025575, 0.012488, 1.0],
        [0.68932, 0.026426, 0.012446, 1.0],
        [0.69585, 0.027292, 0.012384, 1.0],
        [0.7024, 0.028175, 0.012321, 1.0],
        [0.70896, 0.029075, 0.012266, 1.0],
        [0.71553, 0.029992, 0.01222, 1.0],
        [0.7221, 0.030928, 0.012183, 1.0],
        [0.7287, 0.031878, 0.012154, 1.0],
        [0.7353, 0.032858, 0.012135, 1.0],
        [0.74191, 0.033811, 0.012128, 1.0],
        [0.74853, 0.035044, 0.012132, 1.0],
        [0.75514, 0.036234, 0.01215, 1.0],
        [0.76173, 0.037634, 0.012181, 1.0],
        [0.76828, 0.039279, 0.012225, 1.0],
        [0.77482, 0.041197, 0.012285, 1.0],
        [0.78133, 0.043182, 0.01236, 1.0],
        [0.7878, 0.045551, 0.01245, 1.0],
        [0.79425, 0.048054, 0.012555, 1.0],
        [0.80067, 0.050754, 0.012678, 1.0],
        [0.80707, 0.053571, 0.012821, 1.0],
        [0.81342, 0.056666, 0.012987, 1.0],
        [0.81976, 0.059852, 0.013177, 1.0],
        [0.82606, 0.063125, 0.01339, 1.0],
        [0.83234, 0.066486, 0.013626, 1.0],
        [0.83859, 0.070019, 0.013884, 1.0],
        [0.84481, 0.073701, 0.014163, 1.0],
        [0.85098, 0.077343, 0.014466, 1.0],
        [0.85714, 0.081244, 0.014794, 1.0],
        [0.86327, 0.085127, 0.015149, 1.0],
        [0.86936, 0.089149, 0.015532, 1.0],
        [0.87543, 0.093173, 0.015943, 1.0],
        [0.88146, 0.097361, 0.016384, 1.0],
        [0.88746, 0.10157, 0.016855, 1.0],
        [0.89343, 0.10587, 0.017358, 1.0],
        [0.89937, 0.11022, 0.017892, 1.0],
        [0.90527, 0.11454, 0.01846, 1.0],
        [0.91114, 0.11904, 0.019064, 1.0],
        [0.91695, 0.12359, 0.019699, 1.0],
        [0.92264, 0.12853, 0.020354, 1.0],
        [0.92813, 0.13395, 0.021017, 1.0],
        [0.93344, 0.13977, 0.021689, 1.0],
        [0.93854, 0.14611, 0.02237, 1.0],
        [0.94344, 0.1528, 0.023063, 1.0],
        [0.94814, 0.15984, 0.023768, 1.0],
        [0.95265, 0.16722, 0.024487, 1.0],
        [0.95695, 0.17483, 0.025222, 1.0],
        [0.96106, 0.18267, 0.025974, 1.0],
        [0.96494, 0.19079, 0.026746, 1.0],
        [0.96862, 0.19909, 0.02754, 1.0],
        [0.97211, 0.20758, 0.028357, 1.0],
        [0.97538, 0.21622, 0.029202, 1.0],
        [0.97845, 0.22495, 0.030075, 1.0],
        [0.98129, 0.23387, 0.030982, 1.0],
        [0.98393, 0.24289, 0.03192, 1.0],
        [0.98635, 0.25203, 0.032909, 1.0],
        [0.98856, 0.26123, 0.033896, 1.0],
        [0.99056, 0.27053, 0.035185, 1.0],
        [0.99233, 0.27989, 0.036297, 1.0],
        [0.99387, 0.28935, 0.037474, 1.0],
        [0.99519, 0.29884, 0.038698, 1.0],
        [0.9963, 0.30839, 0.039989, 1.0],
        [0.99718, 0.31799, 0.041353, 1.0],
        [0.99783, 0.32763, 0.042645, 1.0],
        [0.99825, 0.33734, 0.044084, 1.0],
        [0.99848, 0.34702, 0.045528, 1.0],
        [0.99862, 0.35658, 0.047065, 1.0],
        [0.99872, 0.36596, 0.048549, 1.0],
        [0.99881, 0.37516, 0.05001, 1.0],
        [0.99886, 0.38422, 0.051453, 1.0],
        [0.99888, 0.39313, 0.052916, 1.0],
        [0.99888, 0.40191, 0.054408, 1.0],
        [0.99885, 0.41058, 0.05593, 1.0],
        [0.9988, 0.41912, 0.057352, 1.0],
        [0.99871, 0.42755, 0.058876, 1.0],
        [0.9986, 0.43588, 0.060349, 1.0],
        [0.99846, 0.44412, 0.061737, 1.0],
        [0.99829, 0.45227, 0.063269, 1.0],
        [0.99809, 0.46032, 0.064678, 1.0],
        [0.99787, 0.46831, 0.066112, 1.0],
        [0.99761, 0.47622, 0.067563, 1.0],
        [0.99733, 0.48405, 0.069046, 1.0],
        [0.99701, 0.49183, 0.070378, 1.0],
        [0.99667, 0.49952, 0.071816, 1.0],
        [0.9963, 0.50718, 0.073256, 1.0],
        [0.9959, 0.51477, 0.074592, 1.0],
        [0.99546, 0.52229, 0.075945, 1.0],
        [0.995, 0.52978, 0.077303, 1.0],
        [0.99451, 0.53722, 0.078672, 1.0],
        [0.99398, 0.5446, 0.080052, 1.0],
        [0.99343, 0.55194, 0.081445, 1.0],
        [0.99284, 0.55923, 0.08275, 1.0],
        [0.99221, 0.5665, 0.084159, 1.0],
        [0.99153, 0.57372, 0.085535, 1.0],
        [0.99079, 0.58093, 0.087222, 1.0],
        [0.98999, 0.58811, 0.088926, 1.0],
        [0.98913, 0.59528, 0.090807, 1.0],
        [0.9882, 0.60242, 0.092757, 1.0],
        [0.98722, 0.60955, 0.09496, 1.0],
        [0.98617, 0.61665, 0.097148, 1.0],
        [0.98506, 0.62374, 0.099536, 1.0],
        [0.98388, 0.63081, 0.10204, 1.0],
        [0.98264, 0.63786, 0.10462, 1.0],
        [0.98133, 0.6449, 0.1074, 1.0],
        [0.97995, 0.65193, 0.11026, 1.0],
        [0.9785, 0.65893, 0.11321, 1.0],
        [0.97698, 0.66593, 0.11625, 1.0],
        [0.97539, 0.67291, 0.11938, 1.0],
        [0.97373, 0.67987, 0.1226, 1.0],
        [0.972, 0.68684, 0.126, 1.0],
        [0.97019, 0.69378, 0.12941, 1.0],
        [0.96831, 0.70072, 0.13295, 1.0],
        [0.96635, 0.70764, 0.13654, 1.0],
        [0.96431, 0.71455, 0.14025, 1.0],
        [0.9622, 0.72146, 0.14405, 1.0],
        [0.96001, 0.72836, 0.1479, 1.0],
        [0.95774, 0.73524, 0.15182, 1.0],
        [0.95538, 0.7421, 0.15586, 1.0],
        [0.95297, 0.74897, 0.16005, 1.0],
        [0.95072, 0.75572, 0.16525, 1.0],
        [0.94897, 0.76218, 0.17245, 1.0],
        [0.94775, 0.76837, 0.1816, 1.0],
        [0.94697, 0.77433, 0.19225, 1.0],
        [0.94657, 0.7801, 0.204, 1.0],
        [0.94649, 0.78571, 0.21653, 1.0],
        [0.94667, 0.79118, 0.22961, 1.0],
        [0.94708, 0.79653, 0.24318, 1.0],
        [0.94773, 0.80176, 0.2572, 1.0],
        [0.94857, 0.80689, 0.2715, 1.0],
        [0.94954, 0.81193, 0.28598, 1.0],
        [0.95065, 0.81691, 0.30062, 1.0],
        [0.95189, 0.82181, 0.31549, 1.0],
        [0.95324, 0.82665, 0.33046, 1.0],
        [0.95466, 0.83144, 0.3455, 1.0],
        [0.95617, 0.83616, 0.3607, 1.0],
        [0.95775, 0.84084, 0.37601, 1.0],
        [0.95937, 0.84548, 0.39137, 1.0],
        [0.96106, 0.85008, 0.40685, 1.0],
        [0.96275, 0.85465, 0.42235, 1.0],
        [0.9645, 0.85917, 0.43802, 1.0],
        [0.96626, 0.86367, 0.45372, 1.0],
        [0.96804, 0.86814, 0.46954, 1.0],
        [0.96981, 0.87258, 0.4854, 1.0],
        [0.97158, 0.87699, 0.50136, 1.0],
        [0.97335, 0.88139, 0.5174, 1.0],
        [0.9751, 0.88577, 0.53349, 1.0],
        [0.97684, 0.89012, 0.54971, 1.0],
        [0.97854, 0.89447, 0.56596, 1.0],
        [0.98023, 0.89878, 0.58234, 1.0],
        [0.98186, 0.90309, 0.59876, 1.0],
        [0.98347, 0.90738, 0.61531, 1.0],
        [0.98503, 0.91166, 0.6319, 1.0],
        [0.98655, 0.91593, 0.64861, 1.0],
        [0.98799, 0.92019, 0.66537, 1.0],
        [0.9894, 0.92443, 0.68224, 1.0],
        [0.99073, 0.92867, 0.69917, 1.0],
        [0.99199, 0.9329, 0.71621, 1.0],
        [0.99319, 0.93713, 0.73332, 1.0],
        [0.9943, 0.94135, 0.7505, 1.0],
        [0.99535, 0.94556, 0.76779, 1.0],
        [0.99629, 0.94977, 0.78512, 1.0],
        [0.99718, 0.95397, 0.8026, 1.0],
        [0.99795, 0.95817, 0.8201, 1.0],
        [0.99865, 0.96236, 0.83775, 1.0],
        [0.99923, 0.96655, 0.85544, 1.0],
        [0.99971, 0.97075, 0.87321, 1.0],
        [1, 0.97493, 0.8911, 1.0],
        [1, 0.97913, 0.90901, 1.0],
        [1, 0.98331, 0.92711, 1.0],
        [1, 0.9875, 0.94522, 1.0],
        [1, 0.99168, 0.96339, 1.0],
        [1, 0.99586, 0.98169, 1.0],
        [0.99986, 1, 1, 1.0],
    ],
    'cet.linear_kryw_5_100_c67': [
        [0.066001, 0.066024, 0.066019, 1.0],
        [0.080835, 0.066624, 0.064683, 1.0],
        [0.093644, 0.067235, 0.063358, 1.0],
        [0.10501, 0.067862, 0.061943, 1.0],
        [0.11533, 0.068524, 0.060589, 1.0],
        [0.12493, 0.06913, 0.059252, 1.0],
        [0.13446, 0.069402, 0.057766, 1.0],
        [0.14389, 0.069337, 0.05652, 1.0],
        [0.15329, 0.068912, 0.055114, 1.0],
        [0.16265, 0.068217, 0.053762, 1.0],
        [0.17186, 0.067393, 0.052418, 1.0],
        [0.18101, 0.066415, 0.051087, 1.0],
        [0.19008, 0.065312, 0.049777, 1.0],
        [0.19905, 0.064056, 0.04839, 1.0],
        [0.208, 0.06267, 0.047034, 1.0],
        [0.21686, 0.060979, 0.045586, 1.0],
        [0.22565, 0.059301, 0.04424, 1.0],
        [0.2344, 0.057256, 0.042784, 1.0],
        [0.24306, 0.055098, 0.041497, 1.0],
        [0.2517, 0.05272, 0.040051, 1.0],
        [0.26025, 0.050192, 0.038638, 1.0],
        [0.26877, 0.047379, 0.037249, 1.0],
        [0.27721, 0.044339, 0.035898, 1.0],
        [0.28558, 0.041067, 0.034375, 1.0],
        [0.2939, 0.0375, 0.03304, 1.0],
        [0.30215, 0.033602, 0.031743, 1.0],
        [0.31036, 0.029855, 0.030482, 1.0],
        [0.31847, 0.026015, 0.029246, 1.0],
        [0.32649, 0.022146, 0.028041, 1.0],
        [0.33446, 0.018274, 0.026868, 1.0],
        [0.34231, 0.014418, 0.025725, 1.0],
        [0.35006, 0.010378, 0.024615, 1.0],
        [0.35772, 0.0066727, 0.023538, 1.0],
        [0.36524, 0.0030611, 0.022497, 1.0],
        [0.37265, 0, 0.021492, 1.0],
        [0.37993, 0, 0.020527, 1.0],
        [0.38704, 0, 0.019604, 1.0],
        [0.39401, 0, 0.018725, 1.0],
        [0.40079, 0, 0.017895, 1.0],
        [0.40735, 0, 0.017114, 1.0],
        [0.41371, 0, 0.016389, 1.0],
        [0.41991, 0, 0.01571, 1.0],
        [0.42607, 0, 0.015054, 1.0],
        [0.43225, 0, 0.014413, 1.0],
        [0.43842, 0, 0.013785, 1.0],
        [0.44461, 0, 0.013163, 1.0],
        [0.4508, 0, 0.01258, 1.0],
        [0.45699, 0, 0.012015, 1.0],
        [0.46319, 0, 0.011343, 1.0],
        [0.46943, 0, 0.01065, 1.0],
        [0.47565, 0, 0.010097, 1.0],
        [0.48187, 0, 0.0095904, 1.0],
        [0.48811, 0, 0.0090697, 1.0],
        [0.49436, 0, 0.0085559, 1.0],
        [0.5006, 0, 0.0080597, 1.0],
        [0.50686, 0, 0.0075745, 1.0],
        [0.51313, 0, 0.0071, 1.0],
        [0.5194, 0, 0.0066376, 1.0],
        [0.52568, 0, 0.0061855, 1.0],
        [0.53196, 0, 0.0057427, 1.0],
        [0.53826, 0, 0.0053086, 1.0],
        [0.54455, 0, 0.0048845, 1.0],
        [0.55086, 0, 0.0044712, 1.0],
        [0.55718, 0, 0.004067, 1.0],
        [0.5635, 0, 0.0036703, 1.0],
        [0.56981, 0, 0.003281, 1.0],
        [0.57615, 0, 0.0028993, 1.0],
        [0.58248, 0, 0.002527, 1.0],
        [0.58883, 0, 0.0021643, 1.0],
        [0.5952, 0, 0.0018102, 1.0],
        [0.60158, 0, 0.0014648, 1.0],
        [0.60799, 0, 0.0011281, 1.0],
        [0.6144, 0, 0.0008024, 1.0],
        [0.62084, 0, 0.00048773, 1.0],
        [0.62729, 0, 0.00018111, 1.0],
        [0.63377, 0, 0, 1.0],
        [0.64026, 0, 0, 1.0],
        [0.64676, 0, 0, 1.0],
        [0.65328, 0, 0, 1.0],
        [0.65983, 0, 0, 1.0],
        [0.66638, 0, 0, 1.0],
        [0.67297, 0, 0, 1.0],
        [0.67955, 0, 0, 1.0],
        [0.68617, 0, 0, 1.0],
        [0.6928, 0, 0, 1.0],
        [0.69944, 0, 0, 1.0],
        [0.70611, 0, 0, 1.0],
        [0.71279, 0, 0, 1.0],
        [0.7195, 0, 0, 1.0],
        [0.72621, 0, 0, 1.0],
        [0.73295, 0, 0, 1.0],
        [0.7397, 0, 0, 1.0],
        [0.74647, 0, 0, 1.0],
        [0.75325, 0, 0, 1.0],
        [0.76005, 0, 0, 1.0],
        [0.76685, 0, 0, 1.0],
        [0.77364, 0, 0, 1.0],
        [0.78042, 0, 0, 1.0],
        [0.78719, 0, 0, 1.0],
        [0.79394, 0, 0, 1.0],
        [0.80067, 0, 0, 1.0],
        [0.8074, 0, 0, 1.0],
        [0.8141, 0, 0, 1.0],
        [0.8208, 0, 0, 1.0],
        [0.82748, 0, 0, 1.0],
        [0.83414, 0, 0, 1.0],
        [0.84079, 0, 0, 1.0],
        [0.84742, 0, 0, 1.0],
        [0.85404, 0, 0, 1.0],
        [0.86065, 0, 0, 1.0],
        [0.86723, 0, 0, 1.0],
        [0.8738, 0, 0, 1.0],
        [0.88036, 0, 0, 1.0],
        [0.8869, 0, 0, 1.0],
        [0.89342, 0, 0, 1.0],
        [0.89993, 0, 0, 1.0],
        [0.90642, 0, 0, 1.0],
        [0.91289, 0, 0, 1.0],
        [0.91935, 0, 0, 1.0],
        [0.92579, 0.0041866, 0, 1.0],
        [0.93221, 0.0088411, 0, 1.0],
        [0.93858, 0.014235, 0, 1.0],
        [0.94484, 0.020592, 0, 1.0],
        [0.9509, 0.028663, 0, 1.0],
        [0.95676, 0.038768, 0, 1.0],
        [0.96242, 0.049864, 0, 1.0],
        [0.96787, 0.061034, 0, 1.0],
        [0.97311, 0.072263, 0, 1.0],
        [0.97815, 0.083447, 0, 1.0],
        [0.983, 0.094617, 0, 1.0],
        [0.98764, 0.10571, 0, 1.0],
        [0.99205, 0.11685, 0, 1.0],
        [0.99626, 0.12797, 0, 1.0],
        [1, 0.139, 0, 1.0],
        [1, 0.15006, 0, 1.0],
        [1, 0.16105, 0, 1.0],
        [1, 0.17204, 0, 1.0],
        [1, 0.18303, 0, 1.0],
        [1, 0.19402, 0, 1.0],
        [1, 0.20493, 0, 1.0],
        [1, 0.21586, 0, 1.0],
        [1, 0.22677, 0, 1.0],
        [1, 0.23768, 0, 1.0],
        [1, 0.24857, 0, 1.0],
        [1, 0.25943, 0, 1.0],
        [1, 0.27027, 0, 1.0],
        [1, 0.28108, 0, 1.0],
        [1, 0.29193, 0, 1.0],
        [1, 0.30267, 0, 1.0],
        [1, 0.31323, 0, 1.0],
        [1, 0.32352, 0, 1.0],
        [1, 0.33356, 0, 1.0],
        [1, 0.34337, 0, 1.0],
        [1, 0.35298, 0, 1.0],
        [1, 0.3624, 0, 1.0],
        [1, 0.37164, 0.00061699, 1.0],
        [1, 0.38075, 0.0021825, 1.0],
        [1, 0.38968, 0.0037567, 1.0],
        [1, 0.3985, 0.0053395, 1.0],
        [1, 0.40718, 0.0069314, 1.0],
        [1, 0.41575, 0.0085283, 1.0],
        [1, 0.4242, 0.010112, 1.0],
        [1, 0.43257, 0.011953, 1.0],
        [1, 0.44081, 0.013525, 1.0],
        [1, 0.44899, 0.015122, 1.0],
        [1, 0.45706, 0.016714, 1.0],
        [1, 0.46506, 0.018299, 1.0],
        [1, 0.47298, 0.019872, 1.0],
        [1, 0.48083, 0.021427, 1.0],
        [1, 0.48862, 0.022968, 1.0],
        [1, 0.49633, 0.024493, 1.0],
        [1, 0.504, 0.026001, 1.0],
        [1, 0.51159, 0.027485, 1.0],
        [1, 0.51914, 0.028939, 1.0],
        [1, 0.52664, 0.030367, 1.0],
        [1, 0.53406, 0.03178, 1.0],
        [1, 0.54143, 0.033208, 1.0],
        [1, 0.54875, 0.034768, 1.0],
        [1, 0.55598, 0.036315, 1.0],
        [1, 0.56318, 0.037812, 1.0],
        [1, 0.5703, 0.039323, 1.0],
        [1, 0.57737, 0.040851, 1.0],
        [1, 0.58439, 0.04235, 1.0],
        [1, 0.59136, 0.043767, 1.0],
        [1, 0.59828, 0.045295, 1.0],
        [1, 0.60516, 0.046771, 1.0],
        [1, 0.61199, 0.048174, 1.0],
        [1, 0.61878, 0.049666, 1.0],
        [1, 0.62552, 0.051026, 1.0],
        [1, 0.63222, 0.0524, 1.0],
        [1, 0.63889, 0.053786, 1.0],
        [1, 0.64551, 0.055176, 1.0],
        [1, 0.65211, 0.056589, 1.0],
        [1, 0.65866, 0.057815, 1.0],
        [1, 0.66518, 0.05925, 1.0],
        [1, 0.67167, 0.060511, 1.0],
        [1, 0.67814, 0.061743, 1.0],
        [1, 0.68456, 0.063098, 1.0],
        [1, 0.69095, 0.064301, 1.0],
        [1, 0.69731, 0.065521, 1.0],
        [1, 0.70365, 0.066739, 1.0],
        [1, 0.70997, 0.068288, 1.0],
        [1, 0.71622, 0.071897, 1.0],
        [1, 0.72231, 0.079934, 1.0],
        [1, 0.72829, 0.091953, 1.0],
        [1, 0.73416, 0.10627, 1.0],
        [1, 0.73994, 0.12182, 1.0],
        [1, 0.74564, 0.13819, 1.0],
        [1, 0.75128, 0.1548, 1.0],
        [1, 0.75686, 0.17158, 1.0],
        [1, 0.76238, 0.18858, 1.0],
        [1, 0.76786, 0.20562, 1.0],
        [1, 0.7733, 0.22256, 1.0],
        [1, 0.77871, 0.23945, 1.0],
        [1, 0.7841, 0.2564, 1.0],
        [1, 0.78945, 0.27335, 1.0],
        [1, 0.79478, 0.29018, 1.0],
        [1, 0.80008, 0.30712, 1.0],
        [1, 0.80537, 0.32404, 1.0],
        [1, 0.81064, 0.34096, 1.0],
        [1, 0.81591, 0.35795, 1.0],
        [1, 0.82116, 0.37487, 1.0],
        [1, 0.8264, 0.39194, 1.0],
        [1, 0.83163, 0.40902, 1.0],
        [1, 0.83685, 0.42615, 1.0],
        [1, 0.84207, 0.44336, 1.0],
        [1, 0.84727, 0.4606, 1.0],
        [1, 0.85249, 0.47795, 1.0],
        [1, 0.85769, 0.49533, 1.0],
        [1, 0.8629, 0.51282, 1.0],
        [1, 0.86811, 0.53035, 1.0],
        [1, 0.87331, 0.54803, 1.0],
        [1, 0.87852, 0.56571, 1.0],
        [1, 0.88373, 0.58356, 1.0],
        [1, 0.88894, 0.60144, 1.0],
        [1, 0.89415, 0.61947, 1.0],
        [1, 0.89937, 0.63753, 1.0],
        [1, 0.9046, 0.65574, 1.0],
        [1, 0.90983, 0.67401, 1.0],
        [1, 0.91506, 0.69239, 1.0],
        [1, 0.9203, 0.71087, 1.0],
        [1, 0.92556, 0.72942, 1.0],
        [1, 0.93081, 0.74812, 1.0],
        [1, 0.93608, 0.76684, 1.0],
        [1, 0.94135, 0.78577, 1.0],
        [1, 0.94664, 0.80471, 1.0],
        [1, 0.95193, 0.82381, 1.0],
        [1, 0.95723, 0.84299, 1.0],
        [1, 0.96255, 0.86225, 1.0],
        [1, 0.96787, 0.88166, 1.0],
        [1, 0.97321, 0.90108, 1.0],
        [1, 0.97856, 0.92074, 1.0],
        [1, 0.98392, 0.94042, 1.0],
        [1, 0.98928, 0.96017, 1.0],
        [1, 0.99466, 0.98008, 1.0],
        [0.99986, 1, 1, 1.0],
    ],
    'cet.linear_protanopic_deuteranopic_kbjyw_5_95_c25': [
        [0.066001, 0.066024, 0.066019, 1.0],
        [0.067911, 0.069463, 0.075246, 1.0],
        [0.069781, 0.072628, 0.083652, 1.0],
        [0.071601, 0.075736, 0.091369, 1.0],
        [0.073375, 0.078755, 0.098548, 1.0],
        [0.074744, 0.081812, 0.10574, 1.0],
        [0.075822, 0.084689, 0.113, 1.0],
        [0.07659, 0.087551, 0.12018, 1.0],
        [0.077063, 0.090312, 0.12745, 1.0],
        [0.077469, 0.092947, 0.13478, 1.0],
        [0.07779, 0.095675, 0.14203, 1.0],
        [0.077991, 0.098388, 0.14933, 1.0],
        [0.078072, 0.10107, 0.15663, 1.0],
        [0.078044, 0.10383, 0.16393, 1.0],
        [0.077898, 0.1066, 0.1712, 1.0],
        [0.077627, 0.10934, 0.17851, 1.0],
        [0.077244, 0.1121, 0.18581, 1.0],
        [0.076748, 0.11483, 0.19306, 1.0],
        [0.07613, 0.11765, 0.20032, 1.0],
        [0.075395, 0.12044, 0.20761, 1.0],
        [0.074553, 0.12325, 0.21485, 1.0],
        [0.073621, 0.12614, 0.22209, 1.0],
        [0.07242, 0.12894, 0.22932, 1.0],
        [0.071237, 0.13182, 0.23655, 1.0],
        [0.069858, 0.13471, 0.24371, 1.0],
        [0.068359, 0.13758, 0.2509, 1.0],
        [0.066676, 0.14045, 0.25804, 1.0],
        [0.064913, 0.14335, 0.26516, 1.0],
        [0.063061, 0.14624, 0.27225, 1.0],
        [0.06092, 0.14916, 0.27935, 1.0],
        [0.058754, 0.15207, 0.28637, 1.0],
        [0.056459, 0.15501, 0.29338, 1.0],
        [0.05389, 0.15796, 0.30036, 1.0],
        [0.051251, 0.16091, 0.3073, 1.0],
        [0.048462, 0.1639, 0.31422, 1.0],
        [0.045461, 0.16685, 0.32108, 1.0],
        [0.042367, 0.16983, 0.3279, 1.0],
        [0.039038, 0.17278, 0.33469, 1.0],
        [0.035642, 0.17576, 0.34142, 1.0],
        [0.031997, 0.17879, 0.34812, 1.0],
        [0.028613, 0.18176, 0.35476, 1.0],
        [0.025247, 0.1848, 0.36133, 1.0],
        [0.021912, 0.18784, 0.36786, 1.0],
        [0.018626, 0.19082, 0.37436, 1.0],
        [0.015435, 0.19388, 0.38078, 1.0],
        [0.012391, 0.19691, 0.38712, 1.0],
        [0.0092372, 0.19991, 0.39342, 1.0],
        [0.0064174, 0.20298, 0.39965, 1.0],
        [0.0037591, 0.20605, 0.40583, 1.0],
        [0.0012787, 0.20909, 0.41193, 1.0],
        [0, 0.21217, 0.41795, 1.0],
        [0, 0.21521, 0.42389, 1.0],
        [0, 0.2183, 0.42977, 1.0],
        [0, 0.22137, 0.43556, 1.0],
        [0, 0.22443, 0.44127, 1.0],
        [0, 0.22754, 0.44689, 1.0],
        [0, 0.23062, 0.45245, 1.0],
        [0, 0.2337, 0.45788, 1.0],
        [0, 0.23683, 0.46322, 1.0],
        [0, 0.23991, 0.46848, 1.0],
        [0, 0.24301, 0.47362, 1.0],
        [0, 0.24612, 0.47867, 1.0],
        [0, 0.24924, 0.48361, 1.0],
        [0.001718, 0.25236, 0.48845, 1.0],
        [0.0054283, 0.25548, 0.49316, 1.0],
        [0.0098053, 0.2586, 0.49777, 1.0],
        [0.015086, 0.26172, 0.50224, 1.0],
        [0.020916, 0.26484, 0.50658, 1.0],
        [0.02753, 0.26797, 0.5108, 1.0],
        [0.03516, 0.27112, 0.51489, 1.0],
        [0.043256, 0.27425, 0.51884, 1.0],
        [0.051559, 0.2774, 0.52264, 1.0],
        [0.059842, 0.28053, 0.52629, 1.0],
        [0.067933, 0.28369, 0.52979, 1.0],
        [0.075984, 0.28683, 0.53312, 1.0],
        [0.084152, 0.28999, 0.5363, 1.0],
        [0.092218, 0.29315, 0.53929, 1.0],
        [0.10029, 0.29632, 0.54212, 1.0],
        [0.10839, 0.29949, 0.54476, 1.0],
        [0.11658, 0.30264, 0.54721, 1.0],
        [0.12471, 0.30584, 0.54948, 1.0],
        [0.13293, 0.30901, 0.55153, 1.0],
        [0.14118, 0.31216, 0.55337, 1.0],
        [0.14943, 0.31536, 0.55501, 1.0],
        [0.15772, 0.31855, 0.5564, 1.0],
        [0.16609, 0.32174, 0.55756, 1.0],
        [0.17453, 0.32493, 0.55846, 1.0],
        [0.18296, 0.32814, 0.55911, 1.0],
        [0.19147, 0.33134, 0.55951, 1.0],
        [0.19998, 0.33458, 0.55963, 1.0],
        [0.20861, 0.33779, 0.55944, 1.0],
        [0.21727, 0.34102, 0.55894, 1.0],
        [0.22597, 0.34425, 0.55814, 1.0],
        [0.2347, 0.34751, 0.55702, 1.0],
        [0.24346, 0.35077, 0.55551, 1.0],
        [0.2523, 0.35401, 0.55366, 1.0],
        [0.26116, 0.3573, 0.55144, 1.0],
        [0.26997, 0.36057, 0.54894, 1.0],
        [0.27856, 0.36387, 0.54636, 1.0],
        [0.2869, 0.36717, 0.54377, 1.0],
        [0.29504, 0.37047, 0.54116, 1.0],
        [0.30298, 0.3738, 0.53857, 1.0],
        [0.31076, 0.37713, 0.53594, 1.0],
        [0.31835, 0.38046, 0.53331, 1.0],
        [0.32578, 0.3838, 0.53068, 1.0],
        [0.3331, 0.38714, 0.52804, 1.0],
        [0.34026, 0.3905, 0.52538, 1.0],
        [0.3473, 0.39386, 0.52272, 1.0],
        [0.35422, 0.39723, 0.52004, 1.0],
        [0.36104, 0.40062, 0.51737, 1.0],
        [0.36776, 0.40399, 0.51467, 1.0],
        [0.3744, 0.40737, 0.51196, 1.0],
        [0.38094, 0.41078, 0.50925, 1.0],
        [0.38738, 0.41417, 0.50652, 1.0],
        [0.39377, 0.41758, 0.50379, 1.0],
        [0.40007, 0.42098, 0.50105, 1.0],
        [0.40632, 0.4244, 0.49829, 1.0],
        [0.41249, 0.42783, 0.49551, 1.0],
        [0.41859, 0.43126, 0.49272, 1.0],
        [0.42465, 0.43469, 0.48993, 1.0],
        [0.43065, 0.43813, 0.48713, 1.0],
        [0.4366, 0.44157, 0.4843, 1.0],
        [0.4425, 0.44501, 0.48147, 1.0],
        [0.44834, 0.44846, 0.47862, 1.0],
        [0.45415, 0.45192, 0.47577, 1.0],
        [0.45991, 0.45538, 0.47288, 1.0],
        [0.46563, 0.45884, 0.47, 1.0],
        [0.47133, 0.46231, 0.4671, 1.0],
        [0.47697, 0.46578, 0.46418, 1.0],
        [0.48259, 0.46927, 0.46124, 1.0],
        [0.48818, 0.47274, 0.45829, 1.0],
        [0.49373, 0.47623, 0.45533, 1.0],
        [0.49925, 0.47972, 0.45235, 1.0],
        [0.50476, 0.4832, 0.44935, 1.0],
        [0.51022, 0.4867, 0.44632, 1.0],
        [0.51567, 0.49019, 0.44329, 1.0],
        [0.5211, 0.49369, 0.44024, 1.0],
        [0.52651, 0.4972, 0.43717, 1.0],
        [0.53188, 0.50071, 0.43407, 1.0],
        [0.53725, 0.50422, 0.43097, 1.0],
        [0.54259, 0.50773, 0.42784, 1.0],
        [0.54791, 0.51124, 0.42469, 1.0],
        [0.55321, 0.51476, 0.42151, 1.0],
        [0.5585, 0.51829, 0.41832, 1.0],
        [0.56379, 0.5218, 0.41511, 1.0],
        [0.56905, 0.52533, 0.41187, 1.0],
        [0.5743, 0.52887, 0.40861, 1.0],
        [0.57955, 0.53239, 0.40533, 1.0],
        [0.58477, 0.53592, 0.40201, 1.0],
        [0.58998, 0.53945, 0.39868, 1.0],
        [0.59519, 0.54299, 0.39532, 1.0],
        [0.60039, 0.54653, 0.39193, 1.0],
        [0.60557, 0.55007, 0.38851, 1.0],
        [0.61076, 0.55361, 0.38506, 1.0],
        [0.61593, 0.55716, 0.38159, 1.0],
        [0.6211, 0.5607, 0.37809, 1.0],
        [0.62626, 0.56425, 0.37456, 1.0],
        [0.63141, 0.56779, 0.37098, 1.0],
        [0.63657, 0.57134, 0.36737, 1.0],
        [0.64169, 0.57489, 0.36381, 1.0],
        [0.64675, 0.57845, 0.36053, 1.0],
        [0.65172, 0.58202, 0.35767, 1.0],
        [0.6566, 0.58561, 0.35517, 1.0],
        [0.6614, 0.58918, 0.35303, 1.0],
        [0.66612, 0.59279, 0.35128, 1.0],
        [0.67079, 0.59638, 0.34987, 1.0],
        [0.67539, 0.59999, 0.34879, 1.0],
        [0.67993, 0.60361, 0.34803, 1.0],
        [0.68442, 0.60723, 0.34761, 1.0],
        [0.68887, 0.61085, 0.3475, 1.0],
        [0.69327, 0.61448, 0.34767, 1.0],
        [0.69761, 0.61812, 0.34813, 1.0],
        [0.70192, 0.62176, 0.34887, 1.0],
        [0.70621, 0.62541, 0.34988, 1.0],
        [0.71044, 0.62907, 0.35116, 1.0],
        [0.71463, 0.63273, 0.35269, 1.0],
        [0.7188, 0.6364, 0.35449, 1.0],
        [0.72293, 0.64007, 0.35653, 1.0],
        [0.72703, 0.64374, 0.35878, 1.0],
        [0.7311, 0.64742, 0.36128, 1.0],
        [0.73514, 0.65111, 0.364, 1.0],
        [0.73915, 0.6548, 0.36694, 1.0],
        [0.74313, 0.6585, 0.37008, 1.0],
        [0.74708, 0.6622, 0.37343, 1.0],
        [0.75101, 0.66591, 0.37699, 1.0],
        [0.75491, 0.66962, 0.38073, 1.0],
        [0.75878, 0.67334, 0.38465, 1.0],
        [0.76262, 0.67706, 0.38877, 1.0],
        [0.76644, 0.68078, 0.39305, 1.0],
        [0.77023, 0.68451, 0.39752, 1.0],
        [0.77399, 0.68825, 0.40214, 1.0],
        [0.77773, 0.69199, 0.40694, 1.0],
        [0.78145, 0.69574, 0.4119, 1.0],
        [0.78513, 0.69949, 0.41703, 1.0],
        [0.78879, 0.70325, 0.42229, 1.0],
        [0.79241, 0.70701, 0.42772, 1.0],
        [0.79601, 0.71078, 0.43328, 1.0],
        [0.7996, 0.71454, 0.43898, 1.0],
        [0.80314, 0.71832, 0.44483, 1.0],
        [0.80666, 0.7221, 0.4508, 1.0],
        [0.81015, 0.7259, 0.4569, 1.0],
        [0.81362, 0.72969, 0.46313, 1.0],
        [0.81705, 0.73349, 0.46952, 1.0],
        [0.82046, 0.73729, 0.47601, 1.0],
        [0.82383, 0.7411, 0.48262, 1.0],
        [0.82718, 0.74492, 0.48934, 1.0],
        [0.8305, 0.74874, 0.49618, 1.0],
        [0.83379, 0.75256, 0.50312, 1.0],
        [0.83704, 0.7564, 0.5102, 1.0],
        [0.84026, 0.76024, 0.5174, 1.0],
        [0.84344, 0.76408, 0.52468, 1.0],
        [0.8466, 0.76792, 0.53208, 1.0],
        [0.84973, 0.77178, 0.53956, 1.0],
        [0.85282, 0.77564, 0.54716, 1.0],
        [0.85587, 0.77951, 0.55487, 1.0],
        [0.85889, 0.78338, 0.56268, 1.0],
        [0.86188, 0.78726, 0.57056, 1.0],
        [0.86483, 0.79114, 0.57855, 1.0],
        [0.86774, 0.79503, 0.58664, 1.0],
        [0.87061, 0.79893, 0.59483, 1.0],
        [0.87345, 0.80283, 0.6031, 1.0],
        [0.87625, 0.80674, 0.61146, 1.0],
        [0.87901, 0.81065, 0.61992, 1.0],
        [0.88173, 0.81457, 0.62847, 1.0],
        [0.88441, 0.8185, 0.6371, 1.0],
        [0.88705, 0.82244, 0.6458, 1.0],
        [0.88965, 0.82637, 0.6546, 1.0],
        [0.89221, 0.83032, 0.6635, 1.0],
        [0.89472, 0.83427, 0.67247, 1.0],
        [0.89719, 0.83823, 0.68151, 1.0],
        [0.89961, 0.8422, 0.69064, 1.0],
        [0.90199, 0.84616, 0.69987, 1.0],
        [0.90432, 0.85014, 0.70916, 1.0],
        [0.90661, 0.85413, 0.71852, 1.0],
        [0.90884, 0.85812, 0.72798, 1.0],
        [0.91103, 0.86212, 0.73752, 1.0],
        [0.91318, 0.86612, 0.74712, 1.0],
        [0.91526, 0.87013, 0.7568, 1.0],
        [0.91731, 0.87415, 0.76657, 1.0],
        [0.91929, 0.87818, 0.7764, 1.0],
        [0.92123, 0.88221, 0.7863, 1.0],
        [0.92311, 0.88625, 0.79629, 1.0],
        [0.92493, 0.89029, 0.80635, 1.0],
        [0.92671, 0.89435, 0.81646, 1.0],
        [0.92842, 0.8984, 0.82668, 1.0],
        [0.93009, 0.90247, 0.83695, 1.0],
        [0.93169, 0.90654, 0.84728, 1.0],
        [0.93323, 0.91063, 0.8577, 1.0],
        [0.93471, 0.91471, 0.86819, 1.0],
        [0.93614, 0.9188, 0.87873, 1.0],
        [0.9375, 0.92291, 0.88936, 1.0],
        [0.93879, 0.92701, 0.90005, 1.0],
        [0.94003, 0.93113, 0.91081, 1.0],
        [0.94119, 0.93526, 0.92164, 1.0],
        [0.9423, 0.93939, 0.93253, 1.0],
        [0.94334, 0.94353, 0.94348, 1.0],
    ],
    'cet.linear_protanopic_deuteranopic_kbw_5_98_c40': [
        [0.066001, 0.066024, 0.066019, 1.0],
        [0.068392, 0.069594, 0.07418, 1.0],
        [0.070639, 0.072929, 0.081677, 1.0],
        [0.072893, 0.076121, 0.088587, 1.0],
        [0.075034, 0.079264, 0.095123, 1.0],
        [0.076966, 0.082389, 0.10148, 1.0],
        [0.078642, 0.085308, 0.10793, 1.0],
        [0.080058, 0.088268, 0.11442, 1.0],
        [0.081238, 0.091132, 0.121, 1.0],
        [0.082365, 0.093864, 0.12764, 1.0],
        [0.083353, 0.096586, 0.13432, 1.0],
        [0.084353, 0.099412, 0.14102, 1.0],
        [0.08516, 0.10221, 0.14774, 1.0],
        [0.085909, 0.105, 0.15449, 1.0],
        [0.086663, 0.10784, 0.16134, 1.0],
        [0.087299, 0.11072, 0.16815, 1.0],
        [0.087793, 0.11357, 0.17506, 1.0],
        [0.088197, 0.11644, 0.18195, 1.0],
        [0.088516, 0.11929, 0.18893, 1.0],
        [0.08874, 0.12215, 0.19591, 1.0],
        [0.088865, 0.12508, 0.20293, 1.0],
        [0.088887, 0.12801, 0.20998, 1.0],
        [0.088806, 0.13094, 0.21707, 1.0],
        [0.088619, 0.13387, 0.22414, 1.0],
        [0.088328, 0.13681, 0.2313, 1.0],
        [0.087938, 0.13974, 0.23842, 1.0],
        [0.087453, 0.14275, 0.24557, 1.0],
        [0.086824, 0.14576, 0.25276, 1.0],
        [0.086036, 0.14871, 0.25993, 1.0],
        [0.085236, 0.15172, 0.26709, 1.0],
        [0.084385, 0.15474, 0.27427, 1.0],
        [0.083325, 0.15777, 0.28142, 1.0],
        [0.082282, 0.16081, 0.28857, 1.0],
        [0.081076, 0.16388, 0.29568, 1.0],
        [0.079801, 0.16693, 0.30276, 1.0],
        [0.078483, 0.16998, 0.30983, 1.0],
        [0.077141, 0.17304, 0.31682, 1.0],
        [0.075789, 0.1761, 0.32377, 1.0],
        [0.074438, 0.17921, 0.33066, 1.0],
        [0.073088, 0.18229, 0.33751, 1.0],
        [0.071707, 0.18544, 0.34427, 1.0],
        [0.070334, 0.18854, 0.35099, 1.0],
        [0.069135, 0.19164, 0.35763, 1.0],
        [0.067852, 0.19479, 0.36417, 1.0],
        [0.066681, 0.19789, 0.37067, 1.0],
        [0.065605, 0.20102, 0.37711, 1.0],
        [0.064634, 0.20421, 0.38347, 1.0],
        [0.063763, 0.20734, 0.38976, 1.0],
        [0.063025, 0.21049, 0.39601, 1.0],
        [0.062318, 0.21366, 0.40219, 1.0],
        [0.061658, 0.21684, 0.40835, 1.0],
        [0.06116, 0.22002, 0.41445, 1.0],
        [0.060787, 0.2232, 0.42051, 1.0],
        [0.060495, 0.22639, 0.42655, 1.0],
        [0.060263, 0.22956, 0.43258, 1.0],
        [0.060082, 0.23277, 0.43856, 1.0],
        [0.059945, 0.236, 0.44455, 1.0],
        [0.059846, 0.2392, 0.45051, 1.0],
        [0.059777, 0.24242, 0.45647, 1.0],
        [0.059733, 0.24564, 0.46243, 1.0],
        [0.059705, 0.2489, 0.46839, 1.0],
        [0.059688, 0.25214, 0.47436, 1.0],
        [0.059676, 0.25539, 0.48032, 1.0],
        [0.059663, 0.25864, 0.48629, 1.0],
        [0.059645, 0.2619, 0.49228, 1.0],
        [0.059619, 0.26516, 0.49828, 1.0],
        [0.05958, 0.26844, 0.50428, 1.0],
        [0.059527, 0.27171, 0.51028, 1.0],
        [0.059457, 0.27501, 0.5163, 1.0],
        [0.059366, 0.27831, 0.52234, 1.0],
        [0.059251, 0.28161, 0.52839, 1.0],
        [0.059111, 0.28491, 0.53445, 1.0],
        [0.058943, 0.28823, 0.54052, 1.0],
        [0.058747, 0.29157, 0.54661, 1.0],
        [0.058523, 0.29488, 0.5527, 1.0],
        [0.058273, 0.29821, 0.5588, 1.0],
        [0.058003, 0.30155, 0.56492, 1.0],
        [0.05772, 0.30491, 0.57106, 1.0],
        [0.057436, 0.30826, 0.57721, 1.0],
        [0.057144, 0.31161, 0.58336, 1.0],
        [0.056825, 0.31498, 0.58953, 1.0],
        [0.056448, 0.31836, 0.59571, 1.0],
        [0.056009, 0.32173, 0.60191, 1.0],
        [0.055535, 0.32511, 0.60812, 1.0],
        [0.055044, 0.32851, 0.61432, 1.0],
        [0.054525, 0.33191, 0.62056, 1.0],
        [0.053973, 0.33532, 0.6268, 1.0],
        [0.05339, 0.33872, 0.63305, 1.0],
        [0.052777, 0.34214, 0.63931, 1.0],
        [0.052132, 0.34555, 0.64558, 1.0],
        [0.051458, 0.34898, 0.65187, 1.0],
        [0.050748, 0.35241, 0.65816, 1.0],
        [0.050004, 0.35585, 0.66447, 1.0],
        [0.049259, 0.35929, 0.67079, 1.0],
        [0.048333, 0.36274, 0.67712, 1.0],
        [0.047426, 0.3662, 0.68345, 1.0],
        [0.046481, 0.36965, 0.68981, 1.0],
        [0.045473, 0.37311, 0.69617, 1.0],
        [0.044473, 0.3766, 0.70254, 1.0],
        [0.043261, 0.38007, 0.70893, 1.0],
        [0.042229, 0.38355, 0.71532, 1.0],
        [0.040999, 0.38703, 0.72172, 1.0],
        [0.039699, 0.39053, 0.72813, 1.0],
        [0.038351, 0.39403, 0.73456, 1.0],
        [0.036958, 0.39754, 0.74099, 1.0],
        [0.035554, 0.40106, 0.74745, 1.0],
        [0.033822, 0.40456, 0.7539, 1.0],
        [0.032325, 0.40808, 0.76037, 1.0],
        [0.030752, 0.41161, 0.76684, 1.0],
        [0.029133, 0.41514, 0.77333, 1.0],
        [0.027467, 0.41867, 0.77983, 1.0],
        [0.025753, 0.42221, 0.78634, 1.0],
        [0.023992, 0.42577, 0.79286, 1.0],
        [0.022182, 0.42932, 0.79939, 1.0],
        [0.020323, 0.43288, 0.80592, 1.0],
        [0.018415, 0.43645, 0.81247, 1.0],
        [0.016457, 0.44002, 0.81902, 1.0],
        [0.014451, 0.44359, 0.82559, 1.0],
        [0.012421, 0.44716, 0.83217, 1.0],
        [0.010137, 0.45075, 0.83875, 1.0],
        [0.0081674, 0.45435, 0.84533, 1.0],
        [0.0062813, 0.45793, 0.8519, 1.0],
        [0.0045555, 0.46153, 0.85845, 1.0],
        [0.003069, 0.46513, 0.86499, 1.0],
        [0.0019224, 0.46874, 0.8715, 1.0],
        [0.0012443, 0.47235, 0.87795, 1.0],
        [0.0011966, 0.47597, 0.88435, 1.0],
        [0.00198, 0.47958, 0.89067, 1.0],
        [0.0038395, 0.48319, 0.89689, 1.0],
        [0.0070702, 0.48682, 0.90298, 1.0],
        [0.012242, 0.49044, 0.9089, 1.0],
        [0.019291, 0.49406, 0.91462, 1.0],
        [0.028957, 0.49768, 0.9201, 1.0],
        [0.041939, 0.5013, 0.92529, 1.0],
        [0.056334, 0.50491, 0.93014, 1.0],
        [0.07148, 0.50852, 0.93458, 1.0],
        [0.087293, 0.51211, 0.93858, 1.0],
        [0.10371, 0.5157, 0.94207, 1.0],
        [0.12071, 0.5193, 0.94497, 1.0],
        [0.13835, 0.52288, 0.94724, 1.0],
        [0.15644, 0.52646, 0.94882, 1.0],
        [0.17494, 0.53001, 0.94965, 1.0],
        [0.19382, 0.53356, 0.94969, 1.0],
        [0.21295, 0.53712, 0.9489, 1.0],
        [0.23232, 0.54065, 0.94726, 1.0],
        [0.25179, 0.54419, 0.94473, 1.0],
        [0.27128, 0.54772, 0.94131, 1.0],
        [0.29072, 0.55126, 0.93701, 1.0],
        [0.31005, 0.5548, 0.93183, 1.0],
        [0.32916, 0.55833, 0.92581, 1.0],
        [0.34799, 0.5619, 0.91897, 1.0],
        [0.36649, 0.56545, 0.91136, 1.0],
        [0.38458, 0.56903, 0.90303, 1.0],
        [0.40225, 0.57264, 0.89403, 1.0],
        [0.41947, 0.57626, 0.88442, 1.0],
        [0.43617, 0.57989, 0.87426, 1.0],
        [0.45236, 0.58355, 0.86363, 1.0],
        [0.46801, 0.58723, 0.85257, 1.0],
        [0.48314, 0.59094, 0.84116, 1.0],
        [0.49776, 0.59467, 0.82944, 1.0],
        [0.51183, 0.59842, 0.81747, 1.0],
        [0.52542, 0.60219, 0.8053, 1.0],
        [0.53853, 0.60597, 0.79299, 1.0],
        [0.55116, 0.60978, 0.78056, 1.0],
        [0.56336, 0.6136, 0.76805, 1.0],
        [0.57514, 0.61743, 0.75551, 1.0],
        [0.58654, 0.62127, 0.74295, 1.0],
        [0.59758, 0.62512, 0.7304, 1.0],
        [0.60828, 0.62896, 0.71787, 1.0],
        [0.61867, 0.63281, 0.70539, 1.0],
        [0.62877, 0.63665, 0.69297, 1.0],
        [0.63861, 0.64049, 0.68059, 1.0],
        [0.64821, 0.64431, 0.66831, 1.0],
        [0.6576, 0.64813, 0.65609, 1.0],
        [0.66677, 0.65195, 0.64394, 1.0],
        [0.67576, 0.65575, 0.63188, 1.0],
        [0.68457, 0.65954, 0.6199, 1.0],
        [0.69322, 0.66332, 0.60798, 1.0],
        [0.70171, 0.66709, 0.5961, 1.0],
        [0.71007, 0.67086, 0.58428, 1.0],
        [0.71829, 0.67461, 0.57251, 1.0],
        [0.72638, 0.67836, 0.56075, 1.0],
        [0.73435, 0.6821, 0.54901, 1.0],
        [0.74219, 0.68585, 0.53726, 1.0],
        [0.74992, 0.68959, 0.5255, 1.0],
        [0.75754, 0.69333, 0.51371, 1.0],
        [0.76504, 0.69707, 0.50188, 1.0],
        [0.77243, 0.70083, 0.48999, 1.0],
        [0.77972, 0.70458, 0.47802, 1.0],
        [0.78691, 0.70834, 0.46597, 1.0],
        [0.79399, 0.71211, 0.45381, 1.0],
        [0.80096, 0.71589, 0.44153, 1.0],
        [0.80784, 0.71968, 0.42911, 1.0],
        [0.81462, 0.72347, 0.41654, 1.0],
        [0.8213, 0.72728, 0.40382, 1.0],
        [0.82788, 0.7311, 0.39092, 1.0],
        [0.83438, 0.73493, 0.37784, 1.0],
        [0.84078, 0.73878, 0.36456, 1.0],
        [0.84708, 0.74263, 0.35109, 1.0],
        [0.85329, 0.74649, 0.33741, 1.0],
        [0.85941, 0.75037, 0.3235, 1.0],
        [0.86544, 0.75426, 0.30941, 1.0],
        [0.87139, 0.75816, 0.29507, 1.0],
        [0.87723, 0.76206, 0.28057, 1.0],
        [0.88299, 0.76598, 0.26594, 1.0],
        [0.88866, 0.76991, 0.25118, 1.0],
        [0.89423, 0.77384, 0.23637, 1.0],
        [0.89971, 0.77779, 0.22159, 1.0],
        [0.9051, 0.78174, 0.207, 1.0],
        [0.91039, 0.7857, 0.19274, 1.0],
        [0.91558, 0.78966, 0.17908, 1.0],
        [0.92068, 0.79363, 0.16631, 1.0],
        [0.9257, 0.79759, 0.15487, 1.0],
        [0.93061, 0.80156, 0.14532, 1.0],
        [0.93542, 0.80553, 0.13816, 1.0],
        [0.94013, 0.8095, 0.13406, 1.0],
        [0.94474, 0.81346, 0.13353, 1.0],
        [0.94923, 0.81743, 0.13683, 1.0],
        [0.95362, 0.8214, 0.14398, 1.0],
        [0.95788, 0.82536, 0.15462, 1.0],
        [0.962, 0.82933, 0.16835, 1.0],
        [0.96598, 0.83329, 0.18464, 1.0],
        [0.96981, 0.83726, 0.20298, 1.0],
        [0.97348, 0.84123, 0.22303, 1.0],
        [0.97696, 0.8452, 0.24438, 1.0],
        [0.98026, 0.84919, 0.26685, 1.0],
        [0.98334, 0.85318, 0.29018, 1.0],
        [0.98621, 0.85718, 0.31424, 1.0],
        [0.98884, 0.8612, 0.33888, 1.0],
        [0.99123, 0.86524, 0.36397, 1.0],
        [0.99337, 0.8693, 0.38944, 1.0],
        [0.99524, 0.87337, 0.41519, 1.0],
        [0.99685, 0.87747, 0.44112, 1.0],
        [0.99819, 0.88159, 0.46718, 1.0],
        [0.99927, 0.88573, 0.49327, 1.0],
        [1, 0.8899, 0.51936, 1.0],
        [1, 0.89409, 0.54534, 1.0],
        [1, 0.89831, 0.57117, 1.0],
        [1, 0.90255, 0.59679, 1.0],
        [1, 0.90681, 0.62212, 1.0],
        [1, 0.9111, 0.64712, 1.0],
        [0.99988, 0.9154, 0.67173, 1.0],
        [0.99916, 0.91973, 0.69589, 1.0],
        [0.99829, 0.92408, 0.71955, 1.0],
        [0.99731, 0.92843, 0.74267, 1.0],
        [0.99626, 0.93281, 0.76519, 1.0],
        [0.99515, 0.93719, 0.78709, 1.0],
        [0.99402, 0.94158, 0.80832, 1.0],
        [0.99289, 0.94598, 0.82887, 1.0],
        [0.9918, 0.95038, 0.84871, 1.0],
        [0.99077, 0.95479, 0.86784, 1.0],
        [0.98983, 0.95919, 0.88625, 1.0],
        [0.98898, 0.96359, 0.90396, 1.0],
        [0.98824, 0.968, 0.92098, 1.0],
        [0.98763, 0.9724, 0.93736, 1.0],
        [0.98715, 0.97679, 0.95311, 1.0],
    ],
    'cet.linear_ternary_blue_0_44_c57': [
        [0, 0, 0, 1.0],
        [0.00074336, 0.0024531, 0.0074342, 1.0],
        [0.0014922, 0.0049243, 0.014921, 1.0],
        [0.0022238, 0.0073388, 0.022238, 1.0],
        [0.0029727, 0.0098191, 0.029727, 1.0],
        [0.003759, 0.01243, 0.037588, 1.0],
        [0.0044965, 0.014837, 0.045061, 1.0],
        [0.0052171, 0.017216, 0.052174, 1.0],
        [0.0059233, 0.019547, 0.05928, 1.0],
        [0.0066117, 0.021819, 0.066122, 1.0],
        [0.0072841, 0.024037, 0.07289, 1.0],
        [0.0079425, 0.026211, 0.079443, 1.0],
        [0.008587, 0.02834, 0.085862, 1.0],
        [0.0092271, 0.03044, 0.092265, 1.0],
        [0.009844, 0.03246, 0.098364, 1.0],
        [0.010477, 0.034486, 0.10458, 1.0],
        [0.011109, 0.036556, 0.11078, 1.0],
        [0.01171, 0.038495, 0.11667, 1.0],
        [0.012273, 0.040403, 0.12242, 1.0],
        [0.012818, 0.042245, 0.1279, 1.0],
        [0.013348, 0.043976, 0.13326, 1.0],
        [0.013879, 0.04566, 0.1385, 1.0],
        [0.014395, 0.047394, 0.14358, 1.0],
        [0.014889, 0.049082, 0.14858, 1.0],
        [0.015355, 0.050605, 0.15335, 1.0],
        [0.015827, 0.052141, 0.15801, 1.0],
        [0.016294, 0.053656, 0.16261, 1.0],
        [0.016752, 0.05516, 0.16717, 1.0],
        [0.017191, 0.056648, 0.17153, 1.0],
        [0.017621, 0.057987, 0.17584, 1.0],
        [0.018044, 0.059476, 0.18012, 1.0],
        [0.018452, 0.060774, 0.18421, 1.0],
        [0.018859, 0.062143, 0.1883, 1.0],
        [0.019258, 0.063465, 0.19229, 1.0],
        [0.019638, 0.064737, 0.19618, 1.0],
        [0.019991, 0.066008, 0.19999, 1.0],
        [0.020369, 0.06727, 0.20383, 1.0],
        [0.020743, 0.068517, 0.20757, 1.0],
        [0.021108, 0.069731, 0.21123, 1.0],
        [0.021466, 0.07089, 0.21479, 1.0],
        [0.021817, 0.072042, 0.21833, 1.0],
        [0.022172, 0.073262, 0.22184, 1.0],
        [0.022518, 0.074345, 0.22528, 1.0],
        [0.022855, 0.075456, 0.22864, 1.0],
        [0.023186, 0.076553, 0.23196, 1.0],
        [0.023512, 0.077642, 0.23526, 1.0],
        [0.02384, 0.078716, 0.2385, 1.0],
        [0.024178, 0.079786, 0.24179, 1.0],
        [0.024507, 0.080865, 0.24506, 1.0],
        [0.024831, 0.08197, 0.24832, 1.0],
        [0.025156, 0.08299, 0.25156, 1.0],
        [0.02548, 0.084106, 0.2548, 1.0],
        [0.025801, 0.085132, 0.25798, 1.0],
        [0.026127, 0.086192, 0.26127, 1.0],
        [0.026456, 0.087333, 0.26456, 1.0],
        [0.026783, 0.088377, 0.26781, 1.0],
        [0.027109, 0.089458, 0.27108, 1.0],
        [0.027438, 0.090542, 0.27438, 1.0],
        [0.027766, 0.091648, 0.27766, 1.0],
        [0.02809, 0.092669, 0.28088, 1.0],
        [0.028421, 0.093789, 0.2842, 1.0],
        [0.028753, 0.094903, 0.28753, 1.0],
        [0.029077, 0.095942, 0.29078, 1.0],
        [0.029408, 0.097031, 0.29407, 1.0],
        [0.029741, 0.09817, 0.29742, 1.0],
        [0.030072, 0.099229, 0.30072, 1.0],
        [0.030403, 0.10033, 0.30402, 1.0],
        [0.030735, 0.10143, 0.30733, 1.0],
        [0.031072, 0.10254, 0.31072, 1.0],
        [0.031403, 0.10364, 0.31403, 1.0],
        [0.031734, 0.1047, 0.31734, 1.0],
        [0.032072, 0.10585, 0.32074, 1.0],
        [0.032408, 0.10696, 0.32408, 1.0],
        [0.032743, 0.10802, 0.32739, 1.0],
        [0.033082, 0.10918, 0.33077, 1.0],
        [0.033414, 0.11028, 0.33418, 1.0],
        [0.033742, 0.11138, 0.33753, 1.0],
        [0.034077, 0.1125, 0.3409, 1.0],
        [0.03442, 0.11362, 0.34424, 1.0],
        [0.034765, 0.11469, 0.34763, 1.0],
        [0.035114, 0.11586, 0.35104, 1.0],
        [0.035456, 0.11695, 0.35445, 1.0],
        [0.035791, 0.1181, 0.35784, 1.0],
        [0.036121, 0.1192, 0.36122, 1.0],
        [0.036456, 0.12031, 0.36459, 1.0],
        [0.036796, 0.12143, 0.36797, 1.0],
        [0.037139, 0.12255, 0.37137, 1.0],
        [0.037483, 0.12369, 0.37481, 1.0],
        [0.037828, 0.12482, 0.37826, 1.0],
        [0.038169, 0.12598, 0.38168, 1.0],
        [0.038511, 0.12707, 0.3851, 1.0],
        [0.038856, 0.12823, 0.38856, 1.0],
        [0.0392, 0.12935, 0.392, 1.0],
        [0.039546, 0.13052, 0.39546, 1.0],
        [0.03989, 0.13163, 0.39889, 1.0],
        [0.040235, 0.13277, 0.40233, 1.0],
        [0.040581, 0.13392, 0.40582, 1.0],
        [0.040922, 0.13506, 0.40923, 1.0],
        [0.041266, 0.13617, 0.41269, 1.0],
        [0.041619, 0.13735, 0.4162, 1.0],
        [0.04197, 0.13849, 0.41964, 1.0],
        [0.042315, 0.1396, 0.42308, 1.0],
        [0.042655, 0.14079, 0.42658, 1.0],
        [0.042998, 0.14192, 0.43006, 1.0],
        [0.043353, 0.14307, 0.43353, 1.0],
        [0.043707, 0.14422, 0.43705, 1.0],
        [0.044054, 0.1454, 0.44054, 1.0],
        [0.044401, 0.14652, 0.44404, 1.0],
        [0.044755, 0.14769, 0.44752, 1.0],
        [0.045109, 0.14883, 0.45103, 1.0],
        [0.045452, 0.15001, 0.45455, 1.0],
        [0.045792, 0.15115, 0.45803, 1.0],
        [0.046147, 0.15231, 0.46154, 1.0],
        [0.046509, 0.15347, 0.46506, 1.0],
        [0.046871, 0.15464, 0.4686, 1.0],
        [0.047221, 0.15582, 0.47216, 1.0],
        [0.047563, 0.15696, 0.47568, 1.0],
        [0.047916, 0.15815, 0.47921, 1.0],
        [0.048273, 0.1593, 0.48272, 1.0],
        [0.048631, 0.16046, 0.48628, 1.0],
        [0.048997, 0.16167, 0.48986, 1.0],
        [0.049352, 0.16283, 0.49342, 1.0],
        [0.049698, 0.16401, 0.49696, 1.0],
        [0.050046, 0.16514, 0.50048, 1.0],
        [0.050404, 0.16634, 0.50406, 1.0],
        [0.050762, 0.16751, 0.50763, 1.0],
        [0.051121, 0.1687, 0.5112, 1.0],
        [0.051479, 0.16988, 0.51479, 1.0],
        [0.051833, 0.17105, 0.51834, 1.0],
        [0.05219, 0.17223, 0.5219, 1.0],
        [0.052551, 0.17342, 0.52551, 1.0],
        [0.052909, 0.17461, 0.5291, 1.0],
        [0.053266, 0.17577, 0.53267, 1.0],
        [0.053628, 0.17697, 0.53628, 1.0],
        [0.05399, 0.17818, 0.53989, 1.0],
        [0.054349, 0.17935, 0.54349, 1.0],
        [0.054708, 0.18053, 0.54707, 1.0],
        [0.055067, 0.18172, 0.55067, 1.0],
        [0.055429, 0.18292, 0.55429, 1.0],
        [0.055793, 0.18412, 0.55793, 1.0],
        [0.056155, 0.18533, 0.56157, 1.0],
        [0.056521, 0.18651, 0.5652, 1.0],
        [0.056888, 0.18772, 0.56884, 1.0],
        [0.057244, 0.18891, 0.57245, 1.0],
        [0.0576, 0.1901, 0.57607, 1.0],
        [0.057967, 0.1913, 0.57969, 1.0],
        [0.058336, 0.1925, 0.58335, 1.0],
        [0.058702, 0.19372, 0.58701, 1.0],
        [0.059067, 0.19492, 0.59066, 1.0],
        [0.059436, 0.19613, 0.59432, 1.0],
        [0.059804, 0.19733, 0.59797, 1.0],
        [0.060167, 0.19853, 0.60161, 1.0],
        [0.060527, 0.19973, 0.60525, 1.0],
        [0.060887, 0.20094, 0.60892, 1.0],
        [0.061253, 0.20216, 0.61259, 1.0],
        [0.061628, 0.20338, 0.6163, 1.0],
        [0.062, 0.2046, 0.61999, 1.0],
        [0.06237, 0.20581, 0.62368, 1.0],
        [0.062743, 0.20703, 0.62736, 1.0],
        [0.063109, 0.20824, 0.63104, 1.0],
        [0.063471, 0.20946, 0.63472, 1.0],
        [0.06384, 0.21068, 0.63842, 1.0],
        [0.064212, 0.21191, 0.64213, 1.0],
        [0.064582, 0.2131, 0.64581, 1.0],
        [0.064951, 0.21435, 0.64951, 1.0],
        [0.065324, 0.21557, 0.65323, 1.0],
        [0.065695, 0.21679, 0.65696, 1.0],
        [0.066066, 0.21802, 0.66066, 1.0],
        [0.066438, 0.21924, 0.66438, 1.0],
        [0.066811, 0.22049, 0.66812, 1.0],
        [0.067184, 0.22169, 0.67183, 1.0],
        [0.067556, 0.22294, 0.67556, 1.0],
        [0.067927, 0.22415, 0.67926, 1.0],
        [0.068301, 0.2254, 0.68302, 1.0],
        [0.068677, 0.22664, 0.68678, 1.0],
        [0.069052, 0.22788, 0.69052, 1.0],
        [0.069427, 0.2291, 0.69424, 1.0],
        [0.0698, 0.23033, 0.69799, 1.0],
        [0.07017, 0.23158, 0.70175, 1.0],
        [0.070545, 0.23281, 0.70549, 1.0],
        [0.070927, 0.23405, 0.70927, 1.0],
        [0.07131, 0.23531, 0.71304, 1.0],
        [0.071685, 0.23655, 0.71681, 1.0],
        [0.072052, 0.23779, 0.72056, 1.0],
        [0.072426, 0.23902, 0.72432, 1.0],
        [0.072809, 0.24026, 0.72809, 1.0],
        [0.073193, 0.24153, 0.73188, 1.0],
        [0.073573, 0.24276, 0.73565, 1.0],
        [0.073946, 0.24401, 0.73944, 1.0],
        [0.074319, 0.24526, 0.74322, 1.0],
        [0.0747, 0.24651, 0.74702, 1.0],
        [0.075082, 0.24778, 0.75083, 1.0],
        [0.075461, 0.24902, 0.75462, 1.0],
        [0.075841, 0.25026, 0.75841, 1.0],
        [0.076222, 0.25154, 0.76222, 1.0],
        [0.076602, 0.25279, 0.76602, 1.0],
        [0.076984, 0.25405, 0.76985, 1.0],
        [0.077365, 0.25531, 0.77365, 1.0],
        [0.077744, 0.25656, 0.77745, 1.0],
        [0.078128, 0.25781, 0.78128, 1.0],
        [0.078511, 0.25909, 0.78511, 1.0],
        [0.078893, 0.26035, 0.78893, 1.0],
        [0.079275, 0.26161, 0.79275, 1.0],
        [0.07966, 0.26288, 0.7966, 1.0],
        [0.080044, 0.26414, 0.80043, 1.0],
        [0.080427, 0.26541, 0.80427, 1.0],
        [0.08081, 0.26667, 0.80809, 1.0],
        [0.081193, 0.26794, 0.81194, 1.0],
        [0.081582, 0.26923, 0.81583, 1.0],
        [0.081967, 0.27049, 0.81966, 1.0],
        [0.082351, 0.27175, 0.8235, 1.0],
        [0.082734, 0.27303, 0.82736, 1.0],
        [0.08312, 0.2743, 0.83122, 1.0],
        [0.08351, 0.27558, 0.8351, 1.0],
        [0.083897, 0.27686, 0.83896, 1.0],
        [0.084288, 0.27814, 0.84284, 1.0],
        [0.084673, 0.27941, 0.84669, 1.0],
        [0.085055, 0.28068, 0.85055, 1.0],
        [0.085441, 0.28197, 0.85445, 1.0],
        [0.085828, 0.28325, 0.85832, 1.0],
        [0.086218, 0.28452, 0.8622, 1.0],
        [0.086607, 0.2858, 0.86608, 1.0],
        [0.087001, 0.28709, 0.86997, 1.0],
        [0.087391, 0.28838, 0.87388, 1.0],
        [0.087778, 0.28967, 0.87777, 1.0],
        [0.088167, 0.29095, 0.88168, 1.0],
        [0.088557, 0.29224, 0.88557, 1.0],
        [0.088947, 0.29352, 0.88947, 1.0],
        [0.089338, 0.29481, 0.89338, 1.0],
        [0.08973, 0.29611, 0.8973, 1.0],
        [0.090121, 0.29741, 0.90121, 1.0],
        [0.090513, 0.29869, 0.90514, 1.0],
        [0.090904, 0.29999, 0.90904, 1.0],
        [0.091296, 0.30128, 0.91296, 1.0],
        [0.09169, 0.30257, 0.91688, 1.0],
        [0.092085, 0.30387, 0.92081, 1.0],
        [0.092476, 0.30517, 0.92477, 1.0],
        [0.092866, 0.30647, 0.92868, 1.0],
        [0.093261, 0.30776, 0.93261, 1.0],
        [0.093659, 0.30908, 0.93659, 1.0],
        [0.094052, 0.31037, 0.94052, 1.0],
        [0.094445, 0.31167, 0.94445, 1.0],
        [0.094842, 0.31297, 0.9484, 1.0],
        [0.095238, 0.31428, 0.95235, 1.0],
        [0.095633, 0.31559, 0.95632, 1.0],
        [0.096025, 0.31689, 0.96026, 1.0],
        [0.096419, 0.31819, 0.96422, 1.0],
        [0.096817, 0.3195, 0.96819, 1.0],
        [0.097216, 0.32082, 0.97216, 1.0],
        [0.097613, 0.32212, 0.97613, 1.0],
        [0.098012, 0.32343, 0.9801, 1.0],
        [0.098407, 0.32474, 0.98406, 1.0],
        [0.098802, 0.32605, 0.98803, 1.0],
        [0.099201, 0.32737, 0.99202, 1.0],
        [0.099601, 0.32868, 0.99601, 1.0],
        [0.1, 0.33, 1, 1.0],
    ],
    'cet.linear_ternary_green_0_46_c42': [
        [0, 0, 0, 1.0],
        [0, 0.0035927, 0, 1.0],
        [0, 0.0071431, 1.452e-17, 1.0],
        [2.0473e-17, 0.010757, 3.0748e-17, 1.0],
        [8.1864e-21, 0.014524, 2.5379e-17, 1.0],
        [1.7446e-17, 0.018105, 6.1007e-18, 1.0],
        [4.169e-17, 0.021687, 5.0758e-17, 1.0],
        [0, 0.025284, 2.5867e-17, 1.0],
        [6.0593e-17, 0.028821, 1.8546e-17, 1.0],
        [0, 0.032444, 2.5867e-17, 1.0],
        [4.253e-17, 0.036221, 5.8567e-18, 1.0],
        [0, 0.039766, 1.269e-17, 1.0],
        [2.4692e-17, 0.043161, 2.6355e-17, 1.0],
        [1.4341e-16, 0.046597, 3.7093e-17, 1.0],
        [0, 0.049768, 1.9522e-17, 1.0],
        [5.3227e-17, 0.052749, 4.0997e-17, 1.0],
        [1.6012e-18, 0.055759, 0, 1.0],
        [0, 0.058542, 7.1257e-17, 1.0],
        [5.6429e-17, 0.061269, 3.1236e-17, 1.0],
        [6.2098e-17, 0.063951, 4.783e-17, 1.0],
        [1.3454e-16, 0.066548, 3.026e-17, 1.0],
        [1.454e-17, 0.069095, 2.3427e-17, 1.0],
        [0, 0.071498, 4.6854e-17, 1.0],
        [3.2058e-17, 0.07387, 3.9045e-18, 1.0],
        [1.6029e-16, 0.076086, 1.9522e-17, 1.0],
        [1.1606e-16, 0.07832, 5.271e-17, 1.0],
        [6.2194e-17, 0.080566, 1.3666e-17, 1.0],
        [0, 0.082735, 0, 1.0],
        [0, 0.084825, 0, 1.0],
        [0, 0.086923, 0, 1.0],
        [8.7753e-18, 0.088913, 4.0997e-17, 1.0],
        [4.5733e-17, 0.090908, 0, 1.0],
        [5.8543e-17, 0.092798, 0, 1.0],
        [7.9487e-17, 0.094766, 0, 1.0],
        [0, 0.096572, 0, 1.0],
        [0, 0.098465, 1.9522e-18, 1.0],
        [0, 0.10025, 0, 1.0],
        [4.9576e-17, 0.10204, 0, 1.0],
        [1.1817e-16, 0.10382, 0, 1.0],
        [1.1049e-16, 0.10552, 1.9522e-18, 1.0],
        [0, 0.10725, 0, 1.0],
        [0, 0.10892, 0, 1.0],
        [8.1348e-18, 0.11059, 4.2949e-17, 1.0],
        [1.5174e-16, 0.11222, 1.1713e-17, 1.0],
        [4.2384e-06, 0.11381, 5.6236e-07, 1.0],
        [1.619e-05, 0.11539, 2.1481e-06, 1.0],
        [1.6699e-05, 0.11698, 2.2156e-06, 1.0],
        [1.2756e-05, 0.11863, 1.6925e-06, 1.0],
        [9.7295e-06, 0.12018, 1.2909e-06, 1.0],
        [1.3177e-05, 0.12176, 1.7484e-06, 1.0],
        [1.6418e-05, 0.12338, 2.1783e-06, 1.0],
        [1.7338e-05, 0.12502, 2.3004e-06, 1.0],
        [1.6062e-05, 0.12662, 2.1312e-06, 1.0],
        [1.1099e-05, 0.12826, 1.4726e-06, 1.0],
        [8.2989e-06, 0.1299, 1.1011e-06, 1.0],
        [1.4157e-05, 0.1315, 1.8783e-06, 1.0],
        [1.7475e-05, 0.13312, 2.3186e-06, 1.0],
        [1.7885e-05, 0.13477, 2.373e-06, 1.0],
        [1.5761e-05, 0.13635, 2.0912e-06, 1.0],
        [1.1631e-05, 0.13803, 1.5432e-06, 1.0],
        [8.4045e-06, 0.13962, 1.1151e-06, 1.0],
        [1.4146e-05, 0.1413, 1.8769e-06, 1.0],
        [1.7579e-05, 0.14293, 2.3324e-06, 1.0],
        [1.8299e-05, 0.14458, 2.428e-06, 1.0],
        [1.7087e-05, 0.14621, 2.2671e-06, 1.0],
        [1.2461e-05, 0.14787, 1.6533e-06, 1.0],
        [9.2002e-06, 0.14954, 1.2207e-06, 1.0],
        [1.3439e-05, 0.15116, 1.7831e-06, 1.0],
        [1.7166e-05, 0.15281, 2.2777e-06, 1.0],
        [1.8547e-05, 0.15448, 2.4608e-06, 1.0],
        [1.8043e-05, 0.15618, 2.394e-06, 1.0],
        [1.5436e-05, 0.15782, 2.048e-06, 1.0],
        [1.1288e-05, 0.15947, 1.4977e-06, 1.0],
        [9.1088e-06, 0.16118, 1.2086e-06, 1.0],
        [1.463e-05, 0.16284, 1.9412e-06, 1.0],
        [1.7571e-05, 0.16452, 2.3725e-06, 1.0],
        [9.5709e-06, 0.16618, 2.3585e-06, 1.0],
        [0, 0.16786, 2.12e-06, 1.0],
        [0, 0.16957, 1.7933e-06, 1.0],
        [0, 0.17123, 1.2872e-06, 1.0],
        [0, 0.17292, 1.0023e-06, 1.0],
        [0, 0.17462, 1.66e-06, 1.0],
        [0, 0.17629, 2.0398e-06, 1.0],
        [0, 0.17804, 2.1855e-06, 1.0],
        [0, 0.1797, 2.2541e-06, 1.0],
        [0, 0.18139, 1.9666e-06, 1.0],
        [0, 0.18309, 1.524e-06, 1.0],
        [0, 0.18482, 1.1233e-06, 1.0],
        [0, 0.18653, 1.2478e-06, 1.0],
        [0, 0.18826, 1.8149e-06, 1.0],
        [0, 0.18994, 2.1666e-06, 1.0],
        [0, 0.19165, 2.2543e-06, 1.0],
        [0, 0.19339, 2.1978e-06, 1.0],
        [0, 0.1951, 2.0405e-06, 1.0],
        [0, 0.19684, 1.6279e-06, 1.0],
        [0, 0.19854, 1.1674e-06, 1.0],
        [0, 0.20025, 1.2082e-06, 1.0],
        [0, 0.20199, 1.6696e-06, 1.0],
        [0, 0.20375, 2.0125e-06, 1.0],
        [0, 0.20547, 2.2769e-06, 1.0],
        [0, 0.20722, 2.3292e-06, 1.0],
        [0, 0.20894, 2.1993e-06, 1.0],
        [0, 0.21069, 1.9215e-06, 1.0],
        [0, 0.21244, 1.5648e-06, 1.0],
        [0, 0.21419, 1.1031e-06, 1.0],
        [0, 0.21594, 1.1824e-06, 1.0],
        [0, 0.21768, 1.6796e-06, 1.0],
        [0, 0.21944, 2.0449e-06, 1.0],
        [0, 0.2212, 2.2667e-06, 1.0],
        [0, 0.22296, 2.3344e-06, 1.0],
        [0, 0.22468, 2.2953e-06, 1.0],
        [0, 0.22648, 2.1282e-06, 1.0],
        [0, 0.22824, 1.8455e-06, 1.0],
        [0, 0.22999, 1.3868e-06, 1.0],
        [0, 0.23177, 1.0492e-06, 1.0],
        [0, 0.23352, 1.2152e-06, 1.0],
        [0, 0.23533, 1.6192e-06, 1.0],
        [0, 0.2371, 2.0168e-06, 1.0],
        [0, 0.23885, 2.2741e-06, 1.0],
        [0, 0.24062, 2.3737e-06, 1.0],
        [0, 0.24241, 2.3904e-06, 1.0],
        [0, 0.24419, 2.2583e-06, 1.0],
        [0, 0.24598, 2.0443e-06, 1.0],
        [0, 0.24779, 1.7786e-06, 1.0],
        [0, 0.24956, 1.4126e-06, 1.0],
        [0, 0.25137, 1.0243e-06, 1.0],
        [0, 0.25316, 1.0702e-06, 1.0],
        [0, 0.25496, 1.5288e-06, 1.0],
        [0, 0.25675, 1.8855e-06, 1.0],
        [0, 0.25854, 2.1333e-06, 1.0],
        [0, 0.26035, 2.3139e-06, 1.0],
        [0, 0.26215, 2.3948e-06, 1.0],
        [0, 0.26397, 2.4069e-06, 1.0],
        [0, 0.26577, 2.301e-06, 1.0],
        [0, 0.26756, 2.1598e-06, 1.0],
        [0, 0.26941, 1.9587e-06, 1.0],
        [0, 0.2712, 1.6921e-06, 1.0],
        [0, 0.27302, 1.2675e-06, 1.0],
        [0, 0.27484, 9.345e-07, 1.0],
        [0, 0.27667, 1.0391e-06, 1.0],
        [0, 0.27848, 1.4548e-06, 1.0],
        [0, 0.2803, 1.7503e-06, 1.0],
        [0, 0.28214, 1.9921e-06, 1.0],
        [0, 0.28396, 2.2429e-06, 1.0],
        [0, 0.28578, 2.3368e-06, 1.0],
        [0, 0.28761, 2.387e-06, 1.0],
        [0, 0.28946, 2.4145e-06, 1.0],
        [0, 0.2913, 2.3634e-06, 1.0],
        [0, 0.29313, 2.3021e-06, 1.0],
        [0, 0.29497, 2.1385e-06, 1.0],
        [0, 0.29682, 1.9682e-06, 1.0],
        [0, 0.29866, 1.7236e-06, 1.0],
        [0, 0.3005, 1.4728e-06, 1.0],
        [0, 0.30234, 1.137e-06, 1.0],
        [0, 0.30421, 8.5235e-07, 1.0],
        [0, 0.30606, 9.2407e-07, 1.0],
        [0, 0.30791, 1.2303e-06, 1.0],
        [0, 0.30977, 1.5259e-06, 1.0],
        [0, 0.31161, 1.7664e-06, 1.0],
        [0, 0.31349, 1.8547e-06, 1.0],
        [0, 0.31534, 8.3145e-07, 1.0],
        [6.8048e-16, 0.31721, 9.3707e-17, 1.0],
        [3.4536e-16, 0.31907, 3.1236e-17, 1.0],
        [3.3512e-16, 0.32095, 6.2472e-17, 1.0],
        [1.0248e-17, 0.32282, 0, 1.0],
        [0, 0.32467, 6.2472e-17, 1.0],
        [0, 0.32654, 1.0933e-16, 1.0],
        [6.7536e-16, 0.32843, 1.0933e-16, 1.0],
        [7.4709e-16, 0.3303, 0, 1.0],
        [3.3512e-16, 0.33219, 6.2472e-17, 1.0],
        [6.9585e-16, 0.33407, 4.6854e-17, 1.0],
        [1.6756e-16, 0.33594, 3.1236e-17, 1.0],
        [8.4804e-16, 0.33782, 1.2494e-16, 1.0],
        [1.7781e-16, 0.33972, 0, 1.0],
        [0, 0.3416, 6.2472e-17, 1.0],
        [0, 0.34348, 0, 1.0],
        [7.2147e-16, 0.34538, 0, 1.0],
        [0, 0.34727, 0, 1.0],
        [0, 0.34917, 0, 1.0],
        [1.5731e-16, 0.35106, 6.2472e-17, 1.0],
        [6.4974e-16, 0.35296, 1.8741e-16, 1.0],
        [3.8636e-16, 0.35487, 0, 1.0],
        [2.0855e-16, 0.35676, 0, 1.0],
        [0, 0.35865, 0, 1.0],
        [3.1462e-16, 0.36055, 1.2494e-16, 1.0],
        [4.4119e-16, 0.36247, 2.8112e-16, 1.0],
        [5.1292e-16, 0.36437, 6.2472e-17, 1.0],
        [0, 0.3663, 0, 1.0],
        [6.8048e-16, 0.3682, 9.3707e-17, 1.0],
        [7.0098e-16, 0.3701, 3.1236e-17, 1.0],
        [2.9412e-16, 0.37202, 1.8741e-16, 1.0],
        [5.0268e-16, 0.37395, 9.3707e-17, 1.0],
        [0, 0.37586, 3.1236e-17, 1.0],
        [6.7023e-16, 0.37778, 1.2494e-16, 1.0],
        [0, 0.3797, 3.1236e-17, 1.0],
        [6.7023e-16, 0.38163, 1.2494e-16, 1.0],
        [8.5829e-16, 0.38356, 9.3707e-17, 1.0],
        [5.2317e-16, 0.38547, 3.1236e-17, 1.0],
        [1.0566e-15, 0.3874, 3.1236e-17, 1.0],
        [4.9243e-16, 0.38934, 1.2494e-16, 1.0],
        [0, 0.39128, 6.2472e-17, 1.0],
        [3.5561e-16, 0.3932, 0, 1.0],
        [1.0607e-16, 0.39514, 2.1865e-16, 1.0],
        [0, 0.39707, 9.3707e-17, 1.0],
        [2.0855e-16, 0.39901, 0, 1.0],
        [1.2037e-15, 0.40097, 1.2494e-16, 1.0],
        [9.951e-16, 0.4029, 2.1865e-16, 1.0],
        [1.1934e-15, 0.40484, 1.5618e-16, 1.0],
        [0, 0.40679, 1.2494e-16, 1.0],
        [0, 0.40874, 1.2494e-16, 1.0],
        [0, 0.41069, 0, 1.0],
        [1.3507e-15, 0.41264, 2.1865e-16, 1.0],
        [1.0258e-15, 0.41458, 1.2494e-16, 1.0],
        [3.1462e-16, 0.41654, 1.2494e-16, 1.0],
        [1.3815e-15, 0.41849, 1.2494e-16, 1.0],
        [6.9073e-16, 0.42045, 6.2472e-17, 1.0],
        [7.0098e-16, 0.4224, 3.1236e-17, 1.0],
        [6.0875e-16, 0.42437, 3.1236e-16, 1.0],
        [3.4536e-16, 0.42633, 3.1236e-17, 1.0],
        [9.3361e-16, 0.4283, 4.0607e-16, 1.0],
        [7.0098e-16, 0.43026, 3.1236e-17, 1.0],
        [1.3507e-15, 0.43223, 2.1865e-16, 1.0],
        [1.0258e-15, 0.43419, 1.2494e-16, 1.0],
        [1.3712e-15, 0.43617, 1.5618e-16, 1.0],
        [5.4726e-16, 0.43814, 4.9977e-16, 1.0],
        [7.1123e-16, 0.44011, 0, 1.0],
        [1.7063e-15, 0.44209, 2.1865e-16, 1.0],
        [6.3949e-16, 0.44406, 2.1865e-16, 1.0],
        [3.4536e-16, 0.44603, 3.1236e-17, 1.0],
        [6.1488e-17, 0.44801, 0, 1.0],
        [4.4784e-16, 0.45, 0, 1.0],
        [1.0566e-15, 0.45199, 3.1236e-17, 1.0],
        [1.0463e-15, 0.45396, 6.2472e-17, 1.0],
        [6.7023e-16, 0.45594, 1.2494e-16, 1.0],
        [1.0668e-15, 0.45793, 0, 1.0],
        [9.951e-16, 0.45992, 2.1865e-16, 1.0],
        [7.4197e-16, 0.46191, 0, 1.0],
        [1.1181e-15, 0.46391, 0, 1.0],
        [9.6436e-16, 0.46589, 3.1236e-16, 1.0],
        [1.2585e-15, 0.46789, 4.9977e-16, 1.0],
        [1.3815e-15, 0.46989, 1.2494e-16, 1.0],
        [6.7023e-16, 0.47189, 1.2494e-16, 1.0],
        [3.5561e-16, 0.47388, 0, 1.0],
        [2.0722e-15, 0.47589, 1.8741e-16, 1.0],
        [1.1078e-15, 0.47788, 0, 1.0],
        [1.6346e-15, 0.4799, 4.373e-16, 1.0],
        [6.2924e-16, 0.4819, 2.4989e-16, 1.0],
        [1.6756e-15, 0.48389, 3.1236e-16, 1.0],
        [1.402e-15, 0.48591, 6.2472e-17, 1.0],
        [1.0668e-15, 0.48793, 0, 1.0],
        [0, 0.48992, 0, 1.0],
        [0, 0.49195, 2.4989e-16, 1.0],
        [6.7023e-16, 0.49395, 1.2494e-16, 1.0],
        [1.4429e-15, 0.49597, 0, 1.0],
        [2.7363e-16, 0.498, 2.4989e-16, 1.0],
        [7.1123e-16, 0.5, 0, 1.0],
    ],
    'cet.linear_ternary_red_0_50_c52': [
        [0, 0, 0, 1.0],
        [0.0080248, 0.0015152, 4.5084e-17, 1.0],
        [0.016166, 0.0030536, 0, 1.0],
        [0.024126, 0.0045572, 6.0397e-18, 1.0],
        [0.032164, 0.0060809, 1.6594e-17, 1.0],
        [0.040345, 0.0076161, 0, 1.0],
        [0.047917, 0.0090568, 0, 1.0],
        [0.055209, 0.010404, 3.9777e-17, 1.0],
        [0.06236, 0.011803, 0, 1.0],
        [0.068888, 0.012988, 0, 1.0],
        [0.074917, 0.014153, 0, 1.0],
        [0.080792, 0.015256, 5.8811e-17, 1.0],
        [0.086386, 0.016319, 8.7851e-18, 1.0],
        [0.091832, 0.017341, 0, 1.0],
        [0.096947, 0.018317, 0, 1.0],
        [0.10199, 0.019262, 2.1475e-17, 1.0],
        [0.10688, 0.020182, 0, 1.0],
        [0.11156, 0.021071, 4.2461e-17, 1.0],
        [0.11612, 0.021929, 0, 1.0],
        [0.12051, 0.022761, 0, 1.0],
        [0.12482, 0.023572, 0, 1.0],
        [0.12901, 0.024369, 0, 1.0],
        [0.13312, 0.025144, 0, 1.0],
        [0.13712, 0.025899, 2.9284e-17, 1.0],
        [0.14104, 0.026637, 0, 1.0],
        [0.14484, 0.027362, 0, 1.0],
        [0.14852, 0.028076, 0, 1.0],
        [0.15218, 0.028765, 0, 1.0],
        [0.15579, 0.029444, 0, 1.0],
        [0.15929, 0.03011, 0, 1.0],
        [0.16274, 0.03076, 0, 1.0],
        [0.16612, 0.031401, 0, 1.0],
        [0.16947, 0.032031, 0, 1.0],
        [0.17271, 0.032655, 0, 1.0],
        [0.1759, 0.033257, 0, 1.0],
        [0.17909, 0.033824, 0, 1.0],
        [0.18223, 0.034436, 0, 1.0],
        [0.18542, 0.035067, 0, 1.0],
        [0.18847, 0.03563, 0, 1.0],
        [0.19142, 0.03617, 0, 1.0],
        [0.19437, 0.036729, 0, 1.0],
        [0.19725, 0.037267, 5.4019e-07, 1.0],
        [0.20012, 0.037802, 1.2837e-06, 1.0],
        [0.20303, 0.038349, 9.9959e-07, 1.0],
        [0.20594, 0.038898, 7.7892e-07, 1.0],
        [0.20884, 0.039449, 9.7112e-07, 1.0],
        [0.21176, 0.039999, 1.2788e-06, 1.0],
        [0.21466, 0.040546, 1.373e-06, 1.0],
        [0.21761, 0.0411, 1.2556e-06, 1.0],
        [0.22057, 0.041669, 9.5959e-07, 1.0],
        [0.22346, 0.042219, 8.1372e-07, 1.0],
        [0.22635, 0.042741, 1.1485e-06, 1.0],
        [0.22925, 0.043284, 1.3628e-06, 1.0],
        [0.23223, 0.04386, 1.3699e-06, 1.0],
        [0.23522, 0.044439, 1.2685e-06, 1.0],
        [0.23815, 0.045002, 1.0271e-06, 1.0],
        [0.24106, 0.045522, 7.9582e-07, 1.0],
        [0.24401, 0.046076, 1.0449e-06, 1.0],
        [0.24701, 0.046672, 1.3237e-06, 1.0],
        [0.24995, 0.047232, 1.4871e-06, 1.0],
        [0.25293, 0.047749, 1.4007e-06, 1.0],
        [0.25591, 0.048339, 1.1191e-06, 1.0],
        [0.25894, 0.048928, 8.5433e-07, 1.0],
        [0.26191, 0.049479, 9.2045e-07, 1.0],
        [0.26486, 0.050025, 1.3084e-06, 1.0],
        [0.26783, 0.05059, 1.4958e-06, 1.0],
        [0.27084, 0.051156, 1.5067e-06, 1.0],
        [0.27383, 0.051721, 1.3409e-06, 1.0],
        [0.27682, 0.052289, 1.0257e-06, 1.0],
        [0.27983, 0.052858, 7.8803e-07, 1.0],
        [0.28284, 0.053424, 1.0814e-06, 1.0],
        [0.28584, 0.053993, 1.3794e-06, 1.0],
        [0.28888, 0.054565, 1.5209e-06, 1.0],
        [0.2919, 0.055134, 1.522e-06, 1.0],
        [0.29494, 0.055708, 1.3561e-06, 1.0],
        [0.29798, 0.056296, 1.0594e-06, 1.0],
        [0.30101, 0.056866, 8.5564e-07, 1.0],
        [0.30401, 0.057414, 1.0969e-06, 1.0],
        [0.30705, 0.057986, 1.3643e-06, 1.0],
        [0.31013, 0.05858, 1.5001e-06, 1.0],
        [0.3132, 0.05917, 1.5634e-06, 1.0],
        [0.31627, 0.059754, 1.4993e-06, 1.0],
        [0.31931, 0.06032, 1.2688e-06, 1.0],
        [0.32234, 0.060876, 9.3009e-07, 1.0],
        [0.32538, 0.061448, 8.4705e-07, 1.0],
        [0.32848, 0.062046, 1.1943e-06, 1.0],
        [0.33157, 0.06265, 1.4594e-06, 1.0],
        [0.33467, 0.06322, 1.6339e-06, 1.0],
        [0.33772, 0.063788, 1.6369e-06, 1.0],
        [0.3408, 0.064374, 1.4847e-06, 1.0],
        [0.34388, 0.064956, 1.2226e-06, 1.0],
        [0.34698, 0.065538, 8.9134e-07, 1.0],
        [0.35008, 0.066125, 8.5068e-07, 1.0],
        [0.35318, 0.066712, 1.2269e-06, 1.0],
        [0.35629, 0.067299, 1.4894e-06, 1.0],
        [0.35939, 0.067883, 1.6295e-06, 1.0],
        [0.36252, 0.068473, 1.6472e-06, 1.0],
        [0.36565, 0.069079, 1.5852e-06, 1.0],
        [0.36876, 0.069658, 1.4248e-06, 1.0],
        [0.37185, 0.070223, 1.0684e-06, 1.0],
        [0.37498, 0.070835, 7.9019e-07, 1.0],
        [0.37813, 0.071435, 1.022e-06, 1.0],
        [0.38125, 0.072005, 1.3647e-06, 1.0],
        [0.38438, 0.072592, 1.5517e-06, 1.0],
        [0.38754, 0.073217, 1.6548e-06, 1.0],
        [0.39069, 0.073807, 1.7253e-06, 1.0],
        [0.39382, 0.074384, 1.6463e-06, 1.0],
        [0.39695, 0.074981, 1.4452e-06, 1.0],
        [0.40011, 0.075576, 1.1513e-06, 1.0],
        [0.40327, 0.076172, 8.5042e-07, 1.0],
        [0.40643, 0.076769, 8.941e-07, 1.0],
        [0.40959, 0.077367, 1.2367e-06, 1.0],
        [0.41277, 0.077967, 1.4894e-06, 1.0],
        [0.41594, 0.078566, 1.6548e-06, 1.0],
        [0.41912, 0.079167, 1.728e-06, 1.0],
        [0.4223, 0.079769, 1.7184e-06, 1.0],
        [0.4255, 0.080371, 1.6249e-06, 1.0],
        [0.4287, 0.080974, 1.4674e-06, 1.0],
        [0.43192, 0.081588, 1.2356e-06, 1.0],
        [0.43512, 0.082195, 9.4259e-07, 1.0],
        [0.43828, 0.08278, 7.201e-07, 1.0],
        [0.4415, 0.083388, 1.052e-06, 1.0],
        [0.44472, 0.084012, 1.3338e-06, 1.0],
        [0.44791, 0.084617, 1.593e-06, 1.0],
        [0.45112, 0.085205, 1.7373e-06, 1.0],
        [0.45433, 0.085801, 1.7608e-06, 1.0],
        [0.45756, 0.086427, 1.7212e-06, 1.0],
        [0.4608, 0.087056, 1.6842e-06, 1.0],
        [0.46404, 0.087652, 1.5738e-06, 1.0],
        [0.46727, 0.088257, 1.3578e-06, 1.0],
        [0.47049, 0.088871, 1.1045e-06, 1.0],
        [0.47373, 0.089482, 8.1745e-07, 1.0],
        [0.47697, 0.090095, 7.8044e-07, 1.0],
        [0.48022, 0.090707, 1.0884e-06, 1.0],
        [0.48348, 0.091327, 1.3399e-06, 1.0],
        [0.48673, 0.091949, 1.5673e-06, 1.0],
        [0.48996, 0.092545, 1.7249e-06, 1.0],
        [0.49321, 0.093154, 1.7614e-06, 1.0],
        [0.49649, 0.093784, 1.7613e-06, 1.0],
        [0.49977, 0.094411, 1.763e-06, 1.0],
        [0.50305, 0.095031, 1.7236e-06, 1.0],
        [0.50631, 0.09564, 1.6147e-06, 1.0],
        [0.50957, 0.096244, 1.4163e-06, 1.0],
        [0.51285, 0.096865, 1.1666e-06, 1.0],
        [0.51615, 0.097503, 9.3008e-07, 1.0],
        [0.51945, 0.098123, 7.3324e-07, 1.0],
        [0.52274, 0.098737, 8.3616e-07, 1.0],
        [0.52603, 0.099359, 1.0957e-06, 1.0],
        [0.52932, 0.099983, 1.3165e-06, 1.0],
        [0.53262, 0.10061, 1.4935e-06, 1.0],
        [0.53592, 0.10123, 1.6285e-06, 1.0],
        [0.53923, 0.10185, 1.7225e-06, 1.0],
        [0.54255, 0.10248, 1.7716e-06, 1.0],
        [0.54588, 0.10311, 1.8035e-06, 1.0],
        [0.54919, 0.10374, 1.8308e-06, 1.0],
        [0.55249, 0.10435, 1.7782e-06, 1.0],
        [0.5558, 0.10498, 1.6557e-06, 1.0],
        [0.55915, 0.10562, 1.5548e-06, 1.0],
        [0.56251, 0.10626, 1.4434e-06, 1.0],
        [0.56583, 0.10688, 1.3031e-06, 1.0],
        [0.56915, 0.10751, 1.1028e-06, 1.0],
        [0.57249, 0.10813, 8.5642e-07, 1.0],
        [0.57584, 0.10877, 6.5276e-07, 1.0],
        [0.57921, 0.10941, 6.6729e-07, 1.0],
        [0.58255, 0.11004, 8.9887e-07, 1.0],
        [0.58591, 0.11067, 1.1025e-06, 1.0],
        [0.58925, 0.1113, 1.264e-06, 1.0],
        [0.59262, 0.11194, 1.3991e-06, 1.0],
        [0.59599, 0.11257, 1.5204e-06, 1.0],
        [0.59936, 0.11322, 1.6369e-06, 1.0],
        [0.60271, 0.11385, 1.7384e-06, 1.0],
        [0.60606, 0.11447, 1.7667e-06, 1.0],
        [0.60945, 0.11512, 1.7698e-06, 1.0],
        [0.61284, 0.11576, 1.7921e-06, 1.0],
        [0.61623, 0.11641, 1.8189e-06, 1.0],
        [0.6196, 0.11703, 1.7927e-06, 1.0],
        [0.62299, 0.11767, 1.7298e-06, 1.0],
        [0.62639, 0.11833, 1.7048e-06, 1.0],
        [0.62978, 0.11896, 1.6692e-06, 1.0],
        [0.63317, 0.1196, 1.5768e-06, 1.0],
        [0.63657, 0.12024, 1.4791e-06, 1.0],
        [0.63997, 0.12088, 1.3801e-06, 1.0],
        [0.64337, 0.12153, 1.2686e-06, 1.0],
        [0.64679, 0.12217, 1.1466e-06, 1.0],
        [0.65019, 0.12281, 1.0261e-06, 1.0],
        [0.65362, 0.12346, 8.8816e-07, 1.0],
        [0.65704, 0.12411, 7.6247e-07, 1.0],
        [0.66046, 0.12475, 6.252e-07, 1.0],
        [0.6639, 0.1254, 5.0813e-07, 1.0],
        [0.66734, 0.12605, 5.4766e-07, 1.0],
        [0.67075, 0.12669, 4.2573e-07, 1.0],
        [0.67419, 0.12734, 2.3855e-08, 1.0],
        [0.67764, 0.128, 0, 1.0],
        [0.68106, 0.12864, 0, 1.0],
        [0.68451, 0.12929, 0, 1.0],
        [0.68797, 0.12996, 0, 1.0],
        [0.69142, 0.13061, 0, 1.0],
        [0.69486, 0.13125, 0, 1.0],
        [0.69832, 0.1319, 0, 1.0],
        [0.70177, 0.13256, 0, 1.0],
        [0.70524, 0.13321, 0, 1.0],
        [0.70871, 0.13387, 0, 1.0],
        [0.71218, 0.13453, 0, 1.0],
        [0.71565, 0.13518, 0, 1.0],
        [0.7191, 0.13582, 0, 1.0],
        [0.72258, 0.13648, 0, 1.0],
        [0.72607, 0.13715, 0, 1.0],
        [0.72956, 0.13781, 0, 1.0],
        [0.73304, 0.13847, 0, 1.0],
        [0.73651, 0.13912, 0, 1.0],
        [0.74001, 0.13977, 0, 1.0],
        [0.74351, 0.14044, 0, 1.0],
        [0.74701, 0.14111, 0, 1.0],
        [0.75051, 0.14176, 0, 1.0],
        [0.75401, 0.14242, 0, 1.0],
        [0.75751, 0.14309, 0, 1.0],
        [0.76102, 0.14375, 0, 1.0],
        [0.76454, 0.14441, 0, 1.0],
        [0.76805, 0.14508, 0, 1.0],
        [0.77157, 0.14575, 0, 1.0],
        [0.77507, 0.1464, 0, 1.0],
        [0.7786, 0.14707, 0, 1.0],
        [0.78213, 0.14774, 0, 1.0],
        [0.78565, 0.14839, 0, 1.0],
        [0.78919, 0.14907, 0, 1.0],
        [0.79273, 0.14975, 0, 1.0],
        [0.79625, 0.1504, 0, 1.0],
        [0.7998, 0.15107, 0, 1.0],
        [0.80333, 0.15174, 0, 1.0],
        [0.80688, 0.15241, 0, 1.0],
        [0.81042, 0.15308, 0, 1.0],
        [0.81397, 0.15375, 0, 1.0],
        [0.81752, 0.15442, 0, 1.0],
        [0.82108, 0.15509, 0, 1.0],
        [0.82465, 0.15577, 0, 1.0],
        [0.82821, 0.15645, 0, 1.0],
        [0.83177, 0.15711, 0, 1.0],
        [0.83534, 0.15778, 0, 1.0],
        [0.83891, 0.15847, 0, 1.0],
        [0.84248, 0.15914, 0, 1.0],
        [0.84604, 0.1598, 0, 1.0],
        [0.84963, 0.16048, 0, 1.0],
        [0.85322, 0.16117, 0, 1.0],
        [0.8568, 0.16184, 0, 1.0],
        [0.86038, 0.16251, 0, 1.0],
        [0.86398, 0.16319, 0, 1.0],
        [0.86757, 0.16388, 0, 1.0],
        [0.87115, 0.16455, 0, 1.0],
        [0.87473, 0.16523, 0, 1.0],
        [0.87834, 0.16591, 0, 1.0],
        [0.88196, 0.16659, 0, 1.0],
        [0.88556, 0.16727, 0, 1.0],
        [0.88915, 0.16795, 0, 1.0],
        [0.89277, 0.16863, 0, 1.0],
        [0.89639, 0.16932, 0, 1.0],
        [0.9, 0.17, 2.0303e-16, 1.0],
    ],
    'cet.linear_tritanopic_krjcw_5_95_c24': [
        [0.066001, 0.066024, 0.066019, 1.0],
        [0.076759, 0.067596, 0.06602, 1.0],
        [0.086416, 0.069198, 0.066054, 1.0],
        [0.095198, 0.070651, 0.066121, 1.0],
        [0.10321, 0.072161, 0.066221, 1.0],
        [0.11063, 0.073753, 0.066367, 1.0],
        [0.1176, 0.075172, 0.066552, 1.0],
        [0.12457, 0.076447, 0.066783, 1.0],
        [0.13159, 0.077536, 0.067062, 1.0],
        [0.13857, 0.078462, 0.067395, 1.0],
        [0.14552, 0.079356, 0.067762, 1.0],
        [0.15233, 0.080233, 0.068159, 1.0],
        [0.15915, 0.081098, 0.068594, 1.0],
        [0.16589, 0.081959, 0.069059, 1.0],
        [0.17259, 0.082719, 0.06953, 1.0],
        [0.17925, 0.083516, 0.069981, 1.0],
        [0.18588, 0.084338, 0.070485, 1.0],
        [0.19242, 0.085059, 0.071081, 1.0],
        [0.19893, 0.085781, 0.07166, 1.0],
        [0.20543, 0.086603, 0.072227, 1.0],
        [0.21189, 0.087401, 0.072907, 1.0],
        [0.21829, 0.088131, 0.073607, 1.0],
        [0.22463, 0.088885, 0.074252, 1.0],
        [0.231, 0.089646, 0.074934, 1.0],
        [0.23731, 0.090422, 0.075663, 1.0],
        [0.24354, 0.091225, 0.076415, 1.0],
        [0.24976, 0.092019, 0.077197, 1.0],
        [0.25596, 0.092759, 0.078008, 1.0],
        [0.26213, 0.093597, 0.078847, 1.0],
        [0.26825, 0.094494, 0.079718, 1.0],
        [0.27433, 0.095356, 0.080621, 1.0],
        [0.28037, 0.09619, 0.081571, 1.0],
        [0.28637, 0.097128, 0.082482, 1.0],
        [0.29236, 0.098132, 0.0834, 1.0],
        [0.29828, 0.099086, 0.084431, 1.0],
        [0.30418, 0.1001, 0.085383, 1.0],
        [0.31004, 0.10117, 0.086488, 1.0],
        [0.31584, 0.1023, 0.087649, 1.0],
        [0.32157, 0.10349, 0.08879, 1.0],
        [0.32728, 0.10464, 0.09, 1.0],
        [0.33296, 0.10596, 0.091278, 1.0],
        [0.33857, 0.10728, 0.09253, 1.0],
        [0.34413, 0.10861, 0.093897, 1.0],
        [0.34966, 0.11011, 0.095321, 1.0],
        [0.35514, 0.11159, 0.096697, 1.0],
        [0.36052, 0.11318, 0.098274, 1.0],
        [0.36589, 0.11474, 0.099798, 1.0],
        [0.37118, 0.1165, 0.10141, 1.0],
        [0.37644, 0.11829, 0.1031, 1.0],
        [0.38162, 0.1201, 0.10476, 1.0],
        [0.38674, 0.12201, 0.10662, 1.0],
        [0.39181, 0.12403, 0.10839, 1.0],
        [0.3968, 0.12616, 0.11034, 1.0],
        [0.40174, 0.12831, 0.11228, 1.0],
        [0.40662, 0.13059, 0.11425, 1.0],
        [0.41142, 0.1329, 0.11638, 1.0],
        [0.41615, 0.13531, 0.11853, 1.0],
        [0.4208, 0.13784, 0.12068, 1.0],
        [0.42539, 0.14042, 0.12295, 1.0],
        [0.42989, 0.1431, 0.12533, 1.0],
        [0.43431, 0.14588, 0.12775, 1.0],
        [0.43865, 0.1487, 0.13027, 1.0],
        [0.44292, 0.15165, 0.13279, 1.0],
        [0.44708, 0.15469, 0.13541, 1.0],
        [0.45117, 0.15782, 0.13815, 1.0],
        [0.45516, 0.16105, 0.14093, 1.0],
        [0.45906, 0.16436, 0.14377, 1.0],
        [0.46285, 0.16774, 0.14669, 1.0],
        [0.46656, 0.17122, 0.14975, 1.0],
        [0.47016, 0.17481, 0.15281, 1.0],
        [0.47364, 0.17847, 0.15604, 1.0],
        [0.47702, 0.18218, 0.15929, 1.0],
        [0.48029, 0.18606, 0.16268, 1.0],
        [0.48344, 0.18996, 0.16612, 1.0],
        [0.48647, 0.194, 0.16969, 1.0],
        [0.48937, 0.19807, 0.17331, 1.0],
        [0.49215, 0.20226, 0.17707, 1.0],
        [0.49478, 0.20657, 0.18089, 1.0],
        [0.49728, 0.21091, 0.18487, 1.0],
        [0.49962, 0.21535, 0.18892, 1.0],
        [0.50184, 0.2199, 0.19307, 1.0],
        [0.50389, 0.22448, 0.19734, 1.0],
        [0.50577, 0.2292, 0.2017, 1.0],
        [0.50751, 0.23398, 0.20623, 1.0],
        [0.50907, 0.23884, 0.21081, 1.0],
        [0.51044, 0.24378, 0.21554, 1.0],
        [0.51162, 0.24884, 0.22041, 1.0],
        [0.51261, 0.25395, 0.22538, 1.0],
        [0.5134, 0.25916, 0.23048, 1.0],
        [0.51398, 0.26442, 0.23575, 1.0],
        [0.51435, 0.26979, 0.24111, 1.0],
        [0.51448, 0.27521, 0.24662, 1.0],
        [0.51437, 0.28071, 0.2523, 1.0],
        [0.51411, 0.28625, 0.25803, 1.0],
        [0.51379, 0.29179, 0.26385, 1.0],
        [0.51341, 0.29727, 0.26966, 1.0],
        [0.51298, 0.3027, 0.2755, 1.0],
        [0.51251, 0.30813, 0.28135, 1.0],
        [0.51199, 0.31353, 0.28724, 1.0],
        [0.51142, 0.31889, 0.29316, 1.0],
        [0.51079, 0.32422, 0.29912, 1.0],
        [0.51011, 0.32956, 0.30508, 1.0],
        [0.50938, 0.33486, 0.31108, 1.0],
        [0.5086, 0.34012, 0.31709, 1.0],
        [0.50775, 0.34537, 0.32314, 1.0],
        [0.50684, 0.35061, 0.32922, 1.0],
        [0.50587, 0.35583, 0.33531, 1.0],
        [0.50486, 0.36102, 0.34142, 1.0],
        [0.50378, 0.36622, 0.34757, 1.0],
        [0.50263, 0.37137, 0.35373, 1.0],
        [0.50143, 0.37655, 0.35993, 1.0],
        [0.50014, 0.38168, 0.36616, 1.0],
        [0.49881, 0.3868, 0.37239, 1.0],
        [0.4974, 0.39193, 0.37867, 1.0],
        [0.49591, 0.39703, 0.38496, 1.0],
        [0.49437, 0.40213, 0.39129, 1.0],
        [0.49274, 0.40722, 0.39763, 1.0],
        [0.49106, 0.41231, 0.404, 1.0],
        [0.48927, 0.41738, 0.4104, 1.0],
        [0.48743, 0.42242, 0.41681, 1.0],
        [0.48548, 0.42749, 0.42325, 1.0],
        [0.48347, 0.43253, 0.42972, 1.0],
        [0.48137, 0.43757, 0.43622, 1.0],
        [0.47919, 0.4426, 0.44274, 1.0],
        [0.47691, 0.44761, 0.44928, 1.0],
        [0.47455, 0.45265, 0.45584, 1.0],
        [0.47208, 0.45765, 0.46242, 1.0],
        [0.46953, 0.46265, 0.46905, 1.0],
        [0.46686, 0.46766, 0.47569, 1.0],
        [0.4641, 0.47266, 0.48235, 1.0],
        [0.46122, 0.47765, 0.48903, 1.0],
        [0.45824, 0.48264, 0.49574, 1.0],
        [0.45516, 0.48764, 0.50247, 1.0],
        [0.45195, 0.49261, 0.50924, 1.0],
        [0.44861, 0.4976, 0.51601, 1.0],
        [0.44515, 0.50256, 0.52283, 1.0],
        [0.44156, 0.50754, 0.52966, 1.0],
        [0.43784, 0.51251, 0.53652, 1.0],
        [0.43396, 0.51748, 0.54339, 1.0],
        [0.42996, 0.52244, 0.55029, 1.0],
        [0.42579, 0.52741, 0.55723, 1.0],
        [0.42146, 0.53237, 0.56417, 1.0],
        [0.41699, 0.53734, 0.57114, 1.0],
        [0.41232, 0.54229, 0.57814, 1.0],
        [0.40747, 0.54724, 0.58517, 1.0],
        [0.40242, 0.55221, 0.59222, 1.0],
        [0.39719, 0.55717, 0.59928, 1.0],
        [0.39174, 0.56212, 0.60637, 1.0],
        [0.38606, 0.56707, 0.61348, 1.0],
        [0.38015, 0.57202, 0.62063, 1.0],
        [0.37399, 0.57698, 0.62779, 1.0],
        [0.36755, 0.58192, 0.63498, 1.0],
        [0.36082, 0.58688, 0.64219, 1.0],
        [0.3538, 0.59184, 0.64943, 1.0],
        [0.34645, 0.59679, 0.65668, 1.0],
        [0.33874, 0.60173, 0.66396, 1.0],
        [0.33063, 0.60669, 0.67126, 1.0],
        [0.32211, 0.61164, 0.67859, 1.0],
        [0.31313, 0.6166, 0.68595, 1.0],
        [0.30362, 0.62155, 0.69332, 1.0],
        [0.29356, 0.62651, 0.70072, 1.0],
        [0.28288, 0.63146, 0.70814, 1.0],
        [0.27144, 0.63642, 0.71558, 1.0],
        [0.2593, 0.64137, 0.72303, 1.0],
        [0.24667, 0.64629, 0.73039, 1.0],
        [0.23389, 0.65116, 0.7376, 1.0],
        [0.22104, 0.65597, 0.74465, 1.0],
        [0.20808, 0.66072, 0.75153, 1.0],
        [0.1951, 0.66542, 0.75824, 1.0],
        [0.182, 0.67007, 0.76479, 1.0],
        [0.16887, 0.67467, 0.7712, 1.0],
        [0.15562, 0.67922, 0.77745, 1.0],
        [0.14229, 0.68372, 0.78356, 1.0],
        [0.12889, 0.68819, 0.78952, 1.0],
        [0.11552, 0.69261, 0.79534, 1.0],
        [0.10223, 0.69697, 0.80102, 1.0],
        [0.089177, 0.7013, 0.80656, 1.0],
        [0.076371, 0.70558, 0.81196, 1.0],
        [0.064198, 0.70983, 0.81723, 1.0],
        [0.052839, 0.71403, 0.82238, 1.0],
        [0.04299, 0.7182, 0.82739, 1.0],
        [0.03571, 0.72233, 0.83229, 1.0],
        [0.031547, 0.72642, 0.83705, 1.0],
        [0.03119, 0.73048, 0.8417, 1.0],
        [0.034486, 0.7345, 0.84622, 1.0],
        [0.04152, 0.73848, 0.85063, 1.0],
        [0.051018, 0.74243, 0.85493, 1.0],
        [0.062365, 0.74634, 0.8591, 1.0],
        [0.074692, 0.75022, 0.86317, 1.0],
        [0.087754, 0.75407, 0.86712, 1.0],
        [0.10114, 0.75788, 0.87097, 1.0],
        [0.11477, 0.76166, 0.87471, 1.0],
        [0.12858, 0.76542, 0.87835, 1.0],
        [0.14243, 0.76913, 0.88188, 1.0],
        [0.15631, 0.77282, 0.88531, 1.0],
        [0.17014, 0.77648, 0.88864, 1.0],
        [0.18394, 0.7801, 0.89187, 1.0],
        [0.19772, 0.78369, 0.895, 1.0],
        [0.21146, 0.78726, 0.89803, 1.0],
        [0.22511, 0.79079, 0.90097, 1.0],
        [0.23873, 0.7943, 0.90381, 1.0],
        [0.25231, 0.79777, 0.90657, 1.0],
        [0.26582, 0.80121, 0.90923, 1.0],
        [0.27928, 0.80463, 0.9118, 1.0],
        [0.29269, 0.80802, 0.91428, 1.0],
        [0.3061, 0.81138, 0.91667, 1.0],
        [0.31942, 0.8147, 0.91897, 1.0],
        [0.33272, 0.818, 0.92118, 1.0],
        [0.34593, 0.82128, 0.92332, 1.0],
        [0.35912, 0.82452, 0.92537, 1.0],
        [0.37227, 0.82774, 0.92733, 1.0],
        [0.38537, 0.83093, 0.92922, 1.0],
        [0.39843, 0.83409, 0.93103, 1.0],
        [0.41145, 0.83723, 0.93276, 1.0],
        [0.42447, 0.84033, 0.9344, 1.0],
        [0.43746, 0.8434, 0.93597, 1.0],
        [0.45041, 0.84645, 0.93746, 1.0],
        [0.46332, 0.84948, 0.93888, 1.0],
        [0.47621, 0.85247, 0.94022, 1.0],
        [0.48906, 0.85544, 0.94148, 1.0],
        [0.50189, 0.85837, 0.94268, 1.0],
        [0.5147, 0.86129, 0.9438, 1.0],
        [0.52751, 0.86417, 0.94485, 1.0],
        [0.54029, 0.86702, 0.94582, 1.0],
        [0.55304, 0.86985, 0.94672, 1.0],
        [0.56577, 0.87266, 0.94757, 1.0],
        [0.57847, 0.87543, 0.94834, 1.0],
        [0.59116, 0.87818, 0.94904, 1.0],
        [0.60387, 0.88089, 0.94967, 1.0],
        [0.61655, 0.88358, 0.95023, 1.0],
        [0.6292, 0.88625, 0.95073, 1.0],
        [0.64184, 0.88888, 0.95117, 1.0],
        [0.65446, 0.89149, 0.95154, 1.0],
        [0.66709, 0.89407, 0.95184, 1.0],
        [0.67971, 0.89662, 0.95208, 1.0],
        [0.69232, 0.89914, 0.95225, 1.0],
        [0.70491, 0.90163, 0.95237, 1.0],
        [0.71749, 0.9041, 0.95243, 1.0],
        [0.73006, 0.90654, 0.95243, 1.0],
        [0.74265, 0.90894, 0.95235, 1.0],
        [0.75522, 0.91133, 0.95222, 1.0],
        [0.76776, 0.91368, 0.95204, 1.0],
        [0.78031, 0.916, 0.9518, 1.0],
        [0.79287, 0.9183, 0.9515, 1.0],
        [0.80542, 0.92056, 0.95113, 1.0],
        [0.81797, 0.9228, 0.95071, 1.0],
        [0.83051, 0.925, 0.95024, 1.0],
        [0.84304, 0.92718, 0.94971, 1.0],
        [0.85559, 0.92933, 0.94911, 1.0],
        [0.86813, 0.93144, 0.94847, 1.0],
        [0.88066, 0.93353, 0.94777, 1.0],
        [0.89318, 0.9356, 0.94703, 1.0],
        [0.90574, 0.93762, 0.94621, 1.0],
        [0.91828, 0.93962, 0.94535, 1.0],
        [0.93081, 0.94158, 0.94444, 1.0],
        [0.94334, 0.94353, 0.94348, 1.0],
    ],
    'cet.linear_tritanopic_krjcw_5_98_c46': [
        [0.066001, 0.066024, 0.066019, 1.0],
        [0.078225, 0.067325, 0.065441, 1.0],
        [0.089145, 0.068628, 0.064864, 1.0],
        [0.098951, 0.069855, 0.064281, 1.0],
        [0.10795, 0.071087, 0.063702, 1.0],
        [0.11636, 0.072248, 0.063142, 1.0],
        [0.12443, 0.073387, 0.062556, 1.0],
        [0.13261, 0.074138, 0.061908, 1.0],
        [0.14082, 0.07462, 0.061308, 1.0],
        [0.14899, 0.074903, 0.060792, 1.0],
        [0.15715, 0.075095, 0.060285, 1.0],
        [0.16526, 0.075197, 0.059744, 1.0],
        [0.17337, 0.075206, 0.059135, 1.0],
        [0.18144, 0.075118, 0.058479, 1.0],
        [0.18952, 0.074929, 0.057832, 1.0],
        [0.19757, 0.074639, 0.057263, 1.0],
        [0.20562, 0.074251, 0.056707, 1.0],
        [0.21365, 0.073764, 0.056064, 1.0],
        [0.22168, 0.073113, 0.055395, 1.0],
        [0.2297, 0.072287, 0.054742, 1.0],
        [0.23776, 0.071458, 0.054088, 1.0],
        [0.24577, 0.070377, 0.053435, 1.0],
        [0.25381, 0.069302, 0.052789, 1.0],
        [0.26183, 0.067939, 0.052151, 1.0],
        [0.26987, 0.066459, 0.051527, 1.0],
        [0.27787, 0.064849, 0.050918, 1.0],
        [0.28586, 0.063128, 0.050324, 1.0],
        [0.29385, 0.0611, 0.049773, 1.0],
        [0.30182, 0.059091, 0.049266, 1.0],
        [0.30978, 0.056819, 0.048734, 1.0],
        [0.31768, 0.05432, 0.048193, 1.0],
        [0.32554, 0.051716, 0.047758, 1.0],
        [0.33339, 0.049059, 0.047443, 1.0],
        [0.34115, 0.045994, 0.047203, 1.0],
        [0.34886, 0.0429, 0.047029, 1.0],
        [0.35651, 0.039762, 0.046938, 1.0],
        [0.36406, 0.036455, 0.046949, 1.0],
        [0.37153, 0.033025, 0.047066, 1.0],
        [0.37893, 0.029848, 0.047282, 1.0],
        [0.38622, 0.026784, 0.047594, 1.0],
        [0.39342, 0.023855, 0.048064, 1.0],
        [0.40053, 0.021083, 0.048744, 1.0],
        [0.40752, 0.018491, 0.049455, 1.0],
        [0.41441, 0.016096, 0.050213, 1.0],
        [0.4212, 0.013914, 0.051116, 1.0],
        [0.42791, 0.011974, 0.052114, 1.0],
        [0.43451, 0.010004, 0.053214, 1.0],
        [0.44102, 0.0085084, 0.054407, 1.0],
        [0.44746, 0.0072282, 0.055682, 1.0],
        [0.45383, 0.0061645, 0.056992, 1.0],
        [0.46012, 0.0053117, 0.058278, 1.0],
        [0.46636, 0.0046574, 0.059757, 1.0],
        [0.47255, 0.0041885, 0.061036, 1.0],
        [0.4787, 0.0038901, 0.062535, 1.0],
        [0.4848, 0.003747, 0.063902, 1.0],
        [0.4909, 0.0037436, 0.065296, 1.0],
        [0.49695, 0.0038647, 0.066699, 1.0],
        [0.50299, 0.0040958, 0.068108, 1.0],
        [0.50903, 0.0044251, 0.069543, 1.0],
        [0.51505, 0.004841, 0.070914, 1.0],
        [0.52106, 0.0053325, 0.07231, 1.0],
        [0.52708, 0.00589, 0.073829, 1.0],
        [0.53309, 0.006505, 0.075226, 1.0],
        [0.53911, 0.0071713, 0.076672, 1.0],
        [0.54514, 0.0078814, 0.07815, 1.0],
        [0.55117, 0.0086309, 0.07966, 1.0],
        [0.55722, 0.009427, 0.081199, 1.0],
        [0.56327, 0.010214, 0.082689, 1.0],
        [0.56932, 0.011173, 0.084233, 1.0],
        [0.57539, 0.012194, 0.085652, 1.0],
        [0.58147, 0.013064, 0.087261, 1.0],
        [0.58756, 0.014003, 0.088744, 1.0],
        [0.59367, 0.014954, 0.090266, 1.0],
        [0.59979, 0.015932, 0.091819, 1.0],
        [0.60591, 0.016934, 0.093269, 1.0],
        [0.61205, 0.017961, 0.094878, 1.0],
        [0.6182, 0.019014, 0.096325, 1.0],
        [0.62437, 0.020091, 0.097933, 1.0],
        [0.63054, 0.021195, 0.099434, 1.0],
        [0.63673, 0.022324, 0.10097, 1.0],
        [0.64292, 0.02348, 0.10253, 1.0],
        [0.64913, 0.024662, 0.10407, 1.0],
        [0.65534, 0.02587, 0.10563, 1.0],
        [0.66157, 0.027106, 0.10721, 1.0],
        [0.66781, 0.028369, 0.10873, 1.0],
        [0.67405, 0.02966, 0.11033, 1.0],
        [0.68031, 0.030979, 0.11189, 1.0],
        [0.68658, 0.032325, 0.11346, 1.0],
        [0.69287, 0.033673, 0.11497, 1.0],
        [0.69915, 0.035312, 0.11659, 1.0],
        [0.70546, 0.036723, 0.11817, 1.0],
        [0.71177, 0.03819, 0.11971, 1.0],
        [0.71809, 0.039682, 0.12127, 1.0],
        [0.72443, 0.041205, 0.12285, 1.0],
        [0.73077, 0.042628, 0.12445, 1.0],
        [0.73712, 0.044143, 0.12608, 1.0],
        [0.74349, 0.045602, 0.12765, 1.0],
        [0.74986, 0.047156, 0.12923, 1.0],
        [0.75624, 0.048669, 0.13087, 1.0],
        [0.76264, 0.050114, 0.13245, 1.0],
        [0.76904, 0.051566, 0.13406, 1.0],
        [0.77545, 0.053037, 0.13563, 1.0],
        [0.78188, 0.054536, 0.13727, 1.0],
        [0.78831, 0.05607, 0.13886, 1.0],
        [0.79476, 0.057476, 0.14049, 1.0],
        [0.80121, 0.05904, 0.1421, 1.0],
        [0.80767, 0.060497, 0.14372, 1.0],
        [0.81414, 0.061942, 0.14537, 1.0],
        [0.82063, 0.06346, 0.14695, 1.0],
        [0.82712, 0.064908, 0.14856, 1.0],
        [0.83363, 0.06638, 0.15023, 1.0],
        [0.84014, 0.067875, 0.15183, 1.0],
        [0.84665, 0.069402, 0.15346, 1.0],
        [0.85318, 0.070821, 0.15511, 1.0],
        [0.85972, 0.072295, 0.15677, 1.0],
        [0.86625, 0.073902, 0.15844, 1.0],
        [0.87278, 0.075433, 0.16006, 1.0],
        [0.8793, 0.077071, 0.1618, 1.0],
        [0.88581, 0.078831, 0.1635, 1.0],
        [0.89231, 0.080742, 0.16519, 1.0],
        [0.89877, 0.082767, 0.16701, 1.0],
        [0.9052, 0.084981, 0.16882, 1.0],
        [0.91157, 0.087474, 0.17068, 1.0],
        [0.91789, 0.090182, 0.17261, 1.0],
        [0.92411, 0.093217, 0.17466, 1.0],
        [0.93023, 0.096697, 0.17678, 1.0],
        [0.93623, 0.10069, 0.17905, 1.0],
        [0.94207, 0.10517, 0.18144, 1.0],
        [0.94772, 0.11031, 0.18404, 1.0],
        [0.95316, 0.11603, 0.18683, 1.0],
        [0.95834, 0.12238, 0.18985, 1.0],
        [0.96324, 0.12954, 0.19315, 1.0],
        [0.96781, 0.1374, 0.19676, 1.0],
        [0.97201, 0.14596, 0.20063, 1.0],
        [0.97581, 0.15522, 0.20494, 1.0],
        [0.97918, 0.16516, 0.2096, 1.0],
        [0.98208, 0.17576, 0.21468, 1.0],
        [0.98448, 0.18698, 0.22023, 1.0],
        [0.98634, 0.1987, 0.2262, 1.0],
        [0.98765, 0.21091, 0.23263, 1.0],
        [0.98839, 0.22353, 0.23956, 1.0],
        [0.98856, 0.23648, 0.24696, 1.0],
        [0.98815, 0.24967, 0.25486, 1.0],
        [0.98715, 0.26312, 0.26319, 1.0],
        [0.98557, 0.27669, 0.27197, 1.0],
        [0.98343, 0.29032, 0.28121, 1.0],
        [0.98073, 0.30401, 0.29087, 1.0],
        [0.97751, 0.31768, 0.3009, 1.0],
        [0.97377, 0.33127, 0.31131, 1.0],
        [0.96955, 0.34479, 0.32204, 1.0],
        [0.96488, 0.35817, 0.33309, 1.0],
        [0.95977, 0.37138, 0.34438, 1.0],
        [0.95425, 0.38442, 0.35595, 1.0],
        [0.94834, 0.39727, 0.36771, 1.0],
        [0.94208, 0.40993, 0.37968, 1.0],
        [0.93548, 0.42235, 0.39182, 1.0],
        [0.92854, 0.43458, 0.4041, 1.0],
        [0.92131, 0.44659, 0.41651, 1.0],
        [0.91378, 0.45838, 0.42903, 1.0],
        [0.90595, 0.46998, 0.44166, 1.0],
        [0.89784, 0.48135, 0.45437, 1.0],
        [0.88946, 0.49253, 0.46715, 1.0],
        [0.88079, 0.50352, 0.48, 1.0],
        [0.87184, 0.51435, 0.49289, 1.0],
        [0.86261, 0.52498, 0.50586, 1.0],
        [0.85307, 0.53545, 0.51889, 1.0],
        [0.84324, 0.54577, 0.53194, 1.0],
        [0.83309, 0.55592, 0.54505, 1.0],
        [0.82262, 0.56595, 0.55819, 1.0],
        [0.8118, 0.57585, 0.57138, 1.0],
        [0.80063, 0.58561, 0.58461, 1.0],
        [0.78908, 0.59524, 0.59787, 1.0],
        [0.77712, 0.60477, 0.61117, 1.0],
        [0.76474, 0.61418, 0.62451, 1.0],
        [0.75191, 0.62351, 0.63788, 1.0],
        [0.7386, 0.63271, 0.65128, 1.0],
        [0.7248, 0.64183, 0.6647, 1.0],
        [0.71047, 0.65084, 0.67815, 1.0],
        [0.69557, 0.65977, 0.6916, 1.0],
        [0.68008, 0.6686, 0.70507, 1.0],
        [0.66397, 0.67734, 0.71853, 1.0],
        [0.64719, 0.68598, 0.73198, 1.0],
        [0.6297, 0.69452, 0.74539, 1.0],
        [0.6115, 0.70298, 0.75876, 1.0],
        [0.59254, 0.71132, 0.77207, 1.0],
        [0.57278, 0.71956, 0.78528, 1.0],
        [0.55221, 0.72767, 0.79837, 1.0],
        [0.53079, 0.73566, 0.81131, 1.0],
        [0.50854, 0.74352, 0.82406, 1.0],
        [0.4854, 0.75124, 0.83659, 1.0],
        [0.46143, 0.75879, 0.84885, 1.0],
        [0.43661, 0.76618, 0.8608, 1.0],
        [0.41099, 0.77339, 0.8724, 1.0],
        [0.38459, 0.78041, 0.8836, 1.0],
        [0.35755, 0.78723, 0.89435, 1.0],
        [0.32991, 0.79384, 0.90461, 1.0],
        [0.30184, 0.80022, 0.91435, 1.0],
        [0.27364, 0.80637, 0.92353, 1.0],
        [0.24554, 0.81229, 0.93211, 1.0],
        [0.21813, 0.81797, 0.94008, 1.0],
        [0.19209, 0.82341, 0.94743, 1.0],
        [0.16858, 0.82862, 0.95413, 1.0],
        [0.14919, 0.83358, 0.96019, 1.0],
        [0.13588, 0.83831, 0.96563, 1.0],
        [0.13065, 0.84281, 0.97045, 1.0],
        [0.13412, 0.84709, 0.97469, 1.0],
        [0.14552, 0.85118, 0.97836, 1.0],
        [0.16281, 0.85507, 0.98151, 1.0],
        [0.18396, 0.85878, 0.98417, 1.0],
        [0.20739, 0.86233, 0.98639, 1.0],
        [0.23195, 0.86572, 0.9882, 1.0],
        [0.25692, 0.86898, 0.98965, 1.0],
        [0.28187, 0.87212, 0.99078, 1.0],
        [0.30652, 0.87515, 0.99163, 1.0],
        [0.33068, 0.87809, 0.99225, 1.0],
        [0.35429, 0.88095, 0.99266, 1.0],
        [0.37727, 0.88374, 0.99291, 1.0],
        [0.39958, 0.88647, 0.99301, 1.0],
        [0.42126, 0.88914, 0.99299, 1.0],
        [0.44232, 0.89178, 0.99288, 1.0],
        [0.46272, 0.89438, 0.99269, 1.0],
        [0.48256, 0.89695, 0.99244, 1.0],
        [0.50184, 0.8995, 0.99215, 1.0],
        [0.52057, 0.90202, 0.99181, 1.0],
        [0.53883, 0.90452, 0.99145, 1.0],
        [0.55662, 0.90701, 0.99107, 1.0],
        [0.57397, 0.90948, 0.99067, 1.0],
        [0.59094, 0.91194, 0.99025, 1.0],
        [0.60754, 0.9144, 0.98983, 1.0],
        [0.62378, 0.91684, 0.9894, 1.0],
        [0.63969, 0.91926, 0.98897, 1.0],
        [0.65529, 0.92169, 0.98853, 1.0],
        [0.67063, 0.92411, 0.98809, 1.0],
        [0.6857, 0.92651, 0.98766, 1.0],
        [0.70054, 0.92891, 0.98722, 1.0],
        [0.71516, 0.93131, 0.98677, 1.0],
        [0.72957, 0.93369, 0.98632, 1.0],
        [0.74379, 0.93607, 0.98587, 1.0],
        [0.75783, 0.93843, 0.98542, 1.0],
        [0.77171, 0.94079, 0.98497, 1.0],
        [0.78542, 0.94314, 0.98451, 1.0],
        [0.79899, 0.94548, 0.98405, 1.0],
        [0.81241, 0.94781, 0.98358, 1.0],
        [0.82571, 0.95014, 0.98312, 1.0],
        [0.83888, 0.95245, 0.98265, 1.0],
        [0.85194, 0.95476, 0.98218, 1.0],
        [0.86488, 0.95706, 0.98171, 1.0],
        [0.87771, 0.95935, 0.98123, 1.0],
        [0.89045, 0.96163, 0.98075, 1.0],
        [0.90309, 0.9639, 0.98027, 1.0],
        [0.91564, 0.96617, 0.97979, 1.0],
        [0.9281, 0.96843, 0.9793, 1.0],
        [0.94049, 0.97068, 0.97881, 1.0],
        [0.95279, 0.97292, 0.97831, 1.0],
        [0.96502, 0.97515, 0.97782, 1.0],
        [0.97718, 0.97737, 0.97732, 1.0],
    ],
    'cet.linear_wcmr_100_45_c42': [
        [0.99986, 1, 1, 1.0],
        [0.99494, 0.99813, 0.99962, 1.0],
        [0.99002, 0.9962, 0.99922, 1.0],
        [0.98509, 0.99428, 0.99882, 1.0],
        [0.98015, 0.99236, 0.99842, 1.0],
        [0.9752, 0.99043, 0.99802, 1.0],
        [0.97025, 0.9885, 0.99762, 1.0],
        [0.96528, 0.98658, 0.99722, 1.0],
        [0.96032, 0.98465, 0.99682, 1.0],
        [0.95535, 0.98273, 0.99642, 1.0],
        [0.95036, 0.9808, 0.99602, 1.0],
        [0.94538, 0.97887, 0.99561, 1.0],
        [0.94038, 0.97695, 0.99521, 1.0],
        [0.93537, 0.97502, 0.99481, 1.0],
        [0.93036, 0.9731, 0.9944, 1.0],
        [0.92534, 0.97117, 0.994, 1.0],
        [0.92031, 0.96925, 0.9936, 1.0],
        [0.91527, 0.96733, 0.99319, 1.0],
        [0.91023, 0.9654, 0.99278, 1.0],
        [0.90517, 0.96348, 0.99237, 1.0],
        [0.9001, 0.96155, 0.99196, 1.0],
        [0.89503, 0.95963, 0.99156, 1.0],
        [0.88994, 0.95771, 0.99115, 1.0],
        [0.88485, 0.95579, 0.99073, 1.0],
        [0.88066, 0.95357, 0.99084, 1.0],
        [0.87667, 0.95128, 0.99105, 1.0],
        [0.87268, 0.94899, 0.99126, 1.0],
        [0.86868, 0.9467, 0.99148, 1.0],
        [0.86467, 0.94442, 0.99169, 1.0],
        [0.86065, 0.94214, 0.99189, 1.0],
        [0.85663, 0.93985, 0.9921, 1.0],
        [0.8526, 0.93757, 0.99231, 1.0],
        [0.84855, 0.93529, 0.99251, 1.0],
        [0.84451, 0.93301, 0.99272, 1.0],
        [0.84045, 0.93074, 0.99292, 1.0],
        [0.83638, 0.92846, 0.99312, 1.0],
        [0.83231, 0.92619, 0.99332, 1.0],
        [0.82822, 0.92392, 0.99352, 1.0],
        [0.82413, 0.92165, 0.99372, 1.0],
        [0.82002, 0.91938, 0.99391, 1.0],
        [0.81592, 0.91712, 0.9941, 1.0],
        [0.81179, 0.91485, 0.9943, 1.0],
        [0.80766, 0.91258, 0.99449, 1.0],
        [0.80352, 0.91032, 0.99468, 1.0],
        [0.79937, 0.90806, 0.99487, 1.0],
        [0.79521, 0.9058, 0.99505, 1.0],
        [0.79104, 0.90354, 0.99524, 1.0],
        [0.78796, 0.901, 0.99546, 1.0],
        [0.78551, 0.89831, 0.99569, 1.0],
        [0.78305, 0.89562, 0.99593, 1.0],
        [0.78058, 0.89293, 0.99616, 1.0],
        [0.77812, 0.89024, 0.9964, 1.0],
        [0.77564, 0.88755, 0.99663, 1.0],
        [0.77316, 0.88487, 0.99686, 1.0],
        [0.77068, 0.88218, 0.99708, 1.0],
        [0.76819, 0.8795, 0.99731, 1.0],
        [0.7657, 0.87682, 0.99754, 1.0],
        [0.76319, 0.87414, 0.99776, 1.0],
        [0.76069, 0.87147, 0.99798, 1.0],
        [0.75818, 0.8688, 0.9982, 1.0],
        [0.75567, 0.86612, 0.99842, 1.0],
        [0.75314, 0.86345, 0.99864, 1.0],
        [0.75062, 0.86077, 0.99886, 1.0],
        [0.74809, 0.8581, 0.99908, 1.0],
        [0.74554, 0.85544, 0.99929, 1.0],
        [0.743, 0.85278, 0.9995, 1.0],
        [0.74045, 0.85011, 0.99971, 1.0],
        [0.73789, 0.84745, 0.99992, 1.0],
        [0.73533, 0.84479, 1, 1.0],
        [0.73276, 0.84213, 1, 1.0],
        [0.73115, 0.83926, 1, 1.0],
        [0.73071, 0.83615, 0.99995, 1.0],
        [0.73027, 0.83303, 0.9996, 1.0],
        [0.72981, 0.82992, 0.99926, 1.0],
        [0.72935, 0.8268, 0.99891, 1.0],
        [0.72888, 0.82368, 0.99856, 1.0],
        [0.72841, 0.82056, 0.99821, 1.0],
        [0.72793, 0.81745, 0.99786, 1.0],
        [0.72745, 0.81433, 0.99751, 1.0],
        [0.72696, 0.81122, 0.99715, 1.0],
        [0.72647, 0.8081, 0.9968, 1.0],
        [0.72597, 0.80499, 0.99645, 1.0],
        [0.72547, 0.80187, 0.99609, 1.0],
        [0.72496, 0.79876, 0.99574, 1.0],
        [0.72444, 0.79564, 0.99538, 1.0],
        [0.72392, 0.79253, 0.99502, 1.0],
        [0.72339, 0.78941, 0.99466, 1.0],
        [0.72285, 0.7863, 0.9943, 1.0],
        [0.72231, 0.78318, 0.99395, 1.0],
        [0.72177, 0.78007, 0.99358, 1.0],
        [0.72122, 0.77696, 0.99322, 1.0],
        [0.72067, 0.77383, 0.99286, 1.0],
        [0.72011, 0.77072, 0.99249, 1.0],
        [0.72013, 0.76749, 0.99183, 1.0],
        [0.72168, 0.76394, 0.99037, 1.0],
        [0.72322, 0.76039, 0.98891, 1.0],
        [0.72475, 0.75684, 0.98745, 1.0],
        [0.72625, 0.75328, 0.98598, 1.0],
        [0.72774, 0.74972, 0.98452, 1.0],
        [0.72921, 0.74616, 0.98306, 1.0],
        [0.73066, 0.74259, 0.9816, 1.0],
        [0.7321, 0.73902, 0.98014, 1.0],
        [0.73352, 0.73544, 0.97868, 1.0],
        [0.73492, 0.73187, 0.97722, 1.0],
        [0.7363, 0.72828, 0.97575, 1.0],
        [0.73767, 0.7247, 0.97429, 1.0],
        [0.73903, 0.72111, 0.97284, 1.0],
        [0.74036, 0.71752, 0.97137, 1.0],
        [0.74168, 0.71392, 0.96991, 1.0],
        [0.74299, 0.71032, 0.96846, 1.0],
        [0.74428, 0.70671, 0.967, 1.0],
        [0.74555, 0.7031, 0.96553, 1.0],
        [0.74681, 0.69948, 0.96407, 1.0],
        [0.74806, 0.69587, 0.96261, 1.0],
        [0.74928, 0.69225, 0.96115, 1.0],
        [0.75049, 0.68861, 0.9597, 1.0],
        [0.75185, 0.68495, 0.9581, 1.0],
        [0.75471, 0.68097, 0.95513, 1.0],
        [0.75753, 0.677, 0.95216, 1.0],
        [0.76032, 0.67301, 0.94919, 1.0],
        [0.76307, 0.66902, 0.94623, 1.0],
        [0.7658, 0.66501, 0.94327, 1.0],
        [0.76848, 0.66099, 0.94031, 1.0],
        [0.77114, 0.65698, 0.93735, 1.0],
        [0.77375, 0.65293, 0.93439, 1.0],
        [0.77635, 0.6489, 0.93144, 1.0],
        [0.7789, 0.64484, 0.92848, 1.0],
        [0.78143, 0.64078, 0.92553, 1.0],
        [0.78393, 0.63671, 0.92259, 1.0],
        [0.78639, 0.63263, 0.91964, 1.0],
        [0.78883, 0.62854, 0.9167, 1.0],
        [0.79123, 0.62443, 0.91376, 1.0],
        [0.79361, 0.62031, 0.91081, 1.0],
        [0.79595, 0.61618, 0.90788, 1.0],
        [0.79827, 0.61204, 0.90494, 1.0],
        [0.80056, 0.60789, 0.902, 1.0],
        [0.80282, 0.60373, 0.89907, 1.0],
        [0.80505, 0.59955, 0.89614, 1.0],
        [0.80727, 0.59535, 0.89321, 1.0],
        [0.80945, 0.59115, 0.89029, 1.0],
        [0.81246, 0.58681, 0.88579, 1.0],
        [0.81552, 0.58244, 0.88113, 1.0],
        [0.81853, 0.57806, 0.87648, 1.0],
        [0.8215, 0.57367, 0.87185, 1.0],
        [0.82443, 0.56926, 0.8672, 1.0],
        [0.82731, 0.56483, 0.86258, 1.0],
        [0.83015, 0.56039, 0.85794, 1.0],
        [0.83295, 0.55592, 0.85332, 1.0],
        [0.83571, 0.55144, 0.84871, 1.0],
        [0.83842, 0.54694, 0.84409, 1.0],
        [0.8411, 0.54243, 0.83949, 1.0],
        [0.84374, 0.53789, 0.83488, 1.0],
        [0.84634, 0.53332, 0.83029, 1.0],
        [0.8489, 0.52875, 0.82569, 1.0],
        [0.85142, 0.52414, 0.82111, 1.0],
        [0.85391, 0.51952, 0.81653, 1.0],
        [0.85636, 0.51487, 0.81195, 1.0],
        [0.85878, 0.5102, 0.80738, 1.0],
        [0.86116, 0.5055, 0.80281, 1.0],
        [0.86351, 0.50079, 0.79825, 1.0],
        [0.86581, 0.49604, 0.7937, 1.0],
        [0.86809, 0.49128, 0.78915, 1.0],
        [0.87033, 0.48647, 0.78461, 1.0],
        [0.87265, 0.48181, 0.77881, 1.0],
        [0.87497, 0.47718, 0.77256, 1.0],
        [0.87724, 0.47253, 0.76631, 1.0],
        [0.87946, 0.46786, 0.76007, 1.0],
        [0.88165, 0.46315, 0.75385, 1.0],
        [0.88379, 0.45843, 0.74763, 1.0],
        [0.88589, 0.45368, 0.74141, 1.0],
        [0.88794, 0.44891, 0.73522, 1.0],
        [0.88996, 0.4441, 0.72902, 1.0],
        [0.89193, 0.43926, 0.72284, 1.0],
        [0.89386, 0.43439, 0.71667, 1.0],
        [0.89576, 0.42949, 0.71051, 1.0],
        [0.89761, 0.42456, 0.70435, 1.0],
        [0.89942, 0.4196, 0.6982, 1.0],
        [0.9012, 0.41459, 0.69208, 1.0],
        [0.90294, 0.40955, 0.68595, 1.0],
        [0.90464, 0.40446, 0.67983, 1.0],
        [0.9063, 0.39934, 0.67373, 1.0],
        [0.90793, 0.39418, 0.66764, 1.0],
        [0.90952, 0.38899, 0.66155, 1.0],
        [0.91108, 0.38373, 0.65547, 1.0],
        [0.9126, 0.37843, 0.64941, 1.0],
        [0.91409, 0.37307, 0.64335, 1.0],
        [0.91523, 0.36813, 0.6365, 1.0],
        [0.91607, 0.36353, 0.62897, 1.0],
        [0.91689, 0.3589, 0.62146, 1.0],
        [0.91766, 0.35424, 0.61397, 1.0],
        [0.91838, 0.34955, 0.60649, 1.0],
        [0.91907, 0.34483, 0.59903, 1.0],
        [0.91973, 0.34007, 0.59158, 1.0],
        [0.92035, 0.33528, 0.58414, 1.0],
        [0.92093, 0.33043, 0.57672, 1.0],
        [0.92148, 0.32554, 0.5693, 1.0],
        [0.92199, 0.32064, 0.56191, 1.0],
        [0.92247, 0.31567, 0.55452, 1.0],
        [0.92291, 0.31066, 0.54715, 1.0],
        [0.92331, 0.30559, 0.53979, 1.0],
        [0.92368, 0.30046, 0.53245, 1.0],
        [0.92402, 0.29529, 0.52512, 1.0],
        [0.92432, 0.29005, 0.51781, 1.0],
        [0.92459, 0.28476, 0.5105, 1.0],
        [0.92483, 0.27942, 0.50321, 1.0],
        [0.92504, 0.27399, 0.49593, 1.0],
        [0.92521, 0.26849, 0.48868, 1.0],
        [0.92536, 0.26291, 0.48143, 1.0],
        [0.92547, 0.25725, 0.4742, 1.0],
        [0.92514, 0.2522, 0.4666, 1.0],
        [0.92407, 0.24833, 0.45833, 1.0],
        [0.92297, 0.2444, 0.45009, 1.0],
        [0.92184, 0.24047, 0.44186, 1.0],
        [0.92067, 0.23655, 0.43362, 1.0],
        [0.91949, 0.23256, 0.42542, 1.0],
        [0.91827, 0.22857, 0.41723, 1.0],
        [0.91702, 0.22449, 0.40904, 1.0],
        [0.91574, 0.22046, 0.40088, 1.0],
        [0.91444, 0.21636, 0.39271, 1.0],
        [0.9131, 0.21221, 0.38456, 1.0],
        [0.91174, 0.20801, 0.37643, 1.0],
        [0.91036, 0.2038, 0.3683, 1.0],
        [0.90894, 0.1995, 0.36017, 1.0],
        [0.9075, 0.1952, 0.35206, 1.0],
        [0.90603, 0.19083, 0.34396, 1.0],
        [0.90454, 0.18642, 0.33587, 1.0],
        [0.90302, 0.18193, 0.32777, 1.0],
        [0.90147, 0.17742, 0.3197, 1.0],
        [0.8999, 0.17279, 0.3116, 1.0],
        [0.8983, 0.16811, 0.30352, 1.0],
        [0.89669, 0.16339, 0.29545, 1.0],
        [0.89504, 0.15855, 0.28737, 1.0],
        [0.8931, 0.15427, 0.27921, 1.0],
        [0.88995, 0.15302, 0.2706, 1.0],
        [0.88677, 0.15181, 0.26196, 1.0],
        [0.88358, 0.15061, 0.25331, 1.0],
        [0.88036, 0.14943, 0.24461, 1.0],
        [0.87712, 0.14823, 0.23593, 1.0],
        [0.87387, 0.14707, 0.22719, 1.0],
        [0.8706, 0.14594, 0.2184, 1.0],
        [0.86731, 0.14481, 0.20956, 1.0],
        [0.86401, 0.14368, 0.20065, 1.0],
        [0.86068, 0.14257, 0.1917, 1.0],
        [0.85733, 0.1415, 0.18265, 1.0],
        [0.85397, 0.14041, 0.17353, 1.0],
        [0.85059, 0.13932, 0.1643, 1.0],
        [0.84719, 0.13832, 0.15489, 1.0],
        [0.84378, 0.13728, 0.14538, 1.0],
        [0.84035, 0.13622, 0.13559, 1.0],
        [0.8369, 0.13525, 0.12564, 1.0],
        [0.83344, 0.13428, 0.11535, 1.0],
        [0.82996, 0.13329, 0.10467, 1.0],
        [0.82647, 0.13234, 0.093595, 1.0],
        [0.82295, 0.13139, 0.08195, 1.0],
        [0.81943, 0.13049, 0.069425, 1.0],
        [0.81589, 0.12954, 0.055606, 1.0],
    ],
    'cet.linear_worb_100_25_c53': [
        [0.99986, 1, 1, 1.0],
        [0.99813, 0.99701, 0.98897, 1.0],
        [0.99635, 0.99397, 0.97793, 1.0],
        [0.99454, 0.99093, 0.9669, 1.0],
        [0.9927, 0.98789, 0.95589, 1.0],
        [0.99081, 0.98487, 0.94488, 1.0],
        [0.98889, 0.98184, 0.93388, 1.0],
        [0.98693, 0.97881, 0.92289, 1.0],
        [0.98493, 0.97579, 0.91191, 1.0],
        [0.9829, 0.97278, 0.90094, 1.0],
        [0.98083, 0.96977, 0.88998, 1.0],
        [0.97872, 0.96676, 0.87903, 1.0],
        [0.97658, 0.96376, 0.86809, 1.0],
        [0.9744, 0.96076, 0.85715, 1.0],
        [0.97219, 0.95777, 0.84621, 1.0],
        [0.96994, 0.95478, 0.83529, 1.0],
        [0.96766, 0.95179, 0.82437, 1.0],
        [0.96534, 0.94881, 0.81346, 1.0],
        [0.96299, 0.94583, 0.80256, 1.0],
        [0.9606, 0.94286, 0.79166, 1.0],
        [0.95818, 0.93989, 0.78076, 1.0],
        [0.95572, 0.93692, 0.76987, 1.0],
        [0.95323, 0.93395, 0.75898, 1.0],
        [0.9507, 0.931, 0.7481, 1.0],
        [0.95041, 0.92708, 0.74072, 1.0],
        [0.95061, 0.92296, 0.73414, 1.0],
        [0.95077, 0.91883, 0.72755, 1.0],
        [0.95091, 0.91472, 0.72097, 1.0],
        [0.95103, 0.9106, 0.71439, 1.0],
        [0.95112, 0.90648, 0.70782, 1.0],
        [0.95118, 0.90237, 0.70126, 1.0],
        [0.95122, 0.89825, 0.6947, 1.0],
        [0.95123, 0.89415, 0.68815, 1.0],
        [0.95122, 0.89004, 0.6816, 1.0],
        [0.95119, 0.88593, 0.67506, 1.0],
        [0.95113, 0.88183, 0.66852, 1.0],
        [0.95104, 0.87773, 0.66199, 1.0],
        [0.95094, 0.87363, 0.65546, 1.0],
        [0.9508, 0.86953, 0.64893, 1.0],
        [0.95065, 0.86544, 0.64241, 1.0],
        [0.95047, 0.86135, 0.6359, 1.0],
        [0.95027, 0.85725, 0.62938, 1.0],
        [0.95004, 0.85317, 0.62288, 1.0],
        [0.94979, 0.84908, 0.61638, 1.0],
        [0.94952, 0.845, 0.60988, 1.0],
        [0.94923, 0.84092, 0.60339, 1.0],
        [0.94891, 0.83684, 0.59689, 1.0],
        [0.94918, 0.83247, 0.59152, 1.0],
        [0.94977, 0.82794, 0.58679, 1.0],
        [0.95035, 0.82341, 0.58207, 1.0],
        [0.9509, 0.81887, 0.57735, 1.0],
        [0.95142, 0.81434, 0.57264, 1.0],
        [0.95192, 0.80981, 0.56793, 1.0],
        [0.95241, 0.80527, 0.56323, 1.0],
        [0.95287, 0.80073, 0.55852, 1.0],
        [0.95331, 0.79619, 0.55383, 1.0],
        [0.95373, 0.79165, 0.54914, 1.0],
        [0.95413, 0.78711, 0.54445, 1.0],
        [0.9545, 0.78256, 0.53977, 1.0],
        [0.95486, 0.77801, 0.53509, 1.0],
        [0.95519, 0.77346, 0.53042, 1.0],
        [0.9555, 0.7689, 0.52576, 1.0],
        [0.9558, 0.76435, 0.52109, 1.0],
        [0.95607, 0.75979, 0.51643, 1.0],
        [0.95632, 0.75524, 0.51177, 1.0],
        [0.95655, 0.75067, 0.50713, 1.0],
        [0.95676, 0.7461, 0.50248, 1.0],
        [0.95695, 0.74153, 0.49785, 1.0],
        [0.95712, 0.73697, 0.4932, 1.0],
        [0.95728, 0.7324, 0.48857, 1.0],
        [0.95753, 0.72771, 0.48478, 1.0],
        [0.9579, 0.72291, 0.48202, 1.0],
        [0.95825, 0.7181, 0.47925, 1.0],
        [0.95859, 0.71329, 0.47649, 1.0],
        [0.95891, 0.70847, 0.47372, 1.0],
        [0.95921, 0.70364, 0.47098, 1.0],
        [0.9595, 0.6988, 0.46822, 1.0],
        [0.95978, 0.69396, 0.46546, 1.0],
        [0.96003, 0.68912, 0.46272, 1.0],
        [0.96028, 0.68425, 0.45998, 1.0],
        [0.9605, 0.67938, 0.45725, 1.0],
        [0.96071, 0.67451, 0.45452, 1.0],
        [0.96091, 0.66964, 0.45179, 1.0],
        [0.96109, 0.66474, 0.44907, 1.0],
        [0.96125, 0.65985, 0.44633, 1.0],
        [0.9614, 0.65493, 0.44362, 1.0],
        [0.96153, 0.65002, 0.4409, 1.0],
        [0.96165, 0.64509, 0.4382, 1.0],
        [0.96176, 0.64016, 0.43549, 1.0],
        [0.96185, 0.63521, 0.43279, 1.0],
        [0.96192, 0.63025, 0.43008, 1.0],
        [0.96198, 0.62528, 0.4274, 1.0],
        [0.96203, 0.62031, 0.4247, 1.0],
        [0.96198, 0.61532, 0.42251, 1.0],
        [0.96172, 0.61035, 0.42167, 1.0],
        [0.96146, 0.60536, 0.42084, 1.0],
        [0.96118, 0.60037, 0.42, 1.0],
        [0.96089, 0.59536, 0.41917, 1.0],
        [0.96058, 0.59034, 0.41832, 1.0],
        [0.96027, 0.58532, 0.41749, 1.0],
        [0.95995, 0.58026, 0.41664, 1.0],
        [0.95961, 0.5752, 0.41579, 1.0],
        [0.95927, 0.57012, 0.41495, 1.0],
        [0.95892, 0.56502, 0.4141, 1.0],
        [0.95855, 0.55992, 0.41326, 1.0],
        [0.95818, 0.55479, 0.41241, 1.0],
        [0.95779, 0.54965, 0.41155, 1.0],
        [0.9574, 0.54449, 0.41071, 1.0],
        [0.95699, 0.53931, 0.40985, 1.0],
        [0.95658, 0.53411, 0.40899, 1.0],
        [0.95615, 0.5289, 0.40814, 1.0],
        [0.95572, 0.52366, 0.40728, 1.0],
        [0.95527, 0.51841, 0.40642, 1.0],
        [0.95482, 0.51312, 0.40557, 1.0],
        [0.95435, 0.50782, 0.40469, 1.0],
        [0.95388, 0.50249, 0.40384, 1.0],
        [0.95333, 0.49718, 0.40312, 1.0],
        [0.95211, 0.49218, 0.40389, 1.0],
        [0.9509, 0.48716, 0.40464, 1.0],
        [0.94967, 0.48212, 0.40541, 1.0],
        [0.94844, 0.47705, 0.40615, 1.0],
        [0.94721, 0.47198, 0.40688, 1.0],
        [0.94596, 0.46688, 0.4076, 1.0],
        [0.94471, 0.46175, 0.40832, 1.0],
        [0.94345, 0.4566, 0.40903, 1.0],
        [0.94219, 0.45143, 0.40974, 1.0],
        [0.94091, 0.44623, 0.41043, 1.0],
        [0.93963, 0.44101, 0.41111, 1.0],
        [0.93835, 0.43577, 0.41178, 1.0],
        [0.93706, 0.43049, 0.41246, 1.0],
        [0.93575, 0.42519, 0.41312, 1.0],
        [0.93444, 0.41985, 0.41377, 1.0],
        [0.93313, 0.41448, 0.41441, 1.0],
        [0.93181, 0.40908, 0.41505, 1.0],
        [0.93048, 0.40365, 0.41568, 1.0],
        [0.92914, 0.39818, 0.4163, 1.0],
        [0.9278, 0.39266, 0.41693, 1.0],
        [0.92645, 0.38711, 0.41753, 1.0],
        [0.9251, 0.38153, 0.41812, 1.0],
        [0.92374, 0.3759, 0.41872, 1.0],
        [0.9214, 0.371, 0.42046, 1.0],
        [0.91895, 0.36617, 0.42229, 1.0],
        [0.91651, 0.3613, 0.42413, 1.0],
        [0.91406, 0.35642, 0.42595, 1.0],
        [0.9116, 0.3515, 0.42776, 1.0],
        [0.90913, 0.34655, 0.42955, 1.0],
        [0.90666, 0.34158, 0.43134, 1.0],
        [0.90418, 0.33656, 0.43311, 1.0],
        [0.90169, 0.33152, 0.43488, 1.0],
        [0.8992, 0.32644, 0.43663, 1.0],
        [0.89671, 0.32133, 0.43837, 1.0],
        [0.8942, 0.3162, 0.44011, 1.0],
        [0.89169, 0.311, 0.44184, 1.0],
        [0.88917, 0.30577, 0.44355, 1.0],
        [0.88665, 0.30047, 0.44525, 1.0],
        [0.88412, 0.29514, 0.44694, 1.0],
        [0.88158, 0.28977, 0.44863, 1.0],
        [0.87903, 0.28434, 0.45031, 1.0],
        [0.87648, 0.27886, 0.45198, 1.0],
        [0.87392, 0.27332, 0.45363, 1.0],
        [0.87136, 0.26768, 0.45529, 1.0],
        [0.86879, 0.26202, 0.45692, 1.0],
        [0.86621, 0.25626, 0.45856, 1.0],
        [0.86267, 0.25165, 0.46077, 1.0],
        [0.85876, 0.24743, 0.4632, 1.0],
        [0.85484, 0.24317, 0.46563, 1.0],
        [0.85091, 0.23891, 0.46805, 1.0],
        [0.84698, 0.23464, 0.47046, 1.0],
        [0.84303, 0.23029, 0.47285, 1.0],
        [0.83908, 0.22597, 0.47526, 1.0],
        [0.83512, 0.22157, 0.47763, 1.0],
        [0.83114, 0.21715, 0.48001, 1.0],
        [0.82716, 0.21269, 0.48238, 1.0],
        [0.82316, 0.2082, 0.48473, 1.0],
        [0.81915, 0.20367, 0.48709, 1.0],
        [0.81514, 0.19907, 0.48943, 1.0],
        [0.81111, 0.19448, 0.49178, 1.0],
        [0.80707, 0.18978, 0.49411, 1.0],
        [0.80302, 0.18507, 0.49642, 1.0],
        [0.79896, 0.18025, 0.49875, 1.0],
        [0.79488, 0.17541, 0.50106, 1.0],
        [0.79079, 0.1705, 0.50336, 1.0],
        [0.7867, 0.16548, 0.50565, 1.0],
        [0.78258, 0.16042, 0.50796, 1.0],
        [0.77846, 0.15529, 0.51024, 1.0],
        [0.77432, 0.15006, 0.51252, 1.0],
        [0.76939, 0.14629, 0.51497, 1.0],
        [0.76379, 0.14388, 0.51756, 1.0],
        [0.75817, 0.14147, 0.52012, 1.0],
        [0.75253, 0.13902, 0.5227, 1.0],
        [0.74688, 0.13662, 0.52527, 1.0],
        [0.7412, 0.13426, 0.52783, 1.0],
        [0.7355, 0.13187, 0.53039, 1.0],
        [0.72978, 0.12948, 0.53295, 1.0],
        [0.72404, 0.12709, 0.5355, 1.0],
        [0.71827, 0.12474, 0.53806, 1.0],
        [0.71247, 0.12237, 0.54059, 1.0],
        [0.70667, 0.12005, 0.54314, 1.0],
        [0.70082, 0.11774, 0.54567, 1.0],
        [0.69495, 0.11543, 0.54821, 1.0],
        [0.68906, 0.11317, 0.55074, 1.0],
        [0.68313, 0.11086, 0.55326, 1.0],
        [0.67718, 0.10854, 0.55578, 1.0],
        [0.67119, 0.10634, 0.5583, 1.0],
        [0.66518, 0.10405, 0.56082, 1.0],
        [0.65913, 0.10182, 0.56334, 1.0],
        [0.65304, 0.099603, 0.56585, 1.0],
        [0.64694, 0.097418, 0.56836, 1.0],
        [0.64078, 0.095268, 0.57086, 1.0],
        [0.6341, 0.094454, 0.57328, 1.0],
        [0.62648, 0.09592, 0.57555, 1.0],
        [0.61882, 0.09742, 0.5778, 1.0],
        [0.61111, 0.098865, 0.58006, 1.0],
        [0.60334, 0.10027, 0.58231, 1.0],
        [0.59551, 0.10166, 0.58457, 1.0],
        [0.58763, 0.10305, 0.58682, 1.0],
        [0.5797, 0.10434, 0.58907, 1.0],
        [0.57169, 0.10567, 0.59133, 1.0],
        [0.56362, 0.10698, 0.59358, 1.0],
        [0.55546, 0.10817, 0.59582, 1.0],
        [0.54725, 0.10947, 0.59807, 1.0],
        [0.53895, 0.11066, 0.60031, 1.0],
        [0.53057, 0.11184, 0.60256, 1.0],
        [0.52209, 0.11302, 0.6048, 1.0],
        [0.51354, 0.1141, 0.60705, 1.0],
        [0.50487, 0.11523, 0.60929, 1.0],
        [0.49609, 0.11637, 0.61152, 1.0],
        [0.48723, 0.11741, 0.61376, 1.0],
        [0.47822, 0.11852, 0.616, 1.0],
        [0.46911, 0.11953, 0.61824, 1.0],
        [0.45984, 0.12055, 0.62048, 1.0],
        [0.45044, 0.12155, 0.6227, 1.0],
        [0.44067, 0.12289, 0.62479, 1.0],
        [0.42985, 0.12576, 0.62622, 1.0],
        [0.41882, 0.12843, 0.62765, 1.0],
        [0.40758, 0.13102, 0.62908, 1.0],
        [0.39611, 0.13348, 0.63051, 1.0],
        [0.38438, 0.1358, 0.63194, 1.0],
        [0.37237, 0.13812, 0.63337, 1.0],
        [0.36005, 0.14027, 0.63479, 1.0],
        [0.3474, 0.14236, 0.63622, 1.0],
        [0.33433, 0.14437, 0.63764, 1.0],
        [0.32083, 0.14628, 0.63907, 1.0],
        [0.30681, 0.14812, 0.64049, 1.0],
        [0.29221, 0.14993, 0.64192, 1.0],
        [0.27695, 0.1516, 0.64334, 1.0],
        [0.26086, 0.15323, 0.64476, 1.0],
        [0.24379, 0.15482, 0.64618, 1.0],
        [0.22557, 0.15637, 0.64761, 1.0],
        [0.2058, 0.1578, 0.64903, 1.0],
        [0.18401, 0.1592, 0.65045, 1.0],
        [0.15944, 0.16053, 0.65187, 1.0],
        [0.13065, 0.16186, 0.65329, 1.0],
        [0.094242, 0.16309, 0.65471, 1.0],
        [0.038143, 0.16429, 0.65613, 1.0],
        [0, 0.16539, 0.65755, 1.0],
    ],
    'cet.linear_wyor_100_45_c55': [
        [0.99986, 1, 1, 1.0],
        [0.99765, 0.99831, 0.98983, 1.0],
        [0.99541, 0.99656, 0.97966, 1.0],
        [0.99314, 0.99482, 0.96949, 1.0],
        [0.99083, 0.99308, 0.95933, 1.0],
        [0.9885, 0.99134, 0.94917, 1.0],
        [0.98614, 0.9896, 0.93902, 1.0],
        [0.98375, 0.98785, 0.92888, 1.0],
        [0.98133, 0.98612, 0.91874, 1.0],
        [0.97888, 0.98438, 0.9086, 1.0],
        [0.9764, 0.98264, 0.89847, 1.0],
        [0.97389, 0.9809, 0.88835, 1.0],
        [0.97135, 0.97917, 0.87822, 1.0],
        [0.96878, 0.97744, 0.86811, 1.0],
        [0.96618, 0.9757, 0.85798, 1.0],
        [0.96356, 0.97397, 0.84787, 1.0],
        [0.9609, 0.97224, 0.83776, 1.0],
        [0.95822, 0.97051, 0.82765, 1.0],
        [0.9555, 0.96878, 0.81754, 1.0],
        [0.95276, 0.96706, 0.80743, 1.0],
        [0.94999, 0.96532, 0.79732, 1.0],
        [0.94719, 0.9636, 0.78722, 1.0],
        [0.94436, 0.96187, 0.77711, 1.0],
        [0.94149, 0.96015, 0.76699, 1.0],
        [0.94023, 0.95771, 0.76023, 1.0],
        [0.93929, 0.95512, 0.75421, 1.0],
        [0.93835, 0.95252, 0.74819, 1.0],
        [0.9374, 0.94993, 0.74217, 1.0],
        [0.93644, 0.94734, 0.73614, 1.0],
        [0.93546, 0.94475, 0.73014, 1.0],
        [0.93446, 0.94217, 0.72412, 1.0],
        [0.93346, 0.93958, 0.71811, 1.0],
        [0.93245, 0.937, 0.7121, 1.0],
        [0.93142, 0.93441, 0.7061, 1.0],
        [0.93038, 0.93184, 0.70009, 1.0],
        [0.92933, 0.92926, 0.69408, 1.0],
        [0.92826, 0.92669, 0.68809, 1.0],
        [0.92719, 0.92412, 0.68208, 1.0],
        [0.9261, 0.92155, 0.67609, 1.0],
        [0.925, 0.91898, 0.6701, 1.0],
        [0.92389, 0.91641, 0.6641, 1.0],
        [0.92277, 0.91385, 0.6581, 1.0],
        [0.92164, 0.91129, 0.65211, 1.0],
        [0.92048, 0.90873, 0.64611, 1.0],
        [0.91933, 0.90618, 0.64012, 1.0],
        [0.91816, 0.90362, 0.63413, 1.0],
        [0.91698, 0.90107, 0.62813, 1.0],
        [0.91628, 0.89833, 0.62264, 1.0],
        [0.91585, 0.89549, 0.61746, 1.0],
        [0.91542, 0.89266, 0.61227, 1.0],
        [0.91497, 0.88982, 0.60709, 1.0],
        [0.91451, 0.88699, 0.6019, 1.0],
        [0.91404, 0.88416, 0.59672, 1.0],
        [0.91356, 0.88133, 0.59154, 1.0],
        [0.91306, 0.8785, 0.58635, 1.0],
        [0.91255, 0.87568, 0.58117, 1.0],
        [0.91203, 0.87285, 0.576, 1.0],
        [0.9115, 0.87003, 0.5708, 1.0],
        [0.91095, 0.86721, 0.56562, 1.0],
        [0.9104, 0.86439, 0.56044, 1.0],
        [0.90983, 0.86157, 0.55526, 1.0],
        [0.90925, 0.85876, 0.55008, 1.0],
        [0.90866, 0.85594, 0.5449, 1.0],
        [0.90806, 0.85313, 0.53971, 1.0],
        [0.90744, 0.85032, 0.53453, 1.0],
        [0.90682, 0.84751, 0.52935, 1.0],
        [0.90618, 0.84471, 0.52416, 1.0],
        [0.90554, 0.8419, 0.51898, 1.0],
        [0.90487, 0.8391, 0.51379, 1.0],
        [0.9042, 0.8363, 0.5086, 1.0],
        [0.90376, 0.8334, 0.50368, 1.0],
        [0.90359, 0.8304, 0.49912, 1.0],
        [0.90341, 0.82739, 0.49457, 1.0],
        [0.90322, 0.82439, 0.49, 1.0],
        [0.90302, 0.82139, 0.48543, 1.0],
        [0.9028, 0.81839, 0.48087, 1.0],
        [0.90257, 0.81539, 0.47631, 1.0],
        [0.90233, 0.81239, 0.47175, 1.0],
        [0.90208, 0.80939, 0.46718, 1.0],
        [0.90182, 0.8064, 0.4626, 1.0],
        [0.90154, 0.8034, 0.45803, 1.0],
        [0.90126, 0.80041, 0.45346, 1.0],
        [0.90096, 0.79741, 0.4489, 1.0],
        [0.90066, 0.79442, 0.44432, 1.0],
        [0.90034, 0.79143, 0.43974, 1.0],
        [0.90001, 0.78844, 0.43517, 1.0],
        [0.89967, 0.78545, 0.43058, 1.0],
        [0.89932, 0.78246, 0.42599, 1.0],
        [0.89896, 0.77947, 0.42139, 1.0],
        [0.89858, 0.77648, 0.41681, 1.0],
        [0.8982, 0.77349, 0.41222, 1.0],
        [0.89781, 0.77051, 0.40761, 1.0],
        [0.8974, 0.76752, 0.40301, 1.0],
        [0.89709, 0.7645, 0.39857, 1.0],
        [0.89703, 0.76135, 0.3946, 1.0],
        [0.89696, 0.75821, 0.39062, 1.0],
        [0.89688, 0.75507, 0.38663, 1.0],
        [0.89679, 0.75192, 0.38266, 1.0],
        [0.89669, 0.74877, 0.37868, 1.0],
        [0.89657, 0.74562, 0.37469, 1.0],
        [0.89645, 0.74248, 0.3707, 1.0],
        [0.89631, 0.73934, 0.36672, 1.0],
        [0.89617, 0.73618, 0.36271, 1.0],
        [0.89601, 0.73304, 0.35871, 1.0],
        [0.89585, 0.7299, 0.35473, 1.0],
        [0.89567, 0.72675, 0.35072, 1.0],
        [0.89549, 0.7236, 0.3467, 1.0],
        [0.89529, 0.72046, 0.34269, 1.0],
        [0.89509, 0.71732, 0.33867, 1.0],
        [0.89487, 0.71416, 0.33466, 1.0],
        [0.89465, 0.71102, 0.33061, 1.0],
        [0.89441, 0.70787, 0.32657, 1.0],
        [0.89416, 0.70472, 0.32255, 1.0],
        [0.89391, 0.70157, 0.31849, 1.0],
        [0.89364, 0.69842, 0.31443, 1.0],
        [0.89336, 0.69527, 0.31039, 1.0],
        [0.8931, 0.69212, 0.30638, 1.0],
        [0.89306, 0.68883, 0.30298, 1.0],
        [0.893, 0.68555, 0.29962, 1.0],
        [0.89294, 0.68226, 0.29623, 1.0],
        [0.89287, 0.67898, 0.29284, 1.0],
        [0.89278, 0.67569, 0.28946, 1.0],
        [0.89269, 0.67241, 0.28605, 1.0],
        [0.89259, 0.66912, 0.28268, 1.0],
        [0.89248, 0.66582, 0.27928, 1.0],
        [0.89236, 0.66254, 0.27587, 1.0],
        [0.89223, 0.65923, 0.27243, 1.0],
        [0.89209, 0.65594, 0.26904, 1.0],
        [0.89194, 0.65264, 0.26561, 1.0],
        [0.89179, 0.64934, 0.26218, 1.0],
        [0.89162, 0.64603, 0.25875, 1.0],
        [0.89145, 0.64273, 0.25531, 1.0],
        [0.89126, 0.63942, 0.25187, 1.0],
        [0.89107, 0.63612, 0.24842, 1.0],
        [0.89087, 0.6328, 0.24492, 1.0],
        [0.89066, 0.62948, 0.24148, 1.0],
        [0.89044, 0.62617, 0.23799, 1.0],
        [0.89021, 0.62285, 0.23452, 1.0],
        [0.88997, 0.61953, 0.23101, 1.0],
        [0.88973, 0.6162, 0.22751, 1.0],
        [0.88961, 0.61278, 0.22468, 1.0],
        [0.88951, 0.60936, 0.22197, 1.0],
        [0.88939, 0.60592, 0.21926, 1.0],
        [0.88927, 0.60249, 0.21654, 1.0],
        [0.88914, 0.59905, 0.21379, 1.0],
        [0.889, 0.5956, 0.21105, 1.0],
        [0.88885, 0.59216, 0.2083, 1.0],
        [0.88869, 0.58869, 0.20555, 1.0],
        [0.88853, 0.58524, 0.20279, 1.0],
        [0.88835, 0.58177, 0.20002, 1.0],
        [0.88817, 0.5783, 0.19729, 1.0],
        [0.88798, 0.57483, 0.19454, 1.0],
        [0.88779, 0.57136, 0.19174, 1.0],
        [0.88758, 0.56788, 0.18897, 1.0],
        [0.88737, 0.56439, 0.18619, 1.0],
        [0.88715, 0.56089, 0.18338, 1.0],
        [0.88693, 0.5574, 0.18058, 1.0],
        [0.88669, 0.55389, 0.17782, 1.0],
        [0.88645, 0.55039, 0.17499, 1.0],
        [0.8862, 0.54687, 0.17215, 1.0],
        [0.88594, 0.54335, 0.16935, 1.0],
        [0.88567, 0.53982, 0.1665, 1.0],
        [0.8854, 0.53629, 0.16367, 1.0],
        [0.88517, 0.53271, 0.16148, 1.0],
        [0.88495, 0.5291, 0.15949, 1.0],
        [0.88473, 0.52548, 0.15755, 1.0],
        [0.8845, 0.52184, 0.15563, 1.0],
        [0.88427, 0.51822, 0.15366, 1.0],
        [0.88402, 0.51458, 0.15172, 1.0],
        [0.88377, 0.51092, 0.14981, 1.0],
        [0.88351, 0.50726, 0.14784, 1.0],
        [0.88325, 0.50359, 0.14591, 1.0],
        [0.88297, 0.49991, 0.14395, 1.0],
        [0.88269, 0.49622, 0.142, 1.0],
        [0.88241, 0.49252, 0.14002, 1.0],
        [0.88212, 0.48882, 0.13811, 1.0],
        [0.88182, 0.4851, 0.1361, 1.0],
        [0.88152, 0.48138, 0.1342, 1.0],
        [0.8812, 0.47764, 0.13223, 1.0],
        [0.88088, 0.47389, 0.13031, 1.0],
        [0.88056, 0.47014, 0.12832, 1.0],
        [0.88023, 0.46636, 0.12636, 1.0],
        [0.87989, 0.46257, 0.12436, 1.0],
        [0.87954, 0.45878, 0.12238, 1.0],
        [0.87919, 0.45498, 0.12043, 1.0],
        [0.87883, 0.45115, 0.11851, 1.0],
        [0.87847, 0.4473, 0.11705, 1.0],
        [0.8781, 0.44344, 0.11614, 1.0],
        [0.87772, 0.43955, 0.11514, 1.0],
        [0.87733, 0.43565, 0.11419, 1.0],
        [0.87694, 0.43174, 0.11331, 1.0],
        [0.87654, 0.4278, 0.11235, 1.0],
        [0.87614, 0.42385, 0.11142, 1.0],
        [0.87574, 0.41989, 0.11049, 1.0],
        [0.87532, 0.4159, 0.10958, 1.0],
        [0.8749, 0.4119, 0.10858, 1.0],
        [0.87448, 0.40788, 0.10768, 1.0],
        [0.87405, 0.40384, 0.10681, 1.0],
        [0.87361, 0.39977, 0.10587, 1.0],
        [0.87317, 0.39571, 0.10491, 1.0],
        [0.87272, 0.3916, 0.10404, 1.0],
        [0.87227, 0.38747, 0.10316, 1.0],
        [0.87181, 0.38334, 0.10224, 1.0],
        [0.87134, 0.37916, 0.10134, 1.0],
        [0.87087, 0.37496, 0.10045, 1.0],
        [0.87039, 0.37074, 0.099568, 1.0],
        [0.86991, 0.36651, 0.098702, 1.0],
        [0.86942, 0.36223, 0.097851, 1.0],
        [0.86893, 0.35793, 0.096914, 1.0],
        [0.86841, 0.3536, 0.096399, 1.0],
        [0.86784, 0.34928, 0.096516, 1.0],
        [0.86725, 0.34493, 0.096632, 1.0],
        [0.86667, 0.34054, 0.096748, 1.0],
        [0.86609, 0.33612, 0.096864, 1.0],
        [0.86549, 0.33166, 0.096979, 1.0],
        [0.86489, 0.32717, 0.097092, 1.0],
        [0.86429, 0.32265, 0.097204, 1.0],
        [0.86369, 0.31807, 0.097312, 1.0],
        [0.86307, 0.31346, 0.097418, 1.0],
        [0.86246, 0.30881, 0.097519, 1.0],
        [0.86183, 0.30409, 0.097617, 1.0],
        [0.8612, 0.29936, 0.097711, 1.0],
        [0.86057, 0.29454, 0.0978, 1.0],
        [0.85994, 0.28969, 0.097885, 1.0],
        [0.8593, 0.28477, 0.097966, 1.0],
        [0.85865, 0.27981, 0.098043, 1.0],
        [0.858, 0.27477, 0.098117, 1.0],
        [0.85734, 0.26969, 0.098187, 1.0],
        [0.85668, 0.26451, 0.098254, 1.0],
        [0.85602, 0.25928, 0.098319, 1.0],
        [0.85535, 0.25395, 0.098381, 1.0],
        [0.85467, 0.24855, 0.09844, 1.0],
        [0.85397, 0.24306, 0.098636, 1.0],
        [0.85315, 0.23765, 0.09947, 1.0],
        [0.85234, 0.23211, 0.1003, 1.0],
        [0.85151, 0.22648, 0.10112, 1.0],
        [0.85069, 0.22075, 0.10192, 1.0],
        [0.84986, 0.21485, 0.10272, 1.0],
        [0.84902, 0.20887, 0.10351, 1.0],
        [0.84818, 0.20273, 0.10422, 1.0],
        [0.84734, 0.19648, 0.10494, 1.0],
        [0.84649, 0.19, 0.10571, 1.0],
        [0.84564, 0.18336, 0.10646, 1.0],
        [0.84479, 0.17651, 0.10714, 1.0],
        [0.84393, 0.16949, 0.10778, 1.0],
        [0.84307, 0.16216, 0.10844, 1.0],
        [0.8422, 0.15453, 0.10915, 1.0],
        [0.84133, 0.14658, 0.10982, 1.0],
        [0.84045, 0.13829, 0.11043, 1.0],
        [0.83958, 0.1295, 0.11105, 1.0],
        [0.83869, 0.12017, 0.11166, 1.0],
        [0.8378, 0.11027, 0.11225, 1.0],
        [0.83691, 0.099467, 0.11285, 1.0],
        [0.83602, 0.087701, 0.11343, 1.0],
        [0.83512, 0.07445, 0.11395, 1.0],
        [0.83422, 0.059213, 0.11447, 1.0],
    ],
    'cet.rainbow_bgyr_35_85_c72': [
        [0, 0.20387, 0.96251, 1.0],
        [0, 0.21524, 0.9514, 1.0],
        [0, 0.22613, 0.94031, 1.0],
        [0, 0.23654, 0.92923, 1.0],
        [0, 0.24654, 0.91817, 1.0],
        [0, 0.2562, 0.90712, 1.0],
        [0, 0.26557, 0.89608, 1.0],
        [0, 0.27465, 0.88506, 1.0],
        [0, 0.28348, 0.87405, 1.0],
        [0, 0.29209, 0.86305, 1.0],
        [0, 0.30047, 0.85206, 1.0],
        [0, 0.3087, 0.84109, 1.0],
        [0, 0.31672, 0.83013, 1.0],
        [0, 0.32458, 0.81917, 1.0],
        [0, 0.33232, 0.80823, 1.0],
        [0, 0.3399, 0.7973, 1.0],
        [0, 0.34736, 0.78638, 1.0],
        [0, 0.3547, 0.77546, 1.0],
        [0, 0.36191, 0.76456, 1.0],
        [0, 0.36902, 0.75367, 1.0],
        [0, 0.37602, 0.7428, 1.0],
        [0, 0.38291, 0.73193, 1.0],
        [0, 0.38969, 0.72108, 1.0],
        [0, 0.39636, 0.71026, 1.0],
        [0, 0.40292, 0.69946, 1.0],
        [0, 0.40934, 0.68872, 1.0],
        [0, 0.41561, 0.67802, 1.0],
        [0, 0.42172, 0.66738, 1.0],
        [0, 0.42768, 0.65684, 1.0],
        [0, 0.43342, 0.64639, 1.0],
        [0, 0.43896, 0.63605, 1.0],
        [0, 0.44432, 0.62583, 1.0],
        [0, 0.44945, 0.61575, 1.0],
        [0, 0.45438, 0.60579, 1.0],
        [0, 0.45911, 0.59597, 1.0],
        [0.0043377, 0.46367, 0.58627, 1.0],
        [0.029615, 0.46807, 0.57668, 1.0],
        [0.055795, 0.47235, 0.56717, 1.0],
        [0.077065, 0.47652, 0.55774, 1.0],
        [0.095292, 0.48061, 0.54837, 1.0],
        [0.11119, 0.48465, 0.53903, 1.0],
        [0.1253, 0.48865, 0.52971, 1.0],
        [0.13799, 0.49262, 0.5204, 1.0],
        [0.14937, 0.49658, 0.5111, 1.0],
        [0.15963, 0.50055, 0.50179, 1.0],
        [0.169, 0.50452, 0.49244, 1.0],
        [0.17747, 0.50849, 0.48309, 1.0],
        [0.18517, 0.51246, 0.4737, 1.0],
        [0.19217, 0.51645, 0.46429, 1.0],
        [0.19856, 0.52046, 0.45483, 1.0],
        [0.20443, 0.52448, 0.44531, 1.0],
        [0.20974, 0.52851, 0.43577, 1.0],
        [0.21461, 0.53255, 0.42616, 1.0],
        [0.21905, 0.53661, 0.41651, 1.0],
        [0.22309, 0.54066, 0.40679, 1.0],
        [0.22674, 0.54474, 0.397, 1.0],
        [0.23002, 0.54883, 0.38713, 1.0],
        [0.233, 0.55292, 0.3772, 1.0],
        [0.23568, 0.55703, 0.36716, 1.0],
        [0.23802, 0.56114, 0.35704, 1.0],
        [0.24006, 0.56526, 0.34678, 1.0],
        [0.24185, 0.56939, 0.3364, 1.0],
        [0.24334, 0.57354, 0.32588, 1.0],
        [0.24458, 0.57769, 0.31523, 1.0],
        [0.24556, 0.58185, 0.30439, 1.0],
        [0.2463, 0.58603, 0.29336, 1.0],
        [0.2468, 0.59019, 0.28214, 1.0],
        [0.24707, 0.59438, 0.27067, 1.0],
        [0.24714, 0.59856, 0.25896, 1.0],
        [0.24703, 0.60275, 0.24696, 1.0],
        [0.24679, 0.60693, 0.23473, 1.0],
        [0.24647, 0.61109, 0.22216, 1.0],
        [0.24615, 0.61523, 0.20936, 1.0],
        [0.24595, 0.61936, 0.19632, 1.0],
        [0.246, 0.62342, 0.18304, 1.0],
        [0.24644, 0.62742, 0.16969, 1.0],
        [0.24748, 0.63135, 0.1563, 1.0],
        [0.24925, 0.63518, 0.14299, 1.0],
        [0.25196, 0.6389, 0.13001, 1.0],
        [0.2557, 0.64249, 0.11741, 1.0],
        [0.26057, 0.64594, 0.10557, 1.0],
        [0.26659, 0.64926, 0.094696, 1.0],
        [0.27372, 0.65242, 0.084904, 1.0],
        [0.28182, 0.65545, 0.076489, 1.0],
        [0.29078, 0.65835, 0.069753, 1.0],
        [0.30043, 0.66113, 0.064513, 1.0],
        [0.31061, 0.66383, 0.060865, 1.0],
        [0.32112, 0.66642, 0.058721, 1.0],
        [0.33186, 0.66896, 0.057692, 1.0],
        [0.34272, 0.67144, 0.057693, 1.0],
        [0.35356, 0.67388, 0.058443, 1.0],
        [0.36439, 0.67628, 0.059738, 1.0],
        [0.37512, 0.67866, 0.061142, 1.0],
        [0.38575, 0.68102, 0.062974, 1.0],
        [0.39627, 0.68337, 0.064759, 1.0],
        [0.40666, 0.68571, 0.066664, 1.0],
        [0.41692, 0.68803, 0.068644, 1.0],
        [0.42707, 0.69034, 0.070512, 1.0],
        [0.43709, 0.69266, 0.072423, 1.0],
        [0.44701, 0.69494, 0.074359, 1.0],
        [0.45683, 0.69723, 0.076211, 1.0],
        [0.46657, 0.6995, 0.07809, 1.0],
        [0.47621, 0.70177, 0.079998, 1.0],
        [0.48577, 0.70403, 0.081943, 1.0],
        [0.49527, 0.70629, 0.083778, 1.0],
        [0.5047, 0.70853, 0.085565, 1.0],
        [0.51405, 0.71076, 0.087502, 1.0],
        [0.52335, 0.71298, 0.089316, 1.0],
        [0.53259, 0.7152, 0.091171, 1.0],
        [0.54176, 0.7174, 0.092931, 1.0],
        [0.5509, 0.7196, 0.094839, 1.0],
        [0.55999, 0.72178, 0.096566, 1.0],
        [0.56902, 0.72396, 0.098445, 1.0],
        [0.57802, 0.72613, 0.10023, 1.0],
        [0.58698, 0.72828, 0.10204, 1.0],
        [0.5959, 0.73044, 0.10385, 1.0],
        [0.60479, 0.73258, 0.10564, 1.0],
        [0.61363, 0.73471, 0.10744, 1.0],
        [0.62246, 0.73683, 0.10925, 1.0],
        [0.63125, 0.73895, 0.11102, 1.0],
        [0.64001, 0.74104, 0.11282, 1.0],
        [0.64874, 0.74315, 0.11452, 1.0],
        [0.65745, 0.74523, 0.11636, 1.0],
        [0.66613, 0.74731, 0.11813, 1.0],
        [0.67479, 0.74937, 0.11986, 1.0],
        [0.68343, 0.75144, 0.12161, 1.0],
        [0.69205, 0.75348, 0.12338, 1.0],
        [0.70065, 0.75552, 0.12517, 1.0],
        [0.70923, 0.75755, 0.12691, 1.0],
        [0.71779, 0.75957, 0.12868, 1.0],
        [0.72633, 0.76158, 0.13048, 1.0],
        [0.73487, 0.76359, 0.13221, 1.0],
        [0.74338, 0.76559, 0.13396, 1.0],
        [0.75188, 0.76756, 0.13568, 1.0],
        [0.76037, 0.76954, 0.13747, 1.0],
        [0.76884, 0.77151, 0.13917, 1.0],
        [0.77731, 0.77346, 0.14097, 1.0],
        [0.78576, 0.77541, 0.14269, 1.0],
        [0.7942, 0.77736, 0.14444, 1.0],
        [0.80262, 0.77928, 0.14617, 1.0],
        [0.81105, 0.7812, 0.14791, 1.0],
        [0.81945, 0.78311, 0.14967, 1.0],
        [0.82786, 0.78502, 0.15138, 1.0],
        [0.83626, 0.78691, 0.15311, 1.0],
        [0.84465, 0.7888, 0.15486, 1.0],
        [0.85304, 0.79066, 0.15662, 1.0],
        [0.86141, 0.79251, 0.15835, 1.0],
        [0.86978, 0.79434, 0.16002, 1.0],
        [0.87814, 0.79612, 0.16178, 1.0],
        [0.88647, 0.79786, 0.16346, 1.0],
        [0.89477, 0.79952, 0.16507, 1.0],
        [0.90301, 0.80106, 0.1667, 1.0],
        [0.91115, 0.80245, 0.16819, 1.0],
        [0.91917, 0.80364, 0.16964, 1.0],
        [0.92701, 0.80456, 0.1709, 1.0],
        [0.93459, 0.80514, 0.172, 1.0],
        [0.94185, 0.80532, 0.17289, 1.0],
        [0.94869, 0.80504, 0.17355, 1.0],
        [0.95506, 0.80424, 0.17392, 1.0],
        [0.96088, 0.80289, 0.17399, 1.0],
        [0.96609, 0.80097, 0.17375, 1.0],
        [0.97069, 0.7985, 0.17319, 1.0],
        [0.97465, 0.79549, 0.17234, 1.0],
        [0.97801, 0.79201, 0.17121, 1.0],
        [0.98082, 0.7881, 0.16986, 1.0],
        [0.98314, 0.78384, 0.16825, 1.0],
        [0.98504, 0.77928, 0.16652, 1.0],
        [0.9866, 0.7745, 0.16463, 1.0],
        [0.98789, 0.76955, 0.16265, 1.0],
        [0.98897, 0.76449, 0.16056, 1.0],
        [0.9899, 0.75932, 0.15848, 1.0],
        [0.99072, 0.75411, 0.15634, 1.0],
        [0.99146, 0.74885, 0.15414, 1.0],
        [0.99214, 0.74356, 0.15196, 1.0],
        [0.99279, 0.73825, 0.14981, 1.0],
        [0.9934, 0.73293, 0.1476, 1.0],
        [0.99398, 0.72759, 0.14543, 1.0],
        [0.99454, 0.72224, 0.1432, 1.0],
        [0.99509, 0.71689, 0.14103, 1.0],
        [0.99562, 0.71152, 0.1388, 1.0],
        [0.99613, 0.70614, 0.13659, 1.0],
        [0.99662, 0.70075, 0.13444, 1.0],
        [0.9971, 0.69534, 0.13223, 1.0],
        [0.99755, 0.68993, 0.13006, 1.0],
        [0.998, 0.6845, 0.12783, 1.0],
        [0.99842, 0.67906, 0.12564, 1.0],
        [0.99883, 0.67361, 0.1234, 1.0],
        [0.99922, 0.66815, 0.12119, 1.0],
        [0.99959, 0.66267, 0.11904, 1.0],
        [0.99994, 0.65717, 0.11682, 1.0],
        [1, 0.65166, 0.11458, 1.0],
        [1, 0.64613, 0.11244, 1.0],
        [1, 0.64059, 0.11024, 1.0],
        [1, 0.63503, 0.10797, 1.0],
        [1, 0.62945, 0.1058, 1.0],
        [1, 0.62386, 0.1036, 1.0],
        [1, 0.61825, 0.10135, 1.0],
        [1, 0.61261, 0.099135, 1.0],
        [1, 0.60697, 0.096882, 1.0],
        [1, 0.6013, 0.094743, 1.0],
        [1, 0.59561, 0.092465, 1.0],
        [1, 0.58989, 0.090257, 1.0],
        [1, 0.58416, 0.088032, 1.0],
        [1, 0.5784, 0.085726, 1.0],
        [1, 0.57263, 0.083542, 1.0],
        [1, 0.56682, 0.081316, 1.0],
        [1, 0.56098, 0.079004, 1.0],
        [1, 0.55513, 0.076745, 1.0],
        [1, 0.54925, 0.07453, 1.0],
        [1, 0.54333, 0.072245, 1.0],
        [1, 0.53739, 0.070004, 1.0],
        [1, 0.53141, 0.067732, 1.0],
        [1, 0.52541, 0.065424, 1.0],
        [1, 0.51937, 0.06318, 1.0],
        [1, 0.5133, 0.06081, 1.0],
        [1, 0.50718, 0.058502, 1.0],
        [1, 0.50104, 0.056232, 1.0],
        [1, 0.49486, 0.053826, 1.0],
        [1, 0.48863, 0.051494, 1.0],
        [1, 0.48236, 0.049242, 1.0],
        [1, 0.47605, 0.046828, 1.0],
        [1, 0.46969, 0.044447, 1.0],
        [1, 0.46327, 0.042093, 1.0],
        [1, 0.45681, 0.039648, 1.0],
        [1, 0.45031, 0.037261, 1.0],
        [1, 0.44374, 0.034882, 1.0],
        [1, 0.43712, 0.032495, 1.0],
        [1, 0.43043, 0.030303, 1.0],
        [1, 0.42367, 0.02818, 1.0],
        [1, 0.41686, 0.026121, 1.0],
        [1, 0.40997, 0.024126, 1.0],
        [1, 0.40299, 0.022194, 1.0],
        [1, 0.39595, 0.020325, 1.0],
        [1, 0.38882, 0.018517, 1.0],
        [0.99994, 0.38159, 0.016771, 1.0],
        [0.99961, 0.37428, 0.015085, 1.0],
        [0.99927, 0.36685, 0.013457, 1.0],
        [0.99892, 0.35932, 0.011916, 1.0],
        [0.99855, 0.35167, 0.010169, 1.0],
        [0.99817, 0.3439, 0.0087437, 1.0],
        [0.99778, 0.336, 0.0073541, 1.0],
        [0.99738, 0.32796, 0.0060199, 1.0],
        [0.99696, 0.31976, 0.0047429, 1.0],
        [0.99653, 0.31138, 0.0035217, 1.0],
        [0.99609, 0.30282, 0.0023557, 1.0],
        [0.99563, 0.29407, 0.0012445, 1.0],
        [0.99517, 0.2851, 0.00018742, 1.0],
        [0.99469, 0.27591, 0, 1.0],
        [0.9942, 0.26642, 0, 1.0],
        [0.99369, 0.25664, 0, 1.0],
        [0.99318, 0.24652, 0, 1.0],
        [0.99265, 0.23605, 0, 1.0],
        [0.99211, 0.22511, 0, 1.0],
        [0.99155, 0.2137, 0, 1.0],
        [0.99099, 0.20169, 0, 1.0],
        [0.99041, 0.18903, 0, 1.0],
    ],
    'cet.rainbow_bgyr_35_85_c73': [
        [0, 0.20755, 0.97632, 1.0],
        [0, 0.21857, 0.96476, 1.0],
        [0, 0.2291, 0.95322, 1.0],
        [0, 0.23923, 0.94169, 1.0],
        [0, 0.24899, 0.93018, 1.0],
        [0, 0.25842, 0.91868, 1.0],
        [0, 0.26756, 0.9072, 1.0],
        [0, 0.27649, 0.89573, 1.0],
        [0, 0.28513, 0.88428, 1.0],
        [0, 0.29358, 0.87284, 1.0],
        [0, 0.30184, 0.86141, 1.0],
        [0, 0.30994, 0.85, 1.0],
        [0, 0.31785, 0.83859, 1.0],
        [0, 0.3256, 0.82721, 1.0],
        [0, 0.33324, 0.81583, 1.0],
        [0, 0.34073, 0.80447, 1.0],
        [0, 0.3481, 0.79312, 1.0],
        [0, 0.35537, 0.78178, 1.0],
        [0, 0.3625, 0.77045, 1.0],
        [0, 0.36954, 0.75913, 1.0],
        [0, 0.37649, 0.74783, 1.0],
        [0, 0.38333, 0.73654, 1.0],
        [0, 0.39005, 0.72528, 1.0],
        [0, 0.39667, 0.71405, 1.0],
        [0, 0.40319, 0.70286, 1.0],
        [0, 0.40957, 0.69171, 1.0],
        [0, 0.4158, 0.68063, 1.0],
        [0, 0.42188, 0.66965, 1.0],
        [0, 0.4278, 0.65875, 1.0],
        [0, 0.43352, 0.64799, 1.0],
        [0, 0.43905, 0.63737, 1.0],
        [0, 0.44438, 0.62689, 1.0],
        [0, 0.4495, 0.61659, 1.0],
        [0, 0.45441, 0.60644, 1.0],
        [0, 0.45914, 0.59646, 1.0],
        [0.0019224, 0.46368, 0.58662, 1.0],
        [0.027932, 0.46808, 0.57693, 1.0],
        [0.054843, 0.47236, 0.56735, 1.0],
        [0.076598, 0.47653, 0.55785, 1.0],
        [0.095053, 0.48062, 0.54844, 1.0],
        [0.11106, 0.48465, 0.53907, 1.0],
        [0.12523, 0.48865, 0.52974, 1.0],
        [0.13795, 0.49262, 0.52042, 1.0],
        [0.14935, 0.49658, 0.5111, 1.0],
        [0.15962, 0.50055, 0.50179, 1.0],
        [0.169, 0.50452, 0.49245, 1.0],
        [0.17747, 0.50849, 0.48309, 1.0],
        [0.18517, 0.51246, 0.4737, 1.0],
        [0.19217, 0.51645, 0.46429, 1.0],
        [0.19856, 0.52046, 0.45483, 1.0],
        [0.20443, 0.52448, 0.44531, 1.0],
        [0.20974, 0.52851, 0.43577, 1.0],
        [0.21461, 0.53255, 0.42616, 1.0],
        [0.21905, 0.53661, 0.41651, 1.0],
        [0.22309, 0.54066, 0.40679, 1.0],
        [0.22674, 0.54474, 0.397, 1.0],
        [0.23002, 0.54883, 0.38713, 1.0],
        [0.233, 0.55292, 0.3772, 1.0],
        [0.23568, 0.55703, 0.36716, 1.0],
        [0.23802, 0.56114, 0.35704, 1.0],
        [0.24006, 0.56526, 0.34678, 1.0],
        [0.24185, 0.56939, 0.3364, 1.0],
        [0.24334, 0.57354, 0.32588, 1.0],
        [0.24458, 0.57769, 0.31523, 1.0],
        [0.24556, 0.58185, 0.30439, 1.0],
        [0.2463, 0.58603, 0.29336, 1.0],
        [0.2468, 0.59019, 0.28214, 1.0],
        [0.24707, 0.59438, 0.27067, 1.0],
        [0.24714, 0.59856, 0.25895, 1.0],
        [0.24704, 0.60275, 0.24696, 1.0],
        [0.24679, 0.60693, 0.23472, 1.0],
        [0.24648, 0.61109, 0.22215, 1.0],
        [0.24616, 0.61523, 0.20933, 1.0],
        [0.24597, 0.61936, 0.19628, 1.0],
        [0.24602, 0.62342, 0.18297, 1.0],
        [0.24648, 0.62742, 0.1696, 1.0],
        [0.24753, 0.63135, 0.15615, 1.0],
        [0.24931, 0.63518, 0.14276, 1.0],
        [0.25204, 0.63889, 0.12965, 1.0],
        [0.25579, 0.64249, 0.11693, 1.0],
        [0.2607, 0.64593, 0.10484, 1.0],
        [0.26674, 0.64925, 0.093668, 1.0],
        [0.2739, 0.65241, 0.083583, 1.0],
        [0.28205, 0.65544, 0.074764, 1.0],
        [0.29104, 0.65834, 0.067449, 1.0],
        [0.30071, 0.66112, 0.061598, 1.0],
        [0.31093, 0.66382, 0.057362, 1.0],
        [0.32147, 0.66641, 0.054542, 1.0],
        [0.33226, 0.66895, 0.052918, 1.0],
        [0.34314, 0.67142, 0.052293, 1.0],
        [0.35402, 0.67386, 0.052401, 1.0],
        [0.36487, 0.67627, 0.05303, 1.0],
        [0.37564, 0.67864, 0.054018, 1.0],
        [0.38629, 0.681, 0.055243, 1.0],
        [0.39683, 0.68335, 0.05664, 1.0],
        [0.40725, 0.68569, 0.057955, 1.0],
        [0.41755, 0.68801, 0.059542, 1.0],
        [0.42772, 0.69031, 0.060911, 1.0],
        [0.43777, 0.69262, 0.062454, 1.0],
        [0.4477, 0.69491, 0.063883, 1.0],
        [0.45755, 0.69719, 0.065334, 1.0],
        [0.46731, 0.69947, 0.066802, 1.0],
        [0.47698, 0.70173, 0.068291, 1.0],
        [0.48656, 0.70399, 0.069758, 1.0],
        [0.49607, 0.70625, 0.071211, 1.0],
        [0.50551, 0.70848, 0.072621, 1.0],
        [0.5149, 0.71071, 0.074107, 1.0],
        [0.52421, 0.71293, 0.07551, 1.0],
        [0.53346, 0.71514, 0.076938, 1.0],
        [0.54268, 0.71735, 0.078389, 1.0],
        [0.55183, 0.71954, 0.079862, 1.0],
        [0.56093, 0.72172, 0.08136, 1.0],
        [0.56998, 0.7239, 0.082779, 1.0],
        [0.57901, 0.72607, 0.084273, 1.0],
        [0.58797, 0.72822, 0.08563, 1.0],
        [0.59692, 0.73037, 0.08717, 1.0],
        [0.60581, 0.73251, 0.088583, 1.0],
        [0.61468, 0.73464, 0.09003, 1.0],
        [0.62353, 0.73676, 0.091506, 1.0],
        [0.63233, 0.73887, 0.092872, 1.0],
        [0.6411, 0.74097, 0.094388, 1.0],
        [0.64986, 0.74307, 0.095796, 1.0],
        [0.65858, 0.74515, 0.097234, 1.0],
        [0.66728, 0.74722, 0.098697, 1.0],
        [0.67595, 0.74928, 0.10013, 1.0],
        [0.6846, 0.75135, 0.10157, 1.0],
        [0.69324, 0.75339, 0.10305, 1.0],
        [0.70185, 0.75543, 0.10444, 1.0],
        [0.71045, 0.75746, 0.10594, 1.0],
        [0.71902, 0.75947, 0.10738, 1.0],
        [0.72758, 0.76149, 0.10881, 1.0],
        [0.73613, 0.76349, 0.1103, 1.0],
        [0.74466, 0.76548, 0.11173, 1.0],
        [0.75317, 0.76746, 0.1132, 1.0],
        [0.76167, 0.76943, 0.11457, 1.0],
        [0.77016, 0.7714, 0.11608, 1.0],
        [0.77864, 0.77335, 0.11749, 1.0],
        [0.78711, 0.7753, 0.11897, 1.0],
        [0.79556, 0.77724, 0.12038, 1.0],
        [0.80401, 0.77916, 0.12182, 1.0],
        [0.81244, 0.78108, 0.12327, 1.0],
        [0.82086, 0.78299, 0.12474, 1.0],
        [0.82929, 0.78489, 0.12623, 1.0],
        [0.83769, 0.78678, 0.12766, 1.0],
        [0.84609, 0.78866, 0.1291, 1.0],
        [0.8545, 0.79053, 0.1306, 1.0],
        [0.86289, 0.79238, 0.13203, 1.0],
        [0.87127, 0.7942, 0.13346, 1.0],
        [0.87964, 0.79598, 0.13491, 1.0],
        [0.88799, 0.79771, 0.13626, 1.0],
        [0.8963, 0.79937, 0.13769, 1.0],
        [0.90456, 0.80091, 0.13896, 1.0],
        [0.91273, 0.80229, 0.14021, 1.0],
        [0.92077, 0.80347, 0.14138, 1.0],
        [0.92863, 0.80438, 0.14238, 1.0],
        [0.93625, 0.80495, 0.14322, 1.0],
        [0.94355, 0.80511, 0.14385, 1.0],
        [0.95044, 0.80481, 0.14425, 1.0],
        [0.95686, 0.80399, 0.14437, 1.0],
        [0.96274, 0.80262, 0.14419, 1.0],
        [0.96803, 0.80067, 0.14372, 1.0],
        [0.9727, 0.79816, 0.14294, 1.0],
        [0.97674, 0.79512, 0.14188, 1.0],
        [0.9802, 0.79159, 0.14055, 1.0],
        [0.9831, 0.78764, 0.13895, 1.0],
        [0.98551, 0.78333, 0.13721, 1.0],
        [0.98751, 0.77872, 0.13526, 1.0],
        [0.98917, 0.77389, 0.13319, 1.0],
        [0.99056, 0.76889, 0.13103, 1.0],
        [0.99175, 0.76376, 0.12875, 1.0],
        [0.99279, 0.75855, 0.12647, 1.0],
        [0.99371, 0.75327, 0.1241, 1.0],
        [0.99455, 0.74796, 0.12173, 1.0],
        [0.99534, 0.74261, 0.11937, 1.0],
        [0.99608, 0.73724, 0.11697, 1.0],
        [0.99679, 0.73185, 0.11453, 1.0],
        [0.99748, 0.72646, 0.11217, 1.0],
        [0.99814, 0.72104, 0.10976, 1.0],
        [0.99879, 0.71563, 0.1073, 1.0],
        [0.99942, 0.71019, 0.1048, 1.0],
        [1, 0.70475, 0.10238, 1.0],
        [1, 0.69929, 0.099908, 1.0],
        [1, 0.69382, 0.09745, 1.0],
        [1, 0.68834, 0.095, 1.0],
        [1, 0.68284, 0.092452, 1.0],
        [1, 0.67734, 0.08996, 1.0],
        [1, 0.6718, 0.087465, 1.0],
        [1, 0.66626, 0.08489, 1.0],
        [1, 0.66071, 0.082364, 1.0],
        [1, 0.65514, 0.079729, 1.0],
        [1, 0.64955, 0.077118, 1.0],
        [1, 0.64394, 0.074554, 1.0],
        [1, 0.63832, 0.071927, 1.0],
        [1, 0.63268, 0.069347, 1.0],
        [1, 0.62702, 0.066593, 1.0],
        [1, 0.62135, 0.063895, 1.0],
        [1, 0.61565, 0.061104, 1.0],
        [1, 0.60993, 0.058355, 1.0],
        [1, 0.6042, 0.055584, 1.0],
        [1, 0.59843, 0.052708, 1.0],
        [1, 0.59265, 0.049893, 1.0],
        [1, 0.58684, 0.046988, 1.0],
        [1, 0.58101, 0.043966, 1.0],
        [1, 0.57515, 0.041014, 1.0],
        [1, 0.56926, 0.037943, 1.0],
        [1, 0.56336, 0.034887, 1.0],
        [1, 0.55742, 0.031822, 1.0],
        [1, 0.55145, 0.028972, 1.0],
        [1, 0.54546, 0.026194, 1.0],
        [1, 0.53942, 0.023487, 1.0],
        [1, 0.53336, 0.020851, 1.0],
        [1, 0.52727, 0.018287, 1.0],
        [1, 0.52114, 0.015792, 1.0],
        [1, 0.51497, 0.013362, 1.0],
        [1, 0.50878, 0.010828, 1.0],
        [1, 0.50252, 0.0085264, 1.0],
        [1, 0.49623, 0.0063082, 1.0],
        [1, 0.48991, 0.0041556, 1.0],
        [1, 0.48353, 0.0020694, 1.0],
        [1, 0.47711, 4.915e-05, 1.0],
        [1, 0.47065, 0, 1.0],
        [1, 0.46413, 0, 1.0],
        [1, 0.45754, 0, 1.0],
        [1, 0.45092, 0, 1.0],
        [1, 0.44423, 0, 1.0],
        [1, 0.43748, 0, 1.0],
        [1, 0.43065, 0, 1.0],
        [1, 0.42375, 0, 1.0],
        [1, 0.4168, 0, 1.0],
        [1, 0.40976, 0, 1.0],
        [1, 0.40263, 0, 1.0],
        [1, 0.39544, 0, 1.0],
        [1, 0.38813, 0, 1.0],
        [1, 0.38075, 0, 1.0],
        [1, 0.37324, 0, 1.0],
        [1, 0.36564, 0, 1.0],
        [1, 0.35792, 0, 1.0],
        [1, 0.35006, 0, 1.0],
        [1, 0.34208, 0, 1.0],
        [1, 0.33395, 0, 1.0],
        [1, 0.32564, 0, 1.0],
        [1, 0.31719, 0, 1.0],
        [1, 0.30856, 0, 1.0],
        [1, 0.29971, 0, 1.0],
        [1, 0.29063, 0, 1.0],
        [1, 0.28132, 0, 1.0],
        [1, 0.27173, 0, 1.0],
        [1, 0.26187, 0, 1.0],
        [1, 0.25167, 0, 1.0],
        [1, 0.24106, 0, 1.0],
        [1, 0.23001, 0, 1.0],
        [1, 0.21851, 0, 1.0],
        [1, 0.20642, 0, 1.0],
        [1, 0.19361, 0, 1.0],
        [1, 0.17996, 0, 1.0],
        [1, 0.16528, 0, 1.0],
    ],
    'cet.rainbow_bgyrm_35_85_c69': [
        [0, 0.18656, 0.96265, 1.0],
        [0, 0.20247, 0.94889, 1.0],
        [0, 0.21731, 0.93516, 1.0],
        [0, 0.23125, 0.92145, 1.0],
        [0.011192, 0.24442, 0.90777, 1.0],
        [0.03614, 0.257, 0.8941, 1.0],
        [0.055678, 0.26904, 0.88045, 1.0],
        [0.069388, 0.28056, 0.86682, 1.0],
        [0.079257, 0.29172, 0.85322, 1.0],
        [0.086705, 0.30246, 0.83965, 1.0],
        [0.092118, 0.31289, 0.82609, 1.0],
        [0.095864, 0.32302, 0.81256, 1.0],
        [0.098322, 0.33286, 0.79906, 1.0],
        [0.099569, 0.34241, 0.78559, 1.0],
        [0.099878, 0.3517, 0.77216, 1.0],
        [0.099398, 0.36075, 0.75877, 1.0],
        [0.098334, 0.36957, 0.74542, 1.0],
        [0.096762, 0.37814, 0.73214, 1.0],
        [0.09515, 0.38647, 0.71891, 1.0],
        [0.09345, 0.39458, 0.70576, 1.0],
        [0.092187, 0.40244, 0.6927, 1.0],
        [0.091506, 0.41008, 0.67971, 1.0],
        [0.091673, 0.41747, 0.66683, 1.0],
        [0.092844, 0.42463, 0.65405, 1.0],
        [0.095394, 0.43156, 0.64138, 1.0],
        [0.099143, 0.43827, 0.62883, 1.0],
        [0.10417, 0.44476, 0.6164, 1.0],
        [0.11037, 0.45105, 0.60407, 1.0],
        [0.11743, 0.45714, 0.59186, 1.0],
        [0.12529, 0.46306, 0.57975, 1.0],
        [0.13367, 0.46884, 0.56772, 1.0],
        [0.14235, 0.47446, 0.55578, 1.0],
        [0.15115, 0.47996, 0.54393, 1.0],
        [0.15993, 0.48534, 0.53213, 1.0],
        [0.16859, 0.49067, 0.52036, 1.0],
        [0.17696, 0.49589, 0.50865, 1.0],
        [0.185, 0.50108, 0.49692, 1.0],
        [0.1926, 0.50621, 0.48521, 1.0],
        [0.19974, 0.51133, 0.47348, 1.0],
        [0.20647, 0.51642, 0.46174, 1.0],
        [0.21263, 0.5215, 0.44995, 1.0],
        [0.21832, 0.52659, 0.43811, 1.0],
        [0.2235, 0.53167, 0.42619, 1.0],
        [0.2282, 0.53676, 0.41421, 1.0],
        [0.23239, 0.54184, 0.40212, 1.0],
        [0.23614, 0.54695, 0.38996, 1.0],
        [0.23944, 0.55206, 0.37769, 1.0],
        [0.24232, 0.55719, 0.3653, 1.0],
        [0.24481, 0.56231, 0.3528, 1.0],
        [0.24695, 0.56744, 0.34016, 1.0],
        [0.24876, 0.57258, 0.32738, 1.0],
        [0.25023, 0.5777, 0.31447, 1.0],
        [0.25154, 0.58283, 0.30143, 1.0],
        [0.25262, 0.58794, 0.28828, 1.0],
        [0.25361, 0.59304, 0.27502, 1.0],
        [0.25458, 0.5981, 0.26166, 1.0],
        [0.2556, 0.60312, 0.24825, 1.0],
        [0.25681, 0.6081, 0.2348, 1.0],
        [0.2583, 0.61301, 0.22134, 1.0],
        [0.26022, 0.61785, 0.20794, 1.0],
        [0.26266, 0.6226, 0.19469, 1.0],
        [0.26575, 0.62726, 0.18157, 1.0],
        [0.26958, 0.63182, 0.16877, 1.0],
        [0.27422, 0.63626, 0.15629, 1.0],
        [0.27974, 0.64057, 0.1442, 1.0],
        [0.28615, 0.64476, 0.13265, 1.0],
        [0.29347, 0.64883, 0.12168, 1.0],
        [0.30163, 0.65275, 0.11152, 1.0],
        [0.31062, 0.65656, 0.10212, 1.0],
        [0.3203, 0.66024, 0.093657, 1.0],
        [0.33059, 0.6638, 0.086199, 1.0],
        [0.34143, 0.66725, 0.079852, 1.0],
        [0.35268, 0.67061, 0.074629, 1.0],
        [0.36426, 0.67387, 0.07049, 1.0],
        [0.37611, 0.67706, 0.067449, 1.0],
        [0.3881, 0.68016, 0.065346, 1.0],
        [0.40021, 0.68322, 0.064139, 1.0],
        [0.41237, 0.68622, 0.063672, 1.0],
        [0.42452, 0.68918, 0.063795, 1.0],
        [0.43666, 0.6921, 0.064392, 1.0],
        [0.44874, 0.69498, 0.065356, 1.0],
        [0.46073, 0.69783, 0.066603, 1.0],
        [0.47267, 0.70067, 0.068066, 1.0],
        [0.4845, 0.70348, 0.06967, 1.0],
        [0.49625, 0.70628, 0.071332, 1.0],
        [0.50793, 0.70905, 0.07306, 1.0],
        [0.5195, 0.71181, 0.074792, 1.0],
        [0.53099, 0.71455, 0.076552, 1.0],
        [0.5424, 0.71728, 0.078345, 1.0],
        [0.55372, 0.72, 0.08017, 1.0],
        [0.56497, 0.72269, 0.082034, 1.0],
        [0.57617, 0.72539, 0.083799, 1.0],
        [0.58729, 0.72805, 0.085523, 1.0],
        [0.59835, 0.73071, 0.087403, 1.0],
        [0.60937, 0.73336, 0.089162, 1.0],
        [0.62033, 0.73599, 0.090964, 1.0],
        [0.63124, 0.73861, 0.092702, 1.0],
        [0.64211, 0.74121, 0.094561, 1.0],
        [0.65293, 0.7438, 0.096272, 1.0],
        [0.66373, 0.74637, 0.09813, 1.0],
        [0.67447, 0.74893, 0.099882, 1.0],
        [0.68519, 0.75149, 0.10167, 1.0],
        [0.69588, 0.75402, 0.1035, 1.0],
        [0.70654, 0.75653, 0.10524, 1.0],
        [0.71717, 0.75904, 0.10708, 1.0],
        [0.72776, 0.76153, 0.10884, 1.0],
        [0.73834, 0.764, 0.11066, 1.0],
        [0.7489, 0.76647, 0.11246, 1.0],
        [0.75944, 0.76891, 0.1142, 1.0],
        [0.76995, 0.77134, 0.11604, 1.0],
        [0.78045, 0.77373, 0.11781, 1.0],
        [0.79091, 0.7761, 0.11958, 1.0],
        [0.80135, 0.77844, 0.12133, 1.0],
        [0.81175, 0.78072, 0.1231, 1.0],
        [0.8221, 0.78295, 0.12488, 1.0],
        [0.83239, 0.78511, 0.12661, 1.0],
        [0.84262, 0.78718, 0.12834, 1.0],
        [0.85274, 0.78913, 0.13004, 1.0],
        [0.86274, 0.79094, 0.13165, 1.0],
        [0.87259, 0.79257, 0.13322, 1.0],
        [0.88223, 0.79401, 0.13475, 1.0],
        [0.89164, 0.79518, 0.13612, 1.0],
        [0.90076, 0.79607, 0.1375, 1.0],
        [0.90954, 0.79664, 0.13869, 1.0],
        [0.91793, 0.79684, 0.13974, 1.0],
        [0.92586, 0.79664, 0.14073, 1.0],
        [0.93328, 0.79601, 0.14151, 1.0],
        [0.94018, 0.79492, 0.14212, 1.0],
        [0.94648, 0.79336, 0.14256, 1.0],
        [0.95218, 0.79132, 0.14282, 1.0],
        [0.95727, 0.78881, 0.14289, 1.0],
        [0.96174, 0.78582, 0.1428, 1.0],
        [0.9656, 0.7824, 0.14253, 1.0],
        [0.96888, 0.77856, 0.1421, 1.0],
        [0.97162, 0.77434, 0.14153, 1.0],
        [0.97385, 0.76979, 0.14082, 1.0],
        [0.97563, 0.76494, 0.13994, 1.0],
        [0.977, 0.75981, 0.13902, 1.0],
        [0.97803, 0.75448, 0.13804, 1.0],
        [0.97875, 0.74895, 0.13692, 1.0],
        [0.97924, 0.74329, 0.13575, 1.0],
        [0.97951, 0.73749, 0.13461, 1.0],
        [0.97962, 0.7316, 0.13337, 1.0],
        [0.97959, 0.72564, 0.13212, 1.0],
        [0.97946, 0.71962, 0.13087, 1.0],
        [0.97924, 0.71355, 0.12958, 1.0],
        [0.97896, 0.70744, 0.1283, 1.0],
        [0.97862, 0.70131, 0.12698, 1.0],
        [0.97824, 0.69516, 0.12574, 1.0],
        [0.97784, 0.68899, 0.12442, 1.0],
        [0.9774, 0.6828, 0.12313, 1.0],
        [0.97693, 0.6766, 0.12186, 1.0],
        [0.97644, 0.67039, 0.12061, 1.0],
        [0.97594, 0.66416, 0.11937, 1.0],
        [0.97542, 0.65793, 0.11815, 1.0],
        [0.97489, 0.65168, 0.11688, 1.0],
        [0.97433, 0.64541, 0.11567, 1.0],
        [0.97376, 0.63914, 0.1144, 1.0],
        [0.97318, 0.63285, 0.11325, 1.0],
        [0.97257, 0.62654, 0.11203, 1.0],
        [0.97195, 0.62023, 0.11083, 1.0],
        [0.97131, 0.61388, 0.10966, 1.0],
        [0.97065, 0.60754, 0.10841, 1.0],
        [0.96997, 0.60116, 0.10728, 1.0],
        [0.96928, 0.59477, 0.10613, 1.0],
        [0.96858, 0.58836, 0.1049, 1.0],
        [0.96785, 0.58193, 0.10381, 1.0],
        [0.96711, 0.57549, 0.10266, 1.0],
        [0.96635, 0.56901, 0.10152, 1.0],
        [0.96557, 0.56253, 0.1004, 1.0],
        [0.96478, 0.55599, 0.099296, 1.0],
        [0.96398, 0.54946, 0.098231, 1.0],
        [0.96315, 0.5429, 0.097093, 1.0],
        [0.96231, 0.5363, 0.096016, 1.0],
        [0.96146, 0.52968, 0.095014, 1.0],
        [0.96059, 0.52303, 0.093919, 1.0],
        [0.9597, 0.51634, 0.092832, 1.0],
        [0.95879, 0.50964, 0.091874, 1.0],
        [0.95787, 0.50288, 0.090828, 1.0],
        [0.95693, 0.4961, 0.089807, 1.0],
        [0.95599, 0.48929, 0.088805, 1.0],
        [0.95502, 0.48244, 0.08783, 1.0],
        [0.95403, 0.47555, 0.086854, 1.0],
        [0.95304, 0.4686, 0.085824, 1.0],
        [0.95202, 0.46162, 0.084968, 1.0],
        [0.95101, 0.4546, 0.084163, 1.0],
        [0.94997, 0.44753, 0.083344, 1.0],
        [0.94894, 0.44044, 0.082697, 1.0],
        [0.94791, 0.43332, 0.082226, 1.0],
        [0.94688, 0.42618, 0.081913, 1.0],
        [0.94587, 0.41904, 0.081847, 1.0],
        [0.94489, 0.41191, 0.082109, 1.0],
        [0.94394, 0.40481, 0.082728, 1.0],
        [0.94305, 0.39778, 0.083928, 1.0],
        [0.94223, 0.39086, 0.085608, 1.0],
        [0.94149, 0.38408, 0.08812, 1.0],
        [0.94088, 0.3775, 0.091363, 1.0],
        [0.94041, 0.37118, 0.095416, 1.0],
        [0.9401, 0.36521, 0.10035, 1.0],
        [0.93998, 0.35964, 0.1063, 1.0],
        [0.94007, 0.35454, 0.11316, 1.0],
        [0.9404, 0.34999, 0.12089, 1.0],
        [0.94096, 0.34604, 0.12965, 1.0],
        [0.94179, 0.3428, 0.13922, 1.0],
        [0.94288, 0.34026, 0.14972, 1.0],
        [0.94422, 0.33847, 0.16095, 1.0],
        [0.94582, 0.33747, 0.17292, 1.0],
        [0.94764, 0.33723, 0.18561, 1.0],
        [0.94967, 0.33772, 0.19885, 1.0],
        [0.95189, 0.33894, 0.21269, 1.0],
        [0.95427, 0.34081, 0.22702, 1.0],
        [0.95677, 0.34328, 0.24176, 1.0],
        [0.95937, 0.34627, 0.25686, 1.0],
        [0.96202, 0.34974, 0.27224, 1.0],
        [0.96472, 0.35359, 0.2879, 1.0],
        [0.96743, 0.35778, 0.30376, 1.0],
        [0.97012, 0.36222, 0.31979, 1.0],
        [0.97279, 0.36688, 0.33592, 1.0],
        [0.97541, 0.3717, 0.35214, 1.0],
        [0.97796, 0.37668, 0.36845, 1.0],
        [0.98045, 0.38173, 0.3848, 1.0],
        [0.98286, 0.38685, 0.40121, 1.0],
        [0.98518, 0.39205, 0.41764, 1.0],
        [0.9874, 0.39727, 0.43409, 1.0],
        [0.98953, 0.40253, 0.45059, 1.0],
        [0.99155, 0.40782, 0.46711, 1.0],
        [0.99348, 0.41314, 0.48364, 1.0],
        [0.99528, 0.41844, 0.5002, 1.0],
        [0.99698, 0.42377, 0.51679, 1.0],
        [0.99858, 0.42911, 0.5334, 1.0],
        [1, 0.43445, 0.55005, 1.0],
        [1, 0.43981, 0.56674, 1.0],
        [1, 0.44517, 0.58345, 1.0],
        [1, 0.45054, 0.60021, 1.0],
        [1, 0.45593, 0.61701, 1.0],
        [1, 0.46132, 0.63385, 1.0],
        [1, 0.46673, 0.65073, 1.0],
        [1, 0.47215, 0.66766, 1.0],
        [1, 0.47757, 0.68462, 1.0],
        [1, 0.48301, 0.70164, 1.0],
        [1, 0.48847, 0.71871, 1.0],
        [1, 0.49393, 0.73582, 1.0],
        [1, 0.49939, 0.75297, 1.0],
        [1, 0.50489, 0.77018, 1.0],
        [1, 0.51038, 0.78744, 1.0],
        [1, 0.51588, 0.80475, 1.0],
        [1, 0.52141, 0.8221, 1.0],
        [1, 0.52695, 0.8395, 1.0],
        [1, 0.53249, 0.85695, 1.0],
        [1, 0.53805, 0.87445, 1.0],
        [1, 0.54361, 0.892, 1.0],
        [1, 0.5492, 0.9096, 1.0],
        [0.99848, 0.55478, 0.92724, 1.0],
        [0.9966, 0.56039, 0.94494, 1.0],
        [0.99453, 0.566, 0.96269, 1.0],
        [0.99228, 0.57163, 0.98048, 1.0],
    ],
    'cet.rainbow_bgyrm_35_85_c71': [
        [0, 0.20755, 0.97632, 1.0],
        [0, 0.22113, 0.96201, 1.0],
        [0, 0.23397, 0.94773, 1.0],
        [0, 0.24623, 0.93346, 1.0],
        [0, 0.25798, 0.91922, 1.0],
        [0, 0.26932, 0.905, 1.0],
        [0, 0.28022, 0.89081, 1.0],
        [0, 0.29079, 0.87663, 1.0],
        [0, 0.30104, 0.8625, 1.0],
        [0, 0.31103, 0.84838, 1.0],
        [0, 0.32074, 0.83429, 1.0],
        [0, 0.3302, 0.82023, 1.0],
        [0, 0.33945, 0.80621, 1.0],
        [0, 0.34846, 0.79222, 1.0],
        [0, 0.35727, 0.77828, 1.0],
        [0, 0.36586, 0.76439, 1.0],
        [0, 0.37426, 0.75056, 1.0],
        [0, 0.38245, 0.7368, 1.0],
        [0, 0.39044, 0.72311, 1.0],
        [0, 0.39823, 0.70952, 1.0],
        [0, 0.4058, 0.69603, 1.0],
        [0, 0.41317, 0.68264, 1.0],
        [0.0064797, 0.42031, 0.66938, 1.0],
        [0.016533, 0.42727, 0.65626, 1.0],
        [0.028131, 0.43398, 0.64326, 1.0],
        [0.041954, 0.44052, 0.63041, 1.0],
        [0.055821, 0.44686, 0.6177, 1.0],
        [0.069351, 0.45301, 0.60514, 1.0],
        [0.082392, 0.45898, 0.59273, 1.0],
        [0.095132, 0.46479, 0.58043, 1.0],
        [0.10747, 0.47045, 0.56826, 1.0],
        [0.11942, 0.47598, 0.55619, 1.0],
        [0.13095, 0.48139, 0.54423, 1.0],
        [0.14195, 0.48671, 0.53234, 1.0],
        [0.15241, 0.49195, 0.52051, 1.0],
        [0.16235, 0.49712, 0.50873, 1.0],
        [0.17166, 0.50225, 0.49697, 1.0],
        [0.18039, 0.50733, 0.48522, 1.0],
        [0.18854, 0.51239, 0.47347, 1.0],
        [0.19606, 0.51744, 0.46171, 1.0],
        [0.20297, 0.52246, 0.4499, 1.0],
        [0.20931, 0.5275, 0.43806, 1.0],
        [0.21508, 0.53254, 0.42613, 1.0],
        [0.22033, 0.53758, 0.41415, 1.0],
        [0.225, 0.54263, 0.40206, 1.0],
        [0.22922, 0.54768, 0.38989, 1.0],
        [0.23295, 0.55275, 0.37763, 1.0],
        [0.23626, 0.55783, 0.36524, 1.0],
        [0.23913, 0.56292, 0.35274, 1.0],
        [0.24164, 0.56801, 0.3401, 1.0],
        [0.24376, 0.57311, 0.32732, 1.0],
        [0.24561, 0.57819, 0.31441, 1.0],
        [0.24723, 0.58328, 0.30137, 1.0],
        [0.24866, 0.58836, 0.28822, 1.0],
        [0.24993, 0.59342, 0.27496, 1.0],
        [0.25123, 0.59845, 0.2616, 1.0],
        [0.25256, 0.60344, 0.2482, 1.0],
        [0.25407, 0.60839, 0.23474, 1.0],
        [0.25584, 0.61326, 0.22129, 1.0],
        [0.25802, 0.61807, 0.2079, 1.0],
        [0.26074, 0.6228, 0.19465, 1.0],
        [0.26408, 0.62744, 0.18153, 1.0],
        [0.26813, 0.63197, 0.16873, 1.0],
        [0.273, 0.63639, 0.15625, 1.0],
        [0.27873, 0.64068, 0.14417, 1.0],
        [0.28531, 0.64485, 0.13262, 1.0],
        [0.29279, 0.6489, 0.12165, 1.0],
        [0.30109, 0.65281, 0.1115, 1.0],
        [0.31019, 0.65661, 0.10209, 1.0],
        [0.31996, 0.66028, 0.093634, 1.0],
        [0.33034, 0.66383, 0.08618, 1.0],
        [0.34123, 0.66728, 0.079836, 1.0],
        [0.35254, 0.67063, 0.074617, 1.0],
        [0.36416, 0.67388, 0.07048, 1.0],
        [0.37603, 0.67707, 0.067441, 1.0],
        [0.38805, 0.68017, 0.065341, 1.0],
        [0.40017, 0.68323, 0.064135, 1.0],
        [0.41235, 0.68622, 0.063669, 1.0],
        [0.42451, 0.68918, 0.063793, 1.0],
        [0.43665, 0.6921, 0.064391, 1.0],
        [0.44873, 0.69498, 0.065355, 1.0],
        [0.46073, 0.69783, 0.066603, 1.0],
        [0.47266, 0.70067, 0.068066, 1.0],
        [0.4845, 0.70348, 0.06967, 1.0],
        [0.49625, 0.70628, 0.071332, 1.0],
        [0.50793, 0.70905, 0.07306, 1.0],
        [0.5195, 0.71181, 0.074792, 1.0],
        [0.53099, 0.71455, 0.076552, 1.0],
        [0.5424, 0.71728, 0.078345, 1.0],
        [0.55372, 0.72, 0.08017, 1.0],
        [0.56497, 0.72269, 0.082034, 1.0],
        [0.57617, 0.72539, 0.083799, 1.0],
        [0.58729, 0.72805, 0.085523, 1.0],
        [0.59835, 0.73071, 0.087403, 1.0],
        [0.60937, 0.73336, 0.089162, 1.0],
        [0.62033, 0.73599, 0.090964, 1.0],
        [0.63124, 0.73861, 0.092702, 1.0],
        [0.64211, 0.74121, 0.094561, 1.0],
        [0.65293, 0.7438, 0.096272, 1.0],
        [0.66373, 0.74637, 0.09813, 1.0],
        [0.67447, 0.74893, 0.099882, 1.0],
        [0.68519, 0.75149, 0.10167, 1.0],
        [0.69588, 0.75402, 0.1035, 1.0],
        [0.70654, 0.75653, 0.10524, 1.0],
        [0.71717, 0.75904, 0.10708, 1.0],
        [0.72776, 0.76153, 0.10884, 1.0],
        [0.73834, 0.764, 0.11066, 1.0],
        [0.7489, 0.76647, 0.11246, 1.0],
        [0.75944, 0.76891, 0.1142, 1.0],
        [0.76996, 0.77134, 0.11604, 1.0],
        [0.78045, 0.77373, 0.1178, 1.0],
        [0.79092, 0.7761, 0.11957, 1.0],
        [0.80136, 0.77843, 0.12132, 1.0],
        [0.81178, 0.78071, 0.12308, 1.0],
        [0.82215, 0.78294, 0.12485, 1.0],
        [0.83247, 0.78509, 0.12657, 1.0],
        [0.84272, 0.78715, 0.12828, 1.0],
        [0.85289, 0.78908, 0.12995, 1.0],
        [0.86295, 0.79087, 0.13152, 1.0],
        [0.87287, 0.79248, 0.13305, 1.0],
        [0.88262, 0.79388, 0.13451, 1.0],
        [0.89216, 0.79501, 0.13581, 1.0],
        [0.90143, 0.79585, 0.13707, 1.0],
        [0.9104, 0.79634, 0.13819, 1.0],
        [0.919, 0.79646, 0.1391, 1.0],
        [0.9272, 0.79616, 0.13987, 1.0],
        [0.93494, 0.79542, 0.1405, 1.0],
        [0.94218, 0.7942, 0.14092, 1.0],
        [0.94889, 0.79248, 0.14112, 1.0],
        [0.95503, 0.79026, 0.14111, 1.0],
        [0.9606, 0.78755, 0.14089, 1.0],
        [0.96559, 0.78436, 0.14045, 1.0],
        [0.97002, 0.7807, 0.1398, 1.0],
        [0.9739, 0.77661, 0.13901, 1.0],
        [0.97726, 0.77212, 0.13808, 1.0],
        [0.98015, 0.76727, 0.13693, 1.0],
        [0.9826, 0.76211, 0.13566, 1.0],
        [0.98467, 0.75668, 0.13433, 1.0],
        [0.9864, 0.75102, 0.13284, 1.0],
        [0.98784, 0.74515, 0.13129, 1.0],
        [0.98904, 0.73914, 0.12968, 1.0],
        [0.99004, 0.73298, 0.128, 1.0],
        [0.99087, 0.72672, 0.1263, 1.0],
        [0.99158, 0.72038, 0.12453, 1.0],
        [0.99217, 0.71398, 0.12276, 1.0],
        [0.99268, 0.70752, 0.121, 1.0],
        [0.99312, 0.70102, 0.11926, 1.0],
        [0.9935, 0.69447, 0.11747, 1.0],
        [0.99383, 0.68791, 0.11573, 1.0],
        [0.99412, 0.68132, 0.11394, 1.0],
        [0.99438, 0.6747, 0.1122, 1.0],
        [0.99461, 0.66807, 0.11045, 1.0],
        [0.99481, 0.66142, 0.10865, 1.0],
        [0.995, 0.65473, 0.10697, 1.0],
        [0.99516, 0.64804, 0.10517, 1.0],
        [0.99529, 0.64132, 0.1035, 1.0],
        [0.99541, 0.63459, 0.10176, 1.0],
        [0.9955, 0.62783, 0.10005, 1.0],
        [0.99557, 0.62104, 0.098389, 1.0],
        [0.99561, 0.61422, 0.096641, 1.0],
        [0.99564, 0.60739, 0.095059, 1.0],
        [0.99564, 0.60052, 0.093326, 1.0],
        [0.99562, 0.59363, 0.091753, 1.0],
        [0.99558, 0.5867, 0.090085, 1.0],
        [0.99551, 0.57975, 0.08846, 1.0],
        [0.99543, 0.57276, 0.086866, 1.0],
        [0.99532, 0.56573, 0.085214, 1.0],
        [0.9952, 0.55867, 0.083665, 1.0],
        [0.99505, 0.55159, 0.082128, 1.0],
        [0.99488, 0.54446, 0.080509, 1.0],
        [0.99469, 0.53729, 0.078934, 1.0],
        [0.99448, 0.53007, 0.077397, 1.0],
        [0.99425, 0.52281, 0.0759, 1.0],
        [0.994, 0.5155, 0.074438, 1.0],
        [0.99373, 0.50816, 0.07298, 1.0],
        [0.99343, 0.50075, 0.071525, 1.0],
        [0.99312, 0.49329, 0.070045, 1.0],
        [0.99279, 0.48577, 0.068661, 1.0],
        [0.99244, 0.4782, 0.067207, 1.0],
        [0.99206, 0.47057, 0.0658, 1.0],
        [0.99167, 0.46285, 0.064435, 1.0],
        [0.99126, 0.45509, 0.063129, 1.0],
        [0.99083, 0.44724, 0.061707, 1.0],
        [0.99038, 0.43931, 0.060477, 1.0],
        [0.98991, 0.43131, 0.059288, 1.0],
        [0.98943, 0.42321, 0.058031, 1.0],
        [0.98894, 0.41505, 0.05706, 1.0],
        [0.98843, 0.40681, 0.056202, 1.0],
        [0.98792, 0.3985, 0.055473, 1.0],
        [0.98741, 0.39011, 0.055034, 1.0],
        [0.9869, 0.38168, 0.054941, 1.0],
        [0.9864, 0.37321, 0.055283, 1.0],
        [0.98593, 0.36474, 0.056189, 1.0],
        [0.98549, 0.3563, 0.057588, 1.0],
        [0.9851, 0.34792, 0.059933, 1.0],
        [0.98478, 0.33968, 0.062969, 1.0],
        [0.98453, 0.33161, 0.066854, 1.0],
        [0.98439, 0.32384, 0.071751, 1.0],
        [0.98437, 0.31645, 0.077527, 1.0],
        [0.98449, 0.30952, 0.084428, 1.0],
        [0.98477, 0.30314, 0.09217, 1.0],
        [0.98521, 0.29747, 0.10081, 1.0],
        [0.98584, 0.29256, 0.1104, 1.0],
        [0.98667, 0.28854, 0.12072, 1.0],
        [0.98768, 0.28545, 0.1319, 1.0],
        [0.98888, 0.2834, 0.14376, 1.0],
        [0.99026, 0.28237, 0.15632, 1.0],
        [0.9918, 0.28237, 0.16948, 1.0],
        [0.9935, 0.28336, 0.18318, 1.0],
        [0.99531, 0.28528, 0.19743, 1.0],
        [0.99722, 0.2881, 0.21214, 1.0],
        [0.99921, 0.29171, 0.22722, 1.0],
        [1, 0.29596, 0.24264, 1.0],
        [1, 0.3008, 0.25836, 1.0],
        [1, 0.30615, 0.27432, 1.0],
        [1, 0.31182, 0.29047, 1.0],
        [1, 0.31783, 0.30679, 1.0],
        [1, 0.32406, 0.32321, 1.0],
        [1, 0.33045, 0.33974, 1.0],
        [1, 0.33697, 0.35632, 1.0],
        [1, 0.34355, 0.37295, 1.0],
        [1, 0.3502, 0.38964, 1.0],
        [1, 0.35686, 0.40637, 1.0],
        [1, 0.36352, 0.42312, 1.0],
        [1, 0.37019, 0.43991, 1.0],
        [1, 0.37687, 0.45672, 1.0],
        [1, 0.38352, 0.47355, 1.0],
        [1, 0.39014, 0.49042, 1.0],
        [1, 0.39675, 0.50731, 1.0],
        [1, 0.40335, 0.52423, 1.0],
        [1, 0.40993, 0.54118, 1.0],
        [1, 0.41648, 0.55818, 1.0],
        [1, 0.42301, 0.57522, 1.0],
        [1, 0.42955, 0.5923, 1.0],
        [1, 0.43607, 0.60942, 1.0],
        [1, 0.44258, 0.62659, 1.0],
        [1, 0.44907, 0.6438, 1.0],
        [1, 0.45556, 0.66106, 1.0],
        [1, 0.46203, 0.67837, 1.0],
        [1, 0.4685, 0.69574, 1.0],
        [1, 0.47498, 0.71314, 1.0],
        [1, 0.48143, 0.7306, 1.0],
        [1, 0.48789, 0.74812, 1.0],
        [1, 0.49434, 0.76568, 1.0],
        [1, 0.50078, 0.78329, 1.0],
        [1, 0.50723, 0.80096, 1.0],
        [1, 0.51367, 0.81867, 1.0],
        [1, 0.5201, 0.83645, 1.0],
        [1, 0.52655, 0.85427, 1.0],
        [1, 0.53299, 0.87215, 1.0],
        [1, 0.53942, 0.89007, 1.0],
        [1, 0.54587, 0.90805, 1.0],
        [1, 0.55231, 0.92608, 1.0],
        [0.99945, 0.55874, 0.94416, 1.0],
        [0.99597, 0.56518, 0.96229, 1.0],
        [0.99228, 0.57163, 0.98048, 1.0],
    ],
    # sciviscolor colormaps converted for Matplotlib
    'svc.blue1': [
        (0.0, [0.011765, 0.015686, 0.101961, 1.0]),
        (0.1, [0.066667, 0.078431, 0.2, 1.0]),
        (0.2, [0.117647, 0.168627, 0.321569, 1.0]),
        (0.3, [0.164706, 0.235294, 0.4, 1.0]),
        (0.4, [0.235294, 0.333333, 0.501961, 1.0]),
        (0.5, [0.290196, 0.415686, 0.580392, 1.0]),
        (0.6, [0.356863, 0.501961, 0.65098, 1.0]),
        (0.7, [0.439216, 0.611765, 0.729412, 1.0]),
        (0.8, [0.521569, 0.717647, 0.8, 1.0]),
        (0.9, [0.643137, 0.831373, 0.878431, 1.0]),
        (0.95, [0.780392, 0.92549, 0.94902, 1.0]),
        (1.0, [0.929412, 1.0, 1.0, 1.0]),
    ],
    'svc.blue2': [
        (0.0, [0.929412, 0.996078, 1.0, 1.0]),
        (0.1, [0.776471, 0.929412, 0.968627, 1.0]),
        (0.2, [0.611765, 0.811765, 0.901961, 1.0]),
        (0.3, [0.509804, 0.709804, 0.85098, 1.0]),
        (0.4, [0.431373, 0.615686, 0.8, 1.0]),
        (0.5, [0.345098, 0.513725, 0.74902, 1.0]),
        (0.6, [0.282353, 0.427451, 0.709804, 1.0]),
        (0.7, [0.227451, 0.337255, 0.670588, 1.0]),
        (0.8, [0.176471, 0.235294, 0.631373, 1.0]),
        (0.9, [0.12549, 0.133333, 0.568627, 1.0]),
        (1.0, [0.137255, 0.105882, 0.521569, 1.0]),
    ],
    'svc.blue3': [
        (0.0, [0.8, 1.0, 0.984314, 1.0]),
        (0.02, [0.639216, 0.968627, 0.960784, 1.0]),
        (0.05, [0.556863, 0.917647, 0.929412, 1.0]),
        (0.1, [0.478431, 0.85098, 0.901961, 1.0]),
        (0.15, [0.4, 0.776471, 0.870588, 1.0]),
        (0.2, [0.341176, 0.705882, 0.85098, 1.0]),
        (0.25, [0.282353, 0.639216, 0.831373, 1.0]),
        (0.3, [0.227451, 0.576471, 0.811765, 1.0]),
        (0.35, [0.172549, 0.501961, 0.788235, 1.0]),
        (0.4, [0.121569, 0.435294, 0.768627, 1.0]),
        (0.45, [0.090196, 0.364706, 0.74902, 1.0]),
        (0.6, [0.086275, 0.313725, 0.729412, 1.0]),
        (0.65, [0.078431, 0.258824, 0.709804, 1.0]),
        (0.7, [0.082353, 0.211765, 0.678431, 1.0]),
        (0.75, [0.090196, 0.164706, 0.639216, 1.0]),
        (0.8, [0.101961, 0.133333, 0.6, 1.0]),
        (0.85, [0.109804, 0.109804, 0.54902, 1.0]),
        (0.9, [0.152941, 0.113725, 0.501961, 1.0]),
        (0.95, [0.164706, 0.109804, 0.419608, 1.0]),
        (1.0, [0.129412, 0.058824, 0.301961, 1.0]),
    ],
    'svc.blue4': [
        (0.0, [0.301961, 0.184314, 0.301961, 1.0]),
        (0.052358, [0.313725, 0.2, 0.34902, 1.0]),
        (0.101655, [0.321569, 0.211765, 0.4, 1.0]),
        (0.15013, [0.321569, 0.223529, 0.45098, 1.0]),
        (0.206421, [0.301961, 0.235294, 0.501961, 1.0]),
        (0.248108, [0.294118, 0.243137, 0.54902, 1.0]),
        (0.350915, [0.321569, 0.286275, 0.701961, 1.0]),
        (0.44508, [0.352941, 0.352941, 0.8, 1.0]),
        (0.59366, [0.411765, 0.458824, 0.878431, 1.0]),
        (0.743782, [0.505882, 0.584314, 0.901961, 1.0]),
        (0.856626, [0.568627, 0.686275, 0.921569, 1.0]),
        (1.0, [0.729412, 0.819608, 0.968627, 1.0]),
    ],
    'svc.blue5': [
        (0.0, [0.882353, 0.980392, 0.964706, 1.0]),
        (0.1, [0.690196, 0.921569, 0.913725, 1.0]),
        (0.2, [0.552941, 0.823529, 0.85098, 1.0]),
        (0.3, [0.478431, 0.737255, 0.8, 1.0]),
        (0.4, [0.384314, 0.596078, 0.701961, 1.0]),
        (0.5, [0.321569, 0.490196, 0.639216, 1.0]),
        (0.6, [0.262745, 0.392157, 0.580392, 1.0]),
        (0.7, [0.207843, 0.301961, 0.521569, 1.0]),
        (0.8, [0.156863, 0.207843, 0.45098, 1.0]),
        (0.9, [0.121569, 0.145098, 0.4, 1.0]),
        (1.0, [0.098039, 0.086275, 0.34902, 1.0]),
    ],
    'svc.blue6': [
        (0.0, [0.94902, 1.0, 0.980392, 1.0]),
        (0.1, [0.901961, 1.0, 0.94902, 1.0]),
        (0.15, [0.831373, 0.980392, 0.917647, 1.0]),
        (0.2, [0.768627, 0.960784, 0.894118, 1.0]),
        (0.25, [0.698039, 0.929412, 0.862745, 1.0]),
        (0.3, [0.639216, 0.901961, 0.843137, 1.0]),
        (0.35, [0.588235, 0.870588, 0.827451, 1.0]),
        (0.4, [0.541176, 0.831373, 0.803922, 1.0]),
        (0.45, [0.501961, 0.8, 0.796078, 1.0]),
        (0.5, [0.454902, 0.745098, 0.760784, 1.0]),
        (0.55, [0.419608, 0.694118, 0.729412, 1.0]),
        (0.6, [0.380392, 0.631373, 0.690196, 1.0]),
        (0.65, [0.345098, 0.580392, 0.658824, 1.0]),
        (0.7, [0.317647, 0.52549, 0.619608, 1.0]),
        (0.75, [0.305882, 0.470588, 0.580392, 1.0]),
        (0.8, [0.290196, 0.415686, 0.529412, 1.0]),
        (0.85, [0.278431, 0.352941, 0.470588, 1.0]),
        (0.9, [0.258824, 0.298039, 0.4, 1.0]),
        (0.95, [0.235294, 0.247059, 0.329412, 1.0]),
        (1.0, [0.180392, 0.176471, 0.231373, 1.0]),
    ],
    'svc.blue7': [
        (0.0, [0.792157, 0.878431, 0.866667, 1.0]),
        (0.1, [0.698039, 0.85098, 0.921569, 1.0]),
        (0.2, [0.619608, 0.811765, 0.941176, 1.0]),
        (0.3, [0.537255, 0.768627, 0.960784, 1.0]),
        (0.4, [0.47451, 0.705882, 0.94902, 1.0]),
        (0.5, [0.431373, 0.65098, 0.941176, 1.0]),
        (0.6, [0.392157, 0.588235, 0.929412, 1.0]),
        (0.7, [0.368627, 0.541176, 0.921569, 1.0]),
        (0.8, [0.345098, 0.486275, 0.909804, 1.0]),
        (0.9, [0.321569, 0.454902, 0.890196, 1.0]),
        (1.0, [0.282353, 0.376471, 0.85098, 1.0]),
    ],
    'svc.blue8': [
        (0.0, [0.960784, 0.988235, 1.0, 1.0]),
        (0.05, [0.862745, 0.941176, 0.980392, 1.0]),
        (0.1, [0.780392, 0.882353, 0.94902, 1.0]),
        (0.2, [0.713725, 0.807843, 0.890196, 1.0]),
        (0.3, [0.623529, 0.721569, 0.819608, 1.0]),
        (0.4, [0.533333, 0.631373, 0.741176, 1.0]),
        (0.5, [0.454902, 0.54902, 0.658824, 1.0]),
        (0.6, [0.384314, 0.470588, 0.580392, 1.0]),
        (0.7, [0.313725, 0.396078, 0.501961, 1.0]),
        (0.8, [0.25098, 0.321569, 0.419608, 1.0]),
        (0.9, [0.2, 0.258824, 0.34902, 1.0]),
        (1.0, [0.14902, 0.196078, 0.278431, 1.0]),
    ],
    'svc.blue9': [
        (0.0, [0.94902, 1.0, 0.992157, 1.0]),
        (0.05, [0.843137, 0.980392, 0.968627, 1.0]),
        (0.1, [0.768627, 0.960784, 0.960784, 1.0]),
        (0.2, [0.690196, 0.890196, 0.909804, 1.0]),
        (0.3, [0.607843, 0.792157, 0.831373, 1.0]),
        (0.4, [0.533333, 0.701961, 0.760784, 1.0]),
        (0.5, [0.462745, 0.619608, 0.701961, 1.0]),
        (0.6, [0.415686, 0.556863, 0.65098, 1.0]),
        (0.7, [0.364706, 0.490196, 0.6, 1.0]),
        (0.75, [0.337255, 0.447059, 0.568627, 1.0]),
        (0.8, [0.317647, 0.411765, 0.54902, 1.0]),
        (0.85, [0.301961, 0.376471, 0.529412, 1.0]),
        (0.9, [0.290196, 0.34902, 0.509804, 1.0]),
        (0.95, [0.27451, 0.317647, 0.490196, 1.0]),
        (1.0, [0.254902, 0.286275, 0.458824, 1.0]),
    ],
    'svc.blue10': [
        (0.0, [0.301961, 0.184314, 0.301961, 1.0]),
        (0.052358, [0.313725, 0.2, 0.34902, 1.0]),
        (0.101655, [0.321569, 0.211765, 0.4, 1.0]),
        (0.15013, [0.321569, 0.223529, 0.45098, 1.0]),
        (0.206421, [0.301961, 0.235294, 0.501961, 1.0]),
        (0.248108, [0.294118, 0.243137, 0.54902, 1.0]),
        (0.350915, [0.321569, 0.286275, 0.701961, 1.0]),
        (0.44508, [0.352941, 0.352941, 0.8, 1.0]),
        (0.59366, [0.411765, 0.458824, 0.878431, 1.0]),
        (0.743782, [0.505882, 0.584314, 0.901961, 1.0]),
        (0.856626, [0.568627, 0.686275, 0.921569, 1.0]),
        (1.0, [0.729412, 0.819608, 0.968627, 1.0]),
    ],
    'svc.blue11': [
        (0.0, [1.0, 1.0, 1.0, 1.0]),
        (0.05, [0.882353, 0.937255, 0.980392, 1.0]),
        (0.1, [0.815686, 0.894118, 0.94902, 1.0]),
        (0.2, [0.737255, 0.823529, 0.890196, 1.0]),
        (0.3, [0.670588, 0.752941, 0.819608, 1.0]),
        (0.4, [0.6, 0.670588, 0.741176, 1.0]),
        (0.5, [0.541176, 0.6, 0.658824, 1.0]),
        (0.6, [0.482353, 0.52549, 0.580392, 1.0]),
        (0.7, [0.435294, 0.47451, 0.521569, 1.0]),
        (0.8, [0.411765, 0.443137, 0.478431, 1.0]),
        (0.9, [0.396078, 0.415686, 0.439216, 1.0]),
        (1.0, [0.380392, 0.392157, 0.4, 1.0]),
    ],
    'svc.brown1': [
        (0.0, [1.0, 0.945098, 0.839216, 1.0]),
        (0.05, [0.941176, 0.870588, 0.760784, 1.0]),
        (0.1, [0.878431, 0.756863, 0.6, 1.0]),
        (0.15, [0.819608, 0.678431, 0.52549, 1.0]),
        (0.2, [0.780392, 0.623529, 0.482353, 1.0]),
        (0.25, [0.741176, 0.568627, 0.443137, 1.0]),
        (0.3, [0.709804, 0.521569, 0.411765, 1.0]),
        (0.35, [0.670588, 0.466667, 0.376471, 1.0]),
        (0.4, [0.639216, 0.423529, 0.345098, 1.0]),
        (0.45, [0.611765, 0.380392, 0.317647, 1.0]),
        (0.5, [0.580392, 0.345098, 0.290196, 1.0]),
        (0.55, [0.54902, 0.309804, 0.270588, 1.0]),
        (0.6, [0.521569, 0.282353, 0.25098, 1.0]),
        (0.65, [0.490196, 0.25098, 0.231373, 1.0]),
        (0.7, [0.458824, 0.223529, 0.211765, 1.0]),
        (0.75, [0.431373, 0.196078, 0.192157, 1.0]),
        (0.8, [0.4, 0.172549, 0.184314, 1.0]),
        (0.85, [0.368627, 0.152941, 0.168627, 1.0]),
        (0.9, [0.329412, 0.129412, 0.152941, 1.0]),
        (0.95, [0.290196, 0.105882, 0.133333, 1.0]),
        (1.0, [0.25098, 0.086275, 0.113725, 1.0]),
    ],
    'svc.brown2': [
        (0.0, [1.0, 0.984314, 0.8, 1.0]),
        (0.1, [0.980392, 0.905882, 0.529412, 1.0]),
        (0.2, [0.960784, 0.815686, 0.384314, 1.0]),
        (0.3, [0.839216, 0.658824, 0.294118, 1.0]),
        (0.4, [0.721569, 0.509804, 0.215686, 1.0]),
        (0.5, [0.65098, 0.415686, 0.180392, 1.0]),
        (0.6, [0.54902, 0.309804, 0.137255, 1.0]),
        (0.7, [0.45098, 0.215686, 0.098039, 1.0]),
        (0.8, [0.34902, 0.117647, 0.043137, 1.0]),
        (0.9, [0.25098, 0.058824, 0.019608, 1.0]),
        (1.0, [0.14902, 0.003922, 0.0, 1.0]),
    ],
    'svc.brown3': [
        (0.0, [0.960784, 0.921569, 0.815686, 1.0]),
        (0.05, [0.901961, 0.847059, 0.721569, 1.0]),
        (0.1, [0.85098, 0.780392, 0.647059, 1.0]),
        (0.2, [0.760784, 0.662745, 0.517647, 1.0]),
        (0.3, [0.678431, 0.560784, 0.423529, 1.0]),
        (0.4, [0.619608, 0.482353, 0.34902, 1.0]),
        (0.5, [0.568627, 0.427451, 0.290196, 1.0]),
        (0.6, [0.521569, 0.368627, 0.239216, 1.0]),
        (0.7, [0.45098, 0.301961, 0.188235, 1.0]),
        (0.8, [0.388235, 0.254902, 0.156863, 1.0]),
        (0.9, [0.341176, 0.207843, 0.117647, 1.0]),
        (1.0, [0.278431, 0.156863, 0.078431, 1.0]),
    ],
    'svc.brown4': [
        (0.0, [0.701961, 0.686275, 0.615686, 1.0]),
        (0.05, [0.658824, 0.631373, 0.54902, 1.0]),
        (0.1, [0.6, 0.556863, 0.47451, 1.0]),
        (0.2, [0.541176, 0.466667, 0.360784, 1.0]),
        (0.3, [0.490196, 0.4, 0.313725, 1.0]),
        (0.4, [0.431373, 0.337255, 0.262745, 1.0]),
        (0.5, [0.368627, 0.27451, 0.219608, 1.0]),
        (0.6, [0.301961, 0.219608, 0.172549, 1.0]),
        (0.7, [0.25098, 0.176471, 0.141176, 1.0]),
        (0.8, [0.2, 0.137255, 0.113725, 1.0]),
        (0.9, [0.14902, 0.094118, 0.07451, 1.0]),
        (1.0, [0.101961, 0.054902, 0.043137, 1.0]),
    ],
    'svc.brown5': [
        (0.0, [0.941176, 0.941176, 0.894118, 1.0]),
        (0.05, [0.878431, 0.878431, 0.807843, 1.0]),
        (0.1, [0.819608, 0.819608, 0.737255, 1.0]),
        (0.15, [0.788235, 0.784314, 0.701961, 1.0]),
        (0.2, [0.74902, 0.741176, 0.658824, 1.0]),
        (0.25, [0.701961, 0.690196, 0.607843, 1.0]),
        (0.3, [0.65098, 0.639216, 0.564706, 1.0]),
        (0.35, [0.611765, 0.592157, 0.52549, 1.0]),
        (0.4, [0.580392, 0.556863, 0.494118, 1.0]),
        (0.45, [0.541176, 0.513725, 0.454902, 1.0]),
        (0.5, [0.509804, 0.478431, 0.427451, 1.0]),
        (0.55, [0.490196, 0.454902, 0.407843, 1.0]),
        (0.6, [0.470588, 0.431373, 0.388235, 1.0]),
        (0.65, [0.45098, 0.407843, 0.368627, 1.0]),
        (0.7, [0.419608, 0.376471, 0.345098, 1.0]),
        (0.75, [0.388235, 0.341176, 0.317647, 1.0]),
        (0.8, [0.360784, 0.313725, 0.290196, 1.0]),
        (0.85, [0.329412, 0.282353, 0.266667, 1.0]),
        (0.9, [0.301961, 0.25098, 0.239216, 1.0]),
        (0.95, [0.25098, 0.203922, 0.2, 1.0]),
        (1.0, [0.219608, 0.180392, 0.176471, 1.0]),
    ],
    'svc.brown6': [
        (0.0, [0.988235, 0.988235, 0.968627, 1.0]),
        (0.02, [0.960784, 0.952941, 0.894118, 1.0]),
        (0.1, [0.901961, 0.886275, 0.8, 1.0]),
        (0.2, [0.839216, 0.815686, 0.713725, 1.0]),
        (0.3, [0.788235, 0.756863, 0.639216, 1.0]),
        (0.4, [0.729412, 0.690196, 0.568627, 1.0]),
        (0.5, [0.670588, 0.623529, 0.509804, 1.0]),
        (0.6, [0.619608, 0.568627, 0.458824, 1.0]),
        (0.7, [0.580392, 0.521569, 0.415686, 1.0]),
        (0.8, [0.541176, 0.478431, 0.376471, 1.0]),
        (0.9, [0.478431, 0.415686, 0.32549, 1.0]),
        (1.0, [0.419608, 0.34902, 0.270588, 1.0]),
    ],
    'svc.brown7': [
        (0.0, [0.941176, 0.913725, 0.866667, 1.0]),
        (0.05, [0.870588, 0.807843, 0.713725, 1.0]),
        (0.1, [0.839216, 0.741176, 0.654902, 1.0]),
        (0.15, [0.8, 0.678431, 0.560784, 1.0]),
        (0.2, [0.741176, 0.627451, 0.494118, 1.0]),
        (0.3, [0.658824, 0.576471, 0.423529, 1.0]),
        (0.4, [0.6, 0.486275, 0.360784, 1.0]),
        (0.5, [0.529412, 0.396078, 0.298039, 1.0]),
        (0.6, [0.45098, 0.341176, 0.235294, 1.0]),
        (0.7, [0.368627, 0.278431, 0.164706, 1.0]),
        (0.8, [0.321569, 0.207843, 0.113725, 1.0]),
        (0.9, [0.270588, 0.145098, 0.066667, 1.0]),
        (0.95, [0.219608, 0.133333, 0.043137, 1.0]),
        (1.0, [0.180392, 0.105882, 0.019608, 1.0]),
    ],
    'svc.brown8': [
        (0.0, [1.0, 0.933333, 0.8, 1.0]),
        (0.2, [0.8, 0.721569, 0.478431, 1.0]),
        (0.4, [0.6, 0.54902, 0.301961, 1.0]),
        (0.6, [0.4, 0.380392, 0.160784, 1.0]),
        (0.8, [0.301961, 0.301961, 0.058824, 1.0]),
        (1.0, [0.184314, 0.2, 0.0, 1.0]),
    ],
    'svc.brown9': [
        (0.0, [0.988235, 0.988235, 0.94902, 1.0]),
        (0.05, [0.929412, 0.929412, 0.854902, 1.0]),
        (0.1, [0.858824, 0.858824, 0.772549, 1.0]),
        (0.15, [0.8, 0.792157, 0.705882, 1.0]),
        (0.2, [0.74902, 0.737255, 0.65098, 1.0]),
        (0.25, [0.701961, 0.686275, 0.603922, 1.0]),
        (0.3, [0.65098, 0.631373, 0.552941, 1.0]),
        (0.35, [0.6, 0.576471, 0.505882, 1.0]),
        (0.4, [0.54902, 0.521569, 0.454902, 1.0]),
        (0.45, [0.509804, 0.47451, 0.419608, 1.0]),
        (0.5, [0.470588, 0.431373, 0.380392, 1.0]),
        (0.55, [0.439216, 0.396078, 0.352941, 1.0]),
        (0.6, [0.411765, 0.364706, 0.32549, 1.0]),
        (0.65, [0.380392, 0.329412, 0.298039, 1.0]),
        (0.7, [0.34902, 0.298039, 0.270588, 1.0]),
        (0.75, [0.321569, 0.266667, 0.243137, 1.0]),
        (0.8, [0.290196, 0.235294, 0.215686, 1.0]),
        (0.85, [0.258824, 0.203922, 0.188235, 1.0]),
        (0.9, [0.231373, 0.172549, 0.164706, 1.0]),
        (0.95, [0.2, 0.145098, 0.137255, 1.0]),
        (1.0, [0.180392, 0.12549, 0.121569, 1.0]),
    ],
    'svc.red1': [
        (0.0, [0.988235, 0.976471, 0.909804, 1.0]),
        (0.05, [0.968627, 0.92549, 0.745098, 1.0]),
        (0.1, [0.94902, 0.843137, 0.588235, 1.0]),
        (0.15, [0.941176, 0.772549, 0.517647, 1.0]),
        (0.2, [0.929412, 0.686275, 0.447059, 1.0]),
        (0.25, [0.909804, 0.615686, 0.392157, 1.0]),
        (0.3, [0.901961, 0.556863, 0.360784, 1.0]),
        (0.35, [0.890196, 0.47451, 0.337255, 1.0]),
        (0.4, [0.878431, 0.403922, 0.309804, 1.0]),
        (0.45, [0.839216, 0.329412, 0.258824, 1.0]),
        (0.5, [0.8, 0.278431, 0.239216, 1.0]),
        (0.55, [0.74902, 0.211765, 0.211765, 1.0]),
        (0.6, [0.701961, 0.180392, 0.207843, 1.0]),
        (0.65, [0.658824, 0.164706, 0.207843, 1.0]),
        (0.7, [0.6, 0.133333, 0.188235, 1.0]),
        (0.75, [0.541176, 0.113725, 0.184314, 1.0]),
        (0.8, [0.501961, 0.098039, 0.180392, 1.0]),
        (0.85, [0.439216, 0.078431, 0.164706, 1.0]),
        (0.9, [0.419608, 0.066667, 0.160784, 1.0]),
        (0.95, [0.341176, 0.05098, 0.137255, 1.0]),
        (1.0, [0.278431, 0.039216, 0.117647, 1.0]),
    ],
    'svc.red2': [
        (0.0, [1.0, 0.921569, 0.8, 1.0]),
        (0.08, [0.980392, 0.788235, 0.537255, 1.0]),
        (0.16, [0.968627, 0.678431, 0.388235, 1.0]),
        (0.22, [0.960784, 0.580392, 0.286275, 1.0]),
        (0.28, [0.94902, 0.494118, 0.227451, 1.0]),
        (0.34, [0.929412, 0.427451, 0.176471, 1.0]),
        (0.4, [0.909804, 0.360784, 0.145098, 1.0]),
        (0.48, [0.890196, 0.290196, 0.12549, 1.0]),
        (0.54, [0.870588, 0.207843, 0.105882, 1.0]),
        (0.6, [0.839216, 0.145098, 0.082353, 1.0]),
        (0.66, [0.8, 0.117647, 0.094118, 1.0]),
        (0.72, [0.74902, 0.105882, 0.105882, 1.0]),
        (0.78, [0.701961, 0.113725, 0.133333, 1.0]),
        (0.84, [0.639216, 0.113725, 0.14902, 1.0]),
        (0.89, [0.6, 0.121569, 0.168627, 1.0]),
        (0.94, [0.541176, 0.117647, 0.180392, 1.0]),
        (1.0, [0.478431, 0.12549, 0.2, 1.0]),
    ],
    'svc.red3': [
        (0.0, [0.988235, 0.882353, 0.843137, 1.0]),
        (0.04, [0.968627, 0.796078, 0.737255, 1.0]),
        (0.08, [0.968627, 0.709804, 0.619608, 1.0]),
        (0.16, [0.960784, 0.6, 0.498039, 1.0]),
        (0.22, [0.94902, 0.494118, 0.380392, 1.0]),
        (0.28, [0.921569, 0.407843, 0.294118, 1.0]),
        (0.34, [0.878431, 0.329412, 0.219608, 1.0]),
        (0.4, [0.839216, 0.282353, 0.184314, 1.0]),
        (0.48, [0.788235, 0.235294, 0.14902, 1.0]),
        (0.54, [0.741176, 0.180392, 0.117647, 1.0]),
        (0.6, [0.701961, 0.137255, 0.098039, 1.0]),
        (0.66, [0.658824, 0.098039, 0.078431, 1.0]),
        (0.72, [0.619608, 0.086275, 0.086275, 1.0]),
        (0.78, [0.580392, 0.094118, 0.109804, 1.0]),
        (0.84, [0.541176, 0.098039, 0.133333, 1.0]),
        (0.89, [0.501961, 0.098039, 0.152941, 1.0]),
        (0.94, [0.458824, 0.101961, 0.160784, 1.0]),
        (1.0, [0.419608, 0.109804, 0.176471, 1.0]),
    ],
    'svc.red4': [
        (0.0, [1.0, 0.972549, 0.94902, 1.0]),
        (0.05, [0.941176, 0.866667, 0.827451, 1.0]),
        (0.1, [0.878431, 0.760784, 0.705882, 1.0]),
        (0.15, [0.819608, 0.67451, 0.623529, 1.0]),
        (0.2, [0.780392, 0.607843, 0.560784, 1.0]),
        (0.25, [0.741176, 0.545098, 0.501961, 1.0]),
        (0.3, [0.709804, 0.494118, 0.454902, 1.0]),
        (0.35, [0.670588, 0.439216, 0.407843, 1.0]),
        (0.4, [0.639216, 0.4, 0.376471, 1.0]),
        (0.45, [0.611765, 0.364706, 0.352941, 1.0]),
        (0.5, [0.580392, 0.333333, 0.329412, 1.0]),
        (0.55, [0.54902, 0.301961, 0.309804, 1.0]),
        (0.6, [0.521569, 0.27451, 0.290196, 1.0]),
        (0.65, [0.490196, 0.25098, 0.27451, 1.0]),
        (0.7, [0.458824, 0.223529, 0.254902, 1.0]),
        (0.75, [0.431373, 0.203922, 0.239216, 1.0]),
        (0.8, [0.4, 0.180392, 0.223529, 1.0]),
        (0.85, [0.368627, 0.156863, 0.203922, 1.0]),
        (0.9, [0.329412, 0.133333, 0.184314, 1.0]),
        (0.95, [0.290196, 0.105882, 0.160784, 1.0]),
        (1.0, [0.25098, 0.078431, 0.109804, 1.0]),
    ],
    'svc.maroon': [
        (0.0, [0.988235, 0.941176, 0.960784, 1.0]),
        (0.1, [0.909804, 0.784314, 0.827451, 1.0]),
        (0.2, [0.74902, 0.6, 0.647059, 1.0]),
        (0.3, [0.65098, 0.454902, 0.509804, 1.0]),
        (0.4, [0.54902, 0.356863, 0.403922, 1.0]),
        (0.5, [0.501961, 0.301961, 0.345098, 1.0]),
        (0.6, [0.458824, 0.243137, 0.282353, 1.0]),
        (0.7, [0.419608, 0.188235, 0.223529, 1.0]),
        (0.8, [0.380392, 0.14902, 0.176471, 1.0]),
        (0.9, [0.341176, 0.113725, 0.129412, 1.0]),
        (0.96, [0.301961, 0.082353, 0.094118, 1.0]),
        (1.0, [0.278431, 0.062745, 0.066667, 1.0]),
    ],
    'svc.purple1': [
        (0.0, [0.929412, 0.921569, 0.980392, 1.0]),
        (0.1, [0.796078, 0.764706, 0.909804, 1.0]),
        (0.2, [0.698039, 0.654902, 0.819608, 1.0]),
        (0.3, [0.6, 0.54902, 0.721569, 1.0]),
        (0.4, [0.513725, 0.454902, 0.631373, 1.0]),
        (0.5, [0.458824, 0.388235, 0.568627, 1.0]),
        (0.6, [0.403922, 0.333333, 0.509804, 1.0]),
        (0.7, [0.345098, 0.262745, 0.45098, 1.0]),
        (0.8, [0.301961, 0.207843, 0.4, 1.0]),
        (0.9, [0.266667, 0.164706, 0.360784, 1.0]),
        (0.96, [0.239216, 0.133333, 0.329412, 1.0]),
        (1.0, [0.211765, 0.090196, 0.301961, 1.0]),
    ],
    'svc.purple2': [
        (0.0, [0.960784, 0.964706, 1.0, 1.0]),
        (0.05, [0.854902, 0.862745, 0.941176, 1.0]),
        (0.1, [0.792157, 0.792157, 0.890196, 1.0]),
        (0.2, [0.745098, 0.713725, 0.819608, 1.0]),
        (0.3, [0.643137, 0.619608, 0.721569, 1.0]),
        (0.4, [0.556863, 0.52549, 0.619608, 1.0]),
        (0.5, [0.505882, 0.470588, 0.560784, 1.0]),
        (0.6, [0.458824, 0.415686, 0.501961, 1.0]),
        (0.7, [0.415686, 0.368627, 0.45098, 1.0]),
        (0.8, [0.376471, 0.32549, 0.4, 1.0]),
        (0.9, [0.333333, 0.278431, 0.34902, 1.0]),
        (0.96, [0.290196, 0.231373, 0.301961, 1.0]),
        (1.0, [0.243137, 0.188235, 0.25098, 1.0]),
    ],
    'svc.purple3': [
        (0.0, [0.25098, 0.015686, 0.168627, 1.0]),
        (0.1, [0.160784, 0.05098, 0.219608, 1.0]),
        (0.2, [0.188235, 0.105882, 0.301961, 1.0]),
        (0.3, [0.215686, 0.160784, 0.388235, 1.0]),
        (0.4, [0.278431, 0.227451, 0.54902, 1.0]),
        (0.5, [0.321569, 0.286275, 0.701961, 1.0]),
        (0.6, [0.352941, 0.352941, 0.8, 1.0]),
        (0.7, [0.411765, 0.458824, 0.878431, 1.0]),
        (0.8, [0.505882, 0.584314, 0.901961, 1.0]),
        (0.9, [0.568627, 0.686275, 0.921569, 1.0]),
        (1.0, [0.729412, 0.819608, 0.968627, 1.0]),
    ],
    'svc.green1': [
        (0.0, [0.054902, 0.109804, 0.121569, 1.0]),
        (0.05, [0.07451, 0.172549, 0.180392, 1.0]),
        (0.1, [0.086275, 0.231373, 0.219608, 1.0]),
        (0.15, [0.094118, 0.278431, 0.25098, 1.0]),
        (0.2, [0.109804, 0.34902, 0.278431, 1.0]),
        (0.25, [0.113725, 0.4, 0.278431, 1.0]),
        (0.3, [0.117647, 0.45098, 0.270588, 1.0]),
        (0.35, [0.117647, 0.490196, 0.243137, 1.0]),
        (0.4, [0.113725, 0.521569, 0.203922, 1.0]),
        (0.45, [0.109804, 0.54902, 0.152941, 1.0]),
        (0.5, [0.082353, 0.588235, 0.082353, 1.0]),
        (0.55, [0.109804, 0.631373, 0.05098, 1.0]),
        (0.6, [0.211765, 0.678431, 0.082353, 1.0]),
        (0.65, [0.317647, 0.721569, 0.113725, 1.0]),
        (0.7, [0.431373, 0.760784, 0.160784, 1.0]),
        (0.75, [0.556863, 0.8, 0.239216, 1.0]),
        (0.8, [0.666667, 0.839216, 0.294118, 1.0]),
        (0.85, [0.784314, 0.878431, 0.396078, 1.0]),
        (0.9, [0.886275, 0.921569, 0.533333, 1.0]),
        (0.95, [0.960784, 0.94902, 0.670588, 1.0]),
        (1.0, [1.0, 0.984314, 0.901961, 1.0]),
    ],
    'svc.green2': [
        (0.0, [0.929412, 0.980392, 0.945098, 1.0]),
        (0.02, [0.807843, 0.94902, 0.854902, 1.0]),
        (0.05, [0.698039, 0.921569, 0.807843, 1.0]),
        (0.1, [0.6, 0.878431, 0.752941, 1.0]),
        (0.15, [0.486275, 0.839216, 0.662745, 1.0]),
        (0.2, [0.411765, 0.780392, 0.564706, 1.0]),
        (0.25, [0.368627, 0.741176, 0.482353, 1.0]),
        (0.3, [0.329412, 0.690196, 0.392157, 1.0]),
        (0.35, [0.313725, 0.658824, 0.301961, 1.0]),
        (0.4, [0.313725, 0.631373, 0.262745, 1.0]),
        (0.45, [0.262745, 0.580392, 0.196078, 1.0]),
        (0.5, [0.211765, 0.54902, 0.164706, 1.0]),
        (0.55, [0.156863, 0.521569, 0.145098, 1.0]),
        (0.6, [0.129412, 0.501961, 0.168627, 1.0]),
        (0.65, [0.117647, 0.470588, 0.188235, 1.0]),
        (0.7, [0.101961, 0.431373, 0.192157, 1.0]),
        (0.75, [0.082353, 0.380392, 0.192157, 1.0]),
        (0.8, [0.070588, 0.341176, 0.219608, 1.0]),
        (0.85, [0.058824, 0.301961, 0.258824, 1.0]),
        (0.9, [0.047059, 0.270588, 0.270588, 1.0]),
        (0.95, [0.039216, 0.223529, 0.239216, 1.0]),
        (0.98, [0.035294, 0.172549, 0.2, 1.0]),
        (1.0, [0.031373, 0.12549, 0.14902, 1.0]),
    ],
    'svc.green3': [
        (0.0, [0.14902, 0.270588, 0.188235, 1.0]),
        (0.02, [0.141176, 0.278431, 0.180392, 1.0]),
        (0.05, [0.133333, 0.301961, 0.172549, 1.0]),
        (0.1, [0.137255, 0.329412, 0.168627, 1.0]),
        (0.15, [0.141176, 0.368627, 0.168627, 1.0]),
        (0.2, [0.145098, 0.411765, 0.152941, 1.0]),
        (0.25, [0.14902, 0.45098, 0.145098, 1.0]),
        (0.3, [0.168627, 0.490196, 0.145098, 1.0]),
        (0.35, [0.192157, 0.529412, 0.14902, 1.0]),
        (0.4, [0.219608, 0.560784, 0.152941, 1.0]),
        (0.45, [0.247059, 0.588235, 0.152941, 1.0]),
        (0.5, [0.294118, 0.619608, 0.172549, 1.0]),
        (0.55, [0.34902, 0.65098, 0.207843, 1.0]),
        (0.6, [0.411765, 0.690196, 0.247059, 1.0]),
        (0.65, [0.47451, 0.741176, 0.294118, 1.0]),
        (0.7, [0.537255, 0.788235, 0.333333, 1.0]),
        (0.75, [0.615686, 0.85098, 0.384314, 1.0]),
        (0.8, [0.709804, 0.909804, 0.447059, 1.0]),
        (0.85, [0.780392, 0.941176, 0.505882, 1.0]),
        (0.9, [0.847059, 0.960784, 0.584314, 1.0]),
        (0.95, [0.913725, 0.968627, 0.729412, 1.0]),
        (0.98, [0.960784, 0.980392, 0.862745, 1.0]),
        (1.0, [0.996078, 1.0, 0.960784, 1.0]),
    ],
    'svc.green4': [
        (0.0, [0.909804, 0.980392, 0.831373, 1.0]),
        (0.05, [0.85098, 0.94902, 0.741176, 1.0]),
        (0.1, [0.780392, 0.901961, 0.631373, 1.0]),
        (0.2, [0.678431, 0.839216, 0.470588, 1.0]),
        (0.3, [0.603922, 0.768627, 0.368627, 1.0]),
        (0.4, [0.54902, 0.721569, 0.286275, 1.0]),
        (0.5, [0.505882, 0.670588, 0.243137, 1.0]),
        (0.6, [0.45098, 0.6, 0.192157, 1.0]),
        (0.7, [0.396078, 0.529412, 0.14902, 1.0]),
        (0.8, [0.341176, 0.45098, 0.109804, 1.0]),
        (0.9, [0.286275, 0.368627, 0.07451, 1.0]),
        (1.0, [0.219608, 0.278431, 0.043137, 1.0]),
    ],
    'svc.green5': [
        (0.0, [0.917647, 1.0, 0.901961, 1.0]),
        (0.1, [0.709804, 0.94902, 0.694118, 1.0]),
        (0.2, [0.556863, 0.901961, 0.564706, 1.0]),
        (0.3, [0.419608, 0.839216, 0.454902, 1.0]),
        (0.4, [0.305882, 0.760784, 0.372549, 1.0]),
        (0.5, [0.211765, 0.701961, 0.309804, 1.0]),
        (0.6, [0.12549, 0.619608, 0.247059, 1.0]),
        (0.7, [0.066667, 0.54902, 0.227451, 1.0]),
        (0.8, [0.039216, 0.478431, 0.223529, 1.0]),
        (0.9, [0.039216, 0.4, 0.219608, 1.0]),
        (1.0, [0.031373, 0.301961, 0.188235, 1.0]),
    ],
    'svc.green6': [
        (0.0, [0.054902, 0.101961, 0.011765, 1.0]),
        (0.1, [0.105882, 0.180392, 0.031373, 1.0]),
        (0.2, [0.164706, 0.258824, 0.07451, 1.0]),
        (0.3, [0.227451, 0.341176, 0.113725, 1.0]),
        (0.4, [0.298039, 0.419608, 0.176471, 1.0]),
        (0.5, [0.376471, 0.501961, 0.25098, 1.0]),
        (0.6, [0.458824, 0.580392, 0.337255, 1.0]),
        (0.7, [0.54902, 0.658824, 0.435294, 1.0]),
        (0.8, [0.643137, 0.741176, 0.54902, 1.0]),
        (0.9, [0.745098, 0.819608, 0.670588, 1.0]),
        (1.0, [0.854902, 0.901961, 0.811765, 1.0]),
    ],
    'svc.green7': [
        (0.0, [0.964706, 0.988235, 0.941176, 1.0]),
        (0.1, [0.894118, 0.960784, 0.843137, 1.0]),
        (0.2, [0.796078, 0.921569, 0.752941, 1.0]),
        (0.3, [0.74902, 0.890196, 0.721569, 1.0]),
        (0.4, [0.694118, 0.85098, 0.678431, 1.0]),
        (0.5, [0.647059, 0.819608, 0.647059, 1.0]),
        (0.6, [0.607843, 0.780392, 0.623529, 1.0]),
        (0.7, [0.560784, 0.741176, 0.592157, 1.0]),
        (0.8, [0.517647, 0.701961, 0.564706, 1.0]),
        (0.9, [0.466667, 0.658824, 0.533333, 1.0]),
        (1.0, [0.407843, 0.588235, 0.482353, 1.0]),
    ],
    'svc.green8': [
        (0.0, [0.976471, 1.0, 0.94902, 1.0]),
        (0.05, [0.945098, 0.980392, 0.909804, 1.0]),
        (0.1, [0.905882, 0.94902, 0.87451, 1.0]),
        (0.15, [0.866667, 0.921569, 0.835294, 1.0]),
        (0.2, [0.823529, 0.890196, 0.8, 1.0]),
        (0.25, [0.772549, 0.85098, 0.756863, 1.0]),
        (0.3, [0.737255, 0.819608, 0.729412, 1.0]),
        (0.35, [0.686275, 0.780392, 0.686275, 1.0]),
        (0.4, [0.65098, 0.741176, 0.658824, 1.0]),
        (0.45, [0.607843, 0.701961, 0.623529, 1.0]),
        (0.5, [0.572549, 0.658824, 0.596078, 1.0]),
        (0.55, [0.52549, 0.611765, 0.552941, 1.0]),
        (0.6, [0.498039, 0.580392, 0.533333, 1.0]),
        (0.65, [0.466667, 0.54902, 0.509804, 1.0]),
        (0.7, [0.443137, 0.521569, 0.486275, 1.0]),
        (0.75, [0.423529, 0.501961, 0.47451, 1.0]),
        (0.8, [0.411765, 0.478431, 0.462745, 1.0]),
        (0.85, [0.403922, 0.458824, 0.45098, 1.0]),
        (0.9, [0.396078, 0.439216, 0.435294, 1.0]),
        (0.95, [0.388235, 0.419608, 0.419608, 1.0]),
        (1.0, [0.380392, 0.396078, 0.4, 1.0]),
    ],
    'svc.yellow1': [
        (0.0, [1.0, 0.996078, 0.890196, 1.0]),
        (0.1, [0.988235, 0.968627, 0.713725, 1.0]),
        (0.2, [0.980392, 0.933333, 0.588235, 1.0]),
        (0.3, [0.968627, 0.901961, 0.505882, 1.0]),
        (0.4, [0.960784, 0.862745, 0.423529, 1.0]),
        (0.5, [0.94902, 0.831373, 0.360784, 1.0]),
        (0.6, [0.941176, 0.8, 0.301961, 1.0]),
        (0.7, [0.929412, 0.768627, 0.243137, 1.0]),
        (0.8, [0.921569, 0.733333, 0.164706, 1.0]),
        (0.9, [0.909804, 0.690196, 0.090196, 1.0]),
        (0.96, [0.901961, 0.658824, 0.043137, 1.0]),
        (1.0, [0.890196, 0.639216, 0.0, 1.0]),
    ],
    'svc.yellow2': [
        (0.0, [1.0, 0.996078, 0.890196, 1.0]),
        (0.1, [0.980392, 0.956863, 0.705882, 1.0]),
        (0.2, [0.960784, 0.917647, 0.596078, 1.0]),
        (0.3, [0.94902, 0.882353, 0.494118, 1.0]),
        (0.4, [0.929412, 0.835294, 0.407843, 1.0]),
        (0.5, [0.909804, 0.8, 0.364706, 1.0]),
        (0.6, [0.890196, 0.760784, 0.329412, 1.0]),
        (0.7, [0.870588, 0.717647, 0.294118, 1.0]),
        (0.8, [0.858824, 0.686275, 0.27451, 1.0]),
        (0.9, [0.85098, 0.65098, 0.254902, 1.0]),
        (0.96, [0.839216, 0.619608, 0.235294, 1.0]),
        (1.0, [0.831373, 0.588235, 0.223529, 1.0]),
    ],
    'svc.yellow3': [
        (0.0, [0.960784, 0.960784, 0.843137, 1.0]),
        (0.05, [0.94902, 0.941176, 0.741176, 1.0]),
        (0.1, [0.941176, 0.921569, 0.658824, 1.0]),
        (0.2, [0.921569, 0.886275, 0.568627, 1.0]),
        (0.3, [0.901961, 0.85098, 0.529412, 1.0]),
        (0.4, [0.878431, 0.815686, 0.501961, 1.0]),
        (0.5, [0.858824, 0.784314, 0.47451, 1.0]),
        (0.6, [0.839216, 0.745098, 0.454902, 1.0]),
        (0.7, [0.819608, 0.705882, 0.435294, 1.0]),
        (0.8, [0.811765, 0.67451, 0.419608, 1.0]),
        (0.9, [0.788235, 0.635294, 0.403922, 1.0]),
        (1.0, [0.780392, 0.596078, 0.372549, 1.0]),
    ],
    'svc.orange1': [
        (0.0, [1.0, 0.980392, 0.941176, 1.0]),
        (0.05, [0.980392, 0.909804, 0.784314, 1.0]),
        (0.1, [0.968627, 0.854902, 0.670588, 1.0]),
        (0.15, [0.960784, 0.811765, 0.584314, 1.0]),
        (0.2, [0.94902, 0.768627, 0.513725, 1.0]),
        (0.25, [0.941176, 0.729412, 0.45098, 1.0]),
        (0.3, [0.929412, 0.686275, 0.392157, 1.0]),
        (0.35, [0.921569, 0.65098, 0.341176, 1.0]),
        (0.4, [0.909804, 0.603922, 0.27451, 1.0]),
        (0.45, [0.901961, 0.54902, 0.196078, 1.0]),
        (0.5, [0.901961, 0.513725, 0.152941, 1.0]),
        (0.55, [0.890196, 0.486275, 0.176471, 1.0]),
        (0.6, [0.890196, 0.462745, 0.196078, 1.0]),
        (0.65, [0.878431, 0.435294, 0.211765, 1.0]),
        (0.7, [0.878431, 0.423529, 0.227451, 1.0]),
        (0.75, [0.870588, 0.407843, 0.25098, 1.0]),
        (0.8, [0.870588, 0.396078, 0.278431, 1.0]),
        (0.85, [0.858824, 0.384314, 0.301961, 1.0]),
        (0.9, [0.858824, 0.380392, 0.32549, 1.0]),
        (0.95, [0.839216, 0.376471, 0.352941, 1.0]),
        (1.0, [0.819608, 0.376471, 0.376471, 1.0]),
    ],
    'svc.orange2': [
        (0.0, [1.0, 1.0, 0.988235, 1.0]),
        (0.002, [1.0, 1.0, 0.988235, 1.0]),
        (0.05, [0.984314, 0.988235, 0.843137, 1.0]),
        (0.1, [0.988235, 0.988235, 0.741176, 1.0]),
        (0.15, [0.980392, 0.968627, 0.654902, 1.0]),
        (0.2, [0.980392, 0.945098, 0.576471, 1.0]),
        (0.25, [0.968627, 0.905882, 0.486275, 1.0]),
        (0.3, [0.968627, 0.862745, 0.388235, 1.0]),
        (0.35, [0.960784, 0.803922, 0.286275, 1.0]),
        (0.4, [0.94902, 0.741176, 0.219608, 1.0]),
        (0.45, [0.941176, 0.678431, 0.14902, 1.0]),
        (0.5, [0.929412, 0.607843, 0.094118, 1.0]),
        (0.55, [0.921569, 0.545098, 0.054902, 1.0]),
        (0.6, [0.909804, 0.486275, 0.035294, 1.0]),
        (0.65, [0.890196, 0.411765, 0.019608, 1.0]),
        (0.7, [0.8, 0.305882, 0.0, 1.0]),
        (0.75, [0.760784, 0.239216, 0.0, 1.0]),
        (0.8, [0.678431, 0.180392, 0.011765, 1.0]),
        (0.85, [0.6, 0.121569, 0.023529, 1.0]),
        (0.9, [0.501961, 0.054902, 0.031373, 1.0]),
        (0.95, [0.4, 0.039216, 0.058824, 1.0]),
        (1.0, [0.301961, 0.047059, 0.090196, 1.0]),
    ],
    'svc.orange3': [
        (0.0, [0.941176, 0.8, 0.552941, 1.0]),
        (0.05, [0.921569, 0.745098, 0.478431, 1.0]),
        (0.1, [0.901961, 0.682353, 0.396078, 1.0]),
        (0.2, [0.858824, 0.6, 0.317647, 1.0]),
        (0.3, [0.819608, 0.529412, 0.278431, 1.0]),
        (0.4, [0.8, 0.470588, 0.231373, 1.0]),
        (0.5, [0.780392, 0.415686, 0.203922, 1.0]),
        (0.6, [0.760784, 0.360784, 0.176471, 1.0]),
        (0.7, [0.741176, 0.321569, 0.156863, 1.0]),
        (0.8, [0.721569, 0.282353, 0.137255, 1.0]),
        (0.9, [0.701961, 0.25098, 0.12549, 1.0]),
        (0.95, [0.678431, 0.227451, 0.113725, 1.0]),
        (1.0, [0.65098, 0.196078, 0.105882, 1.0]),
    ],
    'svc.yellow4': [
        (0.0, [1.0, 0.996078, 0.941176, 1.0]),
        (0.02, [0.980392, 0.976471, 0.862745, 1.0]),
        (0.05, [0.968627, 0.956863, 0.796078, 1.0]),
        (0.1, [0.941176, 0.905882, 0.678431, 1.0]),
        (0.2, [0.901961, 0.827451, 0.541176, 1.0]),
        (0.3, [0.85098, 0.733333, 0.458824, 1.0]),
        (0.4, [0.8, 0.647059, 0.4, 1.0]),
        (0.5, [0.760784, 0.560784, 0.34902, 1.0]),
        (0.55, [0.721569, 0.509804, 0.309804, 1.0]),
        (0.6, [0.690196, 0.462745, 0.27451, 1.0]),
        (0.65, [0.658824, 0.427451, 0.282353, 1.0]),
        (0.7, [0.631373, 0.403922, 0.290196, 1.0]),
        (0.75, [0.6, 0.380392, 0.294118, 1.0]),
        (0.8, [0.54902, 0.352941, 0.286275, 1.0]),
        (0.85, [0.509804, 0.32549, 0.282353, 1.0]),
        (0.9, [0.470588, 0.301961, 0.27451, 1.0]),
        (0.95, [0.431373, 0.27451, 0.262745, 1.0]),
        (1.0, [0.380392, 0.254902, 0.247059, 1.0]),
    ],
    'svc.yellow5': [
        (0.0, [0.988235, 0.988235, 0.870588, 1.0]),
        (0.05, [0.968627, 0.964706, 0.756863, 1.0]),
        (0.1, [0.94902, 0.929412, 0.666667, 1.0]),
        (0.2, [0.929412, 0.894118, 0.556863, 1.0]),
        (0.3, [0.85098, 0.8, 0.466667, 1.0]),
        (0.4, [0.780392, 0.713725, 0.388235, 1.0]),
        (0.5, [0.701961, 0.635294, 0.376471, 1.0]),
        (0.6, [0.65098, 0.584314, 0.388235, 1.0]),
        (0.7, [0.588235, 0.529412, 0.384314, 1.0]),
        (0.8, [0.501961, 0.443137, 0.34902, 1.0]),
        (0.9, [0.4, 0.352941, 0.301961, 1.0]),
        (1.0, [0.301961, 0.266667, 0.239216, 1.0]),
    ],
    'svc.div-blue-orange': [
        (0.0, [0.0862745098039216, 0.00392156862745098, 0.298039215686275, 1.0]),
        (0.030334, [0.113725, 0.0235294, 0.45098, 1.0]),
        (0.055527, [0.105882, 0.0509804, 0.509804, 1.0]),
        (0.073008, [0.0392157, 0.0392157, 0.560784, 1.0]),
        (0.089974, [0.0313725, 0.0980392, 0.6, 1.0]),
        (0.106427, [0.0431373, 0.164706, 0.639216, 1.0]),
        (0.130077, [0.054902, 0.243137, 0.678431, 1.0]),
        (0.16144, [0.054902, 0.317647, 0.709804, 1.0]),
        (0.2, [0.0509804, 0.396078, 0.741176, 1.0]),
        (0.225, [0.0392157, 0.466667, 0.768627, 1.0]),
        (0.25, [0.0313725, 0.537255, 0.788235, 1.0]),
        (0.276093, [0.0313725, 0.615686, 0.811765, 1.0]),
        (0.302828, [0.0235294, 0.709804, 0.831373, 1.0]),
        (0.329563, [0.0509804, 0.8, 0.85098, 1.0]),
        (0.351671, [0.0705882, 0.854902, 0.870588, 1.0]),
        (0.372237, [0.262745, 0.901961, 0.862745, 1.0]),
        (0.390231, [0.423529, 0.941176, 0.87451, 1.0]),
        (0.417995, [0.572549, 0.964706, 0.835294, 1.0]),
        (0.436504, [0.658824, 0.980392, 0.843137, 1.0]),
        (0.456041, [0.764706, 0.980392, 0.866667, 1.0]),
        (0.468895, [0.827451, 0.980392, 0.886275, 1.0]),
        (0.482262, [0.890196078431372, 0.988235294117647, 0.925490196078431, 1.0]),
        (0.492545, [0.913725, 0.988235, 0.937255, 1.0]),
        (0.501285, [1.0, 1.0, 0.972549019607843, 1.0]),
        (0.510026, [0.988235294117647, 0.988235294117647, 0.905882352941176, 1.0]),
        (0.526478, [0.992156862745098, 0.972549019607843, 0.803921568627451, 1.0]),
        (0.539846, [0.992157, 0.964706, 0.713725, 1.0]),
        (0.554756, [0.988235, 0.956863, 0.643137, 1.0]),
        (0.576864, [0.980392, 0.917647, 0.509804, 1.0]),
        (0.599486, [0.968627, 0.87451, 0.407843, 1.0]),
        (0.620051, [0.94902, 0.823529, 0.321569, 1.0]),
        (0.636504, [0.929412, 0.776471, 0.278431, 1.0]),
        (0.660668, [0.909804, 0.717647, 0.235294, 1.0]),
        (0.682262, [0.890196, 0.658824, 0.196078, 1.0]),
        (0.7, [0.878431, 0.619608, 0.168627, 1.0]),
        (0.725, [0.870588, 0.54902, 0.156863, 1.0]),
        (0.75, [0.85098, 0.47451, 0.145098, 1.0]),
        (0.775, [0.831373, 0.411765, 0.133333, 1.0]),
        (0.8, [0.811765, 0.345098, 0.113725, 1.0]),
        (0.825, [0.788235, 0.266667, 0.0941176, 1.0]),
        (0.85, [0.741176, 0.184314, 0.0745098, 1.0]),
        (0.875, [0.690196, 0.12549, 0.0627451, 1.0]),
        (0.9, [0.619608, 0.0627451, 0.0431373, 1.0]),
        (0.923393, [0.54902, 0.027451, 0.0705882, 1.0]),
        (0.943959, [0.470588, 0.0156863, 0.0901961, 1.0]),
        (0.967095, [0.4, 0.00392157, 0.101961, 1.0]),
        (1.0, [0.188235294117647, 0.0, 0.0705882352941176, 1.0]),
    ],
    'svc.div-gray-gold': [
        (0.0, [0.2, 0.168627, 0.160784, 1.0]),
        (0.1, [0.4, 0.364706, 0.341176, 1.0]),
        (0.2, [0.65098, 0.623529, 0.584314, 1.0]),
        (0.3, [0.8, 0.780392, 0.745098, 1.0]),
        (0.4, [0.901961, 0.886275, 0.854902, 1.0]),
        (0.5, [1.0, 0.996078, 0.968627, 1.0]),
        (0.52, [0.988235, 0.972549, 0.811765, 1.0]),
        (0.6, [0.941176, 0.878431, 0.639216, 1.0]),
        (0.7, [0.878431, 0.733333, 0.47451, 1.0]),
        (0.8, [0.8, 0.552941, 0.337255, 1.0]),
        (0.9, [0.721569, 0.376471, 0.231373, 1.0]),
        (0.95, [0.639216, 0.239216, 0.160784, 1.0]),
        (1.0, [0.560784, 0.133333, 0.113725, 1.0]),
    ],
    'svc.div-green-brown': [
        (0.0, [0.023529, 0.14902, 0.098039, 1.0]),
        (0.025, [0.05098, 0.2, 0.121569, 1.0]),
        (0.05, [0.082353, 0.239216, 0.141176, 1.0]),
        (0.1, [0.176471, 0.321569, 0.211765, 1.0]),
        (0.15, [0.270588, 0.411765, 0.286275, 1.0]),
        (0.2, [0.384314, 0.521569, 0.372549, 1.0]),
        (0.25, [0.470588, 0.619608, 0.423529, 1.0]),
        (0.3, [0.54902, 0.701961, 0.435294, 1.0]),
        (0.35, [0.701961, 0.8, 0.537255, 1.0]),
        (0.4, [0.819608, 0.878431, 0.635294, 1.0]),
        (0.45, [0.917647, 0.941176, 0.760784, 1.0]),
        (0.475, [0.94902, 0.94902, 0.796078, 1.0]),
        (0.5, [0.968627, 0.94902, 0.854902, 1.0]),
        (0.55, [0.921569, 0.847059, 0.698039, 1.0]),
        (0.6, [0.831373, 0.717647, 0.564706, 1.0]),
        (0.65, [0.741176, 0.6, 0.458824, 1.0]),
        (0.7, [0.65098, 0.490196, 0.376471, 1.0]),
        (0.75, [0.54902, 0.380392, 0.298039, 1.0]),
        (0.8, [0.45098, 0.290196, 0.219608, 1.0]),
        (0.85, [0.360784, 0.196078, 0.152941, 1.0]),
        (0.9, [0.301961, 0.129412, 0.094118, 1.0]),
        (0.95, [0.211765, 0.07451, 0.058824, 1.0]),
        (0.975, [0.160784, 0.054902, 0.047059, 1.0]),
        (1.0, [0.121569, 0.05098, 0.047059, 1.0]),
    ],
    'svc.div-turqoise-olive': [
        (0.0, [0.164706, 0.207843, 0.239216, 1.0]),
        (0.025, [0.184314, 0.258824, 0.301961, 1.0]),
        (0.05, [0.188235, 0.301961, 0.360784, 1.0]),
        (0.1, [0.184314, 0.403922, 0.478431, 1.0]),
        (0.15, [0.211765, 0.533333, 0.6, 1.0]),
        (0.2, [0.211765, 0.682353, 0.701961, 1.0]),
        (0.25, [0.278431, 0.8, 0.784314, 1.0]),
        (0.3, [0.388235, 0.901961, 0.831373, 1.0]),
        (0.35, [0.490196, 0.941176, 0.819608, 1.0]),
        (0.4, [0.576471, 0.960784, 0.8, 1.0]),
        (0.45, [0.792157, 0.988235, 0.87451, 1.0]),
        (0.49, [0.878431, 1.0, 0.921569, 1.0]),
        (0.5, [0.988235, 0.972549, 0.831373, 1.0]),
        (0.55, [0.921569, 0.866667, 0.607843, 1.0]),
        (0.6, [0.890196, 0.807843, 0.505882, 1.0]),
        (0.65, [0.839216, 0.721569, 0.447059, 1.0]),
        (0.7, [0.760784, 0.631373, 0.372549, 1.0]),
        (0.75, [0.65098, 0.568627, 0.298039, 1.0]),
        (0.8, [0.541176, 0.513725, 0.239216, 1.0]),
        (0.85, [0.439216, 0.439216, 0.184314, 1.0]),
        (0.9, [0.305882, 0.360784, 0.12549, 1.0]),
        (0.95, [0.203922, 0.258824, 0.117647, 1.0]),
        (1.0, [0.117647, 0.160784, 0.098039, 1.0]),
    ],
    'svc.div-orange-blue': [
        (0.0, [0.4392156862745098, 0.00784313725490196, 0.09411764705882353, 1.0]),
        (0.012629084133952861, [0.48627450980392156, 0.0196078431372549, 0.08627450980392157, 1.0]),
        (0.021508782979816177, [0.5254901960784314, 0.023529411764705882, 0.0784313725490196, 1.0]),
        (0.02940210449019076, [0.5568627450980392, 0.03137254901960784, 0.06666666666666667, 1.0]),
        (0.03838044106960298, [0.5882352941176471, 0.047058823529411764, 0.054901960784313725, 1.0]),
        (0.04797555133700371, [0.6235294117647059, 0.06666666666666667, 0.043137254901960784, 1.0]),
        (0.05757066160440444, [0.6549019607843137, 0.09803921568627451, 0.054901960784313725, 1.0]),
        (0.06716577187180522, [0.6862745098039216, 0.12156862745098039, 0.06274509803921569, 1.0]),
        (0.0767608821392059, [0.7098039215686275, 0.14901960784313725, 0.06666666666666667, 1.0]),
        (0.08635599240660669, [0.7333333333333333, 0.17647058823529413, 0.07450980392156863, 1.0]),
        (0.09595110267400742, [0.7568627450980392, 0.21176470588235294, 0.0784313725490196, 1.0]),
        (0.10554621294140815, [0.7764705882352941, 0.24705882352941178, 0.09019607843137255, 1.0]),
        (0.11514132320880893, [0.792156862745098, 0.2823529411764706, 0.09803921568627451, 1.0]),
        (0.12194924584573508, [0.8, 0.30980392156862746, 0.10588235294117647, 1.0]),
        (0.1302371182903051, [0.807843137254902, 0.33725490196078434, 0.11372549019607843, 1.0]),
        (0.13951136807036402, [0.8196078431372549, 0.3686274509803922, 0.12156862745098039, 1.0]),
        (0.14582610203954577, [0.8235294117647058, 0.38823529411764707, 0.12549019607843137, 1.0]),
        (0.15371903974550963, [0.8313725490196079, 0.4117647058823529, 0.13333333333333333, 1.0]),
        (0.1624014631242752, [0.8392156862745098, 0.4392156862745098, 0.13725490196078433, 1.0]),
        (0.17088661103594302, [0.8470588235294118, 0.4627450980392157, 0.1411764705882353, 1.0]),
        (0.1766091347994208, [0.8509803921568627, 0.4823529411764706, 0.1450980392156863, 1.0]),
        (0.18173983216160536, [0.8588235294117647, 0.4980392156862745, 0.14901960784313725, 1.0]),
        (0.18805418232637644, [0.8627450980392157, 0.5215686274509804, 0.15294117647058825, 1.0]),
        (0.19140901668027044, [0.8666666666666667, 0.5333333333333333, 0.15294117647058825, 1.0]),
        (0.19476346722975374, [0.8705882352941177, 0.5450980392156862, 0.1568627450980392, 1.0]),
        (0.198710127984941, [0.8705882352941177, 0.5568627450980392, 0.1568627450980392, 1.0]),
        (0.20384044154271483, [0.8745098039215686, 0.5725490196078431, 0.1607843137254902, 1.0]),
        (0.2087738634378016, [0.8745098039215686, 0.592156862745098, 0.16470588235294117, 1.0]),
        (0.21627225020956992, [0.8784313725490196, 0.615686274509804, 0.16862745098039217, 1.0]),
        (0.22337608604714274, [0.8823529411764706, 0.6352941176470588, 0.1803921568627451, 1.0]),
        (0.23403203170570733, [0.8901960784313725, 0.6627450980392157, 0.2, 1.0]),
        (0.24093820827177168, [0.8980392156862745, 0.6862745098039216, 0.21176470588235294, 1.0]),
        (0.2488315297821462, [0.9058823529411765, 0.7098039215686275, 0.23137254901960785, 1.0]),
        (0.25731667769381406, [0.9176470588235294, 0.7333333333333333, 0.24705882352941178, 1.0]),
        (0.2675776886137724, [0.9254901960784314, 0.7647058823529411, 0.27058823529411763, 1.0]),
        (0.27783869953373075, [0.9372549019607843, 0.796078431372549, 0.2980392156862745, 1.0]),
        (0.28785330802202225, [0.9529411764705882, 0.8274509803921568, 0.3333333333333333, 1.0]),
        (0.297448418289423, [0.9607843137254902, 0.8588235294117647, 0.3803921568627451, 1.0]),
        (0.3070435285568237, [0.9725490196078431, 0.8823529411764706, 0.42745098039215684, 1.0]),
        (0.32184302663326264, [0.9803921568627451, 0.9137254901960784, 0.5058823529411764, 1.0]),
        (0.3338802843659222, [0.984313725490196, 0.9411764705882353, 0.5882352941176471, 1.0]),
        (0.3429572586788833, [0.9882352941176471, 0.9568627450980393, 0.6509803921568628, 1.0]),
        (0.3492719926480651, [0.9921568627450981, 0.9607843137254902, 0.6862745098039216, 1.0]),
        (0.35578361827993393, [0.9921568627450981, 0.9647058823529412, 0.7254901960784313, 1.0]),
        (0.36249290318331123, [0.9921568627450981, 0.9686274509803922, 0.7764705882352941, 1.0]),
        (0.3721620877019763, [0.9921568627450981, 0.9803921568627451, 0.8509803921568627, 1.0]),
        (0.38380441069602966, [0.996078431372549, 0.996078431372549, 0.9411764705882353, 1.0]),
        (0.3838144106960296, [0.984313725490196, 1.0, 0.9647058823529412, 1.0]),
        (0.40408999751207675, [0.8941176470588236, 0.9882352941176471, 0.9254901960784314, 1.0]),
        (0.4183460673062134, [0.8392156862745098, 0.9803921568627451, 0.8941176470588236, 1.0]),
        (0.43101854013583885, [0.792156862745098, 0.9803921568627451, 0.8745098039215686, 1.0]),
        (0.44543296962642664, [0.7333333333333333, 0.9803921568627451, 0.8588235294117647, 1.0]),
        (0.46083760935902596, [0.6627450980392157, 0.9803921568627451, 0.8431372549019608, 1.0]),
        (0.47624224909162516, [0.6039215686274509, 0.9686274509803922, 0.8392156862745098, 1.0]),
        (0.49164688882422447, [0.5450980392156862, 0.9607843137254902, 0.8431372549019608, 1.0]),
        (0.5070515285568237, [0.4823529411764706, 0.9490196078431372, 0.8627450980392157, 1.0]),
        (0.5224561682894229, [0.4, 0.9333333333333333, 0.8745098039215686, 1.0]),
        (0.5378608080220222, [0.2901960784313726, 0.9058823529411765, 0.8627450980392157, 1.0]),
        (0.5532654477546215, [0.19607843137254902, 0.8784313725490196, 0.8666666666666667, 1.0]),
        (0.5686700874872208, [0.07058823529411765, 0.8509803921568627, 0.8705882352941177, 1.0]),
        (0.5795999874702946, [0.06274509803921569, 0.8274509803921568, 0.8627450980392157, 1.0]),
        (0.5929058990857246, [0.050980392156862744, 0.8, 0.8509803921568627, 1.0]),
        (0.6077954076656656, [0.047058823529411764, 0.7607843137254902, 0.8431372549019608, 1.0]),
        (0.6179335091664839, [0.03529411764705882, 0.7333333333333333, 0.8352941176470589, 1.0]),
        (0.63060536581052, [0.027450980392156862, 0.6980392156862745, 0.8274509803921568, 1.0]),
        (0.6445447162117544, [0.03529411764705882, 0.6588235294117647, 0.8196078431372549, 1.0]),
        (0.6581673472200866, [0.03137254901960784, 0.6196078431372549, 0.8117647058823529, 1.0]),
        (0.6673546743566088, [0.03529411764705882, 0.596078431372549, 0.807843137254902, 1.0]),
        (0.6755918433144243, [0.0392156862745098, 0.5764705882352941, 0.8, 1.0]),
        (0.6857293286296532, [0.03529411764705882, 0.5529411764705883, 0.792156862745098, 1.0]),
        (0.6911154068657592, [0.03137254901960784, 0.5372549019607843, 0.788235294117647, 1.0]),
        (0.6965008689162759, [0.03529411764705882, 0.5254901960784314, 0.7843137254901961, 1.0]),
        (0.7028371053310887, [0.0392156862745098, 0.5137254901960784, 0.7803921568627451, 1.0]),
        (0.7110736581033148, [0.043137254901960784, 0.49411764705882355, 0.7764705882352941, 1.0]),
        (0.718994107668228, [0.0392156862745098, 0.4745098039215686, 0.7725490196078432, 1.0]),
        (0.7310325255264597, [0.047058823529411764, 0.4470588235294118, 0.7607843137254902, 1.0]),
        (0.7424375045988869, [0.050980392156862744, 0.4196078431372549, 0.7529411764705882, 1.0]),
        (0.7595452813003223, [0.054901960784313725, 0.3843137254901961, 0.7372549019607844, 1.0]),
        (0.770632924794258, [0.058823529411764705, 0.3686274509803922, 0.7294117647058823, 1.0]),
        (0.7833053976238834, [0.058823529411764705, 0.34509803921568627, 0.7215686274509804, 1.0]),
        (0.7969280286322156, [0.054901960784313725, 0.3254901960784314, 0.7137254901960784, 1.0]),
        (0.8134017503622573, [0.058823529411764705, 0.29411764705882354, 0.6980392156862745, 1.0]),
        (0.829875472092299, [0.058823529411764705, 0.2627450980392157, 0.6862745098039216, 1.0]),
        (0.8459536026740074, [0.054901960784313725, 0.22745098039215686, 0.6705882352941176, 1.0]),
        (0.8613582424066066, [0.050980392156862744, 0.1843137254901961, 0.6509803921568628, 1.0]),
        (0.876762882139206, [0.0392156862745098, 0.1411764705882353, 0.6235294117647059, 1.0]),
        (0.9005229984627671, [0.03529411764705882, 0.06666666666666667, 0.5803921568627451, 1.0]),
        (0.9198484271001075, [0.0784313725490196, 0.043137254901960784, 0.5372549019607843, 1.0]),
        (0.9344212162871464, [0.10588235294117647, 0.047058823529411764, 0.5058823529411764, 1.0]),
        (0.9445593177879645, [0.10980392156862745, 0.0392156862745098, 0.48627450980392156, 1.0]),
        (0.9550135224960957, [0.11372549019607843, 0.03137254901960784, 0.4666666666666667, 1.0]),
        (0.9657850627827185, [0.10980392156862745, 0.023529411764705882, 0.4392156862745098, 1.0]),
        (0.9813086263340534, [0.10196078431372549, 0.011764705882352941, 0.37254901960784315, 1.0]),
        (1.0, [0.0862745098039216, 0.00392156862745098, 0.298039215686275, 1.0]),
    ],
    'svc.rainbow-mellow': [
        (0.0, [1.0, 0.988235, 0.968627, 1.0]),
        (0.025, [1.0, 0.960784, 0.870588, 1.0]),
        (0.05, [0.968627, 0.921569, 0.764706, 1.0]),
        (0.075, [0.960784, 0.913725, 0.670588, 1.0]),
        (0.1, [0.941176, 0.905882, 0.6, 1.0]),
        (0.125, [0.929412, 0.917647, 0.541176, 1.0]),
        (0.15, [0.898039, 0.909804, 0.501961, 1.0]),
        (0.175, [0.847059, 0.890196, 0.462745, 1.0]),
        (0.2, [0.772549, 0.858824, 0.431373, 1.0]),
        (0.225, [0.686275, 0.831373, 0.4, 1.0]),
        (0.25, [0.603922, 0.8, 0.368627, 1.0]),
        (0.275, [0.517647, 0.768627, 0.337255, 1.0]),
        (0.3, [0.415686, 0.721569, 0.301961, 1.0]),
        (0.325, [0.32549, 0.678431, 0.270588, 1.0]),
        (0.35, [0.247059, 0.65098, 0.247059, 1.0]),
        (0.375, [0.219608, 0.611765, 0.266667, 1.0]),
        (0.4, [0.192157, 0.580392, 0.282353, 1.0]),
        (0.425, [0.156863, 0.560784, 0.290196, 1.0]),
        (0.45, [0.117647, 0.541176, 0.294118, 1.0]),
        (0.475, [0.090196, 0.521569, 0.305882, 1.0]),
        (0.5, [0.070588, 0.509804, 0.32549, 1.0]),
        (0.525, [0.082353, 0.509804, 0.368627, 1.0]),
        (0.55, [0.090196, 0.521569, 0.411765, 1.0]),
        (0.575, [0.094118, 0.529412, 0.458824, 1.0]),
        (0.6, [0.101961, 0.541176, 0.501961, 1.0]),
        (0.625, [0.113725, 0.54902, 0.54902, 1.0]),
        (0.65, [0.129412, 0.529412, 0.560784, 1.0]),
        (0.675, [0.145098, 0.521569, 0.580392, 1.0]),
        (0.7, [0.156863, 0.498039, 0.6, 1.0]),
        (0.725, [0.164706, 0.447059, 0.611765, 1.0]),
        (0.75, [0.172549, 0.396078, 0.619608, 1.0]),
        (0.775, [0.176471, 0.341176, 0.631373, 1.0]),
        (0.8, [0.184314, 0.313725, 0.639216, 1.0]),
        (0.825, [0.184314, 0.27451, 0.619608, 1.0]),
        (0.85, [0.184314, 0.235294, 0.6, 1.0]),
        (0.875, [0.184314, 0.2, 0.580392, 1.0]),
        (0.9, [0.215686, 0.196078, 0.560784, 1.0]),
        (0.925, [0.235294, 0.192157, 0.509804, 1.0]),
        (0.95, [0.262745, 0.2, 0.478431, 1.0]),
        (0.975, [0.286275, 0.219608, 0.439216, 1.0]),
        (1.0, [0.301961, 0.239216, 0.4, 1.0]),
    ],
    'svc.rainbow-mellow-wave': [
        (0.0, [0.984313725490196, 0.964705882352941, 0.737254901960784, 1.0]),
        (0.0206315793981833, [0.968627450980392, 0.929411764705882, 0.635294117647059, 1.0]),
        (0.0412631587963664, [0.956862745098039, 0.901960784313726, 0.549019607843137, 1.0]),
        (0.0618947381945497, [0.945098039215686, 0.866666666666667, 0.466666666666667, 1.0]),
        (0.0825263175927329, [0.925490196078431, 0.831372549019608, 0.403921568627451, 1.0]),
        (0.103157896990916, [0.909803921568627, 0.8, 0.368627450980392, 1.0]),
        (0.123789476389099, [0.894117647058824, 0.768627450980392, 0.337254901960784, 1.0]),
        (0.144421055787283, [0.87843137254902, 0.733333333333333, 0.309803921568627, 1.0]),
        (0.172792568802834, [0.819846890261985, 0.661246947971898, 0.291535442288565, 1.0]),
        (0.188001692295074, [0.764705882352941, 0.596078431372549, 0.254901960784314, 1.0]),
        (0.205745667219162, [0.611764705882353, 0.419607843137255, 0.27843137254902, 1.0]),
        (0.214195191860199, [0.56078431372549, 0.36078431372549, 0.247058823529412, 1.0]),
        (0.241656109690666, [0.588235294117647, 0.396078431372549, 0.266666666666667, 1.0]),
        (0.26404732465744, [0.638419246134512, 0.451860266059187, 0.308394652206041, 1.0]),
        (0.314744412899017, [0.8, 0.635294117647059, 0.447058823529412, 1.0]),
        (0.333755820989609, [0.854901960784314, 0.709803921568627, 0.505882352941176, 1.0]),
        (0.355724543333054, [0.909803921568627, 0.788235294117647, 0.592156862745098, 1.0]),
        (0.374313473701477, [0.929411764705882, 0.831372549019608, 0.670588235294118, 1.0]),
        (0.386987745761871, [0.949019607843137, 0.882352941176471, 0.772549019607843, 1.0]),
        (0.399239540100098, [0.886275, 0.921569, 0.854902, 1.0]),
        (0.426700472831726, [0.741176, 0.788235, 0.717647, 1.0]),
        (0.44317701458931, [0.662745, 0.729412, 0.65098, 1.0]),
        (0.449438721180243, [0.639216, 0.709804, 0.631373, 1.0]),
        (0.459711895186179, [0.607843, 0.690196, 0.607843, 1.0]),
        (0.469985069192115, [0.588235, 0.670588, 0.596078, 1.0]),
        (0.48025824319805, [0.564706, 0.65098, 0.580392, 1.0]),
        (0.490531417203985, [0.54902, 0.631373, 0.568627, 1.0]),
        (0.500804591209921, [0.52549, 0.611765, 0.552941, 1.0]),
        (0.511077765215856, [0.505882, 0.588235, 0.541176, 1.0]),
        (0.521350939221792, [0.486275, 0.568627, 0.52549, 1.0]),
        (0.531624113227727, [0.466667, 0.54902, 0.513725, 1.0]),
        (0.541897287233663, [0.447059, 0.529412, 0.501961, 1.0]),
        (0.552170461239598, [0.427451, 0.509804, 0.490196, 1.0]),
        (0.562443635245534, [0.407843, 0.490196, 0.47451, 1.0]),
        (0.572716809251469, [0.380392, 0.458824, 0.454902, 1.0]),
        (0.582989983257404, [0.356863, 0.431373, 0.431373, 1.0]),
        (0.593155920505524, [0.33756567123389, 0.409324037046617, 0.409317991422805, 1.0]),
        (0.61339865781734, [0.305882352941176, 0.384313725490196, 0.490196078431373, 1.0]),
        (0.633523952055547, [0.36078431372549, 0.443137254901961, 0.552941176470588, 1.0]),
        (0.653649246293753, [0.415686274509804, 0.505882352941176, 0.615686274509804, 1.0]),
        (0.67377454053196, [0.474509803921569, 0.568627450980392, 0.67843137254902, 1.0]),
        (0.693899834770166, [0.537254901960784, 0.635294117647059, 0.745098039215686, 1.0]),
        (0.714025129008373, [0.607843137254902, 0.705882352941177, 0.803921568627451, 1.0]),
        (0.73415042324658, [0.67843137254902, 0.776470588235294, 0.862745098039216, 1.0]),
        (0.749894380569458, [0.741176470588235, 0.83921568627451, 0.913725490196078, 1.0]),
        (0.76932829618454, [0.815686274509804, 0.905882352941176, 0.96078431372549, 1.0]),
        (0.789607107639313, [0.882352941176471, 0.949019607843137, 0.984313725490196, 1.0]),
        (0.806083679199219, [0.825984561703371, 0.955751296838809, 0.925740559542068, 1.0]),
        (0.822137713432312, [0.701961, 0.901961, 0.858824, 1.0]),
        (0.841994106769562, [0.560784, 0.8, 0.764706, 1.0]),
        (0.857625722885132, [0.466667, 0.74902, 0.729412, 1.0]),
        (0.876721907366196, [0.352941, 0.65098, 0.65098, 1.0]),
        (0.897268256138496, [0.266667, 0.545098, 0.568627, 1.0]),
        (0.917814604910797, [0.196078, 0.454902, 0.490196, 1.0]),
        (0.938360953683098, [0.133333, 0.376471, 0.419608, 1.0]),
        (0.958907302455399, [0.094118, 0.329412, 0.380392, 1.0]),
        (0.979453651227699, [0.047059, 0.262745, 0.321569, 1.0]),
        (1.0, [0.0, 0.188235, 0.25098, 1.0]),
    ],
    'svc.rainbow-blue': [
        (0.0, [0.984314, 0.988235, 0.94902, 1.0]),
        (0.05, [0.92549, 0.960784, 0.827451, 1.0]),
        (0.1, [0.858824, 0.94902, 0.741176, 1.0]),
        (0.15, [0.792157, 0.941176, 0.694118, 1.0]),
        (0.2, [0.682353, 0.929412, 0.631373, 1.0]),
        (0.25, [0.588235, 0.921569, 0.611765, 1.0]),
        (0.275, [0.560784, 0.921569, 0.619608, 1.0]),
        (0.3, [0.541176, 0.929412, 0.643137, 1.0]),
        (0.325, [0.517647, 0.941176, 0.670588, 1.0]),
        (0.35, [0.494118, 0.94902, 0.705882, 1.0]),
        (0.375, [0.47451, 0.929412, 0.72549, 1.0]),
        (0.4, [0.458824, 0.921569, 0.752941, 1.0]),
        (0.425, [0.431373, 0.901961, 0.784314, 1.0]),
        (0.45, [0.403922, 0.901961, 0.815686, 1.0]),
        (0.475, [0.384314, 0.890196, 0.847059, 1.0]),
        (0.5, [0.352941, 0.878431, 0.878431, 1.0]),
        (0.55, [0.329412, 0.807843, 0.870588, 1.0]),
        (0.6, [0.290196, 0.709804, 0.85098, 1.0]),
        (0.65, [0.25098, 0.623529, 0.839216, 1.0]),
        (0.7, [0.227451, 0.545098, 0.878431, 1.0]),
        (0.75, [0.235294, 0.478431, 0.839216, 1.0]),
        (0.8, [0.243137, 0.419608, 0.780392, 1.0]),
        (0.85, [0.25098, 0.388235, 0.741176, 1.0]),
        (0.875, [0.27451, 0.380392, 0.701961, 1.0]),
        (0.9, [0.298039, 0.380392, 0.65098, 1.0]),
        (0.95, [0.298039, 0.352941, 0.568627, 1.0]),
        (1.0, [0.278431, 0.305882, 0.45098, 1.0]),
    ],
    'svc.3wave-blue-green-red': [
        (0.0, [0.7490196078431373, 0.9058823529411765, 0.9333333333333333, 1.0]),
        (0.015698778629302978, [0.6352941176470588, 0.8235294117647058, 0.8705882352941177, 1.0]),
        (0.031397557258605956, [0.5764705882352941, 0.7686274509803922, 0.8352941176470589, 1.0]),
        (0.06279511451721191, [0.4823529411764706, 0.6666666666666666, 0.7647058823529411, 1.0]),
        (0.09419267177581787, [0.403921568627451, 0.5647058823529412, 0.6941176470588235, 1.0]),
        (0.12559022903442382, [0.3333333333333333, 0.47058823529411764, 0.6235294117647059, 1.0]),
        (0.15698778629302979, [0.27450980392156865, 0.39215686274509803, 0.5568627450980392, 1.0]),
        (0.18838534355163575, [0.2196078431372549, 0.30980392156862746, 0.47843137254901963, 1.0]),
        (0.21978290081024168, [0.1568627450980392, 0.2235294117647059, 0.3843137254901961, 1.0]),
        (0.25118045806884765, [0.10980392156862745, 0.1568627450980392, 0.3058823529411765, 1.0]),
        (0.28257801532745364, [0.06274509803921569, 0.07450980392156863, 0.19215686274509805, 1.0]),
        (0.3139855725860596, [0.054902, 0.109804, 0.121569, 1.0]),
        (0.3320312050611973, [0.07450980392156863, 0.16862745098039217, 0.17647058823529413, 1.0]),
        (0.350076837536335, [0.08627450980392157, 0.2235294117647059, 0.21568627450980393, 1.0]),
        (0.3681224700114727, [0.09411764705882353, 0.27058823529411763, 0.24313725490196078, 1.0]),
        (0.38616810248661043, [0.10588235294117647, 0.32941176470588235, 0.27058823529411763, 1.0]),
        (0.4042137349617481, [0.11372549019607843, 0.3843137254901961, 0.2784313725490196, 1.0]),
        (0.42225936743688586, [0.11764705882352941, 0.43137254901960786, 0.27450980392156865, 1.0]),
        (0.44030499991202354, [0.11764705882352941, 0.4745098039215686, 0.2549019607843137, 1.0]),
        (0.4583506323871612, [0.11764705882352941, 0.5058823529411764, 0.2235294117647059, 1.0]),
        (0.47639626486229897, [0.11372549019607843, 0.5333333333333333, 0.1843137254901961, 1.0]),
        (0.4944418973374367, [0.10196078431372549, 0.5647058823529412, 0.12941176470588237, 1.0]),
        (0.5124875298125744, [0.09019607843137255, 0.6, 0.07450980392156863, 1.0]),
        (0.5305331622877121, [0.13725490196078433, 0.6431372549019608, 0.058823529411764705, 1.0]),
        (0.5485787947628498, [0.23137254901960785, 0.6862745098039216, 0.08627450980392157, 1.0]),
        (0.5666244272379876, [0.3333333333333333, 0.7254901960784313, 0.11764705882352941, 1.0]),
        (0.5846700597131252, [0.4392156862745098, 0.7607843137254902, 0.16470588235294117, 1.0]),
        (0.6027156921882629, [0.5568627450980392, 0.8, 0.23921568627450981, 1.0]),
        (0.6207613246634006, [0.6588235294117647, 0.8352941176470589, 0.2901960784313726, 1.0]),
        (0.6388069571385384, [0.7686274509803922, 0.8745098039215686, 0.3803921568627451, 1.0]),
        (0.6568525896136761, [0.8666666666666667, 0.9137254901960784, 0.5058823529411764, 1.0]),
        (0.6748982220888138, [0.9411764705882353, 0.9411764705882353, 0.6352941176470588, 1.0]),
        (0.6749082220888137, [0.984313725490196, 0.9764705882352941, 0.6941176470588235, 1.0]),
        (0.6755584056446361, [0.984313725490196, 0.9764705882352941, 0.6901960784313725, 1.0]),
        (0.691162810984373, [0.9803921568627451, 0.9568627450980393, 0.6235294117647059, 1.0]),
        (0.7074173998799324, [0.9764705882352941, 0.9333333333333333, 0.5490196078431373, 1.0]),
        (0.7236719887754917, [0.9686274509803922, 0.8980392156862745, 0.47058823529411764, 1.0]),
        (0.739926577671051, [0.9686274509803922, 0.8588235294117647, 0.3843137254901961, 1.0]),
        (0.7561811665666103, [0.9607843137254902, 0.807843137254902, 0.29411764705882354, 1.0]),
        (0.7724357554621696, [0.9529411764705882, 0.7529411764705882, 0.23529411764705882, 1.0]),
        (0.7886903443577289, [0.9450980392156862, 0.7019607843137254, 0.17254901960784313, 1.0]),
        (0.8049449332532882, [0.9333333333333333, 0.6431372549019608, 0.12156862745098039, 1.0]),
        (0.8211995221488475, [0.9254901960784314, 0.5843137254901961, 0.0784313725490196, 1.0]),
        (0.8374541110444068, [0.9176470588235294, 0.5294117647058824, 0.050980392156862744, 1.0]),
        (0.8537086999399661, [0.9058823529411765, 0.4745098039215686, 0.03137254901960784, 1.0]),
        (0.8699632888355254, [0.8901960784313725, 0.40784313725490196, 0.0196078431372549, 1.0]),
        (0.8862178777310847, [0.807843137254902, 0.3176470588235294, 0.0, 1.0]),
        (0.902472466626644, [0.7686274509803922, 0.2549019607843137, 0.0, 1.0]),
        (0.9187270555222034, [0.7098039215686275, 0.2, 0.00784313725490196, 1.0]),
        (0.9349816444177628, [0.6392156862745098, 0.15294117647058825, 0.0196078431372549, 1.0]),
        (0.951236233313322, [0.5607843137254902, 0.09803921568627451, 0.027450980392156862, 1.0]),
        (0.9674908222088814, [0.4745098039215686, 0.050980392156862744, 0.0392156862745098, 1.0]),
        (0.9837454111044406, [0.38823529411764707, 0.0392156862745098, 0.06274509803921569, 1.0]),
        (1.0, [0.38823529411764707, 0.0392156862745098, 0.06274509803921569, 1.0]),
    ],
    'svc.3wave-blue-gray-brown': [
        (0.0, [0.94902, 1.0, 0.992157, 1.0]),
        (0.015698778629302978, [0.843137, 0.980392, 0.968627, 1.0]),
        (0.031397557258605956, [0.768627, 0.960784, 0.960784, 1.0]),
        (0.06279511451721191, [0.690196, 0.890196, 0.909804, 1.0]),
        (0.09419267177581787, [0.607843, 0.792157, 0.831373, 1.0]),
        (0.12559022903442382, [0.533333, 0.701961, 0.760784, 1.0]),
        (0.15698778629302979, [0.462745, 0.619608, 0.701961, 1.0]),
        (0.18838534355163575, [0.415686, 0.556863, 0.65098, 1.0]),
        (0.21978290081024168, [0.364706, 0.490196, 0.6, 1.0]),
        (0.23548167943954468, [0.337255, 0.447059, 0.568627, 1.0]),
        (0.25118045806884765, [0.317647, 0.411765, 0.54902, 1.0]),
        (0.2668792366981506, [0.301961, 0.376471, 0.529412, 1.0]),
        (0.28257801532745364, [0.290196, 0.34902, 0.509804, 1.0]),
        (0.2982767939567566, [0.27451, 0.317647, 0.490196, 1.0]),
        (0.31397557258605957, [0.254902, 0.286275, 0.458824, 1.0]),
        (0.3139855725860596, [0.380392, 0.396078, 0.4, 1.0]),
        (0.3320312050611973, [0.38823529411764707, 0.4196078431372549, 0.4196078431372549, 1.0]),
        (0.350076837536335, [0.396078431372549, 0.43529411764705883, 0.43137254901960786, 1.0]),
        (0.3681224700114727, [0.403921568627451, 0.4549019607843137, 0.4470588235294118, 1.0]),
        (0.38616810248661043, [0.40784313725490196, 0.4745098039215686, 0.4588235294117647, 1.0]),
        (0.4042137349617481, [0.4196078431372549, 0.49411764705882355, 0.47058823529411764, 1.0]),
        (0.42225936743688586, [0.43529411764705883, 0.5137254901960784, 0.4823529411764706, 1.0]),
        (0.44030499991202354, [0.4549019607843137, 0.5372549019607843, 0.4980392156862745, 1.0]),
        (0.4583506323871612, [0.4823529411764706, 0.5647058823529412, 0.5215686274509804, 1.0]),
        (0.47639626486229897, [0.5098039215686274, 0.592156862745098, 0.5411764705882353, 1.0]),
        (0.4944418973374367, [0.5411764705882353, 0.6274509803921569, 0.5686274509803921, 1.0]),
        (0.5124875298125744, [0.5843137254901961, 0.6705882352941176, 0.6039215686274509, 1.0]),
        (0.5305331622877121, [0.6196078431372549, 0.7098039215686275, 0.6313725490196078, 1.0]),
        (0.5485787947628498, [0.6588235294117647, 0.7490196078431373, 0.6627450980392157, 1.0]),
        (0.5666244272379876, [0.6901960784313725, 0.7843137254901961, 0.6901960784313725, 1.0]),
        (0.5846700597131252, [0.7372549019607844, 0.8196078431372549, 0.7294117647058823, 1.0]),
        (0.6027156921882629, [0.7725490196078432, 0.8509803921568627, 0.7568627450980392, 1.0]),
        (0.6207613246634006, [0.8196078431372549, 0.8862745098039215, 0.796078431372549, 1.0]),
        (0.6388069571385384, [0.8588235294117647, 0.9176470588235294, 0.8313725490196079, 1.0]),
        (0.6568525896136761, [0.8980392156862745, 0.9450980392156862, 0.8666666666666667, 1.0]),
        (0.6748982220888138, [0.9333333333333333, 0.9725490196078431, 0.9019607843137255, 1.0]),
        (0.6749082220888137, [0.9647058823529412, 0.9490196078431372, 0.7764705882352941, 1.0]),
        (0.6814100576470374, [0.9529411764705882, 0.9294117647058824, 0.7294117647058823, 1.0]),
        (0.691162810984373, [0.9372549019607843, 0.9019607843137255, 0.6705882352941176, 1.0]),
        (0.7074173998799324, [0.9215686274509803, 0.8627450980392157, 0.6039215686274509, 1.0]),
        (0.739926577671051, [0.8784313725490196, 0.7843137254901961, 0.5019607843137255, 1.0]),
        (0.7724357554621696, [0.8313725490196079, 0.6980392156862745, 0.43529411764705883, 1.0]),
        (0.8049449332532882, [0.788235294117647, 0.615686274509804, 0.3803921568627451, 1.0]),
        (0.8374541110444068, [0.7372549019607844, 0.5294117647058824, 0.3254901960784314, 1.0]),
        (0.8537086999399661, [0.7058823529411765, 0.48627450980392156, 0.2901960784313726, 1.0]),
        (0.8699632888355254, [0.6745098039215687, 0.4470588235294118, 0.2784313725490196, 1.0]),
        (0.8862178777310847, [0.6470588235294118, 0.4196078431372549, 0.28627450980392155, 1.0]),
        (0.902472466626644, [0.6196078431372549, 0.396078431372549, 0.2901960784313726, 1.0]),
        (0.9187270555222034, [0.5843137254901961, 0.37254901960784315, 0.2901960784313726, 1.0]),
        (0.9349816444177628, [0.5411764705882353, 0.34509803921568627, 0.28627450980392155, 1.0]),
        (0.951236233313322, [0.5019607843137255, 0.3215686274509804, 0.2823529411764706, 1.0]),
        (0.9674908222088814, [0.4666666666666667, 0.2980392156862745, 0.27450980392156865, 1.0]),
        (0.9837454111044406, [0.42745098039215684, 0.27450980392156865, 0.2627450980392157, 1.0]),
        (1.0, [0.42745098039215684, 0.27450980392156865, 0.2627450980392157, 1.0]),
    ],
    'svc.3wave-gray-brown-yellow': [
        (0.0, [0.976471, 1.0, 0.94902, 1.0]),
        (0.016675401479005814, [0.945098, 0.980392, 0.909804, 1.0]),
        (0.03335080295801163, [0.905882, 0.94902, 0.87451, 1.0]),
        (0.05002620443701744, [0.866667, 0.921569, 0.835294, 1.0]),
        (0.06670160591602325, [0.823529, 0.890196, 0.8, 1.0]),
        (0.08337700739502907, [0.772549, 0.85098, 0.756863, 1.0]),
        (0.10005240887403488, [0.737255, 0.819608, 0.729412, 1.0]),
        (0.11672781035304068, [0.686275, 0.780392, 0.686275, 1.0]),
        (0.1334032118320465, [0.65098, 0.741176, 0.658824, 1.0]),
        (0.15007861331105232, [0.607843, 0.701961, 0.623529, 1.0]),
        (0.16675401479005814, [0.572549, 0.658824, 0.596078, 1.0]),
        (0.18342941626906398, [0.52549, 0.611765, 0.552941, 1.0]),
        (0.20010481774806976, [0.498039, 0.580392, 0.533333, 1.0]),
        (0.21678021922707558, [0.466667, 0.54902, 0.509804, 1.0]),
        (0.23345562070608136, [0.443137, 0.521569, 0.486275, 1.0]),
        (0.2501310221850872, [0.423529, 0.501961, 0.47451, 1.0]),
        (0.266806423664093, [0.411765, 0.478431, 0.462745, 1.0]),
        (0.28348182514309883, [0.403922, 0.458824, 0.45098, 1.0]),
        (0.30015722662210464, [0.396078, 0.439216, 0.435294, 1.0]),
        (0.31683262810111046, [0.388235, 0.419608, 0.419608, 1.0]),
        (0.33350802958011627, [0.380392, 0.396078, 0.4, 1.0]),
        (0.3335180295801163, [0.419608, 0.34902, 0.270588, 1.0]),
        (0.36664071947002413, [0.478431, 0.415686, 0.32549, 1.0]),
        (0.39976340935993193, [0.541176, 0.478431, 0.376471, 1.0]),
        (0.4328860992498398, [0.580392, 0.521569, 0.415686, 1.0]),
        (0.46600878913974764, [0.619608, 0.568627, 0.458824, 1.0]),
        (0.4991314790296555, [0.670588, 0.623529, 0.509804, 1.0]),
        (0.5322541689195632, [0.729412, 0.690196, 0.568627, 1.0]),
        (0.5653768588094712, [0.788235, 0.756863, 0.639216, 1.0]),
        (0.5984995486993789, [0.839216, 0.815686, 0.713725, 1.0]),
        (0.6316222385892868, [0.901961, 0.886275, 0.8, 1.0]),
        (0.6581203905012131, [0.960784, 0.952941, 0.894118, 1.0]),
        (0.6647449284791946, [0.988235, 0.988235, 0.968627, 1.0]),
        (0.6647549284791946, [1.0, 0.996078, 0.890196, 1.0]),
        (0.6982794356312751, [0.980392, 0.956863, 0.705882, 1.0]),
        (0.7318039427833557, [0.960784, 0.917647, 0.596078, 1.0]),
        (0.7653284499354363, [0.94902, 0.882353, 0.494118, 1.0]),
        (0.7988529570875167, [0.929412, 0.835294, 0.407843, 1.0]),
        (0.8323774642395972, [0.909804, 0.8, 0.364706, 1.0]),
        (0.8659019713916778, [0.890196, 0.760784, 0.329412, 1.0]),
        (0.8994264785437583, [0.870588, 0.717647, 0.294118, 1.0]),
        (0.9329509856958389, [0.858824, 0.686275, 0.27451, 1.0]),
        (0.9664754928479193, [0.85098, 0.65098, 0.254902, 1.0]),
        (0.9865901971391677, [0.839216, 0.619608, 0.235294, 1.0]),
        (1.0, [0.831373, 0.588235, 0.223529, 1.0]),
    ],
    'svc.3wave-brown-to-green': [
        (0.0, [1.0, 0.992157, 0.831373, 1.0]),
        (0.0196, [0.980392, 0.94902, 0.686275, 1.0]),
        (0.0392, [0.960784, 0.901961, 0.564706, 1.0]),
        (0.0588, [0.941176, 0.858824, 0.52549, 1.0]),
        (0.0784, [0.901961, 0.796078, 0.486275, 1.0]),
        (0.098, [0.858824, 0.737255, 0.447059, 1.0]),
        (0.1176, [0.811765, 0.666667, 0.403922, 1.0]),
        (0.1372, [0.760784, 0.596078, 0.34902, 1.0]),
        (0.1568, [0.721569, 0.537255, 0.309804, 1.0]),
        (0.1764, [0.690196, 0.482353, 0.27451, 1.0]),
        (0.196, [0.658824, 0.45098, 0.278431, 1.0]),
        (0.2156, [0.631373, 0.419608, 0.278431, 1.0]),
        (0.2352, [0.6, 0.388235, 0.27451, 1.0]),
        (0.2548, [0.568627, 0.368627, 0.27451, 1.0]),
        (0.2744, [0.541176, 0.345098, 0.270588, 1.0]),
        (0.294, [0.501961, 0.321569, 0.258824, 1.0]),
        (0.3136, [0.458824, 0.294118, 0.247059, 1.0]),
        (0.3332, [0.419608, 0.270588, 0.235294, 1.0]),
        (0.3635, [0.309804, 0.235294, 0.129412, 1.0]),
        (0.3938, [0.34902, 0.282353, 0.156863, 1.0]),
        (0.4241, [0.4, 0.337255, 0.192157, 1.0]),
        (0.4544, [0.45098, 0.4, 0.231373, 1.0]),
        (0.4847, [0.501961, 0.458824, 0.270588, 1.0]),
        (0.515, [0.560784, 0.529412, 0.317647, 1.0]),
        (0.5453, [0.639216, 0.611765, 0.392157, 1.0]),
        (0.5756, [0.721569, 0.694118, 0.462745, 1.0]),
        (0.6059, [0.819608, 0.8, 0.556863, 1.0]),
        (0.6362, [0.929412, 0.913725, 0.705882, 1.0]),
        (0.65, [0.94902, 0.941176, 0.741176, 1.0]),
        (0.666, [0.968627, 0.964706, 0.796078, 1.0]),
        (0.667, [0.92549, 0.968627, 0.796078, 1.0]),
        (0.6845, [0.870588, 0.941176, 0.713725, 1.0]),
        (0.702, [0.815686, 0.909804, 0.635294, 1.0]),
        (0.7195, [0.737255, 0.870588, 0.541176, 1.0]),
        (0.737, [0.666667, 0.819608, 0.466667, 1.0]),
        (0.7545, [0.596078, 0.780392, 0.388235, 1.0]),
        (0.772, [0.533333, 0.721569, 0.345098, 1.0]),
        (0.7895, [0.470588, 0.678431, 0.298039, 1.0]),
        (0.807, [0.419608, 0.65098, 0.266667, 1.0]),
        (0.8245, [0.384314, 0.619608, 0.247059, 1.0]),
        (0.842, [0.337255, 0.580392, 0.227451, 1.0]),
        (0.8595, [0.278431, 0.541176, 0.2, 1.0]),
        (0.877, [0.223529, 0.501961, 0.168627, 1.0]),
        (0.8945, [0.172549, 0.458824, 0.141176, 1.0]),
        (0.912, [0.12549, 0.411765, 0.113725, 1.0]),
        (0.9295, [0.094118, 0.368627, 0.101961, 1.0]),
        (0.947, [0.07451, 0.341176, 0.105882, 1.0]),
        (0.9645, [0.058824, 0.309804, 0.105882, 1.0]),
        (0.982, [0.043137, 0.278431, 0.105882, 1.0]),
        (0.9995, [0.031373, 0.239216, 0.105882, 1.0]),
        (1.0, [0.019608, 0.2, 0.098039, 1.0]),
    ],
    'svc.3wave-red-gray-blue': [
        (0.0, [0.301961, 0.047059, 0.090196, 1.0]),
        (0.01639024615287782, [0.396078431372549, 0.0392156862745098, 0.058823529411764705, 1.0]),
        (0.03278049230575558, [0.49411764705882355, 0.054901960784313725, 0.03529411764705882, 1.0]),
        (0.049170738458633456, [0.5882352941176471, 0.11372549019607843, 0.023529411764705882, 1.0]),
        (0.06556098461151122, [0.6627450980392157, 0.16862745098039217, 0.01568627450980392, 1.0]),
        (0.08195123076438904, [0.7411764705882353, 0.22745098039215686, 0.00392156862745098, 1.0]),
        (0.09834147691726686, [0.788235294117647, 0.2901960784313726, 0.0, 1.0]),
        (0.11473172307014465, [0.8627450980392157, 0.3803921568627451, 0.011764705882352941, 1.0]),
        (0.13112196922302247, [0.9019607843137255, 0.4588235294117647, 0.027450980392156862, 1.0]),
        (0.14751221537590026, [0.9176470588235294, 0.5215686274509804, 0.047058823529411764, 1.0]),
        (0.16390246152877808, [0.9254901960784314, 0.5803921568627451, 0.0784313725490196, 1.0]),
        (0.18029270768165587, [0.9372549019607843, 0.6431372549019608, 0.12156862745098039, 1.0]),
        (0.19668295383453369, [0.9450980392156862, 0.7098039215686275, 0.1843137254901961, 1.0]),
        (0.2130731999874115, [0.9529411764705882, 0.7686274509803922, 0.24705882352941178, 1.0]),
        (0.2294634461402893, [0.9647058823529412, 0.8274509803921568, 0.3254901960784314, 1.0]),
        (0.24585369229316711, [0.9686274509803922, 0.8784313725490196, 0.4235294117647059, 1.0]),
        (0.26224393844604493, [0.9725490196078431, 0.9176470588235294, 0.5137254901960784, 1.0]),
        (0.27863418459892275, [0.9803921568627451, 0.9490196078431372, 0.596078431372549, 1.0]),
        (0.2950244307518005, [0.9803921568627451, 0.9725490196078431, 0.6705882352941176, 1.0]),
        (0.31141467690467833, [0.9882352941176471, 0.9882352941176471, 0.7568627450980392, 1.0]),
        (0.32714931321144103, [0.984313725490196, 0.9882352941176471, 0.8549019607843137, 1.0]),
        (0.32780492305755615, [0.9882352941176471, 0.9882352941176471, 0.8588235294117647, 1.0]),
        (0.32781492305755616, [0.9529411764705882, 0.9529411764705882, 0.8941176470588236, 1.0]),
        (0.34483569985938073, [0.8901960784313725, 0.8901960784313725, 0.807843137254902, 1.0]),
        (0.3618564766612053, [0.8274509803921568, 0.8235294117647058, 0.7372549019607844, 1.0]),
        (0.37887725346302986, [0.7764705882352941, 0.7647058823529411, 0.6784313725490196, 1.0]),
        (0.39589803026485443, [0.7254901960784313, 0.7137254901960784, 0.6274509803921569, 1.0]),
        (0.412918807066679, [0.6784313725490196, 0.6627450980392157, 0.5803921568627451, 1.0]),
        (0.42993958386850356, [0.6313725490196078, 0.6078431372549019, 0.5333333333333333, 1.0]),
        (0.4469603606703281, [0.5803921568627451, 0.5568627450980392, 0.48627450980392156, 1.0]),
        (0.46398113747215275, [0.5372549019607843, 0.5058823529411764, 0.44313725490196076, 1.0]),
        (0.4810019142739773, [0.4980392156862745, 0.4588235294117647, 0.40784313725490196, 1.0]),
        (0.4980226910758019, [0.4627450980392157, 0.4196078431372549, 0.37254901960784315, 1.0]),
        (0.5150434678776264, [0.43137254901960786, 0.38823529411764707, 0.34509803921568627, 1.0]),
        (0.532064244679451, [0.403921568627451, 0.3568627450980392, 0.3176470588235294, 1.0]),
        (0.5490850214812756, [0.37254901960784315, 0.3215686274509804, 0.29411764705882354, 1.0]),
        (0.5661057982831001, [0.34509803921568627, 0.29411764705882354, 0.26666666666666666, 1.0]),
        (0.5831265750849247, [0.3176470588235294, 0.2627450980392157, 0.23921568627450981, 1.0]),
        (0.6001473518867493, [0.28627450980392155, 0.23137254901960785, 0.21176470588235294, 1.0]),
        (0.6171681286885738, [0.2549019607843137, 0.2, 0.1843137254901961, 1.0]),
        (0.6341889054903984, [0.23137254901960785, 0.17254901960784313, 0.16470588235294117, 1.0]),
        (0.651209682292223, [0.2, 0.1450980392156863, 0.13725490196078433, 1.0]),
        (0.6682404590940476, [0.14902, 0.196078, 0.278431, 1.0]),
        (0.7014164131846428, [0.2, 0.2549019607843137, 0.34509803921568627, 1.0]),
        (0.734592367275238, [0.24705882352941178, 0.3176470588235294, 0.41568627450980394, 1.0]),
        (0.7677683213658333, [0.3058823529411765, 0.38823529411764707, 0.49411764705882355, 1.0]),
        (0.8009442754564285, [0.37254901960784315, 0.4588235294117647, 0.5686274509803921, 1.0]),
        (0.8341202295470238, [0.44313725490196076, 0.5333333333333333, 0.6431372549019608, 1.0]),
        (0.867296183637619, [0.5176470588235295, 0.615686274509804, 0.7254901960784313, 1.0]),
        (0.9004721377282143, [0.6, 0.6980392156862745, 0.8, 1.0]),
        (0.9336480918188095, [0.6862745098039216, 0.7843137254901961, 0.8705882352941177, 1.0]),
        (0.9668240459094047, [0.7607843137254902, 0.8588235294117647, 0.9294117647058824, 1.0]),
        (0.9834120229547024, [0.807843137254902, 0.9019607843137255, 0.9607843137254902, 1.0]),
        (1.0, [0.8901960784313725, 0.9568627450980393, 0.984313725490196, 1.0]),
    ],
    'svc.3wave-gray-green-blue': [
        (0.0, [0.219608, 0.180392, 0.176471, 1.0]),
        (0.016675401479005814, [0.25098, 0.203922, 0.2, 1.0]),
        (0.03335080295801163, [0.301961, 0.25098, 0.239216, 1.0]),
        (0.05002620443701744, [0.329412, 0.282353, 0.266667, 1.0]),
        (0.06670160591602325, [0.360784, 0.313725, 0.290196, 1.0]),
        (0.08337700739502907, [0.388235, 0.341176, 0.317647, 1.0]),
        (0.10005240887403491, [0.419608, 0.376471, 0.345098, 1.0]),
        (0.1167278103530407, [0.45098, 0.407843, 0.368627, 1.0]),
        (0.1334032118320465, [0.470588, 0.431373, 0.388235, 1.0]),
        (0.1500786133110523, [0.490196, 0.454902, 0.407843, 1.0]),
        (0.16675401479005814, [0.509804, 0.478431, 0.427451, 1.0]),
        (0.18342941626906395, [0.541176, 0.513725, 0.454902, 1.0]),
        (0.20010481774806976, [0.580392, 0.556863, 0.494118, 1.0]),
        (0.21678021922707558, [0.611765, 0.592157, 0.52549, 1.0]),
        (0.2334556207060814, [0.65098, 0.639216, 0.564706, 1.0]),
        (0.2501310221850872, [0.701961, 0.690196, 0.607843, 1.0]),
        (0.266806423664093, [0.74902, 0.741176, 0.658824, 1.0]),
        (0.28348182514309883, [0.788235, 0.784314, 0.701961, 1.0]),
        (0.30015722662210464, [0.819608, 0.819608, 0.737255, 1.0]),
        (0.31683262810111046, [0.878431, 0.878431, 0.807843, 1.0]),
        (0.33350802958011627, [0.941176, 0.941176, 0.894118, 1.0]),
        (0.3335180295801163, [0.909804, 0.980392, 0.831373, 1.0]),
        (0.3500793745250702, [0.85098, 0.94902, 0.741176, 1.0]),
        (0.36664071947002413, [0.780392, 0.901961, 0.631373, 1.0]),
        (0.39976340935993193, [0.678431, 0.839216, 0.470588, 1.0]),
        (0.4328860992498398, [0.603922, 0.768627, 0.368627, 1.0]),
        (0.46600878913974764, [0.54902, 0.721569, 0.286275, 1.0]),
        (0.4991314790296555, [0.505882, 0.670588, 0.243137, 1.0]),
        (0.5322541689195632, [0.45098, 0.6, 0.192157, 1.0]),
        (0.5653768588094711, [0.396078, 0.529412, 0.14902, 1.0]),
        (0.5984995486993789, [0.341176, 0.45098, 0.109804, 1.0]),
        (0.6316222385892868, [0.286275, 0.368627, 0.07451, 1.0]),
        (0.6647449284791946, [0.219608, 0.278431, 0.043137, 1.0]),
        (0.6647549284791947, [0.098039, 0.086275, 0.34902, 1.0]),
        (0.6982794356312751, [0.121569, 0.145098, 0.4, 1.0]),
        (0.7318039427833557, [0.156863, 0.207843, 0.45098, 1.0]),
        (0.7653284499354363, [0.207843, 0.301961, 0.521569, 1.0]),
        (0.7988529570875168, [0.262745, 0.392157, 0.580392, 1.0]),
        (0.8323774642395974, [0.321569, 0.490196, 0.639216, 1.0]),
        (0.8659019713916778, [0.384314, 0.596078, 0.701961, 1.0]),
        (0.8994264785437585, [0.478431, 0.737255, 0.8, 1.0]),
        (0.9329509856958389, [0.552941, 0.823529, 0.85098, 1.0]),
        (0.9664754928479194, [0.690196, 0.921569, 0.913725, 1.0]),
        (1.0, [0.882353, 0.980392, 0.964706, 1.0]),
    ],
    'svc.3wave-gray-blue-gray': [
        (0.0, [0.219608, 0.180392, 0.176471, 1.0]),
        (0.016675401479005814, [0.25098, 0.203922, 0.2, 1.0]),
        (0.03335080295801163, [0.301961, 0.25098, 0.239216, 1.0]),
        (0.05002620443701744, [0.329412, 0.282353, 0.266667, 1.0]),
        (0.06670160591602325, [0.360784, 0.313725, 0.290196, 1.0]),
        (0.08337700739502907, [0.388235, 0.341176, 0.317647, 1.0]),
        (0.10005240887403491, [0.419608, 0.376471, 0.345098, 1.0]),
        (0.1167278103530407, [0.45098, 0.407843, 0.368627, 1.0]),
        (0.1334032118320465, [0.470588, 0.431373, 0.388235, 1.0]),
        (0.1500786133110523, [0.490196, 0.454902, 0.407843, 1.0]),
        (0.16675401479005814, [0.509804, 0.478431, 0.427451, 1.0]),
        (0.18342941626906395, [0.541176, 0.513725, 0.454902, 1.0]),
        (0.20010481774806976, [0.580392, 0.556863, 0.494118, 1.0]),
        (0.21678021922707558, [0.611765, 0.592157, 0.52549, 1.0]),
        (0.2334556207060814, [0.65098, 0.639216, 0.564706, 1.0]),
        (0.2501310221850872, [0.701961, 0.690196, 0.607843, 1.0]),
        (0.266806423664093, [0.74902, 0.741176, 0.658824, 1.0]),
        (0.28348182514309883, [0.788235, 0.784314, 0.701961, 1.0]),
        (0.30015722662210464, [0.819608, 0.819608, 0.737255, 1.0]),
        (0.31683262810111046, [0.878431, 0.878431, 0.807843, 1.0]),
        (0.33350802958011627, [0.941176, 0.941176, 0.894118, 1.0]),
        (0.3335180295801163, [0.94902, 1.0, 0.992157, 1.0]),
        (0.3500793745250702, [0.843137, 0.980392, 0.968627, 1.0]),
        (0.36664071947002413, [0.768627, 0.960784, 0.960784, 1.0]),
        (0.39976340935993193, [0.690196, 0.890196, 0.909804, 1.0]),
        (0.4328860992498398, [0.607843, 0.792157, 0.831373, 1.0]),
        (0.46600878913974764, [0.533333, 0.701961, 0.760784, 1.0]),
        (0.4991314790296555, [0.462745, 0.619608, 0.701961, 1.0]),
        (0.5322541689195632, [0.415686, 0.556863, 0.65098, 1.0]),
        (0.5653768588094711, [0.364706, 0.490196, 0.6, 1.0]),
        (0.5819382037544251, [0.337255, 0.447059, 0.568627, 1.0]),
        (0.5984995486993789, [0.317647, 0.411765, 0.54902, 1.0]),
        (0.6150608936443329, [0.301961, 0.376471, 0.529412, 1.0]),
        (0.6316222385892868, [0.290196, 0.34902, 0.509804, 1.0]),
        (0.6481835835342407, [0.27451, 0.317647, 0.490196, 1.0]),
        (0.6647449284791946, [0.254902, 0.286275, 0.458824, 1.0]),
        (0.6647549284791947, [0.380392, 0.396078, 0.4, 1.0]),
        (0.6815171820552349, [0.388235, 0.419608, 0.419608, 1.0]),
        (0.6982794356312751, [0.396078, 0.439216, 0.435294, 1.0]),
        (0.7150416892073155, [0.403922, 0.458824, 0.45098, 1.0]),
        (0.7318039427833557, [0.411765, 0.478431, 0.462745, 1.0]),
        (0.7485661963593959, [0.423529, 0.501961, 0.47451, 1.0]),
        (0.7653284499354363, [0.443137, 0.521569, 0.486275, 1.0]),
        (0.7820907035114766, [0.466667, 0.54902, 0.509804, 1.0]),
        (0.7988529570875168, [0.498039, 0.580392, 0.533333, 1.0]),
        (0.815615210663557, [0.52549, 0.611765, 0.552941, 1.0]),
        (0.8323774642395974, [0.572549, 0.658824, 0.596078, 1.0]),
        (0.8491397178156376, [0.607843, 0.701961, 0.623529, 1.0]),
        (0.8659019713916778, [0.65098, 0.741176, 0.658824, 1.0]),
        (0.8826642249677181, [0.686275, 0.780392, 0.686275, 1.0]),
        (0.8994264785437585, [0.737255, 0.819608, 0.729412, 1.0]),
        (0.9161887321197987, [0.772549, 0.85098, 0.756863, 1.0]),
        (0.9329509856958389, [0.823529, 0.890196, 0.8, 1.0]),
        (0.9497132392718792, [0.866667, 0.921569, 0.835294, 1.0]),
        (0.9664754928479194, [0.905882, 0.94902, 0.87451, 1.0]),
        (0.9832377464239598, [0.945098, 0.980392, 0.909804, 1.0]),
        (1.0, [0.976471, 1.0, 0.94902, 1.0]),
    ],
    'svc.4wave-blue-to-red': [
        (0.0, [0.775312158435526, 0.9514635197656437, 0.924352416290213, 1.0]),
        (0.005025125628140704, [0.7599216982145388, 0.9437343675944847, 0.9207454451337328, 1.0]),
        (0.010050251256281407, [0.7444490360423948, 0.9360134403360025, 0.9171364310190445, 1.0]),
        (0.012623878568410874, [0.736490649122543, 0.9320623449958584, 0.9152872746635978, 1.0]),
        (0.01507537688442211, [0.7284988712112728, 0.9277731922966133, 0.9142664190536769, 1.0]),
        (0.020100502512562814, [0.7120206300416044, 0.918992893242344, 0.9121661399396372, 1.0]),
        (0.02512562814070352, [0.695403116769279, 0.9102283850686996, 0.9100555231692241, 1.0]),
        (0.025247757136821748, [0.6949974139599924, 0.9100155727780244, 0.9100040990386381, 1.0]),
        (0.03015075376884422, [0.682586981811964, 0.8966801896954925, 0.9007266064616286, 1.0]),
        (0.035175879396984924, [0.6698838558582999, 0.8830522702671058, 0.8912329572253412, 1.0]),
        (0.04020100502512563, [0.6571967371900839, 0.869464840052792, 0.8817544887151381, 1.0]),
        (0.04522613065326633, [0.6445249271744543, 0.85591827655675, 0.8722912619966338, 1.0]),
        (0.05025125628140704, [0.6318676605941985, 0.8424129659064972, 0.8628433386187376, 1.0]),
        (0.050495514273643495, [0.6312527808969398, 0.8417575668404127, 0.8623844912738694, 1.0]),
        (0.05527638190954774, [0.6202357588500852, 0.8288150220819218, 0.8536745358899956, 1.0]),
        (0.06030150753768844, [0.6086693586204303, 0.8152528344875687, 0.8445330111150805, 1.0]),
        (0.06532663316582915, [0.597116177525046, 0.8017336969367238, 0.8354052972479008, 1.0]),
        (0.07035175879396985, [0.5855755430308922, 0.7882580388983185, 0.8262914432611396, 1.0]),
        (0.07537688442211056, [0.5740467201594199, 0.7748263003986126, 0.8171914984472572, 1.0]),
        (0.07574327141046523, [0.5732065827618434, 0.773848708735517, 0.8165285576492697, 1.0]),
        (0.08040201005025126, [0.5627262503806477, 0.7596794765784337, 0.8061971730832848, 1.0]),
        (0.08542713567839195, [0.551443112123477, 0.7444507986767648, 0.7950765742007122, 1.0]),
        (0.09045226130653267, [0.540181927990872, 0.7292797256626107, 0.7839802910230321, 1.0]),
        (0.09547738693467336, [0.5289423785188305, 0.7141669236028818, 0.7729084642998449, 1.0]),
        (0.10050251256281408, [0.5177241046074551, 0.6991130770149115, 0.7618612365085291, 1.0]),
        (0.10099102854728699, [0.5166346437406756, 0.6976527924493695, 0.7607886010737518, 1.0]),
        (0.10552763819095477, [0.5047505596332227, 0.682744724563859, 0.7501686505343281, 1.0]),
        (0.11055276381909548, [0.4916061825634895, 0.6663020716748489, 0.7384306828003061, 1.0]),
        (0.11557788944723618, [0.4784809044672143, 0.6499348082920834, 0.7267197425878325, 1.0]),
        (0.12060301507537688, [0.4653731978869889, 0.6336440167038643, 0.7150359862707932, 1.0]),
        (0.12562814070351758, [0.4522813391069685, 0.6174308175273585, 0.7033795721541679, 1.0]),
        (0.12623878568410873, [0.45069142663688205, 0.6154659591518946, 0.7019649748001751, 1.0]),
        (0.1306532663316583, [0.44142951360297744, 0.6038781995829164, 0.6930086679581733, 1.0]),
        (0.135678391959799, [0.43090181968315816, 0.5907374233215121, 0.6828354877385189, 1.0]),
        (0.1407035175879397, [0.42038975413351737, 0.5776504043598565, 0.6726859042014917, 1.0]),
        (0.1457286432160804, [0.4098924282575688, 0.5646178277322828, 0.6625600646040176, 1.0]),
        (0.15075376884422112, [0.39940884899039036, 0.5516403998585339, 0.6524581182428266, 1.0]),
        (0.15148654282093046, [0.39787007033584126, 0.5497426692548452, 0.6509835360041035, 1.0]),
        (0.15577889447236182, [0.3893772810386977, 0.5381893509778528, 0.642276807031056, 1.0]),
        (0.16080402010050251, [0.3794307772473157, 0.5247084952734677, 0.6321018386279263, 1.0]),
        (0.1658291457286432, [0.3694930830217073, 0.5112893720313707, 0.621950998739943, 1.0]),
        (0.1708542713567839, [0.3595629398326948, 0.49793284587560366, 0.6118244369253752, 1.0]),
        (0.17587939698492464, [0.34963894308491567, 0.48463981063061873, 0.6017223048643529, 1.0]),
        (0.17673429995775222, [0.34794002581593453, 0.4823761092615591, 0.6000030911548827, 1.0]),
        (0.18090452261306533, [0.3357647284050028, 0.46604425187979953, 0.589624841346276, 1.0]),
        (0.18592964824120603, [0.3210225393567361, 0.4464864574317616, 0.5771378868086473, 1.0]),
        (0.1893581785261631, [0.3109101463123343, 0.43321980021242595, 0.5686297955853554, 1.0]),
        (0.19095477386934673, [0.30781929320006624, 0.42811061873491046, 0.5661546573463123, 1.0]),
        (0.19597989949748745, [0.29797728515565247, 0.41206688790688906, 0.5583521507278341, 1.0]),
        (0.20100502512562815, [0.28800936704167795, 0.3961159465621461, 0.5505437810744287, 1.0]),
        (0.20198205709457398, [0.28604396365622065, 0.39301889970758125, 0.5490225393994388, 1.0]),
        (0.20603015075376885, [0.2776322185357637, 0.3784341004301975, 0.5427497030366716, 1.0]),
        (0.21105527638190955, [0.2669653679138958, 0.3604237136133372, 0.5349433001749173, 1.0]),
        (0.21460593566298483, [0.25926472670618433, 0.3477613649418386, 0.5294142941155143, 1.0]),
        (0.21608040201005024, [0.25625652319090536, 0.34297063543818646, 0.5271292851370853, 1.0]),
        (0.22110552763819097, [0.2458223434169245, 0.326689287589126, 0.5193283618795906, 1.0]),
        (0.22613065326633167, [0.23515438290577273, 0.3105083924433492, 0.5115176848942871, 1.0]),
        (0.22722981423139574, [0.2327742249991797, 0.30697803844769767, 0.5098061182461489, 1.0]),
        (0.23115577889447236, [0.22385324474681095, 0.2924494657098962, 0.5037265028900499, 1.0]),
        (0.23618090452261306, [0.21203161527000142, 0.2739488592448102, 0.49592037937855066, 1.0]),
        (0.2398536927998066, [0.2030721277617017, 0.2604939551817163, 0.49019791865067425, 1.0]),
        (0.24120603015075376, [0.1989852377846953, 0.25487936532972605, 0.4868353197918563, 1.0]),
        (0.24623115577889448, [0.183391146357865, 0.2341181495178008, 0.4743415541746889, 1.0]),
        (0.25125628140703515, [0.16713845883141293, 0.21353324634821136, 0.46185901348232644, 1.0]),
        (0.25247757136821747, [0.16305492029140237, 0.20855474020886705, 0.4588257400213464, 1.0]),
        (0.2524875713682175, [0.267735707679481, 0.33945982745835707, 0.05260324173660145, 1.0]),
        (0.2562814070351759, [0.27459420718699457, 0.3490667220285362, 0.057014620740078355, 1.0]),
        (0.2613065326633166, [0.283716332504611, 0.36186183315087433, 0.06285990996065538, 1.0]),
        (0.2663316582914573, [0.2928809438566286, 0.3747357051956292, 0.06871201255672416, 1.0]),
        (0.271356783919598, [0.3020875336785766, 0.3876869242143244, 0.07457469652900764, 1.0]),
        (0.2763819095477387, [0.31133560581109054, 0.4007141338480339, 0.08045096068681454, 1.0]),
        (0.2772426960417306, [0.31292389441803126, 0.40295317742290043, 0.08145908853227249, 1.0]),
        (0.2814070351758794, [0.31916804452244335, 0.41293795694061725, 0.086716485902634, 1.0]),
        (0.2864321608040201, [0.32671700837368695, 0.42504281126859256, 0.09305764226125701, 1.0]),
        (0.2914572864321608, [0.3342814478290245, 0.4372082513022322, 0.09939972526580798, 1.0]),
        (0.2964824120603015, [0.3418613897213842, 0.4494333987079547, 0.1057463905938108, 1.0]),
        (0.30150753768844224, [0.349456854726098, 0.46171740376003084, 0.11210064969137287, 1.0]),
        (0.3019978207152437, [0.35019874806968754, 0.4629190293419359, 0.11272111515518607, 1.0]),
        (0.3065326633165829, [0.3585427666611091, 0.4749808307902466, 0.11935287041642106, 1.0]),
        (0.31155778894472363, [0.3678207914336373, 0.4884111419493328, 0.12670919930284621, 1.0]),
        (0.3165829145728643, [0.3771320629040663, 0.5019082330431871, 0.1340768020674459, 1.0]),
        (0.32160804020100503, [0.38647629117636056, 0.5154711273399937, 0.1414585003127696, 1.0]),
        (0.32663316582914576, [0.39585319051420387, 0.5290988807753537, 0.14885662464225374, 1.0]),
        (0.3267529453887568, [0.3960770958588734, 0.5294244975542682, 0.14903318435031288, 1.0]),
        (0.3316582914572864, [0.4068655880197306, 0.5432829468783974, 0.15755713307747837, 1.0]),
        (0.33668341708542715, [0.4179644768912512, 0.5575469222693435, 0.16629796809476263, 1.0]),
        (0.3417085427135678, [0.42911035163078853, 0.5718778842848735, 0.17505153622540476, 1.0]),
        (0.34673366834170855, [0.4403026785467298, 0.5862749049152964, 0.1838210751974525, 1.0]),
        (0.3515080700622699, [0.45097913331767775, 0.600013977809036, 0.19217031509598173, 1.0]),
        (0.35175879396984927, [0.45153064942146043, 0.6007215509764244, 0.19268636382227214, 1.0]),
        (0.35678391959798994, [0.46260418678605814, 0.6149353846548165, 0.20302668860275547, 1.0]),
        (0.36180904522613067, [0.47371523162461265, 0.6292102485508777, 0.21336643656222914, 1.0]),
        (0.36683417085427134, [0.4848634939816417, 0.6435453680632247, 0.2237110913062152, 1.0]),
        (0.37185929648241206, [0.49604868640226746, 0.6579399910905478, 0.23406522703549126, 1.0]),
        (0.37626319473578307, [0.505881257326485, 0.6706034373122424, 0.24315017382427873, 1.0]),
        (0.3768844221105528, [0.5071856952661007, 0.6718746422300593, 0.24481904764662366, 1.0]),
        (0.38190954773869346, [0.5177380963348954, 0.6821730876449638, 0.2582580373408368, 1.0]),
        (0.3869346733668342, [0.528292372324748, 0.6924992207421614, 0.2716042862374896, 1.0]),
        (0.3919597989949749, [0.5388492049214487, 0.7028528472106945, 0.2848760887671821, 1.0]),
        (0.3969849246231156, [0.5494092273665567, 0.7132337749768546, 0.2980885771748756, 1.0]),
        (0.40101831940929616, [0.5578878895868392, 0.721585603138601, 0.3086592180017771, 1.0]),
        (0.4020100502512563, [0.5600471758998197, 0.7234611340665832, 0.311840369688728, 1.0]),
        (0.40703517587939697, [0.5709733851165937, 0.7329770481875046, 0.3278936220016291, 1.0]),
        (0.4120603015075377, [0.581875622785818, 0.7425138650650367, 0.3438536615998081, 1.0]),
        (0.4170854271356784, [0.5927551829281894, 0.7520714998764197, 0.35973990853846965, 1.0]),
        (0.4221105527638191, [0.6036132768278298, 0.7616498667186459, 0.3755684926264473, 1.0]),
        (0.42577344408280926, [0.6115150358183997, 0.7686446994059833, 0.3870776855839621, 1.0]),
        (0.4271356783919598, [0.6139618442510818, 0.7709782496819118, 0.3908196456162653, 1.0]),
        (0.4321608040201005, [0.6229780017825249, 0.7795975947269632, 0.4046093085657967, 1.0]),
        (0.4371859296482412, [0.6319790907508874, 0.7882344169531714, 0.41838170034036876, 1.0]),
        (0.44221105527638194, [0.6409656323715756, 0.7968886352002318, 0.43214243183722023, 1.0]),
        (0.4472361809045226, [0.6499381243787187, 0.8055601684430433, 0.4458964044107198, 1.0]),
        (0.45052856875632236, [0.6558093792893408, 0.8112509783728471, 0.45490622278026444, 1.0]),
        (0.45226130653266333, [0.6601639717401672, 0.8145716534912317, 0.46118969712450414, 1.0]),
        (0.457286432160804, [0.6727699476147799, 0.8242126197018069, 0.47940123997478695, 1.0]),
        (0.4623115577889447, [0.6853434593252428, 0.8338694233435653, 0.4976033454664445, 1.0]),
        (0.46733668341708545, [0.697886267088822, 0.8435420570951989, 0.5158041235127131, 1.0]),
        (0.4723618090452261, [0.7104000144306151, 0.8532305108680813, 0.5340105204894983, 1.0]),
        (0.4752836934298355, [0.7176634463587481, 0.8588711793820938, 0.5446017029476189, 1.0]),
        (0.47738693467336685, [0.7236089226485338, 0.8624658758447559, 0.5556019628191577, 1.0]),
        (0.4824120603015075, [0.7377102374101294, 0.8710571171291848, 0.581850762000934, 1.0]),
        (0.48743718592964824, [0.7516690137763244, 0.8796523549621544, 0.6080701624934733, 1.0]),
        (0.48766125576659203, [0.7522881855551512, 0.8800357127884089, 0.6092389058798946, 1.0]),
        (0.49246231155778897, [0.7736962203096219, 0.8908554468370452, 0.6278622955146241, 1.0]),
        (0.49748743718592964, [0.7960869125457797, 0.9021708521338254, 0.6474110512988959, 1.0]),
        (0.5000388181033486, [0.8074508377519238, 0.9079124138410075, 0.657358915800978, 1.0]),
        (0.5000488181033486, [0.9276357433493417, 0.9139978035565667, 0.6749259513839898, 1.0]),
        (0.5025125628140703, [0.9269745450884003, 0.9115592843803729, 0.667153570926665, 1.0]),
        (0.507537688442211, [0.9255531005999141, 0.9065943563424594, 0.6512941083877981, 1.0]),
        (0.5125628140703518, [0.9240350061961958, 0.9016411747957027, 0.6354225862961846, 1.0]),
        (0.5175879396984925, [0.9224215748807638, 0.8966997483570028, 0.6195349308939132, 1.0]),
        (0.5226130653266332, [0.9207140931181195, 0.8917700844424011, 0.6036266062665865, 1.0]),
        (0.5254803406404335, [0.9196981681578138, 0.8889625513798035, 0.5945383289950154, 1.0]),
        (0.5276381909547738, [0.9188782902028004, 0.8862412168620253, 0.5882593217422338, 1.0]),
        (0.5326633165829145, [0.9169120640686073, 0.8799127707934077, 0.5736295043408587, 1.0]),
        (0.5376884422110553, [0.9148669606134863, 0.8735968130506899, 0.5589861759071701, 1.0]),
        (0.542713567839196, [0.9127439160971961, 0.8672933844075653, 0.5443252199024157, 1.0]),
        (0.5477386934673367, [0.9105438528672115, 0.8610025251922214, 0.5296420361858138, 1.0]),
        (0.5509118631775183, [0.9091153381482912, 0.8570365869322544, 0.520356428599813, 1.0]),
        (0.5527638190954774, [0.9085162814208363, 0.8552851770801577, 0.5159510490330583, 1.0]),
        (0.5577889447236181, [0.9068562167499106, 0.8505382420837672, 0.5039799070475616, 1.0]),
        (0.5628140703517588, [0.9051460281826504, 0.8457991635639738, 0.4919802424288419, 1.0]),
        (0.5678391959798995, [0.9033862233269233, 0.8410679570862959, 0.4799480261597259, 1.0]),
        (0.5728643216080402, [0.9015773046794293, 0.8363446378808307, 0.4678787944902523, 1.0]),
        (0.5763433857146032, [0.9002964187654288, 0.8330791529859574, 0.4594985880382367, 1.0]),
        (0.577889447236181, [0.8993617330088386, 0.8308982466211827, 0.4560005769398014, 1.0]),
        (0.5829145728643216, [0.896296415715676, 0.8238170576211347, 0.444620766862611, 1.0]),
        (0.5879396984924623, [0.8931895118058437, 0.8167471481565016, 0.4332226945952099, 1.0]),
        (0.592964824120603, [0.8900412998321293, 0.8096885533647028, 0.4218028219679161, 1.0]),
        (0.5979899497487438, [0.8868520574737382, 0.8026413081215752, 0.4103572064108727, 1.0]),
        (0.6017749082516881, [0.8844229756234473, 0.7973407901535211, 0.40171664393522427, 1.0]),
        (0.6030150753768845, [0.8834115800805734, 0.7954457768792172, 0.39891311627570303, 1.0]),
        (0.6080402010050251, [0.8792915930932611, 0.7877756494743098, 0.38753672909795195, 1.0]),
        (0.6130653266331658, [0.8751367000225656, 0.7801190642621044, 0.3761301961855279, 1.0]),
        (0.6180904522613065, [0.8709470680865472, 0.7724760725516102, 0.3646882539966473, 1.0]),
        (0.6231155778894473, [0.8667228657452846, 0.7648467254936374, 0.35320495005193436, 1.0]),
        (0.6272064307887729, [0.8632586189855193, 0.758645939274581, 0.343821431274201, 1.0]),
        (0.628140703517588, [0.8626852046667925, 0.75724054073617, 0.34257314223085716, 1.0]),
        (0.6331658291457286, [0.8595882665577963, 0.7496861780060377, 0.33585992823012595, 1.0]),
        (0.6381909547738693, [0.8564698676710034, 0.7421398470286622, 0.329147753174075, 1.0]),
        (0.6432160804020101, [0.8533300493904556, 0.7346014965381213, 0.32243592750274014, 1.0]),
        (0.6482412060301508, [0.850168852668316, 0.7270710718732115, 0.31572370301070224, 1.0]),
        (0.6526379533258578, [0.8473854512862493, 0.7204887618440295, 0.3098498596613534, 1.0]),
        (0.6532663316582915, [0.8470431881339512, 0.7195646841977065, 0.3091489030079325, 1.0]),
        (0.6582914572864321, [0.8442944914154541, 0.7121781188309837, 0.30354560483604576, 1.0]),
        (0.6633165829145728, [0.8415251543631657, 0.7047972760355724, 0.2979460497104522, 1.0]),
        (0.6683417085427136, [0.8387352173383295, 0.6974220483832677, 0.2923498943308946, 1.0]),
        (0.6733668341708543, [0.8359247201029217, 0.690052322767046, 0.2867567682011554, 1.0]),
        (0.6780694758629426, [0.8332759959114721, 0.6831604224139437, 0.2815249666933472, 1.0]),
        (0.678391959798995, [0.8330983614657309, 0.68279768948539, 0.2812749579445606, 1.0]),
        (0.6834170854271356, [0.8303261193546838, 0.6771476940021428, 0.2773808420708211, 1.0]),
        (0.6884422110552764, [0.827545900404132, 0.6715020205131674, 0.2734897825175933, 1.0]),
        (0.6934673366834171, [0.8247576994522563, 0.6658606326541264, 0.2696016806452905, 1.0]),
        (0.6984924623115578, [0.8219615112382619, 0.660223492355624, 0.2657164317379909, 1.0]),
        (0.7035009984000276, [0.8191666010520049, 0.6546091489968668, 0.2618467376135723, 1.0]),
        (0.7035175879396985, [0.8191552556554813, 0.654582077307362, 0.26183247057408815, 1.0]),
        (0.7085427135678392, [0.8157090500788865, 0.6463845982515539, 0.2575157633899413, 1.0]),
        (0.7135678391959799, [0.8122437485302071, 0.6381925192194399, 0.2532088805071102, 1.0]),
        (0.7185929648241206, [0.8087593508074384, 0.630005596380892, 0.2489118721419421, 1.0]),
        (0.7236180904522613, [0.8052558560356552, 0.6218235712506058, 0.24462478857660447, 1.0]),
        (0.7286432160804021, [0.8017332626667816, 0.6136461697232354, 0.24034768012089752, 1.0]),
        (0.7289325209371125, [0.8015298796329651, 0.6131755178606706, 0.24010174458279238, 1.0]),
        (0.7336683417085427, [0.7999745435710501, 0.607203797766147, 0.2361993162476807, 1.0]),
        (0.7386934673366834, [0.7983047882843529, 0.600865838070344, 0.23206153464494522, 1.0]),
        (0.7437185929648241, [0.796615122641838, 0.5945261518096796, 0.2279267100303522, 1.0]),
        (0.7487437185929648, [0.7949056178137953, 0.5881844740081958, 0.2237946524191487, 1.0]),
        (0.75, [0.7944751499902131, 0.5865987111734031, 0.22276204679154699, 1.0]),
        (0.7537688442211056, [0.7149317918589531, 0.37781670859621297, 0.2002602240413991, 1.0]),
        (0.7543740434741975, [0.7010010018773919, 0.34281320832603346, 0.19600274810683183, 1.0]),
        (0.7587939698492463, [0.7073493469845317, 0.3413476601941019, 0.19686297918737383, 1.0]),
        (0.7638190954773869, [0.7145654057515248, 0.3396271824005922, 0.19784390077052366, 1.0]),
        (0.7666553413004875, [0.7186376205988665, 0.33863012699799416, 0.19839890461117432, 1.0]),
        (0.7688442211055276, [0.7211511937175136, 0.3401770170658534, 0.20093845137752514, 1.0]),
        (0.7738693467336684, [0.7269235726748136, 0.34373339099949546, 0.20676384860521024, 1.0]),
        (0.7788944723618091, [0.7326985073609984, 0.34729683482048435, 0.2125837722524675, 1.0]),
        (0.7789366391267777, [0.7327469767102908, 0.34732676614166935, 0.21263258900849863, 1.0]),
        (0.7839195979899498, [0.7366933605571901, 0.34969633854439897, 0.21892228780814393, 1.0]),
        (0.7889447236180904, [0.7406676614691554, 0.35209064298522935, 0.22524513682437447, 1.0]),
        (0.7939698492462312, [0.7446364423767271, 0.3544896331269438, 0.23155028465795408, 1.0]),
        (0.7989949748743719, [0.7485996852854836, 0.3568932945212068, 0.23783995094138966, 1.0]),
        (0.8034992347793579, [0.7521474083174788, 0.3590517690465218, 0.24346616973396756, 1.0]),
        (0.8040201005025126, [0.7527102212891816, 0.3595578774173432, 0.24423632695956682, 1.0]),
        (0.8090452261306533, [0.7581360022482331, 0.3644445150853102, 0.2516670132153722, 1.0]),
        (0.8140703517587939, [0.7635544646164488, 0.3693382278463507, 0.25909965571290955, 1.0]),
        (0.8190954773869347, [0.7689656046147418, 0.37423906040776056, 0.26653566005836304, 1.0]),
        (0.8241206030150754, [0.7743694199054905, 0.3791470535563516, 0.2739762822269347, 1.0]),
        (0.8280618304319382, [0.778602529321642, 0.3830014480905978, 0.2798159593338788, 1.0]),
        (0.8291457286432161, [0.7797584044788121, 0.3855510402291443, 0.2824330370390361, 1.0]),
        (0.8341708542713568, [0.7850709931173099, 0.3973363467077853, 0.294591946091097, 1.0]),
        (0.8391959798994975, [0.7903071087490513, 0.40906923497881514, 0.30679427434858186, 1.0]),
        (0.8442211055276382, [0.795466194397072, 0.4207560730816839, 0.319041288242609, 1.0]),
        (0.8492462311557789, [0.8005476929739327, 0.4324025221175249, 0.33133400270483004, 1.0]),
        (0.8526244260845184, [0.8039198943064317, 0.44021182202061804, 0.33962401143328497, 1.0]),
        (0.8542713567839196, [0.8060954237638523, 0.44355494080248176, 0.3432684213919367, 1.0]),
        (0.8592964824120604, [0.8127069945870342, 0.4537544306930667, 0.3544146926575942, 1.0]),
        (0.864321608040201, [0.8192787541429715, 0.46395353896328256, 0.36560097191348834, 1.0]),
        (0.8693467336683417, [0.8258106831366053, 0.474153707461018, 0.37682746083964336, 1.0]),
        (0.8743718592964824, [0.832302763870811, 0.4843562510287041, 0.3880942951915029, 1.0]),
        (0.8771870217370987, [0.8359223189280314, 0.4900733828258967, 0.39442383477276116, 1.0]),
        (0.8793969849246231, [0.8385105337203009, 0.49467568211919105, 0.39955734905388496, 1.0]),
        (0.8844221105527639, [0.8443595864790827, 0.5051405793522701, 0.41126039411089754, 1.0]),
        (0.8894472361809045, [0.8501583085962999, 0.5156064916341602, 0.42300542390716606, 1.0]),
        (0.8944723618090452, [0.8559065769991955, 0.5260746446541099, 0.43479243877853063, 1.0]),
        (0.8994974874371859, [0.8616042686004802, 0.5365461625912648, 0.4466213997672884, 1.0]),
        (0.901749617389679, [0.8641413793652388, 0.5412405916867432, 0.45193642493820557, 1.0]),
        (0.9045226130653267, [0.8672088410098564, 0.547241112247011, 0.4592930241699544, 1.0]),
        (0.9095477386934674, [0.8727154830611374, 0.5581198861302026, 0.4726614047869924, 1.0]),
        (0.914572864321608, [0.8781547049592485, 0.5690057178040357, 0.48607756849310474, 1.0]),
        (0.9195979899497487, [0.8835261903045859, 0.5798994997537895, 0.49954156406738454, 1.0]),
        (0.9246231155778895, [0.8888296203377476, 0.590802051716894, 0.513053389392202, 1.0]),
        (0.9263122130422592, [0.8905969259332799, 0.5944688337517035, 0.5176058581979777, 1.0]),
        (0.9296482412060302, [0.8927975724968389, 0.5985640602093328, 0.5240433397176967, 1.0]),
        (0.9346733668341709, [0.8960860223750675, 0.6047385835665956, 0.5337559050410147, 1.0]),
        (0.9396984924623115, [0.8993425801994471, 0.6109201203375513, 0.5434874573791693, 1.0]),
        (0.9447236180904522, [0.9025671044069267, 0.6171087118224051, 0.553238162780454, 1.0]),
        (0.949748743718593, [0.905759452898934, 0.6233043965520294, 0.5630081675566738, 1.0]),
        (0.9508748086948395, [0.9064703890454516, 0.6246937450697415, 0.565200158240812, 1.0]),
        (0.9547738693467337, [0.9121783487323234, 0.6349769502222329, 0.5770276938511502, 1.0]),
        (0.9597989949748744, [0.9194744142069166, 0.6482493141713994, 0.5923276467112666, 1.0]),
        (0.964824120603015, [0.9267024354247444, 0.6615440526794273, 0.6076907789266073, 1.0]),
        (0.9698492462311558, [0.933862355609079, 0.6748617623444315, 0.6231165124402642, 1.0]),
        (0.9748743718592965, [0.9409541137970171, 0.6882029797960729, 0.6386042707914646, 1.0]),
        (0.9754374043474198, [0.9417444497386949, 0.6896992621816821, 0.6403434117711959, 1.0]),
        (0.9798994974874372, [0.9489294376750678, 0.7057168227760366, 0.661675276236788, 1.0]),
        (0.9849246231155779, [0.9568353235086987, 0.7237979301690765, 0.6858217137538085, 1.0]),
        (0.9877187021737098, [0.9611454788166734, 0.7338712026263011, 0.6993036088725813, 1.0]),
        (0.9899497487437187, [0.9655456395361594, 0.7476950359541458, 0.7145051866359804, 1.0]),
        (0.9949748743718593, [0.9750765377433036, 0.7788780180380828, 0.7489496661024287, 1.0]),
        (1.0, [0.9840742890256217, 0.8101333302538569, 0.7836729718577742, 1.0]),
    ],
    'svc.4wave-blue-to-gray': [
        (0.0, [0.7787144138218638, 0.9118380119537527, 0.9007663152864385, 1.0]),
        (0.012623878568410874, [0.7787144138218638, 0.9118380119537527, 0.9007663152864385, 1.0]),
        (0.01694915254237288, [0.7495218547213603, 0.9002962611112708, 0.8931459807414773, 1.0]),
        (0.025247757136821748, [0.692546196942424, 0.8780823384557912, 0.8785242749363119, 1.0]),
        (0.03389830508474576, [0.6685952243721953, 0.8576810565483803, 0.8647374131367197, 1.0]),
        (0.050495514273643495, [0.6225724545689513, 0.8187500285484752, 0.838351827356457, 1.0]),
        (0.05084745762711865, [0.6218959428576015, 0.8178772560744574, 0.8377403557028953, 1.0]),
        (0.06779661016949153, [0.5889059395814336, 0.7752958951445429, 0.8081045657311814, 1.0]),
        (0.07574327141046523, [0.5734870504985877, 0.7554653720293278, 0.7942601165980796, 1.0]),
        (0.0847457627118644, [0.5537618645315329, 0.7292051790353744, 0.7746279113438651, 1.0]),
        (0.10099102854728699, [0.5183354504334091, 0.6822215597416367, 0.7393904320987653, 1.0]),
        (0.1016949152542373, [0.5165618536344807, 0.6801590701463326, 0.7379956840296815, 1.0]),
        (0.11864406779661017, [0.47367582945471237, 0.6305466773856783, 0.7044077602748711, 1.0]),
        (0.12623878568410873, [0.45447763856872375, 0.608538138020486, 0.6894198265726044, 1.0]),
        (0.13559322033898305, [0.437798942894247, 0.5862389587986593, 0.6715694913112993, 1.0]),
        (0.15148654282093046, [0.4095743038445505, 0.5486756242976378, 0.6414088526357045, 1.0]),
        (0.15254237288135594, [0.4074325704813273, 0.5458496890541759, 0.6392273745981252, 1.0]),
        (0.1694915254237288, [0.3729875203741142, 0.5006899075570967, 0.6043103722880311, 1.0]),
        (0.17673429995775222, [0.3583106465865667, 0.48160009902263373, 0.5894786155202821, 1.0]),
        (0.1864406779661017, [0.34214752068676824, 0.4550135349019144, 0.5734434043270068, 1.0]),
        (0.1893581785261631, [0.337255, 0.447059, 0.568627, 1.0]),
        (0.20198205709457398, [0.3132774251321202, 0.40610073118753676, 0.5414676415833823, 1.0]),
        (0.2033898305084746, [0.3099287523873253, 0.40013007861443317, 0.5364131915611972, 1.0]),
        (0.21460593566298483, [0.2831297123803141, 0.3529930221105679, 0.4963961150303743, 1.0]),
        (0.22033898305084745, [0.27312874511236046, 0.3346477600626305, 0.4834688727290826, 1.0]),
        (0.22722981423139574, [0.2609903263685873, 0.31275842308071233, 0.46798145698608656, 1.0]),
        (0.23728813559322035, [0.24016880405398872, 0.27244029312154067, 0.4351494050046353, 1.0]),
        (0.2398536927998066, [0.23479025974421133, 0.2622567791518463, 0.42682919361160093, 1.0]),
        (0.25247757136821747, [0.21508868932936073, 0.2184956785869883, 0.404293430335097, 1.0]),
        (0.2524875713682175, [0.21051085116736284, 0.2756754333559415, 0.014583658931981056, 1.0]),
        (0.2542372881355932, [0.2116881484827849, 0.27815776340178267, 0.01420712997969192, 1.0]),
        (0.2711864406779661, [0.22308663786696703, 0.30230299914265646, 0.009643620818528443, 1.0]),
        (0.2772426960417306, [0.2271420219139465, 0.31099700943641684, 0.007747325824271009, 1.0]),
        (0.288135593220339, [0.24128042209841727, 0.3371294682418054, 0.009376674205814417, 1.0]),
        (0.3019978207152437, [0.25933025254734865, 0.3708586793958831, 0.011722128155622095, 1.0]),
        (0.3050847457627119, [0.268734969924712, 0.3830176220513164, 0.019697418145877138, 1.0]),
        (0.3220338983050847, [0.3211477968573979, 0.4509135996890283, 0.07123039277290485, 1.0]),
        (0.3267529453887568, [0.3359669592266477, 0.4701484941303719, 0.08466134031658334, 1.0]),
        (0.3389830508474576, [0.37237982451456547, 0.5139860847988043, 0.11828206421218138, 1.0]),
        (0.3515080700622699, [0.4101905664923386, 0.5595664287062104, 0.15141210776672107, 1.0]),
        (0.3559322033898305, [0.4229926594367474, 0.5750770500717621, 0.16393106681989444, 1.0]),
        (0.3728813559322034, [0.47250271090925705, 0.6351507799287873, 0.21123778848118258, 1.0]),
        (0.37626319473578307, [0.48246854324183447, 0.6472519409101691, 0.2206097008952237, 1.0]),
        (0.3898305084745763, [0.5188155989588653, 0.687814731451953, 0.2566591647288615, 1.0]),
        (0.40101831940929616, [0.54902, 0.721569, 0.286275, 1.0]),
        (0.4067796610169492, [0.5631895218438654, 0.7338285226192897, 0.3069898718880703, 1.0]),
        (0.423728813559322, [0.6046576995144737, 0.7700434814978387, 0.3668347948784377, 1.0]),
        (0.42577344408280926, [0.6096404275870756, 0.7744142231422646, 0.373972572397725, 1.0]),
        (0.4406779661016949, [0.6541201884123246, 0.816404371893615, 0.43501741687580325, 1.0]),
        (0.45052856875632236, [0.683461870988786, 0.8443398486220283, 0.475307462551863, 1.0]),
        (0.4576271186440678, [0.712388308797717, 0.8615701992422519, 0.52090020633455, 1.0]),
        (0.4745762711864407, [0.7800052353098784, 0.9027158699085057, 0.6291555305478478, 1.0]),
        (0.4752836934298355, [0.7827851995919125, 0.9044140121587606, 0.6336631633349421, 1.0]),
        (0.48766125576659203, [0.85098, 0.94902, 0.741176, 1.0]),
        (0.4915254237288136, [0.8645818572621924, 0.953911053377107, 0.7645515791700971, 1.0]),
        (0.5000388181033486, [0.8941327472282227, 0.9645429684428667, 0.8160762065992275, 1.0]),
        (0.5000488181033486, [0.9507527676350184, 0.9431336262666213, 0.8073292425021567, 1.0]),
        (0.5084745762711864, [0.9480367087439113, 0.9329557005451408, 0.7559283856230163, 1.0]),
        (0.5254237288135594, [0.939388315400699, 0.912723365769611, 0.6522240557956596, 1.0]),
        (0.5254803406404335, [0.9393518062032203, 0.9126323476307383, 0.6518674535176306, 1.0]),
        (0.5423728813559322, [0.9190889486011694, 0.8769503435746208, 0.5728556869765326, 1.0]),
        (0.5509118631775183, [0.9081846432310651, 0.859028462383499, 0.5328366077092485, 1.0]),
        (0.559322033898305, [0.9006482559261434, 0.8450153678496071, 0.4985436075746094, 1.0]),
        (0.576271186440678, [0.8844046019883096, 0.8169377038613669, 0.4286318132256842, 1.0]),
        (0.5763433857146032, [0.8843338482272163, 0.8167953459694316, 0.4283197963958123, 1.0]),
        (0.5932203389830508, [0.8610303548705668, 0.7788952883876019, 0.3673969958338906, 1.0]),
        (0.6017749082516881, [0.8488909422442454, 0.759791878977425, 0.33603563168255035, 1.0]),
        (0.6101694915254238, [0.8368799247959402, 0.7431732663425407, 0.31683322809771963, 1.0]),
        (0.6271186440677966, [0.8124780885778684, 0.7097786828923041, 0.2776913047580584, 1.0]),
        (0.6272064307887729, [0.8123533073782863, 0.70958459484186, 0.2774737306481948, 1.0]),
        (0.6440677966101694, [0.790395604322395, 0.6736328918570751, 0.2433868010587525, 1.0]),
        (0.6526379533258578, [0.7791338064846952, 0.65543307491349, 0.22585496597345583, 1.0]),
        (0.6610169491525424, [0.7708853024236972, 0.6399415432009595, 0.21368685081691197, 1.0]),
        (0.6779661016949152, [0.7540238379654556, 0.6086899582889869, 0.18886022089074433, 1.0]),
        (0.6780694758629426, [0.7539225995719455, 0.6084792830739016, 0.1886933662915735, 1.0]),
        (0.6949152542372882, [0.730799543736058, 0.5772090598240652, 0.16056306777732796, 1.0]),
        (0.7035009984000276, [0.7189837744488045, 0.5613348545219374, 0.14583926363291713, 1.0]),
        (0.711864406779661, [0.7113458167076168, 0.5457532177669454, 0.1340631487917273, 1.0]),
        (0.7288135593220338, [0.6956411239120706, 0.5142253504344247, 0.10948866552325329, 1.0]),
        (0.7289325209371125, [0.6955321991887029, 0.5139850117907796, 0.10929465028195581, 1.0]),
        (0.7457627118644068, [0.6777769923278144, 0.4828432547137797, 0.08178678639559966, 1.0]),
        (0.75, [0.6732695822238626, 0.4749993979464608, 0.07438146437477378, 1.0]),
        (0.7627118644067796, [0.2656404892773179, 0.2988941285871108, 0.26376772093144596, 1.0]),
        (0.7666553413004875, [0.27923479462925177, 0.3032181770881477, 0.26951188757628614, 1.0]),
        (0.7789366391267777, [0.312234535795792, 0.32907806952052454, 0.28920097034221354, 1.0]),
        (0.7796610169491526, [0.31388747450972915, 0.3303877061672395, 0.2905887465021474, 1.0]),
        (0.7912179369530679, [0.3403923381229161, 0.3512415717411941, 0.31282856544158083, 1.0]),
        (0.7966101694915254, [0.3583023676921219, 0.3631568242482114, 0.3249530610975852, 1.0]),
        (0.8034992347793579, [0.3813208274597517, 0.37843337646195685, 0.34055022973690807, 1.0]),
        (0.8135593220338984, [0.4083647884339798, 0.39947802535966437, 0.35668693930827844, 1.0]),
        (0.815780532605648, [0.41436576147893256, 0.4041373845138866, 0.3602620377329325, 1.0]),
        (0.8280618304319382, [0.44231064327778163, 0.42626614363001536, 0.3799598998638421, 1.0]),
        (0.8305084745762712, [0.4495029460288275, 0.429638758538466, 0.3831648218518821, 1.0]),
        (0.8403431282582283, [0.47843137254901963, 0.44313725490196076, 0.396078431372549, 1.0]),
        (0.847457627118644, [0.4897755241909489, 0.4544901494203805, 0.4074207971106758, 1.0]),
        (0.8526244260845184, [0.4980392156862745, 0.4627450980392157, 0.41568627450980394, 1.0]),
        (0.864406779661017, [0.516850171213464, 0.485328009159074, 0.43449833364155294, 1.0]),
        (0.8649057239108086, [0.5176470588235295, 0.48627450980392156, 0.43529411764705883, 1.0]),
        (0.8771870217370987, [0.5450980392156862, 0.5176470588235295, 0.4588235294117647, 1.0]),
        (0.8813559322033898, [0.5570394684299185, 0.5309157051363672, 0.4707557853466244, 1.0]),
        (0.8894683195633888, [0.5803921568627451, 0.5568627450980392, 0.49411764705882355, 1.0]),
        (0.8983050847457628, [0.6001252688053372, 0.579420590759858, 0.5138470990216284, 1.0]),
        (0.901749617389679, [0.6078431372549019, 0.5882352941176471, 0.5215686274509804, 1.0]),
        (0.9140309152159691, [0.6431372549019608, 0.6274509803921569, 0.5568627450980392, 1.0]),
        (0.9152542372881356, [0.6474144421264977, 0.6321269406599557, 0.5603661772232718, 1.0]),
        (0.9263122130422592, [0.6862745098039216, 0.6745098039215687, 0.592156862745098, 1.0]),
        (0.9322033898305084, [0.7069108557724831, 0.6951579285738203, 0.612786364677262, 1.0]),
        (0.9385935108685494, [0.7294117647058823, 0.7176470588235294, 0.6352941176470588, 1.0]),
        (0.9491525423728814, [0.7597471384323186, 0.7547261571656271, 0.6723571521901399, 1.0]),
        (0.9508748086948395, [0.7647058823529411, 0.7607843137254902, 0.6784313725490196, 1.0]),
        (0.9631561065211296, [0.8, 0.796078431372549, 0.7137254901960784, 1.0]),
        (0.9661016949152542, [0.8075132152467656, 0.8045370431184777, 0.7231033429313812, 1.0]),
        (0.9754374043474198, [0.8313725490196079, 0.8313725490196079, 0.7529411764705882, 1.0]),
        (0.9830508474576272, [0.8537401708827337, 0.8537647896946796, 0.7804022370169083, 1.0]),
        (0.9877187021737098, [0.8674893306470781, 0.8675151327213326, 0.7973116578296343, 1.0]),
        (1.0, [0.9116617751718398, 0.91167463278062, 0.865066598053254, 1.0]),
    ],
    'svc.4wave-blue-to-yellow': [
        (0.0, [0.254902, 0.286275, 0.458824, 1.0]),
        (0.012534940242767356, [0.27451, 0.317647, 0.490196, 1.0]),
        (0.025069880485534657, [0.290196, 0.34902, 0.509804, 1.0]),
        (0.03760482072830201, [0.301961, 0.376471, 0.529412, 1.0]),
        (0.050139760971069314, [0.317647, 0.411765, 0.54902, 1.0]),
        (0.06267470121383667, [0.337255, 0.447059, 0.568627, 1.0]),
        (0.07520964145660403, [0.364706, 0.490196, 0.6, 1.0]),
        (0.10027952194213868, [0.415686, 0.556863, 0.65098, 1.0]),
        (0.12534940242767334, [0.462745, 0.619608, 0.701961, 1.0]),
        (0.150419282913208, [0.533333, 0.701961, 0.760784, 1.0]),
        (0.17548916339874268, [0.607843, 0.792157, 0.831373, 1.0]),
        (0.20055904388427734, [0.690196, 0.890196, 0.909804, 1.0]),
        (0.22562892436981202, [0.768627, 0.960784, 0.960784, 1.0]),
        (0.23816386461257935, [0.843137, 0.980392, 0.968627, 1.0]),
        (0.2506988048553467, [0.94902, 1.0, 0.992157, 1.0]),
        (0.2507088048553467, [0.976471, 1.0, 0.94902, 1.0]),
        (0.2631296883283211, [0.945098, 0.980392, 0.909804, 1.0]),
        (0.2755505718012955, [0.905882, 0.94902, 0.87451, 1.0]),
        (0.2879714552742699, [0.866667, 0.921569, 0.835294, 1.0]),
        (0.30039233874724436, [0.823529, 0.890196, 0.8, 1.0]),
        (0.31281322222021873, [0.772549, 0.85098, 0.756863, 1.0]),
        (0.32523410569319317, [0.737255, 0.819608, 0.729412, 1.0]),
        (0.33765498916616754, [0.686275, 0.780392, 0.686275, 1.0]),
        (0.35007587263914197, [0.65098, 0.741176, 0.658824, 1.0]),
        (0.3624967561121164, [0.607843, 0.701961, 0.623529, 1.0]),
        (0.37491763958509083, [0.572549, 0.658824, 0.596078, 1.0]),
        (0.38733852305806526, [0.52549, 0.611765, 0.552941, 1.0]),
        (0.3997594065310396, [0.498039, 0.580392, 0.533333, 1.0]),
        (0.412180290004014, [0.466667, 0.54902, 0.509804, 1.0]),
        (0.42460117347698845, [0.443137, 0.521569, 0.486275, 1.0]),
        (0.4370220569499629, [0.423529, 0.501961, 0.47451, 1.0]),
        (0.4494429404229373, [0.411765, 0.478431, 0.462745, 1.0]),
        (0.4618638238959117, [0.403922, 0.458824, 0.45098, 1.0]),
        (0.4742847073688861, [0.396078, 0.439216, 0.435294, 1.0]),
        (0.4867055908418605, [0.388235, 0.419608, 0.419608, 1.0]),
        (0.4991264743148349, [0.380392, 0.396078, 0.4, 1.0]),
        (0.49913647431483493, [0.419608, 0.34902, 0.270588, 1.0]),
        (0.5247644066067096, [0.478431, 0.415686, 0.32549, 1.0]),
        (0.5503923388985843, [0.541176, 0.478431, 0.376471, 1.0]),
        (0.576020271190459, [0.580392, 0.521569, 0.415686, 1.0]),
        (0.6016482034823336, [0.619608, 0.568627, 0.458824, 1.0]),
        (0.6272761357742083, [0.670588, 0.623529, 0.509804, 1.0]),
        (0.6529040680660829, [0.729412, 0.690196, 0.568627, 1.0]),
        (0.6785320003579576, [0.788235, 0.756863, 0.639216, 1.0]),
        (0.7041599326498322, [0.839216, 0.815686, 0.713725, 1.0]),
        (0.7297878649417069, [0.901961, 0.886275, 0.8, 1.0]),
        (0.7502902107752066, [0.960784, 0.952941, 0.894118, 1.0]),
        (0.7554157972335815, [0.988235, 0.988235, 0.968627, 1.0]),
        (0.7554257972335815, [1.0, 0.996078, 0.890196, 1.0]),
        (0.7798832175102234, [0.980392, 0.956863, 0.705882, 1.0]),
        (0.8043406377868652, [0.960784, 0.917647, 0.596078, 1.0]),
        (0.828798058063507, [0.94902, 0.882353, 0.494118, 1.0]),
        (0.8532554783401489, [0.929412, 0.835294, 0.407843, 1.0]),
        (0.8777128986167907, [0.909804, 0.8, 0.364706, 1.0]),
        (0.9021703188934326, [0.890196, 0.760784, 0.329412, 1.0]),
        (0.9266277391700743, [0.870588, 0.717647, 0.294118, 1.0]),
        (0.9510851594467162, [0.858824, 0.686275, 0.27451, 1.0]),
        (0.9755425797233581, [0.85098, 0.65098, 0.254902, 1.0]),
        (0.9902170318893432, [0.839216, 0.619608, 0.235294, 1.0]),
        (1.0, [0.831373, 0.588235, 0.223529, 1.0]),
    ],
    'svc.4wave-yellow-green-gray': [
        (0.0, [0.301961, 0.266667, 0.239216, 1.0]),
        (0.024999999999999994, [0.39215686274509803, 0.34509803921568627, 0.2980392156862745, 1.0]),
        (0.04999999999999999, [0.4823529411764706, 0.42745098039215684, 0.3411764705882353, 1.0]),
        (0.07500000000000001, [0.5647058823529412, 0.5058823529411764, 0.3764705882352941, 1.0]),
        (0.1, [0.6274509803921569, 0.5647058823529412, 0.38823529411764707, 1.0]),
        (0.125, [0.6784313725490196, 0.611764705882353, 0.3803921568627451, 1.0]),
        (0.15, [0.7372549019607844, 0.6705882352941176, 0.3803921568627451, 1.0]),
        (0.175, [0.807843137254902, 0.7450980392156863, 0.41568627450980394, 1.0]),
        (0.2, [0.8745098039215686, 0.8274509803921568, 0.49019607843137253, 1.0]),
        (0.225, [0.9333333333333333, 0.9019607843137255, 0.5764705882352941, 1.0]),
        (0.2375, [0.9411764705882353, 0.9176470588235294, 0.6274509803921569, 1.0]),
        (0.25, [0.9529411764705882, 0.9372549019607843, 0.6862745098039216, 1.0]),
        (0.25001, [0.909804, 0.980392, 0.831373, 1.0]),
        (0.2626268708937131, [0.85098, 0.94902, 0.741176, 1.0]),
        (0.27524374178742617, [0.780392, 0.901961, 0.631373, 1.0]),
        (0.3004774835748524, [0.678431, 0.839216, 0.470588, 1.0]),
        (0.32571122536227853, [0.603922, 0.768627, 0.368627, 1.0]),
        (0.3509449671497047, [0.54902, 0.721569, 0.286275, 1.0]),
        (0.3761787089371309, [0.505882, 0.670588, 0.243137, 1.0]),
        (0.401412450724557, [0.45098, 0.6, 0.192157, 1.0]),
        (0.4266461925119832, [0.396078, 0.529412, 0.14902, 1.0]),
        (0.4518799342994094, [0.341176, 0.45098, 0.109804, 1.0]),
        (0.4771136760868356, [0.286275, 0.368627, 0.07451, 1.0]),
        (0.5023474178742617, [0.219608, 0.278431, 0.043137, 1.0]),
        (0.5023574178742618, [0.180392, 0.176471, 0.231373, 1.0]),
        (0.5149156027099379, [0.22745098039215686, 0.23921568627450981, 0.3176470588235294, 1.0]),
        (0.5274737875456139, [0.2549019607843137, 0.28627450980392155, 0.3803921568627451, 1.0]),
        (0.5400319723812901, [0.27058823529411763, 0.3333333333333333, 0.44313725490196076, 1.0]),
        (0.5525901572169661, [0.28627450980392155, 0.3843137254901961, 0.4980392156862745, 1.0]),
        (0.5651483420526422, [0.2980392156862745, 0.43529411764705883, 0.5490196078431373, 1.0]),
        (0.5777065268883184, [0.30980392156862746, 0.4823529411764706, 0.5882352941176471, 1.0]),
        (0.5902647117239945, [0.3215686274509804, 0.5333333333333333, 0.6235294117647059, 1.0]),
        (0.6028228965596706, [0.34509803921568627, 0.5803921568627451, 0.6588235294117647, 1.0]),
        (0.6153810813953466, [0.3764705882352941, 0.6235294117647059, 0.6862745098039216, 1.0]),
        (0.6279392662310228, [0.40784313725490196, 0.6784313725490196, 0.7176470588235294, 1.0]),
        (0.6404974510666989, [0.4392156862745098, 0.7254901960784313, 0.7490196078431373, 1.0]),
        (0.6530556359023749, [0.47843137254901963, 0.7725490196078432, 0.7764705882352941, 1.0]),
        (0.6656138207380511, [0.5176470588235295, 0.8117647058823529, 0.8, 1.0]),
        (0.6781720055737273, [0.5529411764705883, 0.8392156862745098, 0.807843137254902, 1.0]),
        (0.6907301904094033, [0.592156862745098, 0.8745098039215686, 0.8274509803921568, 1.0]),
        (0.7032883752450794, [0.6392156862745098, 0.9019607843137255, 0.8431372549019608, 1.0]),
        (0.7158465600807555, [0.6901960784313725, 0.9254901960784314, 0.8588235294117647, 1.0]),
        (0.7284047449164316, [0.7490196078431373, 0.9529411764705882, 0.8862745098039215, 1.0]),
        (0.7535211145877838, [0.8627450980392157, 0.9882352941176471, 0.9333333333333333, 1.0]),
        (0.7535311145877838, [0.7725490196078432, 0.8549019607843137, 0.9137254901960784, 1.0]),
        (0.7658545588583946, [0.7372549019607844, 0.8235294117647058, 0.8901960784313725, 1.0]),
        (0.7781780031290054, [0.7098039215686275, 0.796078431372549, 0.8627450980392157, 1.0]),
        (0.802824891670227, [0.6509803921568628, 0.7333333333333333, 0.8, 1.0]),
        (0.8274717802114486, [0.596078431372549, 0.6627450980392157, 0.7333333333333333, 1.0]),
        (0.8521186687526703, [0.5450980392156862, 0.6039215686274509, 0.6627450980392157, 1.0]),
        (0.8767655572938918, [0.49411764705882355, 0.5411764705882353, 0.596078431372549, 1.0]),
        (0.9014124458351135, [0.45098039215686275, 0.49411764705882355, 0.5450980392156862, 1.0]),
        (0.926059334376335, [0.4235294117647059, 0.4588235294117647, 0.5019607843137255, 1.0]),
        (0.9507062229175567, [0.40784313725490196, 0.43529411764705883, 0.4666666666666667, 1.0]),
        (0.9753531114587783, [0.39215686274509803, 0.4117647058823529, 0.43137254901960786, 1.0]),
        (1.0, [0.3845382734849084, 0.3877109823646982, 0.39679387420987344, 1.0]),
    ],
    'svc.4wave-orange-green-gray': [
        (0.0, [0.301961, 0.047059, 0.090196, 1.0]),
        (0.0125, [0.4, 0.039216, 0.058824, 1.0]),
        (0.025, [0.501961, 0.054902, 0.031373, 1.0]),
        (0.0375, [0.6, 0.121569, 0.023529, 1.0]),
        (0.05, [0.678431, 0.180392, 0.011765, 1.0]),
        (0.0625, [0.760784, 0.239216, 0.0, 1.0]),
        (0.075, [0.8, 0.305882, 0.0, 1.0]),
        (0.0875, [0.890196, 0.411765, 0.019608, 1.0]),
        (0.1, [0.909804, 0.486275, 0.035294, 1.0]),
        (0.1125, [0.921569, 0.545098, 0.054902, 1.0]),
        (0.125, [0.929412, 0.607843, 0.094118, 1.0]),
        (0.1375, [0.941176, 0.678431, 0.14902, 1.0]),
        (0.15, [0.94902, 0.741176, 0.219608, 1.0]),
        (0.1625, [0.960784, 0.803922, 0.286275, 1.0]),
        (0.175, [0.968627, 0.862745, 0.388235, 1.0]),
        (0.1875, [0.968627, 0.905882, 0.486275, 1.0]),
        (0.2, [0.980392, 0.945098, 0.576471, 1.0]),
        (0.2125, [0.980392, 0.968627, 0.654902, 1.0]),
        (0.225, [0.988235, 0.988235, 0.741176, 1.0]),
        (0.2375, [0.984314, 0.988235, 0.843137, 1.0]),
        (0.2495, [1.0, 1.0, 0.988235, 1.0]),
        (0.25, [1.0, 1.0, 0.988235, 1.0]),
        (0.25001, [0.909804, 0.980392, 0.831373, 1.0]),
        (0.2625095, [0.85098, 0.94902, 0.741176, 1.0]),
        (0.275009, [0.780392, 0.901961, 0.631373, 1.0]),
        (0.300008, [0.678431, 0.839216, 0.470588, 1.0]),
        (0.325007, [0.603922, 0.768627, 0.368627, 1.0]),
        (0.35000600000000004, [0.54902, 0.721569, 0.286275, 1.0]),
        (0.37500500000000003, [0.505882, 0.670588, 0.243137, 1.0]),
        (0.400004, [0.45098, 0.6, 0.192157, 1.0]),
        (0.425003, [0.396078, 0.529412, 0.14902, 1.0]),
        (0.450002, [0.341176, 0.45098, 0.109804, 1.0]),
        (0.475001, [0.286275, 0.368627, 0.07451, 1.0]),
        (0.5, [0.219608, 0.278431, 0.043137, 1.0]),
        (0.50001, [0.254902, 0.286275, 0.458824, 1.0]),
        (0.5000199995999999, [0.380392, 0.392157, 0.4, 1.0]),
        (0.52501799964, [0.396078, 0.415686, 0.439216, 1.0]),
        (0.55001599968, [0.411765, 0.443137, 0.478431, 1.0]),
        (0.57501399972, [0.435294, 0.47451, 0.521569, 1.0]),
        (0.60001199976, [0.482353, 0.52549, 0.580392, 1.0]),
        (0.6250099997999999, [0.541176, 0.6, 0.658824, 1.0]),
        (0.6500079998399999, [0.6, 0.670588, 0.741176, 1.0]),
        (0.67500599988, [0.670588, 0.752941, 0.819608, 1.0]),
        (0.70000399992, [0.737255, 0.823529, 0.890196, 1.0]),
        (0.7250019999599999, [0.815686, 0.894118, 0.94902, 1.0]),
        (0.73750099998, [0.882353, 0.937255, 0.980392, 1.0]),
        (0.75, [1.0, 1.0, 1.0, 1.0]),
        (0.75001, [1.0, 1.0, 1.0, 1.0]),
        (0.7500199995999999, [0.988235, 0.988235, 0.94902, 1.0]),
        (0.7625189996199999, [0.929412, 0.929412, 0.854902, 1.0]),
        (0.77501799964, [0.858824, 0.858824, 0.772549, 1.0]),
        (0.7875169996599999, [0.8, 0.792157, 0.705882, 1.0]),
        (0.80001599968, [0.74902, 0.737255, 0.65098, 1.0]),
        (0.8125149997, [0.701961, 0.686275, 0.603922, 1.0]),
        (0.82501399972, [0.65098, 0.631373, 0.552941, 1.0]),
        (0.83751299974, [0.6, 0.576471, 0.505882, 1.0]),
        (0.85001199976, [0.54902, 0.521569, 0.454902, 1.0]),
        (0.86251099978, [0.509804, 0.47451, 0.419608, 1.0]),
        (0.8750099997999999, [0.470588, 0.431373, 0.380392, 1.0]),
        (0.88750899982, [0.439216, 0.396078, 0.352941, 1.0]),
        (0.9000079998399999, [0.411765, 0.364706, 0.32549, 1.0]),
        (0.91250699986, [0.380392, 0.329412, 0.298039, 1.0]),
        (0.92500599988, [0.34902, 0.298039, 0.270588, 1.0]),
        (0.9375049999, [0.321569, 0.266667, 0.243137, 1.0]),
        (0.95000399992, [0.290196, 0.235294, 0.215686, 1.0]),
        (0.96250299994, [0.258824, 0.203922, 0.188235, 1.0]),
        (0.9750019999599999, [0.231373, 0.172549, 0.164706, 1.0]),
        (0.98750099998, [0.2, 0.145098, 0.137255, 1.0]),
        (1.0, [0.180392, 0.12549, 0.121569, 1.0]),
    ],
    'svc.4wave-gray-blue-red': [
        (0.0, [0.219608, 0.180392, 0.176471, 1.0]),
        (0.012534940242767356, [0.25098, 0.203922, 0.2, 1.0]),
        (0.025069880485534657, [0.301961, 0.25098, 0.239216, 1.0]),
        (0.03760482072830201, [0.329412, 0.282353, 0.266667, 1.0]),
        (0.050139760971069314, [0.360784, 0.313725, 0.290196, 1.0]),
        (0.06267470121383667, [0.388235, 0.341176, 0.317647, 1.0]),
        (0.07520964145660403, [0.419608, 0.376471, 0.345098, 1.0]),
        (0.08774458169937133, [0.45098, 0.407843, 0.368627, 1.0]),
        (0.10027952194213868, [0.470588, 0.431373, 0.388235, 1.0]),
        (0.11281446218490598, [0.490196, 0.454902, 0.407843, 1.0]),
        (0.12534940242767334, [0.509804, 0.478431, 0.427451, 1.0]),
        (0.13788434267044067, [0.541176, 0.513725, 0.454902, 1.0]),
        (0.150419282913208, [0.580392, 0.556863, 0.494118, 1.0]),
        (0.16295422315597535, [0.611765, 0.592157, 0.52549, 1.0]),
        (0.17548916339874268, [0.65098, 0.639216, 0.564706, 1.0]),
        (0.18802410364151, [0.701961, 0.690196, 0.607843, 1.0]),
        (0.20055904388427734, [0.74902, 0.741176, 0.658824, 1.0]),
        (0.21309398412704467, [0.788235, 0.784314, 0.701961, 1.0]),
        (0.22562892436981202, [0.819608, 0.819608, 0.737255, 1.0]),
        (0.23816386461257935, [0.878431, 0.878431, 0.807843, 1.0]),
        (0.2506988048553467, [0.941176, 0.941176, 0.894118, 1.0]),
        (0.2507088048553467, [1.0, 1.0, 1.0, 1.0]),
        (0.2631296883283211, [0.882353, 0.937255, 0.980392, 1.0]),
        (0.2755505718012955, [0.815686, 0.894118, 0.94902, 1.0]),
        (0.30039233874724436, [0.737255, 0.823529, 0.890196, 1.0]),
        (0.32523410569319317, [0.670588, 0.752941, 0.819608, 1.0]),
        (0.35007587263914197, [0.6, 0.670588, 0.741176, 1.0]),
        (0.37491763958509083, [0.541176, 0.6, 0.658824, 1.0]),
        (0.3997594065310396, [0.482353, 0.52549, 0.580392, 1.0]),
        (0.42460117347698845, [0.435294, 0.47451, 0.521569, 1.0]),
        (0.4494429404229373, [0.411765, 0.443137, 0.478431, 1.0]),
        (0.4742847073688861, [0.396078, 0.415686, 0.439216, 1.0]),
        (0.4991264743148349, [0.380392, 0.392157, 0.4, 1.0]),
        (0.49913647431483493, [0.23921568627450981, 0.2549019607843137, 0.33725490196078434, 1.0]),
        (0.5119504404607723, [0.25882352941176473, 0.30196078431372547, 0.403921568627451, 1.0]),
        (0.5247644066067096, [0.2784313725490196, 0.35294117647058826, 0.47058823529411764, 1.0]),
        (0.537578372752647, [0.2901960784313726, 0.4117647058823529, 0.5254901960784314, 1.0]),
        (0.5503923388985843, [0.3058823529411765, 0.4666666666666667, 0.5764705882352941, 1.0]),
        (0.5632063050445215, [0.3176470588235294, 0.5176470588235295, 0.611764705882353, 1.0]),
        (0.576020271190459, [0.33725490196078434, 0.5686274509803921, 0.6509803921568628, 1.0]),
        (0.5888342373363962, [0.37254901960784315, 0.615686274509804, 0.6823529411764706, 1.0]),
        (0.6016482034823336, [0.40784313725490196, 0.6745098039215687, 0.7176470588235294, 1.0]),
        (0.6144621696282708, [0.44313725490196076, 0.7254901960784313, 0.7490196078431373, 1.0]),
        (0.6272761357742083, [0.4823529411764706, 0.7764705882352941, 0.7803921568627451, 1.0]),
        (0.6400901019201456, [0.5215686274509804, 0.8156862745098039, 0.8, 1.0]),
        (0.6529040680660829, [0.5607843137254902, 0.8470588235294118, 0.8156862745098039, 1.0]),
        (0.6657180342120202, [0.6078431372549019, 0.8823529411764706, 0.8352941176470589, 1.0]),
        (0.6785320003579576, [0.6588235294117647, 0.9098039215686274, 0.8509803921568627, 1.0]),
        (0.6913459665038949, [0.7176470588235294, 0.9372549019607843, 0.8705882352941177, 1.0]),
        (0.7041599326498322, [0.7843137254901961, 0.9647058823529412, 0.8980392156862745, 1.0]),
        (0.7169738987957696, [0.8431372549019608, 0.984313725490196, 0.9215686274509803, 1.0]),
        (0.7297878649417069, [0.9058823529411765, 1.0, 0.9490196078431372, 1.0]),
        (0.7554157972335815, [0.94902, 1.0, 0.980392, 1.0]),
        (0.7554257972335815, [0.988235, 0.976471, 0.909804, 1.0]),
        (0.7676545073719024, [0.968627, 0.92549, 0.745098, 1.0]),
        (0.7798832175102234, [0.94902, 0.843137, 0.588235, 1.0]),
        (0.7921119276485442, [0.941176, 0.772549, 0.517647, 1.0]),
        (0.8043406377868652, [0.929412, 0.686275, 0.447059, 1.0]),
        (0.8165693479251861, [0.909804, 0.615686, 0.392157, 1.0]),
        (0.828798058063507, [0.901961, 0.556863, 0.360784, 1.0]),
        (0.841026768201828, [0.890196, 0.47451, 0.337255, 1.0]),
        (0.8532554783401489, [0.878431, 0.403922, 0.309804, 1.0]),
        (0.8654841884784699, [0.839216, 0.329412, 0.258824, 1.0]),
        (0.8777128986167907, [0.8, 0.278431, 0.239216, 1.0]),
        (0.8899416087551116, [0.74902, 0.211765, 0.211765, 1.0]),
        (0.9021703188934326, [0.701961, 0.180392, 0.207843, 1.0]),
        (0.9143990290317535, [0.658824, 0.164706, 0.207843, 1.0]),
        (0.9266277391700743, [0.6, 0.133333, 0.188235, 1.0]),
        (0.9388564493083953, [0.541176, 0.113725, 0.184314, 1.0]),
        (0.9510851594467162, [0.501961, 0.098039, 0.180392, 1.0]),
        (0.9633138695850372, [0.439216, 0.078431, 0.164706, 1.0]),
        (0.9755425797233581, [0.419608, 0.066667, 0.160784, 1.0]),
        (0.9877712898616791, [0.341176, 0.05098, 0.137255, 1.0]),
        (1.0, [0.278431, 0.039216, 0.117647, 1.0]),
    ],
    'svc.4wave-red-blue': [
        (0.0, [0.278431, 0.039216, 0.117647, 1.0]),
        (0.012534940242767356, [0.341176, 0.05098, 0.137255, 1.0]),
        (0.025069880485534657, [0.419608, 0.066667, 0.160784, 1.0]),
        (0.03760482072830201, [0.439216, 0.078431, 0.164706, 1.0]),
        (0.050139760971069314, [0.501961, 0.098039, 0.180392, 1.0]),
        (0.06267470121383667, [0.541176, 0.113725, 0.184314, 1.0]),
        (0.07520964145660403, [0.6, 0.133333, 0.188235, 1.0]),
        (0.08774458169937133, [0.658824, 0.164706, 0.207843, 1.0]),
        (0.10027952194213868, [0.701961, 0.180392, 0.207843, 1.0]),
        (0.11281446218490598, [0.74902, 0.211765, 0.211765, 1.0]),
        (0.12534940242767334, [0.8, 0.278431, 0.239216, 1.0]),
        (0.13788434267044067, [0.839216, 0.329412, 0.258824, 1.0]),
        (0.150419282913208, [0.878431, 0.403922, 0.309804, 1.0]),
        (0.16295422315597535, [0.890196, 0.47451, 0.337255, 1.0]),
        (0.17548916339874268, [0.901961, 0.556863, 0.360784, 1.0]),
        (0.18802410364151, [0.909804, 0.615686, 0.392157, 1.0]),
        (0.20055904388427734, [0.929412, 0.686275, 0.447059, 1.0]),
        (0.21309398412704467, [0.941176, 0.772549, 0.517647, 1.0]),
        (0.22562892436981202, [0.94902, 0.843137, 0.588235, 1.0]),
        (0.23816386461257935, [0.968627, 0.92549, 0.745098, 1.0]),
        (0.2506988048553467, [0.988235, 0.976471, 0.909804, 1.0]),
        (0.2507088048553467, [0.988235, 0.988235, 0.870588, 1.0]),
        (0.2631296883283211, [0.968627, 0.964706, 0.756863, 1.0]),
        (0.2755505718012955, [0.94902, 0.929412, 0.666667, 1.0]),
        (0.30039233874724436, [0.929412, 0.894118, 0.556863, 1.0]),
        (0.32523410569319317, [0.85098, 0.8, 0.466667, 1.0]),
        (0.35007587263914197, [0.780392, 0.713725, 0.388235, 1.0]),
        (0.37491763958509083, [0.701961, 0.635294, 0.376471, 1.0]),
        (0.3997594065310396, [0.65098, 0.584314, 0.388235, 1.0]),
        (0.42460117347698845, [0.588235, 0.529412, 0.384314, 1.0]),
        (0.4494429404229373, [0.501961, 0.443137, 0.34902, 1.0]),
        (0.4742847073688861, [0.4, 0.352941, 0.301961, 1.0]),
        (0.4991264743148349, [0.301961, 0.266667, 0.239216, 1.0]),
        (0.49913647431483493, [0.23921568627450981, 0.2549019607843137, 0.33725490196078434, 1.0]),
        (0.5119504404607723, [0.25882352941176473, 0.30196078431372547, 0.403921568627451, 1.0]),
        (0.5247644066067096, [0.2784313725490196, 0.35294117647058826, 0.47058823529411764, 1.0]),
        (0.537578372752647, [0.2901960784313726, 0.4117647058823529, 0.5254901960784314, 1.0]),
        (0.5503923388985843, [0.3058823529411765, 0.4666666666666667, 0.5764705882352941, 1.0]),
        (0.5632063050445215, [0.3176470588235294, 0.5176470588235295, 0.611764705882353, 1.0]),
        (0.576020271190459, [0.33725490196078434, 0.5686274509803921, 0.6509803921568628, 1.0]),
        (0.5888342373363962, [0.37254901960784315, 0.615686274509804, 0.6823529411764706, 1.0]),
        (0.6016482034823336, [0.40784313725490196, 0.6745098039215687, 0.7176470588235294, 1.0]),
        (0.6144621696282708, [0.44313725490196076, 0.7254901960784313, 0.7490196078431373, 1.0]),
        (0.6272761357742083, [0.4823529411764706, 0.7764705882352941, 0.7803921568627451, 1.0]),
        (0.6400901019201456, [0.5215686274509804, 0.8156862745098039, 0.8, 1.0]),
        (0.6529040680660829, [0.5607843137254902, 0.8470588235294118, 0.8156862745098039, 1.0]),
        (0.6657180342120202, [0.6078431372549019, 0.8823529411764706, 0.8352941176470589, 1.0]),
        (0.6785320003579576, [0.6588235294117647, 0.9098039215686274, 0.8509803921568627, 1.0]),
        (0.6913459665038949, [0.7176470588235294, 0.9372549019607843, 0.8705882352941177, 1.0]),
        (0.7041599326498322, [0.7843137254901961, 0.9647058823529412, 0.8980392156862745, 1.0]),
        (0.7169738987957696, [0.8431372549019608, 0.984313725490196, 0.9215686274509803, 1.0]),
        (0.7297878649417069, [0.9058823529411765, 1.0, 0.9490196078431372, 1.0]),
        (0.7554157972335815, [0.94902, 1.0, 0.980392, 1.0]),
        (0.7554257972335815, [0.8, 1.0, 0.984314, 1.0]),
        (0.7603172812889099, [0.639216, 0.968627, 0.960784, 1.0]),
        (0.7676545073719024, [0.556863, 0.917647, 0.929412, 1.0]),
        (0.7798832175102234, [0.478431, 0.85098, 0.901961, 1.0]),
        (0.7921119276485442, [0.4, 0.776471, 0.870588, 1.0]),
        (0.8043406377868652, [0.341176, 0.705882, 0.85098, 1.0]),
        (0.8165693479251861, [0.282353, 0.639216, 0.831373, 1.0]),
        (0.828798058063507, [0.227451, 0.576471, 0.811765, 1.0]),
        (0.841026768201828, [0.172549, 0.501961, 0.788235, 1.0]),
        (0.8532554783401489, [0.121569, 0.435294, 0.768627, 1.0]),
        (0.8654841884784699, [0.090196, 0.364706, 0.74902, 1.0]),
        (0.9021703188934326, [0.086275, 0.313725, 0.729412, 1.0]),
        (0.9143990290317535, [0.078431, 0.258824, 0.709804, 1.0]),
        (0.9266277391700743, [0.082353, 0.211765, 0.678431, 1.0]),
        (0.9388564493083953, [0.090196, 0.164706, 0.639216, 1.0]),
        (0.9510851594467162, [0.101961, 0.133333, 0.6, 1.0]),
        (0.9633138695850372, [0.109804, 0.109804, 0.54902, 1.0]),
        (0.9755425797233581, [0.152941, 0.113725, 0.501961, 1.0]),
        (0.9877712898616791, [0.164706, 0.109804, 0.419608, 1.0]),
        (1.0, [0.129412, 0.058824, 0.301961, 1.0]),
    ],
    'svc.5wave-yellow-to-blue': [
        (0.0, [0.8549019607843137, 0.6627450980392157, 0.2627450980392157, 1.0]),
        (0.00805280566215516, [0.8549019607843137, 0.6745098039215687, 0.26666666666666666, 1.0]),
        (0.020132014155387873, [0.8627450980392157, 0.6901960784313725, 0.2784313725490196, 1.0]),
        (0.040264028310775746, [0.8705882352941177, 0.7215686274509804, 0.29411764705882354, 1.0]),
        (0.060396042466163646, [0.8901960784313725, 0.7568627450980392, 0.3254901960784314, 1.0]),
        (0.08052805662155152, [0.9058823529411765, 0.792156862745098, 0.3568627450980392, 1.0]),
        (0.10066007077693939, [0.9215686274509803, 0.8235294117647058, 0.39215686274509803, 1.0]),
        (0.12079208493232726, [0.9411764705882353, 0.8588235294117647, 0.4549019607843137, 1.0]),
        (0.14092409908771514, [0.9529411764705882, 0.8980392156862745, 0.5333333333333333, 1.0]),
        (0.16105611324310304, [0.9647058823529412, 0.9294117647058824, 0.6235294117647059, 1.0]),
        (0.1811881273984909, [0.984313725490196, 0.9607843137254902, 0.7294117647058823, 1.0]),
        (0.20132014155387878, [1.0, 0.996078, 0.890196, 1.0]),
        (0.2112306313098669, [0.8941176470588236, 0.8862745098039215, 0.5686274509803921, 1.0]),
        (0.22113112106585503, [0.8745098039215686, 0.8745098039215686, 0.5058823529411764, 1.0]),
        (0.24093210057783127, [0.8156862745098039, 0.8313725490196079, 0.38823529411764707, 1.0]),
        (0.2607330800898075, [0.7450980392156863, 0.7686274509803922, 0.28627450980392155, 1.0]),
        (0.2805340596017838, [0.6745098039215687, 0.7215686274509804, 0.22745098039215686, 1.0]),
        (0.30033503911376, [0.615686274509804, 0.6823529411764706, 0.19215686274509805, 1.0]),
        (0.32013601862573626, [0.5686274509803921, 0.6470588235294118, 0.15294117647058825, 1.0]),
        (0.3399369981377125, [0.5176470588235295, 0.615686274509804, 0.11372549019607843, 1.0]),
        (0.35973797764968873, [0.4588235294117647, 0.5686274509803921, 0.0784313725490196, 1.0]),
        (0.37953895716166497, [0.40784313725490196, 0.5254901960784314, 0.06274509803921569, 1.0]),
        (0.3894394469176531, [0.3764705882352941, 0.4980392156862745, 0.054901960784313725, 1.0]),
        (0.3993399366736412, [0.34901960784313724, 0.47058823529411764, 0.047058823529411764, 1.0]),
        (0.3993499366736412, [0.231373, 0.4, 0.301961, 1.0]),
        (0.41956345781350135, [0.309804, 0.501961, 0.372549, 1.0]),
        (0.43977697895336154, [0.376471, 0.580392, 0.427451, 1.0]),
        (0.4599905000932217, [0.435294, 0.639216, 0.470588, 1.0]),
        (0.4802040212330818, [0.498039, 0.701961, 0.513725, 1.0]),
        (0.500417542372942, [0.552941, 0.760784, 0.552941, 1.0]),
        (0.5206310635128021, [0.631373, 0.819608, 0.615686, 1.0]),
        (0.5408445846526623, [0.694118, 0.858824, 0.662745, 1.0]),
        (0.5610581057925225, [0.752941, 0.901961, 0.701961, 1.0]),
        (0.5812716269323825, [0.870588, 0.94902, 0.796078, 1.0]),
        (0.6014851480722427, [0.968627, 0.988235, 0.941176, 1.0]),
        (0.6114781466753483, [0.8470588235294118, 0.9686274509803922, 0.9254901960784314, 1.0]),
        (0.6214611452784538, [0.7294117647058823, 0.9411764705882353, 0.8862745098039215, 1.0]),
        (0.6314441438815593, [0.6274509803921569, 0.9176470588235294, 0.8588235294117647, 1.0]),
        (0.6414271424846649, [0.5411764705882353, 0.8941176470588236, 0.8392156862745098, 1.0]),
        (0.6514101410877704, [0.47843137254901963, 0.8705882352941177, 0.8235294117647058, 1.0]),
        (0.661393139690876, [0.4470588235294118, 0.8392156862745098, 0.807843137254902, 1.0]),
        (0.6713761382939815, [0.41568627450980394, 0.8117647058823529, 0.796078431372549, 1.0]),
        (0.681359136897087, [0.39215686274509803, 0.788235294117647, 0.7803921568627451, 1.0]),
        (0.6913421355001926, [0.37254901960784315, 0.7568627450980392, 0.7607843137254902, 1.0]),
        (0.7013251341032981, [0.34901960784313724, 0.7098039215686275, 0.7294117647058823, 1.0]),
        (0.7113081327064037, [0.32941176470588235, 0.6666666666666666, 0.6980392156862745, 1.0]),
        (0.7212911313095092, [0.30980392156862746, 0.6274509803921569, 0.6705882352941176, 1.0]),
        (0.7312741299126148, [0.2823529411764706, 0.5843137254901961, 0.6431372549019608, 1.0]),
        (0.7412571285157203, [0.24705882352941178, 0.5372549019607843, 0.611764705882353, 1.0]),
        (0.7512401271188258, [0.23921568627450981, 0.49411764705882355, 0.5803921568627451, 1.0]),
        (0.7612231257219314, [0.23137254901960785, 0.45098039215686275, 0.5490196078431373, 1.0]),
        (0.771206124325037, [0.22745098039215686, 0.4196078431372549, 0.5294117647058824, 1.0]),
        (0.7811891229281425, [0.22745098039215686, 0.39215686274509803, 0.5137254901960784, 1.0]),
        (0.791172121531248, [0.23137254901960785, 0.3607843137254902, 0.4980392156862745, 1.0]),
        (0.8011551201343536, [0.22745098039215686, 0.3215686274509804, 0.47058823529411764, 1.0]),
        (0.8011651201343537, [0.1568627450980392, 0.17254901960784313, 0.5803921568627451, 1.0]),
        (0.8110227569734528, [0.17647058823529413, 0.2196078431372549, 0.6078431372549019, 1.0]),
        (0.8171902172771254, [0.1843137254901961, 0.24705882352941178, 0.6274509803921569, 1.0]),
        (0.8282830163899499, [0.20784313725490197, 0.2980392156862745, 0.6549019607843137, 1.0]),
        (0.845570118515229, [0.23921568627450981, 0.37254901960784315, 0.6980392156862745, 1.0]),
        (0.8675594667144507, [0.28627450980392155, 0.4588235294117647, 0.7372549019607844, 1.0]),
        (0.8916564646402483, [0.34901960784313724, 0.5568627450980392, 0.7764705882352941, 1.0]),
        (0.908911355514989, [0.40784313725490196, 0.6313725490196078, 0.8235294117647058, 1.0]),
        (0.9300542636306226, [0.48627450980392156, 0.7294117647058823, 0.8745098039215686, 1.0]),
        (0.9516111459661366, [0.596078431372549, 0.8274509803921568, 0.9215686274509803, 1.0]),
        (0.9749346762092568, [0.7607843137254902, 0.9411764705882353, 0.9725490196078431, 1.0]),
        (0.9874032138558717, [0.8549019607843137, 0.9803921568627451, 0.9882352941176471, 1.0]),
        (1.0, [0.929412, 1.0, 0.996078, 1.0]),
    ],
    'svc.5wave-yellow-brown-blue': [
        (0.0, [0.984313725490196, 0.9647058823529412, 0.7372549019607844, 1.0]),
        (0.04042904376983643, [0.9686274509803922, 0.9294117647058824, 0.6352941176470588, 1.0]),
        (0.060643565654754636, [0.9568627450980393, 0.9019607843137255, 0.5490196078431373, 1.0]),
        (0.08085808753967286, [0.9450980392156862, 0.8666666666666667, 0.4666666666666667, 1.0]),
        (0.10107260942459106, [0.9254901960784314, 0.8313725490196079, 0.403921568627451, 1.0]),
        (0.12128713130950927, [0.9098039215686274, 0.8, 0.3686274509803922, 1.0]),
        (0.14150165319442748, [0.8941176470588236, 0.7686274509803922, 0.33725490196078434, 1.0]),
        (0.16171617507934571, [0.8784313725490196, 0.7333333333333333, 0.30980392156862746, 1.0]),
        (0.18193069696426392, [0.8666666666666667, 0.7058823529411765, 0.28627450980392155, 1.0]),
        (0.19405941009521482, [0.8588235294117647, 0.6901960784313725, 0.27450980392156865, 1.0]),
        (0.20214521884918213, [0.8588235294117647, 0.6784313725490196, 0.27058823529411763, 1.0]),
        (0.20215521884918214, [0.4666666666666667, 0.23529411764705882, 0.16862745098039217, 1.0]),
        (0.21205570860517026, [0.48627450980392156, 0.2627450980392157, 0.1803921568627451, 1.0]),
        (0.22195619836115837, [0.5098039215686274, 0.2901960784313726, 0.2, 1.0]),
        (0.2318566881171465, [0.5333333333333333, 0.3215686274509804, 0.2196078431372549, 1.0]),
        (0.2417571778731346, [0.5607843137254902, 0.3607843137254902, 0.24705882352941178, 1.0]),
        (0.2516576676291227, [0.5882352941176471, 0.396078431372549, 0.26666666666666666, 1.0]),
        (0.2615581573851109, [0.611764705882353, 0.42745098039215684, 0.28627450980392155, 1.0]),
        (0.271458647141099, [0.6392156862745098, 0.4627450980392157, 0.3058823529411765, 1.0]),
        (0.28135913689708714, [0.6666666666666666, 0.4980392156862745, 0.3333333333333333, 1.0]),
        (0.2912596266530752, [0.6980392156862745, 0.5411764705882353, 0.3568627450980392, 1.0]),
        (0.30116011640906337, [0.7333333333333333, 0.5843137254901961, 0.3843137254901961, 1.0]),
        (0.3110606061650515, [0.7686274509803922, 0.6274509803921569, 0.4117647058823529, 1.0]),
        (0.3209610959210396, [0.8, 0.6705882352941176, 0.4392156862745098, 1.0]),
        (0.3308615856770277, [0.8274509803921568, 0.7098039215686275, 0.4666666666666667, 1.0]),
        (0.34076207543301584, [0.8549019607843137, 0.7529411764705882, 0.4980392156862745, 1.0]),
        (0.35066256518900396, [0.8823529411764706, 0.796078431372549, 0.5411764705882353, 1.0]),
        (0.3605630549449921, [0.9098039215686274, 0.8431372549019608, 0.592156862745098, 1.0]),
        (0.3704635447009802, [0.9294117647058824, 0.8862745098039215, 0.6627450980392157, 1.0]),
        (0.3803640344569683, [0.9490196078431372, 0.9254901960784314, 0.7607843137254902, 1.0]),
        (0.39026452421295643, [0.9725490196078431, 0.9647058823529412, 0.8588235294117647, 1.0]),
        (0.40016501396894455, [1.0, 1.0, 0.94902, 1.0]),
        (0.40017501396894456, [0.956863, 0.980392, 0.929412, 1.0]),
        (0.4102405206741095, [0.886275, 0.921569, 0.854902, 1.0]),
        (0.42030602737927436, [0.8, 0.839216, 0.772549, 1.0]),
        (0.4303715340844393, [0.741176, 0.788235, 0.717647, 1.0]),
        (0.4404370407896042, [0.694118, 0.74902, 0.67451, 1.0]),
        (0.4505025474947691, [0.662745, 0.729412, 0.65098, 1.0]),
        (0.460568054199934, [0.639216, 0.709804, 0.631373, 1.0]),
        (0.4706335609050989, [0.607843, 0.690196, 0.607843, 1.0]),
        (0.4806990676102638, [0.588235, 0.670588, 0.596078, 1.0]),
        (0.49076457431542875, [0.564706, 0.65098, 0.580392, 1.0]),
        (0.5008300810205937, [0.54902, 0.631373, 0.568627, 1.0]),
        (0.5108955877257586, [0.52549, 0.611765, 0.552941, 1.0]),
        (0.5209610944309234, [0.505882, 0.588235, 0.541176, 1.0]),
        (0.5310266011360883, [0.486275, 0.568627, 0.52549, 1.0]),
        (0.5410921078412533, [0.466667, 0.54902, 0.513725, 1.0]),
        (0.5511576145464182, [0.447059, 0.529412, 0.501961, 1.0]),
        (0.5612231212515831, [0.427451, 0.509804, 0.490196, 1.0]),
        (0.571288627956748, [0.407843, 0.490196, 0.47451, 1.0]),
        (0.5813541346619129, [0.380392, 0.458824, 0.454902, 1.0]),
        (0.5914196413670778, [0.356863, 0.431373, 0.431373, 1.0]),
        (0.6014851480722427, [0.329412, 0.4, 0.4, 1.0]),
        (0.6014951480722428, [0.2549019607843137, 0.3254901960784314, 0.4235294117647059, 1.0]),
        (0.6212136191096306, [0.3058823529411765, 0.3843137254901961, 0.49019607843137253, 1.0]),
        (0.6409320901470185, [0.3607843137254902, 0.44313725490196076, 0.5529411764705883, 1.0]),
        (0.6606505611844062, [0.41568627450980394, 0.5058823529411764, 0.615686274509804, 1.0]),
        (0.6803690322217941, [0.4745098039215686, 0.5686274509803921, 0.6784313725490196, 1.0]),
        (0.700087503259182, [0.5372549019607843, 0.6352941176470588, 0.7450980392156863, 1.0]),
        (0.7198059742965698, [0.6078431372549019, 0.7058823529411765, 0.803921568627451, 1.0]),
        (0.7395244453339577, [0.6784313725490196, 0.7764705882352941, 0.8627450980392157, 1.0]),
        (0.7592429163713456, [0.7411764705882353, 0.8392156862745098, 0.9137254901960784, 1.0]),
        (0.7789613874087333, [0.8156862745098039, 0.9058823529411765, 0.9607843137254902, 1.0]),
        (0.7888206229274273, [0.8823529411764706, 0.9490196078431372, 0.984313725490196, 1.0]),
        (0.7986798584461212, [0.960784, 0.988235, 1.0, 1.0]),
        (0.7986898584461212, [0.882353, 0.980392, 0.956863, 1.0]),
        (0.818820872601509, [0.701961, 0.901961, 0.858824, 1.0]),
        (0.8389518867568969, [0.560784, 0.8, 0.764706, 1.0]),
        (0.8590829009122848, [0.466667, 0.74902, 0.729412, 1.0]),
        (0.8792139150676727, [0.352941, 0.65098, 0.65098, 1.0]),
        (0.8993449292230605, [0.266667, 0.545098, 0.568627, 1.0]),
        (0.9194759433784484, [0.196078, 0.454902, 0.490196, 1.0]),
        (0.9396069575338363, [0.133333, 0.376471, 0.419608, 1.0]),
        (0.9597379716892243, [0.094118, 0.329412, 0.380392, 1.0]),
        (0.9798689858446121, [0.047059, 0.262745, 0.321569, 1.0]),
        (1.0, [0.0, 0.188235, 0.25098, 1.0]),
    ],
    'svc.5wave-yellow-and-green': [
        (0.0, [0.988235, 0.988235, 0.968627, 1.0]),
        (0.004042904376983643, [0.960784, 0.952941, 0.894118, 1.0]),
        (0.020214521884918214, [0.901961, 0.886275, 0.8, 1.0]),
        (0.04042904376983643, [0.839216, 0.819608, 0.729412, 1.0]),
        (0.060643565654754636, [0.788235, 0.760784, 0.662745, 1.0]),
        (0.08085808753967286, [0.729412, 0.694118, 0.592157, 1.0]),
        (0.10107260942459106, [0.670588, 0.631373, 0.529412, 1.0]),
        (0.12128713130950927, [0.619608, 0.576471, 0.482353, 1.0]),
        (0.14150165319442748, [0.580392, 0.533333, 0.447059, 1.0]),
        (0.16171617507934571, [0.541176, 0.490196, 0.411765, 1.0]),
        (0.18193069696426392, [0.478431, 0.431373, 0.360784, 1.0]),
        (0.20214521884918213, [0.4, 0.352941, 0.294118, 1.0]),
        (0.20215521884918214, [0.380392, 0.396078, 0.4, 1.0]),
        (0.21205570860517026, [0.388235, 0.419608, 0.419608, 1.0]),
        (0.22195619836115837, [0.396078, 0.439216, 0.435294, 1.0]),
        (0.2318566881171465, [0.403922, 0.458824, 0.45098, 1.0]),
        (0.2417571778731346, [0.411765, 0.478431, 0.462745, 1.0]),
        (0.2516576676291227, [0.423529, 0.501961, 0.47451, 1.0]),
        (0.2615581573851109, [0.443137, 0.521569, 0.486275, 1.0]),
        (0.271458647141099, [0.466667, 0.54902, 0.509804, 1.0]),
        (0.28135913689708714, [0.498039, 0.580392, 0.533333, 1.0]),
        (0.2912596266530752, [0.52549, 0.611765, 0.552941, 1.0]),
        (0.30116011640906337, [0.572549, 0.658824, 0.596078, 1.0]),
        (0.3110606061650515, [0.607843, 0.701961, 0.623529, 1.0]),
        (0.3209610959210396, [0.65098, 0.741176, 0.658824, 1.0]),
        (0.3308615856770277, [0.686275, 0.780392, 0.686275, 1.0]),
        (0.34076207543301584, [0.737255, 0.819608, 0.729412, 1.0]),
        (0.35066256518900396, [0.772549, 0.85098, 0.756863, 1.0]),
        (0.3605630549449921, [0.823529, 0.890196, 0.8, 1.0]),
        (0.3704635447009802, [0.866667, 0.921569, 0.835294, 1.0]),
        (0.3803640344569683, [0.905882, 0.94902, 0.87451, 1.0]),
        (0.39026452421295643, [0.945098, 0.980392, 0.909804, 1.0]),
        (0.40016501396894455, [0.976471, 1.0, 0.94902, 1.0]),
        (0.40017501396894456, [1.0, 0.996078, 0.890196, 1.0]),
        (0.42030602737927436, [0.980392, 0.956863, 0.705882, 1.0]),
        (0.4404370407896042, [0.960784, 0.917647, 0.596078, 1.0]),
        (0.460568054199934, [0.94902, 0.882353, 0.494118, 1.0]),
        (0.4806990676102638, [0.929412, 0.835294, 0.407843, 1.0]),
        (0.5008300810205937, [0.909804, 0.8, 0.364706, 1.0]),
        (0.5209610944309234, [0.890196, 0.760784, 0.329412, 1.0]),
        (0.5410921078412533, [0.870588, 0.717647, 0.294118, 1.0]),
        (0.5612231212515831, [0.858824, 0.686275, 0.27451, 1.0]),
        (0.5813541346619129, [0.85098, 0.65098, 0.254902, 1.0]),
        (0.5934327427081107, [0.839216, 0.619608, 0.235294, 1.0]),
        (0.6014851480722427, [0.831373, 0.588235, 0.223529, 1.0]),
        (0.6014951480722428, [0.219608, 0.278431, 0.043137, 1.0]),
        (0.6212136191096306, [0.286275, 0.368627, 0.07451, 1.0]),
        (0.6409320901470185, [0.341176, 0.45098, 0.109804, 1.0]),
        (0.6606505611844062, [0.396078, 0.529412, 0.14902, 1.0]),
        (0.6803690322217941, [0.45098, 0.6, 0.192157, 1.0]),
        (0.700087503259182, [0.505882, 0.670588, 0.243137, 1.0]),
        (0.7198059742965698, [0.54902, 0.721569, 0.286275, 1.0]),
        (0.7395244453339577, [0.603922, 0.768627, 0.368627, 1.0]),
        (0.7592429163713456, [0.678431, 0.839216, 0.470588, 1.0]),
        (0.7789613874087333, [0.780392, 0.901961, 0.631373, 1.0]),
        (0.7888206229274273, [0.85098, 0.94902, 0.741176, 1.0]),
        (0.7986798584461212, [0.909804, 0.980392, 0.831373, 1.0]),
        (0.7986898584461212, [1.0, 1.0, 1.0, 1.0]),
        (0.8087553655238151, [0.882353, 0.937255, 0.980392, 1.0]),
        (0.818820872601509, [0.815686, 0.894118, 0.94902, 1.0]),
        (0.8389518867568969, [0.737255, 0.823529, 0.890196, 1.0]),
        (0.8590829009122848, [0.670588, 0.752941, 0.819608, 1.0]),
        (0.8792139150676727, [0.6, 0.670588, 0.741176, 1.0]),
        (0.8993449292230605, [0.541176, 0.6, 0.658824, 1.0]),
        (0.9194759433784484, [0.482353, 0.52549, 0.580392, 1.0]),
        (0.9396069575338363, [0.435294, 0.47451, 0.521569, 1.0]),
        (0.9597379716892243, [0.411765, 0.443137, 0.478431, 1.0]),
        (0.9798689858446121, [0.396078, 0.415686, 0.439216, 1.0]),
        (1.0, [0.380392, 0.392157, 0.4, 1.0]),
    ],
    'svc.5wave-blue-red-blue': [
        (0.0, [0.011765, 0.015686, 0.101961, 1.0]),
        (0.020143255591392517, [0.066667, 0.078431, 0.2, 1.0]),
        (0.040286511182785034, [0.117647, 0.168627, 0.321569, 1.0]),
        (0.06042976677417755, [0.164706, 0.235294, 0.4, 1.0]),
        (0.08057302236557007, [0.235294, 0.333333, 0.501961, 1.0]),
        (0.10071627795696259, [0.290196, 0.415686, 0.580392, 1.0]),
        (0.1208595335483551, [0.356863, 0.501961, 0.65098, 1.0]),
        (0.14100278913974762, [0.439216, 0.611765, 0.729412, 1.0]),
        (0.16114604473114014, [0.521569, 0.717647, 0.8, 1.0]),
        (0.18128930032253265, [0.643137, 0.831373, 0.878431, 1.0]),
        (0.1913609281182289, [0.780392, 0.92549, 0.94902, 1.0]),
        (0.20143255591392517, [0.929412, 1.0, 1.0, 1.0]),
        (0.20144255591392518, [1.0, 1.0, 0.988235, 1.0]),
        (0.20183771411273957, [1.0, 1.0, 0.988235, 1.0]),
        (0.21132151088428497, [0.984314, 0.988235, 0.843137, 1.0]),
        (0.22120046585464478, [0.988235, 0.988235, 0.741176, 1.0]),
        (0.2310794208250046, [0.980392, 0.968627, 0.654902, 1.0]),
        (0.2409583757953644, [0.980392, 0.945098, 0.576471, 1.0]),
        (0.2508373307657242, [0.968627, 0.905882, 0.486275, 1.0]),
        (0.26071628573608396, [0.968627, 0.862745, 0.388235, 1.0]),
        (0.2705952407064438, [0.960784, 0.803922, 0.286275, 1.0]),
        (0.2804741956768036, [0.94902, 0.741176, 0.219608, 1.0]),
        (0.2903531506471634, [0.941176, 0.678431, 0.14902, 1.0]),
        (0.3002321056175232, [0.929412, 0.607843, 0.094118, 1.0]),
        (0.310111060587883, [0.921569, 0.545098, 0.054902, 1.0]),
        (0.3199900155582428, [0.909804, 0.486275, 0.035294, 1.0]),
        (0.32986897052860265, [0.890196, 0.411765, 0.019608, 1.0]),
        (0.3397479254989624, [0.8, 0.305882, 0.0, 1.0]),
        (0.3496268804693222, [0.760784, 0.239216, 0.0, 1.0]),
        (0.359505835439682, [0.678431, 0.180392, 0.011765, 1.0]),
        (0.3693847904100418, [0.6, 0.121569, 0.023529, 1.0]),
        (0.37926374538040164, [0.501961, 0.054902, 0.031373, 1.0]),
        (0.3891427003507614, [0.4, 0.039216, 0.058824, 1.0]),
        (0.3990216553211212, [0.301961, 0.047059, 0.090196, 1.0]),
        (0.3990316553211212, [0.219608, 0.180392, 0.176471, 1.0]),
        (0.4090940484286547, [0.25098, 0.203922, 0.2, 1.0]),
        (0.41915644153618814, [0.301961, 0.25098, 0.239216, 1.0]),
        (0.42921883464372157, [0.329412, 0.282353, 0.266667, 1.0]),
        (0.439281227751255, [0.360784, 0.313725, 0.290196, 1.0]),
        (0.4493436208587885, [0.388235, 0.341176, 0.317647, 1.0]),
        (0.45940601396632197, [0.419608, 0.376471, 0.345098, 1.0]),
        (0.4694684070738554, [0.45098, 0.407843, 0.368627, 1.0]),
        (0.4795308001813889, [0.470588, 0.431373, 0.388235, 1.0]),
        (0.4895931932889223, [0.490196, 0.454902, 0.407843, 1.0]),
        (0.4996555863964558, [0.509804, 0.478431, 0.427451, 1.0]),
        (0.5097179795039892, [0.541176, 0.513725, 0.454902, 1.0]),
        (0.5197803726115227, [0.580392, 0.556863, 0.494118, 1.0]),
        (0.5298427657190561, [0.611765, 0.592157, 0.52549, 1.0]),
        (0.5399051588265896, [0.65098, 0.639216, 0.564706, 1.0]),
        (0.5499675519341231, [0.701961, 0.690196, 0.607843, 1.0]),
        (0.5600299450416565, [0.74902, 0.741176, 0.658824, 1.0]),
        (0.5700923381491899, [0.788235, 0.784314, 0.701961, 1.0]),
        (0.5801547312567235, [0.819608, 0.819608, 0.737255, 1.0]),
        (0.5902171243642569, [0.878431, 0.878431, 0.807843, 1.0]),
        (0.6002795174717903, [0.941176, 0.941176, 0.894118, 1.0]),
        (0.6002895174717903, [1.0, 0.996078, 0.941176, 1.0]),
        (0.6042410993109226, [0.980392, 0.976471, 0.862745, 1.0]),
        (0.610168472069621, [0.968627, 0.956863, 0.796078, 1.0]),
        (0.6200474266674518, [0.941176, 0.905882, 0.678431, 1.0]),
        (0.6398053358631134, [0.901961, 0.827451, 0.541176, 1.0]),
        (0.659563245058775, [0.85098, 0.733333, 0.458824, 1.0]),
        (0.6793211542544364, [0.8, 0.647059, 0.4, 1.0]),
        (0.699079063450098, [0.760784, 0.560784, 0.34902, 1.0]),
        (0.7089580180479288, [0.721569, 0.509804, 0.309804, 1.0]),
        (0.7188369726457595, [0.690196, 0.462745, 0.27451, 1.0]),
        (0.7287159272435904, [0.658824, 0.427451, 0.282353, 1.0]),
        (0.7385948818414211, [0.631373, 0.403922, 0.290196, 1.0]),
        (0.7484738364392518, [0.6, 0.380392, 0.294118, 1.0]),
        (0.7583527910370826, [0.54902, 0.352941, 0.286275, 1.0]),
        (0.7682317456349134, [0.509804, 0.32549, 0.282353, 1.0]),
        (0.7781107002327442, [0.470588, 0.301961, 0.27451, 1.0]),
        (0.7879896548305749, [0.431373, 0.27451, 0.262745, 1.0]),
        (0.7978686094284058, [0.380392, 0.254902, 0.247059, 1.0]),
        (0.7978786094284058, [0.14902, 0.196078, 0.278431, 1.0]),
        (0.8180907484855652, [0.2, 0.258824, 0.34902, 1.0]),
        (0.8383028875427246, [0.25098, 0.321569, 0.419608, 1.0]),
        (0.858515026599884, [0.313725, 0.396078, 0.501961, 1.0]),
        (0.8787271656570435, [0.384314, 0.470588, 0.580392, 1.0]),
        (0.8989393047142029, [0.454902, 0.54902, 0.658824, 1.0]),
        (0.9191514437713623, [0.533333, 0.631373, 0.741176, 1.0]),
        (0.9393635828285217, [0.623529, 0.721569, 0.819608, 1.0]),
        (0.9595757218856812, [0.713725, 0.807843, 0.890196, 1.0]),
        (0.9797878609428405, [0.780392, 0.882353, 0.94902, 1.0]),
        (0.9898939304714203, [0.862745, 0.941176, 0.980392, 1.0]),
        (1.0, [0.960784, 0.988235, 1.0, 1.0]),
    ],
    'svc.5wave-orange-to-green': [
        (0.0, [0.3803921568627451, 0.043137254901960784, 0.06666666666666667, 1.0]),
        (0.010049019753932954, [0.3803921568627451, 0.043137254901960784, 0.06666666666666667, 1.0]),
        (0.020098039507865907, [0.4627450980392157, 0.047058823529411764, 0.043137254901960784, 1.0]),
        (0.030147059261798857, [0.5450980392156862, 0.08627450980392157, 0.03137254901960784, 1.0]),
        (0.040196079015731814, [0.6196078431372549, 0.13725490196078433, 0.0196078431372549, 1.0]),
        (0.050245098769664764, [0.6862745098039216, 0.1843137254901961, 0.011764705882352941, 1.0]),
        (0.060294118523597715, [0.7529411764705882, 0.23137254901960785, 0.0, 1.0]),
        (0.07034313827753066, [0.788235294117647, 0.28627450980392155, 0.0, 1.0]),
        (0.08039215803146363, [0.8470588235294118, 0.3607843137254902, 0.00784313725490196, 1.0]),
        (0.09044117778539658, [0.8980392156862745, 0.4392156862745098, 0.023529411764705882, 1.0]),
        (0.10049019753932953, [0.9098039215686274, 0.49411764705882355, 0.0392156862745098, 1.0]),
        (0.11053921729326249, [0.9215686274509803, 0.5450980392156862, 0.054901960784313725, 1.0]),
        (0.12058823704719543, [0.9294117647058824, 0.596078431372549, 0.08627450980392157, 1.0]),
        (0.1306372568011284, [0.9372549019607843, 0.6509803921568628, 0.12941176470588237, 1.0]),
        (0.14068627655506133, [0.9450980392156862, 0.7058823529411765, 0.1803921568627451, 1.0]),
        (0.1507352963089943, [0.9529411764705882, 0.7568627450980392, 0.23529411764705882, 1.0]),
        (0.16078431606292726, [0.9607843137254902, 0.807843137254902, 0.2901960784313726, 1.0]),
        (0.1708333358168602, [0.9686274509803922, 0.8549019607843137, 0.37254901960784315, 1.0]),
        (0.18088235557079316, [0.9686274509803922, 0.8901960784313725, 0.4549019607843137, 1.0]),
        (0.1909313753247261, [0.9764705882352941, 0.9254901960784314, 0.5294117647058824, 1.0]),
        (0.20057843428850175, [0.9803921568627451, 0.9529411764705882, 0.596078431372549, 1.0]),
        (0.20098039507865906, [0.9803921568627451, 0.9529411764705882, 0.6, 1.0]),
        (0.20099039507865907, [0.9607843137254902, 0.9411764705882353, 0.7607843137254902, 1.0]),
        (0.20498179162840843, [0.9490196078431372, 0.9215686274509803, 0.7176470588235294, 1.0]),
        (0.2109688864530325, [0.9372549019607843, 0.8980392156862745, 0.6627450980392157, 1.0]),
        (0.22094737782740595, [0.9176470588235294, 0.8588235294117647, 0.6, 1.0]),
        (0.2409043605761528, [0.8745098039215686, 0.7803921568627451, 0.4980392156862745, 1.0]),
        (0.2608613433248997, [0.8274509803921568, 0.6941176470588235, 0.43137254901960786, 1.0]),
        (0.28081832607364654, [0.7843137254901961, 0.611764705882353, 0.3803921568627451, 1.0]),
        (0.30077530882239345, [0.7372549019607844, 0.5294117647058824, 0.3254901960784314, 1.0]),
        (0.31075380019676685, [0.7019607843137254, 0.4823529411764706, 0.2901960784313726, 1.0]),
        (0.3207322915711403, [0.6745098039215687, 0.44313725490196076, 0.2784313725490196, 1.0]),
        (0.3307107829455137, [0.6470588235294118, 0.41568627450980394, 0.28627450980392155, 1.0]),
        (0.34068927431988716, [0.6196078431372549, 0.396078431372549, 0.2901960784313726, 1.0]),
        (0.3506677656942606, [0.5843137254901961, 0.37254901960784315, 0.2901960784313726, 1.0]),
        (0.36064625706863407, [0.5372549019607843, 0.34509803921568627, 0.28627450980392155, 1.0]),
        (0.37062474844300747, [0.5019607843137255, 0.3215686274509804, 0.2823529411764706, 1.0]),
        (0.3806032398173809, [0.4666666666666667, 0.2980392156862745, 0.27450980392156865, 1.0]),
        (0.3905817311917543, [0.42745098039215684, 0.27450980392156865, 0.2627450980392157, 1.0]),
        (0.4005702225661278, [0.180392, 0.12549, 0.121569, 1.0]),
        (0.41054871431303025, [0.2, 0.1450980392156863, 0.13725490196078433, 1.0]),
        (0.4205272060599327, [0.22745098039215686, 0.16862745098039217, 0.1607843137254902, 1.0]),
        (0.4305056978068352, [0.25098039215686274, 0.19607843137254902, 0.1843137254901961, 1.0]),
        (0.44048418955373764, [0.2784313725490196, 0.2235294117647059, 0.20784313725490197, 1.0]),
        (0.4504626813006401, [0.30980392156862746, 0.2549019607843137, 0.23137254901960785, 1.0]),
        (0.4604411730475426, [0.33725490196078434, 0.2823529411764706, 0.25882352941176473, 1.0]),
        (0.4704196647944451, [0.3607843137254902, 0.30980392156862746, 0.2823529411764706, 1.0]),
        (0.48039815654134754, [0.39215686274509803, 0.3411764705882353, 0.3058823529411765, 1.0]),
        (0.49037664828824995, [0.4196078431372549, 0.37254901960784315, 0.3333333333333333, 1.0]),
        (0.5003551400351525, [0.4470588235294118, 0.403921568627451, 0.3568627450980392, 1.0]),
        (0.5103336317820549, [0.4745098039215686, 0.43529411764705883, 0.3843137254901961, 1.0]),
        (0.5203121235289574, [0.5098039215686274, 0.4745098039215686, 0.4196078431372549, 1.0]),
        (0.5302906152758599, [0.5490196078431373, 0.5176470588235295, 0.4549019607843137, 1.0]),
        (0.5402691070227623, [0.592156862745098, 0.5686274509803921, 0.4980392156862745, 1.0]),
        (0.5502475987696648, [0.6392156862745098, 0.6196078431372549, 0.5411764705882353, 1.0]),
        (0.5602260905165672, [0.6862745098039216, 0.6705882352941176, 0.5882352941176471, 1.0]),
        (0.5702045822634697, [0.7333333333333333, 0.7176470588235294, 0.6352941176470588, 1.0]),
        (0.5801830740103722, [0.7764705882352941, 0.7686274509803922, 0.6823529411764706, 1.0]),
        (0.5901615657572746, [0.8274509803921568, 0.8235294117647058, 0.7372549019607844, 1.0]),
        (0.6001400575041771, [0.8862745098039215, 0.8862745098039215, 0.803921568627451, 1.0]),
        (0.600150057504177, [1.0, 0.933333, 0.8, 1.0]),
        (0.6404841910438537, [0.8, 0.721569, 0.478431, 1.0]),
        (0.6808183245835304, [0.6, 0.54902, 0.301961, 1.0]),
        (0.721152458123207, [0.4, 0.380392, 0.160784, 1.0]),
        (0.7614865916628837, [0.301961, 0.301961, 0.058824, 1.0]),
        (0.8018207252025604, [0.184314, 0.2, 0.0, 1.0]),
        (0.8018307252025605, [0.054902, 0.109804, 0.121569, 1.0]),
        (0.8117391889424324, [0.07451, 0.172549, 0.180392, 1.0]),
        (0.8216476526823044, [0.086275, 0.231373, 0.219608, 1.0]),
        (0.8315561164221763, [0.094118, 0.278431, 0.25098, 1.0]),
        (0.8414645801620484, [0.109804, 0.34902, 0.278431, 1.0]),
        (0.8513730439019203, [0.113725, 0.4, 0.278431, 1.0]),
        (0.8612815076417923, [0.117647, 0.45098, 0.270588, 1.0]),
        (0.8711899713816643, [0.117647, 0.490196, 0.243137, 1.0]),
        (0.8810984351215363, [0.113725, 0.521569, 0.203922, 1.0]),
        (0.8910068988614083, [0.109804, 0.54902, 0.152941, 1.0]),
        (0.9009153626012802, [0.082353, 0.588235, 0.082353, 1.0]),
        (0.9108238263411522, [0.109804, 0.631373, 0.05098, 1.0]),
        (0.9207322900810242, [0.211765, 0.678431, 0.082353, 1.0]),
        (0.9306407538208962, [0.317647, 0.721569, 0.113725, 1.0]),
        (0.9405492175607681, [0.431373, 0.760784, 0.160784, 1.0]),
        (0.9504576813006401, [0.556863, 0.8, 0.239216, 1.0]),
        (0.9603661450405121, [0.666667, 0.839216, 0.294118, 1.0]),
        (0.9702746087803841, [0.784314, 0.878431, 0.396078, 1.0]),
        (0.980183072520256, [0.886275, 0.921569, 0.533333, 1.0]),
        (0.990091536260128, [0.960784, 0.94902, 0.670588, 1.0]),
        (1.0, [1.0, 0.984314, 0.901961, 1.0]),
    ],
    'svc.insert-green-0-10': [
        (0.0, [0.054902, 0.109804, 0.121569, 1.0]),
        (0.004999999701976787, [0.07451, 0.172549, 0.180392, 1.0]),
        (0.009999999403953547, [0.086275, 0.231373, 0.219608, 1.0]),
        (0.014999999105930334, [0.094118, 0.278431, 0.25098, 1.0]),
        (0.019999998807907093, [0.109804, 0.34902, 0.278431, 1.0]),
        (0.02499999850988388, [0.113725, 0.4, 0.278431, 1.0]),
        (0.029999998211860668, [0.117647, 0.45098, 0.270588, 1.0]),
        (0.03499999791383743, [0.117647, 0.490196, 0.243137, 1.0]),
        (0.039999997615814215, [0.113725, 0.521569, 0.203922, 1.0]),
        (0.04499999731779098, [0.109804, 0.54902, 0.152941, 1.0]),
        (0.04999999701976776, [0.082353, 0.588235, 0.082353, 1.0]),
        (0.054999996721744535, [0.109804, 0.631373, 0.05098, 1.0]),
        (0.05999999642372131, [0.211765, 0.678431, 0.082353, 1.0]),
        (0.0649999961256981, [0.317647, 0.721569, 0.113725, 1.0]),
        (0.06999999582767487, [0.431373, 0.760784, 0.160784, 1.0]),
        (0.07499999552965164, [0.556863, 0.8, 0.239216, 1.0]),
        (0.07999999523162842, [0.666667, 0.839216, 0.294118, 1.0]),
        (0.08499999493360519, [0.784314, 0.878431, 0.396078, 1.0]),
        (0.08999999463558198, [0.886275, 0.921569, 0.533333, 1.0]),
        (0.09499999433755875, [0.960784, 0.94902, 0.670588, 1.0]),
        (0.09999999403953552, [1.0, 0.984314, 0.901961, 1.0]),
        (0.1, [0.8274509803921568, 0.8235294117647058, 0.7372549019607844, 1.0]),
        (0.10000999403953552, [0.8274509803921568, 0.8235294117647058, 0.7372549019607844, 1.0]),
        (0.15, [0.788235294117647, 0.7764705882352941, 0.6901960784313725, 1.0]),
        (0.2, [0.7490196078431373, 0.7372549019607844, 0.6509803921568628, 1.0]),
        (0.25, [0.7176470588235294, 0.7019607843137254, 0.6196078431372549, 1.0]),
        (0.3, [0.6823529411764706, 0.6627450980392157, 0.5843137254901961, 1.0]),
        (0.35, [0.6431372549019608, 0.6235294117647059, 0.5450980392156862, 1.0]),
        (0.4, [0.6078431372549019, 0.5843137254901961, 0.5137254901960784, 1.0]),
        (0.45, [0.5686274509803921, 0.5450980392156862, 0.4745098039215686, 1.0]),
        (0.5, [0.5372549019607843, 0.5058823529411764, 0.44313725490196076, 1.0]),
        (0.55, [0.5098039215686274, 0.4745098039215686, 0.4196078431372549, 1.0]),
        (0.6, [0.47843137254901963, 0.44313725490196076, 0.38823529411764707, 1.0]),
        (0.65, [0.4549019607843137, 0.41568627450980394, 0.3686274509803922, 1.0]),
        (0.7, [0.43529411764705883, 0.38823529411764707, 0.34901960784313724, 1.0]),
        (0.75, [0.41568627450980394, 0.3686274509803922, 0.32941176470588235, 1.0]),
        (0.8, [0.39215686274509803, 0.3411764705882353, 0.30980392156862746, 1.0]),
        (0.85, [0.3686274509803922, 0.3176470588235294, 0.28627450980392155, 1.0]),
        (0.9, [0.34509803921568627, 0.29411764705882354, 0.26666666666666666, 1.0]),
        (0.95, [0.3254901960784314, 0.27450980392156865, 0.24705882352941178, 1.0]),
        (1.0, [0.3058823529411765, 0.25098039215686274, 0.22745098039215686, 1.0]),
    ],
    'svc.insert-green-10-20': [
        (0.0, [0.9215686274509803, 0.9215686274509803, 0.8470588235294118, 1.0]),
        (0.05, [0.8705882352941177, 0.8705882352941177, 0.788235294117647, 1.0]),
        (0.1, [0.8274509803921568, 0.8235294117647058, 0.7372549019607844, 1.0]),
        (0.10487692803144455, [0.07451, 0.172549, 0.180392, 1.0]),
        (0.10988013446331024, [0.086275, 0.231373, 0.219608, 1.0]),
        (0.11488334089517593, [0.094118, 0.278431, 0.25098, 1.0]),
        (0.11988654732704163, [0.109804, 0.34902, 0.278431, 1.0]),
        (0.12488975375890732, [0.113725, 0.4, 0.278431, 1.0]),
        (0.129892960190773, [0.117647, 0.45098, 0.270588, 1.0]),
        (0.1348961666226387, [0.117647, 0.490196, 0.243137, 1.0]),
        (0.1398993730545044, [0.113725, 0.521569, 0.203922, 1.0]),
        (0.1449025794863701, [0.109804, 0.54902, 0.152941, 1.0]),
        (0.14990578591823578, [0.082353, 0.588235, 0.082353, 1.0]),
        (0.15490899235010147, [0.109804, 0.631373, 0.05098, 1.0]),
        (0.15991219878196716, [0.211765, 0.678431, 0.082353, 1.0]),
        (0.16491540521383286, [0.317647, 0.721569, 0.113725, 1.0]),
        (0.16991861164569855, [0.431373, 0.760784, 0.160784, 1.0]),
        (0.17492181807756424, [0.556863, 0.8, 0.239216, 1.0]),
        (0.17992502450942993, [0.666667, 0.839216, 0.294118, 1.0]),
        (0.18492823094129562, [0.784314, 0.878431, 0.396078, 1.0]),
        (0.18993143737316132, [0.886275, 0.921569, 0.533333, 1.0]),
        (0.194934643805027, [0.960784, 0.94902, 0.670588, 1.0]),
        (0.1999378502368927, [1.0, 0.984314, 0.901961, 1.0]),
        (0.1999478502368927, [0.7490196078431373, 0.7372549019607844, 0.6509803921568628, 1.0]),
        (0.2, [0.7490196078431373, 0.7372549019607844, 0.6509803921568628, 1.0]),
        (0.25, [0.7176470588235294, 0.7019607843137254, 0.6196078431372549, 1.0]),
        (0.3, [0.6823529411764706, 0.6627450980392157, 0.5843137254901961, 1.0]),
        (0.35, [0.6431372549019608, 0.6235294117647059, 0.5450980392156862, 1.0]),
        (0.4, [0.6078431372549019, 0.5843137254901961, 0.5137254901960784, 1.0]),
        (0.45, [0.5686274509803921, 0.5450980392156862, 0.4745098039215686, 1.0]),
        (0.5, [0.5372549019607843, 0.5058823529411764, 0.44313725490196076, 1.0]),
        (0.55, [0.5098039215686274, 0.4745098039215686, 0.4196078431372549, 1.0]),
        (0.6, [0.47843137254901963, 0.44313725490196076, 0.38823529411764707, 1.0]),
        (0.65, [0.4549019607843137, 0.41568627450980394, 0.3686274509803922, 1.0]),
        (0.7, [0.43529411764705883, 0.38823529411764707, 0.34901960784313724, 1.0]),
        (0.75, [0.41568627450980394, 0.3686274509803922, 0.32941176470588235, 1.0]),
        (0.8, [0.39215686274509803, 0.3411764705882353, 0.30980392156862746, 1.0]),
        (0.85, [0.3686274509803922, 0.3176470588235294, 0.28627450980392155, 1.0]),
        (0.9, [0.34509803921568627, 0.29411764705882354, 0.26666666666666666, 1.0]),
        (0.95, [0.3254901960784314, 0.27450980392156865, 0.24705882352941178, 1.0]),
        (1.0, [0.3058823529411765, 0.25098039215686274, 0.22745098039215686, 1.0]),
    ],
    'svc.insert-green-20-30': [
        (0.0, [0.9215686274509803, 0.9215686274509803, 0.8470588235294118, 1.0]),
        (0.05, [0.8705882352941177, 0.8705882352941177, 0.788235294117647, 1.0]),
        (0.1, [0.8274509803921568, 0.8235294117647058, 0.7372549019607844, 1.0]),
        (0.15, [0.788235294117647, 0.7764705882352941, 0.6901960784313725, 1.0]),
        (0.2, [0.7490196078431373, 0.7372549019607844, 0.6509803921568628, 1.0]),
        (0.20056928562164306, [0.7490196078431373, 0.7372549019607844, 0.6509803921568628, 1.0]),
        (0.20057928562164307, [0.054902, 0.109804, 0.121569, 1.0]),
        (0.20551835000514984, [0.07451, 0.172549, 0.180392, 1.0]),
        (0.21045741438865662, [0.086275, 0.231373, 0.219608, 1.0]),
        (0.2153964787721634, [0.094118, 0.278431, 0.25098, 1.0]),
        (0.22033554315567017, [0.109804, 0.34902, 0.278431, 1.0]),
        (0.22527460753917694, [0.113725, 0.4, 0.278431, 1.0]),
        (0.23021367192268372, [0.117647, 0.45098, 0.270588, 1.0]),
        (0.2351527363061905, [0.117647, 0.490196, 0.243137, 1.0]),
        (0.24009180068969727, [0.113725, 0.521569, 0.203922, 1.0]),
        (0.24503086507320404, [0.109804, 0.54902, 0.152941, 1.0]),
        (0.24996992945671082, [0.082353, 0.588235, 0.082353, 1.0]),
        (0.2549089938402176, [0.109804, 0.631373, 0.05098, 1.0]),
        (0.25984805822372437, [0.211765, 0.678431, 0.082353, 1.0]),
        (0.26478712260723114, [0.317647, 0.721569, 0.113725, 1.0]),
        (0.2697261869907379, [0.431373, 0.760784, 0.160784, 1.0]),
        (0.2746652513742447, [0.556863, 0.8, 0.239216, 1.0]),
        (0.27960431575775146, [0.666667, 0.839216, 0.294118, 1.0]),
        (0.28454338014125824, [0.784314, 0.878431, 0.396078, 1.0]),
        (0.289482444524765, [0.886275, 0.921569, 0.533333, 1.0]),
        (0.2944215089082718, [0.960784, 0.94902, 0.670588, 1.0]),
        (0.29936057329177856, [1.0, 0.984314, 0.901961, 1.0]),
        (0.2993705732917786, [0.6823529411764706, 0.6627450980392157, 0.5843137254901961, 1.0]),
        (0.3, [0.6823529411764706, 0.6627450980392157, 0.5843137254901961, 1.0]),
        (0.35, [0.6431372549019608, 0.6235294117647059, 0.5450980392156862, 1.0]),
        (0.4, [0.6078431372549019, 0.5843137254901961, 0.5137254901960784, 1.0]),
        (0.45, [0.5686274509803921, 0.5450980392156862, 0.4745098039215686, 1.0]),
        (0.5, [0.5372549019607843, 0.5058823529411764, 0.44313725490196076, 1.0]),
        (0.55, [0.5098039215686274, 0.4745098039215686, 0.4196078431372549, 1.0]),
        (0.6, [0.47843137254901963, 0.44313725490196076, 0.38823529411764707, 1.0]),
        (0.65, [0.4549019607843137, 0.41568627450980394, 0.3686274509803922, 1.0]),
        (0.7, [0.43529411764705883, 0.38823529411764707, 0.34901960784313724, 1.0]),
        (0.75, [0.41568627450980394, 0.3686274509803922, 0.32941176470588235, 1.0]),
        (0.8, [0.39215686274509803, 0.3411764705882353, 0.30980392156862746, 1.0]),
        (0.85, [0.3686274509803922, 0.3176470588235294, 0.28627450980392155, 1.0]),
        (0.9, [0.34509803921568627, 0.29411764705882354, 0.26666666666666666, 1.0]),
        (0.95, [0.3254901960784314, 0.27450980392156865, 0.24705882352941178, 1.0]),
        (1.0, [0.3058823529411765, 0.25098039215686274, 0.22745098039215686, 1.0]),
    ],
    'svc.insert-green-30-40': [
        (0.0, [0.9215686274509803, 0.9215686274509803, 0.8470588235294118, 1.0]),
        (0.05, [0.8705882352941177, 0.8705882352941177, 0.788235294117647, 1.0]),
        (0.1, [0.8274509803921568, 0.8235294117647058, 0.7372549019607844, 1.0]),
        (0.15, [0.788235294117647, 0.7764705882352941, 0.6901960784313725, 1.0]),
        (0.2, [0.7490196078431373, 0.7372549019607844, 0.6509803921568628, 1.0]),
        (0.25, [0.7176470588235294, 0.7019607843137254, 0.6196078431372549, 1.0]),
        (0.2999920086765289, [0.6823529411764706, 0.6627450980392157, 0.5843137254901961, 1.0]),
        (0.3, [0.6823529411764706, 0.6627450980392157, 0.5843137254901961, 1.0]),
        (0.30000200867652893, [0.054902, 0.109804, 0.121569, 1.0]),
        (0.3050372876226902, [0.07451, 0.172549, 0.180392, 1.0]),
        (0.31007256656885146, [0.086275, 0.231373, 0.219608, 1.0]),
        (0.31510784551501275, [0.094118, 0.278431, 0.25098, 1.0]),
        (0.320143124461174, [0.109804, 0.34902, 0.278431, 1.0]),
        (0.3251784034073353, [0.113725, 0.4, 0.278431, 1.0]),
        (0.3302136823534966, [0.117647, 0.45098, 0.270588, 1.0]),
        (0.3352489612996578, [0.117647, 0.490196, 0.243137, 1.0]),
        (0.3402842402458191, [0.113725, 0.521569, 0.203922, 1.0]),
        (0.34531951919198034, [0.109804, 0.54902, 0.152941, 1.0]),
        (0.35035479813814163, [0.082353, 0.588235, 0.082353, 1.0]),
        (0.3553900770843029, [0.109804, 0.631373, 0.05098, 1.0]),
        (0.36042535603046416, [0.211765, 0.678431, 0.082353, 1.0]),
        (0.36546063497662545, [0.317647, 0.721569, 0.113725, 1.0]),
        (0.3704959139227867, [0.431373, 0.760784, 0.160784, 1.0]),
        (0.375531192868948, [0.556863, 0.8, 0.239216, 1.0]),
        (0.3805664718151093, [0.666667, 0.839216, 0.294118, 1.0]),
        (0.3856017507612705, [0.784314, 0.878431, 0.396078, 1.0]),
        (0.3906370297074318, [0.886275, 0.921569, 0.533333, 1.0]),
        (0.39567230865359304, [0.960784, 0.94902, 0.670588, 1.0]),
        (0.40070758759975433, [1.0, 0.984314, 0.901961, 1.0]),
        (0.40071758759975434, [0.6078431372549019, 0.5843137254901961, 0.5137254901960784, 1.0]),
        (0.45, [0.5686274509803921, 0.5450980392156862, 0.4745098039215686, 1.0]),
        (0.5, [0.5372549019607843, 0.5058823529411764, 0.44313725490196076, 1.0]),
        (0.55, [0.5098039215686274, 0.4745098039215686, 0.4196078431372549, 1.0]),
        (0.6, [0.47843137254901963, 0.44313725490196076, 0.38823529411764707, 1.0]),
        (0.65, [0.4549019607843137, 0.41568627450980394, 0.3686274509803922, 1.0]),
        (0.7, [0.43529411764705883, 0.38823529411764707, 0.34901960784313724, 1.0]),
        (0.75, [0.41568627450980394, 0.3686274509803922, 0.32941176470588235, 1.0]),
        (0.8, [0.39215686274509803, 0.3411764705882353, 0.30980392156862746, 1.0]),
        (0.85, [0.3686274509803922, 0.3176470588235294, 0.28627450980392155, 1.0]),
        (0.9, [0.34509803921568627, 0.29411764705882354, 0.26666666666666666, 1.0]),
        (0.95, [0.3254901960784314, 0.27450980392156865, 0.24705882352941178, 1.0]),
        (1.0, [0.3058823529411765, 0.25098039215686274, 0.22745098039215686, 1.0]),
    ],
    'svc.insert-green-40-50': [
        (0.0, [0.9215686274509803, 0.9215686274509803, 0.8470588235294118, 1.0]),
        (0.05, [0.8705882352941177, 0.8705882352941177, 0.788235294117647, 1.0]),
        (0.1, [0.8274509803921568, 0.8235294117647058, 0.7372549019607844, 1.0]),
        (0.15, [0.788235294117647, 0.7764705882352941, 0.6901960784313725, 1.0]),
        (0.2, [0.7490196078431373, 0.7372549019607844, 0.6509803921568628, 1.0]),
        (0.25, [0.7176470588235294, 0.7019607843137254, 0.6196078431372549, 1.0]),
        (0.3, [0.6823529411764706, 0.6627450980392157, 0.5843137254901961, 1.0]),
        (0.35, [0.6431372549019608, 0.6235294117647059, 0.5450980392156862, 1.0]),
        (0.4, [0.6078431372549019, 0.5843137254901961, 0.5137254901960784, 1.0]),
        (0.40005614476442336, [0.6078431372549019, 0.5843137254901961, 0.5137254901960784, 1.0]),
        (0.40006614476442337, [0.054902, 0.109804, 0.121569, 1.0]),
        (0.4050693521188805, [0.07451, 0.172549, 0.180392, 1.0]),
        (0.4100725594733376, [0.086275, 0.231373, 0.219608, 1.0]),
        (0.41507576682779473, [0.094118, 0.278431, 0.25098, 1.0]),
        (0.4200789741822518, [0.109804, 0.34902, 0.278431, 1.0]),
        (0.42508218153670896, [0.113725, 0.4, 0.278431, 1.0]),
        (0.4300853888911661, [0.117647, 0.45098, 0.270588, 1.0]),
        (0.4350885962456232, [0.117647, 0.490196, 0.243137, 1.0]),
        (0.4400918036000803, [0.113725, 0.521569, 0.203922, 1.0]),
        (0.4450950109545374, [0.109804, 0.54902, 0.152941, 1.0]),
        (0.45009821830899455, [0.082353, 0.588235, 0.082353, 1.0]),
        (0.4551014256634517, [0.109804, 0.631373, 0.05098, 1.0]),
        (0.46010463301790877, [0.211765, 0.678431, 0.082353, 1.0]),
        (0.4651078403723659, [0.317647, 0.721569, 0.113725, 1.0]),
        (0.470111047726823, [0.431373, 0.760784, 0.160784, 1.0]),
        (0.47511425508128013, [0.556863, 0.8, 0.239216, 1.0]),
        (0.4801174624357373, [0.666667, 0.839216, 0.294118, 1.0]),
        (0.48512066979019436, [0.784314, 0.878431, 0.396078, 1.0]),
        (0.4901238771446515, [0.886275, 0.921569, 0.533333, 1.0]),
        (0.4951270844991086, [0.960784, 0.94902, 0.670588, 1.0]),
        (0.5001302918535657, [1.0, 0.984314, 0.901961, 1.0]),
        (0.5001402918535657, [0.5372549019607843, 0.5058823529411764, 0.44313725490196076, 1.0]),
        (0.55, [0.5098039215686274, 0.4745098039215686, 0.4196078431372549, 1.0]),
        (0.6, [0.47843137254901963, 0.44313725490196076, 0.38823529411764707, 1.0]),
        (0.65, [0.4549019607843137, 0.41568627450980394, 0.3686274509803922, 1.0]),
        (0.7, [0.43529411764705883, 0.38823529411764707, 0.34901960784313724, 1.0]),
        (0.75, [0.41568627450980394, 0.3686274509803922, 0.32941176470588235, 1.0]),
        (0.8, [0.39215686274509803, 0.3411764705882353, 0.30980392156862746, 1.0]),
        (0.85, [0.3686274509803922, 0.3176470588235294, 0.28627450980392155, 1.0]),
        (0.9, [0.34509803921568627, 0.29411764705882354, 0.26666666666666666, 1.0]),
        (0.95, [0.3254901960784314, 0.27450980392156865, 0.24705882352941178, 1.0]),
        (1.0, [0.3058823529411765, 0.25098039215686274, 0.22745098039215686, 1.0]),
    ],
    'svc.insert-green-50-60': [
        (0.0, [0.9215686274509803, 0.9215686274509803, 0.8470588235294118, 1.0]),
        (0.05, [0.8705882352941177, 0.8705882352941177, 0.788235294117647, 1.0]),
        (0.1, [0.8274509803921568, 0.8235294117647058, 0.7372549019607844, 1.0]),
        (0.15, [0.788235294117647, 0.7764705882352941, 0.6901960784313725, 1.0]),
        (0.2, [0.7490196078431373, 0.7372549019607844, 0.6509803921568628, 1.0]),
        (0.25, [0.7176470588235294, 0.7019607843137254, 0.6196078431372549, 1.0]),
        (0.3, [0.6823529411764706, 0.6627450980392157, 0.5843137254901961, 1.0]),
        (0.35, [0.6431372549019608, 0.6235294117647059, 0.5450980392156862, 1.0]),
        (0.4, [0.6078431372549019, 0.5843137254901961, 0.5137254901960784, 1.0]),
        (0.45, [0.5686274509803921, 0.5450980392156862, 0.4745098039215686, 1.0]),
        (0.5, [0.5372549019607843, 0.5058823529411764, 0.44313725490196076, 1.0]),
        (0.5007617286935077, [0.5372549019607843, 0.5058823529411764, 0.44313725490196076, 1.0]),
        (0.5007717286935076, [0.054902, 0.109804, 0.121569, 1.0]),
        (0.505742863850901, [0.07451, 0.172549, 0.180392, 1.0]),
        (0.5107139990082942, [0.086275, 0.231373, 0.219608, 1.0]),
        (0.5156851341656875, [0.094118, 0.278431, 0.25098, 1.0]),
        (0.5206562693230807, [0.109804, 0.34902, 0.278431, 1.0]),
        (0.5256274044804741, [0.113725, 0.4, 0.278431, 1.0]),
        (0.5305985396378674, [0.117647, 0.45098, 0.270588, 1.0]),
        (0.5355696747952606, [0.117647, 0.490196, 0.243137, 1.0]),
        (0.540540809952654, [0.113725, 0.521569, 0.203922, 1.0]),
        (0.5455119451100472, [0.109804, 0.54902, 0.152941, 1.0]),
        (0.5504830802674405, [0.082353, 0.588235, 0.082353, 1.0]),
        (0.5554542154248339, [0.109804, 0.631373, 0.05098, 1.0]),
        (0.5604253505822271, [0.211765, 0.678431, 0.082353, 1.0]),
        (0.5653964857396204, [0.317647, 0.721569, 0.113725, 1.0]),
        (0.5703676208970136, [0.431373, 0.760784, 0.160784, 1.0]),
        (0.575338756054407, [0.556863, 0.8, 0.239216, 1.0]),
        (0.5803098912118003, [0.666667, 0.839216, 0.294118, 1.0]),
        (0.5852810263691935, [0.784314, 0.878431, 0.396078, 1.0]),
        (0.5902521615265869, [0.886275, 0.921569, 0.533333, 1.0]),
        (0.5952232966839801, [0.960784, 0.94902, 0.670588, 1.0]),
        (0.6001944318413734, [1.0, 0.984314, 0.901961, 1.0]),
        (0.6002044318413734, [0.47843137254901963, 0.44313725490196076, 0.38823529411764707, 1.0]),
        (0.65, [0.4549019607843137, 0.41568627450980394, 0.3686274509803922, 1.0]),
        (0.7, [0.43529411764705883, 0.38823529411764707, 0.34901960784313724, 1.0]),
        (0.75, [0.41568627450980394, 0.3686274509803922, 0.32941176470588235, 1.0]),
        (0.8, [0.39215686274509803, 0.3411764705882353, 0.30980392156862746, 1.0]),
        (0.85, [0.3686274509803922, 0.3176470588235294, 0.28627450980392155, 1.0]),
        (0.9, [0.34509803921568627, 0.29411764705882354, 0.26666666666666666, 1.0]),
        (0.95, [0.3254901960784314, 0.27450980392156865, 0.24705882352941178, 1.0]),
        (1.0, [0.3058823529411765, 0.25098039215686274, 0.22745098039215686, 1.0]),
    ],
    'svc.insert-green-60-70': [
        (0.0, [0.9215686274509803, 0.9215686274509803, 0.8470588235294118, 1.0]),
        (0.05, [0.8705882352941177, 0.8705882352941177, 0.788235294117647, 1.0]),
        (0.1, [0.8274509803921568, 0.8235294117647058, 0.7372549019607844, 1.0]),
        (0.15, [0.788235294117647, 0.7764705882352941, 0.6901960784313725, 1.0]),
        (0.2, [0.7490196078431373, 0.7372549019607844, 0.6509803921568628, 1.0]),
        (0.25, [0.7176470588235294, 0.7019607843137254, 0.6196078431372549, 1.0]),
        (0.3, [0.6823529411764706, 0.6627450980392157, 0.5843137254901961, 1.0]),
        (0.35, [0.6431372549019608, 0.6235294117647059, 0.5450980392156862, 1.0]),
        (0.4, [0.6078431372549019, 0.5843137254901961, 0.5137254901960784, 1.0]),
        (0.45, [0.5686274509803921, 0.5450980392156862, 0.4745098039215686, 1.0]),
        (0.5, [0.5372549019607843, 0.5058823529411764, 0.44313725490196076, 1.0]),
        (0.55, [0.5098039215686274, 0.4745098039215686, 0.4196078431372549, 1.0]),
        (0.6, [0.47843137254901963, 0.44313725490196076, 0.38823529411764707, 1.0]),
        (0.6001844318413735, [0.47843137254901963, 0.44313725490196076, 0.38823529411764707, 1.0]),
        (0.6001944318413734, [0.054902, 0.109804, 0.121569, 1.0]),
        (0.6051976393908263, [0.07451, 0.172549, 0.180392, 1.0]),
        (0.610200846940279, [0.086275, 0.231373, 0.219608, 1.0]),
        (0.6152040544897318, [0.094118, 0.278431, 0.25098, 1.0]),
        (0.6202072620391845, [0.109804, 0.34902, 0.278431, 1.0]),
        (0.6252104695886374, [0.113725, 0.4, 0.278431, 1.0]),
        (0.6302136771380902, [0.117647, 0.45098, 0.270588, 1.0]),
        (0.6352168846875429, [0.117647, 0.490196, 0.243137, 1.0]),
        (0.6402200922369957, [0.113725, 0.521569, 0.203922, 1.0]),
        (0.6452232997864484, [0.109804, 0.54902, 0.152941, 1.0]),
        (0.6502265073359013, [0.082353, 0.588235, 0.082353, 1.0]),
        (0.6552297148853541, [0.109804, 0.631373, 0.05098, 1.0]),
        (0.6602329224348068, [0.211765, 0.678431, 0.082353, 1.0]),
        (0.6652361299842596, [0.317647, 0.721569, 0.113725, 1.0]),
        (0.6702393375337123, [0.431373, 0.760784, 0.160784, 1.0]),
        (0.6752425450831652, [0.556863, 0.8, 0.239216, 1.0]),
        (0.680245752632618, [0.666667, 0.839216, 0.294118, 1.0]),
        (0.6852489601820707, [0.784314, 0.878431, 0.396078, 1.0]),
        (0.6902521677315235, [0.886275, 0.921569, 0.533333, 1.0]),
        (0.6952553752809763, [0.960784, 0.94902, 0.670588, 1.0]),
        (0.7002585828304291, [1.0, 0.984314, 0.901961, 1.0]),
        (0.700268582830429, [0.43529411764705883, 0.38823529411764707, 0.34901960784313724, 1.0]),
        (0.75, [0.41568627450980394, 0.3686274509803922, 0.32941176470588235, 1.0]),
        (0.8, [0.39215686274509803, 0.3411764705882353, 0.30980392156862746, 1.0]),
        (0.85, [0.3686274509803922, 0.3176470588235294, 0.28627450980392155, 1.0]),
        (0.9, [0.34509803921568627, 0.29411764705882354, 0.26666666666666666, 1.0]),
        (0.95, [0.3254901960784314, 0.27450980392156865, 0.24705882352941178, 1.0]),
        (1.0, [0.3058823529411765, 0.25098039215686274, 0.22745098039215686, 1.0]),
    ],
    'svc.insert-green-70-80': [
        (0.0, [0.9215686274509803, 0.9215686274509803, 0.8470588235294118, 1.0]),
        (0.05, [0.8705882352941177, 0.8705882352941177, 0.788235294117647, 1.0]),
        (0.1, [0.8274509803921568, 0.8235294117647058, 0.7372549019607844, 1.0]),
        (0.15, [0.788235294117647, 0.7764705882352941, 0.6901960784313725, 1.0]),
        (0.2, [0.7490196078431373, 0.7372549019607844, 0.6509803921568628, 1.0]),
        (0.25, [0.7176470588235294, 0.7019607843137254, 0.6196078431372549, 1.0]),
        (0.3, [0.6823529411764706, 0.6627450980392157, 0.5843137254901961, 1.0]),
        (0.35, [0.6431372549019608, 0.6235294117647059, 0.5450980392156862, 1.0]),
        (0.4, [0.6078431372549019, 0.5843137254901961, 0.5137254901960784, 1.0]),
        (0.45, [0.5686274509803921, 0.5450980392156862, 0.4745098039215686, 1.0]),
        (0.5, [0.5372549019607843, 0.5058823529411764, 0.44313725490196076, 1.0]),
        (0.55, [0.5098039215686274, 0.4745098039215686, 0.4196078431372549, 1.0]),
        (0.6, [0.47843137254901963, 0.44313725490196076, 0.38823529411764707, 1.0]),
        (0.65, [0.4549019607843137, 0.41568627450980394, 0.3686274509803922, 1.0]),
        (0.7, [0.43529411764705883, 0.38823529411764707, 0.34901960784313724, 1.0]),
        (0.7002485828304291, [0.43529411764705883, 0.38823529411764707, 0.34901960784313724, 1.0]),
        (0.7002585828304291, [0.054902, 0.109804, 0.121569, 1.0]),
        (0.7052617892622948, [0.07451, 0.172549, 0.180392, 1.0]),
        (0.7102649956941605, [0.086275, 0.231373, 0.219608, 1.0]),
        (0.7152682021260262, [0.094118, 0.278431, 0.25098, 1.0]),
        (0.7202714085578918, [0.109804, 0.34902, 0.278431, 1.0]),
        (0.7252746149897575, [0.113725, 0.4, 0.278431, 1.0]),
        (0.7302778214216232, [0.117647, 0.45098, 0.270588, 1.0]),
        (0.7352810278534889, [0.117647, 0.490196, 0.243137, 1.0]),
        (0.7402842342853546, [0.113725, 0.521569, 0.203922, 1.0]),
        (0.7452874407172203, [0.109804, 0.54902, 0.152941, 1.0]),
        (0.750290647149086, [0.082353, 0.588235, 0.082353, 1.0]),
        (0.7552938535809517, [0.109804, 0.631373, 0.05098, 1.0]),
        (0.7602970600128174, [0.211765, 0.678431, 0.082353, 1.0]),
        (0.7653002664446831, [0.317647, 0.721569, 0.113725, 1.0]),
        (0.7703034728765488, [0.431373, 0.760784, 0.160784, 1.0]),
        (0.7753066793084145, [0.556863, 0.8, 0.239216, 1.0]),
        (0.7803098857402802, [0.666667, 0.839216, 0.294118, 1.0]),
        (0.7853130921721458, [0.784314, 0.878431, 0.396078, 1.0]),
        (0.7903162986040115, [0.886275, 0.921569, 0.533333, 1.0]),
        (0.7953195050358772, [0.960784, 0.94902, 0.670588, 1.0]),
        (0.8003227114677429, [1.0, 0.984314, 0.901961, 1.0]),
        (0.8003327114677429, [0.39215686274509803, 0.3411764705882353, 0.3058823529411765, 1.0]),
        (0.85, [0.3686274509803922, 0.3176470588235294, 0.28627450980392155, 1.0]),
        (0.9, [0.34509803921568627, 0.29411764705882354, 0.26666666666666666, 1.0]),
        (0.95, [0.3254901960784314, 0.27450980392156865, 0.24705882352941178, 1.0]),
        (1.0, [0.3058823529411765, 0.25098039215686274, 0.22745098039215686, 1.0]),
    ],
    'svc.insert-green-80-90': [
        (0.0, [0.9215686274509803, 0.9215686274509803, 0.8470588235294118, 1.0]),
        (0.05, [0.8705882352941177, 0.8705882352941177, 0.788235294117647, 1.0]),
        (0.1, [0.8274509803921568, 0.8235294117647058, 0.7372549019607844, 1.0]),
        (0.15, [0.788235294117647, 0.7764705882352941, 0.6901960784313725, 1.0]),
        (0.2, [0.7490196078431373, 0.7372549019607844, 0.6509803921568628, 1.0]),
        (0.25, [0.7176470588235294, 0.7019607843137254, 0.6196078431372549, 1.0]),
        (0.3, [0.6823529411764706, 0.6627450980392157, 0.5843137254901961, 1.0]),
        (0.35, [0.6431372549019608, 0.6235294117647059, 0.5450980392156862, 1.0]),
        (0.4, [0.6078431372549019, 0.5843137254901961, 0.5137254901960784, 1.0]),
        (0.45, [0.5686274509803921, 0.5450980392156862, 0.4745098039215686, 1.0]),
        (0.5, [0.5372549019607843, 0.5058823529411764, 0.44313725490196076, 1.0]),
        (0.55, [0.5098039215686274, 0.4745098039215686, 0.4196078431372549, 1.0]),
        (0.6, [0.47843137254901963, 0.44313725490196076, 0.38823529411764707, 1.0]),
        (0.65, [0.4549019607843137, 0.41568627450980394, 0.3686274509803922, 1.0]),
        (0.7, [0.43529411764705883, 0.38823529411764707, 0.34901960784313724, 1.0]),
        (0.75, [0.41568627450980394, 0.3686274509803922, 0.32941176470588235, 1.0]),
        (0.8, [0.39215686274509803, 0.3411764705882353, 0.30980392156862746, 1.0]),
        (0.800312711467743, [0.39215686274509803, 0.3411764705882353, 0.3058823529411765, 1.0]),
        (0.8003227114677429, [0.054902, 0.109804, 0.121569, 1.0]),
        (0.8053259193897248, [0.07451, 0.172549, 0.180392, 1.0]),
        (0.8103291273117066, [0.086275, 0.231373, 0.219608, 1.0]),
        (0.8153323352336883, [0.094118, 0.278431, 0.25098, 1.0]),
        (0.8203355431556701, [0.109804, 0.34902, 0.278431, 1.0]),
        (0.825338751077652, [0.113725, 0.4, 0.278431, 1.0]),
        (0.8303419589996338, [0.117647, 0.45098, 0.270588, 1.0]),
        (0.8353451669216156, [0.117647, 0.490196, 0.243137, 1.0]),
        (0.8403483748435974, [0.113725, 0.521569, 0.203922, 1.0]),
        (0.8453515827655792, [0.109804, 0.54902, 0.152941, 1.0]),
        (0.850354790687561, [0.082353, 0.588235, 0.082353, 1.0]),
        (0.8553579986095429, [0.109804, 0.631373, 0.05098, 1.0]),
        (0.8603612065315247, [0.211765, 0.678431, 0.082353, 1.0]),
        (0.8653644144535064, [0.317647, 0.721569, 0.113725, 1.0]),
        (0.8703676223754883, [0.431373, 0.760784, 0.160784, 1.0]),
        (0.8753708302974701, [0.556863, 0.8, 0.239216, 1.0]),
        (0.8803740382194519, [0.666667, 0.839216, 0.294118, 1.0]),
        (0.8853772461414338, [0.784314, 0.878431, 0.396078, 1.0]),
        (0.8903804540634155, [0.886275, 0.921569, 0.533333, 1.0]),
        (0.8953836619853973, [0.960784, 0.94902, 0.670588, 1.0]),
        (0.9003868699073792, [1.0, 0.984314, 0.901961, 1.0]),
        (0.9003968699073791, [0.34509803921568627, 0.29411764705882354, 0.26666666666666666, 1.0]),
        (0.95, [0.3254901960784314, 0.27450980392156865, 0.24705882352941178, 1.0]),
        (1.0, [0.3058823529411765, 0.25098039215686274, 0.22745098039215686, 1.0]),
    ],
    'svc.insert-green-90-100': [
        (0.0, [0.9215686274509803, 0.9215686274509803, 0.8470588235294118, 1.0]),
        (0.05, [0.8705882352941177, 0.8705882352941177, 0.788235294117647, 1.0]),
        (0.1, [0.8274509803921568, 0.8235294117647058, 0.7372549019607844, 1.0]),
        (0.15, [0.788235294117647, 0.7764705882352941, 0.6901960784313725, 1.0]),
        (0.2, [0.7490196078431373, 0.7372549019607844, 0.6509803921568628, 1.0]),
        (0.25, [0.7176470588235294, 0.7019607843137254, 0.6196078431372549, 1.0]),
        (0.3, [0.6823529411764706, 0.6627450980392157, 0.5843137254901961, 1.0]),
        (0.35, [0.6431372549019608, 0.6235294117647059, 0.5450980392156862, 1.0]),
        (0.4, [0.6078431372549019, 0.5843137254901961, 0.5137254901960784, 1.0]),
        (0.45, [0.5686274509803921, 0.5450980392156862, 0.4745098039215686, 1.0]),
        (0.5, [0.5372549019607843, 0.5058823529411764, 0.44313725490196076, 1.0]),
        (0.55, [0.5098039215686274, 0.4745098039215686, 0.4196078431372549, 1.0]),
        (0.6, [0.47843137254901963, 0.44313725490196076, 0.38823529411764707, 1.0]),
        (0.65, [0.4549019607843137, 0.41568627450980394, 0.3686274509803922, 1.0]),
        (0.7, [0.43529411764705883, 0.38823529411764707, 0.34901960784313724, 1.0]),
        (0.75, [0.41568627450980394, 0.3686274509803922, 0.32941176470588235, 1.0]),
        (0.8, [0.39215686274509803, 0.3411764705882353, 0.30980392156862746, 1.0]),
        (0.85, [0.3686274509803922, 0.3176470588235294, 0.28627450980392155, 1.0]),
        (0.9, [0.34509803921568627, 0.29411764705882354, 0.26666666666666666, 1.0]),
        (0.9003768699073792, [0.34509803921568627, 0.29411764705882354, 0.26666666666666666, 1.0]),
        (0.9003868699073792, [0.054902, 0.109804, 0.121569, 1.0]),
        (0.9053675264120102, [0.07451, 0.172549, 0.180392, 1.0]),
        (0.9103481829166412, [0.086275, 0.231373, 0.219608, 1.0]),
        (0.9153288394212723, [0.094118, 0.278431, 0.25098, 1.0]),
        (0.9203094959259033, [0.109804, 0.34902, 0.278431, 1.0]),
        (0.9252901524305344, [0.113725, 0.4, 0.278431, 1.0]),
        (0.9302708089351654, [0.117647, 0.45098, 0.270588, 1.0]),
        (0.9352514654397964, [0.117647, 0.490196, 0.243137, 1.0]),
        (0.9402321219444275, [0.113725, 0.521569, 0.203922, 1.0]),
        (0.9452127784490585, [0.109804, 0.54902, 0.152941, 1.0]),
        (0.9501934349536896, [0.082353, 0.588235, 0.082353, 1.0]),
        (0.9551740914583207, [0.109804, 0.631373, 0.05098, 1.0]),
        (0.9601547479629516, [0.211765, 0.678431, 0.082353, 1.0]),
        (0.9651354044675827, [0.317647, 0.721569, 0.113725, 1.0]),
        (0.9701160609722137, [0.431373, 0.760784, 0.160784, 1.0]),
        (0.9750967174768448, [0.556863, 0.8, 0.239216, 1.0]),
        (0.9800773739814759, [0.666667, 0.839216, 0.294118, 1.0]),
        (0.9850580304861069, [0.784314, 0.878431, 0.396078, 1.0]),
        (0.9900386869907379, [0.886275, 0.921569, 0.533333, 1.0]),
        (0.9950193434953689, [0.960784, 0.94902, 0.670588, 1.0]),
        (1.0, [1.0, 0.984314, 0.901961, 1.0]),
    ],
    'svc.insert-green-0-20': [
        (0.0, [0.113725490196, 0.149019607843, 0.0901960784314, 1.0]),
        (0.01, [0.176470588235, 0.239215686275, 0.121568627451, 1.0]),
        (0.02, [0.21568627451, 0.301960784314, 0.121568627451, 1.0]),
        (0.03, [0.258823529412, 0.360784313725, 0.109803921569, 1.0]),
        (0.04, [0.309803921569, 0.4, 0.113725490196, 1.0]),
        (0.05, [0.294117647059, 0.450980392157, 0.113725490196, 1.0]),
        (0.06, [0.274509803922, 0.501960784314, 0.113725490196, 1.0]),
        (0.07, [0.270588235294, 0.541176470588, 0.113725490196, 1.0]),
        (0.08, [0.250980392157, 0.580392156863, 0.109803921569, 1.0]),
        (0.09, [0.266666666667, 0.619607843137, 0.137254901961, 1.0]),
        (0.1, [0.286274509804, 0.658823529412, 0.172549019608, 1.0]),
        (0.11, [0.309803921569, 0.701960784314, 0.211764705882, 1.0]),
        (0.12, [0.388235294118, 0.741176470588, 0.250980392157, 1.0]),
        (0.13, [0.466666666667, 0.780392156863, 0.298039215686, 1.0]),
        (0.14, [0.537254901961, 0.811764705882, 0.333333333333, 1.0]),
        (0.15, [0.619607843137, 0.839215686275, 0.36862745098, 1.0]),
        (0.16, [0.717647058824, 0.870588235294, 0.450980392157, 1.0]),
        (0.17, [0.811764705882, 0.909803921569, 0.545098039216, 1.0]),
        (0.18, [0.901960784314, 0.941176470588, 0.658823529412, 1.0]),
        (0.19, [0.964705882353, 0.96862745098, 0.776470588235, 1.0]),
        (0.2, [1.0, 0.992156862745, 0.901960784314, 1.0]),
        (0.200001, [0.749019607843, 0.741176470588, 0.658823529412, 1.0]),
        (0.25, [0.701960784314, 0.690196078431, 0.607843137255, 1.0]),
        (0.3, [0.650980392157, 0.639215686275, 0.564705882353, 1.0]),
        (0.35, [0.611764705882, 0.592156862745, 0.525490196078, 1.0]),
        (0.4, [0.580392156863, 0.556862745098, 0.494117647059, 1.0]),
        (0.45, [0.541176470588, 0.513725490196, 0.454901960784, 1.0]),
        (0.5, [0.509803921569, 0.478431372549, 0.427450980392, 1.0]),
        (0.55, [0.490196078431, 0.454901960784, 0.407843137255, 1.0]),
        (0.6, [0.470588235294, 0.43137254902, 0.388235294118, 1.0]),
        (0.65, [0.450980392157, 0.407843137255, 0.36862745098, 1.0]),
        (0.7, [0.419607843137, 0.376470588235, 0.345098039216, 1.0]),
        (0.75, [0.388235294118, 0.341176470588, 0.317647058824, 1.0]),
        (0.8, [0.360784313725, 0.313725490196, 0.290196078431, 1.0]),
        (0.85, [0.329411764706, 0.282352941176, 0.266666666667, 1.0]),
        (0.9, [0.301960784314, 0.250980392157, 0.239215686275, 1.0]),
        (0.95, [0.250980392157, 0.203921568627, 0.2, 1.0]),
        (1.0, [0.219607843137, 0.180392156863, 0.176470588235, 1.0]),
    ],
    'svc.insert-green-20-40': [
        (0.0, [0.941176470588, 0.941176470588, 0.894117647059, 1.0]),
        (0.05, [0.878431372549, 0.878431372549, 0.807843137255, 1.0]),
        (0.1, [0.819607843137, 0.819607843137, 0.737254901961, 1.0]),
        (0.15, [0.788235294118, 0.78431372549, 0.701960784314, 1.0]),
        (0.199999, [0.749019607843, 0.741176470588, 0.658823529412, 1.0]),
        (0.2, [0.113725490196, 0.149019607843, 0.0901960784314, 1.0]),
        (0.21, [0.176470588235, 0.239215686275, 0.121568627451, 1.0]),
        (0.22, [0.21568627451, 0.301960784314, 0.121568627451, 1.0]),
        (0.23, [0.258823529412, 0.360784313725, 0.109803921569, 1.0]),
        (0.24, [0.309803921569, 0.4, 0.113725490196, 1.0]),
        (0.25, [0.294117647059, 0.450980392157, 0.113725490196, 1.0]),
        (0.26, [0.274509803922, 0.501960784314, 0.113725490196, 1.0]),
        (0.27, [0.270588235294, 0.541176470588, 0.113725490196, 1.0]),
        (0.28, [0.250980392157, 0.580392156863, 0.109803921569, 1.0]),
        (0.29, [0.266666666667, 0.619607843137, 0.137254901961, 1.0]),
        (0.3, [0.286274509804, 0.658823529412, 0.172549019608, 1.0]),
        (0.31, [0.309803921569, 0.701960784314, 0.211764705882, 1.0]),
        (0.32, [0.388235294118, 0.741176470588, 0.250980392157, 1.0]),
        (0.33, [0.466666666667, 0.780392156863, 0.298039215686, 1.0]),
        (0.34, [0.537254901961, 0.811764705882, 0.333333333333, 1.0]),
        (0.35, [0.619607843137, 0.839215686275, 0.36862745098, 1.0]),
        (0.36, [0.717647058824, 0.870588235294, 0.450980392157, 1.0]),
        (0.37, [0.811764705882, 0.909803921569, 0.545098039216, 1.0]),
        (0.38, [0.901960784314, 0.941176470588, 0.658823529412, 1.0]),
        (0.39, [0.964705882353, 0.96862745098, 0.776470588235, 1.0]),
        (0.4, [1.0, 0.992156862745, 0.901960784314, 1.0]),
        (0.400001, [0.580392156863, 0.556862745098, 0.494117647059, 1.0]),
        (0.45, [0.541176470588, 0.513725490196, 0.454901960784, 1.0]),
        (0.5, [0.509803921569, 0.478431372549, 0.427450980392, 1.0]),
        (0.55, [0.490196078431, 0.454901960784, 0.407843137255, 1.0]),
        (0.6, [0.470588235294, 0.43137254902, 0.388235294118, 1.0]),
        (0.65, [0.450980392157, 0.407843137255, 0.36862745098, 1.0]),
        (0.7, [0.419607843137, 0.376470588235, 0.345098039216, 1.0]),
        (0.75, [0.388235294118, 0.341176470588, 0.317647058824, 1.0]),
        (0.8, [0.360784313725, 0.313725490196, 0.290196078431, 1.0]),
        (0.85, [0.329411764706, 0.282352941176, 0.266666666667, 1.0]),
        (0.9, [0.301960784314, 0.250980392157, 0.239215686275, 1.0]),
        (0.95, [0.250980392157, 0.203921568627, 0.2, 1.0]),
        (1.0, [0.219607843137, 0.180392156863, 0.176470588235, 1.0]),
    ],
    'svc.insert-green-40-60': [
        (0.0, [0.941176470588, 0.941176470588, 0.894117647059, 1.0]),
        (0.05, [0.878431372549, 0.878431372549, 0.807843137255, 1.0]),
        (0.1, [0.819607843137, 0.819607843137, 0.737254901961, 1.0]),
        (0.15, [0.788235294118, 0.78431372549, 0.701960784314, 1.0]),
        (0.2, [0.749019607843, 0.741176470588, 0.658823529412, 1.0]),
        (0.25, [0.701960784314, 0.690196078431, 0.607843137255, 1.0]),
        (0.3, [0.650980392157, 0.639215686275, 0.564705882353, 1.0]),
        (0.35, [0.611764705882, 0.592156862745, 0.525490196078, 1.0]),
        (0.399999, [0.580392156863, 0.556862745098, 0.494117647059, 1.0]),
        (0.4, [0.113725490196, 0.149019607843, 0.0901960784314, 1.0]),
        (0.41, [0.176470588235, 0.239215686275, 0.121568627451, 1.0]),
        (0.42, [0.21568627451, 0.301960784314, 0.121568627451, 1.0]),
        (0.43, [0.258823529412, 0.360784313725, 0.109803921569, 1.0]),
        (0.44, [0.309803921569, 0.4, 0.113725490196, 1.0]),
        (0.45, [0.294117647059, 0.450980392157, 0.113725490196, 1.0]),
        (0.46, [0.274509803922, 0.501960784314, 0.113725490196, 1.0]),
        (0.47, [0.270588235294, 0.541176470588, 0.113725490196, 1.0]),
        (0.48, [0.250980392157, 0.580392156863, 0.109803921569, 1.0]),
        (0.49, [0.266666666667, 0.619607843137, 0.137254901961, 1.0]),
        (0.5, [0.286274509804, 0.658823529412, 0.172549019608, 1.0]),
        (0.51, [0.309803921569, 0.701960784314, 0.211764705882, 1.0]),
        (0.52, [0.388235294118, 0.741176470588, 0.250980392157, 1.0]),
        (0.53, [0.466666666667, 0.780392156863, 0.298039215686, 1.0]),
        (0.54, [0.537254901961, 0.811764705882, 0.333333333333, 1.0]),
        (0.55, [0.619607843137, 0.839215686275, 0.36862745098, 1.0]),
        (0.56, [0.717647058824, 0.870588235294, 0.450980392157, 1.0]),
        (0.57, [0.811764705882, 0.909803921569, 0.545098039216, 1.0]),
        (0.58, [0.901960784314, 0.941176470588, 0.658823529412, 1.0]),
        (0.59, [0.964705882353, 0.96862745098, 0.776470588235, 1.0]),
        (0.6, [1.0, 0.992156862745, 0.901960784314, 1.0]),
        (0.600001, [0.470588235294, 0.43137254902, 0.388235294118, 1.0]),
        (0.65, [0.450980392157, 0.407843137255, 0.36862745098, 1.0]),
        (0.7, [0.419607843137, 0.376470588235, 0.345098039216, 1.0]),
        (0.75, [0.388235294118, 0.341176470588, 0.317647058824, 1.0]),
        (0.8, [0.360784313725, 0.313725490196, 0.290196078431, 1.0]),
        (0.85, [0.329411764706, 0.282352941176, 0.266666666667, 1.0]),
        (0.9, [0.301960784314, 0.250980392157, 0.239215686275, 1.0]),
        (0.95, [0.250980392157, 0.203921568627, 0.2, 1.0]),
        (1.0, [0.219607843137, 0.180392156863, 0.176470588235, 1.0]),
    ],
    'svc.insert-green-60-80': [
        (0.0, [0.941176470588, 0.941176470588, 0.894117647059, 1.0]),
        (0.05, [0.878431372549, 0.878431372549, 0.807843137255, 1.0]),
        (0.1, [0.819607843137, 0.819607843137, 0.737254901961, 1.0]),
        (0.15, [0.788235294118, 0.78431372549, 0.701960784314, 1.0]),
        (0.2, [0.749019607843, 0.741176470588, 0.658823529412, 1.0]),
        (0.25, [0.701960784314, 0.690196078431, 0.607843137255, 1.0]),
        (0.3, [0.650980392157, 0.639215686275, 0.564705882353, 1.0]),
        (0.35, [0.611764705882, 0.592156862745, 0.525490196078, 1.0]),
        (0.4, [0.580392156863, 0.556862745098, 0.494117647059, 1.0]),
        (0.45, [0.541176470588, 0.513725490196, 0.454901960784, 1.0]),
        (0.5, [0.509803921569, 0.478431372549, 0.427450980392, 1.0]),
        (0.55, [0.490196078431, 0.454901960784, 0.407843137255, 1.0]),
        (0.599999, [0.470588235294, 0.43137254902, 0.388235294118, 1.0]),
        (0.6, [0.113725490196, 0.149019607843, 0.0901960784314, 1.0]),
        (0.61, [0.176470588235, 0.239215686275, 0.121568627451, 1.0]),
        (0.62, [0.21568627451, 0.301960784314, 0.121568627451, 1.0]),
        (0.63, [0.258823529412, 0.360784313725, 0.109803921569, 1.0]),
        (0.64, [0.309803921569, 0.4, 0.113725490196, 1.0]),
        (0.65, [0.294117647059, 0.450980392157, 0.113725490196, 1.0]),
        (0.66, [0.274509803922, 0.501960784314, 0.113725490196, 1.0]),
        (0.67, [0.270588235294, 0.541176470588, 0.113725490196, 1.0]),
        (0.68, [0.250980392157, 0.580392156863, 0.109803921569, 1.0]),
        (0.69, [0.266666666667, 0.619607843137, 0.137254901961, 1.0]),
        (0.7, [0.286274509804, 0.658823529412, 0.172549019608, 1.0]),
        (0.71, [0.309803921569, 0.701960784314, 0.211764705882, 1.0]),
        (0.72, [0.388235294118, 0.741176470588, 0.250980392157, 1.0]),
        (0.73, [0.466666666667, 0.780392156863, 0.298039215686, 1.0]),
        (0.74, [0.537254901961, 0.811764705882, 0.333333333333, 1.0]),
        (0.75, [0.619607843137, 0.839215686275, 0.36862745098, 1.0]),
        (0.76, [0.717647058824, 0.870588235294, 0.450980392157, 1.0]),
        (0.77, [0.811764705882, 0.909803921569, 0.545098039216, 1.0]),
        (0.78, [0.901960784314, 0.941176470588, 0.658823529412, 1.0]),
        (0.79, [0.964705882353, 0.96862745098, 0.776470588235, 1.0]),
        (0.8, [1.0, 0.992156862745, 0.901960784314, 1.0]),
        (0.800001, [0.360784313725, 0.313725490196, 0.290196078431, 1.0]),
        (0.85, [0.329411764706, 0.282352941176, 0.266666666667, 1.0]),
        (0.9, [0.301960784314, 0.250980392157, 0.239215686275, 1.0]),
        (0.95, [0.250980392157, 0.203921568627, 0.2, 1.0]),
        (1.0, [0.219607843137, 0.180392156863, 0.176470588235, 1.0]),
    ],
    'svc.insert-green-80-100': [
        (0.0, [0.941176470588, 0.941176470588, 0.894117647059, 1.0]),
        (0.05, [0.878431372549, 0.878431372549, 0.807843137255, 1.0]),
        (0.1, [0.819607843137, 0.819607843137, 0.737254901961, 1.0]),
        (0.15, [0.788235294118, 0.78431372549, 0.701960784314, 1.0]),
        (0.2, [0.749019607843, 0.741176470588, 0.658823529412, 1.0]),
        (0.25, [0.701960784314, 0.690196078431, 0.607843137255, 1.0]),
        (0.3, [0.650980392157, 0.639215686275, 0.564705882353, 1.0]),
        (0.35, [0.611764705882, 0.592156862745, 0.525490196078, 1.0]),
        (0.4, [0.580392156863, 0.556862745098, 0.494117647059, 1.0]),
        (0.45, [0.541176470588, 0.513725490196, 0.454901960784, 1.0]),
        (0.5, [0.509803921569, 0.478431372549, 0.427450980392, 1.0]),
        (0.55, [0.490196078431, 0.454901960784, 0.407843137255, 1.0]),
        (0.6, [0.470588235294, 0.43137254902, 0.388235294118, 1.0]),
        (0.65, [0.450980392157, 0.407843137255, 0.36862745098, 1.0]),
        (0.7, [0.419607843137, 0.376470588235, 0.345098039216, 1.0]),
        (0.75, [0.388235294118, 0.341176470588, 0.317647058824, 1.0]),
        (0.799999, [0.360784313725, 0.313725490196, 0.290196078431, 1.0]),
        (0.8, [0.113725490196, 0.149019607843, 0.0901960784314, 1.0]),
        (0.81, [0.176470588235, 0.239215686275, 0.121568627451, 1.0]),
        (0.82, [0.21568627451, 0.301960784314, 0.121568627451, 1.0]),
        (0.83, [0.258823529412, 0.360784313725, 0.109803921569, 1.0]),
        (0.84, [0.309803921569, 0.4, 0.113725490196, 1.0]),
        (0.85, [0.294117647059, 0.450980392157, 0.113725490196, 1.0]),
        (0.86, [0.274509803922, 0.501960784314, 0.113725490196, 1.0]),
        (0.87, [0.270588235294, 0.541176470588, 0.113725490196, 1.0]),
        (0.88, [0.250980392157, 0.580392156863, 0.109803921569, 1.0]),
        (0.89, [0.266666666667, 0.619607843137, 0.137254901961, 1.0]),
        (0.9, [0.286274509804, 0.658823529412, 0.172549019608, 1.0]),
        (0.91, [0.309803921569, 0.701960784314, 0.211764705882, 1.0]),
        (0.92, [0.388235294118, 0.741176470588, 0.250980392157, 1.0]),
        (0.93, [0.466666666667, 0.780392156863, 0.298039215686, 1.0]),
        (0.94, [0.537254901961, 0.811764705882, 0.333333333333, 1.0]),
        (0.95, [0.619607843137, 0.839215686275, 0.36862745098, 1.0]),
        (0.96, [0.717647058824, 0.870588235294, 0.450980392157, 1.0]),
        (0.97, [0.811764705882, 0.909803921569, 0.545098039216, 1.0]),
        (0.98, [0.901960784314, 0.941176470588, 0.658823529412, 1.0]),
        (0.99, [0.964705882353, 0.96862745098, 0.776470588235, 1.0]),
        (1.0, [1.0, 0.992156862745, 0.901960784314, 1.0]),
    ],
    'svc.outlier-gray-5': [
        (0.0, [0.0, 0.188235, 0.25098, 1.0]),
        (0.0009778923309179677, [0.047059, 0.262745, 0.321569, 1.0]),
        (0.0019557846618358937, [0.094118, 0.329412, 0.380392, 1.0]),
        (0.0029336769927538614, [0.133333, 0.376471, 0.419608, 1.0]),
        (0.003911569323671836, [0.196078, 0.454902, 0.490196, 1.0]),
        (0.004889461654589804, [0.266667, 0.545098, 0.568627, 1.0]),
        (0.00586735398550773, [0.352941, 0.65098, 0.65098, 1.0]),
        (0.006776226533169442, [0.466667, 0.74902, 0.729412, 1.0]),
        (0.00752020482774006, [0.560784, 0.8, 0.764706, 1.0]),
        (0.008465259103775935, [0.701961, 0.901961, 0.858824, 1.0]),
        (0.009229342159642315, [0.825984561703371, 0.955751296838809, 0.925740559542068, 1.0]),
        (0.010013535650505986, [0.882352941176471, 0.949019607843137, 0.984313725490196, 1.0]),
        (0.010978694687837617, [0.815686274509804, 0.905882352941176, 0.96078431372549, 1.0]),
        (0.011903641365726969, [0.741176470588235, 0.83921568627451, 0.913725490196078, 1.0]),
        (0.012652966479155286, [0.67843137254902, 0.776470588235294, 0.862745098039216, 1.0]),
        (0.013610818947791557, [0.607843137254902, 0.705882352941177, 0.803921568627451, 1.0]),
        (0.014568671416427821, [0.537254901960784, 0.635294117647059, 0.745098039215686, 1.0]),
        (0.015526523885064043, [0.474509803921569, 0.568627450980392, 0.67843137254902, 1.0]),
        (0.01648437635370031, [0.415686274509804, 0.505882352941176, 0.615686274509804, 1.0]),
        (0.01744222882233653, [0.36078431372549, 0.443137254901961, 0.552941176470588, 1.0]),
        (0.018400081290972797, [0.305882352941176, 0.384313725490196, 0.490196078431373, 1.0]),
        (0.019363523399027454, [0.33756567123389, 0.409324037046617, 0.409317991422805, 1.0]),
        (0.01984736567103891, [0.356863, 0.431373, 0.431373, 1.0]),
        (0.02033631181840175, [0.380392, 0.458824, 0.454902, 1.0]),
        (0.020825257965764583, [0.407843, 0.490196, 0.47451, 1.0]),
        (0.021314204113127462, [0.427451, 0.509804, 0.490196, 1.0]),
        (0.021803150260490296, [0.447059, 0.529412, 0.501961, 1.0]),
        (0.022292096407853183, [0.466667, 0.54902, 0.513725, 1.0]),
        (0.022781042555216017, [0.486275, 0.568627, 0.52549, 1.0]),
        (0.0232699887025789, [0.505882, 0.588235, 0.541176, 1.0]),
        (0.02375893484994173, [0.52549, 0.611765, 0.552941, 1.0]),
        (0.024247880997304617, [0.54902, 0.631373, 0.568627, 1.0]),
        (0.02473682714466745, [0.564706, 0.65098, 0.580392, 1.0]),
        (0.025225773292030285, [0.588235, 0.670588, 0.596078, 1.0]),
        (0.025714719439393168, [0.607843, 0.690196, 0.607843, 1.0]),
        (0.02620366558675605, [0.639216, 0.709804, 0.631373, 1.0]),
        (0.026501688117259708, [0.662745, 0.729412, 0.65098, 1.0]),
        (0.027285880189698023, [0.741176, 0.788235, 0.717647, 1.0]),
        (0.028592868395520537, [0.886275, 0.921569, 0.854902, 1.0]),
        (0.029175985904919006, [0.949019607843137, 0.882352941176471, 0.772549019607843, 1.0]),
        (0.02977921101246395, [0.929411764705882, 0.831372549019608, 0.670588235294118, 1.0]),
        (0.030663941075634842, [0.909803921568627, 0.788235294117647, 0.592156862745098, 1.0]),
        (0.03170953050555257, [0.854901960784314, 0.709803921568627, 0.505882352941176, 1.0]),
        (0.032614368166870036, [0.8, 0.635294117647059, 0.447058823529412, 1.0]),
        (0.03502726859704986, [0.638419246134512, 0.451860266059187, 0.308394652206041, 1.0]),
        (0.0360929663343268, [0.588235294117647, 0.396078431372549, 0.266666666666667, 1.0]),
        (0.03739995383093664, [0.56078431372549, 0.36078431372549, 0.247058823529412, 1.0]),
        (0.037802104375441736, [0.611764705882353, 0.419607843137255, 0.27843137254902, 1.0]),
        (0.03864661924231962, [0.764705882352941, 0.596078431372549, 0.254901960784314, 1.0]),
        (0.03937048922953099, [0.819846890261985, 0.661246947971898, 0.291535442288565, 1.0]),
        (0.04072081601030916, [0.87843137254902, 0.733333333333333, 0.309803921568627, 1.0]),
        (0.04170276484665951, [0.894117647058824, 0.768627450980392, 0.337254901960784, 1.0]),
        (0.04268471368300981, [0.909803921568627, 0.8, 0.368627450980392, 1.0]),
        (0.04366666251936011, [0.925490196078431, 0.831372549019608, 0.403921568627451, 1.0]),
        (0.044648611355710424, [0.945098039215686, 0.866666666666667, 0.466666666666667, 1.0]),
        (0.045630560192060736, [0.956862745098039, 0.901960784313726, 0.549019607843137, 1.0]),
        (0.04661250902841104, [0.968627450980392, 0.929411764705882, 0.635294117647059, 1.0]),
        (0.04759445786476135, [0.984313725490196, 0.964705882352941, 0.737254901960784, 1.0]),
        (0.05, [0.988235, 0.988235, 0.94902, 1.0]),
        (0.0952242349715233, [0.929412, 0.929412, 0.854902, 1.0]),
        (0.14284401207828523, [0.858824, 0.858824, 0.772549, 1.0]),
        (0.19046378918504717, [0.8, 0.792157, 0.705882, 1.0]),
        (0.2380835662918091, [0.74902, 0.737255, 0.65098, 1.0]),
        (0.285703343398571, [0.701961, 0.686275, 0.603922, 1.0]),
        (0.33332312050533297, [0.65098, 0.631373, 0.552941, 1.0]),
        (0.3809428976120949, [0.6, 0.576471, 0.505882, 1.0]),
        (0.42856267471885684, [0.54902, 0.521569, 0.454902, 1.0]),
        (0.4761824518256188, [0.509804, 0.47451, 0.419608, 1.0]),
        (0.5238022289323807, [0.470588, 0.431373, 0.380392, 1.0]),
        (0.5714220060391426, [0.439216, 0.396078, 0.352941, 1.0]),
        (0.6190417831459045, [0.411765, 0.364706, 0.32549, 1.0]),
        (0.6666615602526664, [0.380392, 0.329412, 0.298039, 1.0]),
        (0.7142813373594283, [0.34902, 0.298039, 0.270588, 1.0]),
        (0.7619011144661904, [0.321569, 0.266667, 0.243137, 1.0]),
        (0.8095208915729523, [0.290196, 0.235294, 0.215686, 1.0]),
        (0.8571406686797142, [0.258824, 0.203922, 0.188235, 1.0]),
        (0.9047604457864762, [0.231373, 0.172549, 0.164706, 1.0]),
        (0.952380222893238, [0.2, 0.145098, 0.137255, 1.0]),
        (1.0, [0.180392, 0.12549, 0.121569, 1.0]),
    ],
    'svc.outlier-gray-10': [
        (0.0, [0.0, 0.188235, 0.25098, 1.0]),
        (0.0020452348936668696, [0.047059, 0.262745, 0.321569, 1.0]),
        (0.004090469787333656, [0.094118, 0.329412, 0.380392, 1.0]),
        (0.006135704681000526, [0.133333, 0.376471, 0.419608, 1.0]),
        (0.008180939574667395, [0.196078, 0.454902, 0.490196, 1.0]),
        (0.010226174468334279, [0.266667, 0.545098, 0.568627, 1.0]),
        (0.012271409362001051, [0.352941, 0.65098, 0.65098, 1.0]),
        (0.014172291278754287, [0.466667, 0.74902, 0.729412, 1.0]),
        (0.01572830140387535, [0.560784, 0.8, 0.764706, 1.0]),
        (0.017704856409622494, [0.701961, 0.901961, 0.858824, 1.0]),
        (0.019302915089610878, [0.825984561703371, 0.955751296838809, 0.925740559542068, 1.0]),
        (0.020943034190857163, [0.882352941176471, 0.949019607843137, 0.984313725490196, 1.0]),
        (0.022961637751471614, [0.815686274509804, 0.905882352941176, 0.96078431372549, 1.0]),
        (0.024896138269156154, [0.741176470588235, 0.83921568627451, 0.913725490196078, 1.0]),
        (0.026463331118747116, [0.67843137254902, 0.776470588235294, 0.862745098039216, 1.0]),
        (0.028466653192048233, [0.607843137254902, 0.705882352941177, 0.803921568627451, 1.0]),
        (0.03046997526534935, [0.537254901960784, 0.635294117647059, 0.745098039215686, 1.0]),
        (0.03247329733865037, [0.474509803921569, 0.568627450980392, 0.67843137254902, 1.0]),
        (0.03447661941195149, [0.415686274509804, 0.505882352941176, 0.615686274509804, 1.0]),
        (0.03647994148525249, [0.36078431372549, 0.443137254901961, 0.552941176470588, 1.0]),
        (0.03848326355855361, [0.305882352941176, 0.384313725490196, 0.490196078431373, 1.0]),
        (0.040498276208843685, [0.33756567123389, 0.409324037046617, 0.409317991422805, 1.0]),
        (0.04151021900301608, [0.356863, 0.431373, 0.431373, 1.0]),
        (0.04253283641200192, [0.380392, 0.458824, 0.454902, 1.0]),
        (0.04355545382098776, [0.407843, 0.490196, 0.47451, 1.0]),
        (0.04457807122997369, [0.427451, 0.509804, 0.490196, 1.0]),
        (0.045600688638959525, [0.447059, 0.529412, 0.501961, 1.0]),
        (0.04662330604794547, [0.466667, 0.54902, 0.513725, 1.0]),
        (0.047645923456931305, [0.486275, 0.568627, 0.52549, 1.0]),
        (0.04866854086591724, [0.505882, 0.588235, 0.541176, 1.0]),
        (0.04969115827490307, [0.52549, 0.611765, 0.552941, 1.0]),
        (0.05071377568388901, [0.54902, 0.631373, 0.568627, 1.0]),
        (0.05173639309287485, [0.564706, 0.65098, 0.580392, 1.0]),
        (0.05275901050186068, [0.588235, 0.670588, 0.596078, 1.0]),
        (0.05378162791084662, [0.607843, 0.690196, 0.607843, 1.0]),
        (0.05480424531983256, [0.639216, 0.709804, 0.631373, 1.0]),
        (0.05542755123932249, [0.662745, 0.729412, 0.65098, 1.0]),
        (0.05706766737397118, [0.741176, 0.788235, 0.717647, 1.0]),
        (0.05980119723164986, [0.886275, 0.921569, 0.854902, 1.0]),
        (0.061020771452270174, [0.949019607843137, 0.882352941176471, 0.772549019607843, 1.0]),
        (0.062282400160952996, [0.929411764705882, 0.831372549019608, 0.670588235294118, 1.0]),
        (0.06413278873591462, [0.909803921568627, 0.788235294117647, 0.592156862745098, 1.0]),
        (0.0663196102487795, [0.854901960784314, 0.709803921568627, 0.505882352941176, 1.0]),
        (0.06821205331180383, [0.8, 0.635294117647059, 0.447058823529412, 1.0]),
        (0.07325856814653521, [0.638419246134512, 0.451860266059187, 0.308394652206041, 1.0]),
        (0.07548744563076151, [0.588235294117647, 0.396078431372549, 0.266666666666667, 1.0]),
        (0.07822097400514139, [0.56078431372549, 0.36078431372549, 0.247058823529412, 1.0]),
        (0.07906206079979583, [0.611764705882353, 0.419607843137255, 0.27843137254902, 1.0]),
        (0.08082834039863235, [0.764705882352941, 0.596078431372549, 0.254901960784314, 1.0]),
        (0.0823422945523919, [0.819846890261985, 0.661246947971898, 0.291535442288565, 1.0]),
        (0.08516646584669776, [0.87843137254902, 0.733333333333333, 0.309803921568627, 1.0]),
        (0.0872201848098213, [0.894117647058824, 0.768627450980392, 0.337254901960784, 1.0]),
        (0.08927390377294472, [0.909803921568627, 0.8, 0.368627450980392, 1.0]),
        (0.09132762273606818, [0.925490196078431, 0.831372549019608, 0.403921568627451, 1.0]),
        (0.09338134169919163, [0.945098039215686, 0.866666666666667, 0.466666666666667, 1.0]),
        (0.0954350606623151, [0.956862745098039, 0.901960784313726, 0.549019607843137, 1.0]),
        (0.09748877962543855, [0.968627450980392, 0.929411764705882, 0.635294117647059, 1.0]),
        (0.09954249858856201, [0.984313725490196, 0.964705882352941, 0.737254901960784, 1.0]),
        (0.1, [0.988235, 0.988235, 0.94902, 1.0]),
        (0.1445748736591339, [0.929412, 0.929412, 0.854902, 1.0]),
        (0.18959724872970582, [0.858824, 0.858824, 0.772549, 1.0]),
        (0.23461962380027773, [0.8, 0.792157, 0.705882, 1.0]),
        (0.2796419988708496, [0.74902, 0.737255, 0.65098, 1.0]),
        (0.3246643739414215, [0.701961, 0.686275, 0.603922, 1.0]),
        (0.36968674901199344, [0.65098, 0.631373, 0.552941, 1.0]),
        (0.41470912408256533, [0.6, 0.576471, 0.505882, 1.0]),
        (0.45973149915313727, [0.54902, 0.521569, 0.454902, 1.0]),
        (0.5047538742237091, [0.509804, 0.47451, 0.419608, 1.0]),
        (0.549776249294281, [0.470588, 0.431373, 0.380392, 1.0]),
        (0.594798624364853, [0.439216, 0.396078, 0.352941, 1.0]),
        (0.6398209994354248, [0.411765, 0.364706, 0.32549, 1.0]),
        (0.6848433745059967, [0.380392, 0.329412, 0.298039, 1.0]),
        (0.7298657495765686, [0.34902, 0.298039, 0.270588, 1.0]),
        (0.7748881246471405, [0.321569, 0.266667, 0.243137, 1.0]),
        (0.8199104997177125, [0.290196, 0.235294, 0.215686, 1.0]),
        (0.8649328747882843, [0.258824, 0.203922, 0.188235, 1.0]),
        (0.9099552498588562, [0.231373, 0.172549, 0.164706, 1.0]),
        (0.9549776249294281, [0.2, 0.145098, 0.137255, 1.0]),
        (1.0, [0.180392, 0.12549, 0.121569, 1.0]),
    ],
    'svc.outlier-gray-15': [
        (0.0, [0.0, 0.188235, 0.25098, 1.0]),
        (0.0030398046147776525, [0.047059, 0.262745, 0.321569, 1.0]),
        (0.006079609229555166, [0.094118, 0.329412, 0.380392, 1.0]),
        (0.009119413844332847, [0.133333, 0.376471, 0.419608, 1.0]),
        (0.012159218459110499, [0.196078, 0.454902, 0.490196, 1.0]),
        (0.01519902307388818, [0.266667, 0.545098, 0.568627, 1.0]),
        (0.018238827688665693, [0.352941, 0.65098, 0.65098, 1.0]),
        (0.0210640824506427, [0.466667, 0.74902, 0.729412, 1.0]),
        (0.023376758991430407, [0.560784, 0.8, 0.764706, 1.0]),
        (0.026314485629303164, [0.701961, 0.901961, 0.858824, 1.0]),
        (0.028689658361372466, [0.825984561703371, 0.955751296838809, 0.925740559542068, 1.0]),
        (0.031127344921577177, [0.882352941176471, 0.949019607843137, 0.984313725490196, 1.0]),
        (0.03412756775073153, [0.815686274509804, 0.905882352941176, 0.96078431372549, 1.0]),
        (0.037002789378895784, [0.741176470588235, 0.83921568627451, 0.913725490196078, 1.0]),
        (0.03933208664992559, [0.67843137254902, 0.776470588235294, 0.862745098039216, 1.0]),
        (0.042309596813752556, [0.607843137254902, 0.705882352941177, 0.803921568627451, 1.0]),
        (0.04528710697757951, [0.537254901960784, 0.635294117647059, 0.745098039215686, 1.0]),
        (0.04826461714140634, [0.474509803921569, 0.568627450980392, 0.67843137254902, 1.0]),
        (0.05124212730523331, [0.415686274509804, 0.505882352941176, 0.615686274509804, 1.0]),
        (0.054219637469060125, [0.36078431372549, 0.443137254901961, 0.552941176470588, 1.0]),
        (0.057197147632887094, [0.305882352941176, 0.384313725490196, 0.490196078431373, 1.0]),
        (0.06019203334120066, [0.33756567123389, 0.409324037046617, 0.409317991422805, 1.0]),
        (0.06169607005851929, [0.356863, 0.431373, 0.431373, 1.0]),
        (0.06321597230965577, [0.380392, 0.458824, 0.454902, 1.0]),
        (0.06473587456079223, [0.407843, 0.490196, 0.47451, 1.0]),
        (0.06625577681192883, [0.427451, 0.509804, 0.490196, 1.0]),
        (0.06777567906306528, [0.447059, 0.529412, 0.501961, 1.0]),
        (0.06929558131420191, [0.466667, 0.54902, 0.513725, 1.0]),
        (0.07081548356533836, [0.486275, 0.568627, 0.52549, 1.0]),
        (0.07233538581647497, [0.505882, 0.588235, 0.541176, 1.0]),
        (0.07385528806761142, [0.52549, 0.611765, 0.552941, 1.0]),
        (0.07537519031874804, [0.54902, 0.631373, 0.568627, 1.0]),
        (0.0768950925698845, [0.564706, 0.65098, 0.580392, 1.0]),
        (0.07841499482102096, [0.588235, 0.670588, 0.596078, 1.0]),
        (0.07993489707215758, [0.607843, 0.690196, 0.607843, 1.0]),
        (0.08145479932329419, [0.639216, 0.709804, 0.631373, 1.0]),
        (0.08238121037580987, [0.662745, 0.729412, 0.65098, 1.0]),
        (0.0848188925268012, [0.741176, 0.788235, 0.717647, 1.0]),
        (0.08888170052100003, [0.886275, 0.921569, 0.854902, 1.0]),
        (0.09069433698411983, [0.949019607843137, 0.882352941176471, 0.772549019607843, 1.0]),
        (0.09256947845694796, [0.929411764705882, 0.831372549019608, 0.670588235294118, 1.0]),
        (0.09531968565648169, [0.909803921568627, 0.788235294117647, 0.592156862745098, 1.0]),
        (0.09856992852447008, [0.854901960784314, 0.709803921568627, 0.505882352941176, 1.0]),
        (0.10138264073371245, [0.8, 0.635294117647059, 0.447058823529412, 1.0]),
        (0.10888320662502518, [0.638419246134512, 0.451860266059187, 0.308394652206041, 1.0]),
        (0.11219595670732876, [0.588235294117647, 0.396078431372549, 0.266666666666667, 1.0]),
        (0.11625876249692091, [0.56078431372549, 0.36078431372549, 0.247058823529412, 1.0]),
        (0.11750885828187752, [0.611764705882353, 0.419607843137255, 0.27843137254902, 1.0]),
        (0.12013405546199436, [0.764705882352941, 0.596078431372549, 0.254901960784314, 1.0]),
        (0.12238422478846671, [0.819846890261985, 0.661246947971898, 0.291535442288565, 1.0]),
        (0.12658175190867035, [0.87843137254902, 0.733333333333333, 0.309803921568627, 1.0]),
        (0.12963416627969965, [0.894117647058824, 0.768627450980392, 0.337254901960784, 1.0]),
        (0.1326865806507288, [0.909803921568627, 0.8, 0.368627450980392, 1.0]),
        (0.13573899502175796, [0.925490196078431, 0.831372549019608, 0.403921568627451, 1.0]),
        (0.1387914093927871, [0.945098039215686, 0.866666666666667, 0.466666666666667, 1.0]),
        (0.1418438237638163, [0.956862745098039, 0.901960784313726, 0.549019607843137, 1.0]),
        (0.14489623813484545, [0.968627450980392, 0.929411764705882, 0.635294117647059, 1.0]),
        (0.14794865250587463, [0.984313725490196, 0.964705882352941, 0.737254901960784, 1.0]),
        (0.15, [0.988235, 0.988235, 0.94902, 1.0]),
        (0.19056071988058093, [0.929412, 0.929412, 0.854902, 1.0]),
        (0.2331627872552872, [0.858824, 0.858824, 0.772549, 1.0]),
        (0.27576485462999345, [0.8, 0.792157, 0.705882, 1.0]),
        (0.31836692200469974, [0.74902, 0.737255, 0.65098, 1.0]),
        (0.360968989379406, [0.701961, 0.686275, 0.603922, 1.0]),
        (0.40357105675411226, [0.65098, 0.631373, 0.552941, 1.0]),
        (0.44617312412881854, [0.6, 0.576471, 0.505882, 1.0]),
        (0.48877519150352483, [0.54902, 0.521569, 0.454902, 1.0]),
        (0.5313772588782311, [0.509804, 0.47451, 0.419608, 1.0]),
        (0.5739793262529373, [0.470588, 0.431373, 0.380392, 1.0]),
        (0.6165813936276436, [0.439216, 0.396078, 0.352941, 1.0]),
        (0.6591834610023499, [0.411765, 0.364706, 0.32549, 1.0]),
        (0.7017855283770562, [0.380392, 0.329412, 0.298039, 1.0]),
        (0.7443875957517625, [0.34902, 0.298039, 0.270588, 1.0]),
        (0.7869896631264688, [0.321569, 0.266667, 0.243137, 1.0]),
        (0.8295917305011751, [0.290196, 0.235294, 0.215686, 1.0]),
        (0.8721937978758811, [0.258824, 0.203922, 0.188235, 1.0]),
        (0.9147958652505874, [0.231373, 0.172549, 0.164706, 1.0]),
        (0.9573979326252937, [0.2, 0.145098, 0.137255, 1.0]),
        (1.0, [0.180392, 0.12549, 0.121569, 1.0]),
    ],
    'svc.outlier-gray-20': [
        (0.0, [0.0, 0.188235, 0.25098, 1.0]),
        (0.0041071471775265544, [0.047059, 0.262745, 0.321569, 1.0]),
        (0.008214294355052942, [0.094118, 0.329412, 0.380392, 1.0]),
        (0.012321441532579497, [0.133333, 0.376471, 0.419608, 1.0]),
        (0.01642858871010608, [0.196078, 0.454902, 0.490196, 1.0]),
        (0.020535735887632633, [0.266667, 0.545098, 0.568627, 1.0]),
        (0.024642883065158994, [0.352941, 0.65098, 0.65098, 1.0]),
        (0.028460147196227553, [0.466667, 0.74902, 0.729412, 1.0]),
        (0.031584855567565684, [0.560784, 0.8, 0.764706, 1.0]),
        (0.03555408293514972, [0.701961, 0.901961, 0.858824, 1.0]),
        (0.038763231291341016, [0.825984561703371, 0.955751296838809, 0.925740559542068, 1.0]),
        (0.04205684346192834, [0.882352941176471, 0.949019607843137, 0.984313725490196, 1.0]),
        (0.04611051081436551, [0.815686274509804, 0.905882352941176, 0.96078431372549, 1.0]),
        (0.04999528628232497, [0.741176470588235, 0.83921568627451, 0.913725490196078, 1.0]),
        (0.05314245128951742, [0.67843137254902, 0.776470588235294, 0.862745098039216, 1.0]),
        (0.057165431058009225, [0.607843137254902, 0.705882352941177, 0.803921568627451, 1.0]),
        (0.06118841082650103, [0.537254901960784, 0.635294117647059, 0.745098039215686, 1.0]),
        (0.06521139059499267, [0.474509803921569, 0.568627450980392, 0.67843137254902, 1.0]),
        (0.06923437036348448, [0.415686274509804, 0.505882352941176, 0.615686274509804, 1.0]),
        (0.0732573501319761, [0.36078431372549, 0.443137254901961, 0.552941176470588, 1.0]),
        (0.0772803299004679, [0.305882352941176, 0.384313725490196, 0.490196078431373, 1.0]),
        (0.08132678615101689, [0.33756567123389, 0.409324037046617, 0.409317991422805, 1.0]),
        (0.08335892339049647, [0.356863, 0.431373, 0.431373, 1.0]),
        (0.08541249690325595, [0.380392, 0.458824, 0.454902, 1.0]),
        (0.0874660704160154, [0.407843, 0.490196, 0.47451, 1.0]),
        (0.08951964392877505, [0.427451, 0.509804, 0.490196, 1.0]),
        (0.09157321744153452, [0.447059, 0.529412, 0.501961, 1.0]),
        (0.0936267909542942, [0.466667, 0.54902, 0.513725, 1.0]),
        (0.09568036446705365, [0.486275, 0.568627, 0.52549, 1.0]),
        (0.0977339379798133, [0.505882, 0.588235, 0.541176, 1.0]),
        (0.09978751149257277, [0.52549, 0.611765, 0.552941, 1.0]),
        (0.10184108500533244, [0.54902, 0.631373, 0.568627, 1.0]),
        (0.1038946585180919, [0.564706, 0.65098, 0.580392, 1.0]),
        (0.10594823203085137, [0.588235, 0.670588, 0.596078, 1.0]),
        (0.10800180554361102, [0.607843, 0.690196, 0.607843, 1.0]),
        (0.1100553790563707, [0.639216, 0.709804, 0.631373, 1.0]),
        (0.11130707349787265, [0.662745, 0.729412, 0.65098, 1.0]),
        (0.11460067971107436, [0.741176, 0.788235, 0.717647, 1.0]),
        (0.12009002935712935, [0.886275, 0.921569, 0.854902, 1.0]),
        (0.12253912253147099, [0.949019607843137, 0.882352941176471, 0.772549019607843, 1.0]),
        (0.125072667605437, [0.929411764705882, 0.831372549019608, 0.670588235294118, 1.0]),
        (0.12878853331676146, [0.909803921568627, 0.788235294117647, 0.592156862745098, 1.0]),
        (0.133180008267697, [0.854901960784314, 0.709803921568627, 0.505882352941176, 1.0]),
        (0.13698032587864623, [0.8, 0.635294117647059, 0.447058823529412, 1.0]),
        (0.14711450617451052, [0.638419246134512, 0.451860266059187, 0.308394652206041, 1.0]),
        (0.15159043600376348, [0.588235294117647, 0.396078431372549, 0.266666666666667, 1.0]),
        (0.15707978267112566, [0.56078431372549, 0.36078431372549, 0.247058823529412, 1.0]),
        (0.1587688147062316, [0.611764705882353, 0.419607843137255, 0.27843137254902, 1.0]),
        (0.1623157766183071, [0.764705882352941, 0.596078431372549, 0.254901960784314, 1.0]),
        (0.16535603011132763, [0.819846890261985, 0.661246947971898, 0.291535442288565, 1.0]),
        (0.17102740174505895, [0.87843137254902, 0.733333333333333, 0.309803921568627, 1.0]),
        (0.17515158624286142, [0.894117647058824, 0.768627450980392, 0.337254901960784, 1.0]),
        (0.1792757707406637, [0.909803921568627, 0.8, 0.368627450980392, 1.0]),
        (0.183399955238466, [0.925490196078431, 0.831372549019608, 0.403921568627451, 1.0]),
        (0.18752413973626833, [0.945098039215686, 0.866666666666667, 0.466666666666667, 1.0]),
        (0.19164832423407066, [0.956862745098039, 0.901960784313726, 0.549019607843137, 1.0]),
        (0.19577250873187296, [0.968627450980392, 0.929411764705882, 0.635294117647059, 1.0]),
        (0.1998966932296753, [0.984313725490196, 0.964705882352941, 0.737254901960784, 1.0]),
        (0.2, [0.988235, 0.988235, 0.94902, 1.0]),
        (0.23991135856819154, [0.929412, 0.929412, 0.854902, 1.0]),
        (0.2799160239067078, [0.858824, 0.858824, 0.772549, 1.0]),
        (0.319920689245224, [0.8, 0.792157, 0.705882, 1.0]),
        (0.35992535458374025, [0.74902, 0.737255, 0.65098, 1.0]),
        (0.3999300199222565, [0.701961, 0.686275, 0.603922, 1.0]),
        (0.43993468526077273, [0.65098, 0.631373, 0.552941, 1.0]),
        (0.47993935059928894, [0.6, 0.576471, 0.505882, 1.0]),
        (0.5199440159378053, [0.54902, 0.521569, 0.454902, 1.0]),
        (0.5599486812763215, [0.509804, 0.47451, 0.419608, 1.0]),
        (0.5999533466148377, [0.470588, 0.431373, 0.380392, 1.0]),
        (0.6399580119533539, [0.439216, 0.396078, 0.352941, 1.0]),
        (0.6799626772918701, [0.411765, 0.364706, 0.32549, 1.0]),
        (0.7199673426303863, [0.380392, 0.329412, 0.298039, 1.0]),
        (0.7599720079689025, [0.34902, 0.298039, 0.270588, 1.0]),
        (0.799976673307419, [0.321569, 0.266667, 0.243137, 1.0]),
        (0.8399813386459352, [0.290196, 0.235294, 0.215686, 1.0]),
        (0.8799860039844514, [0.258824, 0.203922, 0.188235, 1.0]),
        (0.9199906693229676, [0.231373, 0.172549, 0.164706, 1.0]),
        (0.9599953346614838, [0.2, 0.145098, 0.137255, 1.0]),
        (1.0, [0.180392, 0.12549, 0.121569, 1.0]),
    ],
    'svc.outlier-gray-25': [
        (0.0, [0.0, 0.188235, 0.25098, 1.0]),
        (0.005125974308407083, [0.047059, 0.262745, 0.321569, 1.0]),
        (0.010251948616813944, [0.094118, 0.329412, 0.380392, 1.0]),
        (0.015377922925221027, [0.133333, 0.376471, 0.419608, 1.0]),
        (0.02050389723362811, [0.196078, 0.454902, 0.490196, 1.0]),
        (0.025629871542035193, [0.266667, 0.545098, 0.568627, 1.0]),
        (0.030755845850442054, [0.352941, 0.65098, 0.65098, 1.0]),
        (0.035520028144986754, [0.466667, 0.74902, 0.729412, 1.0]),
        (0.03941985791499997, [0.560784, 0.8, 0.764706, 1.0]),
        (0.04437369974998262, [0.701961, 0.901961, 0.858824, 1.0]),
        (0.048378915856119364, [0.825984561703371, 0.955751296838809, 0.925740559542068, 1.0]),
        (0.05248954803912648, [0.882352941176471, 0.949019607843137, 0.984313725490196, 1.0]),
        (0.05754877621023263, [0.815686274509804, 0.905882352941176, 0.96078431372549, 1.0]),
        (0.06239721683871835, [0.741176470588235, 0.83921568627451, 0.913725490196078, 1.0]),
        (0.06632507388252207, [0.67843137254902, 0.776470588235294, 0.862745098039216, 1.0]),
        (0.07134600204632591, [0.607843137254902, 0.705882352941177, 0.803921568627451, 1.0]),
        (0.07636693021012972, [0.537254901960784, 0.635294117647059, 0.745098039215686, 1.0]),
        (0.08138785837393334, [0.474509803921569, 0.568627450980392, 0.67843137254902, 1.0]),
        (0.08640878653773715, [0.415686274509804, 0.505882352941176, 0.615686274509804, 1.0]),
        (0.09142971470154074, [0.36078431372549, 0.443137254901961, 0.552941176470588, 1.0]),
        (0.09645064286534455, [0.305882352941176, 0.384313725490196, 0.490196078431373, 1.0]),
        (0.10150087113422748, [0.33756567123389, 0.409324037046617, 0.409317991422805, 1.0]),
        (0.10403710439553535, [0.356863, 0.431373, 0.431373, 1.0]),
        (0.10660009145488142, [0.380392, 0.458824, 0.454902, 1.0]),
        (0.10916307851422749, [0.407843, 0.490196, 0.47451, 1.0]),
        (0.11172606557357379, [0.427451, 0.509804, 0.490196, 1.0]),
        (0.11428905263291986, [0.447059, 0.529412, 0.501961, 1.0]),
        (0.11685203969226618, [0.466667, 0.54902, 0.513725, 1.0]),
        (0.11941502675161225, [0.486275, 0.568627, 0.52549, 1.0]),
        (0.12197801381095855, [0.505882, 0.588235, 0.541176, 1.0]),
        (0.12454100087030462, [0.52549, 0.611765, 0.552941, 1.0]),
        (0.12710398792965094, [0.54902, 0.631373, 0.568627, 1.0]),
        (0.129666974988997, [0.564706, 0.65098, 0.580392, 1.0]),
        (0.13222996204834309, [0.588235, 0.670588, 0.596078, 1.0]),
        (0.13479294910768938, [0.607843, 0.690196, 0.607843, 1.0]),
        (0.1373559361670357, [0.639216, 0.709804, 0.631373, 1.0]),
        (0.1389181284313458, [0.662745, 0.729412, 0.65098, 1.0]),
        (0.1430287531791663, [0.741176, 0.788235, 0.717647, 1.0]),
        (0.14987980186072028, [0.886275, 0.921569, 0.854902, 1.0]),
        (0.1529364219787582, [0.949019607843137, 0.882352941176471, 0.772549019607843, 1.0]),
        (0.1560984433032928, [0.929411764705882, 0.831372549019608, 0.670588235294118, 1.0]),
        (0.1607360740835978, [0.909803921568627, 0.788235294117647, 0.592156862745098, 1.0]),
        (0.16621690708069176, [0.854901960784314, 0.709803921568627, 0.505882352941176, 1.0]),
        (0.17095993906749393, [0.8, 0.635294117647059, 0.447058823529412, 1.0]),
        (0.18360802436563267, [0.638419246134512, 0.451860266059187, 0.308394652206041, 1.0]),
        (0.18919426228681685, [0.588235294117647, 0.396078431372549, 0.266666666666667, 1.0]),
        (0.1960453072507775, [0.56078431372549, 0.36078431372549, 0.247058823529412, 1.0]),
        (0.19815332394552954, [0.611764705882353, 0.419607843137255, 0.27843137254902, 1.0]),
        (0.20258015231284088, [0.764705882352941, 0.596078431372549, 0.254901960784314, 1.0]),
        (0.20637457715876362, [0.819846890261985, 0.661246947971898, 0.291535442288565, 1.0]),
        (0.21345280056575705, [0.87843137254902, 0.733333333333333, 0.309803921568627, 1.0]),
        (0.21860003850613144, [0.894117647058824, 0.768627450980392, 0.337254901960784, 1.0]),
        (0.22374727644650558, [0.909803921568627, 0.8, 0.368627450980392, 1.0]),
        (0.22889451438687972, [0.925490196078431, 0.831372549019608, 0.403921568627451, 1.0]),
        (0.2340417523272539, [0.945098039215686, 0.866666666666667, 0.466666666666667, 1.0]),
        (0.2391889902676281, [0.956862745098039, 0.901960784313726, 0.549019607843137, 1.0]),
        (0.24433622820800227, [0.968627450980392, 0.929411764705882, 0.635294117647059, 1.0]),
        (0.24948346614837646, [0.984313725490196, 0.964705882352941, 0.737254901960784, 1.0]),
        (0.25, [0.988235, 0.988235, 0.94902, 1.0]),
        (0.28701879284095766, [0.929412, 0.929412, 0.854902, 1.0]),
        (0.32454411953353884, [0.858824, 0.858824, 0.772549, 1.0]),
        (0.36206944622612003, [0.8, 0.792157, 0.705882, 1.0]),
        (0.3995947729187012, [0.74902, 0.737255, 0.65098, 1.0]),
        (0.4371200996112824, [0.701961, 0.686275, 0.603922, 1.0]),
        (0.4746454263038635, [0.65098, 0.631373, 0.552941, 1.0]),
        (0.5121707529964448, [0.6, 0.576471, 0.505882, 1.0]),
        (0.549696079689026, [0.54902, 0.521569, 0.454902, 1.0]),
        (0.587221406381607, [0.509804, 0.47451, 0.419608, 1.0]),
        (0.6247467330741883, [0.470588, 0.431373, 0.380392, 1.0]),
        (0.6622720597667695, [0.439216, 0.396078, 0.352941, 1.0]),
        (0.6997973864593505, [0.411765, 0.364706, 0.32549, 1.0]),
        (0.7373227131519318, [0.380392, 0.329412, 0.298039, 1.0]),
        (0.774848039844513, [0.34902, 0.298039, 0.270588, 1.0]),
        (0.8123733665370942, [0.321569, 0.266667, 0.243137, 1.0]),
        (0.8498986932296755, [0.290196, 0.235294, 0.215686, 1.0]),
        (0.8874240199222565, [0.258824, 0.203922, 0.188235, 1.0]),
        (0.9249493466148377, [0.231373, 0.172549, 0.164706, 1.0]),
        (0.9624746733074188, [0.2, 0.145098, 0.137255, 1.0]),
        (1.0, [0.180392, 0.12549, 0.121569, 1.0]),
    ],
    'svc.outlier-green-blue': [
        (0.0, [0.180392156863, 0.2, 0.164705882353, 1.0]),
        (0.011, [0.219607843137, 0.290196078431, 0.152941176471, 1.0]),
        (0.022, [0.254901960784, 0.349019607843, 0.121568627451, 1.0]),
        (0.033, [0.305882352941, 0.4, 0.121568627451, 1.0]),
        (0.044, [0.349019607843, 0.450980392157, 0.125490196078, 1.0]),
        (0.055, [0.329411764706, 0.501960784314, 0.133333333333, 1.0]),
        (0.066, [0.313725490196, 0.549019607843, 0.141176470588, 1.0]),
        (0.077, [0.294117647059, 0.6, 0.149019607843, 1.0]),
        (0.088, [0.317647058824, 0.650980392157, 0.176470588235, 1.0]),
        (0.099, [0.341176470588, 0.701960784314, 0.211764705882, 1.0]),
        (0.11, [0.360784313725, 0.749019607843, 0.239215686275, 1.0]),
        (0.121, [0.380392156863, 0.788235294118, 0.278431372549, 1.0]),
        (0.132, [0.474509803922, 0.83137254902, 0.333333333333, 1.0]),
        (0.143, [0.560784313725, 0.870588235294, 0.392156862745, 1.0]),
        (0.154, [0.650980392157, 0.909803921569, 0.454901960784, 1.0]),
        (0.165, [0.733333333333, 0.929411764706, 0.509803921569, 1.0]),
        (0.176, [0.811764705882, 0.949019607843, 0.56862745098, 1.0]),
        (0.187, [0.878431372549, 0.96862745098, 0.63137254902, 1.0]),
        (0.198, [0.949019607843, 0.988235294118, 0.694117647059, 1.0]),
        (0.199999, [0.956862745098, 0.992156862745, 0.713725490196, 1.0]),
        (0.2, [0.964705882353, 0.988235294118, 0.941176470588, 1.0]),
        (0.23, [0.894117647059, 0.960784313725, 0.843137254902, 1.0]),
        (0.26, [0.796078431373, 0.921568627451, 0.752941176471, 1.0]),
        (0.29, [0.749019607843, 0.890196078431, 0.721568627451, 1.0]),
        (0.32, [0.694117647059, 0.850980392157, 0.678431372549, 1.0]),
        (0.35, [0.647058823529, 0.819607843137, 0.647058823529, 1.0]),
        (0.38, [0.607843137255, 0.780392156863, 0.623529411765, 1.0]),
        (0.41, [0.560784313725, 0.741176470588, 0.592156862745, 1.0]),
        (0.44, [0.517647058824, 0.701960784314, 0.564705882353, 1.0]),
        (0.47, [0.466666666667, 0.658823529412, 0.533333333333, 1.0]),
        (0.499999, [0.407843137255, 0.588235294118, 0.482352941176, 1.0]),
        (0.5, [0.4, 0.482352941176, 0.580392156863, 1.0]),
        (0.53, [0.466666666667, 0.560784313725, 0.658823529412, 1.0]),
        (0.56, [0.549019607843, 0.643137254902, 0.741176470588, 1.0]),
        (0.59, [0.592156862745, 0.686274509804, 0.780392156863, 1.0]),
        (0.62, [0.639215686275, 0.737254901961, 0.819607843137, 1.0]),
        (0.65, [0.670588235294, 0.76862745098, 0.850980392157, 1.0]),
        (0.68, [0.713725490196, 0.811764705882, 0.890196078431, 1.0]),
        (0.71, [0.745098039216, 0.843137254902, 0.921568627451, 1.0]),
        (0.74, [0.780392156863, 0.878431372549, 0.949019607843, 1.0]),
        (0.77, [0.862745098039, 0.933333333333, 0.980392156863, 1.0]),
        (0.8, [0.96862745098, 0.98431372549, 0.988235294118, 1.0]),
        (0.800001, [0.909803921569, 0.988235294118, 0.976470588235, 1.0]),
        (0.804, [0.874509803922, 0.96862745098, 0.964705882353, 1.0]),
        (0.81, [0.749019607843, 0.960784313725, 0.945098039216, 1.0]),
        (0.82, [0.678431372549, 0.941176470588, 0.941176470588, 1.0]),
        (0.83, [0.541176470588, 0.874509803922, 0.901960784314, 1.0]),
        (0.84, [0.458823529412, 0.823529411765, 0.878431372549, 1.0]),
        (0.85, [0.435294117647, 0.76862745098, 0.850980392157, 1.0]),
        (0.86, [0.36862745098, 0.686274509804, 0.8, 1.0]),
        (0.87, [0.329411764706, 0.623529411765, 0.76862745098, 1.0]),
        (0.88, [0.294117647059, 0.560784313725, 0.749019607843, 1.0]),
        (0.9, [0.266666666667, 0.470588235294, 0.721568627451, 1.0]),
        (0.92, [0.207843137255, 0.407843137255, 0.690196078431, 1.0]),
        (0.94, [0.21568627451, 0.372549019608, 0.650980392157, 1.0]),
        (0.96, [0.196078431373, 0.313725490196, 0.580392156863, 1.0]),
        (0.98, [0.180392156863, 0.262745098039, 0.521568627451, 1.0]),
        (0.99, [0.125490196078, 0.18431372549, 0.470588235294, 1.0]),
        (1.0, [0.121568627451, 0.145098039216, 0.4, 1.0]),
    ],
    'svc.outlier-green-blue-2': [
        (0.0, [1.0, 0.984314, 0.901961, 1.0]),
        (0.004987770318984986, [0.960784, 0.94902, 0.670588, 1.0]),
        (0.009975540637969972, [0.886275, 0.921569, 0.533333, 1.0]),
        (0.014963310956954955, [0.784314, 0.878431, 0.396078, 1.0]),
        (0.019951081275939943, [0.666667, 0.839216, 0.294118, 1.0]),
        (0.024938851594924927, [0.556863, 0.8, 0.239216, 1.0]),
        (0.02992662191390991, [0.431373, 0.760784, 0.160784, 1.0]),
        (0.03491439223289489, [0.317647, 0.721569, 0.113725, 1.0]),
        (0.03990216255187989, [0.211765, 0.678431, 0.082353, 1.0]),
        (0.04488993287086487, [0.109804, 0.631373, 0.05098, 1.0]),
        (0.049877703189849854, [0.082353, 0.588235, 0.082353, 1.0]),
        (0.05486547350883484, [0.109804, 0.54902, 0.152941, 1.0]),
        (0.05985324382781982, [0.113725, 0.521569, 0.203922, 1.0]),
        (0.0648410141468048, [0.117647, 0.490196, 0.243137, 1.0]),
        (0.06982878446578979, [0.117647, 0.45098, 0.270588, 1.0]),
        (0.07481655478477478, [0.113725, 0.4, 0.278431, 1.0]),
        (0.07980432510375977, [0.109804, 0.34902, 0.278431, 1.0]),
        (0.08479209542274475, [0.094118, 0.278431, 0.25098, 1.0]),
        (0.08977986574172973, [0.086275, 0.231373, 0.219608, 1.0]),
        (0.09476763606071471, [0.07451, 0.172549, 0.180392, 1.0]),
        (0.09975540637969971, [0.054902, 0.109804, 0.121569, 1.0]),
        (0.09976540637969972, [0.380392, 0.396078, 0.4, 1.0]),
        (0.11968104887388464, [0.388235, 0.419608, 0.419608, 1.0]),
        (0.13959669136806951, [0.396078, 0.439216, 0.435294, 1.0]),
        (0.15951233386225444, [0.403922, 0.458824, 0.45098, 1.0]),
        (0.17942797635643926, [0.411765, 0.478431, 0.462745, 1.0]),
        (0.19934361885062418, [0.423529, 0.501961, 0.47451, 1.0]),
        (0.2192592613448091, [0.443137, 0.521569, 0.486275, 1.0]),
        (0.23917490383899398, [0.466667, 0.54902, 0.509804, 1.0]),
        (0.2590905463331789, [0.498039, 0.580392, 0.533333, 1.0]),
        (0.2790061888273637, [0.52549, 0.611765, 0.552941, 1.0]),
        (0.2989218313215487, [0.572549, 0.658824, 0.596078, 1.0]),
        (0.3188374738157336, [0.607843, 0.701961, 0.623529, 1.0]),
        (0.33875311630991845, [0.65098, 0.741176, 0.658824, 1.0]),
        (0.35866875880410337, [0.686275, 0.780392, 0.686275, 1.0]),
        (0.3785844012982883, [0.737255, 0.819608, 0.729412, 1.0]),
        (0.39850004379247317, [0.772549, 0.85098, 0.756863, 1.0]),
        (0.41841568628665804, [0.823529, 0.890196, 0.8, 1.0]),
        (0.43833132878084297, [0.866667, 0.921569, 0.835294, 1.0]),
        (0.45824697127502784, [0.905882, 0.94902, 0.87451, 1.0]),
        (0.47816261376921276, [0.945098, 0.980392, 0.909804, 1.0]),
        (0.49807825626339763, [0.976471, 1.0, 0.94902, 1.0]),
        (0.49808825626339764, [1.0, 1.0, 1.0, 1.0]),
        (0.5181873365804348, [0.882353, 0.937255, 0.980392, 1.0]),
        (0.538286416897472, [0.815686, 0.894118, 0.94902, 1.0]),
        (0.5784845775315464, [0.737255, 0.823529, 0.890196, 1.0]),
        (0.6186827381656207, [0.670588, 0.752941, 0.819608, 1.0]),
        (0.658880898799695, [0.6, 0.670588, 0.741176, 1.0]),
        (0.6990790594337695, [0.541176, 0.6, 0.658824, 1.0]),
        (0.7392772200678438, [0.482353, 0.52549, 0.580392, 1.0]),
        (0.7794753807019181, [0.435294, 0.47451, 0.521569, 1.0]),
        (0.8196735413359926, [0.411765, 0.443137, 0.478431, 1.0]),
        (0.8598717019700669, [0.396078, 0.415686, 0.439216, 1.0]),
        (0.9000698626041412, [0.380392, 0.392157, 0.4, 1.0]),
        (0.9000798626041412, [0.129412, 0.058824, 0.301961, 1.0]),
        (0.9050758694739341, [0.164706, 0.109804, 0.419608, 1.0]),
        (0.9100718763437271, [0.152941, 0.113725, 0.501961, 1.0]),
        (0.9150678832135201, [0.109804, 0.109804, 0.54902, 1.0]),
        (0.920063890083313, [0.101961, 0.133333, 0.6, 1.0]),
        (0.9250598969531059, [0.090196, 0.164706, 0.639216, 1.0]),
        (0.9300559038228988, [0.082353, 0.211765, 0.678431, 1.0]),
        (0.9350519106926918, [0.078431, 0.258824, 0.709804, 1.0]),
        (0.9400479175624847, [0.086275, 0.313725, 0.729412, 1.0]),
        (0.9550359381718636, [0.090196, 0.364706, 0.74902, 1.0]),
        (0.9600319450416565, [0.121569, 0.435294, 0.768627, 1.0]),
        (0.9650279519114494, [0.172549, 0.501961, 0.788235, 1.0]),
        (0.9700239587812424, [0.227451, 0.576471, 0.811765, 1.0]),
        (0.9750199656510353, [0.282353, 0.639216, 0.831373, 1.0]),
        (0.9800159725208283, [0.341176, 0.705882, 0.85098, 1.0]),
        (0.9850119793906212, [0.4, 0.776471, 0.870588, 1.0]),
        (0.9900079862604141, [0.478431, 0.85098, 0.901961, 1.0]),
        (0.995003993130207, [0.556863, 0.917647, 0.929412, 1.0]),
        (0.9980015972520828, [0.639216, 0.968627, 0.960784, 1.0]),
        (1.0, [0.8, 1.0, 0.984314, 1.0]),
    ],
    'svc.outlier-blue-red': [
        (0.0, [0.129412, 0.058824, 0.301961, 1.0]),
        (0.004987770318984994, [0.164706, 0.109804, 0.419608, 1.0]),
        (0.009975540637969973, [0.152941, 0.113725, 0.501961, 1.0]),
        (0.014963310956954953, [0.109804, 0.109804, 0.54902, 1.0]),
        (0.019951081275939933, [0.101961, 0.133333, 0.6, 1.0]),
        (0.024938851594924927, [0.090196, 0.164706, 0.639216, 1.0]),
        (0.02992662191390992, [0.082353, 0.211765, 0.678431, 1.0]),
        (0.0349143922328949, [0.078431, 0.258824, 0.709804, 1.0]),
        (0.03990216255187989, [0.086275, 0.313725, 0.729412, 1.0]),
        (0.05486547350883484, [0.090196, 0.364706, 0.74902, 1.0]),
        (0.05985324382781982, [0.121569, 0.435294, 0.768627, 1.0]),
        (0.06484101414680482, [0.172549, 0.501961, 0.788235, 1.0]),
        (0.0698287844657898, [0.227451, 0.576471, 0.811765, 1.0]),
        (0.07481655478477478, [0.282353, 0.639216, 0.831373, 1.0]),
        (0.07980432510375976, [0.341176, 0.705882, 0.85098, 1.0]),
        (0.08479209542274475, [0.4, 0.776471, 0.870588, 1.0]),
        (0.08977986574172973, [0.478431, 0.85098, 0.901961, 1.0]),
        (0.09476763606071473, [0.556863, 0.917647, 0.929412, 1.0]),
        (0.0977602982521057, [0.639216, 0.968627, 0.960784, 1.0]),
        (0.09975540637969971, [0.8, 1.0, 0.984314, 1.0]),
        (0.0997654063796997, [0.94902, 1.0, 0.992157, 1.0]),
        (0.1196810488738846, [0.843137, 0.980392, 0.968627, 1.0]),
        (0.13959669136806951, [0.768627, 0.960784, 0.960784, 1.0]),
        (0.1794279763564393, [0.690196, 0.890196, 0.909804, 1.0]),
        (0.21925926134480905, [0.607843, 0.792157, 0.831373, 1.0]),
        (0.2590905463331789, [0.533333, 0.701961, 0.760784, 1.0]),
        (0.29892183132154865, [0.462745, 0.619608, 0.701961, 1.0]),
        (0.33875311630991845, [0.415686, 0.556863, 0.65098, 1.0]),
        (0.37858440129828824, [0.364706, 0.490196, 0.6, 1.0]),
        (0.39850004379247317, [0.337255, 0.447059, 0.568627, 1.0]),
        (0.4184156862866581, [0.317647, 0.411765, 0.54902, 1.0]),
        (0.4383313287808429, [0.301961, 0.376471, 0.529412, 1.0]),
        (0.45824697127502784, [0.290196, 0.34902, 0.509804, 1.0]),
        (0.4781626137692127, [0.27451, 0.317647, 0.490196, 1.0]),
        (0.49807825626339763, [0.254902, 0.286275, 0.458824, 1.0]),
        (0.49808825626339764, [0.380392, 0.254902, 0.247059, 1.0]),
        (0.5181873365804348, [0.431373, 0.27451, 0.262745, 1.0]),
        (0.5382864168974719, [0.470588, 0.301961, 0.27451, 1.0]),
        (0.5583854972145093, [0.509804, 0.32549, 0.282353, 1.0]),
        (0.5784845775315464, [0.54902, 0.352941, 0.286275, 1.0]),
        (0.5985836578485835, [0.6, 0.380392, 0.294118, 1.0]),
        (0.6186827381656208, [0.631373, 0.403922, 0.290196, 1.0]),
        (0.6387818184826579, [0.658824, 0.427451, 0.282353, 1.0]),
        (0.658880898799695, [0.690196, 0.462745, 0.27451, 1.0]),
        (0.6789799791167322, [0.721569, 0.509804, 0.309804, 1.0]),
        (0.6990790594337695, [0.760784, 0.560784, 0.34902, 1.0]),
        (0.7392772200678438, [0.8, 0.647059, 0.4, 1.0]),
        (0.7794753807019181, [0.85098, 0.733333, 0.458824, 1.0]),
        (0.8196735413359926, [0.901961, 0.827451, 0.541176, 1.0]),
        (0.8598717019700669, [0.941176, 0.905882, 0.678431, 1.0]),
        (0.879970782287104, [0.968627, 0.956863, 0.796078, 1.0]),
        (0.8920302304773263, [0.980392, 0.976471, 0.862745, 1.0]),
        (0.9000698626041412, [1.0, 0.996078, 0.941176, 1.0]),
        (0.9000798626041412, [0.9882352941176471, 0.9882352941176471, 0.7529411764705882, 1.0]),
        (0.9002797028789329, [0.9882352941176471, 0.9882352941176471, 0.7490196078431373, 1.0]),
        (0.9050758694739341, [0.9803921568627451, 0.9725490196078431, 0.6705882352941176, 1.0]),
        (0.9100718763437271, [0.9803921568627451, 0.9529411764705882, 0.6, 1.0]),
        (0.91506788321352, [0.9725490196078431, 0.9215686274509803, 0.5215686274509804, 1.0]),
        (0.9200638900833129, [0.9686274509803922, 0.8823529411764706, 0.43529411764705883, 1.0]),
        (0.9250598969531059, [0.9647058823529412, 0.8392156862745098, 0.34509803921568627, 1.0]),
        (0.9300559038228988, [0.9568627450980393, 0.7843137254901961, 0.26666666666666666, 1.0]),
        (0.9350519106926918, [0.9490196078431372, 0.7254901960784313, 0.20392156862745098, 1.0]),
        (0.9400479175624847, [0.9411764705882353, 0.6705882352941176, 0.1411764705882353, 1.0]),
        (0.9450439244322777, [0.9294117647058824, 0.6039215686274509, 0.09411764705882353, 1.0]),
        (0.9500399313020705, [0.9215686274509803, 0.5490196078431373, 0.058823529411764705, 1.0]),
        (0.9550359381718635, [0.9098039215686274, 0.49411764705882355, 0.0392156862745098, 1.0]),
        (0.9600319450416565, [0.8941176470588236, 0.43137254901960786, 0.023529411764705882, 1.0]),
        (0.9650279519114494, [0.8313725490196079, 0.3411764705882353, 0.00392156862745098, 1.0]),
        (0.9700239587812424, [0.7764705882352941, 0.27058823529411763, 0.0, 1.0]),
        (0.9750199656510352, [0.7215686274509804, 0.21176470588235294, 0.00784313725490196, 1.0]),
        (0.9800159725208282, [0.6470588235294118, 0.1568627450980392, 0.01568627450980392, 1.0]),
        (0.9850119793906211, [0.5725490196078431, 0.10196078431372549, 0.027450980392156862, 1.0]),
        (0.9900079862604141, [0.4823529411764706, 0.050980392156862744, 0.0392156862745098, 1.0]),
        (0.995003993130207, [0.39215686274509803, 0.0392156862745098, 0.06274509803921569, 1.0]),
        (1.0, [0.302156862745098, 0.0282156862745098, 0.08574509803921569, 1.0]),
    ],
    'svc.outlier-blue-red-middle': [
        (0.0, [0.05578289182092277, 0.06678074306290849, 0.09050885531004388, 1.0]),
        (0.004941057855941542, [0.07501913629204074, 0.08709188110979563, 0.11223679432394049, 1.0]),
        (0.009882115711883084, [0.0896833848145113, 0.1047501498985168, 0.13485392060054907, 1.0]),
        (0.014823173567824626, [0.1045039137146467, 0.12259928871935322, 0.15804351870359984, 1.0]),
        (0.019764231423766168, [0.11957303825596649, 0.14081624821315247, 0.18174749160300446, 1.0]),
        (0.02470528927970771, [0.13488020080428603, 0.1593799437395777, 0.20593450389649293, 1.0]),
        (0.029646347135649252, [0.1504157122262435, 0.17827191825004604, 0.23057732610038795, 1.0]),
        (0.03275440931320189, [0.16030094539580325, 0.19031628637358675, 0.24630102476746973, 1.0]),
        (0.0345874049915908, [0.16489281783987478, 0.19565797030509285, 0.2524389193890202, 1.0]),
        (0.039528462847532336, [0.17736465725345635, 0.21017004782177756, 0.26910580038945137, 1.0]),
        (0.044469520703473875, [0.18997007106964317, 0.2248425825959816, 0.285945536788988, 1.0]),
        (0.04941057855941542, [0.20270499739290793, 0.23967048178735045, 0.3029529732922244, 1.0]),
        (0.054351636415356966, [0.21556564752906127, 0.25464901413665963, 0.32012329914911053, 1.0]),
        (0.059292694271298504, [0.2285484785928466, 0.2697737712254444, 0.3374520133431834, 1.0]),
        (0.06423375212724004, [0.24165016966785152, 0.28504063417973863, 0.354934894401235, 1.0]),
        (0.06550881862640379, [0.2450500397473701, 0.2890029203874818, 0.35947098044738507, 1.0]),
        (0.0691748099831816, [0.25455878130692733, 0.30000170023652467, 0.37091674127781366, 1.0]),
        (0.07411586783912313, [0.26746031288295635, 0.3149341184044549, 0.38643972930012477, 1.0]),
        (0.07905692569506467, [0.2804582931230484, 0.329987954755069, 0.4020711735865056, 1.0]),
        (0.08399798355100621, [0.2935508337811417, 0.3451603417492299, 0.41780888650294257, 1.0]),
        (0.08893904140694775, [0.30673611553075686, 0.3604485650680819, 0.43365077980730304, 1.0]),
        (0.0938800992628893, [0.32001238596300213, 0.37585005112158465, 0.44959485778119873, 1.0]),
        (0.09826322793960574, [0.3318643370068197, 0.38960527782918597, 0.46382256774689473, 1.0]),
        (0.09882115711883084, [0.33360234272126765, 0.3913911136731523, 0.4656644653081034, 1.0]),
        (0.10376221497477238, [0.3490509127201896, 0.407268974205454, 0.48203224243229464, 1.0]),
        (0.10870327283071393, [0.36460040043513564, 0.42325728577084354, 0.4984990521183526, 1.0]),
        (0.11364433068665547, [0.3802494631659394, 0.4393537924686455, 0.5150631582410472, 1.0]),
        (0.11858538854259701, [0.3959967466867229, 0.45555634368710246, 0.5317228934603316, 1.0]),
        (0.12352644639853855, [0.4118408955432995, 0.4718628865372206, 0.5484766550633895, 1.0]),
        (0.12846750425448009, [0.4277805609102658, 0.4882714590132669, 0.5653229011401562, 1.0]),
        (0.13101763725280763, [0.43604412413830024, 0.49677939831069534, 0.5740531239057944, 1.0]),
        (0.13340856211042162, [0.4420101172541295, 0.5030191236900228, 0.5801694502101011, 1.0]),
        (0.1383496199663632, [0.4543786051570183, 0.5159585637526287, 0.5928459256921591, 1.0]),
        (0.14329067782230473, [0.46679956392800465, 0.528957288628337, 0.6055711955181631, 1.0]),
        (0.14823173567824627, [0.47927249829874613, 0.542014492474388, 0.6183447137274827, 1.0]),
        (0.1531727935341878, [0.49179691469994374, 0.5551293947402923, 0.6311659482205876, 1.0]),
        (0.15811385139012935, [0.5043723223087272, 0.5683012389329115, 0.6440343802196329, 1.0]),
        (0.16305490924607088, [0.5169982339140315, 0.581529291462947, 0.6569495037570467, 1.0]),
        (0.16377204656600952, [0.518834906967575, 0.5834538185292759, 0.6588278350187438, 1.0]),
        (0.16799596710201242, [0.5290569202604798, 0.5939899282793706, 0.6693471981805935, 1.0]),
        (0.17293702495795396, [0.541055585393724, 0.6063585762066445, 0.6816909312697095, 1.0]),
        (0.1778780828138955, [0.55309823990187, 0.6187738526853654, 0.6940756722492009, 1.0]),
        (0.18281914066983707, [0.565184479753477, 0.6312352358977544, 0.7065010217989374, 1.0]),
        (0.1877601985257786, [0.5773139063915317, 0.643742217513493, 0.7189665894800722, 1.0]),
        (0.19270125638172014, [0.5894861268588283, 0.6562943021473394, 0.7314719934307193, 1.0]),
        (0.19652645587921141, [0.5989385898293319, 0.6660423679215229, 0.7411803732683192, 1.0]),
        (0.19764231423766168, [0.6017670854859747, 0.6689120970916473, 0.7438286855600903, 1.0]),
        (0.20258337209360322, [0.6143160317435695, 0.6816468828167251, 0.7555758722821252, 1.0]),
        (0.20752442994954476, [0.6269044092523849, 0.6944262317156947, 0.7673560944191368, 1.0]),
        (0.2124654878054863, [0.6395319828921926, 0.7072496778842119, 0.7791690833569612, 1.0]),
        (0.21740654566142786, [0.6521985143474844, 0.7201167667458689, 0.7910145754211219, 1.0]),
        (0.2223476035173694, [0.664903762810404, 0.7330270546207157, 0.8028923117377758, 1.0]),
        (0.22728866137331094, [0.6776474856006263, 0.7459801083161172, 0.8148020380998933, 1.0]),
        (0.22928086519241334, [0.6827965037672278, 0.7512147004299147, 0.8196129583523185, 1.0]),
        (0.23222971922925248, [0.6892691576600264, 0.7570100049906084, 0.8240819685041986, 1.0]),
        (0.23717077708519402, [0.7001264773670581, 0.7667396290467673, 0.8315787751146119, 1.0]),
        (0.24211183494113556, [0.7109988447296389, 0.7764930117286949, 0.8390863138504028, 1.0]),
        (0.2470528927970771, [0.7218865028195043, 0.7862699747539431, 0.8466045441442706, 1.0]),
        (0.25199395065301866, [0.7327896749933686, 0.7960703430377322, 0.8541334257544091, 1.0]),
        (0.25693500850896017, [0.7437085663339725, 0.8058939446010664, 0.8616729187603108, 1.0]),
        (0.26187606636490174, [0.7546433649717544, 0.8157406104824905, 0.8692229835586699, 1.0]),
        (0.26203527450561526, [0.7549959667619838, 0.8160582661961717, 0.8694664330985605, 1.0]),
        (0.26681712422084325, [0.7598138956152456, 0.8219587773675223, 0.8741269724157722, 1.0]),
        (0.2717581820767848, [0.7647971045483444, 0.8280638669191214, 0.8789471781747679, 1.0]),
        (0.2766992399327264, [0.7697852542586029, 0.8341771827826593, 0.8837719428256328, 1.0]),
        (0.2816402977886679, [0.7747783349233892, 0.8402986929194571, 0.8886012543190593, 1.0]),
        (0.28658135564460946, [0.7797763366944181, 0.8464283655688053, 0.8934351006757606, 1.0]),
        (0.29152241350055097, [0.7847792497002009, 0.8525661692444113, 0.8982734699858586, 1.0]),
        (0.29478968381881715, [0.7880820026487985, 0.8566104836994878, 0.9014695562341342, 1.0]),
        (0.29646347135649254, [0.789571394749296, 0.8592667848285692, 0.9036404511663821, 1.0]),
        (0.30140452921243405, [0.7939433161206874, 0.8670605123165346, 0.9100374969823937, 1.0]),
        (0.3063455870683756, [0.7983139816616318, 0.8748656096439634, 0.9164427637402921, 1.0]),
        (0.31116688847541807, [0.8025691399231769, 0.8824733064767788, 0.922694731797074, 1.0]),
        (0.3112866449243171, [0.8025896796727312, 0.883106863200889, 0.923030530970886, 1.0]),
        (0.3162277027802587, [0.8028944565263686, 0.9084704916652618, 0.9366527607347873, 1.0]),
        (0.32116876063620026, [0.8028079220307116, 0.9338641495139874, 0.9503000884188123, 1.0]),
        (0.32610981849214177, [0.802318986930576, 0.9592918549790027, 0.9639724294451478, 1.0]),
        (0.32754409313201904, [0.8020903279672299, 0.9666599967704455, 0.9679391810735333, 1.0]),
        (0.32755409313201905, [0.7305154635029546, 0.9826498550467143, 0.9326618126818904, 1.0]),
        (0.33105087634808333, [0.6953926843066365, 0.9736833801862107, 0.9238433389293543, 1.0]),
        (0.33599193420402484, [0.6442331857028755, 0.9608874001753872, 0.9114033684268614, 1.0]),
        (0.3361017611958813, [0.6430726649879484, 0.9606016578433384, 0.9111272710022147, 1.0]),
        (0.3409329920599664, [0.577226753919285, 0.9390100600898248, 0.9067331838369436, 1.0]),
        (0.34464942925974357, [0.5230364965092481, 0.9223865668138016, 0.9032934983510845, 1.0]),
        (0.3458740499159079, [0.5172645684603759, 0.9180934012707428, 0.9021154845619878, 1.0]),
        (0.3508151077718495, [0.4935796972056085, 0.9007519383758218, 0.8973181398145955, 1.0]),
        (0.355756165627791, [0.46929948680804884, 0.8834823553458178, 0.8924915562595547, 1.0]),
        (0.36069722348373257, [0.44431370129965947, 0.8662857341378665, 0.8876358561266534, 1.0]),
        (0.361744765387468, [0.4388924846170458, 0.8626353391916213, 0.8865968611706976, 1.0]),
        (0.36563828133967413, [0.42336829082633237, 0.8360329371101517, 0.8774550992908966, 1.0]),
        (0.37057933919561564, [0.4031721540085515, 0.8024827138650229, 0.8657870337966082, 1.0]),
        (0.3755203970515572, [0.3823774238618386, 0.769192678621898, 0.8540526910408682, 1.0]),
        (0.37884010151519254, [0.3680211826054473, 0.7469758859163713, 0.8461316908592411, 1.0]),
        (0.3804614549074987, [0.3639315535935319, 0.7370155284933584, 0.8435389026161223, 1.0]),
        (0.3854025127634403, [0.35100193832168924, 0.7067970159406406, 0.8355809552768992, 1.0]),
        (0.3903435706193818, [0.33732382405648426, 0.6767854880130207, 0.827538644622317, 1.0]),
        (0.39528462847532336, [0.3228251605004618, 0.6469846854581139, 0.8194128308017633, 1.0]),
        (0.39593543764291705, [0.3208497217528439, 0.6430753951334746, 0.8183363664175154, 1.0]),
        (0.40022568633126493, [0.3095461668765075, 0.6148230523406826, 0.802287749657354, 1.0]),
        (0.40516674418720644, [0.2960723241307917, 0.5825393149982565, 0.7838253219144271, 1.0]),
        (0.410107802043148, [0.2820689565087029, 0.5505329527639867, 0.7653849918200515, 1.0]),
        (0.41303077377064157, [0.2735141212748262, 0.5317317667077864, 0.754486674600899, 1.0]),
        (0.4150488598990895, [0.2687547469704777, 0.5211344115154767, 0.7465997200343083, 1.0]),
        (0.4199899177550311, [0.2569347399547409, 0.49533238983073663, 0.7273363533622873, 1.0]),
        (0.4249309756109726, [0.24485830172105294, 0.4697385297074436, 0.708140153054349, 1.0]),
        (0.42987203346691416, [0.23249752260152257, 0.44435670268695837, 0.6890117397802684, 1.0]),
        (0.430126109898366, [0.23185362608829646, 0.4430573354221048, 0.6880299730034116, 1.0]),
        (0.4348130913228557, [0.2202480348124196, 0.41814838028855106, 0.6652697509980676, 1.0]),
        (0.43975414917879724, [0.20783370334444612, 0.39213475600454106, 0.6414106022226995, 1.0]),
        (0.4446952070347388, [0.19521032189761928, 0.36637873729288895, 0.6176921447012956, 1.0]),
        (0.44722144602609054, [0.18866574414397347, 0.3533116607894053, 0.6056206131971102, 1.0]),
        (0.4496362648906803, [0.18396122246135224, 0.3419558784914618, 0.5935849859193927, 1.0]),
        (0.4545773227466219, [0.17423909088426526, 0.3188910728106525, 0.5690882784369107, 1.0]),
        (0.4595183806025634, [0.16437819894626365, 0.29605926226253604, 0.5447690766698058, 1.0]),
        (0.464316782153815, [0.1546561394939482, 0.27411355059182896, 0.521325514085973, 1.0]),
        (0.46445943845850496, [0.1542764767414879, 0.2732315491576792, 0.5205722836417899, 1.0]),
        (0.46940049631444647, [0.14074729963085128, 0.2428703851148873, 0.49457940423765717, 1.0]),
        (0.47434155417038804, [0.1263974607188711, 0.21286399278127632, 0.4687759619583551, 1.0]),
        (0.4792826120263296, [0.11105748314523753, 0.18318450064583114, 0.44316611087632474, 1.0]),
        (0.4814121182815395, [0.10407925626013212, 0.17048178170165007, 0.4321895357496867, 1.0]),
        (0.4842236698822711, [0.09868915572530218, 0.1517996135552843, 0.41109399322458573, 1.0]),
        (0.4891647277382127, [0.08832325948341188, 0.11914895708485163, 0.37444604932313297, 1.0]),
        (0.4941057855941542, [0.07676204186338584, 0.08645665860112842, 0.3383615756857278, 1.0]),
        (0.49850745440926403, [0.06536259535104302, 0.056713698705051045, 0.30671264938127013, 1.0]),
        (0.49851745440926404, [0.30196016915220314, 0.047078526498087185, 0.09019672332808737, 1.0]),
        (0.49904684345009576, [0.3074135480932894, 0.04684613117167797, 0.08868718469081963, 1.0]),
        (0.5039879013060373, [0.3584043894560806, 0.04307404504406669, 0.07333238235307976, 1.0]),
        (0.5068615950211678, [0.38823394627080576, 0.03925166907042783, 0.06274606369348021, 1.0]),
        (0.5089289591619788, [0.4093992039926186, 0.04213821394607687, 0.05791772794122647, 1.0]),
        (0.5138700170179203, [0.4605449694678498, 0.04911754805016213, 0.04385887510418183, 1.0]),
        (0.5152057356330715, [0.47450806263739115, 0.05102735365117086, 0.039217384046156684, 1.0]),
        (0.5188110748738619, [0.5114747643654697, 0.07199902277936968, 0.03522820283371355, 1.0]),
        (0.5235498762449753, [0.560782240361387, 0.09808071205085109, 0.027453923528551628, 1.0]),
        (0.5237521327298035, [0.5625683461085208, 0.09937753582005326, 0.027353116382921518, 1.0]),
        (0.528693190585745, [0.6065194915808025, 0.12997793021060505, 0.023339563780491058, 1.0]),
        (0.531894016856879, [0.6352917698595346, 0.14905731675218473, 0.019612671624498507, 1.0]),
        (0.5336342484416865, [0.6499123190934474, 0.15989515451509895, 0.017535775969554263, 1.0]),
        (0.5385753062976281, [0.6917158751951035, 0.19003939624443072, 0.01056794835203711, 1.0]),
        (0.5402381574687827, [0.7058797439974669, 0.2000360083710198, 0.007850504239521024, 1.0]),
        (0.5435163641535696, [0.7304448310421926, 0.22240407623117248, 0.007808636743095939, 1.0]),
        (0.5484574220095112, [0.7676803211601497, 0.2553775242024883, 0.0077166598756405755, 1.0]),
        (0.5485822980806865, [0.7686246249067412, 0.25620235217758586, 0.007713895573052855, 1.0]),
        (0.5533984798654528, [0.802711730087161, 0.2986751225901236, 0.014415302270814804, 1.0]),
        (0.5569264386925903, [0.8276980133505295, 0.32894588403364233, 0.020476755781109444, 1.0]),
        (0.5583395377213942, [0.8369669928479573, 0.34185965683571196, 0.02035193606031732, 1.0]),
        (0.5632805955773358, [0.8693329105622085, 0.38629614733012735, 0.019856895393779356, 1.0]),
        (0.565270579304494, [0.8823497333444894, 0.40395226291946634, 0.019632497791025966, 1.0]),
        (0.5682216534332774, [0.8907961076568425, 0.42788188000651123, 0.023348932305643586, 1.0]),
        (0.5731627112892189, [0.9046324847356644, 0.467076995169414, 0.030665141474585156, 1.0]),
        (0.5736147199163977, [0.9058790740727659, 0.4706172323195406, 0.03140550926794663, 1.0]),
        (0.5781037691451604, [0.9123373174746251, 0.5003760510229945, 0.039600264282297036, 1.0]),
        (0.5819588605283015, [0.9176437532289785, 0.525518007302916, 0.047095450328873405, 1.0]),
        (0.5830448270011019, [0.918736889872168, 0.5327492460523646, 0.05085820777843237, 1.0]),
        (0.5879858848570435, [0.9234380941376522, 0.5653148046013354, 0.06720311772280654, 1.0]),
        (0.5903030011402052, [0.9254868950072129, 0.5804190344124451, 0.0745418822635211, 1.0]),
        (0.5929269427129851, [0.9281117186119637, 0.5977881829775965, 0.08897042884325182, 1.0]),
        (0.5978680005689266, [0.9326604570012996, 0.6302320350027178, 0.11392416680337092, 1.0]),
        (0.598647141752109, [0.9333300766372653, 0.6353203810138253, 0.11767297461382456, 1.0]),
        (0.6028090584248681, [0.9394103885117308, 0.6647236940541538, 0.14390328557298307, 1.0]),
        (0.6069912823640127, [0.9450948622546415, 0.6941436279842407, 0.16864928341836366, 1.0]),
        (0.6077501162808097, [0.9455379583132196, 0.699153930844926, 0.17428092846141408, 1.0]),
        (0.6126911741367512, [0.9480030632757811, 0.7316887278969605, 0.20944643594299606, 1.0]),
        (0.6153354229759164, [0.9490166140273265, 0.7490452712245312, 0.22746960949244815, 1.0]),
        (0.6176322319926928, [0.9524325152184386, 0.7641524384035905, 0.24400407547149044, 1.0]),
        (0.6225732898486342, [0.9593250121089077, 0.7966644676236152, 0.27866259295148615, 1.0]),
        (0.6236795635878202, [0.9607815329735289, 0.8039472872775107, 0.28629128588037417, 1.0]),
        (0.6275143477045758, [0.9647319889513098, 0.8273460193112862, 0.3267206748084088, 1.0]),
        (0.6320237041997239, [0.968625143323944, 0.8549276545190834, 0.3725632117442627, 1.0]),
        (0.6324554055605174, [0.9686977753212486, 0.8569507580478417, 0.3771382272007046, 1.0]),
        (0.637396463416459, [0.968971601742696, 0.8801510376370555, 0.4285565233357018, 1.0]),
        (0.6403678448116277, [0.9686258172125944, 0.8941431458007288, 0.4588358445707254, 1.0]),
        (0.6423375212724005, [0.970691927965626, 0.9024445213355687, 0.4784562616596883, 1.0]),
        (0.647278579128342, [0.9752940228377603, 0.9233506226320549, 0.5271628432618245, 1.0]),
        (0.6487119854235314, [0.9764697087244759, 0.9294372675085297, 0.5411875706596367, 1.0]),
        (0.6522196369842835, [0.9783517079319924, 0.9409486158512824, 0.5709588556338847, 1.0]),
        (0.6570561260354352, [0.9803920680674832, 0.956888168236974, 0.6117750070609105, 1.0]),
        (0.6571606948402251, [0.9804765484133907, 0.9571156658174423, 0.6133212687550279, 1.0]),
        (0.6621017526961667, [0.9834789934010087, 0.9679510042056002, 0.6857918599162488, 1.0]),
        (0.6650665010228627, [0.9843160123743689, 0.9745345341881325, 0.7288685307082868, 1.0]),
        (0.6654002666473389, [0.984314549028069, 0.9764958759713834, 0.6823624941043828, 1.0]),
        (0.6670428105521081, [0.9688784759505286, 0.9447690315834008, 0.7084541237357208, 1.0]),
        (0.67, [0.9390790228134964, 0.8879555417252573, 0.7533370495133613, 1.0]),
        (0.6719838684080497, [0.9340843647745577, 0.87771423807221, 0.757475382323048, 1.0]),
        (0.6769249262639913, [0.9214144181432873, 0.852251281033565, 0.7675906896325785, 1.0]),
        (0.6818659841199328, [0.9084077693377903, 0.8268498603606917, 0.777445239024065, 1.0]),
        (0.6821397533149719, [0.9076770457395902, 0.8254442001687738, 0.7779839304970382, 1.0]),
        (0.6868070419758744, [0.9023617429204338, 0.8151745541630501, 0.7707083383322526, 1.0]),
        (0.6917480998318158, [0.8967218908904503, 0.8043191956526773, 0.763019585817962, 1.0]),
        (0.6966891576877574, [0.8910688377868218, 0.7934809171798469, 0.7553448989320722, 1.0]),
        (0.698869239982605, [0.8885703952342264, 0.7887042870404865, 0.7519631828424505, 1.0]),
        (0.701630215543699, [0.884495431412696, 0.7796112272712232, 0.7440447818457627, 1.0]),
        (0.7065712733996405, [0.8771549455211408, 0.7633668337242262, 0.7299139608269806, 1.0]),
        (0.711512331255582, [0.8697528786141642, 0.7471587668321891, 0.7158349525667509, 1.0]),
        (0.7155987266502379, [0.8635845337594737, 0.7337813347779857, 0.704230781283714, 1.0]),
        (0.7164533891115236, [0.8621721396315158, 0.7314481503066211, 0.7013346848145885, 1.0]),
        (0.7213944469674651, [0.8539766989295952, 0.7179824445596511, 0.6846309245520521, 1.0]),
        (0.7263355048234067, [0.8457300286678062, 0.7045563338630729, 0.6679948899213436, 1.0]),
        (0.7312765626793483, [0.8374319478470983, 0.6911700375788729, 0.6514272587279368, 1.0]),
        (0.732328213317871, [0.8356591380672257, 0.6883260688403046, 0.6479099117827996, 1.0]),
        (0.7362176205352897, [0.8271303020429845, 0.6772651591794002, 0.6352988177908091, 1.0]),
        (0.7411586783912313, [0.8162836209905866, 0.6632566664121833, 0.6193400324442365, 1.0]),
        (0.7460997362471729, [0.8054235170240736, 0.6492968471549599, 0.6034516288290562, 1.0]),
        (0.7490576999855041, [0.7989155673986625, 0.6409632622602471, 0.5939740672882896, 1.0]),
        (0.7510407941031144, [0.7943734912387919, 0.636988891017848, 0.5888510171880311, 1.0]),
        (0.755981851959056, [0.7830709068276803, 0.6271068872038625, 0.5761182941828119, 1.0]),
        (0.7609229098149974, [0.7717889357866066, 0.6172543548659389, 0.5634312944314666, 1.0]),
        (0.7657871866531372, [0.7607024755848303, 0.6075839763731826, 0.5509864871530809, 1.0]),
        (0.765863967670939, [0.7606020151890666, 0.6074301530943158, 0.550802507747537, 1.0]),
        (0.7708050255268806, [0.7541231689285015, 0.5975434329719626, 0.5389837148959408, 1.0]),
        (0.7757460833828221, [0.7476167581503297, 0.5876808103168135, 0.5272060223299149, 1.0]),
        (0.7806871412387636, [0.7410826716346905, 0.5778423663521005, 0.5154697524309322, 1.0]),
        (0.7825166733207702, [0.7386562431603569, 0.5742056219637959, 0.5111347210834075, 1.0]),
        (0.7856281990947052, [0.730705914026037, 0.5652765959803586, 0.5038952076553039, 1.0]),
        (0.7905692569506467, [0.7181024893872539, 0.5511421189492514, 0.4924377342290958, 1.0]),
        (0.7955103148065883, [0.7055256044661391, 0.5370628533499315, 0.4810283681890814, 1.0]),
        (0.7992461599884033, [0.6960341015073979, 0.5264546815974185, 0.472434266666477, 1.0]),
        (0.8004513726625299, [0.6936535964203049, 0.5235258912252572, 0.470105110923492, 1.0]),
        (0.8053924305184713, [0.6838995853252656, 0.5115418200334706, 0.4605780935991571, 1.0]),
        (0.8103334883744129, [0.6741542514293302, 0.4995951062318769, 0.45108661022095425, 1.0]),
        (0.8152745462303544, [0.6644174994618596, 0.4876857934347077, 0.44163107051287587, 1.0]),
        (0.8159756466560364, [0.6630366141858214, 0.48599897934057074, 0.44029233383805944, 1.0]),
        (0.820215604086296, [0.6544367451795439, 0.4749116333908902, 0.43125089274055106, 1.0]),
        (0.8251566619422375, [0.6444158491554128, 0.4620296282406951, 0.42075747634780064, 1.0]),
        (0.830097719798179, [0.6343958178057076, 0.4491890627411999, 0.4103110339479209, 1.0]),
        (0.8327051333236694, [0.6291084790658169, 0.442429660738169, 0.40481756700473304, 1.0]),
        (0.8350387776541206, [0.6242940817893847, 0.4370319501057721, 0.40060530787040055, 1.0]),
        (0.8399798355100622, [0.6141127877826341, 0.4256317574324407, 0.3917125558402853, 1.0]),
        (0.8449208933660037, [0.6039481828972096, 0.41427023304448285, 0.3828553705728942, 1.0]),
        (0.8494346199913024, [0.5946772394358523, 0.4039251040261484, 0.3747956630725067, 1.0]),
        (0.8498619512219452, [0.5936972939645055, 0.40283513066620646, 0.37385821693071536, 1.0]),
        (0.8548030090778868, [0.5823759861176038, 0.39025921342439046, 0.3630491896735269, 1.0]),
        (0.8597440669338283, [0.5710719096730142, 0.3777329721666098, 0.3522965260592821, 1.0]),
        (0.8646851247897699, [0.559784940568784, 0.36525630514312757, 0.34160114354423393, 1.0]),
        (0.8661641066589355, [0.5564097759737358, 0.3615313423583627, 0.3384110288368823, 1.0]),
        (0.8696261826457115, [0.5470512759278809, 0.35229089751816534, 0.33113598426524254, 1.0]),
        (0.8745672405016529, [0.5337323253752128, 0.33915718424722213, 0.3208005811383402, 1.0]),
        (0.8795082983575945, [0.5204576774546634, 0.32608735385696835, 0.3105218751786823, 1.0]),
        (0.8828935933265686, [0.5113884630004409, 0.3171696614599503, 0.3035127899688064, 1.0]),
        (0.884449356213536, [0.507076492835, 0.3134774340370467, 0.300175990120964, 1.0]),
        (0.8893904140694776, [0.49341996874062194, 0.3017934424762824, 0.28962030597357924, 1.0]),
        (0.8943314719254191, [0.479822000123691, 0.29017456017931337, 0.27912926010564526, 1.0]),
        (0.8992725297813606, [0.46628324447365704, 0.27862154784580095, 0.26870407865550816, 1.0]),
        (0.8996230799942015, [0.46532498565051666, 0.27780442544251016, 0.26796698512985007, 1.0]),
        (0.9042135876373022, [0.4538046222982172, 0.2667354337999382, 0.25959570545627636, 1.0]),
        (0.9091546454932438, [0.44144783757260536, 0.2548767046001972, 0.25063427953511974, 1.0]),
        (0.9140957033491853, [0.4291362813635856, 0.2430750093230204, 0.2417246354610028, 1.0]),
        (0.9163525666618346, [0.42352802459544475, 0.23770326807169428, 0.23767256662982544, 1.0]),
        (0.9190367612051268, [0.4184703563469859, 0.23327907445689022, 0.2347961139364796, 1.0]),
        (0.9239778190610684, [0.40918416087840587, 0.225159164886432, 0.22951372959638422, 1.0]),
        (0.9289188769170099, [0.3999292201780019, 0.2170704177478172, 0.22424776071978558, 1.0]),
        (0.9330820533294677, [0.3921557601891062, 0.2102791512110302, 0.2198236635923233, 1.0]),
        (0.9338599347729515, [0.3906873188946415, 0.20921791574435278, 0.21891552643468065, 1.0]),
        (0.9388009926288929, [0.38138175291774495, 0.2024947148635982, 0.21316096479348468, 1.0]),
        (0.9437420504848345, [0.3721143335350297, 0.19580234625963483, 0.20743058988529323, 1.0]),
        (0.9486831083407761, [0.36288552225329024, 0.18914114292193807, 0.2017247072125185, 1.0]),
        (0.9498115399971008, [0.3607833242840821, 0.18762427324621067, 0.20042507402168352, 1.0]),
        (0.9536241661967176, [0.35269016775275236, 0.18286309919133148, 0.19701566460783482, 1.0]),
        (0.9585652240526592, [0.34224506428673757, 0.17672157611454214, 0.1926073365566863, 1.0]),
        (0.9635062819086007, [0.33184949533303165, 0.17061309576616673, 0.18821055338547218, 1.0]),
        (0.9665410266647338, [0.32548945699504417, 0.16687795419646828, 0.18551584816064062, 1.0]),
        (0.9684473397645422, [0.32098066470030445, 0.16437228304571241, 0.18334099038530016, 1.0]),
        (0.9733883976204838, [0.30934175959248966, 0.15790477022676325, 0.17772084926545892, 1.0]),
        (0.9783294554764254, [0.2977724975435968, 0.15147687443309207, 0.17212543901028343, 1.0]),
        (0.9832705133323669, [0.28627403707625615, 0.14508935520393926, 0.16655506878096416, 1.0]),
        (1.0, [0.28627403707625615, 0.14508935520393926, 0.16655506878096416, 1.0]),
    ],
    'svc.outlier-brown-gray-blue': [
        (0.0, [0.988235, 0.988235, 0.968627, 1.0]),
        (0.006051711738109589, [0.960784, 0.952941, 0.894118, 1.0]),
        (0.030258558690547943, [0.901961, 0.886275, 0.8, 1.0]),
        (0.060517117381095886, [0.839216, 0.815686, 0.713725, 1.0]),
        (0.09077567607164383, [0.788235, 0.756863, 0.639216, 1.0]),
        (0.12103423476219177, [0.729412, 0.690196, 0.568627, 1.0]),
        (0.15129279345273972, [0.670588, 0.623529, 0.509804, 1.0]),
        (0.18155135214328766, [0.619608, 0.568627, 0.458824, 1.0]),
        (0.2118099108338356, [0.580392, 0.521569, 0.415686, 1.0]),
        (0.24206846952438354, [0.541176, 0.478431, 0.376471, 1.0]),
        (0.2723270282149315, [0.478431, 0.415686, 0.32549, 1.0]),
        (0.30258558690547943, [0.419608, 0.34902, 0.270588, 1.0]),
        (0.30259558690547944, [0.380392, 0.396078, 0.4, 1.0]),
        (0.317479783433795, [0.388235, 0.419608, 0.419608, 1.0]),
        (0.33236397996211053, [0.396078, 0.439216, 0.435294, 1.0]),
        (0.34724817649042605, [0.403922, 0.458824, 0.45098, 1.0]),
        (0.36213237301874157, [0.411765, 0.478431, 0.462745, 1.0]),
        (0.37701656954705715, [0.423529, 0.501961, 0.47451, 1.0]),
        (0.3919007660753727, [0.443137, 0.521569, 0.486275, 1.0]),
        (0.40678496260368824, [0.466667, 0.54902, 0.509804, 1.0]),
        (0.42166915913200376, [0.498039, 0.580392, 0.533333, 1.0]),
        (0.43655335566031933, [0.52549, 0.611765, 0.552941, 1.0]),
        (0.4514375521886349, [0.572549, 0.658824, 0.596078, 1.0]),
        (0.4663217487169504, [0.607843, 0.701961, 0.623529, 1.0]),
        (0.48120594524526594, [0.65098, 0.741176, 0.658824, 1.0]),
        (0.4960901417735815, [0.686275, 0.780392, 0.686275, 1.0]),
        (0.5109743383018971, [0.737255, 0.819608, 0.729412, 1.0]),
        (0.5258585348302126, [0.772549, 0.85098, 0.756863, 1.0]),
        (0.5407427313585281, [0.823529, 0.890196, 0.8, 1.0]),
        (0.5556269278868436, [0.866667, 0.921569, 0.835294, 1.0]),
        (0.5705111244151593, [0.905882, 0.94902, 0.87451, 1.0]),
        (0.5853953209434748, [0.945098, 0.980392, 0.909804, 1.0]),
        (0.6002795174717903, [0.976471, 1.0, 0.94902, 1.0]),
        (0.6002895174717903, [1.0, 1.0, 1.0, 1.0]),
        (0.6153047399104833, [0.882353, 0.937255, 0.980392, 1.0]),
        (0.6303199623491763, [0.815686, 0.894118, 0.94902, 1.0]),
        (0.6603504072265625, [0.737255, 0.823529, 0.890196, 1.0]),
        (0.6903808521039485, [0.670588, 0.752941, 0.819608, 1.0]),
        (0.7204112969813347, [0.6, 0.670588, 0.741176, 1.0]),
        (0.7504417418587207, [0.541176, 0.6, 0.658824, 1.0]),
        (0.7804721867361069, [0.482353, 0.52549, 0.580392, 1.0]),
        (0.8105026316134929, [0.435294, 0.47451, 0.521569, 1.0]),
        (0.840533076490879, [0.411765, 0.443137, 0.478431, 1.0]),
        (0.8705635213682651, [0.396078, 0.415686, 0.439216, 1.0]),
        (0.9005939662456512, [0.380392, 0.392157, 0.4, 1.0]),
        (0.9006039662456512, [0.129412, 0.058824, 0.301961, 1.0]),
        (0.9055737679333686, [0.164706, 0.109804, 0.419608, 1.0]),
        (0.9105435696210861, [0.152941, 0.113725, 0.501961, 1.0]),
        (0.9155133713088035, [0.109804, 0.109804, 0.54902, 1.0]),
        (0.920483172996521, [0.101961, 0.133333, 0.6, 1.0]),
        (0.9254529746842384, [0.090196, 0.164706, 0.639216, 1.0]),
        (0.9304227763719559, [0.082353, 0.211765, 0.678431, 1.0]),
        (0.9353925780596734, [0.078431, 0.258824, 0.709804, 1.0]),
        (0.9403623797473908, [0.086275, 0.313725, 0.729412, 1.0]),
        (0.9552717848105431, [0.090196, 0.364706, 0.74902, 1.0]),
        (0.9602415864982605, [0.121569, 0.435294, 0.768627, 1.0]),
        (0.965211388185978, [0.172549, 0.501961, 0.788235, 1.0]),
        (0.9701811898736954, [0.227451, 0.576471, 0.811765, 1.0]),
        (0.9751509915614128, [0.282353, 0.639216, 0.831373, 1.0]),
        (0.9801207932491303, [0.341176, 0.705882, 0.85098, 1.0]),
        (0.9850905949368477, [0.4, 0.776471, 0.870588, 1.0]),
        (0.9900603966245651, [0.478431, 0.85098, 0.901961, 1.0]),
        (0.9950301983122826, [0.556863, 0.917647, 0.929412, 1.0]),
        (0.998012079324913, [0.639216, 0.968627, 0.960784, 1.0]),
        (1.0, [0.8, 1.0, 0.984314, 1.0]),
    ],
    'svc.outlier-brown-orange': [
        (0.0, [0.180392, 0.12549, 0.121569, 1.0]),
        (0.020029699057340644, [0.2, 0.145098, 0.137255, 1.0]),
        (0.04005939811468123, [0.231373, 0.172549, 0.164706, 1.0]),
        (0.06008909717202188, [0.258824, 0.203922, 0.188235, 1.0]),
        (0.08011879622936247, [0.290196, 0.235294, 0.215686, 1.0]),
        (0.10014849528670311, [0.321569, 0.266667, 0.243137, 1.0]),
        (0.12017819434404375, [0.34902, 0.298039, 0.270588, 1.0]),
        (0.14020789340138434, [0.380392, 0.329412, 0.298039, 1.0]),
        (0.160237592458725, [0.411765, 0.364706, 0.32549, 1.0]),
        (0.18026729151606558, [0.439216, 0.396078, 0.352941, 1.0]),
        (0.20029699057340622, [0.470588, 0.431373, 0.380392, 1.0]),
        (0.22032668963074684, [0.509804, 0.47451, 0.419608, 1.0]),
        (0.24035638868808745, [0.54902, 0.521569, 0.454902, 1.0]),
        (0.2603860877454281, [0.6, 0.576471, 0.505882, 1.0]),
        (0.2804157868027687, [0.65098, 0.631373, 0.552941, 1.0]),
        (0.30044548586010933, [0.701961, 0.686275, 0.603922, 1.0]),
        (0.32047518491745, [0.74902, 0.737255, 0.65098, 1.0]),
        (0.34050488397479056, [0.8, 0.792157, 0.705882, 1.0]),
        (0.3605345830321312, [0.858824, 0.858824, 0.772549, 1.0]),
        (0.3805642820894718, [0.929412, 0.929412, 0.854902, 1.0]),
        (0.40059398114681244, [0.988235, 0.988235, 0.94902, 1.0]),
        (0.40060398114681245, [0.9882352941176471, 0.9882352941176471, 0.8666666666666667, 1.0]),
        (0.4010022839972782, [0.9882352941176471, 0.9882352941176471, 0.8588235294117647, 1.0]),
        (0.4105615524084568, [0.9882352941176471, 0.9882352941176471, 0.7607843137254902, 1.0]),
        (0.4205191236701012, [0.984313725490196, 0.9725490196078431, 0.6745098039215687, 1.0]),
        (0.43047669493174556, [0.9803921568627451, 0.9529411764705882, 0.596078431372549, 1.0]),
        (0.4404342661933899, [0.9725490196078431, 0.9176470588235294, 0.5137254901960784, 1.0]),
        (0.45039183745503425, [0.9686274509803922, 0.8784313725490196, 0.4235294117647059, 1.0]),
        (0.4603494087166786, [0.9647058823529412, 0.8274509803921568, 0.32941176470588235, 1.0]),
        (0.470306979978323, [0.9529411764705882, 0.7686274509803922, 0.25098039215686274, 1.0]),
        (0.48026455123996736, [0.9450980392156862, 0.7098039215686275, 0.1843137254901961, 1.0]),
        (0.49022212250161173, [0.9372549019607843, 0.6470588235294118, 0.12549019607843137, 1.0]),
        (0.5001796937632561, [0.9254901960784314, 0.5803921568627451, 0.0784313725490196, 1.0]),
        (0.5101372650249004, [0.9176470588235294, 0.5215686274509804, 0.047058823529411764, 1.0]),
        (0.5200948362865447, [0.9019607843137255, 0.4627450980392157, 0.027450980392156862, 1.0]),
        (0.5300524075481892, [0.8627450980392157, 0.3803921568627451, 0.011764705882352941, 1.0]),
        (0.5400099788098335, [0.788235294117647, 0.2901960784313726, 0.0, 1.0]),
        (0.5499675500714779, [0.7411764705882353, 0.22745098039215686, 0.00392156862745098, 1.0]),
        (0.5599251213331222, [0.6666666666666666, 0.17254901960784313, 0.01568627450980392, 1.0]),
        (0.5698826925947666, [0.5882352941176471, 0.11372549019607843, 0.023529411764705882, 1.0]),
        (0.579840263856411, [0.49411764705882355, 0.054901960784313725, 0.03529411764705882, 1.0]),
        (0.5897978351180553, [0.396078431372549, 0.0392156862745098, 0.058823529411764705, 1.0]),
        (0.5997654063796998, [0.380392, 0.254902, 0.247059, 1.0]),
        (0.6197771360607147, [0.431373, 0.27451, 0.262745, 1.0]),
        (0.6397888657417297, [0.470588, 0.301961, 0.27451, 1.0]),
        (0.6598005954227448, [0.509804, 0.32549, 0.282353, 1.0]),
        (0.6798123251037598, [0.54902, 0.352941, 0.286275, 1.0]),
        (0.6998240547847747, [0.6, 0.380392, 0.294118, 1.0]),
        (0.7198357844657899, [0.631373, 0.403922, 0.290196, 1.0]),
        (0.7398475141468048, [0.658824, 0.427451, 0.282353, 1.0]),
        (0.7598592438278198, [0.690196, 0.462745, 0.27451, 1.0]),
        (0.7798709735088348, [0.721569, 0.509804, 0.309804, 1.0]),
        (0.7998827031898499, [0.760784, 0.560784, 0.34902, 1.0]),
        (0.8399061625518799, [0.8, 0.647059, 0.4, 1.0]),
        (0.8799296219139099, [0.85098, 0.733333, 0.458824, 1.0]),
        (0.91995308127594, [0.901961, 0.827451, 0.541176, 1.0]),
        (0.95997654063797, [0.941176, 0.905882, 0.678431, 1.0]),
        (0.9799882703189849, [0.968627, 0.956863, 0.796078, 1.0]),
        (0.991995308127594, [0.980392, 0.976471, 0.862745, 1.0]),
        (1.0, [1.0, 0.996078, 0.941176, 1.0]),
    ],
    'svc.outlier-blue-orange': [
        (0.0, [0.380392, 0.396078, 0.4, 1.0]),
        (0.020029699057340644, [0.388235, 0.419608, 0.419608, 1.0]),
        (0.04005939811468123, [0.396078, 0.439216, 0.435294, 1.0]),
        (0.06008909717202188, [0.403922, 0.458824, 0.45098, 1.0]),
        (0.08011879622936247, [0.411765, 0.478431, 0.462745, 1.0]),
        (0.10014849528670311, [0.423529, 0.501961, 0.47451, 1.0]),
        (0.12017819434404375, [0.443137, 0.521569, 0.486275, 1.0]),
        (0.14020789340138434, [0.466667, 0.54902, 0.509804, 1.0]),
        (0.160237592458725, [0.498039, 0.580392, 0.533333, 1.0]),
        (0.18026729151606558, [0.52549, 0.611765, 0.552941, 1.0]),
        (0.20029699057340622, [0.572549, 0.658824, 0.596078, 1.0]),
        (0.22032668963074684, [0.607843, 0.701961, 0.623529, 1.0]),
        (0.24035638868808745, [0.65098, 0.741176, 0.658824, 1.0]),
        (0.2603860877454281, [0.686275, 0.780392, 0.686275, 1.0]),
        (0.2804157868027687, [0.737255, 0.819608, 0.729412, 1.0]),
        (0.30044548586010933, [0.772549, 0.85098, 0.756863, 1.0]),
        (0.32047518491745, [0.823529, 0.890196, 0.8, 1.0]),
        (0.34050488397479056, [0.866667, 0.921569, 0.835294, 1.0]),
        (0.3605345830321312, [0.905882, 0.94902, 0.87451, 1.0]),
        (0.3805642820894718, [0.945098, 0.980392, 0.909804, 1.0]),
        (0.40059398114681244, [0.976471, 1.0, 0.94902, 1.0]),
        (0.40060398114681245, [0.9882352941176471, 0.9882352941176471, 0.8666666666666667, 1.0]),
        (0.4010033322194624, [0.9882352941176471, 0.9882352941176471, 0.8588235294117647, 1.0]),
        (0.41058775796306135, [0.9882352941176471, 0.9882352941176471, 0.7607843137254902, 1.0]),
        (0.42057153477931025, [0.984313725490196, 0.9725490196078431, 0.6745098039215687, 1.0]),
        (0.43055531159555915, [0.9803921568627451, 0.9529411764705882, 0.596078431372549, 1.0]),
        (0.440539088411808, [0.9725490196078431, 0.9176470588235294, 0.5137254901960784, 1.0]),
        (0.4505228652280569, [0.9686274509803922, 0.8784313725490196, 0.4235294117647059, 1.0]),
        (0.4605066420443058, [0.9647058823529412, 0.8274509803921568, 0.32941176470588235, 1.0]),
        (0.4704904188605547, [0.9529411764705882, 0.7686274509803922, 0.25098039215686274, 1.0]),
        (0.4804741956768036, [0.9450980392156862, 0.7098039215686275, 0.1843137254901961, 1.0]),
        (0.4904579724930525, [0.9372549019607843, 0.6470588235294118, 0.12549019607843137, 1.0]),
        (0.5004417493093014, [0.9254901960784314, 0.5803921568627451, 0.0784313725490196, 1.0]),
        (0.5104255261255503, [0.9176470588235294, 0.5215686274509804, 0.047058823529411764, 1.0]),
        (0.5204093029417991, [0.9019607843137255, 0.4627450980392157, 0.027450980392156862, 1.0]),
        (0.5303930797580481, [0.8627450980392157, 0.3803921568627451, 0.011764705882352941, 1.0]),
        (0.5403768565742969, [0.788235294117647, 0.2901960784313726, 0.0, 1.0]),
        (0.5503606333905459, [0.7411764705882353, 0.22745098039215686, 0.00392156862745098, 1.0]),
        (0.5603444102067947, [0.6666666666666666, 0.17254901960784313, 0.01568627450980392, 1.0]),
        (0.5703281870230437, [0.5882352941176471, 0.11372549019607843, 0.023529411764705882, 1.0]),
        (0.5803119638392925, [0.49411764705882355, 0.054901960784313725, 0.03529411764705882, 1.0]),
        (0.5902957406555414, [0.396078431372549, 0.0392156862745098, 0.058823529411764705, 1.0]),
        (0.6002895174717903, [0.94902, 1.0, 0.992157, 1.0]),
        (0.6202750415982008, [0.843137, 0.980392, 0.968627, 1.0]),
        (0.6402605657246112, [0.768627, 0.960784, 0.960784, 1.0]),
        (0.6802316139774323, [0.690196, 0.890196, 0.909804, 1.0]),
        (0.7202026622302532, [0.607843, 0.792157, 0.831373, 1.0]),
        (0.7601737104830741, [0.533333, 0.701961, 0.760784, 1.0]),
        (0.8001447587358951, [0.462745, 0.619608, 0.701961, 1.0]),
        (0.840115806988716, [0.415686, 0.556863, 0.65098, 1.0]),
        (0.8800868552415371, [0.364706, 0.490196, 0.6, 1.0]),
        (0.9000723793679475, [0.337255, 0.447059, 0.568627, 1.0]),
        (0.920057903494358, [0.317647, 0.411765, 0.54902, 1.0]),
        (0.9400434276207685, [0.301961, 0.376471, 0.529412, 1.0]),
        (0.960028951747179, [0.290196, 0.34902, 0.509804, 1.0]),
        (0.9800144758735894, [0.27451, 0.317647, 0.490196, 1.0]),
        (1.0, [0.254902, 0.286275, 0.458824, 1.0]),
    ],
    'svc.outlier-orange-turqoise': [
        (0.0, [0.981256, 0.998521, 1.0, 1.0]),
        (0.01, [0.941176, 0.968627, 0.988235, 1.0]),
        (0.03, [0.807843, 0.87451, 0.921569, 1.0]),
        (0.06, [0.705882, 0.8, 0.878431, 1.0]),
        (0.1, [0.631373, 0.733333, 0.831373, 1.0]),
        (0.13, [0.560784, 0.666667, 0.780392, 1.0]),
        (0.16, [0.501961, 0.607843, 0.741176, 1.0]),
        (0.2, [0.447059, 0.552941, 0.701961, 1.0]),
        (0.23, [0.407843, 0.509804, 0.670588, 1.0]),
        (0.26, [0.376471, 0.470588, 0.639216, 1.0]),
        (0.29, [0.352941, 0.435294, 0.611765, 1.0]),
        (0.31, [0.329412, 0.4, 0.580392, 1.0]),
        (0.34, [0.301961, 0.364706, 0.54902, 1.0]),
        (0.37, [0.27451, 0.329412, 0.521569, 1.0]),
        (0.4, [0.25098, 0.294118, 0.490196, 1.0]),
        (0.433, [0.223529, 0.258824, 0.458824, 1.0]),
        (0.466, [0.203922, 0.227451, 0.431373, 1.0]),
        (0.5, [0.180392, 0.2, 0.4, 1.0]),
        (0.525, [0.160784, 0.164706, 0.380392, 1.0]),
        (0.55, [0.819608, 0.572549, 0.345098, 1.0]),
        (0.585, [0.921569, 0.745098, 0.443137, 1.0]),
        (0.61, [0.968627, 0.866667, 0.52549, 1.0]),
        (0.635, [0.988235, 0.933333, 0.615686, 1.0]),
        (0.67, [1.0, 0.972549, 0.729412, 1.0]),
        (0.71, [1.0, 0.996078, 0.941176, 1.0]),
        (0.73, [0.839216, 1.0, 0.996078, 1.0]),
        (0.76, [0.694118, 0.968627, 0.988235, 1.0]),
        (0.8, [0.458824, 0.866667, 0.921569, 1.0]),
        (0.83, [0.247059, 0.713725, 0.819608, 1.0]),
        (0.86, [0.141176, 0.54902, 0.701961, 1.0]),
        (0.9, [0.054902, 0.376471, 0.54902, 1.0]),
        (0.93, [0.145098, 0.145098, 0.419608, 1.0]),
        (0.96, [0.121569, 0.098039, 0.360784, 1.0]),
        (0.99, [0.113725, 0.058824, 0.301961, 1.0]),
        (1.0, [0.0, 0.0, 0.0, 1.0]),
    ],
    'svc.discrete-7': [
        (0.0, [0.760784, 0.8, 0.721569, 1.0]),
        (0.14, [0.760784, 0.8, 0.721569, 1.0]),
        (0.140001, [0.529412, 0.509804, 0.447059, 1.0]),
        (0.28, [0.529412, 0.509804, 0.447059, 1.0]),
        (0.280001, [0.858824, 0.623529, 0.352941, 1.0]),
        (0.42, [0.858824, 0.623529, 0.352941, 1.0]),
        (0.420001, [1.0, 0.945098, 0.580392, 1.0]),
        (0.56, [1.0, 0.945098, 0.580392, 1.0]),
        (0.560001, [0.666667, 0.901961, 0.670588, 1.0]),
        (0.7, [0.666667, 0.901961, 0.670588, 1.0]),
        (0.700001, [0.494118, 0.741176, 0.768627, 1.0]),
        (0.85, [0.494118, 0.741176, 0.768627, 1.0]),
        (0.850001, [0.360784, 0.572549, 0.8, 1.0]),
        (1.0, [0.360784, 0.572549, 0.8, 1.0]),
    ],
    'svc.discrete-5-dark': [
        (0.0, [0.192157, 0.411765, 0.223529, 1.0]),
        (0.2, [0.192157, 0.411765, 0.223529, 1.0]),
        (0.200001, [0.454902, 0.54902, 0.219608, 1.0]),
        (0.4, [0.454902, 0.54902, 0.219608, 1.0]),
        (0.400001, [1.0, 0.929412, 0.388235, 1.0]),
        (0.6, [1.0, 0.929412, 0.388235, 1.0]),
        (0.600001, [0.811765, 0.498039, 0.160784, 1.0]),
        (0.8, [0.811765, 0.498039, 0.160784, 1.0]),
        (0.800001, [0.458824, 0.247059, 0.231373, 1.0]),
        (1.0, [0.458824, 0.247059, 0.231373, 1.0]),
    ],
    'svc.discrete-5-autumn': [
        (0.0, [0.721569, 0.321569, 0.2, 1.0]),
        (0.2, [0.721569, 0.321569, 0.2, 1.0]),
        (0.200001, [0.909804, 0.698039, 0.352941, 1.0]),
        (0.4, [0.909804, 0.698039, 0.352941, 1.0]),
        (0.400001, [1.0, 0.956863, 0.568627, 1.0]),
        (0.6, [1.0, 0.956863, 0.568627, 1.0]),
        (0.600001, [0.6, 0.819608, 0.45098, 1.0]),
        (0.8, [0.6, 0.819608, 0.45098, 1.0]),
        (0.800001, [0.290196, 0.568627, 0.309804, 1.0]),
        (1.0, [0.290196, 0.568627, 0.309804, 1.0]),
    ],
    'svc.discrete-4-light': [
        (0.0, [0.337255, 0.670588, 0.294118, 1.0]),
        (0.25, [0.337255, 0.670588, 0.294118, 1.0]),
        (0.250001, [0.643137, 0.890196, 0.454902, 1.0]),
        (0.5, [0.643137, 0.890196, 0.454902, 1.0]),
        (0.500001, [1.0, 0.992157, 0.478431, 1.0]),
        (0.75, [1.0, 0.992157, 0.478431, 1.0]),
        (0.750001, [0.921569, 0.72549, 0.137255, 1.0]),
        (1.0, [0.921569, 0.72549, 0.137255, 1.0]),
    ],
    'svc.discrete-4-blue-orange': [
        (0.0, [0.27450980392, 0.49019607843, 0.7725490196, 1.0]),
        (0.25, [0.27450980392, 0.49019607843, 0.7725490196, 1.0]),
        (0.250001, [0.54509803921, 0.79607843137, 0.87450980392, 1.0]),
        (0.5, [0.54509803921, 0.79607843137, 0.87450980392, 1.0]),
        (0.500001, [0.85490196078, 0.8431372549, 0.50980392156, 1.0]),
        (0.75, [0.85490196078, 0.8431372549, 0.50980392156, 1.0]),
        (0.750001, [0.83137254902, 0.68235294117, 0.22745098039, 1.0]),
        (1.0, [0.83137254902, 0.68235294117, 0.22745098039, 1.0]),
    ],
    'svc.discrete-4-blue-green': [
        (0.0, [0.17647058823529413, 0.3176470588235294, 0.6392156862745098, 1.0]),
        (0.25, [0.17647058823529413, 0.3176470588235294, 0.6392156862745098, 1.0]),
        (0.25001, [0.20392156862, 0.76078431372, 0.86666666666, 1.0]),
        (0.5, [0.20392156862, 0.76078431372, 0.86666666666, 1.0]),
        (0.50001, [0.65098039215, 0.8431372549, 0.42352941176, 1.0]),
        (0.75, [0.65098039215, 0.8431372549, 0.42352941176, 1.0]),
        (0.75001, [0.19215686274, 0.43529411764, 0.20392156862, 1.0]),
        (1.0, [0.19215686274, 0.43529411764, 0.20392156862, 1.0]),
    ],
    'svc.discrete-4-van-eyck': [
        (0.0, [0.509804, 0.207843, 0.098039, 1.0]),
        (0.25, [0.509804, 0.207843, 0.098039, 1.0]),
        (0.250001, [1.0, 0.866667, 0.380392, 1.0]),
        (0.5, [1.0, 0.866667, 0.380392, 1.0]),
        (0.500001, [0.552941, 0.760784, 0.921569, 1.0]),
        (0.75, [0.552941, 0.760784, 0.921569, 1.0]),
        (0.750001, [0.282353, 0.431373, 0.168627, 1.0]),
        (1.0, [0.282353, 0.431373, 0.168627, 1.0]),
    ],
}
